Copyright: Copyright © 1999 Sybase, Inc. and its subsidiaries. All rights reserved.   Monday, November 13, 2000 21:25:41


Adaptive Server Anywhere Reference for JDK 1.1

VERSION 09/23/99

Copyright © Copyright  1996-1999 Sybase, Inc. All rights reserved.

No part of this publication may be reproduced, transmitted, or translated in any form or by any means, electronic, mechanical, manual, optical, or otherwise, without the prior written permission of Sybase, Inc.

Sybase, SYBASE (logo), Adaptive Component Architecture, Adaptive Server, Adaptive Server Anywhere, Adaptive Server Enterprise, Adaptive Server IQ, Adaptive Warehouse, AppModeler, DataWindow, DirectConnect, Electronic Case Management, Enterprise Application Server, Enterprise Application Studio, Enterprise Data Studio, First Impression, Formula One, Jaguar CTS, jConnect for JDBC, NetImpact, ObjectCycle, OmniConnect, Open Client, Open Server, Optima++, Power++, PowerJ, PowerBuilder, PowerDesigner, PowerDynamo, PowerScript, PowerSite, Powersoft, PowerStudio, S Designor, S-Designor, SQL Anywhere Studio, SQL Code Checker, SQL Debug, SQL Edit, SQL Edit/TPU, SQL Everywhere, SQL Modeler, SQL Remote, SQL Server, Sybase Central, Sybase Financial Server, System 10, System 11, System XI (logo), Tabular Data Stream, Transact-SQL, UltraLite, Visual Components, VisualSpeller, VisualWriter, WarehouseArchitect, Warehouse Studio, Watcom, Watcom SQL, Watcom SQL Server, Web.PB, and Web.SQL are trademarks of Sybase, Inc. or its subsidiaries.

All other company and product names used herein may be the trademarks or registered trademarks of their respective companies.

Information in this manual may change without notice and does not represent a commitment on the part of Sybase, Inc. and its subsidiaries.

 About this manual

 Document conventions

 Packages

 Class Hierarchy

 Interface Hierarchy

 A-Z Reference


About this manual (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
  About this manual

This manual assumes that you are familiar with the basic principles of the Java programming language.

This manual provides a comprehensive description of all the classes, interfaces, properties, methods, and events that make up the JDK library.

Ways to access this manual

This manual can be accessed from the main ASA help or as a standalone help file.


Document conventions (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
  Document conventions

Organization of this manual

This manual is a collection of topics. Each topic contains a description of either a package, a class, an interface, a property, a method, or an event. The topics are listed in alphabetical order by topic title. The topic title consists of the object's name followed by its type and, if applicable, its package and/or class. For example: 'abs method [java.lang.Math]' or 'java.lang package'.

Package topics contain a list of the classes, interfaces, and exceptions defined in that package.  You can jump to the topics corresponding to these classes by clicking on their names or on the buttons preceeding the names.

Class topics begin with a diagram showing the superclasses of the class.  This is followed by a description of the class, its specification, its constructors, and lists of its public data members, properties, methods, and events.  Each of the latter three are split into locally defined members, inherited members, and protected members.

Interface topics begin with a description, followed by the interface's definition and a list of the classes which implement the interface.  When the interface is a Listener interface, its methods are described in detail since these methods form event handlers when the interface is implemented.

Property topics describe the methods which manipulate a property. For example, the Foo property description may list of one or more of getFoo, setFoo or isFoo methods. The specification for each method is listed, followed by a description of the method. This is followed by a description of each parameter, the return value, and any see also links. The last entry is the 'Applies to' list which lists the class defining the property and all its subclasses. Method topics are laid out in a manner similar to property topics.

Event topics consist of an addFooListener method and a removeFooListener method. These methods are described in the same manner as other methods. These methods are used to create a list of objects which listen for (respond to) the Foo event. Objects of the class which defines these methods are said to generate the Foo event. Corresponding to the event topic is a FooListener interface which declares one or more event handlers for the Foo event. Classes which wish to respond to the Foo event must implement the FooListener interface and its event handlers.

Method overloads and/or overrides are listed near the top of each topic. You can go to a particular overload by clicking on its specification or to an overridden method by clicking on its link.

Typographic conventions

This manual uses the following typographic conventions:

Monospace

A monospaced font is used for code or for anything you must type. It is also used for the names of files and folders.

Bold face

Bold face is used for the names of classes, interfaces, properties, methods, and events.

Bold italics

Bold italicized text is used for text that is acting as a placeholder, for example, argument names.

Underlined colored

Underlined colored text (usually green) indicates a link to the topic or section specified by the text.

  Clickable buttons

Buttons are followed by text which specifies the topic or section that will be jumped to when the button or the text is clicked.

You and the user

When the documentation contains a phrase like "you click the OK button", the word "you" refers to the person using Java to develop a program. When the documentation contains a phrase like "the user clicks the OK button", "the user" refers to the person who will use the programs you develop using Java.

Programs

This manual loosely uses the word "program" to refer to many sorts of applications. This may include applets, standalone executables, libraries, and so on.


Packages (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    Packages

 java.applet

 java.awt

 java.awt.datatransfer

 java.awt.event

 java.awt.image

 java.awt.peer

 java.beans

 java.io

 java.lang

 java.lang.reflect

 java.math

 java.net

 java.rmi

 java.rmi.dgc

 java.rmi.registry

 java.rmi.server

 java.security

 java.security.acl

 java.security.interfaces

 java.sql

 java.text

 java.text.resources

 java.util

 java.util.zip


Class Hierarchy (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    Class Hierarchy

Object class [java.lang]

Adler32 class [java.util.zip]

Array class [java.lang.reflect]

AWTEventMulticaster class [java.awt]

Beans class [java.beans]

BitSet class [java.util]

Boolean class [java.lang]

BorderLayout class [java.awt]

BreakIterator class [java.text]

Calendar class [java.util]

GregorianCalendar class [java.util]

CardLayout class [java.awt]

Character class [java.lang]

CheckboxGroup class [java.awt]

Class class [java.lang]

ClassLoader class [java.lang]

Clipboard class [java.awt.datatransfer]

CollationElementIterator class [java.text]

CollationKey class [java.text]

Collator class [java.text]

RuleBasedCollator class [java.text]

Color class [java.awt]

SystemColor class [java.awt]

ColorModel class [java.awt.image]

DirectColorModel class [java.awt.image]

IndexColorModel class [java.awt.image]

Compiler class [java.lang]

Component class [java.awt]

Button class [java.awt]

Canvas class [java.awt]

Checkbox class [java.awt]

Choice class [java.awt]

Container class [java.awt]

Panel class [java.awt]

Applet class [java.applet]

ScrollPane class [java.awt]

Window class [java.awt]

Dialog class [java.awt]

FileDialog class [java.awt]

Frame class [java.awt]

Label class [java.awt]

List class [java.awt]

Scrollbar class [java.awt]

TextComponent class [java.awt]

TextArea class [java.awt]

TextField class [java.awt]

ComponentAdapter class [java.awt.event]

Constructor class [java.lang.reflect]

ContainerAdapter class [java.awt.event]

ContentHandler class [java.net]

CRC32 class [java.util.zip]

Cursor class [java.awt]

DataFlavor class [java.awt.datatransfer]

DatagramPacket class [java.net]

DatagramSocket class [java.net]

MulticastSocket class [java.net]

DatagramSocketImpl class [java.net]

Date class [java.util]

Date class [java.sql]

Time class [java.sql]

Timestamp class [java.sql]

DateFormatSymbols class [java.text]

DecimalFormatSymbols class [java.text]

Deflater class [java.util.zip]

Dictionary class [java.util]

Hashtable class [java.util]

Properties class [java.util]

Provider class [java.security]

Dimension class [java.awt]

DriverManager class [java.sql]

DriverPropertyInfo class [java.sql]

Event class [java.awt]

EventObject class [java.util]

AWTEvent class [java.awt]

ActionEvent class [java.awt.event]

AdjustmentEvent class [java.awt.event]

ComponentEvent class [java.awt.event]

ContainerEvent class [java.awt.event]

FocusEvent class [java.awt.event]

InputEvent class [java.awt.event]

KeyEvent class [java.awt.event]

MouseEvent class [java.awt.event]

PaintEvent class [java.awt.event]

WindowEvent class [java.awt.event]

ItemEvent class [java.awt.event]

TextEvent class [java.awt.event]

PropertyChangeEvent class [java.beans]

EventQueue class [java.awt]

FeatureDescriptor class [java.beans]

BeanDescriptor class [java.beans]

EventSetDescriptor class [java.beans]

MethodDescriptor class [java.beans]

ParameterDescriptor class [java.beans]

PropertyDescriptor class [java.beans]

IndexedPropertyDescriptor class [java.beans]

Field class [java.lang.reflect]

FieldPosition class [java.text]

File class [java.io]

FileDescriptor class [java.io]

FilteredImageSource class [java.awt.image]

FlowLayout class [java.awt]

FocusAdapter class [java.awt.event]

Font class [java.awt]

FontMetrics class [java.awt]

Format class [java.text]

DateFormat class [java.text]

SimpleDateFormat class [java.text]

MessageFormat class [java.text]

NumberFormat class [java.text]

ChoiceFormat class [java.text]

DecimalFormat class [java.text]

Graphics class [java.awt]

GridBagConstraints class [java.awt]

GridBagLayout class [java.awt]

GridLayout class [java.awt]

Identity class [java.security]

IdentityScope class [java.security]

Signer class [java.security]

Image class [java.awt]

ImageFilter class [java.awt.image]

CropImageFilter class [java.awt.image]

ReplicateScaleFilter class [java.awt.image]

AreaAveragingScaleFilter class [java.awt.image]

RGBImageFilter class [java.awt.image]

InetAddress class [java.net]

Inflater class [java.util.zip]

InputStream class [java.io]

ByteArrayInputStream class [java.io]

FileInputStream class [java.io]

FilterInputStream class [java.io]

BufferedInputStream class [java.io]

CheckedInputStream class [java.util.zip]

DataInputStream class [java.io]

DigestInputStream class [java.security]

InflaterInputStream class [java.util.zip]

GZIPInputStream class [java.util.zip]

ZipInputStream class [java.util.zip]

LineNumberInputStream class [java.io]

PushbackInputStream class [java.io]

ObjectInputStream class [java.io]

PipedInputStream class [java.io]

SequenceInputStream class [java.io]

StringBufferInputStream class [java.io]

Insets class [java.awt]

Introspector class [java.beans]

KeyAdapter class [java.awt.event]

KeyPair class [java.security]

KeyPairGenerator class [java.security]

Lease class [java.rmi.dgc]

Locale class [java.util]

LocaleData class [java.text.resources]

LocateRegistry class [java.rmi.registry]

Math class [java.lang]

MediaTracker class [java.awt]

MemoryImageSource class [java.awt.image]

MenuComponent class [java.awt]

MenuBar class [java.awt]

MenuItem class [java.awt]

CheckboxMenuItem class [java.awt]

Menu class [java.awt]

PopupMenu class [java.awt]

MenuShortcut class [java.awt]

MessageDigest class [java.security]

Method class [java.lang.reflect]

Modifier class [java.lang.reflect]

MouseAdapter class [java.awt.event]

MouseMotionAdapter class [java.awt.event]

Naming class [java.rmi]

Number class [java.lang]

BigDecimal class [java.math]

BigInteger class [java.math]

Byte class [java.lang]

Double class [java.lang]

Float class [java.lang]

Integer class [java.lang]

Long class [java.lang]

Short class [java.lang]

ObjectStreamClass class [java.io]

ObjID class [java.rmi.server]

Observable class [java.util]

Operation class [java.rmi.server]

OutputStream class [java.io]

ByteArrayOutputStream class [java.io]

FileOutputStream class [java.io]

FilterOutputStream class [java.io]

BufferedOutputStream class [java.io]

CheckedOutputStream class [java.util.zip]

DataOutputStream class [java.io]

DeflaterOutputStream class [java.util.zip]

GZIPOutputStream class [java.util.zip]

ZipOutputStream class [java.util.zip]

DigestOutputStream class [java.security]

PrintStream class [java.io]

LogStream class [java.rmi.server]

ObjectOutputStream class [java.io]

PipedOutputStream class [java.io]

ParsePosition class [java.text]

PixelGrabber class [java.awt.image]

Point class [java.awt]

Polygon class [java.awt]

PrintJob class [java.awt]

Process class [java.lang]

PropertyChangeSupport class [java.beans]

PropertyEditorManager class [java.beans]

PropertyEditorSupport class [java.beans]

Random class [java.util]

SecureRandom class [java.security]

RandomAccessFile class [java.io]

Reader class [java.io]

BufferedReader class [java.io]

LineNumberReader class [java.io]

CharArrayReader class [java.io]

FilterReader class [java.io]

PushbackReader class [java.io]

InputStreamReader class [java.io]

FileReader class [java.io]

PipedReader class [java.io]

StringReader class [java.io]

Rectangle class [java.awt]

RemoteObject class [java.rmi.server]

RemoteServer class [java.rmi.server]

UnicastRemoteObject class [java.rmi.server]

RemoteStub class [java.rmi.server]

ResourceBundle class [java.util]

ListResourceBundle class [java.util]

DateFormatZoneData class [java.text.resources]

DateFormatZoneData_ar class [java.text.resources]

DateFormatZoneData_be class [java.text.resources]

DateFormatZoneData_bg class [java.text.resources]

DateFormatZoneData_ca class [java.text.resources]

DateFormatZoneData_cs class [java.text.resources]

DateFormatZoneData_da class [java.text.resources]

DateFormatZoneData_de class [java.text.resources]

DateFormatZoneData_de_AT class [java.text.resources]

DateFormatZoneData_de_CH class [java.text.resources]

DateFormatZoneData_el class [java.text.resources]

DateFormatZoneData_en class [java.text.resources]

DateFormatZoneData_en_CA class [java.text.resources]

DateFormatZoneData_en_GB class [java.text.resources]

DateFormatZoneData_en_IE class [java.text.resources]

DateFormatZoneData_es class [java.text.resources]

DateFormatZoneData_et class [java.text.resources]

DateFormatZoneData_fi class [java.text.resources]

DateFormatZoneData_fr class [java.text.resources]

DateFormatZoneData_fr_BE class [java.text.resources]

DateFormatZoneData_fr_CA class [java.text.resources]

DateFormatZoneData_fr_CH class [java.text.resources]

DateFormatZoneData_hr class [java.text.resources]

DateFormatZoneData_hu class [java.text.resources]

DateFormatZoneData_is class [java.text.resources]

DateFormatZoneData_it class [java.text.resources]

DateFormatZoneData_it_CH class [java.text.resources]

DateFormatZoneData_iw class [java.text.resources]

DateFormatZoneData_ja class [java.text.resources]

DateFormatZoneData_ko class [java.text.resources]

DateFormatZoneData_lt class [java.text.resources]

DateFormatZoneData_lv class [java.text.resources]

DateFormatZoneData_mk class [java.text.resources]

DateFormatZoneData_nl class [java.text.resources]

DateFormatZoneData_nl_BE class [java.text.resources]

DateFormatZoneData_no class [java.text.resources]

DateFormatZoneData_no_NO_NY class [java.text.resources]

DateFormatZoneData_pl class [java.text.resources]

DateFormatZoneData_pt class [java.text.resources]

DateFormatZoneData_ro class [java.text.resources]

DateFormatZoneData_ru class [java.text.resources]

DateFormatZoneData_sh class [java.text.resources]

DateFormatZoneData_sk class [java.text.resources]

DateFormatZoneData_sl class [java.text.resources]

DateFormatZoneData_sq class [java.text.resources]

DateFormatZoneData_sr class [java.text.resources]

DateFormatZoneData_sv class [java.text.resources]

DateFormatZoneData_th class [java.text.resources]

DateFormatZoneData_tr class [java.text.resources]

DateFormatZoneData_uk class [java.text.resources]

DateFormatZoneData_zh class [java.text.resources]

DateFormatZoneData_zh_TW class [java.text.resources]

LocaleElements class [java.text.resources]

LocaleElements_ar class [java.text.resources]

LocaleElements_be class [java.text.resources]

LocaleElements_bg class [java.text.resources]

LocaleElements_ca class [java.text.resources]

LocaleElements_cs class [java.text.resources]

LocaleElements_da class [java.text.resources]

LocaleElements_de class [java.text.resources]

LocaleElements_de_AT class [java.text.resources]

LocaleElements_de_AT_EURO class [java.text.resources]

LocaleElements_de_CH class [java.text.resources]

LocaleElements_de_DE_EURO class [java.text.resources]

LocaleElements_de_LU class [java.text.resources]

LocaleElements_de_LU_EURO class [java.text.resources]

LocaleElements_el class [java.text.resources]

LocaleElements_en class [java.text.resources]

LocaleElements_en_AU class [java.text.resources]

LocaleElements_en_CA class [java.text.resources]

LocaleElements_en_GB class [java.text.resources]

LocaleElements_en_IE class [java.text.resources]

LocaleElements_en_IE_EURO class [java.text.resources]

LocaleElements_en_NZ class [java.text.resources]

LocaleElements_en_ZA class [java.text.resources]

LocaleElements_es class [java.text.resources]

LocaleElements_es_AR class [java.text.resources]

LocaleElements_es_BO class [java.text.resources]

LocaleElements_es_CL class [java.text.resources]

LocaleElements_es_CO class [java.text.resources]

LocaleElements_es_CR class [java.text.resources]

LocaleElements_es_DO class [java.text.resources]

LocaleElements_es_EC class [java.text.resources]

LocaleElements_es_ES_EURO class [java.text.resources]

LocaleElements_es_GT class [java.text.resources]

LocaleElements_es_HN class [java.text.resources]

LocaleElements_es_MX class [java.text.resources]

LocaleElements_es_NI class [java.text.resources]

LocaleElements_es_PA class [java.text.resources]

LocaleElements_es_PE class [java.text.resources]

LocaleElements_es_PR class [java.text.resources]

LocaleElements_es_PY class [java.text.resources]

LocaleElements_es_SV class [java.text.resources]

LocaleElements_es_UY class [java.text.resources]

LocaleElements_es_VE class [java.text.resources]

LocaleElements_et class [java.text.resources]

LocaleElements_fi class [java.text.resources]

LocaleElements_fi_FI_EURO class [java.text.resources]

LocaleElements_fr class [java.text.resources]

LocaleElements_fr_BE class [java.text.resources]

LocaleElements_fr_BE_EURO class [java.text.resources]

LocaleElements_fr_CA class [java.text.resources]

LocaleElements_fr_CH class [java.text.resources]

LocaleElements_fr_FR_EURO class [java.text.resources]

LocaleElements_fr_LU class [java.text.resources]

LocaleElements_fr_LU_EURO class [java.text.resources]

LocaleElements_hr class [java.text.resources]

LocaleElements_hu class [java.text.resources]

LocaleElements_is class [java.text.resources]

LocaleElements_it class [java.text.resources]

LocaleElements_it_CH class [java.text.resources]

LocaleElements_it_IT_EURO class [java.text.resources]

LocaleElements_iw class [java.text.resources]

LocaleElements_ja class [java.text.resources]

LocaleElements_ko class [java.text.resources]

LocaleElements_lt class [java.text.resources]

LocaleElements_lv class [java.text.resources]

LocaleElements_mk class [java.text.resources]

LocaleElements_nl class [java.text.resources]

LocaleElements_nl_BE class [java.text.resources]

LocaleElements_nl_BE_EURO class [java.text.resources]

LocaleElements_nl_NL_EURO class [java.text.resources]

LocaleElements_no class [java.text.resources]

LocaleElements_no_NO_NY class [java.text.resources]

LocaleElements_pl class [java.text.resources]

LocaleElements_pt class [java.text.resources]

LocaleElements_pt_BR class [java.text.resources]

LocaleElements_pt_PT_EURO class [java.text.resources]

LocaleElements_ro class [java.text.resources]

LocaleElements_ru class [java.text.resources]

LocaleElements_sh class [java.text.resources]

LocaleElements_sk class [java.text.resources]

LocaleElements_sl class [java.text.resources]

LocaleElements_sq class [java.text.resources]

LocaleElements_sr class [java.text.resources]

LocaleElements_sv class [java.text.resources]

LocaleElements_th class [java.text.resources]

LocaleElements_tr class [java.text.resources]

LocaleElements_uk class [java.text.resources]

LocaleElements_zh class [java.text.resources]

LocaleElements_zh_TW class [java.text.resources]

PropertyResourceBundle class [java.util]

RMIClassLoader class [java.rmi.server]

RMISocketFactory class [java.rmi.server]

Runtime class [java.lang]

Security class [java.security]

SecurityManager class [java.lang]

RMISecurityManager class [java.rmi]

ServerSocket class [java.net]

Signature class [java.security]

SimpleBeanInfo class [java.beans]

Socket class [java.net]

SocketImpl class [java.net]

StreamTokenizer class [java.io]

String class [java.lang]

StringBuffer class [java.lang]

StringCharacterIterator class [java.text]

StringSelection class [java.awt.datatransfer]

StringTokenizer class [java.util]

System class [java.lang]

Thread class [java.lang]

ThreadGroup class [java.lang]

Throwable class [java.lang]

Error class [java.lang]

AWTError class [java.awt]

LinkageError class [java.lang]

ClassCircularityError class [java.lang]

ClassFormatError class [java.lang]

ExceptionInInitializerError class [java.lang]

IncompatibleClassChangeError class [java.lang]

AbstractMethodError class [java.lang]

IllegalAccessError class [java.lang]

InstantiationError class [java.lang]

NoSuchFieldError class [java.lang]

NoSuchMethodError class [java.lang]

NoClassDefFoundError class [java.lang]

UnsatisfiedLinkError class [java.lang]

VerifyError class [java.lang]

ThreadDeath class [java.lang]

VirtualMachineError class [java.lang]

InternalError class [java.lang]

OutOfMemoryError class [java.lang]

StackOverflowError class [java.lang]

UnknownError class [java.lang]

Exception class [java.lang]

AclNotFoundException class [java.security.acl]

AlreadyBoundException class [java.rmi]

AWTException class [java.awt]

ClassNotFoundException class [java.lang]

CloneNotSupportedException class [java.lang]

ServerCloneException class [java.rmi.server]

DataFormatException class [java.util.zip]

DigestException class [java.security]

IllegalAccessException class [java.lang]

InstantiationException class [java.lang]

InterruptedException class [java.lang]

IntrospectionException class [java.beans]

InvocationTargetException class [java.lang.reflect]

IOException class [java.io]

CharConversionException class [java.io]

EOFException class [java.io]

FileNotFoundException class [java.io]

InterruptedIOException class [java.io]

MalformedURLException class [java.net]

ObjectStreamException class [java.io]

InvalidClassException class [java.io]

InvalidObjectException class [java.io]

NotActiveException class [java.io]

NotSerializableException class [java.io]

OptionalDataException class [java.io]

StreamCorruptedException class [java.io]

WriteAbortedException class [java.io]

ProtocolException class [java.net]

RemoteException class [java.rmi]

AccessException class [java.rmi]

ConnectException class [java.rmi]

ConnectIOException class [java.rmi]

ExportException class [java.rmi.server]

SocketSecurityException class [java.rmi.server]

MarshalException class [java.rmi]

NoSuchObjectException class [java.rmi]

ServerError class [java.rmi]

ServerException class [java.rmi]

ServerRuntimeException class [java.rmi]

SkeletonMismatchException class [java.rmi.server]

SkeletonNotFoundException class [java.rmi.server]

StubNotFoundException class [java.rmi]

UnexpectedException class [java.rmi]

UnknownHostException class [java.rmi]

UnmarshalException class [java.rmi]

SocketException class [java.net]

BindException class [java.net]

ConnectException class [java.net]

NoRouteToHostException class [java.net]

SyncFailedException class [java.io]

UnknownHostException class [java.net]

UnknownServiceException class [java.net]

UnsupportedEncodingException class [java.io]

UTFDataFormatException class [java.io]

ZipException class [java.util.zip]

KeyException class [java.security]

InvalidKeyException class [java.security]

KeyManagementException class [java.security]

LastOwnerException class [java.security.acl]

NoSuchAlgorithmException class [java.security]

NoSuchFieldException class [java.lang]

NoSuchMethodException class [java.lang]

NoSuchProviderException class [java.security]

NotBoundException class [java.rmi]

NotOwnerException class [java.security.acl]

ParseException class [java.text]

PropertyVetoException class [java.beans]

RuntimeException class [java.lang]

ArithmeticException class [java.lang]

ArrayStoreException class [java.lang]

ClassCastException class [java.lang]

EmptyStackException class [java.util]

IllegalArgumentException class [java.lang]

IllegalThreadStateException class [java.lang]

InvalidParameterException class [java.security]

NumberFormatException class [java.lang]

IllegalMonitorStateException class [java.lang]

IllegalStateException class [java.lang]

IllegalComponentStateException class [java.awt]

IndexOutOfBoundsException class [java.lang]

ArrayIndexOutOfBoundsException class [java.lang]

StringIndexOutOfBoundsException class [java.lang]

MissingResourceException class [java.util]

NegativeArraySizeException class [java.lang]

NoSuchElementException class [java.util]

NullPointerException class [java.lang]

ProviderException class [java.security]

SecurityException class [java.lang]

RMISecurityException class [java.rmi]

ServerNotActiveException class [java.rmi.server]

SignatureException class [java.security]

SQLException class [java.sql]

SQLWarning class [java.sql]

DataTruncation class [java.sql]

TooManyListenersException class [java.util]

UnsupportedFlavorException class [java.awt.datatransfer]

TimeZone class [java.util]

SimpleTimeZone class [java.util]

Toolkit class [java.awt]

Types class [java.sql]

UID class [java.rmi.server]

URL class [java.net]

URLConnection class [java.net]

HttpURLConnection class [java.net]

URLEncoder class [java.net]

URLStreamHandler class [java.net]

Vector class [java.util]

Stack class [java.util]

VetoableChangeSupport class [java.beans]

VMID class [java.rmi.dgc]

Void class [java.lang]

WindowAdapter class [java.awt.event]

Writer class [java.io]

BufferedWriter class [java.io]

CharArrayWriter class [java.io]

FilterWriter class [java.io]

OutputStreamWriter class [java.io]

FileWriter class [java.io]

PipedWriter class [java.io]

PrintWriter class [java.io]

StringWriter class [java.io]

ZipEntry class [java.util.zip]

ZipFile class [java.util.zip]


Interface Hierarchy (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    Interface Hierarchy

ActiveEvent interface [java.awt.peer]

Adjustable interface [java.awt]

AppletContext interface [java.applet]

AppletStub interface [java.applet]

AudioClip interface [java.applet]

BeanInfo interface [java.beans]

Certificate interface [java.security]

Checksum interface [java.util.zip]

ClipboardOwner interface [java.awt.datatransfer]

Cloneable interface [java.lang]

AclEntry interface [java.security.acl]

CharacterIterator interface [java.text]

ComponentPeer interface [java.awt.peer]

ButtonPeer interface [java.awt.peer]

CanvasPeer interface [java.awt.peer]

CheckboxPeer interface [java.awt.peer]

ChoicePeer interface [java.awt.peer]

ContainerPeer interface [java.awt.peer]

PanelPeer interface [java.awt.peer]

ScrollPanePeer interface [java.awt.peer]

WindowPeer interface [java.awt.peer]

DialogPeer interface [java.awt.peer]

FileDialogPeer interface [java.awt.peer]

FramePeer interface [java.awt.peer]

LabelPeer interface [java.awt.peer]

LightweightPeer interface [java.awt.peer]

ListPeer interface [java.awt.peer]

ScrollbarPeer interface [java.awt.peer]

TextComponentPeer interface [java.awt.peer]

TextAreaPeer interface [java.awt.peer]

TextFieldPeer interface [java.awt.peer]

Connection interface [java.sql]

ContentHandlerFactory interface [java.net]

Customizer interface [java.beans]

DatabaseMetaData interface [java.sql]

DataInput interface [java.io]

ObjectInput interface [java.io]

DataOutput interface [java.io]

ObjectOutput interface [java.io]

Driver interface [java.sql]

DSAKey interface [java.security.interfaces]

DSAPrivateKey interface [java.security.interfaces]

DSAPublicKey interface [java.security.interfaces]

DSAKeyPairGenerator interface [java.security.interfaces]

DSAParams interface [java.security.interfaces]

Enumeration interface [java.util]

EventListener interface [java.util]

ActionListener interface [java.awt.event]

AdjustmentListener interface [java.awt.event]

ComponentListener interface [java.awt.event]

ContainerListener interface [java.awt.event]

FocusListener interface [java.awt.event]

ItemListener interface [java.awt.event]

KeyListener interface [java.awt.event]

MouseListener interface [java.awt.event]

MouseMotionListener interface [java.awt.event]

PropertyChangeListener interface [java.beans]

TextListener interface [java.awt.event]

VetoableChangeListener interface [java.beans]

WindowListener interface [java.awt.event]

FilenameFilter interface [java.io]

FileNameMap interface [java.net]

FontPeer interface [java.awt.peer]

ImageConsumer interface [java.awt.image]

ImageObserver interface [java.awt.image]

ImageProducer interface [java.awt.image]

ItemSelectable interface [java.awt]

LayoutManager interface [java.awt]

LayoutManager2 interface [java.awt]

LoaderHandler interface [java.rmi.server]

Member interface [java.lang.reflect]

MenuComponentPeer interface [java.awt.peer]

MenuBarPeer interface [java.awt.peer]

MenuItemPeer interface [java.awt.peer]

CheckboxMenuItemPeer interface [java.awt.peer]

MenuPeer interface [java.awt.peer]

PopupMenuPeer interface [java.awt.peer]

MenuContainer interface [java.awt]

ObjectInputValidation interface [java.io]

Observer interface [java.util]

Owner interface [java.security.acl]

Acl interface [java.security.acl]

Permission interface [java.security.acl]

Principal interface [java.security]

Group interface [java.security.acl]

PrintGraphics interface [java.awt]

PropertyEditor interface [java.beans]

RegistryHandler interface [java.rmi.registry]

Remote interface [java.rmi]

DGC interface [java.rmi.dgc]

Registry interface [java.rmi.registry]

RemoteCall interface [java.rmi.server]

ResultSet interface [java.sql]

ResultSetMetaData interface [java.sql]

RMIFailureHandler interface [java.rmi.server]

Runnable interface [java.lang]

Serializable interface [java.io]

Externalizable interface [java.io]

RemoteRef interface [java.rmi.server]

ServerRef interface [java.rmi.server]

Key interface [java.security]

PrivateKey interface [java.security]

PublicKey interface [java.security]

Shape interface [java.awt]

Skeleton interface [java.rmi.server]

SocketImplFactory interface [java.net]

Statement interface [java.sql]

PreparedStatement interface [java.sql]

CallableStatement interface [java.sql]

Transferable interface [java.awt.datatransfer]

Unreferenced interface [java.rmi.server]

URLStreamHandlerFactory interface [java.net]

Visibility interface [java.beans]


A-Z Reference (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
  A-Z Reference

 A

 B

 C

 D

 E

 F

 G

 H

 I

 J

 K

 L

 M

 N

 O

 P

 Q

 R

 S

 T

 U

 V

 W

 X

 Y

 Z


A  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    A

 abortGrabbing method [java.awt.image.PixelGrabber]

 abs method [java.lang.Math]

 abs method [java.math.BigDecimal]

 abs method [java.math.BigInteger]

 absolute property [java.io.File]

 absolutePath property [java.io.File]

 AbstractMethodError class [java.lang]

 accept method [java.net.ServerSocket]

 accept method [java.net.SocketImpl]

 AccessException class [java.rmi]

 Acl interface [java.security.acl]

 AclEntry interface [java.security.acl]

 AclNotFoundException class [java.security.acl]

 acos method [java.lang.Math]

 action method [java.awt.Component]

 actionCommand property [java.awt.Button]

 actionCommand property [java.awt.event.ActionEvent]

 actionCommand property [java.awt.MenuItem]

 ActionEvent class [java.awt.event]

 ActionEvent event [java.awt.Button]

 ActionEvent event [java.awt.List]

 ActionEvent event [java.awt.MenuItem]

 ActionEvent event [java.awt.TextField]

 actionKey property [java.awt.event.KeyEvent]

 ActionListener interface [java.awt.event]

 actionPerformed method [java.awt.AWTEventMulticaster]

 active property [java.applet.Applet]

 activeCount method [java.lang.Thread]

 activeCount method [java.lang.ThreadGroup]

 ActiveEvent interface [java.awt.peer]

 activeGroupCount method [java.lang.ThreadGroup]

 add method [java.awt.AWTEventMulticaster]

 add method [java.awt.Choice]

 add method [java.awt.Component]

 add method [java.awt.Container]

 add method [java.awt.List]

 add method [java.awt.Menu]

 add method [java.awt.MenuBar]

 add method [java.awt.Rectangle]

 add method [java.math.BigDecimal]

 add method [java.math.BigInteger]

 add method [java.util.Calendar]

 add method [java.util.GregorianCalendar]

 addCertificate method [java.security.Identity]

 addConsumer method [java.awt.image.FilteredImageSource]

 addConsumer method [java.awt.image.MemoryImageSource]

 addElement method [java.util.Vector]

 addIdentity method [java.security.IdentityScope]

 addImage method [java.awt.MediaTracker]

 addImpl method [java.awt.Container]

 addImpl method [java.awt.ScrollPane]

 addInternal method [java.awt.AWTEventMulticaster]

 addItem method [java.awt.Choice]

 addItem method [java.awt.List]

 additionalBeanInfo property [java.beans.SimpleBeanInfo]

 addLayoutComponent method [java.awt.BorderLayout]

 addLayoutComponent method [java.awt.CardLayout]

 addLayoutComponent method [java.awt.FlowLayout]

 addLayoutComponent method [java.awt.GridBagLayout]

 addLayoutComponent method [java.awt.GridLayout]

 addListenerMethod property [java.beans.EventSetDescriptor]

 addNotify method [java.awt.Button]

 addNotify method [java.awt.Canvas]

 addNotify method [java.awt.Checkbox]

 addNotify method [java.awt.CheckboxMenuItem]

 addNotify method [java.awt.Choice]

 addNotify method [java.awt.Component]

 addNotify method [java.awt.Container]

 addNotify method [java.awt.Dialog]

 addNotify method [java.awt.FileDialog]

 addNotify method [java.awt.Frame]

 addNotify method [java.awt.Label]

 addNotify method [java.awt.List]

 addNotify method [java.awt.Menu]

 addNotify method [java.awt.MenuBar]

 addNotify method [java.awt.MenuItem]

 addNotify method [java.awt.Panel]

 addNotify method [java.awt.PopupMenu]

 addNotify method [java.awt.Scrollbar]

 addNotify method [java.awt.ScrollPane]

 addNotify method [java.awt.TextArea]

 addNotify method [java.awt.TextField]

 addNotify method [java.awt.Window]

 addObserver method [java.util.Observable]

 addPoint method [java.awt.Polygon]

 addProvider method [java.security.Security]

 address property [java.net.DatagramPacket]

 address property [java.net.InetAddress]

 addSeparator method [java.awt.Menu]

 Adjustable interface [java.awt]

 adjustable property [java.awt.event.AdjustmentEvent]

 AdjustForGravity method [java.awt.GridBagLayout]

 AdjustmentEvent class [java.awt.event]

 AdjustmentEvent event [java.awt.Scrollbar]

 AdjustmentListener interface [java.awt.event]

 adjustmentType property [java.awt.event.AdjustmentEvent]

 adjustmentValueChanged method [java.awt.AWTEventMulticaster]

 adler property [java.util.zip.Deflater]

 adler property [java.util.zip.Inflater]

 Adler32 class [java.util.zip]

 after method [java.sql.Timestamp]

 after method [java.util.Calendar]

 after method [java.util.Date]

 after method [java.util.GregorianCalendar]

 algorithm property [java.security.KeyPairGenerator]

 algorithm property [java.security.MessageDigest]

 algorithm property [java.security.Signature]

 alignment property [java.awt.FlowLayout]

 alignment property [java.awt.Label]

 alignmentX property [java.awt.Component]

 alignmentX property [java.awt.Container]

 alignmentY property [java.awt.Component]

 alignmentY property [java.awt.Container]

 alive property [java.lang.Thread]

 allowsMultipleSelections method [java.awt.List]

 allowThreadSuspension method [java.lang.ThreadGroup]

 allowUserInteraction property [java.net.URLConnection]

 alpha property [java.awt.image.ColorModel]

 alpha property [java.awt.image.DirectColorModel]

 alpha property [java.awt.image.IndexColorModel]

 alphaMask property [java.awt.image.DirectColorModel]

 AlreadyBoundException class [java.rmi]

 altDown property [java.awt.event.InputEvent]

 amPmStrings property [java.text.DateFormatSymbols]

 and method [java.math.BigInteger]

 and method [java.util.BitSet]

 andNot method [java.math.BigInteger]

 animated property [java.awt.image.MemoryImageSource]

 annotateClass method [java.io.ObjectOutputStream]

 append method [java.awt.TextArea]

 append method [java.lang.StringBuffer]

 appendText method [java.awt.TextArea]

 Applet class [java.applet]

 AppletContext interface [java.applet]

 appletContext property [java.applet.Applet]

 appletInfo property [java.applet.Applet]

 AppletStub interface [java.applet]

 applyLocalizedPattern method [java.text.DecimalFormat]

 applyLocalizedPattern method [java.text.SimpleDateFormat]

 applyPattern method [java.text.ChoiceFormat]

 applyPattern method [java.text.DecimalFormat]

 applyPattern method [java.text.MessageFormat]

 applyPattern method [java.text.SimpleDateFormat]

 AreaAveragingScaleFilter class [java.awt.image]

 ArithmeticException class [java.lang]

 ArrangeGrid method [java.awt.GridBagLayout]

 Array class [java.lang.reflect]

 array property [java.lang.Class]

 arraycopy method [java.lang.System]

 ArrayIndexOutOfBoundsException class [java.lang]

 ArrayStoreException class [java.lang]

 ascent property [java.awt.FontMetrics]

 asin method [java.lang.Math]

 asText property [java.beans.PropertyEditorSupport]

 atan method [java.lang.Math]

 atan2 method [java.lang.Math]

 attributeNames method [java.beans.FeatureDescriptor]

 AudioClip interface [java.applet]

 available method [java.io.BufferedInputStream]

 available method [java.io.ByteArrayInputStream]

 available method [java.io.FileInputStream]

 available method [java.io.FilterInputStream]

 available method [java.io.InputStream]

 available method [java.io.LineNumberInputStream]

 available method [java.io.ObjectInputStream]

 available method [java.io.PipedInputStream]

 available method [java.io.PushbackInputStream]

 available method [java.io.SequenceInputStream]

 available method [java.io.StringBufferInputStream]

 available method [java.net.SocketImpl]

 availableIDs property [java.util.TimeZone]

 availableLocales property [java.text.BreakIterator]

 availableLocales property [java.text.Collator]

 availableLocales property [java.text.DateFormat]

 availableLocales property [java.text.NumberFormat]

 availableLocales property [java.util.Calendar]

 AWTError class [java.awt]

 AWTEvent class [java.awt]

 AWTEventMulticaster class [java.awt]

 AWTException class [java.awt]


abortGrabbing method [java.awt.image.PixelGrabber] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      abortGrabbing method [java.awt.image.PixelGrabber]

public synchronized void abortGrabbing( )

Request the PixelGrabber to abort the image fetch.

Applies to

 PixelGrabber [java.awt.image]


abs method [java.lang.Math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      abs method [java.lang.Math]

Overloads:

 float abs( float a )

 int abs( int a )

 double abs( double a )

 long abs( long a )

public static float abs( float a )

Returns the absolute value of a float value. If the argument is not negative, the argument is returned. If the argument is negative, the negation of the argument is returned.

Parameter

a

a float value.

Return

The absolute value of the argument.

public static int abs( int a )

Returns the absolute value of an int value. If the argument is not negative, the argument is returned. If the argument is negative, the negation of the argument is returned.

Note that if the argument is equal to the value of Integer.MIN_VALUE, the most negative representable int value, the result is that same value, which is negative.

Parameter

a

an int value.

Return

The absolute value of the argument.

public static double abs( double a )

Returns the absolute value of a double value. If the argument is not negative, the argument is returned. If the argument is negative, the negation of the argument is returned.

Parameter

a

a double value.

Return

The absolute value of the argument.

public static long abs( long a )

Returns the absolute value of a long value. If the argument is not negative, the argument is returned. If the argument is negative, the negation of the argument is returned.

Note that if the argument is equal to the value of Long.MIN_VALUE, the most negative representable long value, the result is that same value, which is negative.

Parameter

a

a long value.

Return

The absolute value of the argument.

Applies to

 Math [java.lang]


abs method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      abs method [java.math.BigDecimal]

public java.math.BigDecimal abs( )

Returns a BigDecimal whose value is the absolute value of this number, and whose scale is this.scale().

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


abs method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      abs method [java.math.BigInteger]

public java.math.BigInteger abs( )

Returns a BigInteger whose value is the absolute value of this number.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


absolute property [java.io.File] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      absolute property [java.io.File]

public native boolean isAbsolute( )

Tests if the file represented by this File object is an absolute pathname. The definition of an absolute pathname is system dependent. For example, on UNIX, a pathname is absolute if its first character is the separator character. On Windows platforms, a pathname is absolute if its first character is an ASCII '\' or '/', or if it begins with a letter followed by a colon.

Return

true if the pathname indicated by the File object is an absolute pathname; false otherwise.

See also

path property [java.io.File]

Applies to

 File [java.io]


absolutePath property [java.io.File] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      absolutePath property [java.io.File]

public java.lang.String getAbsolutePath( )

Returns the absolute pathname of the file represented by this object. If this object represents an absolute pathname, then return the pathname. Otherwise, return a pathname that is a concatenation of the current user directory, the separator character, and the pathname of this file object.

The system property user.dir contains the current user directory.

Return

A system-dependent absolute pathname for this File.

See also

path property [java.io.File]

absolute property [java.io.File]

getProperty method [java.lang.System]

Applies to

 File [java.io]


AbstractMethodError class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      AbstractMethodError class [java.lang]

Object

Throwable

Error

LinkageError

IncompatibleClassChangeError

AbstractMethodError

Description

Thrown when an application tries to call an abstract method. Normally, this error is caught by the compiler; this error can only occur at run time if the definition of some class has incompatibly changed since the currently executing method was last compiled.

Specification

public class AbstractMethodError extends java.lang.IncompatibleClassChangeError

Constructors

public AbstractMethodError( )

Constructs an AbstractMethodError with no detail  message.

public AbstractMethodError( java.lang.String s )

Constructs an AbstractMethodError with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


accept method [java.net.ServerSocket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      accept method [java.net.ServerSocket]

public java.net.Socket accept( ) throws java.io.IOException

Listens for a connection to be made to this socket and accepts it. The method blocks until a connection is made.

Return

No documentation supplied in JDK.

Throws

IOException

If an I/O error occurs when waiting for a connection.

Applies to

 ServerSocket [java.net]


accept method [java.net.SocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      accept method [java.net.SocketImpl]

protected abstract void accept( java.net.SocketImpl s ) throws java.io.IOException

Accepts a connection.

Parameter

s

the accepted connection.

Throws

IOException

If an I/O error occurs when accepting the connection.

Applies to

 SocketImpl [java.net]


AccessException class [java.rmi] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      AccessException class [java.rmi]

Object

Throwable

Exception

IOException

RemoteException

AccessException

Specification

public class AccessException extends java.rmi.RemoteException

Constructors

public AccessException( java.lang.String s )

Create a new AccessException with a description.

public AccessException( java.lang.String s, java.lang.Exception ex )

Create a new AccessException with a description and detail exception.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


Acl interface [java.security.acl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      Acl interface [java.security.acl]

Description

Interface representing an Access Control List (ACL).  An Access Control List is a data structure used to guard access to resources.

An ACL can be thought of as a data structure with multiple ACL entries.  Each ACL entry, of interface type AclEntry, contains a set of permissions associated with a particular principal. (A principal represents an entity such as an individual user or a group). Additionally, each ACL entry is specified as being either positive or negative. If positive, the permissions are to be granted to the associated principal. If negative, the permissions are to be denied.

The ACL Entries in each ACL observe the following rules:

•	Each principal can have at most one positive ACL entry and one negative entry; that is, multiple positive or negative ACL entries are not allowed for any principal.  Each entry specifies the set of permissions that are to be granted (if positive) or denied (if negative).

•	If there is no entry for a particular principal, then the principal is considered to have a null (empty) permission set.

•	If there is a positive entry that grants a principal a particular permission, and a negative entry that denies the principal the same permission, the result is as though the permission was never granted or denied.

•	Individual permissions always override permissions of the group(s) to which the individual belongs. That is, individual negative permissions (specific denial of permissions) override the groups' positive permissions. And individual positive permissions override the groups' negative permissions.

The java.security.acl  package provides the interfaces to the ACL and related data structures (ACL entries, groups, permissions, etc.), and the sun.security.acl  classes provide a default implementation of the interfaces. For example, java.security.acl.Acl  provides the interface to an ACL and the sun.security.acl.AclImpl  class provides the default implementation of the interface.

The java.security.acl.Acl  interface extends the java.security.acl.Owner  interface. The Owner interface is used to maintain a list of owners for each ACL.  Only owners are allowed to modify an ACL. For example, only an owner can call the ACL's addEntry method to add a new ACL entry to the ACL.

Definition

public interface Acl extends java.security.acl.Owner

{

  // Properties

  public java.lang.String getName( );

  // Methods

  public void setName( java.security.Principal caller, java.lang.String name ) throws java.security.acl.NotOwnerException;

  public boolean addEntry( java.security.Principal caller, java.security.acl.AclEntry entry ) throws java.security.acl.NotOwnerException;

  public boolean removeEntry( java.security.Principal caller, java.security.acl.AclEntry entry ) throws java.security.acl.NotOwnerException;

  public java.util.Enumeration getPermissions( java.security.Principal user );

  public java.util.Enumeration entries( );

  public boolean checkPermission( java.security.Principal principal, java.security.acl.Permission permission );

  public java.lang.String toString( );

}

Properties

public java.lang.String getName( )

Returns the name of this ACL.

Return

The name of this ACL.

Methods

public void setName( java.security.Principal caller, java.lang.String name ) throws java.security.acl.NotOwnerException

Sets the name of this ACL.

Parameters

caller

the principal invoking this method. It must be an owner of this ACL.

name

the name to be given to this ACL.

Throws

NotOwnerException

If the caller principal is not an owner of this ACL.

public boolean addEntry( java.security.Principal caller, java.security.acl.AclEntry entry ) throws java.security.acl.NotOwnerException

Adds an ACL entry to this ACL. An entry associates a principal (e.g., an individual or a group) with a set of permissions. Each principal can have at most one positive ACL entry (specifying permissions to be granted to the principal) and one negative ACL entry (specifying permissions to be denied). If there is already an ACL entry of the same type (negative or positive) already in the ACL, false is returned.

Parameters

caller

the principal invoking this method. It must be an owner of this ACL.

entry

the ACL entry to be added to this ACL.

Return

True on success, false if an entry of the same type (positive or negative) for the same principal is already present in this ACL.

Throws

NotOwnerException

If the caller principal is not an owner of this ACL.

public boolean removeEntry( java.security.Principal caller, java.security.acl.AclEntry entry ) throws java.security.acl.NotOwnerException

Removes an ACL entry from this ACL.

Parameters

caller

the principal invoking this method. It must be an owner of this ACL.

entry

the ACL entry to be removed from this ACL.

Return

True on success, false if the entry is not part of this ACL.

Throws

NotOwnerException

If the caller principal is not an owner of this Acl.

public java.util.Enumeration getPermissions( java.security.Principal user )

Returns an enumeration for the set of allowed permissions for the specified principal (representing an entity such as an individual or a group). This set of allowed permissions is calculated as follows:

•	If there is no entry in this Access Control List for the specified principal, an empty permission set is returned.

•	Otherwise, the principal's group permission sets are determined. (A principal can belong to one or more groups, where a group is a group of principals, represented by the Group interface.) The group positive permission set is the union of all the positive permissions of each group that the principal belongs to. The group negative permission set is the union of all the negative permissions of each group that the principal belongs to. If there is a specific permission that occurs in both the positive permission set and the negative permission set, it is removed from both.

The individual positive and negative permission sets are also determined. The positive permission set contains the permissions specified in the positive ACL entry (if any) for the principal. Similarly, the negative permission set contains the permissions specified in the negative ACL entry (if any) for the principal. The individual positive (or negative) permission set is considered to be null if there is not a positive (negative) ACL entry for the principal in this ACL.

The set of permissions granted to the principal is then calculated using the simple rule that individual permissions always override the group permissions. That is, the principal's individual negative permission set (specific denial of permissions) overrides the group positive permission set, and the principal's individual positive permission set overrides the group negative permission set.

Parameter

user

the principal whose permission set is to be returned.

Return

The permission set specifying the permissions the principal is allowed.

public java.util.Enumeration entries( )

Returns an enumeration of the entries in this ACL. Each element in the enumeration is of type AclEntry.

Return

An enumeration of the entries in this ACL.

public boolean checkPermission( java.security.Principal principal, java.security.acl.Permission permission )

Checks whether or not the specified principal has the specified permission. If it does, true is returned, otherwise false is returned. More specifically, this method checks whether the passed permission is a member of the allowed permission set of the specified principal. The allowed permission set is determined by the same algorithm as is used by the getPermissions method.

Parameters

principal

the principal, assumed to be a valid authenticated Principal.

permission

the permission to be checked for.

Return

True if the principal has the specified permission, false otherwise.

See also

Acl interface [java.security.acl]

public java.lang.String toString( )

Returns a string representation of the ACL contents.

Return

A string representation of the ACL contents.

See also

AclEntry interface [java.security.acl]

Owner interface [java.security.acl]

Acl interface [java.security.acl]


AclEntry interface [java.security.acl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      AclEntry interface [java.security.acl]

Description

This is the interface used for representing one entry in an Access Control List (ACL).

An ACL can be thought of as a data structure with multiple ACL entry objects. Each ACL entry object contains a set of permissions associated with a particular principal. (A principal represents an entity such as an individual user or a group). Additionally, each ACL entry is specified as being either positive or negative. If positive, the permissions are to be granted to the associated principal. If negative, the permissions are to be denied. Each principal can have at most one positive ACL entry and one negative entry; that is, multiple positive or negative ACL entries are not allowed for any principal. Note: ACL entries are by default positive. An entry becomes a negative entry only if the setNegativePermissions method is called on it.

Definition

public interface AclEntry extends java.lang.Cloneable

{

  // Properties

  public java.security.Principal getPrincipal( );

  public boolean isNegative( );

  // Methods

  public boolean setPrincipal( java.security.Principal user );

  public void setNegativePermissions( );

  public boolean addPermission( java.security.acl.Permission permission );

  public boolean removePermission( java.security.acl.Permission permission );

  public boolean checkPermission( java.security.acl.Permission permission );

  public java.util.Enumeration permissions( );

  public java.lang.String toString( );

  public java.lang.Object clone( );

}

Properties

public java.security.Principal getPrincipal( )

Returns the principal for which permissions are granted or denied by this ACL entry. Returns null if there is no principal set for this entry yet.

Return

The principal associated with this entry.

public boolean isNegative( )

Returns true if this is a negative ACL entry (one denying the associated principal the set of permissions in the entry), false otherwise.

Return

True if this is a negative ACL entry, false if it's not.

Methods

public boolean setPrincipal( java.security.Principal user )

Specifies the principal for which permissions are granted or denied by this ACL entry. If a principal was already set for this ACL entry, false is returned, otherwise true is returned.

Parameter

user

the principal to be set for this entry.

Return

True if the principal is set, false if there was already a principal set for this entry.

public void setNegativePermissions( )

Sets this ACL entry to be a negative one. That is, the associated principal (e.g., a user or a group) will be denied the permission set specified in the entry. Note: ACL entries are by default positive. An entry becomes a negative entry only if this setNegativePermissions method is called on it.

public boolean addPermission( java.security.acl.Permission permission )

Adds the specified permission to this ACL entry. Note: An entry can have multiple permissions.

Parameter

permission

the permission to be associated with the principal in this entry.

Return

True if the permission was added, false if the permission was already part of this entry's permission set.

public boolean removePermission( java.security.acl.Permission permission )

Removes the specified permission from this ACL entry.

Parameter

permission

the permission to be removed from this entry.

Return

True if the permission is removed, false if the permission was not part of this entry's permission set.

public boolean checkPermission( java.security.acl.Permission permission )

Checks if the specified permission is part of the permission set in this entry.

Parameter

permission

the permission to be checked for.

Return

True if the permission is part of the permission set in this entry, false otherwise.

public java.util.Enumeration permissions( )

Returns an enumeration of the permissions in this ACL entry.

Return

An enumeration of the permissions in this ACL entry.

public java.lang.String toString( )

Returns a string representation of the contents of this ACL entry.

Return

A string representation of the contents.

public java.lang.Object clone( )

Clones this ACL entry.

Return

A clone of this ACL entry.

See also

Acl interface [java.security.acl]


AclNotFoundException class [java.security.acl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      AclNotFoundException class [java.security.acl]

Object

Throwable

Exception

AclNotFoundException

Description

This is an exception that is thrown whenever a reference is made to a non-existent ACL (Access Control List).

Specification

public class AclNotFoundException extends java.lang.Exception

Constructor

public AclNotFoundException( )

Constructs an AclNotFoundException.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


acos method [java.lang.Math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      acos method [java.lang.Math]

public static native double acos( double a )

Returns the arc cosine of an angle, in the range of 0.0 through pi .

Parameter

a

an angle, in radians.

Return

The arc cosine of the argument.

Applies to

 Math [java.lang]


action method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      action method [java.awt.Component]

public boolean action( java.awt.Event evt, java.lang.Object what )

Note: action has been deprecated. As of JDK version 1.1, should register this component as ActionListener on component which fires action events.

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


actionCommand property [java.awt.Button] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      actionCommand property [java.awt.Button]

public java.lang.String getActionCommand( )

Returns the command name of the action event fired by this button.

Return

No documentation supplied in JDK.

public void setActionCommand( java.lang.String command )

Sets the command name for the action event fired by this button. By default this action command is set to match the label of the button.

Parameter

command

A string used to set the buttons action command.

See also

ActionEvent class [java.awt.event]

Applies to

 Button [java.awt]


actionCommand property [java.awt.event.ActionEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      actionCommand property [java.awt.event.ActionEvent]

public java.lang.String getActionCommand( )

Returns the command name associated with this action.

Return

No documentation supplied in JDK.

Applies to

 ActionEvent [java.awt.event]


actionCommand property [java.awt.MenuItem] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      actionCommand property [java.awt.MenuItem]

public java.lang.String getActionCommand( )

Gets the command name of the action event that is fired by this menu item.

Return

No documentation supplied in JDK.

public void setActionCommand( java.lang.String command )

Sets the command name of the action event that is fired by this menu item.

By default, the action command is set to the label of the menu item.

Parameter

command

the action command to be set for this menu item.

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


ActionEvent class [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      ActionEvent class [java.awt.event]

Object

EventObject

AWTEvent

ActionEvent

Description

The action semantic event.

Specification

public class ActionEvent extends java.awt.AWTEvent

Constructors

public ActionEvent( java.lang.Object source, int id, java.lang.String command )

Constructs an ActionEvent object with the specified source object.

Parameters

source

the object where the event originated

id

the type of event

command

the command string for this action event

public ActionEvent( java.lang.Object source, int id, java.lang.String command, int modifiers )

Constructs an ActionEvent object with the specified source object.

Parameters

source

the object where the event originated

id

the type of event

command

the command string for this action event

modifiers

the modifiers held down during this action

Variables

public static final int SHIFT_MASK

The shift modifier constant.

public static final int CTRL_MASK

The control modifier constant.

public static final int META_MASK

The meta modifier constant.

public static final int ALT_MASK

The alt modifier constant.

public static final int ACTION_FIRST

Marks the first integer id for the range of action event ids.

public static final int ACTION_LAST

Marks the last integer id for the range of action event ids.

public static final int ACTION_PERFORMED

An action performed event type.

Properties

  java.lang.String getActionCommand( )

  int getModifiers( )

Inherited Properties

  native final java.lang.Class getClass( )

  int getID( )

  java.lang.Object getSource( )

Protected Properties

 protected boolean isConsumed( )

Methods

  java.lang.String paramString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void consume( )

 protected void finalize( ) throws java.lang.Throwable

See also

ActionListener interface [java.awt.event]


ActionEvent event [java.awt.Button] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      ActionEvent event [java.awt.Button]

public synchronized void addActionListener( java.awt.event.ActionListener l )

Adds the specified action listener to receive action events from this button. Action events occur when a user presses or releases the mouse over this button.

Parameter

l

the action listener.

See also

ActionListener interface [java.awt.event]

public synchronized void removeActionListener( java.awt.event.ActionListener l )

Removes the specified action listener so that it no longer receives action events from this button. Action events occur when a user presses or releases the mouse over this button.

Parameter

l

the action listener.

See also

ActionListener interface [java.awt.event]

Applies to

 Button [java.awt]


ActionEvent event [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      ActionEvent event [java.awt.List]

public synchronized void addActionListener( java.awt.event.ActionListener l )

Adds the specified action listener to receive action events from this list. Action events occur when a user double-clicks on a list item.

Parameter

l

the action listener.

See also

ActionEvent class [java.awt.event]

ActionListener interface [java.awt.event]

public synchronized void removeActionListener( java.awt.event.ActionListener l )

Removes the specified action listener so that it no longer receives action events from this list. Action events occur when a user double-clicks on a list item.

Parameter

l

the action listener.

See also

ActionEvent class [java.awt.event]

ActionListener interface [java.awt.event]

Applies to

 List [java.awt]


ActionEvent event [java.awt.MenuItem] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      ActionEvent event [java.awt.MenuItem]

public synchronized void addActionListener( java.awt.event.ActionListener l )

Adds the specified action listener to receive action events from this menu item.

Parameter

l

the action listener.

See also

ActionEvent class [java.awt.event]

ActionListener interface [java.awt.event]

public synchronized void removeActionListener( java.awt.event.ActionListener l )

Removes the specified action listener so it no longer receives action events from this menu item.

Parameter

l

the action listener.

See also

ActionEvent class [java.awt.event]

ActionListener interface [java.awt.event]

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


ActionEvent event [java.awt.TextField] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      ActionEvent event [java.awt.TextField]

public synchronized void addActionListener( java.awt.event.ActionListener l )

Adds the specified action listener to recieve action events from this text field.

Parameter

l

the action listener.

public synchronized void removeActionListener( java.awt.event.ActionListener l )

Removes the specified action listener so that it no longer receives action events from this text field.

Parameter

l

the action listener.

Applies to

 TextField [java.awt]


actionKey property [java.awt.event.KeyEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      actionKey property [java.awt.event.KeyEvent]

public boolean isActionKey( )

Returns whether or not the key in this event is an "action" key, as defined in Event.java.

Return

No documentation supplied in JDK.

Applies to

 KeyEvent [java.awt.event]


ActionListener interface [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      ActionListener interface [java.awt.event]

Description

The listener interface for receiving action events.

Definition

public interface ActionListener extends java.util.EventListener

{

  // Methods

  public void actionPerformed( java.awt.event.ActionEvent e );

}

Methods

public void actionPerformed( java.awt.event.ActionEvent e )

Invoked when an action occurs.

Implemented by

AWTEventMulticaster [java.awt]


actionPerformed method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      actionPerformed method [java.awt.AWTEventMulticaster]

public void actionPerformed( java.awt.event.ActionEvent e )

Handles the actionPerformed event by invoking the actionPerformed methods on listener-a and listener-b.

Parameter

e

the action event

Applies to

 AWTEventMulticaster [java.awt]


active property [java.applet.Applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      active property [java.applet.Applet]

public boolean isActive( )

Determines if this applet is active. An applet is marked active just before its start method is called. It becomes inactive immediately after its stop method is called.

Return

true if the applet is active; false otherwise.

See also

start method [java.applet.Applet]

stop method [java.applet.Applet]

Applies to

 Applet [java.applet]


activeCount method [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      activeCount method [java.lang.Thread]

public static int activeCount( )

Returns the current number of active threads in this thread group.

Return

The current number of threads in this thread's thread group.

Applies to

 Thread [java.lang]


activeCount method [java.lang.ThreadGroup] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      activeCount method [java.lang.ThreadGroup]

public int activeCount( )

Returns an estimate of the number of active threads in this thread group.

Return

The number of active threads in this thread group and in any other thread group that has this thread group as an ancestor.

Applies to

 ThreadGroup [java.lang]


ActiveEvent interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      ActiveEvent interface [java.awt.peer]

Description

An interface for events that know how dispatch themselves. By implementing this interface an event can be placed upon the event queue and this method will be called to dispatch the event.  This allows objects that are not components to arrange for behavior to occur on a different thread from the current thread. Peer implementations can use this facility to avoid making upcalls that could potentially cause a deadlock.

Definition

public interface ActiveEvent

{

  // Methods

  public void dispatch( );

}

Methods

public void dispatch( )

Dispatch the event to it's target, listeners of the events source, or do whatever it is this event is supposed to do.


activeGroupCount method [java.lang.ThreadGroup] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      activeGroupCount method [java.lang.ThreadGroup]

public int activeGroupCount( )

Returns an estimate of the number of active groups in this thread group.

Return

The number of active thread groups with this thread group as an ancestor.

Applies to

 ThreadGroup [java.lang]


add method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      add method [java.awt.AWTEventMulticaster]

Overloads:

 ComponentListener add( ComponentListener a, ComponentListener b )

 ContainerListener add( ContainerListener a, ContainerListener b )

 FocusListener add( FocusListener a, FocusListener b )

 KeyListener add( KeyListener a, KeyListener b )

 MouseListener add( MouseListener a, MouseListener b )

 TextListener add( TextListener a, TextListener b )

 AdjustmentListener add( AdjustmentListener a, AdjustmentListener b )

 ItemListener add( ItemListener a, ItemListener b )

 ActionListener add( ActionListener a, ActionListener b )

 WindowListener add( WindowListener a, WindowListener b )

 MouseMotionListener add( MouseMotionListener a, MouseMotionListener b )

public static java.awt.event.ComponentListener add( java.awt.event.ComponentListener a, java.awt.event.ComponentListener b )

Adds component-listener-a with component-listener-b and returns the resulting multicast listener.

Parameters

a

component-listener-a

b

component-listener-b

Return

No documentation supplied in JDK.

public static java.awt.event.ContainerListener add( java.awt.event.ContainerListener a, java.awt.event.ContainerListener b )

Adds container-listener-a with container-listener-b and returns the resulting multicast listener.

Parameters

a

container-listener-a

b

container-listener-b

Return

No documentation supplied in JDK.

public static java.awt.event.FocusListener add( java.awt.event.FocusListener a, java.awt.event.FocusListener b )

Adds focus-listener-a with focus-listener-b and returns the resulting multicast listener.

Parameters

a

focus-listener-a

b

focus-listener-b

Return

No documentation supplied in JDK.

public static java.awt.event.KeyListener add( java.awt.event.KeyListener a, java.awt.event.KeyListener b )

Adds key-listener-a with key-listener-b and returns the resulting multicast listener.

Parameters

a

key-listener-a

b

key-listener-b

Return

No documentation supplied in JDK.

public static java.awt.event.MouseListener add( java.awt.event.MouseListener a, java.awt.event.MouseListener b )

Adds mouse-listener-a with mouse-listener-b and returns the resulting multicast listener.

Parameters

a

mouse-listener-a

b

mouse-listener-b

Return

No documentation supplied in JDK.

public static java.awt.event.TextListener add( java.awt.event.TextListener a, java.awt.event.TextListener b )

public static java.awt.event.AdjustmentListener add( java.awt.event.AdjustmentListener a, java.awt.event.AdjustmentListener b )

Adds adjustment-listener-a with adjustment-listener-b and returns the resulting multicast listener.

Parameters

a

adjustment-listener-a

b

adjustment-listener-b

Return

No documentation supplied in JDK.

public static java.awt.event.ItemListener add( java.awt.event.ItemListener a, java.awt.event.ItemListener b )

Adds item-listener-a with item-listener-b and returns the resulting multicast listener.

Parameters

a

item-listener-a

b

item-listener-b

Return

No documentation supplied in JDK.

public static java.awt.event.ActionListener add( java.awt.event.ActionListener a, java.awt.event.ActionListener b )

Adds action-listener-a with action-listener-b and returns the resulting multicast listener.

Parameters

a

action-listener-a

b

action-listener-b

Return

No documentation supplied in JDK.

public static java.awt.event.WindowListener add( java.awt.event.WindowListener a, java.awt.event.WindowListener b )

Adds window-listener-a with window-listener-b and returns the resulting multicast listener.

Parameters

a

window-listener-a

b

window-listener-b

Return

No documentation supplied in JDK.

public static java.awt.event.MouseMotionListener add( java.awt.event.MouseMotionListener a, java.awt.event.MouseMotionListener b )

Adds mouse-motion-listener-a with mouse-motion-listener-b and returns the resulting multicast listener.

Parameters

a

mouse-motion-listener-a

b

mouse-motion-listener-b

Return

No documentation supplied in JDK.

Applies to

 AWTEventMulticaster [java.awt]


add method [java.awt.Choice] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      add method [java.awt.Choice]

Inherited overloads:

 void add( PopupMenu popup )

public void add( java.lang.String item )

Adds an item to this Choice menu.

Parameter

item

the item to be added

Throws

NullPointerException

If the items value is null.

Applies to

 Choice [java.awt]


add method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      add method [java.awt.Component]

public synchronized void add( java.awt.PopupMenu popup )

Adds the specified popup menu to the component.

Parameter

popup

the popup menu to be added to the component.

See also

remove method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


add method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      add method [java.awt.Container]

Overloads:

 void add( Component comp, Object constraints, int index )

 Component add( Component comp )

 Component add( Component comp, int index )

 void add( Component comp, Object constraints )

 Component add( String name, Component comp )

Inherited overloads:

 void add( PopupMenu popup )

public void add( java.awt.Component comp, java.lang.Object constraints, int index )

Adds the specified component to this container with the specified constraints at the specified index.  Also notifies the layout manager to add the component to the this container's layout using the specified constraints object.

Parameters

comp

the component to be added

constraints

an object expressing layout contraints for this

index

the position in the containers list at which to insert the component. -1 means insert at the end. component

See also

remove method [java.awt.Component]

LayoutManager interface [java.awt]

public java.awt.Component add( java.awt.Component comp )

Adds the specified component to the end of this container.

Parameter

comp

the component to be added.

Return

The component argument.

public java.awt.Component add( java.awt.Component comp, int index )

Adds the specified component to this container at the given position.

Parameters

comp

the component to be added.

index

the position at which to insert the component, or -1 to insert the component at the end.

Return

The component comp.

See also

remove method [java.awt.Component]

public void add( java.awt.Component comp, java.lang.Object constraints )

Adds the specified component to the end of this container. Also notifies the layout manager to add the component to this container's layout using the specified constraints object.

Parameters

comp

the component to be added

constraints

an object expressing layout contraints for this component

See also

LayoutManager interface [java.awt]

public java.awt.Component add( java.lang.String name, java.awt.Component comp )

Adds the specified component to this container. It is strongly advised to use the 1.1 method, add(Component, Object), in place of this method.

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


add method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      add method [java.awt.List]

Overloads:

 void add( String item )

 void add( String item, int index )

Inherited overloads:

 void add( PopupMenu popup )

public void add( java.lang.String item )

Adds the specified item to the end of scrolling list.

Parameter

item

the item to be added.

public void add( java.lang.String item, int index )

Adds the specified item to the end of the scrolling list. The index is zero-based. If value of the index is -1 then the item is added to the end. If value of the index is greater than the number of items in the list, the item is added at the end.

Parameters

item

the item to be added.

index

the position at which to add the item.

Applies to

 List [java.awt]


add method [java.awt.Menu] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      add method [java.awt.Menu]

Overloads:

 MenuItem add( MenuItem mi )

 void add( String label )

public java.awt.MenuItem add( java.awt.MenuItem mi )

Adds the specified menu item to this menu. If the menu item has been part of another menu, remove it from that menu.

Parameter

mi

the menu item to be added.

Return

The menu item added.

See also

insert method [java.awt.Menu]

public void add( java.lang.String label )

Adds an item with the specified label to this menu.

Parameter

label

the text on the item.

See also

insert method [java.awt.Menu]

Applies to

 Menu [java.awt]

 PopupMenu [java.awt]


add method [java.awt.MenuBar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      add method [java.awt.MenuBar]

public java.awt.Menu add( java.awt.Menu m )

Adds the specified menu to the menu bar.

Parameter

m

the menu to be added.

Return

The menu added.

See also

remove method [java.awt.MenuBar]

Applies to

 MenuBar [java.awt]


add method [java.awt.Rectangle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      add method [java.awt.Rectangle]

Overloads:

 void add( int newx, int newy )

 void add( Rectangle r )

 void add( Point pt )

public void add( int newx, int newy )

Adds a point, specified by the integer arguments newx and newy, to this rectangle. The resulting rectangle is the smallest rectangle that contains both the original rectangle and the specified point.

After adding a point, a call to contains with the added point as an argument will not necessarily return true. The contains method does not return true for points on the right or bottom edges of a rectangle. Therefore if the added point falls on the left or bottom edge of the enlarged rectangle, contains will return false for that point.

Parameters

newx

the x coordinate of the new point.

newy

the y coordinate of the new point.

public void add( java.awt.Rectangle r )

Adds a rectangle to this rectangle. The resulting rectangle is the union of the two rectangles.

Parameter

a

rectangle.

public void add( java.awt.Point pt )

Adds the point pt to this rectangle. The resulting rectangle is the smallest rectangle that contains both the original rectangle and the specified point.

After adding a point, a call to contains with the added point as an argument will not necessarily return true. The contains method does not return true for points on the right or bottom edges of a rectangle. Therefore if the added point falls on the left or bottom edge of the enlarged rectangle, contains will return false for that point.

Parameter

pt

the new point to add to the rectangle.

Applies to

 Rectangle [java.awt]


add method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      add method [java.math.BigDecimal]

public java.math.BigDecimal add( java.math.BigDecimal val )

Returns a BigDecimal whose value is (this + val), and whose scale is MAX(this.scale(), val.scale).

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


add method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      add method [java.math.BigInteger]

public java.math.BigInteger add( java.math.BigInteger val ) throws java.lang.ArithmeticException

Returns a BigInteger whose value is (this + val).

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


add method [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      add method [java.util.Calendar]

public abstract void add( int field, int amount )

Date Arithmetic function. Adds the specified (signed) amount of time to the given time field, based on the calendar's rules. For example, to subtract 5 days from the current time of the calendar, you can achieve it by calling:

add(Calendar.DATE, -5).

Parameters

field

the time field.

amount

the amount of date or time to be added to the field.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


add method [java.util.GregorianCalendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      add method [java.util.GregorianCalendar]

Overloads:

 void add( int field, int amount ) overrides add method [java.util.Calendar]

public void add( int field, int amount )

Overrides Calendar Date Arithmetic function. Adds the specified (signed) amount of time to the given time field, based on the calendar's rules.

Parameters

field

the time field.

amount

the amount of date or time to be added to the field.

Throws

IllegalArgumentException

If an unknown field is given.

Applies to

 GregorianCalendar [java.util]


addCertificate method [java.security.Identity] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addCertificate method [java.security.Identity]

public void addCertificate( java.security.Certificate certificate ) throws java.security.KeyManagementException

Adds a certificate for this identity. If the identity has a public key, the public key in the certificate must be the same, and if the identity does not have a public key, the identity's public key is set to be that specified in the certificate.

Parameter

certificate

the certificate to be added.

Throws

KeyManagementException

If the certificate is not valid, if the public key in the certificate being added conflicts with this identity's public key, or if another exception occurs.

Applies to

 Identity [java.security]

 IdentityScope [java.security]

 Signer [java.security]


addConsumer method [java.awt.image.FilteredImageSource] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addConsumer method [java.awt.image.FilteredImageSource]

public synchronized void addConsumer( java.awt.image.ImageConsumer ic )

Adds an ImageConsumer to the list of consumers interested in data for this image.

See also

ImageConsumer interface [java.awt.image]

Applies to

 FilteredImageSource [java.awt.image]


addConsumer method [java.awt.image.MemoryImageSource] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addConsumer method [java.awt.image.MemoryImageSource]

public synchronized void addConsumer( java.awt.image.ImageConsumer ic )

Adds an ImageConsumer to the list of consumers interested in data for this image.

See also

ImageConsumer interface [java.awt.image]

Applies to

 MemoryImageSource [java.awt.image]


addElement method [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addElement method [java.util.Vector]

public final synchronized void addElement( java.lang.Object obj )

Adds the specified component to the end of this vector, increasing its size by one. The capacity of this vector is increased if its size becomes greater than its capacity.

Parameter

obj

the component to be added.

Applies to

 Stack [java.util]

 Vector [java.util]


addIdentity method [java.security.IdentityScope] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addIdentity method [java.security.IdentityScope]

public abstract void addIdentity( java.security.Identity identity ) throws java.security.KeyManagementException

Adds an identity to this identity scope.

Parameter

identity

the identity to be added.

Throws

KeyManagementException

If the identity is not valid, a name conflict occurs, another identity has the same public key as the identity being added, or another exception occurs.

Applies to

 IdentityScope [java.security]


addImage method [java.awt.MediaTracker] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addImage method [java.awt.MediaTracker]

Overloads:

 void addImage( Image image, int id )

 void addImage( Image image, int id, int w, int h )

public void addImage( java.awt.Image image, int id )

Adds an image to the list of images being tracked by this media tracker. The image will eventually be rendered at its default (unscaled) size.

Parameters

image

the image to be tracked.

id

an identifier used to track this image.

public synchronized void addImage( java.awt.Image image, int id, int w, int h )

Adds a scaled image to the list of images being tracked by this media tracker. The image will eventually be rendered at the indicated width and height.

Parameters

image

the image to be tracked.

id

an identifier that can be used to track this image.

w

the width at which the image is rendered.

h

the height at which the image is rendered.

Applies to

 MediaTracker [java.awt]


addImpl method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addImpl method [java.awt.Container]

protected void addImpl( java.awt.Component comp, java.lang.Object constraints, int index )

Adds the specified component to this container at the specified index. This method also notifies the layout manager to add the component to this container's layout using the specified constraints object.

This is the method to override if a program needs to track every add request to a container. An overriding method should usually include a call to the superclass's version of the method:

super.addImpl(comp, constraints, index)

Parameters

comp

the component to be added.

constraints

an object expressing layout contraints for this component.

index

the position in the containers list at which to insert the component, where -1 means insert at the end.

See also

add method [java.awt.Component]

LayoutManager interface [java.awt]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


addImpl method [java.awt.ScrollPane] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addImpl method [java.awt.ScrollPane]

Overloads:

 void addImpl( Component comp, Object constraints, int index ) overrides addImpl method [java.awt.Container]

protected final void addImpl( java.awt.Component comp, java.lang.Object constraints, int index )

Adds the specified component to this scroll pane container. If the scroll pane has an existing child component, that component is removed and the new one is added.

Parameters

comp

the component to be added

constraints

not applicable

index

position of child component (must be <= 0)

Applies to

 ScrollPane [java.awt]


addInternal method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addInternal method [java.awt.AWTEventMulticaster]

protected static java.util.EventListener addInternal( java.util.EventListener a, java.util.EventListener b )

Returns the resulting multicast listener from adding listener-a and listener-b together. If listener-a is null, it returns listener-b; If listener-b is null, it returns listener-a If neither are null, then it creates and returns a new AWTEventMulticaster instance which chains a with b.

Parameters

a

event listener-a

b

event listener-b

Return

No documentation supplied in JDK.

Applies to

 AWTEventMulticaster [java.awt]


addItem method [java.awt.Choice] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addItem method [java.awt.Choice]

public synchronized void addItem( java.lang.String item )

Adds an item to this Choice.

Parameter

item

the item to be added

Throws

NullPointerException

If the items value is equal to null.

Applies to

 Choice [java.awt]


addItem method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addItem method [java.awt.List]

Overloads:

 void addItem( String item )

 void addItem( String item, int index )

public void addItem( java.lang.String item )

Adds the specified item to the end of scrolling list.

Parameter

item

the item to be added.

public synchronized void addItem( java.lang.String item, int index )

Adds the specified item to the end of the scrolling list. The index is zero-based. If value of the index is -1 then the item is added to the end. If value of the index is greater than the number of items in the list, the item is added at the end.

Parameters

item

the item to be added.

index

the position at which to add the item.

Applies to

 List [java.awt]


additionalBeanInfo property [java.beans.SimpleBeanInfo] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      additionalBeanInfo property [java.beans.SimpleBeanInfo]

public java.beans.BeanInfo[] getAdditionalBeanInfo( )

Claim there are no other relevant BeanInfo objects.  You may override this if you want to (for example) return a BeanInfo for a base class.

Return

No documentation supplied in JDK.

Applies to

 SimpleBeanInfo [java.beans]


addLayoutComponent method [java.awt.BorderLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addLayoutComponent method [java.awt.BorderLayout]

Overloads:

 void addLayoutComponent( Component comp, Object constraints )

 void addLayoutComponent( String name, Component comp )

public void addLayoutComponent( java.awt.Component comp, java.lang.Object constraints )

Adds the specified component to the layout, using the specified constraint object.  For border layouts, the constraint must be one of the following strings:  "North", "South", "East", "West", or "Center".

Most applications do not call this method directly. This method is called when a component is added to a container using the Container.add method with the same argument types.

Parameters

comp

the component to be added.

constraints

an object that specifies how and where the component is added to the layout.

Throws

IllegalArgumentException

If the constraint object is not a string, or if it not one of the five specified strings.

See also

add method [java.awt.Component]

public void addLayoutComponent( java.lang.String name, java.awt.Component comp )

Note: addLayoutComponent has been deprecated. Replaced by addLayoutComponent(Component, Object).

No documentation supplied in JDK

Applies to

 BorderLayout [java.awt]


addLayoutComponent method [java.awt.CardLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addLayoutComponent method [java.awt.CardLayout]

Overloads:

 void addLayoutComponent( Component comp, Object constraints )

 void addLayoutComponent( String name, Component comp )

public void addLayoutComponent( java.awt.Component comp, java.lang.Object constraints )

Adds the specified component to this card layout's internal table of names. The object specified by constraints must be a string. The card layout stores this string as a key-value pair that can be used for random access to a particular card. By calling the show method, an application can display the component with the specified name.

Parameters

comp

the component to be added.

constraints

a tag that identifies a particular card in the layout.

Throws

IllegalArgumentException

If the constraint is not a string.

See also

show method [java.awt.CardLayout]

public void addLayoutComponent( java.lang.String name, java.awt.Component comp )

Note: addLayoutComponent has been deprecated. Replaced by  addLayoutComponent(Component, Object).

No documentation supplied in JDK

Applies to

 CardLayout [java.awt]


addLayoutComponent method [java.awt.FlowLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addLayoutComponent method [java.awt.FlowLayout]

public void addLayoutComponent( java.lang.String name, java.awt.Component comp )

Adds the specified component to the layout. Not used by this class.

Parameters

name

the name of the component

comp

the component to be added

Applies to

 FlowLayout [java.awt]


addLayoutComponent method [java.awt.GridBagLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addLayoutComponent method [java.awt.GridBagLayout]

Overloads:

 void addLayoutComponent( String name, Component comp )

 void addLayoutComponent( Component comp, Object constraints )

public void addLayoutComponent( java.lang.String name, java.awt.Component comp )

Adds the specified component with the specified name to the layout.

Parameters

name

the name of the component.

comp

the component to be added.

public void addLayoutComponent( java.awt.Component comp, java.lang.Object constraints )

Adds the specified component to the layout, using the specified constraint object.

Parameters

comp

the component to be added.

constraints

an object that determines how the component is added to the layout.

Applies to

 GridBagLayout [java.awt]


addLayoutComponent method [java.awt.GridLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addLayoutComponent method [java.awt.GridLayout]

public void addLayoutComponent( java.lang.String name, java.awt.Component comp )

Adds the specified component with the specified name to the layout.

Parameters

name

the name of the component.

comp

the component to be added.

Applies to

 GridLayout [java.awt]


addListenerMethod property [java.beans.EventSetDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addListenerMethod property [java.beans.EventSetDescriptor]

public java.lang.reflect.Method getAddListenerMethod( )

No documentation supplied in JDK

Return

The method used to register a listener at the event source.

Applies to

 EventSetDescriptor [java.beans]


addNotify method [java.awt.Button] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.Button]

Overloads:

 void addNotify( ) overrides addNotify method [java.awt.Component]

public void addNotify( )

Creates the peer of the button.  The button's peer allows the application to change the look of the button without changing its functionality.

See also

createButton method [java.awt.Toolkit]

toolkit property [java.awt.Component]

Applies to

 Button [java.awt]


addNotify method [java.awt.Canvas] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.Canvas]

Overloads:

 void addNotify( ) overrides addNotify method [java.awt.Component]

public void addNotify( )

Creates the peer of the canvas.  This peer allows you to change the user interface of the canvas without changing its functionality.

See also

createCanvas method [java.awt.Toolkit]

toolkit property [java.awt.Component]

Applies to

 Canvas [java.awt]


addNotify method [java.awt.Checkbox] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.Checkbox]

Overloads:

 void addNotify( ) overrides addNotify method [java.awt.Component]

public void addNotify( )

Creates the peer of the Checkbox. The peer allows you to change the look of the Checkbox without changing its functionality.

See also

createCheckbox method [java.awt.Toolkit]

toolkit property [java.awt.Component]

Applies to

 Checkbox [java.awt]


addNotify method [java.awt.CheckboxMenuItem] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.CheckboxMenuItem]

Overloads:

 void addNotify( ) overrides addNotify method [java.awt.MenuItem]

public void addNotify( )

Creates the peer of the checkbox item.  This peer allows us to change the look of the checkbox item without changing its functionality. Most applications do not call this method directly.

See also

createCheckboxMenuItem method [java.awt.Toolkit]

toolkit property [java.awt.Component]

Applies to

 CheckboxMenuItem [java.awt]


addNotify method [java.awt.Choice] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.Choice]

Overloads:

 void addNotify( ) overrides addNotify method [java.awt.Component]

public void addNotify( )

Creates the Choice's peer.  This peer allows us to change the look of the Choice without changing its functionality.

See also

createChoice method [java.awt.Toolkit]

toolkit property [java.awt.Component]

Applies to

 Choice [java.awt]


addNotify method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.Component]

public void addNotify( )

Notifies this component that it has been added to a container and if a peer is required, it should be created. This method should be called by Container.add, and not by user code directly.

See also

removeNotify method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


addNotify method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.Container]

Overloads:

 void addNotify( ) overrides addNotify method [java.awt.Component]

public void addNotify( )

Notifies the container to create a peer. It will also notify the components contained in this container. This method should be called by Container.add, and not by user code directly.

See also

removeNotify method [java.awt.Component]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


addNotify method [java.awt.Dialog] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.Dialog]

Overloads:

 void addNotify( ) overrides addNotify method [java.awt.Window]

public void addNotify( )

Creates the dialog's peer.  The peer allows us to change the appearance of the frame without changing its functionality.

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]


addNotify method [java.awt.FileDialog] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.FileDialog]

Overloads:

 void addNotify( ) overrides addNotify method [java.awt.Dialog]

public void addNotify( )

Creates the file dialog's peer.  The peer allows us to change the look of the file dialog without changing its functionality.

Applies to

 FileDialog [java.awt]


addNotify method [java.awt.Frame] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.Frame]

Overloads:

 void addNotify( ) overrides addNotify method [java.awt.Window]

public void addNotify( )

Creates the Frame's peer.  The peer allows us to change the look of the Frame without changing its functionality.

Applies to

 Frame [java.awt]


addNotify method [java.awt.Label] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.Label]

Overloads:

 void addNotify( ) overrides addNotify method [java.awt.Component]

public void addNotify( )

Creates the peer for this label.  The peer allows us to modify the appearance of the label without changing its functionality.

Applies to

 Label [java.awt]


addNotify method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.List]

Overloads:

 void addNotify( ) overrides addNotify method [java.awt.Component]

public void addNotify( )

Creates the peer for the list.  The peer allows us to modify the list's appearance without changing its functionality.

Applies to

 List [java.awt]


addNotify method [java.awt.Menu] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.Menu]

Overloads:

 void addNotify( ) overrides addNotify method [java.awt.MenuItem]

public void addNotify( )

Creates the menu's peer.  The peer allows us to modify the appearance of the menu without changing its functionality.

Applies to

 Menu [java.awt]

 PopupMenu [java.awt]


addNotify method [java.awt.MenuBar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.MenuBar]

public void addNotify( )

Creates the menu bar's peer.  The peer allows us to change the appearance of the menu bar without changing any of the menu bar's functionality.

Applies to

 MenuBar [java.awt]


addNotify method [java.awt.MenuItem] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.MenuItem]

public void addNotify( )

Creates the menu item's peer.  The peer allows us to modify the appearance of the menu item without changing its functionality.

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


addNotify method [java.awt.Panel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.Panel]

Overloads:

 void addNotify( ) overrides addNotify method [java.awt.Container]

public void addNotify( )

Creates the Panel's peer.  The peer allows you to modify the appearance of the panel without changing its functionality.

Applies to

 Applet [java.applet]

 Panel [java.awt]


addNotify method [java.awt.PopupMenu] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.PopupMenu]

Overloads:

 void addNotify( ) overrides addNotify method [java.awt.Menu]

public void addNotify( )

Creates the popup menu's peer.  The peer allows us to change the appearance of the popup menu without changing any of the popup menu's functionality.

Applies to

 PopupMenu [java.awt]


addNotify method [java.awt.Scrollbar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.Scrollbar]

Overloads:

 void addNotify( ) overrides addNotify method [java.awt.Component]

public void addNotify( )

Creates the Scrollbar's peer.  The peer allows you to modify the appearance of the Scrollbar without changing any of its functionality.

Applies to

 Scrollbar [java.awt]


addNotify method [java.awt.ScrollPane] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.ScrollPane]

Overloads:

 void addNotify( ) overrides addNotify method [java.awt.Container]

public void addNotify( )

Creates the scroll pane's peer.

Applies to

 ScrollPane [java.awt]


addNotify method [java.awt.TextArea] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.TextArea]

Overloads:

 void addNotify( ) overrides addNotify method [java.awt.Component]

public void addNotify( )

Creates the TextArea's peer.  The peer allows us to modify the appearance of the TextArea without changing any of its functionality.

Applies to

 TextArea [java.awt]


addNotify method [java.awt.TextField] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.TextField]

Overloads:

 void addNotify( ) overrides addNotify method [java.awt.Component]

public void addNotify( )

Creates the TextField's peer.  The peer allows us to modify the appearance of the TextField without changing its functionality.

Applies to

 TextField [java.awt]


addNotify method [java.awt.Window] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addNotify method [java.awt.Window]

Overloads:

 void addNotify( ) overrides addNotify method [java.awt.Container]

public void addNotify( )

Creates the Window's peer.  The peer allows us to modify the appearance of the Window without changing its functionality.

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Window [java.awt]


addObserver method [java.util.Observable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addObserver method [java.util.Observable]

public synchronized void addObserver( java.util.Observer o )

Adds an observer to the set of observers for this object.

Parameter

o

an observer to be added.

Applies to

 Observable [java.util]


addPoint method [java.awt.Polygon] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addPoint method [java.awt.Polygon]

public void addPoint( int x, int y )

Appends a point to this polygon.

If an operation that calculates the bounding box of this polygon has already been performed, such as getBounds or contains, then this method updates the bounding box.

Parameters

x

the x coordinate of the point.

y

the y coordinate of the point.

See also

bounds property [java.awt.Polygon]

contains method [java.awt.Polygon]

Applies to

 Polygon [java.awt]


addProvider method [java.security.Security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addProvider method [java.security.Security]

public static int addProvider( java.security.Provider provider )

Adds a provider to the next position available.

Parameter

provider

the provider to be added.

Return

The preference position in which the provider was added, or -1 if the provider was not added because it is already installed.

See also

getProvider method [java.security.Security]

removeProvider method [java.security.Security]

Applies to

 Security [java.security]


address property [java.net.DatagramPacket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      address property [java.net.DatagramPacket]

public synchronized java.net.InetAddress getAddress( )

Returns the IP address of the machine to which this datagram is being sent or from which the datagram was received.

Return

The IP address of the machine to which this datagram is being sent or from which the datagram was received.

See also

InetAddress class [java.net]

public synchronized void setAddress( java.net.InetAddress iaddr )

No documentation supplied in JDK

Applies to

 DatagramPacket [java.net]


address property [java.net.InetAddress] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      address property [java.net.InetAddress]

public byte[] getAddress( )

Returns the raw IP address of this InetAddress object. The result is in network byte order: the highest order byte of the address is in getAddress()[0].

Return

The raw IP address of this object.

Applies to

 InetAddress [java.net]


addSeparator method [java.awt.Menu] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      addSeparator method [java.awt.Menu]

public void addSeparator( )

Adds a separator line, or a hypen, to the menu at the current position.

See also

insertSeparator method [java.awt.Menu]

Applies to

 Menu [java.awt]

 PopupMenu [java.awt]


Adjustable interface [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      Adjustable interface [java.awt]

Description

The interface for objects which have an adjustable numeric value contained within a bounded range of values.

Definition

public interface Adjustable

{

  // Variables

  public static final int HORIZONTAL;

  public static final int VERTICAL;

  // Properties

  public int getOrientation( );

  public int getMinimum( );

  public void setMinimum( int min );

  public int getMaximum( );

  public void setMaximum( int max );

  public int getUnitIncrement( );

  public void setUnitIncrement( int u );

  public int getBlockIncrement( );

  public void setBlockIncrement( int b );

  public int getVisibleAmount( );

  public void setVisibleAmount( int v );

  public int getValue( );

  public void setValue( int v );

  // Events

  public void addAdjustmentListener( java.awt.event.AdjustmentListener l );

  public void removeAdjustmentListener( java.awt.event.AdjustmentListener l );

}

Variables

public static final int HORIZONTAL

The horizontal orientation.

public static final int VERTICAL

The vertical orientation.

Properties

public int getOrientation( )

Gets the orientation of the adjustable object.

Return

No documentation supplied in JDK.

public int getMinimum( )

Gets the minimum value of the adjustable object.

Return

No documentation supplied in JDK.

public void setMinimum( int min )

Sets the minimum value of the adjustable object.

Parameter

min

the minimum value

public int getMaximum( )

Gets the maximum value of the adjustable object.

Return

No documentation supplied in JDK.

public void setMaximum( int max )

Sets the maximum value of the adjustable object.

Parameter

max

the maximum value

public int getUnitIncrement( )

Gets the unit value increment for the adjustable object.

Return

No documentation supplied in JDK.

public void setUnitIncrement( int u )

Sets the unit value increment for the adjustable object.

Parameter

u

the unit increment

public int getBlockIncrement( )

Gets the block value increment for the adjustable object.

Return

No documentation supplied in JDK.

public void setBlockIncrement( int b )

Sets the block value increment for the adjustable object.

Parameter

b

the block increment

public int getVisibleAmount( )

Gets the length of the propertional indicator.

Return

No documentation supplied in JDK.

public void setVisibleAmount( int v )

Sets the length of the proportionl indicator of the adjustable object.

Parameter

v

the length of the indicator

public int getValue( )

Gets the current value of the adjustable object.

Return

No documentation supplied in JDK.

public void setValue( int v )

Sets the current value of the adjustable object. This value must be within the range defined by the minimum and maximum values for this object.

Parameter

v

the current value

Events

public void addAdjustmentListener( java.awt.event.AdjustmentListener l )

Add a listener to recieve adjustment events when the value of the adjustable object changes.

Parameter

l

the listener to recieve events

public void removeAdjustmentListener( java.awt.event.AdjustmentListener l )

Removes an adjustment listener.

Parameter

l

the listener being removed

Implemented by

Scrollbar [java.awt]


adjustable property [java.awt.event.AdjustmentEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      adjustable property [java.awt.event.AdjustmentEvent]

public java.awt.Adjustable getAdjustable( )

Returns the Adjustable object where this event originated.

Return

No documentation supplied in JDK.

Applies to

 AdjustmentEvent [java.awt.event]


AdjustForGravity method [java.awt.GridBagLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      AdjustForGravity method [java.awt.GridBagLayout]

protected void AdjustForGravity( java.awt.GridBagConstraints constraints, java.awt.Rectangle r )

Applies to

 GridBagLayout [java.awt]


AdjustmentEvent class [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      AdjustmentEvent class [java.awt.event]

Object

EventObject

AWTEvent

AdjustmentEvent

Description

The adjustment event emitted by Adjustable objects.

Specification

public class AdjustmentEvent extends java.awt.AWTEvent

Constructor

public AdjustmentEvent( java.awt.Adjustable source, int id, int type, int value )

Constructs a AdjustmentEvent object with the specified Adjustable source, type, and value.

Parameter

source

the Adjustable object where the event originated

Variables

public static final int ADJUSTMENT_FIRST

Marks the first integer id for the range of adjustment event ids.

public static final int ADJUSTMENT_LAST

Marks the last integer id for the range of adjustment event ids.

public static final int ADJUSTMENT_VALUE_CHANGED

The adjustment value changed event.

public static final int UNIT_INCREMENT

The unit increment adjustment type.

public static final int UNIT_DECREMENT

The unit decrement adjustment type.

public static final int BLOCK_DECREMENT

The block decrement adjustment type.

public static final int BLOCK_INCREMENT

The block increment adjustment type.

public static final int TRACK

The absolute tracking adjustment type.

Properties

  java.awt.Adjustable getAdjustable( )

  int getAdjustmentType( )

  int getValue( )

Inherited Properties

  native final java.lang.Class getClass( )

  int getID( )

  java.lang.Object getSource( )

Protected Properties

 protected boolean isConsumed( )

Methods

  java.lang.String paramString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void consume( )

 protected void finalize( ) throws java.lang.Throwable

See also

Adjustable interface [java.awt]

AdjustmentListener interface [java.awt.event]


AdjustmentEvent event [java.awt.Scrollbar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      AdjustmentEvent event [java.awt.Scrollbar]

public synchronized void addAdjustmentListener( java.awt.event.AdjustmentListener l )

Adds the specified adjustment listener to receive instances of AdjustmentEvent from this scroll bar.

Parameter

l

the adjustment listener.

See also

AdjustmentEvent class [java.awt.event]

AdjustmentListener interface [java.awt.event]

public synchronized void removeAdjustmentListener( java.awt.event.AdjustmentListener l )

Removes the specified adjustment listener so that it no longer receives instances of AdjustmentEvent from this scroll bar.

Parameter

l

the adjustment listener.

See also

AdjustmentEvent class [java.awt.event]

AdjustmentListener interface [java.awt.event]

Applies to

 Scrollbar [java.awt]


AdjustmentListener interface [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      AdjustmentListener interface [java.awt.event]

Description

The listener interface for receiving adjustment events.

Definition

public interface AdjustmentListener extends java.util.EventListener

{

  // Methods

  public void adjustmentValueChanged( java.awt.event.AdjustmentEvent e );

}

Methods

public void adjustmentValueChanged( java.awt.event.AdjustmentEvent e )

Invoked when the value of the adjustable has changed.

Implemented by

AWTEventMulticaster [java.awt]


adjustmentType property [java.awt.event.AdjustmentEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      adjustmentType property [java.awt.event.AdjustmentEvent]

public int getAdjustmentType( )

Returns the type of adjustment which caused the value changed event.

Return

No documentation supplied in JDK.

Applies to

 AdjustmentEvent [java.awt.event]


adjustmentValueChanged method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      adjustmentValueChanged method [java.awt.AWTEventMulticaster]

public void adjustmentValueChanged( java.awt.event.AdjustmentEvent e )

Handles the adjustmentValueChanged event by invoking the adjustmentValueChanged methods on listener-a and listener-b.

Parameter

e

the adjustment event

Applies to

 AWTEventMulticaster [java.awt]


adler property [java.util.zip.Deflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      adler property [java.util.zip.Deflater]

public native synchronized int getAdler( )

Returns the ADLER-32 value of the uncompressed data.

Return

No documentation supplied in JDK.

Applies to

 Deflater [java.util.zip]


adler property [java.util.zip.Inflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      adler property [java.util.zip.Inflater]

public native synchronized int getAdler( )

Returns the ADLER-32 value of the uncompressed data.

Return

No documentation supplied in JDK.

Applies to

 Inflater [java.util.zip]


Adler32 class [java.util.zip] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      Adler32 class [java.util.zip]

Object

Adler32

Description

A class that can be used to compute the Adler-32 checksum of a data stream. An Adler-32 checksum is almost as reliable as a CRC-32 but can be computed much faster.

Specification

public class Adler32 extends java.lang.Object implements java.util.zip.Checksum

Properties

  long getValue( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void reset( )

  void update( byte[] b )

  native void update( byte[] b, int off, int len )

  void update( int b )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Checksum interface [java.util.zip]


after method [java.sql.Timestamp] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      after method [java.sql.Timestamp]

Inherited overloads:

 boolean after( Date when )

public boolean after( java.sql.Timestamp ts )

Is this timestamp later than the timestamp argument?

Parameter

ts

the Timestamp value to compare with

Return

No documentation supplied in JDK.

Applies to

 Timestamp [java.sql]


after method [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      after method [java.util.Calendar]

public abstract boolean after( java.lang.Object when )

Compares the time field records. Equivalent to comparing result of conversion to UTC.

Parameter

when

the Calendar to be compared with this Calendar.

Return

True if the current time of this Calendar is after the time of Calendar when; false otherwise.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


after method [java.util.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      after method [java.util.Date]

public boolean after( java.util.Date when )

Tests if this date is after the specified date.

Parameter

when

a date.

Return

true if this date is after the argument date; false otherwise.

Applies to

 Date [java.sql]

 Date [java.util]

 Time [java.sql]

 Timestamp [java.sql]


after method [java.util.GregorianCalendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      after method [java.util.GregorianCalendar]

Overloads:

 boolean after( Object when ) overrides after method [java.util.Calendar]

public boolean after( java.lang.Object when )

Compares the time field records. Equivalent to comparing result of conversion to UTC.

Parameter

when

the Calendar to be compared with this Calendar.

Return

True if the current time of this Calendar is after the time of Calendar when; false otherwise.

Applies to

 GregorianCalendar [java.util]


algorithm property [java.security.KeyPairGenerator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      algorithm property [java.security.KeyPairGenerator]

public java.lang.String getAlgorithm( )

Returns the standard name of the algorithm for this key generator. See Appendix A in the   Java Cryptography Architecture API Specification & Reference   for information about standard algorithm names.

Return

The standard string name of the algorithm.

Applies to

 KeyPairGenerator [java.security]


algorithm property [java.security.MessageDigest] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      algorithm property [java.security.MessageDigest]

public final java.lang.String getAlgorithm( )

Returns a string that identifies the algorithm, independent of implementation details. The name should be a standard Java Security name (such as "SHA", "MD5", and so on). See Appendix A in the   Java Cryptography Architecture API Specification & Reference   for information about standard algorithm names.

Return

No documentation supplied in JDK.

Applies to

 MessageDigest [java.security]


algorithm property [java.security.Signature] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      algorithm property [java.security.Signature]

public final java.lang.String getAlgorithm( )

Returns the name of the algorithm for this signature object.

Return

The name of the algorithm for this signature object.

Applies to

 Signature [java.security]


alignment property [java.awt.FlowLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      alignment property [java.awt.FlowLayout]

public int getAlignment( )

Gets the alignment for this layout. Possible values are FlowLayout.LEFT, FlowLayout.RIGHT, or FlowLayout.CENTER.

Return

The alignment value for this layout.

public void setAlignment( int align )

Sets the alignment for this layout. Possible values are FlowLayout.LEFT, FlowLayout.RIGHT, and FlowLayout.CENTER.

Parameter

align

the alignment value.

Applies to

 FlowLayout [java.awt]


alignment property [java.awt.Label] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      alignment property [java.awt.Label]

public int getAlignment( )

Gets the current alignment of this label. Possible values are Label.LEFT, Label.RIGHT, and Label.CENTER.

Return

No documentation supplied in JDK.

public synchronized void setAlignment( int alignment )

Sets the alignment for this label to the specified alignment. Possible values are Label.LEFT, Label.RIGHT, and Label.CENTER.

Parameter

alignment

the alignment to be set.

Throws

IllegalArgumentException

If an improper value for alignment is given.

Applies to

 Label [java.awt]


alignmentX property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      alignmentX property [java.awt.Component]

public float getAlignmentX( )

Returns the alignment along the x axis.  This specifies how the component would like to be aligned relative to other components.  The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


alignmentX property [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      alignmentX property [java.awt.Container]

Overloads:

  float getAlignmentX( ) overrides alignmentX property [java.awt.Component]

public float getAlignmentX( )

Returns the alignment along the x axis.  This specifies how the component would like to be aligned relative to other components.  The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


alignmentY property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      alignmentY property [java.awt.Component]

public float getAlignmentY( )

Returns the alignment along the y axis.  This specifies how the component would like to be aligned relative to other components.  The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


alignmentY property [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      alignmentY property [java.awt.Container]

Overloads:

  float getAlignmentY( ) overrides alignmentY property [java.awt.Component]

public float getAlignmentY( )

Returns the alignment along the y axis.  This specifies how the component would like to be aligned relative to other components.  The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


alive property [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      alive property [java.lang.Thread]

public native final boolean isAlive( )

Tests if this thread is alive. A thread is alive if it has been started and has not yet died.

Return

true if this thread is alive; false otherwise.

Applies to

 Thread [java.lang]


allowsMultipleSelections method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      allowsMultipleSelections method [java.awt.List]

public boolean allowsMultipleSelections( )

Note: allowsMultipleSelections has been deprecated. As of JDK version 1.1, replaced by isMultipleMode().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 List [java.awt]


allowThreadSuspension method [java.lang.ThreadGroup] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      allowThreadSuspension method [java.lang.ThreadGroup]

public boolean allowThreadSuspension( boolean b )

Used by VM to control lowmem implicit suspension.

Return

No documentation supplied in JDK.

Applies to

 ThreadGroup [java.lang]


allowUserInteraction property [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      allowUserInteraction property [java.net.URLConnection]

public boolean getAllowUserInteraction( )

Returns the value of the allowUserInteraction field for this object.

Return

The value of the allowUserInteraction field for this object.

public void setAllowUserInteraction( boolean allowuserinteraction )

Set the value of the allowUserInteraction field of this URLConnection.

Parameter

allowuserinteraction

the new value.

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


alpha property [java.awt.image.ColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      alpha property [java.awt.image.ColorModel]

public abstract int getAlpha( int pixel )

The subclass must provide a function which provides the alpha color compoment for the specified pixel.

Return

The alpha transparency value ranging from 0 to 255.

Applies to

 ColorModel [java.awt.image]

 DirectColorModel [java.awt.image]

 IndexColorModel [java.awt.image]


alpha property [java.awt.image.DirectColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      alpha property [java.awt.image.DirectColorModel]

Overloads:

  int getAlpha( int pixel ) overrides alpha property [java.awt.image.ColorModel]

public final int getAlpha( int pixel )

Return the alpha transparency value for the specified pixel in the range 0-255.

Return

No documentation supplied in JDK.

Applies to

 DirectColorModel [java.awt.image]


alpha property [java.awt.image.IndexColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      alpha property [java.awt.image.IndexColorModel]

Overloads:

  int getAlpha( int pixel ) overrides alpha property [java.awt.image.ColorModel]

public final int getAlpha( int pixel )

Returns the alpha transparency value for the specified pixel in the range 0-255.

Return

No documentation supplied in JDK.

Applies to

 IndexColorModel [java.awt.image]


alphaMask property [java.awt.image.DirectColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      alphaMask property [java.awt.image.DirectColorModel]

public final int getAlphaMask( )

Returns the mask indicating which bits in a pixel contain the alpha transparency component.

Return

No documentation supplied in JDK.

Applies to

 DirectColorModel [java.awt.image]


AlreadyBoundException class [java.rmi] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      AlreadyBoundException class [java.rmi]

Object

Throwable

Exception

AlreadyBoundException

Specification

public class AlreadyBoundException extends java.lang.Exception

Constructors

public AlreadyBoundException( )

public AlreadyBoundException( java.lang.String s )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


altDown property [java.awt.event.InputEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      altDown property [java.awt.event.InputEvent]

public boolean isAltDown( )

Returns whether or not the Alt modifier is down on this event.

Return

No documentation supplied in JDK.

Applies to

 InputEvent [java.awt.event]

 KeyEvent [java.awt.event]

 MouseEvent [java.awt.event]


amPmStrings property [java.text.DateFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      amPmStrings property [java.text.DateFormatSymbols]

public java.lang.String[] getAmPmStrings( )

Gets ampm strings. For example: "AM" and "PM".

Return

The weekday strings.

public void setAmPmStrings( java.lang.String[] newAmpms )

Sets ampm strings. For example: "AM" and "PM".

Parameter

newAmpms

the new ampm strings.

Applies to

 DateFormatSymbols [java.text]


and method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      and method [java.math.BigInteger]

public java.math.BigInteger and( java.math.BigInteger val )

Returns a BigInteger whose value is (this & val).  (This method returns a negative number iff this and val are both negative.)

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


and method [java.util.BitSet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      and method [java.util.BitSet]

public void and( java.util.BitSet set )

Logically ANDs this bit set with the specified set of bits.

Parameter

set

the bit set to be ANDed with

Applies to

 BitSet [java.util]


andNot method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      andNot method [java.math.BigInteger]

public java.math.BigInteger andNot( java.math.BigInteger val )

Returns a BigInteger whose value is (this & ~val).  This method, which is equivalent to and(val.not()), is provided as a convenience for masking operations.  (This method returns a negative number iff this is negative and val is positive.)

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


animated property [java.awt.image.MemoryImageSource] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      animated property [java.awt.image.MemoryImageSource]

public synchronized void setAnimated( boolean animated )

Change this memory image into a multi-frame animation or a single-frame static image depending on the animated parameter.

This method should be called immediately after the MemoryImageSource is constructed and before an image is created with it to ensure that all ImageConsumers will receive the correct multi-frame data.  If an ImageConsumer is added to this ImageProducer before this flag is set then that ImageConsumer will see only a snapshot of the pixel data that was available when it connected.

Parameter

animated

true if the image is a multi-frame animation

Applies to

 MemoryImageSource [java.awt.image]


annotateClass method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      annotateClass method [java.io.ObjectOutputStream]

protected void annotateClass( java.lang.Class cl ) throws java.io.IOException

Subclasses may implement this method to allow class data to be stored in the stream. By default this method does nothing. The corresponding method in ObjectInputStream is resolveClass. This method is called exactly once for each unique class in the stream. The class name and signature will have already been written to the stream. This method may make free use of the ObjectOutputStream to save any representation of the class it deems suitable (for example, the bytes of the class file).  The resolveClass method in the corresponding subclass of ObjectInputStream must read and use any data or objects written by annotateClass. annotateClass is called only for normal classes.  Arrays are not normal classes.

Throws

IOException

Any exception thrown by the underlying OutputStream.

Applies to

 ObjectOutputStream [java.io]


append method [java.awt.TextArea] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      append method [java.awt.TextArea]

public void append( java.lang.String str )

Appends the given text to the text area's current text.

Parameter

str

the text to append.

See also

insert method [java.awt.TextArea]

Applies to

 TextArea [java.awt]


append method [java.lang.StringBuffer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      append method [java.lang.StringBuffer]

Overloads:

 StringBuffer append( long l )

 StringBuffer append( char c )

 StringBuffer append( char[] str, int offset, int len )

 StringBuffer append( char[] str )

 StringBuffer append( int i )

 StringBuffer append( String str )

 StringBuffer append( double d )

 StringBuffer append( float f )

 StringBuffer append( boolean b )

 StringBuffer append( Object obj )

public java.lang.StringBuffer append( long l )

Appends the string representation of the long argument to this string buffer.

The argument is converted to a string as if by the method String.valueOf, and the characters of that string are then appended to this string buffer.

Parameter

l

a long.

Return

This string buffer.

See also

valueOf method [java.lang.String]

public synchronized java.lang.StringBuffer append( char c )

Appends the string representation of the char argument to this string buffer.

The argument is appended to the contents of this string buffer. The length of this string buffer increases by 1.

Parameter

ch

a char.

Return

This string buffer.

public synchronized java.lang.StringBuffer append( char[] str, int offset, int len )

Appends the string representation of a subarray of the char array argument to this string buffer.

Characters of the character array str, starting at index offset, are appended, in order, to the contents of this string buffer. The length of this string buffer increases by the value of len.

Parameters

str

the characters to be appended.

offset

the index of the first character to append.

len

the number of characters to append.

Return

This string buffer.

public synchronized java.lang.StringBuffer append( char[] str )

Appends the string representation of the char array argument to this string buffer.

The characters of the array argument are appended, in order, to the contents of this string buffer. The length of this string buffer increases by the length of the argument.

Parameter

str

the characters to be appended.

Return

This string buffer.

public java.lang.StringBuffer append( int i )

Appends the string representation of the int argument to this string buffer.

The argument is converted to a string as if by the method String.valueOf, and the characters of that string are then appended to this string buffer.

Parameter

i

an int.

Return

This string buffer.

See also

valueOf method [java.lang.String]

public synchronized java.lang.StringBuffer append( java.lang.String str )

Appends the string to this string buffer.

The characters of the String argument are appended, in order, to the contents of this string buffer, increasing the length of this string buffer by the length of the argument.

Parameter

str

a string.

Return

This string buffer.

public java.lang.StringBuffer append( double d )

Appends the string representation of the double argument to this string buffer.

The argument is converted to a string as if by the method String.valueOf, and the characters of that string are then appended to this string buffer.

Parameter

d

a double.

Return

This string buffer.

See also

valueOf method [java.lang.String]

public java.lang.StringBuffer append( float f )

Appends the string representation of the float argument to this string buffer.

The argument is converted to a string as if by the method String.valueOf, and the characters of that string are then appended to this string buffer.

Parameter

f

a float.

Return

This string buffer.

See also

valueOf method [java.lang.String]

public java.lang.StringBuffer append( boolean b )

Appends the string representation of the boolean argument to the string buffer.

The argument is converted to a string as if by the method String.valueOf, and the characters of that string are then appended to this string buffer.

Parameter

b

a boolean.

Return

This string buffer.

See also

valueOf method [java.lang.String]

public synchronized java.lang.StringBuffer append( java.lang.Object obj )

Appends the string representation of the Object argument to this string buffer.

The argument is converted to a string as if by the method String.valueOf, and the characters of that string are then appended to this string buffer.

Parameter

obj

an Object.

Return

This string buffer.

See also

valueOf method [java.lang.String]

Applies to

 StringBuffer [java.lang]


appendText method [java.awt.TextArea] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      appendText method [java.awt.TextArea]

public synchronized void appendText( java.lang.String str )

Note: appendText has been deprecated. As of JDK version 1.1, replaced by append(String).

No documentation supplied in JDK

Applies to

 TextArea [java.awt]


Applet class [java.applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      Applet class [java.applet]

Object

Component

Container

Panel

Applet

Description

An applet is a small program that is intended not to be run on its own, but rather to be embedded inside another application.

The Applet class must be the superclass of any applet that is to be embedded in a Web page or viewed by the Java Applet Viewer. The Applet class provides a standard interface between applets and their environment.

Specification

public class Applet extends java.awt.Panel

Properties

  boolean isActive( )

  java.applet.AppletContext getAppletContext( )

  java.lang.String getAppletInfo( )

  java.net.URL getCodeBase( )

  java.net.URL getDocumentBase( )

  java.util.Locale getLocale( )

  java.lang.String[][] getParameterInfo( )

  final void setStub( java.applet.AppletStub stub )

Inherited Properties

  float getAlignmentX( )

  float getAlignmentY( )

  java.awt.Color getBackground( )

  void setBackground( java.awt.Color c )

  java.awt.Rectangle getBounds( )

  void setBounds( java.awt.Rectangle r )

  native final java.lang.Class getClass( )

  java.awt.image.ColorModel getColorModel( )

  java.awt.Component getComponent( int n )

  int getComponentCount( )

  java.awt.Component[] getComponents( )

  java.awt.Cursor getCursor( )

  synchronized void setCursor( java.awt.Cursor cursor )

  void setEnabled( boolean b )

  boolean isEnabled( )

  boolean isFocusTraversable( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.awt.Color getForeground( )

  void setForeground( java.awt.Color c )

  java.awt.Graphics getGraphics( )

  java.awt.Insets getInsets( )

  java.awt.LayoutManager getLayout( )

  void setLayout( java.awt.LayoutManager mgr )

  java.awt.Point getLocation( )

  void setLocation( java.awt.Point p )

  void setLocation( int x, int y )

  java.awt.Point getLocationOnScreen( )

  java.awt.Dimension getMaximumSize( )

  java.awt.Dimension getMinimumSize( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.Container getParent( )

  java.awt.peer.ComponentPeer getPeer( )

  java.awt.Dimension getPreferredSize( )

  boolean isShowing( )

  java.awt.Dimension getSize( )

  void setSize( java.awt.Dimension d )

  void setSize( int width, int height )

  java.awt.Toolkit getToolkit( )

  final java.lang.Object getTreeLock( )

  boolean isValid( )

  void setVisible( boolean b )

  boolean isVisible( )

Methods

  void destroy( )

  java.applet.AudioClip getAudioClip( java.net.URL url )

  java.applet.AudioClip getAudioClip( java.net.URL url, java.lang.String name )

  java.awt.Image getImage( java.net.URL url, java.lang.String name )

  java.awt.Image getImage( java.net.URL url )

  java.lang.String getParameter( java.lang.String name )

  void init( )

  void play( java.net.URL url )

  void play( java.net.URL url, java.lang.String name )

  void resize( java.awt.Dimension d )

  void resize( int width, int height )

  void showStatus( java.lang.String msg )

  void start( )

  void stop( )

Inherited Methods

  boolean action( java.awt.Event evt, java.lang.Object what )

  synchronized void add( java.awt.PopupMenu popup )

  java.awt.Component add( java.lang.String name, java.awt.Component comp )

  void add( java.awt.Component comp, java.lang.Object constraints )

  java.awt.Component add( java.awt.Component comp, int index )

  java.awt.Component add( java.awt.Component comp )

  void add( java.awt.Component comp, java.lang.Object constraints, int index )

  void addNotify( )

  java.awt.Rectangle bounds( )

  int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  int checkImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  boolean contains( int x, int y )

  boolean contains( java.awt.Point p )

  int countComponents( )

  java.awt.Image createImage( int width, int height )

  java.awt.Image createImage( java.awt.image.ImageProducer producer )

  void deliverEvent( java.awt.Event e )

  void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  void doLayout( )

  void enable( boolean b )

  void enable( )

  boolean equals( java.lang.Object obj )

  java.awt.Component getComponentAt( int x, int y )

  java.awt.Component getComponentAt( java.awt.Point p )

  java.awt.FontMetrics getFontMetrics( java.awt.Font font )

  boolean gotFocus( java.awt.Event evt, java.lang.Object what )

  boolean handleEvent( java.awt.Event evt )

  native int hashCode( )

  void hide( )

  boolean imageUpdate( java.awt.Image img, int flags, int x, int y, int w, int h )

  java.awt.Insets insets( )

  boolean inside( int x, int y )

  void invalidate( )

  boolean isAncestorOf( java.awt.Component c )

  boolean keyDown( java.awt.Event evt, int key )

  boolean keyUp( java.awt.Event evt, int key )

  void layout( )

  void list( java.io.PrintStream out )

  void list( java.io.PrintWriter out, int indent )

  void list( java.io.PrintStream out, int indent )

  void list( java.io.PrintWriter out )

  void list( )

  java.awt.Component locate( int x, int y )

  java.awt.Point location( )

  boolean lostFocus( java.awt.Event evt, java.lang.Object what )

  java.awt.Dimension minimumSize( )

  boolean mouseDown( java.awt.Event evt, int x, int y )

  boolean mouseDrag( java.awt.Event evt, int x, int y )

  boolean mouseEnter( java.awt.Event evt, int x, int y )

  boolean mouseExit( java.awt.Event evt, int x, int y )

  boolean mouseMove( java.awt.Event evt, int x, int y )

  boolean mouseUp( java.awt.Event evt, int x, int y )

  void move( int x, int y )

  void nextFocus( )

  native final void notify( )

  native final void notifyAll( )

  void paint( java.awt.Graphics g )

  void paintAll( java.awt.Graphics g )

  void paintComponents( java.awt.Graphics g )

  boolean postEvent( java.awt.Event e )

  java.awt.Dimension preferredSize( )

  boolean prepareImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  void print( java.awt.Graphics g )

  void printAll( java.awt.Graphics g )

  void printComponents( java.awt.Graphics g )

  synchronized void remove( java.awt.MenuComponent popup )

  void remove( int index )

  void remove( java.awt.Component comp )

  void removeAll( )

  void removeNotify( )

  void repaint( )

  void repaint( int x, int y, int width, int height )

  void repaint( long tm, int x, int y, int width, int height )

  void repaint( long tm )

  void requestFocus( )

  void reshape( int x, int y, int width, int height )

  void setBounds( int x, int y, int width, int height )

  void show( )

  void show( boolean b )

  java.awt.Dimension size( )

  java.lang.String toString( )

  void transferFocus( )

  void update( java.awt.Graphics g )

  void validate( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected void addImpl( java.awt.Component comp, java.lang.Object constraints, int index )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void finalize( ) throws java.lang.Throwable

 protected java.lang.String paramString( )

 protected void processComponentEvent( java.awt.event.ComponentEvent e )

 protected void processContainerEvent( java.awt.event.ContainerEvent e )

 protected void processEvent( java.awt.AWTEvent e )

 protected void processFocusEvent( java.awt.event.FocusEvent e )

 protected void processKeyEvent( java.awt.event.KeyEvent e )

 protected void processMouseEvent( java.awt.event.MouseEvent e )

 protected void processMouseMotionEvent( java.awt.event.MouseEvent e )

 protected void validateTree( )

Inherited Events

  synchronized void addComponentListener( java.awt.event.ComponentListener l )

  synchronized void removeComponentListener( java.awt.event.ComponentListener l )

  synchronized void addContainerListener( java.awt.event.ContainerListener l )

  synchronized void removeContainerListener( java.awt.event.ContainerListener l )

  synchronized void addFocusListener( java.awt.event.FocusListener l )

  synchronized void removeFocusListener( java.awt.event.FocusListener l )

  synchronized void addKeyListener( java.awt.event.KeyListener l )

  synchronized void removeKeyListener( java.awt.event.KeyListener l )

  synchronized void addMouseListener( java.awt.event.MouseListener l )

  synchronized void removeMouseListener( java.awt.event.MouseListener l )

  synchronized void addMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void removeMouseMotionListener( java.awt.event.MouseMotionListener l )


AppletContext interface [java.applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      AppletContext interface [java.applet]

Description

This interface corresponds to an applet's environment: the document containing the applet and the other applets in the same document.

The methods in this interface can be used by an applet to obtain information about its environment.

Definition

public interface AppletContext

{

  // Properties

  public java.util.Enumeration getApplets( );

  // Methods

  public java.applet.AudioClip getAudioClip( java.net.URL url );

  public java.awt.Image getImage( java.net.URL url );

  public java.applet.Applet getApplet( java.lang.String name );

  public void showDocument( java.net.URL url );

  public void showDocument( java.net.URL url, java.lang.String target );

  public void showStatus( java.lang.String status );

}

Properties

public java.util.Enumeration getApplets( )

Finds all the applets in the document represented by this applet context.

Return

An enumeration of all applets in the document represented by this applet context.

Methods

public java.applet.AudioClip getAudioClip( java.net.URL url )

Creates an audio clip.

Parameter

url

an absolute URL giving the location of the audio clip.

Return

The audio clip at the specified URL.

public java.awt.Image getImage( java.net.URL url )

Returns an Image object that can then be painted on the screen. The url argumentthat is passed as an argument must specify an absolute URL.

This method always returns immediately, whether or not the image exists. When the applet attempts to draw the image on the screen, the data will be loaded. The graphics primitives that draw the image will incrementally paint on the screen.

Parameter

url

an absolute URL giving the location of the image.

Return

The image at the specified URL.

See also

Image class [java.awt]

public java.applet.Applet getApplet( java.lang.String name )

Finds and returns the applet in the document represented by this applet context with the given name. The name can be set in the HTML tag by setting the name attribute.

Parameter

name

an applet name.

Return

The applet with the given name, or null if not found.

public void showDocument( java.net.URL url )

Replaces the Web page currently being viewed with the given URL. This method may be ignored by applet contexts that are not browsers.

Parameter

url

an absolute URL giving the location of the document.

public void showDocument( java.net.URL url, java.lang.String target )

Requests that the browser or applet viewer show the Web page indicated by the url argument. The target argument indicates in which HTML frame the document is to be displayed. The target argument is interpreted as follows:

"_self"  	Show in the window and frame that contain the applet.

"_parent"	Show in the applet's parent frame. If the applet's frame has no parent frame, acts the same as "_self".

"_top"   	Show in the top-level frame of the applet's window. If the applet's frame is the top-level frame, acts the same as "_self".

"_blank" 	Show in a new, unnamed top-level window.

name 	Show in the frame or window named name . If a target named name does not already exist, a new top-level window with the specified name is created, and the document is shown there.

An applet viewer or browser is free to ignore showDocument.

Parameters

url

an absolute URL giving the location of the document.

target

a String indicating where to display the page.

public void showStatus( java.lang.String status )

Requests that the argument string be displayed in the "status window". Many browsers and applet viewers provide such a window, where the application can inform users of its current state.

Parameter

status

a string to display in the status window.


appletContext property [java.applet.Applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      appletContext property [java.applet.Applet]

public java.applet.AppletContext getAppletContext( )

Determines this applet's context, which allows the applet to query and affect the environment in which it runs.

This environment of an applet represents the document that contains the applet.

Return

The applet's context.

Applies to

 Applet [java.applet]


appletInfo property [java.applet.Applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      appletInfo property [java.applet.Applet]

public java.lang.String getAppletInfo( )

Returns information about this applet. An applet should override this method to return a String containing information about the author, version, and copyright of the applet.

The implementation of this method provided by the Applet class returns null.

Return

A string containing information about the author, version, and copyright of the applet.

Applies to

 Applet [java.applet]


AppletStub interface [java.applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      AppletStub interface [java.applet]

Description

When an applet is first created, an applet stub is attached to it using the applet's setStub method. This stub serves as the interface between the applet and the browser environment or applet viewer environment in which the application is running.

Definition

public interface AppletStub

{

  // Properties

  public boolean isActive( );

  public java.net.URL getDocumentBase( );

  public java.net.URL getCodeBase( );

  public java.applet.AppletContext getAppletContext( );

  // Methods

  public java.lang.String getParameter( java.lang.String name );

  public void appletResize( int width, int height );

}

Properties

public boolean isActive( )

Determines if the applet is active. An applet is active just before its start method is called. It becomes inactive immediately after its stop method is called.

Return

true if the applet is active; false otherwise.

public java.net.URL getDocumentBase( )

Gets the document URL.

Return

The URL of the document containing the applet.

public java.net.URL getCodeBase( )

Gets the base URL.

Return

The URL of the applet.

public java.applet.AppletContext getAppletContext( )

Gets a handler to the applet's context.

Return

The applet's context.

Methods

public java.lang.String getParameter( java.lang.String name )

Returns the value of the named parameter in the HTML tag. For example, if an applet is specified as

<applet code="Clock" width=50 height=50>
<param name=Color value="blue">
</applet>

then a call to getParameter("Color") returns the value "blue".

Parameter

name

a parameter name.

Return

The value of the named parameter.

public void appletResize( int width, int height )

Called when the applet wants to be resized.

Parameters

width

the new requested width for the applet.

height

the new requested height for the applet.

See also

stub property [java.applet.Applet]


applyLocalizedPattern method [java.text.DecimalFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      applyLocalizedPattern method [java.text.DecimalFormat]

public void applyLocalizedPattern( java.lang.String pattern )

Apply the given pattern to this Format object.  The pattern is assumed to be in a localized notation. A pattern is a short-hand specification for the various formatting properties. These properties can also be changed individually through the various setter methods.

There is no limit to integer digits are set by this routine, since that is the typical end-user desire; use setMaximumInteger if you want to set a real value. For negative numbers, use a second pattern, separated by a semicolon

Example "#,#00.0#" -> 1,234.56

This means a minimum of 2 integer digits, 1 fraction digit, and a maximum of 2 fraction digits.

Example: "#,#00.0#;(#,#00.0#)" for negatives in parantheses.

In negative patterns, the minimum and maximum counts are ignored; these are presumed to be set in the positive pattern.

Applies to

 DecimalFormat [java.text]


applyLocalizedPattern method [java.text.SimpleDateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      applyLocalizedPattern method [java.text.SimpleDateFormat]

public void applyLocalizedPattern( java.lang.String pattern )

Apply the given localized pattern string to this date format.

Applies to

 SimpleDateFormat [java.text]


applyPattern method [java.text.ChoiceFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      applyPattern method [java.text.ChoiceFormat]

public void applyPattern( java.lang.String newPattern )

Sets the pattern.

Parameter

newPattern

See the class description.

Applies to

 ChoiceFormat [java.text]


applyPattern method [java.text.DecimalFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      applyPattern method [java.text.DecimalFormat]

public void applyPattern( java.lang.String pattern )

Apply the given pattern to this Format object.  A pattern is a short-hand specification for the various formatting properties. These properties can also be changed individually through the various setter methods.

There is no limit to integer digits are set by this routine, since that is the typical end-user desire; use setMaximumInteger if you want to set a real value. For negative numbers, use a second pattern, separated by a semicolon

Example "#,#00.0#" -> 1,234.56

This means a minimum of 2 integer digits, 1 fraction digit, and a maximum of 2 fraction digits.

Example: "#,#00.0#;(#,#00.0#)" for negatives in parantheses.

In negative patterns, the minimum and maximum counts are ignored; these are presumed to be set in the positive pattern.

Applies to

 DecimalFormat [java.text]


applyPattern method [java.text.MessageFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      applyPattern method [java.text.MessageFormat]

public void applyPattern( java.lang.String newPattern )

Sets the pattern. See the class description.

Applies to

 MessageFormat [java.text]


applyPattern method [java.text.SimpleDateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      applyPattern method [java.text.SimpleDateFormat]

public void applyPattern( java.lang.String pattern )

Apply the given unlocalized pattern string to this date format.

Applies to

 SimpleDateFormat [java.text]


AreaAveragingScaleFilter class [java.awt.image] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      AreaAveragingScaleFilter class [java.awt.image]

Object

ImageFilter

ReplicateScaleFilter

AreaAveragingScaleFilter

Description

An ImageFilter class for scaling images using a simple area averaging algorithm that produces smoother results than the nearest neighbor algorithm. This class extends the basic ImageFilter Class to scale an existing image and provide a source for a new image containing the resampled image.  The pixels in the source image are blended to produce pixels for an image of the specified size.  The blending process is analogous to scaling up the source image to a multiple of the destination size using pixel replication and then scaling it back down to the destination size by simply averaging all the pixels in the supersized image that fall within a given pixel of the destination image.  If the data from the source is not delivered in TopDownLeftRight order then the filter will back off to a simple pixel replication behavior and utilize the requestTopDownLeftRightResend() method to refilter the pixels in a better way at the end. It is meant to be used in conjunction with a FilteredImageSource object to produce scaled versions of existing images.

Specification

public class AreaAveragingScaleFilter extends java.awt.image.ReplicateScaleFilter

Constructor

public AreaAveragingScaleFilter( int width, int height )

Constructs an AreaAveragingScaleFilter that scales the pixels from its source Image as specified by the width and height parameters.

Parameters

width

the target width to scale the image

height

the target height to scale the image

Properties

  void setHints( int hints )

Inherited Properties

  native final java.lang.Class getClass( )

  void setColorModel( java.awt.image.ColorModel model )

  void setDimensions( int width, int height )

  void setProperties( java.util.Hashtable props )

Methods

  void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, byte[] pixels, int off, int scansize )

  void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, int[] pixels, int off, int scansize )

Inherited Methods

  boolean equals( java.lang.Object obj )

  java.awt.image.ImageFilter getFilterInstance( java.awt.image.ImageConsumer ic )

  native int hashCode( )

  void imageComplete( int status )

  native final void notify( )

  native final void notifyAll( )

  void resendTopDownLeftRight( java.awt.image.ImageProducer ip )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

FilteredImageSource class [java.awt.image]

ImageFilter class [java.awt.image]


ArithmeticException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      ArithmeticException class [java.lang]

Object

Throwable

Exception

RuntimeException

ArithmeticException

Description

Thrown when an exceptional arithmetic condition has occurred. For example, an integer "divide by zero" throws an instance of this class.

Specification

public class ArithmeticException extends java.lang.RuntimeException

Constructors

public ArithmeticException( )

Constructs an ArithmeticException with no detail message.

public ArithmeticException( java.lang.String s )

Constructs an ArithmeticException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


ArrangeGrid method [java.awt.GridBagLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      ArrangeGrid method [java.awt.GridBagLayout]

protected void ArrangeGrid( java.awt.Container parent )

Applies to

 GridBagLayout [java.awt]


Array class [java.lang.reflect] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      Array class [java.lang.reflect]

Object

Array

Description

The Array class provides static methods to dynamically create and access Java arrays.

Array permits widening conversions to occur during a get or set operation, but throws an IllegalArgumentException if a narrowing conversion would occur.

Specification

public final class Array extends java.lang.Object

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  static native java.lang.Object get( java.lang.Object array, int index ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

  static native boolean getBoolean( java.lang.Object array, int index ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

  static native byte getByte( java.lang.Object array, int index ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

  static native char getChar( java.lang.Object array, int index ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

  static native double getDouble( java.lang.Object array, int index ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

  static native float getFloat( java.lang.Object array, int index ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

  static native int getInt( java.lang.Object array, int index ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

  static native int getLength( java.lang.Object array ) throws java.lang.IllegalArgumentException

  static native long getLong( java.lang.Object array, int index ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

  static native short getShort( java.lang.Object array, int index ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

  static java.lang.Object newInstance( java.lang.Class componentType, int length ) throws java.lang.NegativeArraySizeException

  static java.lang.Object newInstance( java.lang.Class componentType, int[] dimensions ) throws java.lang.IllegalArgumentException, java.lang.NegativeArraySizeException

  static native void set( java.lang.Object array, int index, java.lang.Object value ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

  static native void setBoolean( java.lang.Object array, int index, boolean z ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

  static native void setByte( java.lang.Object array, int index, byte b ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

  static native void setChar( java.lang.Object array, int index, char c ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

  static native void setDouble( java.lang.Object array, int index, double d ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

  static native void setFloat( java.lang.Object array, int index, float f ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

  static native void setInt( java.lang.Object array, int index, int i ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

  static native void setLong( java.lang.Object array, int index, long l ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

  static native void setShort( java.lang.Object array, int index, short s ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


array property [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      array property [java.lang.Class]

public native boolean isArray( )

If this Class object represents an array type, returns true, otherwise returns false.

Return

No documentation supplied in JDK.

Applies to

 Class [java.lang]


arraycopy method [java.lang.System] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      arraycopy method [java.lang.System]

public static native void arraycopy( java.lang.Object src, int src_position, java.lang.Object dst, int dst_position, int length )

Copies an array from the specified source array, beginning at the specified position, to the specified position of the destination array. A subsequence of array components are copied from the source array referenced by src to the destination array referenced by dst. The number of components copied is equal to the length argument. The components at positions srcOffset through srcOffset+length-1 in the source array are copied into positions dstOffset through dstOffset+length-1, respectively, of the destination array.

If the src and dst arguments refer to the same array object, then the copying is performed as if the components at positions srcOffset through srcOffset+length-1 were first copied to a temporary array with length components and then the contents of the temporary array were copied into positions dstOffset through dstOffset+length-1 of the argument array.

If any of the following is true, an ArrayStoreException is thrown and the destination is not modified:

•	The src argument refers to an object that is not an array.

•	The dst argument refers to an object that is not an array.

•	The src argument and dst argument refer to arrays whose component types are different primitive types.

•	The src argument refers to an array with a primitive component type and the dst argument refers to an array with a reference component type.

•	The src argument refers to an array with a reference component type and the dst argument refers to an array with a primitive component type.

Otherwise, if any of the following is true, an ArrayIndexOutOfBoundsException is thrown and the destination is not modified:

•	The srcOffset argument is negative.

•	The dstOffset argument is negative.

•	The length argument is negative.

•	srcOffset+length is greater than src.length, the length of the source array.

•	dstOffset+length is greater than dst.length, the length of the destination array.

Otherwise, if any actual component of the source array from position srcOffset through srcOffset+length-1 cannot be converted to the component type of the destination array by assignment conversion, an ArrayStoreException is thrown. In this case, let k  be the smallest nonnegative integer less than length such that src[srcOffset+k ] cannot be converted to the component type of the destination array; when the exception is thrown, source array components from positions srcOffset through srcOffset+k -1 will already have been copied to destination array positions dstOffset through dstOffset+k -1 and no other positions of the destination array will have been modified.

Parameters

src:

the source array.

srcpos

start position in the source array.

dest

the destination array.

destpos

start position in the destination data.

length

the number of array elements to be copied.

Throws

ArrayIndexOutOfBoundsException

If copying would cause access of data outside array bounds.

ArrayStoreException

If an element in the src array could not be stored into the dest array because of a type mismatch.

Applies to

 System [java.lang]


ArrayIndexOutOfBoundsException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      ArrayIndexOutOfBoundsException class [java.lang]

Object

Throwable

Exception

RuntimeException

IndexOutOfBoundsException

ArrayIndexOutOfBoundsException

Description

Thrown to indicate that an array has been accessed with an illegal index. The index is either negative or greater than or equal to the size of the array.

Specification

public class ArrayIndexOutOfBoundsException extends java.lang.IndexOutOfBoundsException

Constructors

public ArrayIndexOutOfBoundsException( )

Constructs an ArrayIndexOutOfBoundsException with no detail message.

public ArrayIndexOutOfBoundsException( java.lang.String s )

Constructs an ArrayIndexOutOfBoundsException class with the specified detail message.

Parameter

s

the detail message.

public ArrayIndexOutOfBoundsException( int index )

Constructs a new ArrayIndexOutOfBoundsException class with an argument indicating the illegal index.

Parameter

index

the illegal index.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


ArrayStoreException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      ArrayStoreException class [java.lang]

Object

Throwable

Exception

RuntimeException

ArrayStoreException

Description

Thrown to indicate that an attempt has been made to store the wrong type of object into an array of objects. For example, the following code generates an ArrayStoreException:

   Object x[] = new String[3];

   x[0] = new Integer(0);

Specification

public class ArrayStoreException extends java.lang.RuntimeException

Constructors

public ArrayStoreException( )

Constructs an ArrayStoreException with no detail message.

public ArrayStoreException( java.lang.String s )

Constructs an ArrayStoreException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


ascent property [java.awt.FontMetrics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      ascent property [java.awt.FontMetrics]

public int getAscent( )

Determines the font ascent of the font described by this font metric. The font ascent is the distance from the font's baseline to the top of most alphanumeric characters. Some characters in the font may extend above the font ascent line.

Return

The font ascent of the font.

See also

maxAscent property [java.awt.FontMetrics]

Applies to

 FontMetrics [java.awt]


asin method [java.lang.Math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      asin method [java.lang.Math]

public static native double asin( double a )

Returns the arc sine of an angle, in the range of -pi /2 through pi /2.

Parameter

a

an angle, in radians.

Return

The arc sine of the argument.

Applies to

 Math [java.lang]


asText property [java.beans.PropertyEditorSupport] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      asText property [java.beans.PropertyEditorSupport]

public java.lang.String getAsText( )

No documentation supplied in JDK

Return

The property value as a string suitable for presentation to a human to edit.

  Returns "null" is the value can't be expressed as a string.

  If a non-null value is returned, then the PropertyEditor should be prepared to parse that string back in setAsText().

public void setAsText( java.lang.String text ) throws java.lang.IllegalArgumentException

Set the property value by parsing a given String.  May raise java.lang.IllegalArgumentException if either the String is badly formatted or if this kind of property can't be expressed as text.

Parameter

text

The string to be parsed.

Applies to

 PropertyEditorSupport [java.beans]


atan method [java.lang.Math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      atan method [java.lang.Math]

public static native double atan( double a )

Returns the arc tangent of an angle, in the range of -pi /2 through pi /2.

Parameter

a

an angle, in radians.

Return

The arc tangent of the argument.

Applies to

 Math [java.lang]


atan2 method [java.lang.Math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      atan2 method [java.lang.Math]

public static native double atan2( double a, double b )

Converts rectangular coordinates (b, a) to polar (r, theta ). This method computes the phase theta by computing an arc tangent of b/a in the range of -pi to pi .

Parameters

a

a double value.

b

a double value.

Return

The theta component of the point (r , theta ) in polar coordinates that corresponds to the point (b , a ) in Cartesian coordinates.

Applies to

 Math [java.lang]


attributeNames method [java.beans.FeatureDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      attributeNames method [java.beans.FeatureDescriptor]

public java.util.Enumeration attributeNames( )

No documentation supplied in JDK

Return

An enumeration of the locale-independent names of any attributes that have been registered with setValue.

Applies to

 BeanDescriptor [java.beans]

 EventSetDescriptor [java.beans]

 FeatureDescriptor [java.beans]

 IndexedPropertyDescriptor [java.beans]

 MethodDescriptor [java.beans]

 ParameterDescriptor [java.beans]

 PropertyDescriptor [java.beans]


AudioClip interface [java.applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      AudioClip interface [java.applet]

Description

The AudioClip interface is a simple abstraction for playing a sound clip. Multiple AudioClip items can be playing at the same time, and the resulting sound is mixed together to produce a composite.

Definition

public interface AudioClip

{

  // Methods

  public void play( );

  public void loop( );

  public void stop( );

}

Methods

public void play( )

Starts playing this audio clip. Each time this method is called, the clip is restarted from the beginning.

public void loop( )

Starts playing this audio clip in a loop.

public void stop( )

Stops playing this audio clip.


available method [java.io.BufferedInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      available method [java.io.BufferedInputStream]

Overloads:

 int available( ) overrides available method [java.io.FilterInputStream]

public synchronized int available( ) throws java.io.IOException

Returns the number of bytes that can be read from this input stream without blocking.

The available method of BufferedInputStream returns the sum of the the number of bytes remaining to be read in the buffer (count - pos) and the result of calling the available method of the underlying input stream.

Return

The number of bytes that can be read from this input stream without blocking.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedInputStream [java.io]


available method [java.io.ByteArrayInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      available method [java.io.ByteArrayInputStream]

Overloads:

 int available( ) overrides available method [java.io.InputStream]

public synchronized int available( )

Returns the number of bytes that can be read from this input stream without blocking.

The available method of ByteArrayInputStream returns the value of count - pos, which is the number of bytes remaining to be read from the input buffer.

Return

The number of bytes that can be read from the input stream without blocking.

Applies to

 ByteArrayInputStream [java.io]


available method [java.io.FileInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      available method [java.io.FileInputStream]

Overloads:

 int available( ) overrides available method [java.io.InputStream]

public native int available( ) throws java.io.IOException

Returns the number of bytes that can be read from this file input stream without blocking.

Return

The number of bytes that can be read from this file input stream without blocking.

Throws

IOException

If an I/O error occurs.

Applies to

 FileInputStream [java.io]


available method [java.io.FilterInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      available method [java.io.FilterInputStream]

Overloads:

 int available( ) overrides available method [java.io.InputStream]

public int available( ) throws java.io.IOException

Returns the number of bytes that can be read from this input stream without blocking.

The available method of FilterInputStream calls the available method of its underlying input stream and returns whatever value that method returns.

Return

The number of bytes that can be read from the input stream without blocking.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedInputStream [java.io]

 CheckedInputStream [java.util.zip]

 DataInputStream [java.io]

 DigestInputStream [java.security]

 FilterInputStream [java.io]

 GZIPInputStream [java.util.zip]

 InflaterInputStream [java.util.zip]

 LineNumberInputStream [java.io]

 PushbackInputStream [java.io]

 ZipInputStream [java.util.zip]


available method [java.io.InputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      available method [java.io.InputStream]

public int available( ) throws java.io.IOException

Returns the number of bytes that can be read from this input stream without blocking. The available method of InputStream returns 0. This method should be overridden by subclasses.

Return

The number of bytes that can be read from this input stream without blocking.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedInputStream [java.io]

 ByteArrayInputStream [java.io]

 CheckedInputStream [java.util.zip]

 DataInputStream [java.io]

 DigestInputStream [java.security]

 FileInputStream [java.io]

 FilterInputStream [java.io]

 GZIPInputStream [java.util.zip]

 InflaterInputStream [java.util.zip]

 InputStream [java.io]

 LineNumberInputStream [java.io]

 ObjectInputStream [java.io]

 PipedInputStream [java.io]

 PushbackInputStream [java.io]

 SequenceInputStream [java.io]

 StringBufferInputStream [java.io]

 ZipInputStream [java.util.zip]


available method [java.io.LineNumberInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      available method [java.io.LineNumberInputStream]

Overloads:

 int available( ) overrides available method [java.io.FilterInputStream]

public int available( ) throws java.io.IOException

Returns the number of bytes that can be read from this input stream without blocking.

Note that if the underlying input stream is able to supply k input characters without blocking, the LineNumberInputStream can guarantee only to provide k /2 characters without blocking, because the k characters from the underlyhing input stream might consist of k /2 pairs of '\r' and '\n', which are converted to just k /2 '\n' characters.

Return

The number of bytes that can be read from this input stream without blocking.

Throws

IOException

If an I/O error occurs.

Applies to

 LineNumberInputStream [java.io]


available method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      available method [java.io.ObjectInputStream]

Overloads:

 int available( ) overrides available method [java.io.InputStream]

public int available( ) throws java.io.IOException

Returns the number of bytes that can be read without blocking.

Return

The number of available bytes.

Applies to

 ObjectInputStream [java.io]


available method [java.io.PipedInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      available method [java.io.PipedInputStream]

Overloads:

 int available( ) overrides available method [java.io.InputStream]

public synchronized int available( ) throws java.io.IOException

Returns the number of bytes that can be read from this input stream without blocking. This method overrides the available method of the parent class.

Return

The number of bytes that can be read from this input stream without blocking.

Throws

IOException

If an I/O error occurs.

Applies to

 PipedInputStream [java.io]


available method [java.io.PushbackInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      available method [java.io.PushbackInputStream]

Overloads:

 int available( ) overrides available method [java.io.FilterInputStream]

public int available( ) throws java.io.IOException

Returns the number of bytes that can be read from this input stream without blocking.  This method calls the available method of the underlying input stream; it returns that value plus the number of bytes that have been pushed back.

Return

The number of bytes that can be read from the input stream without blocking.

Throws

IOException

If an I/O error occurs.

Applies to

 PushbackInputStream [java.io]


available method [java.io.SequenceInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      available method [java.io.SequenceInputStream]

Overloads:

 int available( ) overrides available method [java.io.InputStream]

public int available( ) throws java.io.IOException

Returns the number of bytes available on the current stream.

Return

No documentation supplied in JDK.

Applies to

 SequenceInputStream [java.io]


available method [java.io.StringBufferInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      available method [java.io.StringBufferInputStream]

Overloads:

 int available( ) overrides available method [java.io.InputStream]

public synchronized int available( )

Returns the number of bytes that can be read from the input stream without blocking.

Return

The value of count - pos, which is the number of bytes remaining to be read from the input buffer.

Applies to

 StringBufferInputStream [java.io]


available method [java.net.SocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      available method [java.net.SocketImpl]

protected abstract int available( ) throws java.io.IOException

Returns the number of bytes that can be read from this socket without blocking.

Return

The number of bytes that can be read from this socket without blocking.

Throws

IOException

If an I/O error occurs when determining the number of bytes available.

Applies to

 SocketImpl [java.net]


availableIDs property [java.util.TimeZone] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      availableIDs property [java.util.TimeZone]

public static synchronized java.lang.String[] getAvailableIDs( )

Gets all the available IDs supported.

Return

An array of IDs.

public static synchronized java.lang.String[] getAvailableIDs( int rawOffset )

Gets the available IDs according to the given time zone offset.

Parameter

rawOffset

the given time zone GMT offset.

Return

An array of IDs, where the time zone for that ID has the specified GMT offset. For example, "America/Phoenix" and "America/Denver" both have GMT-07:00, but differ in daylight savings behavior.

Applies to

 SimpleTimeZone [java.util]

 TimeZone [java.util]


availableLocales property [java.text.BreakIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      availableLocales property [java.text.BreakIterator]

public static synchronized java.util.Locale[] getAvailableLocales( )

Get the set of Locales for which BreakIterators are installed

Return

Available locales.

Applies to

 BreakIterator [java.text]


availableLocales property [java.text.Collator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      availableLocales property [java.text.Collator]

public static synchronized java.util.Locale[] getAvailableLocales( )

Get the set of Locales for which Collators are installed.

Return

The list of available locales which collators are installed.

Applies to

 Collator [java.text]

 RuleBasedCollator [java.text]


availableLocales property [java.text.DateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      availableLocales property [java.text.DateFormat]

public static java.util.Locale[] getAvailableLocales( )

Gets the set of locales for which DateFormats are installed.

Return

The set of locales for which DateFormats are installed.

Applies to

 DateFormat [java.text]

 SimpleDateFormat [java.text]


availableLocales property [java.text.NumberFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      availableLocales property [java.text.NumberFormat]

public static java.util.Locale[] getAvailableLocales( )

Get the set of Locales for which NumberFormats are installed

Return

Available locales.

Applies to

 ChoiceFormat [java.text]

 DecimalFormat [java.text]

 NumberFormat [java.text]


availableLocales property [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      availableLocales property [java.util.Calendar]

public static synchronized java.util.Locale[] getAvailableLocales( )

Gets the set of locales for which Calendars are installed.

Return

The set of locales for which Calendars are installed.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


AWTError class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      AWTError class [java.awt]

Object

Throwable

Error

AWTError

Description

Thrown when a serious Abstract Window Toolkit error has occurred.

Specification

public class AWTError extends java.lang.Error

Constructor

public AWTError( java.lang.String msg )

Constructs an instance of AWTError with the specified detail message.

Parameter

msg

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


AWTEvent class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      AWTEvent class [java.awt]

Object

EventObject

AWTEvent

Description

The root event class for all AWT events. This class and its subclasses supercede the original java.awt.Event class. Subclasses of this root AWTEvent class defined outside of the java.awt.event package should define event ID values greater than the value defined by RESERVED_ID_MAX. The event masks defined in this class are needed ONLY by component subclasses which are using Component.enableEvents() to select for event types not selected by registered listeners. If a listener is registered on a component, the appropriate event mask is already set internally by the component.

Specification

public abstract class AWTEvent extends java.util.EventObject

Constructors

public AWTEvent( java.awt.Event event )

Constructs an AWTEvent object from the parameters of a 1.0-style event.

Parameter

event

the old-style event

public AWTEvent( java.lang.Object source, int id )

Constructs an AWTEvent object with the specified source object and type.

Parameter

source

the object where the event originated

Variables

protected int id

protected boolean consumed

public static final long COMPONENT_EVENT_MASK

The event mask for selecting component events.

public static final long CONTAINER_EVENT_MASK

The event mask for selecting container events.

public static final long FOCUS_EVENT_MASK

The event mask for selecting focus events.

public static final long KEY_EVENT_MASK

The event mask for selecting key events.

public static final long MOUSE_EVENT_MASK

The event mask for selecting mouse events.

public static final long MOUSE_MOTION_EVENT_MASK

The event mask for selecting mouse motion events.

public static final long WINDOW_EVENT_MASK

The event mask for selecting window events.

public static final long ACTION_EVENT_MASK

The event mask for selecting action events.

public static final long ADJUSTMENT_EVENT_MASK

The event mask for selecting adjustment events.

public static final long ITEM_EVENT_MASK

The event mask for selecting item events.

public static final long TEXT_EVENT_MASK

The event mask for selecting text events.

public static final int RESERVED_ID_MAX

The maximum value for reserved AWT event IDs. Programs defining their own event IDs should use IDs greater than this value.

Properties

  int getID( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.Object getSource( )

Protected Properties

 protected boolean isConsumed( )

Methods

  java.lang.String paramString( )

  java.lang.String toString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void consume( )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

enableEvents method [java.awt.Component]

ComponentEvent class [java.awt.event]

FocusEvent class [java.awt.event]

KeyEvent class [java.awt.event]

MouseEvent class [java.awt.event]

WindowEvent class [java.awt.event]

ActionEvent class [java.awt.event]

AdjustmentEvent class [java.awt.event]

ItemEvent class [java.awt.event]

TextEvent class [java.awt.event]


AWTEventMulticaster class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      AWTEventMulticaster class [java.awt]

Object

AWTEventMulticaster

Description

A class which implements efficient and thread-safe multi-cast event dispatching for the AWT events defined in the java.awt.event package. This class will manage an immutable structure consisting of a chain of event listeners and will dispatch events to those listeners.  Because the structure is immutable, it is safe to use this API to add/remove listeners during the process of an event dispatch operation. An example of how this class could be used to implement a new component which fires "action" events:

public myComponent extends Component {

   ActionListener actionListener = null;

   public void addActionListener(ActionListener l) {

   actionListener = AWTEventMulticaster.add(actionListener, l);

   }

   public void removeActionListener(ActionListener l) {

   actionListener = AWTEventMulticaster.remove(actionListener, l);

   }

   public void processEvent(AWTEvent e) {

       // when event occurs which causes "action" semantic

       if (actionListener != null) {

           actionListener.actionPerformed(new ActionEvent());

       }

}

Specification

public class AWTEventMulticaster extends java.lang.Object implements java.awt.event.ComponentListener, java.awt.event.ContainerListener, java.awt.event.FocusListener, java.awt.event.KeyListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.WindowListener, java.awt.event.ActionListener, java.awt.event.ItemListener, java.awt.event.AdjustmentListener, java.awt.event.TextListener

Constructor

protected AWTEventMulticaster( java.util.EventListener a, java.util.EventListener b )

Creates an event multicaster instance which chains listener-a with listener-b.

Parameters

a

listener-a

b

listener-b

Variable

protected final java.util.EventListener a

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void actionPerformed( java.awt.event.ActionEvent e )

  static java.awt.event.AdjustmentListener add( java.awt.event.AdjustmentListener a, java.awt.event.AdjustmentListener b )

  static java.awt.event.ItemListener add( java.awt.event.ItemListener a, java.awt.event.ItemListener b )

  static java.awt.event.ActionListener add( java.awt.event.ActionListener a, java.awt.event.ActionListener b )

  static java.awt.event.WindowListener add( java.awt.event.WindowListener a, java.awt.event.WindowListener b )

  static java.awt.event.MouseMotionListener add( java.awt.event.MouseMotionListener a, java.awt.event.MouseMotionListener b )

  static java.awt.event.TextListener add( java.awt.event.TextListener a, java.awt.event.TextListener b )

  static java.awt.event.ComponentListener add( java.awt.event.ComponentListener a, java.awt.event.ComponentListener b )

  static java.awt.event.ContainerListener add( java.awt.event.ContainerListener a, java.awt.event.ContainerListener b )

  static java.awt.event.FocusListener add( java.awt.event.FocusListener a, java.awt.event.FocusListener b )

  static java.awt.event.KeyListener add( java.awt.event.KeyListener a, java.awt.event.KeyListener b )

  static java.awt.event.MouseListener add( java.awt.event.MouseListener a, java.awt.event.MouseListener b )

  void adjustmentValueChanged( java.awt.event.AdjustmentEvent e )

  void componentAdded( java.awt.event.ContainerEvent e )

  void componentHidden( java.awt.event.ComponentEvent e )

  void componentMoved( java.awt.event.ComponentEvent e )

  void componentRemoved( java.awt.event.ContainerEvent e )

  void componentResized( java.awt.event.ComponentEvent e )

  void componentShown( java.awt.event.ComponentEvent e )

  void focusGained( java.awt.event.FocusEvent e )

  void focusLost( java.awt.event.FocusEvent e )

  void itemStateChanged( java.awt.event.ItemEvent e )

  void keyPressed( java.awt.event.KeyEvent e )

  void keyReleased( java.awt.event.KeyEvent e )

  void keyTyped( java.awt.event.KeyEvent e )

  void mouseClicked( java.awt.event.MouseEvent e )

  void mouseDragged( java.awt.event.MouseEvent e )

  void mouseEntered( java.awt.event.MouseEvent e )

  void mouseExited( java.awt.event.MouseEvent e )

  void mouseMoved( java.awt.event.MouseEvent e )

  void mousePressed( java.awt.event.MouseEvent e )

  void mouseReleased( java.awt.event.MouseEvent e )

  static java.awt.event.ContainerListener remove( java.awt.event.ContainerListener l, java.awt.event.ContainerListener oldl )

  static java.awt.event.TextListener remove( java.awt.event.TextListener l, java.awt.event.TextListener oldl )

  static java.awt.event.WindowListener remove( java.awt.event.WindowListener l, java.awt.event.WindowListener oldl )

  static java.awt.event.MouseMotionListener remove( java.awt.event.MouseMotionListener l, java.awt.event.MouseMotionListener oldl )

  static java.awt.event.MouseListener remove( java.awt.event.MouseListener l, java.awt.event.MouseListener oldl )

  static java.awt.event.KeyListener remove( java.awt.event.KeyListener l, java.awt.event.KeyListener oldl )

  static java.awt.event.FocusListener remove( java.awt.event.FocusListener l, java.awt.event.FocusListener oldl )

  static java.awt.event.AdjustmentListener remove( java.awt.event.AdjustmentListener l, java.awt.event.AdjustmentListener oldl )

  static java.awt.event.ItemListener remove( java.awt.event.ItemListener l, java.awt.event.ItemListener oldl )

  static java.awt.event.ComponentListener remove( java.awt.event.ComponentListener l, java.awt.event.ComponentListener oldl )

  static java.awt.event.ActionListener remove( java.awt.event.ActionListener l, java.awt.event.ActionListener oldl )

  void textValueChanged( java.awt.event.TextEvent e )

  void windowActivated( java.awt.event.WindowEvent e )

  void windowClosed( java.awt.event.WindowEvent e )

  void windowClosing( java.awt.event.WindowEvent e )

  void windowDeactivated( java.awt.event.WindowEvent e )

  void windowDeiconified( java.awt.event.WindowEvent e )

  void windowIconified( java.awt.event.WindowEvent e )

  void windowOpened( java.awt.event.WindowEvent e )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected static java.util.EventListener addInternal( java.util.EventListener a, java.util.EventListener b )

 protected java.util.EventListener remove( java.util.EventListener oldl )

 protected static java.util.EventListener removeInternal( java.util.EventListener l, java.util.EventListener oldl )

 protected static void save( java.io.ObjectOutputStream s, java.lang.String k, java.util.EventListener l ) throws java.io.IOException

 protected void saveInternal( java.io.ObjectOutputStream s, java.lang.String k ) throws java.io.IOException

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


AWTException class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     A
      AWTException class [java.awt]

Object

Throwable

Exception

AWTException

Description

Signals that an Absract Window Toolkit exception has occurred.

Specification

public class AWTException extends java.lang.Exception

Constructor

public AWTException( java.lang.String msg )

Constructs an instance of AWTException with the specified detail message. A detail message is an instance of String that describes this particular exception.

Parameter

msg

the detail message

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


B  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    B

 background property [java.awt.Component]

 beanClass property [java.beans.BeanDescriptor]

 BeanDescriptor class [java.beans]

 beanDescriptor property [java.beans.SimpleBeanInfo]

 BeanInfo interface [java.beans]

 beanInfoSearchPath property [java.beans.Introspector]

 Beans class [java.beans]

 beep method [java.awt.Toolkit]

 before method [java.sql.Timestamp]

 before method [java.util.Calendar]

 before method [java.util.Date]

 before method [java.util.GregorianCalendar]

 beginIndex property [java.text.FieldPosition]

 beginIndex property [java.text.StringCharacterIterator]

 BigDecimal class [java.math]

 BigInteger class [java.math]

 bind method [java.net.DatagramSocketImpl]

 bind method [java.net.SocketImpl]

 bind method [java.rmi.Naming]

 BindException class [java.net]

 bitCount method [java.math.BigInteger]

 bitLength method [java.math.BigInteger]

 BitSet class [java.util]

 blockIncrement property [java.awt.Scrollbar]

 blue property [java.awt.Color]

 blue property [java.awt.image.ColorModel]

 blue property [java.awt.image.DirectColorModel]

 blue property [java.awt.image.IndexColorModel]

 blueMask property [java.awt.image.DirectColorModel]

 bold property [java.awt.Font]

 Boolean class [java.lang]

 booleanValue method [java.lang.Boolean]

 BorderLayout class [java.awt]

 bound property [java.beans.PropertyDescriptor]

 boundingBox property [java.awt.Polygon]

 bounds method [java.awt.Component]

 bounds property [java.awt.Component]

 bounds property [java.awt.Polygon]

 bounds property [java.awt.Rectangle]

 BreakIterator class [java.text]

 brighter method [java.awt.Color]

 buffer property [java.io.StringWriter]

 BufferedInputStream class [java.io]

 BufferedOutputStream class [java.io]

 BufferedReader class [java.io]

 BufferedWriter class [java.io]

 Button class [java.awt]

 ButtonPeer interface [java.awt.peer]

 Byte class [java.lang]

 ByteArrayInputStream class [java.io]

 ByteArrayOutputStream class [java.io]

 bytes property [java.lang.String]

 bytesWidth method [java.awt.FontMetrics]

 byteValue method [java.lang.Byte]

 byteValue method [java.lang.Double]

 byteValue method [java.lang.Float]

 byteValue method [java.lang.Integer]

 byteValue method [java.lang.Long]

 byteValue method [java.lang.Number]

 byteValue method [java.lang.Short]


background property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      background property [java.awt.Component]

public java.awt.Color getBackground( )

Gets the background color of this component.

Return

This component's background color. If this component does not have a background color, the background color of its parent is returned.

public void setBackground( java.awt.Color c )

Sets the background color of this component.

Parameter

c

The color to become this components background color.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


beanClass property [java.beans.BeanDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      beanClass property [java.beans.BeanDescriptor]

public java.lang.Class getBeanClass( )

No documentation supplied in JDK

Return

The Class object for the bean.

Applies to

 BeanDescriptor [java.beans]


BeanDescriptor class [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      BeanDescriptor class [java.beans]

Object

FeatureDescriptor

BeanDescriptor

Description

A BeanDescriptor provides global information about a "bean", including its Java class, its displayName, etc.

This is one of the kinds of descriptor returned by a BeanInfo object, which also returns descriptors for properties, method, and events.

Specification

public class BeanDescriptor extends java.beans.FeatureDescriptor

Constructors

public BeanDescriptor( java.lang.Class beanClass )

Create a BeanDescriptor for a bean that doesn't have a customizer.

Parameter

beanClass

The Class object of the Java class that implements the bean.  For example sun.beans.OurButton.class.

public BeanDescriptor( java.lang.Class beanClass, java.lang.Class customizerClass )

Create a BeanDescriptor for a bean that has a customizer.

Parameters

beanClass

The Class object of the Java class that implements the bean.  For example sun.beans.OurButton.class.

customizerClass

The Class object of the Java class that implements the bean's Customizer.  For example sun.beans.OurButtonCustomizer.class.

Properties

  java.lang.Class getBeanClass( )

  java.lang.Class getCustomizerClass( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getDisplayName( )

  void setDisplayName( java.lang.String displayName )

  void setExpert( boolean expert )

  boolean isExpert( )

  void setHidden( boolean hidden )

  boolean isHidden( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.lang.String getShortDescription( )

  void setShortDescription( java.lang.String text )

Inherited Methods

  java.util.Enumeration attributeNames( )

  boolean equals( java.lang.Object obj )

  java.lang.Object getValue( java.lang.String attributeName )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void setValue( java.lang.String attributeName, java.lang.Object value )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


beanDescriptor property [java.beans.SimpleBeanInfo] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      beanDescriptor property [java.beans.SimpleBeanInfo]

public java.beans.BeanDescriptor getBeanDescriptor( )

Deny knowledge about the class and customizer of the bean. You can override this if you wish to provide explicit info.

Return

No documentation supplied in JDK.

Applies to

 SimpleBeanInfo [java.beans]


BeanInfo interface [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      BeanInfo interface [java.beans]

Description

A bean implementor who wishes to provide explicit information about their bean may provide a BeanInfo class that implements this BeanInfo interface and provides explicit information about the methods, properties, events, etc, of their  bean.

A bean implementor doesn't need to provide a complete set of explicit information.  You can pick and choose which information you want to provide and the rest will be obtained by automatic analysis using low-level reflection of the bean classes' methods and applying standard design patterns.

You get the opportunity to provide lots and lots of different information as part of the various XyZDescriptor classes.  But don't panic, you only really need to provide the minimal core information required by the various constructors.

See also the SimpleBeanInfo class which provides a convenient "noop" base class for BeanInfo classes, which you can override for those specific places where you want to return explicit info.

To learn about all the behaviour of a bean see the Introspector class.

Definition

public interface BeanInfo

{

  // Variables

  public static final int ICON_COLOR_16x16;

  public static final int ICON_COLOR_32x32;

  public static final int ICON_MONO_16x16;

  public static final int ICON_MONO_32x32;

  // Properties

  public java.beans.BeanDescriptor getBeanDescriptor( );

  public java.beans.EventSetDescriptor[] getEventSetDescriptors( );

  public int getDefaultEventIndex( );

  public java.beans.PropertyDescriptor[] getPropertyDescriptors( );

  public int getDefaultPropertyIndex( );

  public java.beans.MethodDescriptor[] getMethodDescriptors( );

  public java.beans.BeanInfo[] getAdditionalBeanInfo( );

  public java.awt.Image getIcon( int iconKind );

}

Variables

public static final int ICON_COLOR_16x16

Constant to indicate a 16 x 16 color icon.

public static final int ICON_COLOR_32x32

Constant to indicate a 32 x 32 color icon.

public static final int ICON_MONO_16x16

Constant to indicate a 16 x 16 monochrome icon.

public static final int ICON_MONO_32x32

Constant to indicate a 32 x 32 monochrome icon.

Properties

public java.beans.BeanDescriptor getBeanDescriptor( )

No documentation supplied in JDK

Return

A BeanDescriptor providing overall information about the bean, such as its displayName, its customizer, etc.  May return null if the information should be obtained by automatic analysis.

public java.beans.EventSetDescriptor[] getEventSetDescriptors( )

No documentation supplied in JDK

Return

An array of EventSetDescriptors describing the kinds of events fired by this bean.  May return null if the information should be obtained by automatic analysis.

public int getDefaultEventIndex( )

A bean may have a "default" event that is the event that will mostly commonly be used by human's when using the bean.

Return

Index of default event in the EventSetDescriptor array returned by getEventSetDescriptors.

Returns -1 if there is no default event.

public java.beans.PropertyDescriptor[] getPropertyDescriptors( )

No documentation supplied in JDK

Return

An array of PropertyDescriptors describing the editable properties supported by this bean.  May return null if the information should be obtained by automatic analysis.

If a property is indexed, then its entry in the result array will belong to the IndexedPropertyDescriptor subclass of PropertyDescriptor. A client of getPropertyDescriptors can use "instanceof" to check if a given PropertyDescriptor is an IndexedPropertyDescriptor.

public int getDefaultPropertyIndex( )

A bean may have a "default" property that is the property that will mostly commonly be initially chosen for update by human's who are customizing the bean.

Return

Index of default property in the PropertyDescriptor array returned by getPropertyDescriptors.

Returns -1 if there is no default property.

public java.beans.MethodDescriptor[] getMethodDescriptors( )

No documentation supplied in JDK

Return

An array of MethodDescriptors describing the externally visible methods supported by this bean.  May return null if the information should be obtained by automatic analysis.

public java.beans.BeanInfo[] getAdditionalBeanInfo( )

This method allows a BeanInfo object to return an arbitrary collection of other BeanInfo objects that provide additional information on the current bean.

If there are conflicts or overlaps between the information provided by different BeanInfo objects, then the current BeanInfo takes precedence over the getAdditionalBeanInfo objects, and later elements in the array take precedence over earlier ones.

Return

An array of BeanInfo objects.  May return null.

public java.awt.Image getIcon( int iconKind )

This method returns an image object that can be used to represent the bean in toolboxes, toolbars, etc.   Icon images will typically be GIFs, but may in future include other formats.

Beans aren't required to provide icons and may return null from this method.

There are four possible flavors of icons (16x16 color, 32x32 color, 16x16 mono, 32x32 mono).  If a bean choses to only support a single icon we recommend supporting 16x16 color.

We recommend that icons have a "transparent" background so they can be rendered onto an existing background.

Parameter

iconKind

The kind of icon requested. This should be one of the constant values ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, or ICON_MONO_32x32.

Return

An image object representing the requested icon.  May return null if no suitable icon is available.

Implemented by

SimpleBeanInfo [java.beans]


beanInfoSearchPath property [java.beans.Introspector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      beanInfoSearchPath property [java.beans.Introspector]

public static java.lang.String[] getBeanInfoSearchPath( )

No documentation supplied in JDK

Return

The array of package names that will be searched in order to find BeanInfo classes.

    This is initially set to {"sun.beans.infos"}.

public static void setBeanInfoSearchPath( java.lang.String[] path )

Change the list of package names that will be used for finding BeanInfo classes.

Parameter

path

Array of package names.

Applies to

 Introspector [java.beans]


Beans class [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      Beans class [java.beans]

Object

Beans

Description

This class provides some general purpose beans control methods.

Specification

public class Beans extends java.lang.Object

Properties

  static void setDesignTime( boolean isDesignTime ) throws java.lang.SecurityException

  static boolean isDesignTime( )

  static void setGuiAvailable( boolean isGuiAvailable ) throws java.lang.SecurityException

  static boolean isGuiAvailable( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  static java.lang.Object getInstanceOf( java.lang.Object bean, java.lang.Class targetType )

  static java.lang.Object instantiate( java.lang.ClassLoader cls, java.lang.String beanName ) throws java.io.IOException, java.lang.ClassNotFoundException

  static boolean isInstanceOf( java.lang.Object bean, java.lang.Class targetType )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


beep method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      beep method [java.awt.Toolkit]

public abstract void beep( )

Emits an audio beep.

Applies to

 Toolkit [java.awt]


before method [java.sql.Timestamp] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      before method [java.sql.Timestamp]

Inherited overloads:

 boolean before( Date when )

public boolean before( java.sql.Timestamp ts )

Is this timestamp earlier than the timestamp argument?

Parameter

ts

the Timestamp value to compare with

Return

No documentation supplied in JDK.

Applies to

 Timestamp [java.sql]


before method [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      before method [java.util.Calendar]

public abstract boolean before( java.lang.Object when )

Compares the time field records. Equivalent to comparing result of conversion to UTC.

Parameter

when

the Calendar to be compared with this Calendar.

Return

True if the current time of this Calendar is before the time of Calendar when; false otherwise.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


before method [java.util.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      before method [java.util.Date]

public boolean before( java.util.Date when )

Tests if this date is before the specified date.

Parameter

when

a date.

Return

true if this date is before the argument date; false otherwise.

Applies to

 Date [java.sql]

 Date [java.util]

 Time [java.sql]

 Timestamp [java.sql]


before method [java.util.GregorianCalendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      before method [java.util.GregorianCalendar]

Overloads:

 boolean before( Object when ) overrides before method [java.util.Calendar]

public boolean before( java.lang.Object when )

Compares the time field records. Equivalent to comparing result of conversion to UTC.

Parameter

when

the Calendar to be compared with this Calendar.

Return

True if the current time of this Calendar is before the time of Calendar when; false otherwise.

Applies to

 GregorianCalendar [java.util]


beginIndex property [java.text.FieldPosition] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      beginIndex property [java.text.FieldPosition]

public int getBeginIndex( )

Retrieve the index of the first character in the requested field.

Return

No documentation supplied in JDK.

Applies to

 FieldPosition [java.text]


beginIndex property [java.text.StringCharacterIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      beginIndex property [java.text.StringCharacterIterator]

public int getBeginIndex( )

Return the start index of the text.

Return

The index at which the text begins.

Applies to

 StringCharacterIterator [java.text]


BigDecimal class [java.math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      BigDecimal class [java.math]

Object

Number

BigDecimal

Description

Immutable, arbitrary-precision signed decimal numbers.  A BigDecimal consists of an arbitrary precision integer value and a non-negative integer scale, which represents the number of decimal digits to the right of the decimal point.  (The number represented by the BigDecimal is intVal/10**scale.)  BigDecimals provide operations for basic arithmetic, scale manipulation, comparison, format conversion and hashing.

The BigDecimal class gives its user complete control over rounding behavior, forcing the user to explicitly specify a rounding behavior for operations capable of discarding precision (divide and setScale).  Eight rounding modes are provided for this purpose. Two types of operations are provided for manipulating the scale of a BigDecimal: scaling/rounding operations and decimal point motion operations. Scaling/Rounding operations (SetScale) return a BigDecimal whose value is approximately (or exactly) equal to that of the operand, but whose scale is the specified value; that is, they increase or decrease the precision of the number with minimal effect on its value.  Decimal point motion operations (movePointLeft and movePointRight) return a BigDecimal created from the operand by moving the decimal point a specified distance in the specified direction; that is, they change a number's value without affecting its precision.

Specification

public class BigDecimal extends java.lang.Number

Constructors

public BigDecimal( java.lang.String val ) throws java.lang.NumberFormatException

Constructs a BigDecimal from a string containing an optional minus sign followed by a sequence of zero or more decimal digits, optionally followed by a fraction, which consists of a decimal point followed by zero or more decimal digits.  The string must contain at least one digit in the integer or fractional part.  The scale of the resulting BigDecimal will be the number of digits to the right of the decimal point in the string, or 0 if the string contains no decimal point. The character-to-digit mapping is provided by Character.digit. Any extraneous characters (including whitespace) will result in a NumberFormatException.

public BigDecimal( double val ) throws java.lang.NumberFormatException

Translates a double into a BigDecimal.  The scale of the BigDecimal is the smallest value such that (10**scale * val) is an integer. A double whose value is -infinity, +infinity or NaN will result in a NumberFormatException.

public BigDecimal( java.math.BigInteger val )

Translates a BigInteger into a BigDecimal.  The scale of the BigDecimal is zero.

public BigDecimal( java.math.BigInteger val, int scale ) throws java.lang.NumberFormatException

Translates a BigInteger and a scale into a BigDecimal.  The value of the BigDecimal is (BigInteger/10**scale).  A negative scale will result in a NumberFormatException.

Variables

public static final int ROUND_UP

Always increment the digit prior to a non-zero discarded fraction. Note that this rounding mode never decreases the magnitude. (Rounds away from zero.).

public static final int ROUND_DOWN

Never increment the digit prior to a discarded fraction (i.e., truncate).  Note that this rounding mode never increases the magnitude. (Rounds towards zero.).

public static final int ROUND_CEILING

If the BigDecimal is positive, behave as for ROUND_UP; if negative, behave as for ROUND_DOWN.  Note that this rounding mode never decreases the value.  (Rounds towards positive infinity.).

public static final int ROUND_FLOOR

If the BigDecimal is positive, behave as for ROUND_DOWN; if negative behave as for ROUND_UP.  Note that this rounding mode never increases the value.  (Rounds towards negative infinity.).

public static final int ROUND_HALF_UP

Behave as for ROUND_UP if the discarded fraction is >= .5; otherwise, behave as for ROUND_DOWN.  (Rounds towards "nearest neighbor" unless both neighbors are equidistant, in which case rounds up.).

public static final int ROUND_HALF_DOWN

Behave as for ROUND_UP if the discarded fraction is > .5; otherwise, behave as for ROUND_DOWN.   (Rounds towards "nearest neighbor" unless both neighbors are equidistant, in which case rounds down.).

public static final int ROUND_HALF_EVEN

Behave as for ROUND_HALF_UP if the digit to the left of the discarded fraction is odd; behave as for ROUND_HALF_DOWN if it's even.  (Rounds towards the "nearest neighbor" unless both neighbors are equidistant, in which case, rounds towards the even neighbor.).

public static final int ROUND_UNNECESSARY

This "pseudo-rounding-mode" is actually an assertion that the requested operation has an exact result, hence no rounding is necessary.  If this rounding mode is specified on an operation that yields an inexact result, an arithmetic exception is thrown.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.math.BigDecimal abs( )

  java.math.BigDecimal add( java.math.BigDecimal val )

  int compareTo( java.math.BigDecimal val )

  java.math.BigDecimal divide( java.math.BigDecimal val, int scale, int roundingMode ) throws java.lang.ArithmeticException, java.lang.IllegalArgumentException

  java.math.BigDecimal divide( java.math.BigDecimal val, int roundingMode ) throws java.lang.ArithmeticException, java.lang.IllegalArgumentException

  double doubleValue( )

  boolean equals( java.lang.Object x )

  float floatValue( )

  int hashCode( )

  int intValue( )

  long longValue( )

  java.math.BigDecimal max( java.math.BigDecimal val )

  java.math.BigDecimal min( java.math.BigDecimal val )

  java.math.BigDecimal movePointLeft( int n )

  java.math.BigDecimal movePointRight( int n )

  java.math.BigDecimal multiply( java.math.BigDecimal val )

  java.math.BigDecimal negate( )

  int scale( )

  java.math.BigDecimal setScale( int scale, int roundingMode ) throws java.lang.ArithmeticException, java.lang.IllegalArgumentException

  java.math.BigDecimal setScale( int scale ) throws java.lang.ArithmeticException, java.lang.IllegalArgumentException

  int signum( )

  java.math.BigDecimal subtract( java.math.BigDecimal val )

  java.math.BigInteger toBigInteger( )

  java.lang.String toString( )

  static java.math.BigDecimal valueOf( long val, int scale ) throws java.lang.NumberFormatException

  static java.math.BigDecimal valueOf( long val )

Inherited Methods

  byte byteValue( )

  native final void notify( )

  native final void notifyAll( )

  short shortValue( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

BigInteger class [java.math]


BigInteger class [java.math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      BigInteger class [java.math]

Object

Number

BigInteger

Description

Immutable arbitrary-precision integers.  All operations behave as if BigIntegers were represented in two's-complement notation (like Java's primitive integer types).  BigIntegers provide analogues to all of Java's primitive integer operators, and all relevant static methods from java.lang.Math.  Additionally, BigIntegers provide operations for modular arithmetic, GCD calculation, primality testing, prime generation, single-bit manipulation, and a few other odds and ends.

Semantics of arithmetic operations exactly mimic those of java's integer arithmetic operators, as defined in The Java Language Specification.  For example, division by zero throws an ArithmeticException, and division of a negative by a positive yields a negative (or zero) remainder.  All of the details in the Spec concerning overflow are ignored, as BigIntegers are made as large as necessary to accommodate the results of an operation.

Semantics of shift operations extend those of Java's shift operators to allow for negative shift distances.  A right-shift with a negative shift distance results in a left shift, and vice-versa.  The unsigned right shift operator (>>>) is omitted, as this operation makes little sense in combination with the "infinite word size" abstraction provided by this class.

Semantics of bitwise logical operations are are exactly mimic those of Java's bitwise integer operators.  The Binary operators (and, or, xor) implicitly perform sign extension on the shorter of the two operands prior to performing the operation.

Comparison operations perform signed integer comparisons, analogous to those performed by java's relational and equality operators.

Modular arithmetic operations are provided to compute residues, perform exponentiation, and compute multiplicative inverses.  These methods always return a non-negative result, between 0 and (modulus - 1), inclusive.

Single-bit operations operate on a single bit of the two's-complement representation of their operand.  If necessary, the operand is sign extended so that it contains the designated bit.  None of the single-bit operations can produce a number with a different sign from the the BigInteger being operated on, as they affect only a single bit, and the "infinite word size" abstraction provided by this class ensures that there are infinitely many "virtual sign bits" preceding each BigInteger.

Specification

public class BigInteger extends java.lang.Number

Constructors

public BigInteger( java.lang.String val ) throws java.lang.NumberFormatException

Translates a string containing an optional minus sign followed by a sequence of one or more decimal digits into a BigInteger.  The character-to-digit mapping is provided by Character.digit. Any extraneous characters (including whitespace) will result in a NumberFormatException.

public BigInteger( byte[] val ) throws java.lang.NumberFormatException

Translates a byte array containing the two's-complement representation of a (signed) integer into a BigInteger.  The input array is assumed to be big-endian (i.e., the most significant byte is in the [0] position). (The most significant bit of the most significant byte is the sign bit.) The array must contain at least one byte or a NumberFormatException will be thrown.

public BigInteger( int signum, byte[] magnitude ) throws java.lang.NumberFormatException

Translates the sign-magnitude representation of an integer into a BigInteger.  The sign is represented as an integer signum value (-1 for negative, 0 for zero, 1 for positive).  The magnitude is represented as a big-endian byte array (i.e., the most significant byte is in the [0] position).  An invalid signum value or a 0 signum value coupled with a nonzero magnitude will result in a NumberFormatException. A zero length magnitude array is permissible, and will result in in a value of 0 (irrespective of the given signum value).

public BigInteger( java.lang.String val, int radix ) throws java.lang.NumberFormatException

Translates a string containing an optional minus sign followed by a sequence of one or more digits in the specified radix into a BigInteger. The character-to-digit mapping is provided by Character.digit. Any extraneous characters (including whitespace), or a radix outside the range from Character.MIN_RADIX(2) to Character.MAX_RADIX(36), inclusive, will result in a NumberFormatException.

public BigInteger( int numBits, java.util.Random rndSrc ) throws java.lang.IllegalArgumentException

Returns a random number uniformly distributed on [0, 2**numBits - 1] (assuming a fair source of random bits is provided in rndSrc). Note that this constructor always returns a non-negative BigInteger. Throws an IllegalArgumentException if numBits < 0.

public BigInteger( int bitLength, int certainty, java.util.Random rnd )

Returns a randomly selected BigInteger with the specified bitLength that is probably prime.  The certainty parameter is a measure of the uncertainty that the caller is willing to tolerate: the probability that the number is prime will exceed 1 - 1/2**certainty.  The execution time is proportional to the value of the certainty parameter.  The given random number generator is used to select candidates to be tested for primality.  Throws an ArithmeticException if bitLength < 2.

Properties

  int getLowestSetBit( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.math.BigInteger abs( )

  java.math.BigInteger add( java.math.BigInteger val ) throws java.lang.ArithmeticException

  java.math.BigInteger and( java.math.BigInteger val )

  java.math.BigInteger andNot( java.math.BigInteger val )

  int bitCount( )

  int bitLength( )

  java.math.BigInteger clearBit( int n ) throws java.lang.ArithmeticException

  int compareTo( java.math.BigInteger val )

  java.math.BigInteger divide( java.math.BigInteger val ) throws java.lang.ArithmeticException

  java.math.BigInteger[] divideAndRemainder( java.math.BigInteger val ) throws java.lang.ArithmeticException

  double doubleValue( )

  boolean equals( java.lang.Object x )

  java.math.BigInteger flipBit( int n ) throws java.lang.ArithmeticException

  float floatValue( )

  java.math.BigInteger gcd( java.math.BigInteger val )

  int hashCode( )

  int intValue( )

  boolean isProbablePrime( int certainty )

  long longValue( )

  java.math.BigInteger max( java.math.BigInteger val )

  java.math.BigInteger min( java.math.BigInteger val )

  java.math.BigInteger mod( java.math.BigInteger m )

  java.math.BigInteger modInverse( java.math.BigInteger m ) throws java.lang.ArithmeticException

  java.math.BigInteger modPow( java.math.BigInteger exponent, java.math.BigInteger m )

  java.math.BigInteger multiply( java.math.BigInteger val )

  java.math.BigInteger negate( )

  java.math.BigInteger not( )

  java.math.BigInteger or( java.math.BigInteger val )

  java.math.BigInteger pow( int exponent ) throws java.lang.ArithmeticException

  java.math.BigInteger remainder( java.math.BigInteger val ) throws java.lang.ArithmeticException

  java.math.BigInteger setBit( int n ) throws java.lang.ArithmeticException

  java.math.BigInteger shiftLeft( int n )

  java.math.BigInteger shiftRight( int n )

  int signum( )

  java.math.BigInteger subtract( java.math.BigInteger val )

  boolean testBit( int n ) throws java.lang.ArithmeticException

  byte[] toByteArray( )

  java.lang.String toString( int radix )

  java.lang.String toString( )

  static java.math.BigInteger valueOf( long val )

  java.math.BigInteger xor( java.math.BigInteger val )

Inherited Methods

  byte byteValue( )

  native final void notify( )

  native final void notifyAll( )

  short shortValue( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

BigDecimal class [java.math]


bind method [java.net.DatagramSocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      bind method [java.net.DatagramSocketImpl]

protected abstract void bind( int lport, java.net.InetAddress laddr ) throws java.net.SocketException

Binds a datagram socket to a local port and address.

Applies to

 DatagramSocketImpl [java.net]


bind method [java.net.SocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      bind method [java.net.SocketImpl]

protected abstract void bind( java.net.InetAddress host, int port ) throws java.io.IOException

Binds this socket to the specified port number on the specified host.

Parameters

host

the IP address of the remote host.

port

the port number.

Throws

IOException

If an I/O error occurs when binding this socket.

Applies to

 SocketImpl [java.net]


bind method [java.rmi.Naming] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      bind method [java.rmi.Naming]

public static void bind( java.lang.String name, java.rmi.Remote obj ) throws java.rmi.AlreadyBoundException, java.net.MalformedURLException, java.rmi.UnknownHostException, java.rmi.RemoteException

Binds the name to the specified remote object.

Throws

RemoteException

If registry could not be contacted.

AlreadyBoundException

If name is already bound.

Applies to

 Naming [java.rmi]


BindException class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      BindException class [java.net]

Object

Throwable

Exception

IOException

SocketException

BindException

Description

Signals that an error occurred while attempting to bind a socket to a local address and port.  Typically, the port is in use, or the requested local address could not be assigned.

Specification

public class BindException extends java.net.SocketException

Constructors

public BindException( )

Construct a new BindException with no detailed message.

public BindException( java.lang.String msg )

Constructs a new BindException with the specified detail message as to why the bind error occurred. A detail message is a String that gives a specific description of this error.

Parameter

msg

the detail message

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


bitCount method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      bitCount method [java.math.BigInteger]

public int bitCount( )

Returns the number of bits in the two's complement representation of this number that differ from its sign bit.  This method is useful when implementing bit-vector style sets atop BigIntegers.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


bitLength method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      bitLength method [java.math.BigInteger]

public int bitLength( )

Returns the number of bits in the minimal two's-complement representation of this number, *excluding* a sign bit, i.e., (ceil(log2(this < 0 ? -this : this + 1))).  (For positive numbers, this is equivalent to the number of bits in the ordinary binary representation.)

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


BitSet class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      BitSet class [java.util]

Object

BitSet

Description

A set of bits. The set automatically grows as more bits are needed.

Specification

public final class BitSet extends java.lang.Object implements java.lang.Cloneable, java.io.Serializable

Constructors

public BitSet( )

Creates an empty set.

public BitSet( int nbits )

Creates an empty set with the specified size.

Parameter

nbits

the size of the set

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void and( java.util.BitSet set )

  void clear( int bit )

  java.lang.Object clone( )

  boolean equals( java.lang.Object obj )

  boolean get( int bit )

  int hashCode( )

  void or( java.util.BitSet set )

  void set( int bit )

  int size( )

  java.lang.String toString( )

  void xor( java.util.BitSet set )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable


blockIncrement property [java.awt.Scrollbar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      blockIncrement property [java.awt.Scrollbar]

public int getBlockIncrement( )

Gets the block increment of this scroll bar.

The block increment is the value that is added (subtracted) when the user activates the block increment area of the scroll bar, generally through a mouse or keyboard gesture that the scroll bar receives as an adjustment event.

Return

The block increment of this scroll bar.

public void setBlockIncrement( int v )

Sets the block increment for this scroll bar.

The block increment is the value that is added (subtracted) when the user activates the block increment area of the scroll bar, generally through a mouse or keyboard gesture that the scroll bar receives as an adjustment event.

Parameter

v

the amount by which to increment or decrement the scroll bar's value.

Applies to

 Scrollbar [java.awt]


blue property [java.awt.Color] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      blue property [java.awt.Color]

public int getBlue( )

Gets the blue component of this color. The result is an integer in the range 0 to 255.

Return

The blue component of this color.

See also

RGB property [java.awt.Color]

Applies to

 Color [java.awt]

 SystemColor [java.awt]


blue property [java.awt.image.ColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      blue property [java.awt.image.ColorModel]

public abstract int getBlue( int pixel )

The subclass must provide a function which provides the blue color compoment for the specified pixel.

Return

The blue color component ranging from 0 to 255.

Applies to

 ColorModel [java.awt.image]

 DirectColorModel [java.awt.image]

 IndexColorModel [java.awt.image]


blue property [java.awt.image.DirectColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      blue property [java.awt.image.DirectColorModel]

Overloads:

  int getBlue( int pixel ) overrides blue property [java.awt.image.ColorModel]

public final int getBlue( int pixel )

Returns the blue color compoment for the specified pixel in the range 0-255.

Return

No documentation supplied in JDK.

Applies to

 DirectColorModel [java.awt.image]


blue property [java.awt.image.IndexColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      blue property [java.awt.image.IndexColorModel]

Overloads:

  int getBlue( int pixel ) overrides blue property [java.awt.image.ColorModel]

public final int getBlue( int pixel )

Returns the blue color compoment for the specified pixel in the range 0-255.

Return

No documentation supplied in JDK.

Applies to

 IndexColorModel [java.awt.image]


blueMask property [java.awt.image.DirectColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      blueMask property [java.awt.image.DirectColorModel]

public final int getBlueMask( )

Returns the mask indicating which bits in a pixel contain the blue color component.

Return

No documentation supplied in JDK.

Applies to

 DirectColorModel [java.awt.image]


bold property [java.awt.Font] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      bold property [java.awt.Font]

public boolean isBold( )

Indicates whether the font's style is bold.

Return

true if the font is bold; false otherwise.

See also

style property [java.awt.Font]

Applies to

 Font [java.awt]


Boolean class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      Boolean class [java.lang]

Object

Boolean

Description

The Boolean class wraps a value of the primitive type boolean in an object. An object of type Boolean contains a single field whose type is boolean.

In addition, this class provides many methods for converting a boolean to a String and a String to a boolean, as well as other constants and methods useful when dealing with a boolean.

Specification

public final class Boolean extends java.lang.Object implements java.io.Serializable

Constructors

public Boolean( java.lang.String s )

Allocates a Boolean object representing the value true if the string argument is not null and is equal, ignoring case, to the string "true". Otherwise, allocate a Boolean object representing the value false.

Parameter

s

the string to be converted to a Boolean.

public Boolean( boolean value )

Allocates a Boolean object representing the value argument.

Parameter

value

the value of the Boolean.

Variables

public static final java.lang.Boolean TRUE

The Boolean object corresponding to the primitive value true.

public static final java.lang.Boolean FALSE

The Boolean object corresponding to the primitive value false.

public static final java.lang.Class TYPE

The Class object representing the primitive type boolean.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  boolean booleanValue( )

  boolean equals( java.lang.Object obj )

  static boolean getBoolean( java.lang.String name )

  int hashCode( )

  java.lang.String toString( )

  static java.lang.Boolean valueOf( java.lang.String s )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


booleanValue method [java.lang.Boolean] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      booleanValue method [java.lang.Boolean]

public boolean booleanValue( )

Returns the value of this Boolean object as a boolean.

Return

The primitive boolean value of this object.

Applies to

 Boolean [java.lang]


BorderLayout class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      BorderLayout class [java.awt]

Object

BorderLayout

Description

A border layout lays out a container, arranging and resizing its components to fit in five regions: North, South, East, West, and Center.  When adding a component to a container with a border layout, use one of these five names, for example:

  Panel p = new Panel();

  p.setLayout(new BorderLayout());

  p.add(new Button("Okay"), "South");

As a convenience, BorderLayout interprets the absence of a string specification the same as "Center":

  Panel p2 = new Panel();

  p2.setLayout(new BorderLayout());

  p2.add(new TextArea());  // Same as p.add(new TextArea(), "Center");

The components are laid out according to their preferred sizes and the constraints of the container's size. The North and South components may be stretched horizontally; the East and West components may be stretched vertically; the Center component may stretch both horizontally and vertically to fill any space left over.

Here is an example of five buttons in an applet laid out using the BorderLayout layout manager:

The code for this applet is as follows:

import java.awt.*;

import java.applet.Applet;

public class buttonDir extends Applet {

 public void init() {

   setLayout(new BorderLayout());

   add("North",  new Button("North"));

   add("South",  new Button("South"));

   add("East",   new Button("East"));

   add("West",   new Button("West"));

   add("Center", new Button("Center"));

 }

}

Specification

public class BorderLayout extends java.lang.Object implements java.awt.LayoutManager2, java.io.Serializable

Constructors

public BorderLayout( )

Constructs a new border layout with no gaps between components.

public BorderLayout( int hgap, int vgap )

Constructs a border layout with the specified gaps between components. The horizontal gap is specified by hgap and the vertical gap is specified by vgap.

Parameters

hgap

the horizontal gap.

vgap

the vertical gap.

Variables

public static final java.lang.String NORTH

The north layout constraint (top of container).

public static final java.lang.String SOUTH

The south layout constraint (bottom of container).

public static final java.lang.String EAST

The east layout constraint (left side of container).

public static final java.lang.String WEST

The west layout constraint (right side of container).

public static final java.lang.String CENTER

The center layout constraint (middle of container).

Properties

  int getHgap( )

  void setHgap( int hgap )

  int getVgap( )

  void setVgap( int vgap )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void addLayoutComponent( java.lang.String name, java.awt.Component comp )

  void addLayoutComponent( java.awt.Component comp, java.lang.Object constraints )

  float getLayoutAlignmentX( java.awt.Container parent )

  float getLayoutAlignmentY( java.awt.Container parent )

  void invalidateLayout( java.awt.Container target )

  void layoutContainer( java.awt.Container target )

  java.awt.Dimension maximumLayoutSize( java.awt.Container target )

  java.awt.Dimension minimumLayoutSize( java.awt.Container target )

  java.awt.Dimension preferredLayoutSize( java.awt.Container target )

  void removeLayoutComponent( java.awt.Component comp )

  java.lang.String toString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


bound property [java.beans.PropertyDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      bound property [java.beans.PropertyDescriptor]

public void setBound( boolean bound )

Updates to "bound" properties will cause a "PropertyChange" event to get fired when the property is changed.

Parameter

bound

True if this is a bound property.

public boolean isBound( )

Updates to "bound" properties will cause a "PropertyChange" event to get fired when the property is changed.

Return

True if this is a bound property.

Applies to

 IndexedPropertyDescriptor [java.beans]

 PropertyDescriptor [java.beans]


boundingBox property [java.awt.Polygon] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      boundingBox property [java.awt.Polygon]

public java.awt.Rectangle getBoundingBox( )

Note: getBoundingBox has been deprecated. As of JDK version 1.1, replaced by getBounds().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Polygon [java.awt]


bounds method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      bounds method [java.awt.Component]

public java.awt.Rectangle bounds( )

Note: bounds has been deprecated. As of JDK version 1.1,  replaced by getBounds().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


bounds property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      bounds property [java.awt.Component]

public java.awt.Rectangle getBounds( )

Gets the bounds of this component in the form of a Rectangle object. The bounds specify this component's width, height, and location relative to its parent.

Return

A rectangle indicating this component's bounds.

See also

location property [java.awt.Component]

size property [java.awt.Component]

public void setBounds( java.awt.Rectangle r )

Moves and resizes this component to conform to the new bounding rectangle r. This component's new position is specified by r.x and r.y, and its new size is specified by r.width and r.height

Parameter

r

The new bounding rectangle for this component.

See also

location property [java.awt.Component]

size property [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


bounds property [java.awt.Polygon] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      bounds property [java.awt.Polygon]

public java.awt.Rectangle getBounds( )

Gets the bounding box of this polygon. The bounding box is the smallest rectangle whose sides are parallel to the x and y axes of the coordinate space, and that can completely contain the polygon.

Return

A rectangle that defines the bounds of this polygon.

Applies to

 Polygon [java.awt]


bounds property [java.awt.Rectangle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      bounds property [java.awt.Rectangle]

public java.awt.Rectangle getBounds( )

Gets the bounding rectangle of this rectangle.

This method is included for completeness, to parallel the getBounds method of Component.

Return

A new rectangle, equal to the bounding rectangle for this rectangle.

See also

bounds property [java.awt.Component]

public void setBounds( java.awt.Rectangle r )

Sets the bounding rectangle of this rectangle to match the specified rectangle.

This method is included for completeness, to parallel the setBounds method of Component.

Parameter

r

a rectangle.

See also

bounds property [java.awt.Component]

Applies to

 Rectangle [java.awt]


BreakIterator class [java.text] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      BreakIterator class [java.text]

Object

BreakIterator

Description

The BreakIterator class implements methods for finding the location of boundaries in text. Instances of BreakIterator maintain a current position and scan over text returning the index of characters where boundaries occur. Internally, BreakIterator scans text using a CharacterIterator, and is thus able to scan text held by any object implementing that protocol. A StringCharacterIterator is used to scan String objects passed to setText.

You use the factory methods provided by this class to create instances of various types of break iterators. In particular, use getWordIterator, getLineIterator, getSentenceIterator, and getCharacterIterator to create BreakIterators that perform word, line, sentence, and character boundary analysis respectively. A single BreakIterator can work only on one unit (word, line, sentence, and so on). You must use a different iterator for each unit boundary analysis you wish to perform.

Line boundary analysis determines where a text string can be broken when line-wrapping. The mechanism correctly handles punctuation and hyphenated words.

Sentence boundary analysis allows selection with correct interpretation of periods within numbers and abbreviations, and trailing punctuation marks such as quotation marks and parentheses.

Word boundary analysis is used by search and replace functions, as well as within text editing applications that allow the user to select words with a double click. Word selection provides correct interpretation of punctuation marks within and following words. Characters that are not part of a word, such as symbols or punctuation marks, have word-breaks on both sides.

Character boundary analysis allows users to interact with characters as they expect to, for example, when moving the cursor through a text string. Character boundary analysis provides correct navigation of through character strings, regardless of how the character is stored. For example, an accented character might be stored as a base character and a diacritical mark. What users consider to be a character can differ between languages.

BreakIterator is intended for use with natural languages only. Do not use this class to tokenize a programming language.

Examples :

Creating and using text boundaries

public static void main(String args[]) {

    if (args.length == 1) {

        String stringToExamine = args[0];

        //print each word in order

        BreakIterator boundary = BreakIterator.getWordInstance();

        boundary.setText(stringToExamine);

        printEachForward(boundary, stringToExamine);

        //print each sentence in reverse order

        boundary = BreakIterator.getSentenceInstance(Locale.US);

        boundary.setText(stringToExamine);

        printEachBackward(boundary, stringToExamine);

        printFirst(boundary, stringToExamine);

        printLast(boundary, stringToExamine);

    }

}

 Print each element in order

public static void printEachForward(BreakIterator boundary, String source) {

   int start = boundary.first();

   for (int end = boundary.next();

        end != BreakIterator.DONE;

        start = end, end = boundary.next()) {

        System.out.println(source.substring(start,end));

   }

}

 Print each element in reverse order

public static void printEachBackward(BreakIterator boundary, String source) {

   int end = boundary.last();

   for (int start = boundary.previous();

        start != BreakIterator.DONE;

        end = start, start = boundary.previous()) {

       System.out.println(source.substring(start,end));

   }

}

 Print first element

public static void printFirst(BreakIterator boundary, String source) {

   int start = boundary.first();

   int end = boundary.next();

   System.out.println(source.substring(start,end));

}

 Print last element

public static void printLast(BreakIterator boundary, String source) {

   int end = boundary.last();

   int start = boundary.previous();

   System.out.println(source.substring(start,end));

}

 Print the element at a specified position

public static void printAt(BreakIterator boundary, int pos, String source) {

   int end = boundary.following(pos);

   int start = boundary.previous();

   System.out.println(source.substring(start,end));

}

Specification

public abstract class BreakIterator extends java.lang.Object implements java.lang.Cloneable, java.io.Serializable

Constructor

protected BreakIterator( )

Constructor. BreakIterator is stateless and has no default behavior.

Variable

public static final int DONE

DONE is returned by previous() and next() after all valid boundaries have been returned.

Properties

  static synchronized java.util.Locale[] getAvailableLocales( )

  static java.text.BreakIterator getCharacterInstance( )

  static java.text.BreakIterator getLineInstance( )

  static java.text.BreakIterator getSentenceInstance( )

  abstract java.text.CharacterIterator getText( )

  abstract void setText( java.text.CharacterIterator newText )

  void setText( java.lang.String newText )

  static java.text.BreakIterator getWordInstance( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.Object clone( )

  abstract int current( )

  abstract int first( )

  abstract int following( int offset )

  static java.text.BreakIterator getCharacterInstance( java.util.Locale where )

  static java.text.BreakIterator getLineInstance( java.util.Locale where )

  static java.text.BreakIterator getSentenceInstance( java.util.Locale where )

  static java.text.BreakIterator getWordInstance( java.util.Locale where )

  abstract int last( )

  abstract int next( int n )

  abstract int next( )

  abstract int previous( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable

See also

CharacterIterator interface [java.text]


brighter method [java.awt.Color] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      brighter method [java.awt.Color]

public java.awt.Color brighter( )

Creates a brighter version of this color.

This method applies an arbitrary scale factor to each of the three RGB components of the color to create a brighter version of the same color. Although brighter and darker are inverse operations, the results of a series of invocations of these two methods may be inconsistent because of rounding errors.

Return

A new Color object, a brighter version of this color.

See also

darker method [java.awt.Color]

Applies to

 Color [java.awt]

 SystemColor [java.awt]


buffer property [java.io.StringWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      buffer property [java.io.StringWriter]

public java.lang.StringBuffer getBuffer( )

Return the string buffer itself.

Return

No documentation supplied in JDK.

Applies to

 StringWriter [java.io]


BufferedInputStream class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      BufferedInputStream class [java.io]

Object

InputStream

FilterInputStream

BufferedInputStream

Description

The class implements a buffered input stream. By setting up such an input stream, an application can read bytes from a stream without necessarily causing a call to the underlying system for each byte read. The data is read by blocks into a buffer; subsequent reads can access the data directly from the buffer.

Specification

public class BufferedInputStream extends java.io.FilterInputStream

Constructors

public BufferedInputStream( java.io.InputStream in )

Creates a new buffered input stream to read data from the specified input stream with a default 512-byte buffer size.

Parameter

in

the underlying input stream.

public BufferedInputStream( java.io.InputStream in, int size )

Creates a new buffered input stream to read data from the specified input stream with the specified buffer size.

Parameters

in

the underlying input stream.

size

the buffer size.

Variables

protected byte[] buf

The buffer where data is stored.

protected int count

The index one greater than the index of the last valid byte in the buffer.

protected int pos

The current position in the buffer. This is the index of the next character to be read from the buf array.

protected int markpos

The value of the pos field at the time the last mark method was called. The value of this field is -1 if there is no current mark.

protected int marklimit

The maximum read ahead allowed after a call to the mark method before subsequent calls to the reset method fail.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  synchronized int available( ) throws java.io.IOException

  synchronized void mark( int readlimit )

  boolean markSupported( )

  synchronized int read( byte[] b, int off, int len ) throws java.io.IOException

  synchronized int read( ) throws java.io.IOException

  synchronized void reset( ) throws java.io.IOException

  synchronized long skip( long n ) throws java.io.IOException

Inherited Methods

  void close( ) throws java.io.IOException

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  int read( byte[] b ) throws java.io.IOException

  java.lang.String toString( )

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


BufferedOutputStream class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      BufferedOutputStream class [java.io]

Object

OutputStream

FilterOutputStream

BufferedOutputStream

Description

The class implements a buffered output stream. By setting up such an output stream, an application can write bytes to the underlying output stream without necessarily causing a call to the underlying system for each byte written. The data is written into a buffer, and then written to the underlying stream if the buffer reaches its capacity, the buffer output stream is closed, or the buffer output stream is explicity flushed.

Specification

public class BufferedOutputStream extends java.io.FilterOutputStream

Constructors

public BufferedOutputStream( java.io.OutputStream out )

Creates a new buffered output stream to write data to the specified underlying output stream with a default 512-byte buffer size.

Parameter

out

the underlying output stream.

public BufferedOutputStream( java.io.OutputStream out, int size )

Creates a new buffered output stream to write data to the specified underlying output stream with the specified buffer size.

Parameters

out

the underlying output stream.

size

the buffer size.

Variables

protected byte[] buf

The buffer where data is stored.

protected int count

The number of valid bytes in the buffer.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  synchronized void flush( ) throws java.io.IOException

  synchronized void write( int b ) throws java.io.IOException

  synchronized void write( byte[] b, int off, int len ) throws java.io.IOException

Inherited Methods

  void close( ) throws java.io.IOException

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  void write( byte[] b ) throws java.io.IOException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


BufferedReader class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      BufferedReader class [java.io]

Object

Reader

BufferedReader

Description

Read text from a character-input stream, buffering characters so as to provide for the efficient reading of characters, arrays, and lines.

The buffer size may be specified, or the default size may be used.  The default is large enough for most purposes.

In general, each read request made of a Reader causes a corresponding read request to be made of the underlying character or byte stream.  It is therefore advisable to wrap a BufferedReader around any Reader whose read() operations may be costly, such as FileReaders and InputStreamReaders.  For example,

BufferedReader in

 = new BufferedReader(new FileReader("foo.in"));

will buffer the input from the specified file.  Without buffering, each invocation of read() or readLine() could cause bytes to be read from the file, converted into characters, and then returned, which can be very inefficient.

Programs that use DataInputStreams for textual input can be localized by replacing each DataInputStream with an appropriate BufferedReader.

Specification

public class BufferedReader extends java.io.Reader

Constructors

public BufferedReader( java.io.Reader in )

Create a buffering character-input stream that uses a default-sized input buffer.

Parameter

in

A Reader

public BufferedReader( java.io.Reader in, int sz )

Create a buffering character-input stream that uses an input buffer of the specified size.

Parameters

in

A Reader

sz

Input-buffer size

Throws

IllegalArgumentException

If sz is <= 0.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( ) throws java.io.IOException

  void mark( int readAheadLimit ) throws java.io.IOException

  boolean markSupported( )

  int read( ) throws java.io.IOException

  int read( char[] cbuf, int off, int len ) throws java.io.IOException

  java.lang.String readLine( ) throws java.io.IOException

  boolean ready( ) throws java.io.IOException

  void reset( ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  int read( char[] cbuf ) throws java.io.IOException

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

FileReader class [java.io]

InputStreamReader class [java.io]


BufferedWriter class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      BufferedWriter class [java.io]

Object

Writer

BufferedWriter

Description

Write text to a character-output stream, buffering characters so as to provide for the efficient writing of single characters, arrays, and strings.

The buffer size may be specified, or the default size may be accepted. The default is large enough for most purposes.

A newLine() method is provided, which uses the platform's own notion of line separator as defined by the system property line.separator. Not all platforms use the newline character ('\n') to terminate lines. Calling this method to terminate each output line is therefore preferred to writing a newline character directly.

In general, a Writer sends its output immediately to the underlying character or byte stream.  Unless prompt output is required, it is advisable to wrap a BufferedWriter around any Writer whose write() operations may be costly, such as FileWriters and OutputStreamWriters.  For example,

PrintWriter out

 = new PrintWriter(new BufferedWriter(new FileWriter("foo.out")));

will buffer the PrintWriter's output to the file.  Without buffering, each invocation of a print() method would cause characters to be converted into bytes that would then be written immediately to the file, which can be very inefficient.

Specification

public class BufferedWriter extends java.io.Writer

Constructors

public BufferedWriter( java.io.Writer out )

Create a buffered character-output stream that uses a default-sized output buffer.

Parameter

out

A Writer

public BufferedWriter( java.io.Writer out, int sz )

Create a new buffered character-output stream that uses an output buffer of the given size.

Parameters

out

A Writer

sz

Output-buffer size, a positive integer

Throws

IllegalArgumentException

If sz is <= 0.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( ) throws java.io.IOException

  void flush( ) throws java.io.IOException

  void newLine( ) throws java.io.IOException

  void write( int c ) throws java.io.IOException

  void write( java.lang.String s, int off, int len ) throws java.io.IOException

  void write( char[] cbuf, int off, int len ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  void write( char[] cbuf ) throws java.io.IOException

  void write( java.lang.String str ) throws java.io.IOException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

PrintWriter class [java.io]

FileWriter class [java.io]

OutputStreamWriter class [java.io]


Button class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      Button class [java.awt]

Object

Component

Button

Description

This class creates a labeled button. The application can cause some action to happen when the button is pushed. This image depicts three views of a "Quit" button as it appears under the Solaris operating system:

The first view shows the button as it appears normally. The second view shows the button when it has input focus. Its outline is darkened to let the user know that it is an active object. The third view shows the button when the user clicks the mouse over the button, and thus requests that an action be performed.

The gesture of clicking on a button with the mouse is associated with one instance of ActionEvent, which is sent out when the mouse is both pressed and released over the button. If an application is interested in knowing when the button has been pressed but not released, as a separate gesture, it can specialize processMouseEvent, or it can register itself as a listener for mouse events by calling addMouseListener. Both of these methods are defined by Component, the abstract superclass of all components.

When a button is pressed and released, AWT sends an instance of ActionEvent to the button, by calling processEvent on the button. The button's processEvent method receives all events for the button; it passes an action event along by calling its own processActionEvent method. The latter method passes the action event on to any action listeners that have registered an interest in action events generated by this button.

If an application wants to perform some action based on a button being pressed and released, it should implement ActionListener and register the new listener to receive events from this button, by calling the button's addActionListener method. The application can make use of the button's action command as a messaging protocol.

Specification

public class Button extends java.awt.Component

Constructors

public Button( )

Constructs a Button with no label.

public Button( java.lang.String label )

Constructs a Button with the specified label.

Parameter

label

A string label for the button.

Properties

  java.lang.String getActionCommand( )

  void setActionCommand( java.lang.String command )

  java.lang.String getLabel( )

  synchronized void setLabel( java.lang.String label )

Inherited Properties

  float getAlignmentX( )

  float getAlignmentY( )

  java.awt.Color getBackground( )

  void setBackground( java.awt.Color c )

  java.awt.Rectangle getBounds( )

  void setBounds( java.awt.Rectangle r )

  native final java.lang.Class getClass( )

  java.awt.image.ColorModel getColorModel( )

  java.awt.Cursor getCursor( )

  synchronized void setCursor( java.awt.Cursor cursor )

  void setEnabled( boolean b )

  boolean isEnabled( )

  boolean isFocusTraversable( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.awt.Color getForeground( )

  void setForeground( java.awt.Color c )

  java.awt.Graphics getGraphics( )

  java.util.Locale getLocale( )

  void setLocale( java.util.Locale l )

  java.awt.Point getLocation( )

  void setLocation( java.awt.Point p )

  void setLocation( int x, int y )

  java.awt.Point getLocationOnScreen( )

  java.awt.Dimension getMaximumSize( )

  java.awt.Dimension getMinimumSize( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.Container getParent( )

  java.awt.peer.ComponentPeer getPeer( )

  java.awt.Dimension getPreferredSize( )

  boolean isShowing( )

  java.awt.Dimension getSize( )

  void setSize( java.awt.Dimension d )

  void setSize( int width, int height )

  java.awt.Toolkit getToolkit( )

  final java.lang.Object getTreeLock( )

  boolean isValid( )

  void setVisible( boolean b )

  boolean isVisible( )

Methods

  void addNotify( )

Inherited Methods

  boolean action( java.awt.Event evt, java.lang.Object what )

  synchronized void add( java.awt.PopupMenu popup )

  java.awt.Rectangle bounds( )

  int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  int checkImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  boolean contains( int x, int y )

  boolean contains( java.awt.Point p )

  java.awt.Image createImage( java.awt.image.ImageProducer producer )

  java.awt.Image createImage( int width, int height )

  void deliverEvent( java.awt.Event e )

  void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  void doLayout( )

  void enable( )

  void enable( boolean b )

  boolean equals( java.lang.Object obj )

  java.awt.Component getComponentAt( int x, int y )

  java.awt.Component getComponentAt( java.awt.Point p )

  java.awt.FontMetrics getFontMetrics( java.awt.Font font )

  boolean gotFocus( java.awt.Event evt, java.lang.Object what )

  boolean handleEvent( java.awt.Event evt )

  native int hashCode( )

  void hide( )

  boolean imageUpdate( java.awt.Image img, int flags, int x, int y, int w, int h )

  boolean inside( int x, int y )

  void invalidate( )

  boolean keyDown( java.awt.Event evt, int key )

  boolean keyUp( java.awt.Event evt, int key )

  void layout( )

  void list( )

  void list( java.io.PrintStream out, int indent )

  void list( java.io.PrintStream out )

  void list( java.io.PrintWriter out, int indent )

  void list( java.io.PrintWriter out )

  java.awt.Component locate( int x, int y )

  java.awt.Point location( )

  boolean lostFocus( java.awt.Event evt, java.lang.Object what )

  java.awt.Dimension minimumSize( )

  boolean mouseDown( java.awt.Event evt, int x, int y )

  boolean mouseDrag( java.awt.Event evt, int x, int y )

  boolean mouseEnter( java.awt.Event evt, int x, int y )

  boolean mouseExit( java.awt.Event evt, int x, int y )

  boolean mouseMove( java.awt.Event evt, int x, int y )

  boolean mouseUp( java.awt.Event evt, int x, int y )

  void move( int x, int y )

  void nextFocus( )

  native final void notify( )

  native final void notifyAll( )

  void paint( java.awt.Graphics g )

  void paintAll( java.awt.Graphics g )

  boolean postEvent( java.awt.Event e )

  java.awt.Dimension preferredSize( )

  boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean prepareImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  void print( java.awt.Graphics g )

  void printAll( java.awt.Graphics g )

  synchronized void remove( java.awt.MenuComponent popup )

  void removeNotify( )

  void repaint( )

  void repaint( int x, int y, int width, int height )

  void repaint( long tm )

  void repaint( long tm, int x, int y, int width, int height )

  void requestFocus( )

  void reshape( int x, int y, int width, int height )

  void resize( java.awt.Dimension d )

  void resize( int width, int height )

  void setBounds( int x, int y, int width, int height )

  void show( )

  void show( boolean b )

  java.awt.Dimension size( )

  java.lang.String toString( )

  void transferFocus( )

  void update( java.awt.Graphics g )

  void validate( )

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected java.lang.String paramString( )

 protected void processActionEvent( java.awt.event.ActionEvent e )

 protected void processEvent( java.awt.AWTEvent e )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void finalize( ) throws java.lang.Throwable

 protected void processComponentEvent( java.awt.event.ComponentEvent e )

 protected void processFocusEvent( java.awt.event.FocusEvent e )

 protected void processKeyEvent( java.awt.event.KeyEvent e )

 protected void processMouseEvent( java.awt.event.MouseEvent e )

 protected void processMouseMotionEvent( java.awt.event.MouseEvent e )

Events

  synchronized void addActionListener( java.awt.event.ActionListener l )

  synchronized void removeActionListener( java.awt.event.ActionListener l )

Inherited Events

  synchronized void addComponentListener( java.awt.event.ComponentListener l )

  synchronized void removeComponentListener( java.awt.event.ComponentListener l )

  synchronized void addFocusListener( java.awt.event.FocusListener l )

  synchronized void removeFocusListener( java.awt.event.FocusListener l )

  synchronized void addKeyListener( java.awt.event.KeyListener l )

  synchronized void removeKeyListener( java.awt.event.KeyListener l )

  synchronized void addMouseListener( java.awt.event.MouseListener l )

  synchronized void removeMouseListener( java.awt.event.MouseListener l )

  synchronized void addMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void removeMouseMotionListener( java.awt.event.MouseMotionListener l )

See also

ActionEvent class [java.awt.event]

ActionListener interface [java.awt.event]

processMouseEvent method [java.awt.Component]

MouseEvent event [java.awt.Component]


ButtonPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      ButtonPeer interface [java.awt.peer]

Definition

public interface ButtonPeer extends java.awt.peer.ComponentPeer

{

  // Properties

  public void setLabel( java.lang.String label );

}

Properties

public void setLabel( java.lang.String label )


Byte class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      Byte class [java.lang]

Object

Number

Byte

Description

The Byte class is the standard wrapper for byte values.

Specification

public final class Byte extends java.lang.Number

Constructors

public Byte( byte value )

Constructs a Byte object initialized to the specified byte value.

Parameter

value

the initial value of the Byte

public Byte( java.lang.String s ) throws java.lang.NumberFormatException

Constructs a Byte object initialized to the value specified by the String parameter.  The radix is assumed to be 10.

Parameter

s

the String to be converted to a Byte

Throws

NumberFormatException

If the String does not contain a parsable byte.

Variables

public static final byte MIN_VALUE

The minimum value a Byte can have.

public static final byte MAX_VALUE

The maximum value a Byte can have.

public static final java.lang.Class TYPE

The Class object representing the primitive type byte.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  byte byteValue( )

  static java.lang.Byte decode( java.lang.String nm ) throws java.lang.NumberFormatException

  double doubleValue( )

  boolean equals( java.lang.Object obj )

  float floatValue( )

  int hashCode( )

  int intValue( )

  long longValue( )

  static byte parseByte( java.lang.String s, int radix ) throws java.lang.NumberFormatException

  static byte parseByte( java.lang.String s ) throws java.lang.NumberFormatException

  short shortValue( )

  java.lang.String toString( )

  static java.lang.String toString( byte b )

  static java.lang.Byte valueOf( java.lang.String s, int radix ) throws java.lang.NumberFormatException

  static java.lang.Byte valueOf( java.lang.String s ) throws java.lang.NumberFormatException

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Number class [java.lang]


ByteArrayInputStream class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      ByteArrayInputStream class [java.io]

Object

InputStream

ByteArrayInputStream

Description

This class allows an application to create an input stream in which the bytes read are supplied by the contents of a byte array. Applications can also read bytes from a string by using a StringBufferInputStream.

Specification

public class ByteArrayInputStream extends java.io.InputStream

Constructors

public ByteArrayInputStream( byte[] buf )

Creates a new byte array input stream that reads data from the specified byte array. The byte array is not copied.

Parameter

buf

the input buffer.

public ByteArrayInputStream( byte[] buf, int offset, int length )

Creates a new byte array input stream that reads data from the specified byte array. Up to length characters are to be read from the byte array, starting at the indicated offset.

The byte array is not copied.

Parameters

buf

the input buffer.

offset

the offset in the buffer of the first byte to read.

length

the maximum number of bytes to read from the buffer.

Variables

protected byte[] buf

The byte array containing the data.

protected int pos

The index of the next character to read from the input stream buffer.

protected int mark

The currently marked position in the stream. ByteArrayInputStreams are marked at position zero by default when constructed.  They may be marked at another position within the buffer by the mark() method. The current buffer position is set to this point by the reset() method.

protected int count

The index one greater than the last valid character in the input stream buffer.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  synchronized int available( )

  void mark( int markpos )

  boolean markSupported( )

  synchronized int read( byte[] b, int off, int len )

  synchronized int read( )

  synchronized void reset( )

  synchronized long skip( long n )

Inherited Methods

  void close( ) throws java.io.IOException

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  int read( byte[] b ) throws java.io.IOException

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

StringBufferInputStream class [java.io]


ByteArrayOutputStream class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      ByteArrayOutputStream class [java.io]

Object

OutputStream

ByteArrayOutputStream

Description

This class implements an output stream in which the data is written into a byte array. The buffer automatically grows as data is written to it. The data can be retrieved using toByteArray() and toString().

Specification

public class ByteArrayOutputStream extends java.io.OutputStream

Constructors

public ByteArrayOutputStream( )

Creates a new byte array output stream. The buffer capacity is initially 32 bytes, though its size increases if necessary.

public ByteArrayOutputStream( int size )

Creates a new byte array output stream, with a buffer capacity of the specified size, in bytes.

Parameter

size

the initial size.

Variables

protected byte[] buf

The buffer where data is stored.

protected int count

The number of valid bytes in the buffer.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  synchronized void reset( )

  int size( )

  synchronized byte[] toByteArray( )

  java.lang.String toString( java.lang.String enc ) throws java.io.UnsupportedEncodingException

  java.lang.String toString( )

  java.lang.String toString( int hibyte )

  synchronized void write( byte[] b, int off, int len )

  synchronized void write( int b )

  synchronized void writeTo( java.io.OutputStream out ) throws java.io.IOException

Inherited Methods

  void close( ) throws java.io.IOException

  boolean equals( java.lang.Object obj )

  void flush( ) throws java.io.IOException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  void write( byte[] b ) throws java.io.IOException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


bytes property [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      bytes property [java.lang.String]

public byte[] getBytes( )

Convert this String into bytes according to the platform's default character encoding, storing the result into a new byte array.

Return

The resultant byte array.

Applies to

 String [java.lang]


bytesWidth method [java.awt.FontMetrics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      bytesWidth method [java.awt.FontMetrics]

public int bytesWidth( byte[] data, int off, int len )

Returns the total advance width for showing the specified array of bytes in this Font. The advance width is the amount by which the current point is moved from one character to the next in a line of text.

Parameters

data

the array of bytes to be measured

off

the start offset of the bytes in the array

len

the number of bytes to be measured from the array

Return

The advance width of the subarray of the specified byte array in the font described by this font metric.

See also

charsWidth method [java.awt.FontMetrics]

stringWidth method [java.awt.FontMetrics]

Applies to

 FontMetrics [java.awt]


byteValue method [java.lang.Byte] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      byteValue method [java.lang.Byte]

Overloads:

 byte byteValue( ) overrides byteValue method [java.lang.Number]

public byte byteValue( )

Returns the value of this Byte as a byte.

Return

No documentation supplied in JDK.

Applies to

 Byte [java.lang]


byteValue method [java.lang.Double] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      byteValue method [java.lang.Double]

Overloads:

 byte byteValue( ) overrides byteValue method [java.lang.Number]

public byte byteValue( )

Returns the value of this Double as a byte (by casting to a byte).

Return

No documentation supplied in JDK.

Applies to

 Double [java.lang]


byteValue method [java.lang.Float] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      byteValue method [java.lang.Float]

Overloads:

 byte byteValue( ) overrides byteValue method [java.lang.Number]

public byte byteValue( )

Returns the value of this Float as a byte (by casting to a byte).

Return

No documentation supplied in JDK.

Applies to

 Float [java.lang]


byteValue method [java.lang.Integer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      byteValue method [java.lang.Integer]

Overloads:

 byte byteValue( ) overrides byteValue method [java.lang.Number]

public byte byteValue( )

Returns the value of this Integer as a byte.

Return

No documentation supplied in JDK.

Applies to

 Integer [java.lang]


byteValue method [java.lang.Long] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      byteValue method [java.lang.Long]

Overloads:

 byte byteValue( ) overrides byteValue method [java.lang.Number]

public byte byteValue( )

Returns the value of this Long as a byte.

Return

No documentation supplied in JDK.

Applies to

 Long [java.lang]


byteValue method [java.lang.Number] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      byteValue method [java.lang.Number]

public byte byteValue( )

Returns the value of the specified number as a byte. This may involve rounding or truncation.

Return

The numeric value represented by this object after conversion to type byte.

Applies to

 BigDecimal [java.math]

 BigInteger [java.math]

 Byte [java.lang]

 Double [java.lang]

 Float [java.lang]

 Integer [java.lang]

 Long [java.lang]

 Number [java.lang]

 Short [java.lang]


byteValue method [java.lang.Short] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     B
      byteValue method [java.lang.Short]

Overloads:

 byte byteValue( ) overrides byteValue method [java.lang.Number]

public byte byteValue( )

Returns the value of this Short as a byte.

Return

No documentation supplied in JDK.

Applies to

 Short [java.lang]


C  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    C

 Calendar class [java.util]

 calendar property [java.text.DateFormat]

 CallableStatement interface [java.sql]

 canonicalPath property [java.io.File]

 canRead method [java.io.File]

 Canvas class [java.awt]

 CanvasPeer interface [java.awt.peer]

 canWrite method [java.io.File]

 capacity method [java.lang.StringBuffer]

 capacity method [java.util.Vector]

 CardLayout class [java.awt]

 caretPosition property [java.awt.TextComponent]

 ceil method [java.lang.Math]

 Certificate interface [java.security]

 certificates method [java.security.Identity]

 Character class [java.lang]

 characterInstance property [java.text.BreakIterator]

 CharacterIterator interface [java.text]

 CharArrayReader class [java.io]

 CharArrayWriter class [java.io]

 charAt method [java.lang.String]

 charAt method [java.lang.StringBuffer]

 charAt property [java.lang.StringBuffer]

 CharConversionException class [java.io]

 charsWidth method [java.awt.FontMetrics]

 charValue method [java.lang.Character]

 charWidth method [java.awt.FontMetrics]

 checkAccept method [java.lang.SecurityManager]

 checkAccept method [java.rmi.RMISecurityManager]

 checkAccess method [java.lang.SecurityManager]

 checkAccess method [java.lang.Thread]

 checkAccess method [java.lang.ThreadGroup]

 checkAccess method [java.rmi.RMISecurityManager]

 checkAll method [java.awt.MediaTracker]

 checkAwtEventQueueAccess method [java.lang.SecurityManager]

 checkAwtEventQueueAccess method [java.rmi.RMISecurityManager]

 Checkbox class [java.awt]

 CheckboxGroup class [java.awt]

 checkboxGroup property [java.awt.Checkbox]

 CheckboxMenuItem class [java.awt]

 CheckboxMenuItemPeer interface [java.awt.peer]

 CheckboxPeer interface [java.awt.peer]

 checkConnect method [java.lang.SecurityManager]

 checkConnect method [java.rmi.RMISecurityManager]

 checkCreateClassLoader method [java.lang.SecurityManager]

 checkCreateClassLoader method [java.rmi.RMISecurityManager]

 checkDelete method [java.lang.SecurityManager]

 checkDelete method [java.rmi.RMISecurityManager]

 CheckedInputStream class [java.util.zip]

 CheckedOutputStream class [java.util.zip]

 checkError method [java.io.PrintStream]

 checkError method [java.io.PrintWriter]

 checkExec method [java.lang.SecurityManager]

 checkExec method [java.rmi.RMISecurityManager]

 checkExit method [java.lang.SecurityManager]

 checkExit method [java.rmi.RMISecurityManager]

 checkID method [java.awt.MediaTracker]

 checkImage method [java.awt.Component]

 checkImage method [java.awt.Toolkit]

 checkLink method [java.lang.SecurityManager]

 checkLink method [java.rmi.RMISecurityManager]

 checkListen method [java.lang.SecurityManager]

 checkListen method [java.rmi.RMISecurityManager]

 checkMemberAccess method [java.lang.SecurityManager]

 checkMemberAccess method [java.rmi.RMISecurityManager]

 checkMulticast method [java.lang.SecurityManager]

 checkMulticast method [java.rmi.RMISecurityManager]

 checkPackageAccess method [java.lang.SecurityManager]

 checkPackageAccess method [java.rmi.RMISecurityManager]

 checkPackageDefinition method [java.lang.SecurityManager]

 checkPackageDefinition method [java.rmi.RMISecurityManager]

 checkPrintJobAccess method [java.lang.SecurityManager]

 checkPrintJobAccess method [java.rmi.RMISecurityManager]

 checkPropertiesAccess method [java.lang.SecurityManager]

 checkPropertiesAccess method [java.rmi.RMISecurityManager]

 checkPropertyAccess method [java.lang.SecurityManager]

 checkPropertyAccess method [java.rmi.RMISecurityManager]

 checkRead method [java.lang.SecurityManager]

 checkRead method [java.rmi.RMISecurityManager]

 checkSecurityAccess method [java.lang.SecurityManager]

 checkSecurityAccess method [java.rmi.RMISecurityManager]

 checkSetFactory method [java.lang.SecurityManager]

 checkSetFactory method [java.rmi.RMISecurityManager]

 Checksum interface [java.util.zip]

 checksum property [java.util.zip.CheckedInputStream]

 checksum property [java.util.zip.CheckedOutputStream]

 checkSystemClipboardAccess method [java.lang.SecurityManager]

 checkSystemClipboardAccess method [java.rmi.RMISecurityManager]

 checkTopLevelWindow method [java.lang.SecurityManager]

 checkTopLevelWindow method [java.rmi.RMISecurityManager]

 checkWrite method [java.lang.SecurityManager]

 checkWrite method [java.rmi.RMISecurityManager]

 child property [java.awt.event.ContainerEvent]

 Choice class [java.awt]

 ChoiceFormat class [java.text]

 ChoicePeer interface [java.awt.peer]

 Class class [java.lang]

 class property [java.lang.Object]

 ClassCastException class [java.lang]

 ClassCircularityError class [java.lang]

 classContext property [java.lang.SecurityManager]

 classDepth method [java.lang.SecurityManager]

 classes property [java.lang.Class]

 ClassFormatError class [java.lang]

 ClassLoader class [java.lang]

 classLoader property [java.lang.Class]

 classLoaderDepth method [java.lang.SecurityManager]

 className property [java.util.MissingResourceException]

 ClassNotFoundException class [java.lang]

 clear method [java.awt.List]

 clear method [java.util.BitSet]

 clear method [java.util.Calendar]

 clear method [java.util.Hashtable]

 clearBit method [java.math.BigInteger]

 clearChanged method [java.util.Observable]

 clearRect method [java.awt.Graphics]

 clickCount property [java.awt.event.MouseEvent]

 clientHost property [java.rmi.server.RemoteServer]

 clip property [java.awt.Graphics]

 Clipboard class [java.awt.datatransfer]

 ClipboardOwner interface [java.awt.datatransfer]

 clipBounds property [java.awt.Graphics]

 clipRect method [java.awt.Graphics]

 clipRect property [java.awt.Graphics]

 clone method [java.awt.GridBagConstraints]

 clone method [java.awt.image.ImageFilter]

 clone method [java.awt.Insets]

 clone method [java.lang.Object]

 clone method [java.rmi.server.UnicastRemoteObject]

 clone method [java.security.MessageDigest]

 clone method [java.security.Signature]

 clone method [java.text.BreakIterator]

 clone method [java.text.ChoiceFormat]

 clone method [java.text.Collator]

 clone method [java.text.DateFormat]

 clone method [java.text.DateFormatSymbols]

 clone method [java.text.DecimalFormat]

 clone method [java.text.DecimalFormatSymbols]

 clone method [java.text.Format]

 clone method [java.text.MessageFormat]

 clone method [java.text.NumberFormat]

 clone method [java.text.RuleBasedCollator]

 clone method [java.text.SimpleDateFormat]

 clone method [java.text.StringCharacterIterator]

 clone method [java.util.BitSet]

 clone method [java.util.Calendar]

 clone method [java.util.Hashtable]

 clone method [java.util.Locale]

 clone method [java.util.SimpleTimeZone]

 clone method [java.util.TimeZone]

 clone method [java.util.Vector]

 Cloneable interface [java.lang]

 CloneNotSupportedException class [java.lang]

 close method [java.io.BufferedReader]

 close method [java.io.BufferedWriter]

 close method [java.io.CharArrayReader]

 close method [java.io.CharArrayWriter]

 close method [java.io.FileInputStream]

 close method [java.io.FileOutputStream]

 close method [java.io.FilterInputStream]

 close method [java.io.FilterOutputStream]

 close method [java.io.FilterReader]

 close method [java.io.FilterWriter]

 close method [java.io.InputStream]

 close method [java.io.InputStreamReader]

 close method [java.io.ObjectInputStream]

 close method [java.io.ObjectOutputStream]

 close method [java.io.OutputStream]

 close method [java.io.OutputStreamWriter]

 close method [java.io.PipedInputStream]

 close method [java.io.PipedOutputStream]

 close method [java.io.PipedReader]

 close method [java.io.PipedWriter]

 close method [java.io.PrintStream]

 close method [java.io.PrintWriter]

 close method [java.io.PushbackReader]

 close method [java.io.RandomAccessFile]

 close method [java.io.Reader]

 close method [java.io.SequenceInputStream]

 close method [java.io.StringReader]

 close method [java.io.StringWriter]

 close method [java.io.Writer]

 close method [java.net.DatagramSocket]

 close method [java.net.DatagramSocketImpl]

 close method [java.net.ServerSocket]

 close method [java.net.Socket]

 close method [java.net.SocketImpl]

 close method [java.util.zip.DeflaterOutputStream]

 close method [java.util.zip.GZIPInputStream]

 close method [java.util.zip.GZIPOutputStream]

 close method [java.util.zip.ZipFile]

 close method [java.util.zip.ZipInputStream]

 close method [java.util.zip.ZipOutputStream]

 closeEntry method [java.util.zip.ZipInputStream]

 closeEntry method [java.util.zip.ZipOutputStream]

 codeBase property [java.applet.Applet]

 CollationElementIterator class [java.text]

 CollationKey class [java.text]

 Collator class [java.text]

 Color class [java.awt]

 color property [java.awt.Graphics]

 ColorModel class [java.awt.image]

 colorModel property [java.awt.Component]

 colorModel property [java.awt.image.ImageFilter]

 colorModel property [java.awt.image.PixelGrabber]

 colorModel property [java.awt.image.RGBImageFilter]

 colorModel property [java.awt.Toolkit]

 columns property [java.awt.GridLayout]

 columns property [java.awt.TextArea]

 columns property [java.awt.TextField]

 command method [java.lang.Compiler]

 comment property [java.util.zip.ZipEntry]

 comment property [java.util.zip.ZipOutputStream]

 commentChar method [java.io.StreamTokenizer]

 compare method [java.text.Collator]

 compare method [java.text.RuleBasedCollator]

 compareTo method [java.lang.String]

 compareTo method [java.math.BigDecimal]

 compareTo method [java.math.BigInteger]

 compareTo method [java.text.CollationKey]

 compileClass method [java.lang.Compiler]

 compileClasses method [java.lang.Compiler]

 Compiler class [java.lang]

 complete method [java.util.Calendar]

 Component class [java.awt]

 component property [java.awt.Container]

 component property [java.awt.event.ComponentEvent]

 ComponentAdapter class [java.awt.event]

 componentAdded method [java.awt.AWTEventMulticaster]

 componentAdded method [java.awt.event.ContainerAdapter]

 componentCount property [java.awt.Container]

 ComponentEvent class [java.awt.event]

 ComponentEvent event [java.awt.Component]

 componentHidden method [java.awt.AWTEventMulticaster]

 componentHidden method [java.awt.event.ComponentAdapter]

 ComponentListener interface [java.awt.event]

 componentMoved method [java.awt.AWTEventMulticaster]

 componentMoved method [java.awt.event.ComponentAdapter]

 ComponentPeer interface [java.awt.peer]

 componentRemoved method [java.awt.AWTEventMulticaster]

 componentRemoved method [java.awt.event.ContainerAdapter]

 componentResized method [java.awt.AWTEventMulticaster]

 componentResized method [java.awt.event.ComponentAdapter]

 components property [java.awt.Container]

 componentShown method [java.awt.AWTEventMulticaster]

 componentShown method [java.awt.event.ComponentAdapter]

 componentType property [java.lang.Class]

 compressedSize property [java.util.zip.ZipEntry]

 computeFields method [java.util.Calendar]

 computeFields method [java.util.GregorianCalendar]

 computeTime method [java.util.Calendar]

 computeTime method [java.util.GregorianCalendar]

 concat method [java.lang.String]

 connect method [java.io.PipedInputStream]

 connect method [java.io.PipedOutputStream]

 connect method [java.io.PipedReader]

 connect method [java.io.PipedWriter]

 connect method [java.net.SocketImpl]

 connect method [java.net.URLConnection]

 ConnectException class [java.net]

 ConnectException class [java.rmi]

 ConnectIOException class [java.rmi]

 Connection interface [java.sql]

 constrained property [java.beans.PropertyDescriptor]

 Constructor class [java.lang.reflect]

 constructors property [java.lang.Class]

 consume method [java.awt.AWTEvent]

 consume method [java.awt.event.InputEvent]

 consumed property [java.awt.AWTEvent]

 consumed property [java.awt.event.InputEvent]

 Container class [java.awt]

 container property [java.awt.event.ContainerEvent]

 ContainerAdapter class [java.awt.event]

 ContainerEvent class [java.awt.event]

 ContainerEvent event [java.awt.Container]

 ContainerListener interface [java.awt.event]

 ContainerPeer interface [java.awt.peer]

 contains method [java.awt.Component]

 contains method [java.awt.Polygon]

 contains method [java.awt.Rectangle]

 contains method [java.util.Hashtable]

 contains method [java.util.Vector]

 containsKey method [java.util.Hashtable]

 content property [java.net.URL]

 content property [java.net.URLConnection]

 contentEncoding property [java.net.URLConnection]

 ContentHandler class [java.net]

 ContentHandlerFactory interface [java.net]

 contentHandlerFactory property [java.net.URLConnection]

 contentLength property [java.net.URLConnection]

 contents property [java.text.resources.DateFormatZoneData]

 contents property [java.text.resources.DateFormatZoneData_ar]

 contents property [java.text.resources.DateFormatZoneData_be]

 contents property [java.text.resources.DateFormatZoneData_bg]

 contents property [java.text.resources.DateFormatZoneData_ca]

 contents property [java.text.resources.DateFormatZoneData_cs]

 contents property [java.text.resources.DateFormatZoneData_da]

 contents property [java.text.resources.DateFormatZoneData_de]

 contents property [java.text.resources.DateFormatZoneData_de_AT]

 contents property [java.text.resources.DateFormatZoneData_de_CH]

 contents property [java.text.resources.DateFormatZoneData_el]

 contents property [java.text.resources.DateFormatZoneData_en]

 contents property [java.text.resources.DateFormatZoneData_en_CA]

 contents property [java.text.resources.DateFormatZoneData_en_GB]

 contents property [java.text.resources.DateFormatZoneData_en_IE]

 contents property [java.text.resources.DateFormatZoneData_es]

 contents property [java.text.resources.DateFormatZoneData_et]

 contents property [java.text.resources.DateFormatZoneData_fi]

 contents property [java.text.resources.DateFormatZoneData_fr]

 contents property [java.text.resources.DateFormatZoneData_fr_BE]

 contents property [java.text.resources.DateFormatZoneData_fr_CA]

 contents property [java.text.resources.DateFormatZoneData_fr_CH]

 contents property [java.text.resources.DateFormatZoneData_hr]

 contents property [java.text.resources.DateFormatZoneData_hu]

 contents property [java.text.resources.DateFormatZoneData_is]

 contents property [java.text.resources.DateFormatZoneData_it]

 contents property [java.text.resources.DateFormatZoneData_it_CH]

 contents property [java.text.resources.DateFormatZoneData_iw]

 contents property [java.text.resources.DateFormatZoneData_ja]

 contents property [java.text.resources.DateFormatZoneData_ko]

 contents property [java.text.resources.DateFormatZoneData_lt]

 contents property [java.text.resources.DateFormatZoneData_lv]

 contents property [java.text.resources.DateFormatZoneData_mk]

 contents property [java.text.resources.DateFormatZoneData_nl]

 contents property [java.text.resources.DateFormatZoneData_nl_BE]

 contents property [java.text.resources.DateFormatZoneData_no]

 contents property [java.text.resources.DateFormatZoneData_no_NO_NY]

 contents property [java.text.resources.DateFormatZoneData_pl]

 contents property [java.text.resources.DateFormatZoneData_pt]

 contents property [java.text.resources.DateFormatZoneData_ro]

 contents property [java.text.resources.DateFormatZoneData_ru]

 contents property [java.text.resources.DateFormatZoneData_sh]

 contents property [java.text.resources.DateFormatZoneData_sk]

 contents property [java.text.resources.DateFormatZoneData_sl]

 contents property [java.text.resources.DateFormatZoneData_sq]

 contents property [java.text.resources.DateFormatZoneData_sr]

 contents property [java.text.resources.DateFormatZoneData_sv]

 contents property [java.text.resources.DateFormatZoneData_th]

 contents property [java.text.resources.DateFormatZoneData_tr]

 contents property [java.text.resources.DateFormatZoneData_uk]

 contents property [java.text.resources.DateFormatZoneData_zh]

 contents property [java.text.resources.DateFormatZoneData_zh_TW]

 contents property [java.text.resources.LocaleElements]

 contents property [java.text.resources.LocaleElements_ar]

 contents property [java.text.resources.LocaleElements_be]

 contents property [java.text.resources.LocaleElements_bg]

 contents property [java.text.resources.LocaleElements_ca]

 contents property [java.text.resources.LocaleElements_cs]

 contents property [java.text.resources.LocaleElements_da]

 contents property [java.text.resources.LocaleElements_de]

 contents property [java.text.resources.LocaleElements_de_AT]

 contents property [java.text.resources.LocaleElements_de_AT_EURO]

 contents property [java.text.resources.LocaleElements_de_CH]

 contents property [java.text.resources.LocaleElements_de_DE_EURO]

 contents property [java.text.resources.LocaleElements_de_LU]

 contents property [java.text.resources.LocaleElements_de_LU_EURO]

 contents property [java.text.resources.LocaleElements_el]

 contents property [java.text.resources.LocaleElements_en]

 contents property [java.text.resources.LocaleElements_en_AU]

 contents property [java.text.resources.LocaleElements_en_CA]

 contents property [java.text.resources.LocaleElements_en_GB]

 contents property [java.text.resources.LocaleElements_en_IE]

 contents property [java.text.resources.LocaleElements_en_IE_EURO]

 contents property [java.text.resources.LocaleElements_en_NZ]

 contents property [java.text.resources.LocaleElements_en_ZA]

 contents property [java.text.resources.LocaleElements_es]

 contents property [java.text.resources.LocaleElements_es_AR]

 contents property [java.text.resources.LocaleElements_es_BO]

 contents property [java.text.resources.LocaleElements_es_CL]

 contents property [java.text.resources.LocaleElements_es_CO]

 contents property [java.text.resources.LocaleElements_es_CR]

 contents property [java.text.resources.LocaleElements_es_DO]

 contents property [java.text.resources.LocaleElements_es_EC]

 contents property [java.text.resources.LocaleElements_es_ES_EURO]

 contents property [java.text.resources.LocaleElements_es_GT]

 contents property [java.text.resources.LocaleElements_es_HN]

 contents property [java.text.resources.LocaleElements_es_MX]

 contents property [java.text.resources.LocaleElements_es_NI]

 contents property [java.text.resources.LocaleElements_es_PA]

 contents property [java.text.resources.LocaleElements_es_PE]

 contents property [java.text.resources.LocaleElements_es_PR]

 contents property [java.text.resources.LocaleElements_es_PY]

 contents property [java.text.resources.LocaleElements_es_SV]

 contents property [java.text.resources.LocaleElements_es_UY]

 contents property [java.text.resources.LocaleElements_es_VE]

 contents property [java.text.resources.LocaleElements_et]

 contents property [java.text.resources.LocaleElements_fi]

 contents property [java.text.resources.LocaleElements_fi_FI_EURO]

 contents property [java.text.resources.LocaleElements_fr]

 contents property [java.text.resources.LocaleElements_fr_BE]

 contents property [java.text.resources.LocaleElements_fr_BE_EURO]

 contents property [java.text.resources.LocaleElements_fr_CA]

 contents property [java.text.resources.LocaleElements_fr_CH]

 contents property [java.text.resources.LocaleElements_fr_FR_EURO]

 contents property [java.text.resources.LocaleElements_fr_LU]

 contents property [java.text.resources.LocaleElements_fr_LU_EURO]

 contents property [java.text.resources.LocaleElements_hr]

 contents property [java.text.resources.LocaleElements_hu]

 contents property [java.text.resources.LocaleElements_is]

 contents property [java.text.resources.LocaleElements_it]

 contents property [java.text.resources.LocaleElements_it_CH]

 contents property [java.text.resources.LocaleElements_it_IT_EURO]

 contents property [java.text.resources.LocaleElements_iw]

 contents property [java.text.resources.LocaleElements_ja]

 contents property [java.text.resources.LocaleElements_ko]

 contents property [java.text.resources.LocaleElements_lt]

 contents property [java.text.resources.LocaleElements_lv]

 contents property [java.text.resources.LocaleElements_mk]

 contents property [java.text.resources.LocaleElements_nl]

 contents property [java.text.resources.LocaleElements_nl_BE]

 contents property [java.text.resources.LocaleElements_nl_BE_EURO]

 contents property [java.text.resources.LocaleElements_nl_NL_EURO]

 contents property [java.text.resources.LocaleElements_no]

 contents property [java.text.resources.LocaleElements_no_NO_NY]

 contents property [java.text.resources.LocaleElements_pl]

 contents property [java.text.resources.LocaleElements_pt]

 contents property [java.text.resources.LocaleElements_pt_BR]

 contents property [java.text.resources.LocaleElements_pt_PT_EURO]

 contents property [java.text.resources.LocaleElements_ro]

 contents property [java.text.resources.LocaleElements_ru]

 contents property [java.text.resources.LocaleElements_sh]

 contents property [java.text.resources.LocaleElements_sk]

 contents property [java.text.resources.LocaleElements_sl]

 contents property [java.text.resources.LocaleElements_sq]

 contents property [java.text.resources.LocaleElements_sr]

 contents property [java.text.resources.LocaleElements_sv]

 contents property [java.text.resources.LocaleElements_th]

 contents property [java.text.resources.LocaleElements_tr]

 contents property [java.text.resources.LocaleElements_uk]

 contents property [java.text.resources.LocaleElements_zh]

 contents property [java.text.resources.LocaleElements_zh_TW]

 contents property [java.util.ListResourceBundle]

 contentType property [java.net.URLConnection]

 controlDown method [java.awt.Event]

 controlDown property [java.awt.event.InputEvent]

 copyArea method [java.awt.Graphics]

 copyInto method [java.util.Vector]

 copyValueOf method [java.lang.String]

 cos method [java.lang.Math]

 countComponents method [java.awt.Container]

 countItems method [java.awt.Choice]

 countItems method [java.awt.List]

 countItems method [java.awt.Menu]

 countMenus method [java.awt.MenuBar]

 countObservers method [java.util.Observable]

 country property [java.util.Locale]

 countStackFrames method [java.lang.Thread]

 countTokens method [java.util.StringTokenizer]

 crc property [java.util.zip.ZipEntry]

 CRC32 class [java.util.zip]

 create method [java.awt.Graphics]

 create method [java.net.DatagramSocketImpl]

 create method [java.net.SocketImpl]

 createButton method [java.awt.Toolkit]

 createCanvas method [java.awt.Toolkit]

 createCheckbox method [java.awt.Toolkit]

 createCheckboxMenuItem method [java.awt.Toolkit]

 createChoice method [java.awt.Toolkit]

 createComponent method [java.awt.Toolkit]

 createDialog method [java.awt.Toolkit]

 createFileDialog method [java.awt.Toolkit]

 createFrame method [java.awt.Toolkit]

 createImage method [java.awt.Component]

 createImage method [java.awt.Toolkit]

 createLabel method [java.awt.Toolkit]

 createList method [java.awt.Toolkit]

 createMenu method [java.awt.Toolkit]

 createMenuBar method [java.awt.Toolkit]

 createMenuItem method [java.awt.Toolkit]

 createPanel method [java.awt.Toolkit]

 createPopupMenu method [java.awt.Toolkit]

 createRegistry method [java.rmi.registry.LocateRegistry]

 createScrollbar method [java.awt.Toolkit]

 createScrollPane method [java.awt.Toolkit]

 createServerSocket method [java.rmi.server.RMISocketFactory]

 createSocket method [java.rmi.server.RMISocketFactory]

 createTextArea method [java.awt.Toolkit]

 createTextField method [java.awt.Toolkit]

 createWindow method [java.awt.Toolkit]

 CropImageFilter class [java.awt.image]

 currencyInstance property [java.text.NumberFormat]

 current method [java.text.BreakIterator]

 current method [java.text.StringCharacterIterator]

 current property [java.awt.CheckboxGroup]

 currentClassLoader method [java.lang.SecurityManager]

 currentLoadedClass method [java.lang.SecurityManager]

 currentThread method [java.lang.Thread]

 currentTimeMillis method [java.lang.System]

 Cursor class [java.awt]

 cursor property [java.awt.Component]

 cursor property [java.awt.Container]

 cursor property [java.awt.Frame]

 cursor property [java.awt.Window]

 cursorType property [java.awt.Frame]

 customEditor property [java.beans.PropertyEditorSupport]

 Customizer interface [java.beans]

 customizerClass property [java.beans.BeanDescriptor]


Calendar class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      Calendar class [java.util]

Object

Calendar

Description

Calendar is an abstract base class for converting between a Date object and a set of integer fields such as YEAR, MONTH, DAY, HOUR, and so on. (A Date object represents a specific instant in time with millisecond precision. See java.util.Date for information about the Date class.)

Subclasses of Calendar interpret a Date according to the rules of a specific calendar system. The JDK provides one concrete subclass of Calendar: GregorianCalendar. Future subclasses could represent the various types of lunar calendars in use in many parts of the world.

Like other locale-sensitive classes, Calendar provides a class method, getInstance, for getting a generally useful object of this type. Calendar's getInstance method returns a GregorianCalendar object whose time fields have been initialized with the current date and time:

Calendar rightNow = Calendar.getInstance();

A Calendar object can produce all the time field values needed to implement the date-time formatting for a particular language and calendar style (for example, Japanese-Gregorian, Japanese-Traditional).

When computing a Date from time fields, two special circumstances may arise: there may be insufficient information to compute the Date (such as only year and month but no day in the month), or there may be inconsistent information (such as "Tuesday, July 15, 1996" -- July 15, 1996 is actually a Monday).

Insufficient information. The calendar will use default information to specify the missing fields. This may vary by calendar; for the Gregorian calendar, the default for a field is the same as that of the start of the epoch: i.e., YEAR = 1970, MONTH = JANUARY, DATE = 1, etc.

Inconsistent information. If fields conflict, the calendar will give preference to fields set more recently. For example, when determining the day, the calendar will look for one of the following combinations of fields.  The most recent combination, as determined by the most recently set single field, will be used.

MONTH + DAY_OF_MONTH

MONTH + WEEK_OF_MONTH + DAY_OF_WEEK

MONTH + DAY_OF_WEEK_IN_MONTH + DAY_OF_WEEK

DAY_OF_YEAR

DAY_OF_WEEK + WEEK_OF_YEAR

 For the time of day:

HOUR_OF_DAY

AM_PM + HOUR

Note: for some non-Gregorian calendars, different fields may be necessary for complete disambiguation. For example, a full specification of the historial Arabic astronomical calendar requires year, month, day-of-month and day-of-week in some cases.

Note: There are certain possible ambiguities in interpretation of certain singular times, which are resolved in the following ways:

•	24:00:00 "belongs" to the following day. That is, 23:59 on Dec 31, 1969 < 24:00 on Jan 1, 1970 < 24:01:00 on Jan 1, 1970

•	Although historically not precise, midnight also belongs to "am", and noon belongs to "pm", so on the same day, 12:00 am (midnight) < 12:01 am, and 12:00 pm (noon) < 12:01 pm

The date or time format strings are not part of the definition of a calendar, as those must be modifiable or overridable by the user at runtime. Use java.text.DateFormat to format dates.

Calendar provides an API for field "rolling", where fields can be incremented or decremented, but wrap around. For example, rolling the month up in the date "September 12, 1996" results in "October 12, 1996".

Calendar also provides a date arithmetic function for adding the specified (signed) amount of time to a particular time field. For example, subtracting 5 days from the date "September 12, 1996" results in "September 7, 1996".

Specification

public abstract class Calendar extends java.lang.Object implements java.io.Serializable, java.lang.Cloneable

Constructors

protected Calendar( )

Constructs a Calendar with the default time zone as returned by TimeZone.getDefault(), and the default locale.

See also

default property [java.util.TimeZone]

protected Calendar( java.util.TimeZone zone, java.util.Locale aLocale )

Constructs a Calendar with the given time zone and locale.

Parameter

zone

the given time zone.

Variables

public static final int ERA

Useful constant for date and time. Used in time fields. ERA is calendar specific.

public static final int YEAR

Useful constant for date and time. Used in time fields.

public static final int MONTH

Useful constant for date and time. Used in time fields.

public static final int WEEK_OF_YEAR

Useful constant for date and time. Used in time fields.

public static final int WEEK_OF_MONTH

Useful constant for date and time. Used in time fields.

public static final int DATE

Useful constant for date and time. Used in time fields. This is a synonym for DAY_OF_MONTH.

public static final int DAY_OF_MONTH

Useful constant for date and time. Used in time fields. This is a synonym for DATE.

public static final int DAY_OF_YEAR

Useful constant for date and time. Used in time fields.

public static final int DAY_OF_WEEK

Useful constant for date and time. Used in time fields.

public static final int DAY_OF_WEEK_IN_MONTH

Useful constant for date and time. Used in time fields.

public static final int AM_PM

Useful constant for date and time. Used in time fields.

public static final int HOUR

Useful constant for date and time. Used in time fields. HOUR is used for the 12-hour clock.

public static final int HOUR_OF_DAY

Useful constant for date and time. Used in time fields. HOUR_OF_DAY is used for the 24-hour clock.

public static final int MINUTE

Useful constant for date and time. Used in time fields.

public static final int SECOND

Useful constant for date and time. Used in time fields.

public static final int MILLISECOND

Useful constant for date and time. Used in time fields.

public static final int ZONE_OFFSET

Useful constant for date and time. Used in time fields.

public static final int DST_OFFSET

Useful constant for date and time. Used in time fields.

public static final int FIELD_COUNT

Useful constant for date and time. FIELD_COUNT is used for the time field array creation.

public static final int SUNDAY

Useful constant for days of week. Used in GregorianCalendar.

public static final int MONDAY

Useful constant for days of week. Used in GregorianCalendar.

public static final int TUESDAY

Useful constant for days of week. Used in GregorianCalendar.

public static final int WEDNESDAY

Useful constant for days of week. Used in GregorianCalendar.

public static final int THURSDAY

Useful constant for days of week. Used in GregorianCalendar.

public static final int FRIDAY

Useful constant for days of week. Used in GregorianCalendar.

public static final int SATURDAY

Useful constant for days of week. Used in GregorianCalendar.

public static final int JANUARY

Useful constant for month. Used in GregorianCalendar. Note: Calendar month is now 0-based.

public static final int FEBRUARY

Useful constant for month. Used in GregorianCalendar.

public static final int MARCH

Useful constant for month. Used in GregorianCalendar.

public static final int APRIL

Useful constant for month. Used in GregorianCalendar.

public static final int MAY

Useful constant for month. Used in GregorianCalendar.

public static final int JUNE

Useful constant for month. Used in GregorianCalendar.

public static final int JULY

Useful constant for month. Used in GregorianCalendar.

public static final int AUGUST

Useful constant for month. Used in GregorianCalendar.

public static final int SEPTEMBER

Useful constant for month. Used in GregorianCalendar.

public static final int OCTOBER

Useful constant for month. Used in GregorianCalendar.

public static final int NOVEMBER

Useful constant for month. Used in GregorianCalendar.

public static final int DECEMBER

Useful constant for month. Used in GregorianCalendar.

public static final int UNDECIMBER

Useful constant for month. Used in GregorianCalendar. UNDECIMBER is an artifical name. This 13th month is for lunar calendars.

public static final int AM

Useful constant for hour in 12-hour clock. Used in GregorianCalendar.

public static final int PM

Useful constant for hour in 12-hour clock. Used in GregorianCalendar.

protected int[] fields

The time fields containing values into which the millis is computed.

protected boolean[] isSet

The flags which tell if a specified time field for the calendar is set. A new object has no fields set.  After the first call to a method which generates the fields, they all remain set after that.

protected long time

The current time set for the calendar.

protected boolean isTimeSet

The flag which indicates if the current time is set for the calendar. The time is made invalid by the user setting an individual field.

protected boolean areFieldsSet

True if the fields are in sync with the currently set time of this Calendar. If false, then the next attempt to get the value of a field will force a recomputation of all fields from the current value of the time field. This should really be named areFieldsInSync, but the old name is retained for backward compatibility.

Properties

  static synchronized java.util.Locale[] getAvailableLocales( )

  int getFirstDayOfWeek( )

  void setFirstDayOfWeek( int value )

  abstract int getGreatestMinimum( int field )

  static synchronized java.util.Calendar getInstance( )

  abstract int getLeastMaximum( int field )

  void setLenient( boolean lenient )

  boolean isLenient( )

  abstract int getMaximum( int field )

  int getMinimalDaysInFirstWeek( )

  void setMinimalDaysInFirstWeek( int value )

  abstract int getMinimum( int field )

  final java.util.Date getTime( )

  final void setTime( java.util.Date date )

  java.util.TimeZone getTimeZone( )

  void setTimeZone( java.util.TimeZone value )

Inherited Properties

  native final java.lang.Class getClass( )

Protected Properties

 protected long getTimeInMillis( )

 protected void setTimeInMillis( long millis )

Methods

  abstract void add( int field, int amount )

  abstract boolean after( java.lang.Object when )

  abstract boolean before( java.lang.Object when )

  final void clear( )

  final void clear( int field )

  java.lang.Object clone( )

  abstract boolean equals( java.lang.Object obj )

  final int get( int field )

  static synchronized java.util.Calendar getInstance( java.util.TimeZone zone )

  static synchronized java.util.Calendar getInstance( java.util.Locale aLocale )

  static synchronized java.util.Calendar getInstance( java.util.TimeZone zone, java.util.Locale aLocale )

  final boolean isSet( int field )

  abstract void roll( int field, boolean up )

  final void set( int year, int month, int date, int hour, int minute, int second )

  final void set( int year, int month, int date )

  final void set( int field, int value )

  final void set( int year, int month, int date, int hour, int minute )

  java.lang.String toString( )

Inherited Methods

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void complete( )

 protected abstract void computeFields( )

 protected abstract void computeTime( )

 protected final int internalGet( int field )

 protected void finalize( ) throws java.lang.Throwable

See also

Date class [java.util]

GregorianCalendar class [java.util]

TimeZone class [java.util]

DateFormat class [java.text]


calendar property [java.text.DateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      calendar property [java.text.DateFormat]

public java.util.Calendar getCalendar( )

Gets the calendar associated with this date/time formatter.

Return

The calendar associated with this date/time formatter.

public void setCalendar( java.util.Calendar newCalendar )

Set the calendar to be used by this date format.  Initially, the default calendar for the specified or default locale is used.

Applies to

 DateFormat [java.text]

 SimpleDateFormat [java.text]


CallableStatement interface [java.sql] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      CallableStatement interface [java.sql]

Description

CallableStatement is used to execute SQL stored procedures.

JDBC provides a stored procedure SQL escape that allows stored procedures to be called in a standard way for all RDBMS's. This escape syntax has one form that includes a result parameter and one that does not. If used, the result parameter must be registered as an OUT parameter. The other parameters may be used for input, output or both. Parameters are refered to sequentially, by number. The first parameter is 1.

{?= call <procedure-name>[<arg1>,<arg2>, ...]}
{call <procedure-name>[<arg1>,<arg2>, ...]}

IN parameter values are set using the set methods inherited from PreparedStatement. The type of all OUT parameters must be registered prior to executing the stored procedure; their values are retrieved after execution via the get methods provided here.

A Callable statement may return a ResultSet or multiple ResultSets. Multiple ResultSets are handled using operations inherited from Statement.

For maximum portability, a call's ResultSets and update counts should be processed prior to getting the values of output parameters.

Definition

public interface CallableStatement extends java.sql.PreparedStatement

{

  // Properties

  public java.lang.String getString( int parameterIndex ) throws java.sql.SQLException;

  public boolean getBoolean( int parameterIndex ) throws java.sql.SQLException;

  public byte getByte( int parameterIndex ) throws java.sql.SQLException;

  public short getShort( int parameterIndex ) throws java.sql.SQLException;

  public int getInt( int parameterIndex ) throws java.sql.SQLException;

  public long getLong( int parameterIndex ) throws java.sql.SQLException;

  public float getFloat( int parameterIndex ) throws java.sql.SQLException;

  public double getDouble( int parameterIndex ) throws java.sql.SQLException;

  public byte[] getBytes( int parameterIndex ) throws java.sql.SQLException;

  public java.sql.Date getDate( int parameterIndex ) throws java.sql.SQLException;

  public java.sql.Time getTime( int parameterIndex ) throws java.sql.SQLException;

  public java.sql.Timestamp getTimestamp( int parameterIndex ) throws java.sql.SQLException;

  public java.lang.Object getObject( int parameterIndex ) throws java.sql.SQLException;

  // Methods

  public void registerOutParameter( int parameterIndex, int sqlType ) throws java.sql.SQLException;

  public void registerOutParameter( int parameterIndex, int sqlType, int scale ) throws java.sql.SQLException;

  public boolean wasNull( ) throws java.sql.SQLException;

  public java.math.BigDecimal getBigDecimal( int parameterIndex, int scale ) throws java.sql.SQLException;

}

Properties

public java.lang.String getString( int parameterIndex ) throws java.sql.SQLException

Get the value of a CHAR, VARCHAR, or LONGVARCHAR parameter as a Java String.

Parameter

parameterIndex

the first parameter is 1, the second is 2, ...

Return

The parameter value; if the value is SQL NULL, the result is null.

Throws

SQLException

If a database-access error occurs.

public boolean getBoolean( int parameterIndex ) throws java.sql.SQLException

Get the value of a BIT parameter as a Java boolean.

Parameter

parameterIndex

the first parameter is 1, the second is 2, ...

Return

The parameter value; if the value is SQL NULL, the result is false.

Throws

SQLException

If a database-access error occurs.

public byte getByte( int parameterIndex ) throws java.sql.SQLException

Get the value of a TINYINT parameter as a Java byte.

Parameter

parameterIndex

the first parameter is 1, the second is 2, ...

Return

The parameter value; if the value is SQL NULL, the result is 0.

Throws

SQLException

If a database-access error occurs.

public short getShort( int parameterIndex ) throws java.sql.SQLException

Get the value of a SMALLINT parameter as a Java short.

Parameter

parameterIndex

the first parameter is 1, the second is 2, ...

Return

The parameter value; if the value is SQL NULL, the result is 0.

Throws

SQLException

If a database-access error occurs.

public int getInt( int parameterIndex ) throws java.sql.SQLException

Get the value of an INTEGER parameter as a Java int.

Parameter

parameterIndex

the first parameter is 1, the second is 2, ...

Return

The parameter value; if the value is SQL NULL, the result is 0.

Throws

SQLException

If a database-access error occurs.

public long getLong( int parameterIndex ) throws java.sql.SQLException

Get the value of a BIGINT parameter as a Java long.

Parameter

parameterIndex

the first parameter is 1, the second is 2, ...

Return

The parameter value; if the value is SQL NULL, the result is 0.

Throws

SQLException

If a database-access error occurs.

public float getFloat( int parameterIndex ) throws java.sql.SQLException

Get the value of a FLOAT parameter as a Java float.

Parameter

parameterIndex

the first parameter is 1, the second is 2, ...

Return

The parameter value; if the value is SQL NULL, the result is 0.

Throws

SQLException

If a database-access error occurs.

public double getDouble( int parameterIndex ) throws java.sql.SQLException

Get the value of a DOUBLE parameter as a Java double.

Parameter

parameterIndex

the first parameter is 1, the second is 2, ...

Return

The parameter value; if the value is SQL NULL, the result is 0.

Throws

SQLException

If a database-access error occurs.

public byte[] getBytes( int parameterIndex ) throws java.sql.SQLException

Get the value of a SQL BINARY or VARBINARY parameter as a Java byte[]

Parameter

parameterIndex

the first parameter is 1, the second is 2, ...

Return

The parameter value; if the value is SQL NULL, the result is null.

Throws

SQLException

If a database-access error occurs.

public java.sql.Date getDate( int parameterIndex ) throws java.sql.SQLException

Get the value of a SQL DATE parameter as a java.sql.Date object

Parameter

parameterIndex

the first parameter is 1, the second is 2, ...

Return

The parameter value; if the value is SQL NULL, the result is null.

Throws

SQLException

If a database-access error occurs.

public java.sql.Time getTime( int parameterIndex ) throws java.sql.SQLException

Get the value of a SQL TIME parameter as a java.sql.Time object.

Parameter

parameterIndex

the first parameter is 1, the second is 2, ...

Return

The parameter value; if the value is SQL NULL, the result is null.

Throws

SQLException

If a database-access error occurs.

public java.sql.Timestamp getTimestamp( int parameterIndex ) throws java.sql.SQLException

Get the value of a SQL TIMESTAMP parameter as a java.sql.Timestamp object.

Parameter

parameterIndex

the first parameter is 1, the second is 2, ...

Return

The parameter value; if the value is SQL NULL, the result is null.

Throws

SQLException

If a database-access error occurs.

public java.lang.Object getObject( int parameterIndex ) throws java.sql.SQLException

Get the value of a parameter as a Java object.

This method returns a Java object whose type coresponds to the SQL type that was registered for this parameter using registerOutParameter.

Note that this method may be used to read datatabase-specific, abstract data types. This is done by specifying a targetSqlType of java.sql.types.OTHER, which allows the driver to return a database-specific Java type.

Parameter

parameterIndex

The first parameter is 1, the second is 2, ...

Return

A java.lang.Object holding the OUT parameter value.

Throws

SQLException

If a database-access error occurs.

See also

Types class [java.sql]

Methods

public void registerOutParameter( int parameterIndex, int sqlType ) throws java.sql.SQLException

Before executing a stored procedure call, you must explicitly call registerOutParameter to register the java.sql.Type of each out parameter.

Note: When reading the value of an out parameter, you must use the getXXX method whose Java type XXX corresponds to the parameter's registered SQL type.

Parameters

parameterIndex

the first parameter is 1, the second is 2,...

sqlType

SQL type code defined by java.sql.Types; for parameters of type Numeric or Decimal use the version of registerOutParameter that accepts a scale value

Throws

SQLException

If a database-access error occurs.

public void registerOutParameter( int parameterIndex, int sqlType, int scale ) throws java.sql.SQLException

Use this version of registerOutParameter for registering Numeric or Decimal out parameters.

Note: When reading the value of an out parameter, you must use the getXXX method whose Java type XXX corresponds to the parameter's registered SQL type.

Parameters

parameterIndex

the first parameter is 1, the second is 2, ...

sqlType

use either java.sql.Type.NUMERIC or java.sql.Type.DECIMAL

scale

a value greater than or equal to zero representing the desired number of digits to the right of the decimal point

Throws

SQLException

If a database-access error occurs.

public boolean wasNull( ) throws java.sql.SQLException

An OUT parameter may have the value of SQL NULL; wasNull reports whether the last value read has this special value.

Note: You must first call getXXX on a parameter to read its value and then call wasNull() to see if the value was SQL NULL.

Return

True if the last parameter read was SQL NULL.

Throws

SQLException

If a database-access error occurs.

public java.math.BigDecimal getBigDecimal( int parameterIndex, int scale ) throws java.sql.SQLException

Get the value of a NUMERIC parameter as a java.math.BigDecimal object.

Parameters

parameterIndex

the first parameter is 1, the second is 2, ...

scale

a value greater than or equal to zero representing the desired number of digits to the right of the decimal point

Return

The parameter value; if the value is SQL NULL, the result is null.

Throws

SQLException

If a database-access error occurs.

See also

Connection interface [java.sql]

ResultSet interface [java.sql]


canonicalPath property [java.io.File] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      canonicalPath property [java.io.File]

public java.lang.String getCanonicalPath( ) throws java.io.IOException

Returns the canonical form of this File object's pathname. The precise definition of canonical form is system-dependent, but it usually specifies an absolute pathname in which all relative references and references to the current user directory have been completely resolved.  The canonical form of a pathname of a nonexistent file may not be defined.

Return

No documentation supplied in JDK.

Throws

IOException

If an I/O error occurs, which is possible because the construction of the canonical path may require filesystem queries.

Applies to

 File [java.io]


canRead method [java.io.File] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      canRead method [java.io.File]

public boolean canRead( )

Tests if the application can read from the specified file.

Return

true if the file specified by this object exists and the application can read the file; false otherwise.

Throws

SecurityException

If a security manager exists, its checkRead method is called with the pathname of this File to see if the application is allowed read access to the file.

See also

path property [java.io.File]

checkRead method [java.lang.SecurityManager]

Applies to

 File [java.io]


Canvas class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      Canvas class [java.awt]

Object

Component

Canvas

Description

A Canvas component represents a blank rectangular area of the screen onto which the application can draw or from which the application can trap input events from the user.

An application must subclass the Canvas class in order to get useful functionality such as creating a custom component. The paint method must be overridden in order to perform custom graphics on the canvas.

Specification

public class Canvas extends java.awt.Component

Constructor

public Canvas( )

Constructs a new Canvas.

Inherited Properties

  float getAlignmentX( )

  float getAlignmentY( )

  java.awt.Color getBackground( )

  void setBackground( java.awt.Color c )

  java.awt.Rectangle getBounds( )

  void setBounds( java.awt.Rectangle r )

  native final java.lang.Class getClass( )

  java.awt.image.ColorModel getColorModel( )

  java.awt.Cursor getCursor( )

  synchronized void setCursor( java.awt.Cursor cursor )

  void setEnabled( boolean b )

  boolean isEnabled( )

  boolean isFocusTraversable( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.awt.Color getForeground( )

  void setForeground( java.awt.Color c )

  java.awt.Graphics getGraphics( )

  java.util.Locale getLocale( )

  void setLocale( java.util.Locale l )

  java.awt.Point getLocation( )

  void setLocation( java.awt.Point p )

  void setLocation( int x, int y )

  java.awt.Point getLocationOnScreen( )

  java.awt.Dimension getMaximumSize( )

  java.awt.Dimension getMinimumSize( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.Container getParent( )

  java.awt.peer.ComponentPeer getPeer( )

  java.awt.Dimension getPreferredSize( )

  boolean isShowing( )

  java.awt.Dimension getSize( )

  void setSize( java.awt.Dimension d )

  void setSize( int width, int height )

  java.awt.Toolkit getToolkit( )

  final java.lang.Object getTreeLock( )

  boolean isValid( )

  void setVisible( boolean b )

  boolean isVisible( )

Methods

  void addNotify( )

  void paint( java.awt.Graphics g )

Inherited Methods

  boolean action( java.awt.Event evt, java.lang.Object what )

  synchronized void add( java.awt.PopupMenu popup )

  java.awt.Rectangle bounds( )

  int checkImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean contains( java.awt.Point p )

  boolean contains( int x, int y )

  java.awt.Image createImage( java.awt.image.ImageProducer producer )

  java.awt.Image createImage( int width, int height )

  void deliverEvent( java.awt.Event e )

  void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  void doLayout( )

  void enable( boolean b )

  void enable( )

  boolean equals( java.lang.Object obj )

  java.awt.Component getComponentAt( java.awt.Point p )

  java.awt.Component getComponentAt( int x, int y )

  java.awt.FontMetrics getFontMetrics( java.awt.Font font )

  boolean gotFocus( java.awt.Event evt, java.lang.Object what )

  boolean handleEvent( java.awt.Event evt )

  native int hashCode( )

  void hide( )

  boolean imageUpdate( java.awt.Image img, int flags, int x, int y, int w, int h )

  boolean inside( int x, int y )

  void invalidate( )

  boolean keyDown( java.awt.Event evt, int key )

  boolean keyUp( java.awt.Event evt, int key )

  void layout( )

  void list( )

  void list( java.io.PrintStream out, int indent )

  void list( java.io.PrintStream out )

  void list( java.io.PrintWriter out, int indent )

  void list( java.io.PrintWriter out )

  java.awt.Component locate( int x, int y )

  java.awt.Point location( )

  boolean lostFocus( java.awt.Event evt, java.lang.Object what )

  java.awt.Dimension minimumSize( )

  boolean mouseDown( java.awt.Event evt, int x, int y )

  boolean mouseDrag( java.awt.Event evt, int x, int y )

  boolean mouseEnter( java.awt.Event evt, int x, int y )

  boolean mouseExit( java.awt.Event evt, int x, int y )

  boolean mouseMove( java.awt.Event evt, int x, int y )

  boolean mouseUp( java.awt.Event evt, int x, int y )

  void move( int x, int y )

  void nextFocus( )

  native final void notify( )

  native final void notifyAll( )

  void paintAll( java.awt.Graphics g )

  boolean postEvent( java.awt.Event e )

  java.awt.Dimension preferredSize( )

  boolean prepareImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  void print( java.awt.Graphics g )

  void printAll( java.awt.Graphics g )

  synchronized void remove( java.awt.MenuComponent popup )

  void removeNotify( )

  void repaint( )

  void repaint( int x, int y, int width, int height )

  void repaint( long tm )

  void repaint( long tm, int x, int y, int width, int height )

  void requestFocus( )

  void reshape( int x, int y, int width, int height )

  void resize( java.awt.Dimension d )

  void resize( int width, int height )

  void setBounds( int x, int y, int width, int height )

  void show( boolean b )

  void show( )

  java.awt.Dimension size( )

  java.lang.String toString( )

  void transferFocus( )

  void update( java.awt.Graphics g )

  void validate( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void finalize( ) throws java.lang.Throwable

 protected java.lang.String paramString( )

 protected void processComponentEvent( java.awt.event.ComponentEvent e )

 protected void processEvent( java.awt.AWTEvent e )

 protected void processFocusEvent( java.awt.event.FocusEvent e )

 protected void processKeyEvent( java.awt.event.KeyEvent e )

 protected void processMouseEvent( java.awt.event.MouseEvent e )

 protected void processMouseMotionEvent( java.awt.event.MouseEvent e )

Inherited Events

  synchronized void addComponentListener( java.awt.event.ComponentListener l )

  synchronized void removeComponentListener( java.awt.event.ComponentListener l )

  synchronized void addFocusListener( java.awt.event.FocusListener l )

  synchronized void removeFocusListener( java.awt.event.FocusListener l )

  synchronized void addKeyListener( java.awt.event.KeyListener l )

  synchronized void removeKeyListener( java.awt.event.KeyListener l )

  synchronized void addMouseListener( java.awt.event.MouseListener l )

  synchronized void removeMouseListener( java.awt.event.MouseListener l )

  synchronized void addMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void removeMouseMotionListener( java.awt.event.MouseMotionListener l )


CanvasPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      CanvasPeer interface [java.awt.peer]

Definition

public interface CanvasPeer extends java.awt.peer.ComponentPeer

{

}


canWrite method [java.io.File] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      canWrite method [java.io.File]

public boolean canWrite( )

Tests if the application can write to this file.

Return

true if the application is allowed to write to a file whose name is specified by this object; false otherwise.

Throws

SecurityException

If a security manager exists, its checkWrite method is called with the pathname of this File to see if the application is allowed write access to the file.

See also

path property [java.io.File]

checkWrite method [java.lang.SecurityManager]

Applies to

 File [java.io]


capacity method [java.lang.StringBuffer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      capacity method [java.lang.StringBuffer]

public int capacity( )

Returns the current capacity of the String buffer. The capacity is the amount of storage available for newly inserted characters; beyond which an allocation will occur.

Return

The current capacity of this string buffer.

Applies to

 StringBuffer [java.lang]


capacity method [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      capacity method [java.util.Vector]

public final int capacity( )

Returns the current capacity of this vector.

Return

The current capacity of this vector.

Applies to

 Stack [java.util]

 Vector [java.util]


CardLayout class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      CardLayout class [java.awt]

Object

CardLayout

Description

A CardLayout object is a layout manager for a container. It treats each component in the container as a card. Only one card is visible at a time, and the container acts as a stack of cards.

The ordering of cards is determined by the container's own internal ordering of its component objects. CardLayout defines a set of methods that allow an application to flip through these cards sequentially, or to show a specified card. The addLayoutComponent method can be used to associate a string identifier with a given card for fast random access.

Specification

public class CardLayout extends java.lang.Object implements java.awt.LayoutManager2, java.io.Serializable

Constructors

public CardLayout( )

Creates a new card layout with gaps of size zero.

public CardLayout( int hgap, int vgap )

Creates a new card layout with the specified horizontal and vertical gaps. The horizontal gaps are placed at the left and right edges. The vertical gaps are placed at the top and bottom edges.

Parameters

hgap

the horizontal gap.

vgap

the vertical gap.

Properties

  int getHgap( )

  void setHgap( int hgap )

  int getVgap( )

  void setVgap( int vgap )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void addLayoutComponent( java.awt.Component comp, java.lang.Object constraints )

  void addLayoutComponent( java.lang.String name, java.awt.Component comp )

  void first( java.awt.Container parent )

  float getLayoutAlignmentX( java.awt.Container parent )

  float getLayoutAlignmentY( java.awt.Container parent )

  void invalidateLayout( java.awt.Container target )

  void last( java.awt.Container parent )

  void layoutContainer( java.awt.Container parent )

  java.awt.Dimension maximumLayoutSize( java.awt.Container target )

  java.awt.Dimension minimumLayoutSize( java.awt.Container parent )

  void next( java.awt.Container parent )

  java.awt.Dimension preferredLayoutSize( java.awt.Container parent )

  void previous( java.awt.Container parent )

  void removeLayoutComponent( java.awt.Component comp )

  void show( java.awt.Container parent, java.lang.String name )

  java.lang.String toString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Container class [java.awt]


caretPosition property [java.awt.TextComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      caretPosition property [java.awt.TextComponent]

public synchronized int getCaretPosition( )

Gets the position of the text insertion caret for this text component.

Return

The position of the text insertion caret.

public synchronized void setCaretPosition( int position )

Sets the position of the text insertion caret for this text component.

Parameter

position

the position of the text insertion caret.

Throws

IllegalArgumentException

If the value supplied for position is less than zero.

Applies to

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]


ceil method [java.lang.Math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ceil method [java.lang.Math]

public static native double ceil( double a )

Returns the smallest (closest to negative infinity) double value that is not less than the argument and is equal to a mathematical integer.

Parameter

a

a double value.

Return

The smallest (closest to negative infinity) double value that is not less than the argument and is equal to a mathematical integer.

Applies to

 Math [java.lang]


Certificate interface [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      Certificate interface [java.security]

Description

This is an interface of abstract methods for managing an identity certificate. An identity certificate is a guarantee by a principal that a public key is that of another principal.  (A principal represents an entity such as an individual user or a group.)

In particular, this interface is intended to be a common abstraction for constructs that have different formats but important common uses.  For example, different types of certificates, such as X.509 certificates and PGP certificates, share general certificate functionality (the need to encode and decode certificates) and some types of information, such as a public key, the principal whose key it is, and the guarantor guaranteeing that the public key is that of the specified principal. So an implementation of X.509 certificates and an implementation of PGP certificates can both utilize the Certificate interface, even though their formats and additional types and amounts of information stored are different.

Important : This interface is useful for cataloging and grouping objects sharing certain common uses. It does not have any semantics of its own. In particular, a Certificate object does not make any statement as to the validity of the binding. It is the duty of the application implementing this interface to verify the certificate and satisfy itself of its validity.

Definition

public interface Certificate

{

  // Properties

  public abstract java.security.Principal getGuarantor( );

  public abstract java.security.Principal getPrincipal( );

  public abstract java.security.PublicKey getPublicKey( );

  public abstract java.lang.String getFormat( );

  // Methods

  public abstract void encode( java.io.OutputStream stream ) throws java.security.KeyException, java.io.IOException;

  public abstract void decode( java.io.InputStream stream ) throws java.security.KeyException, java.io.IOException;

  public java.lang.String toString( boolean detailed );

}

Properties

public abstract java.security.Principal getGuarantor( )

Returns the guarantor of the certificate, that is, the principal guaranteeing that the public key associated with this certificate is that of the principal associated with this certificate. For X.509 certificates, the guarantor will typically be a Certificate Authority (such as the United States Postal Service or Verisign, Inc.).

Return

The guarantor which guaranteed the principal-key binding.

public abstract java.security.Principal getPrincipal( )

Returns the principal of the principal-key pair being guaranteed by the guarantor.

Return

The principal to which this certificate is bound.

public abstract java.security.PublicKey getPublicKey( )

Returns the key of the principal-key pair being guaranteed by the guarantor.

Return

The public key that this certificate certifies belongs to a particular principal.

public abstract java.lang.String getFormat( )

Returns the name of the coding format. This is used as a hint to find an appropriate parser. It could be "X.509", "PGP", etc. This is the format produced and understood by the encode and decode methods.

Return

The name of the coding format.

Methods

public abstract void encode( java.io.OutputStream stream ) throws java.security.KeyException, java.io.IOException

Encodes the certificate to an output stream in a format that can be decoded by the decode method.

Parameter

stream

the output stream to which to encode the certificate.

Throws

KeyException

If the certificate is not properly initialized, or data is missing, etc.

IOException

If a stream exception occurs while trying to output the encoded certificate to the output stream.

See also

Certificate interface [java.security]

public abstract void decode( java.io.InputStream stream ) throws java.security.KeyException, java.io.IOException

Decodes a certificate from an input stream. The format should be that returned by getFormat and produced by encode.

Parameter

stream

the input stream from which to fetch the data being decoded.

Throws

KeyException

If the certificate is not properly initialized, or data is missing, etc.

IOException

If an exception occurs while trying to input the encoded certificate from the input stream.

See also

Certificate interface [java.security]

public java.lang.String toString( boolean detailed )

Returns a string that represents the contents of the certificate.

Parameter

detailed

whether or not to give detailed information about the certificate.

Return

No documentation supplied in JDK.


certificates method [java.security.Identity] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      certificates method [java.security.Identity]

public java.security.Certificate[] certificates( )

Returns a copy of all the certificates for this identity.

Return

A copy of all the certificates for this identity.

Applies to

 Identity [java.security]

 IdentityScope [java.security]

 Signer [java.security]


Character class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      Character class [java.lang]

Object

Character

Description

The Character class wraps a value of the primitive type char in an object. An object of type Character contains a single field whose type is char.

In addition, this class provides several methods for determining the type of a character and converting characters from uppercase to lowercase and vice versa.

Many of the methods of class Character are defined in terms of a "Unicode attribute table" that specifies a name for every defined Unicode code point. The table also includes other attributes, such as a decimal value, an uppercase equivalent, a lowercase equivalent, and/or a titlecase equivalent. The Unicode attribute table is available on the World Wide Web as the file:

ftp://unicode.org/pub/MappingTables/UnicodeData1.1.5.txt

For a more detailed specification of the Character class, one that encompasses the exact behavior of methods such as isDigit, isLetter, isLowerCase, and isUpperCase over the full range of Unicode values, see Gosling, Joy, and Steele, The Java Language Specification .

Specification

public final class Character extends java.lang.Object implements java.io.Serializable

Constructor

public Character( char value )

Constructs a Character object and initializes it so that it represents the primitive value argument.

Parameter

value

value for the new Character object.

Variables

public static final int MIN_RADIX

The minimum radix available for conversion to and from Strings. The constant value of this field is the smallest value permitted for the radix argument in radix-conversion methods such as the digit method, the forDigit method, and the toString method of class Integer.

public static final int MAX_RADIX

The maximum radix available for conversion to and from Strings. The constant value of this field is the largest value permitted for the radix argument in radix-conversion methods such as the digit method, the forDigit method, and the toString method of class Integer.

public static final char MIN_VALUE

The constant value of this field is the smallest value of type char.

public static final char MAX_VALUE

The constant value of this field is the largest value of type char.

public static final java.lang.Class TYPE

The Class object representing the primitive type char.

public static final byte UNASSIGNED

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  char charValue( )

  static int digit( char ch, int radix )

  boolean equals( java.lang.Object obj )

  static char forDigit( int digit, int radix )

  static int getNumericValue( char ch )

  static int getType( char ch )

  int hashCode( )

  static boolean isDefined( char ch )

  static boolean isDigit( char ch )

  static boolean isIdentifierIgnorable( char ch )

  static boolean isISOControl( char ch )

  static boolean isJavaIdentifierPart( char ch )

  static boolean isJavaIdentifierStart( char ch )

  static boolean isJavaLetter( char ch )

  static boolean isJavaLetterOrDigit( char ch )

  static boolean isLetter( char ch )

  static boolean isLetterOrDigit( char ch )

  static boolean isLowerCase( char ch )

  static boolean isSpace( char ch )

  static boolean isSpaceChar( char ch )

  static boolean isTitleCase( char ch )

  static boolean isUnicodeIdentifierPart( char ch )

  static boolean isUnicodeIdentifierStart( char ch )

  static boolean isUpperCase( char ch )

  static boolean isWhitespace( char ch )

  static char toLowerCase( char ch )

  java.lang.String toString( )

  static char toTitleCase( char ch )

  static char toUpperCase( char ch )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


characterInstance property [java.text.BreakIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      characterInstance property [java.text.BreakIterator]

public static java.text.BreakIterator getCharacterInstance( )

Create BreakIterator for character-breaks using default locale Returns an instance of a BreakIterator implementing character breaks. Character breaks are boundaries of combining character sequences.

Return

A BreakIterator for character-breaks.

Applies to

 BreakIterator [java.text]


CharacterIterator interface [java.text] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      CharacterIterator interface [java.text]

Description

This interface defines a protocol for bidirectional iteration over text. The iterator iterates over a bounded sequence of characters.  Characters are indexed with values beginning with the value returned by getBeginIndex and continuing through the value returned by getEndIndex()-1.  The index of the current character can be retrieved by calling getIndex.  Calling setIndex will move the iterator to a new position within the sequence of characters. If at any time the iterator's current index moves outside the range of getBeginIndex and getEndIndex, previous() and next() will return DONE, signaling that the iterator has reached the end of the sequence.

Examples:

Traverse the text from start to finish

public void traverseForward(CharacterIterator iter) {

   for(char c = iter.first(); c != CharacterIterator.DONE; c = iter.next()) {

       processChar(c);

   }

}

Traverse the text backwards, from end to start

public void traverseBackward(CharacterIterator iter) {

   for(char c = iter.last(); c != CharacterIterator.DONE; c = iter.prev()) {

       processChar(c);

   }

}

Traverse both forward and backward from a given position in the text. Calls to notBoundary() in this example represents some additional stopping criteria.

public void traverseOut(CharacterIterator iter, int pos) {

   for (char c = iter.setIndex(pos);

        c != CharacterIterator.DONE && notBoundary(c);

        c = iter.next()) {}

int end = iter.getIndex();

for (char c = iter.setIndex(pos);

   c != CharacterIterator.DONE && notBoundary(c);

   c = iter.prev()) {}

int start = iter.getIndex();

processSection(start,end);

}

Definition

public interface CharacterIterator extends java.lang.Cloneable

{

  // Variables

  public static final char DONE;

  // Properties

  public int getBeginIndex( );

  public int getEndIndex( );

  public int getIndex( );

  // Methods

  public char first( );

  public char last( );

  public char current( );

  public char next( );

  public char previous( );

  public char setIndex( int position );

  public java.lang.Object clone( );

}

Variable

public static final char DONE

Constant that is returned when the iterator has reached either the end or the beginning of the text.  The unicode 2.0 standard states that '\\uFFFF' is an invalid unicode value and should not occur in any valid unicode string.

Properties

public int getBeginIndex( )

Return the start index of the text.

Return

The index at which the text begins.

public int getEndIndex( )

Return the end index of the text.  This index is the index of the first character following the end of the text.

Return

The index at which the text end.

public int getIndex( )

Return the current index.

Return

The current index.

Methods

public char first( )

Set the position to getBeginIndex() and return the character at that position.

Return

The first character in the text.

public char last( )

Set the position to getEndIndex()-1, return the character at that position.

Return

The last character in the text.

public char current( )

Get the character at the current position (as returned by getIndex()).

Return

The character at the current position or DONE if the current position is off the end of the text.

public char next( )

Increment the iterator's index by one and return the character at the new index.  If the resulting index is greater or equal to getEndIndex(), the current index is reset to getEndIndex() and a value of DONE is returned.

Return

The character at the new position or DONE if the current position is off the end of the text.

public char previous( )

Decrement the iterator's index by one and return the character at the new index.  If the resulting index is less than getBeginIndex(), the current index is reset to getBeginIndex() and a value of DONE is returned.

Return

The character at the new position or DONE if the current position is off the end of the text.

public char setIndex( int position )

Set the position to the specified position in the text and return that character.

Parameter

position

the position within the text. Valid values range from getBeginIndex() to getEndIndex() - 1.  An IllegalArgumentException is thrown if an invalid value is supplied.

Return

The character at the specified position.

public java.lang.Object clone( )

Create a copy of this iterator

Return

A copy of this.

Implemented by

StringCharacterIterator [java.text]

See also

StringCharacterIterator class [java.text]


CharArrayReader class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      CharArrayReader class [java.io]

Object

Reader

CharArrayReader

Description

This class implements a character buffer that can be used as a character-input stream.

Specification

public class CharArrayReader extends java.io.Reader

Constructors

public CharArrayReader( char[] buf )

Create an CharArrayReader from the specified array of chars.

Parameter

buf

Input buffer (not copied)

public CharArrayReader( char[] buf, int offset, int length )

Create an CharArrayReader from the specified array of chars.

Parameters

buf

Input buffer (not copied)

offset

Offset of the first char to read

length

Number of chars to read

Variables

protected char[] buf

Character buffer.

protected int pos

Current buffer position.

protected int markedPos

Position of mark in buffer.

protected int count

Number of valid characters in buffer.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( )

  void mark( int readAheadLimit ) throws java.io.IOException

  boolean markSupported( )

  int read( char[] b, int off, int len ) throws java.io.IOException

  int read( ) throws java.io.IOException

  boolean ready( ) throws java.io.IOException

  void reset( ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  int read( char[] cbuf ) throws java.io.IOException

  java.lang.String toString( )

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


CharArrayWriter class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      CharArrayWriter class [java.io]

Object

Writer

CharArrayWriter

Description

This class implements a character buffer that can be used as an Writer. The buffer automatically grows when data is written to the stream.  The data can be retrieved using toCharArray() and toString().

Specification

public class CharArrayWriter extends java.io.Writer

Constructors

public CharArrayWriter( )

Creates a new CharArrayWriter.

public CharArrayWriter( int initialSize )

Creates a new CharArrayWriter with the specified initial size.

Variables

protected char[] buf

The buffer where data is stored.

protected int count

The number of chars in the buffer.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( )

  void flush( )

  void reset( )

  int size( )

  char[] toCharArray( )

  java.lang.String toString( )

  void write( int c )

  void write( java.lang.String str, int off, int len )

  void write( char[] c, int off, int len )

  void writeTo( java.io.Writer out ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  void write( java.lang.String str ) throws java.io.IOException

  void write( char[] cbuf ) throws java.io.IOException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


charAt method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      charAt method [java.lang.String]

public char charAt( int index )

Returns the character at the specified index. An index ranges from 0 to length() - 1.

Parameter

index

the index of the character.

Return

The character at the specified index of this string. The first character is at index 0.

Throws

StringIndexOutOfBoundsException

If the index is out of range.

Applies to

 String [java.lang]


charAt method [java.lang.StringBuffer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      charAt method [java.lang.StringBuffer]

public synchronized char charAt( int index )

Returns the character at a specific index in this string buffer.

The first character of a string buffer is at index 0, the next at index 1, and so on, for array indexing.

The index argument must be greater than or equal to 0, and less than the length of this string buffer.

Parameter

index

the index of the desired character.

Return

The character at the specified index of this string buffer.

Throws

StringIndexOutOfBoundsException

If the index is invalid.

See also

length method [java.lang.StringBuffer]

Applies to

 StringBuffer [java.lang]


charAt property [java.lang.StringBuffer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      charAt property [java.lang.StringBuffer]

public synchronized void setCharAt( int index, char ch )

The character at the specified index of this string buffer is set to ch.

The offset argument must be greater than or equal to 0, and less than the length of this string buffer.

Parameters

index

the index of the character to modify.

ch

the new character.

Throws

StringIndexOutOfBoundsException

If the index is invalid.

See also

length method [java.lang.StringBuffer]

Applies to

 StringBuffer [java.lang]


CharConversionException class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      CharConversionException class [java.io]

Object

Throwable

Exception

IOException

CharConversionException

Description

base class for character conversion exceptions

Specification

public class CharConversionException extends java.io.IOException

Constructors

public CharConversionException( )

provides no detailed message

public CharConversionException( java.lang.String s )

provides a detailed message

Parameter

s

detailed message

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


charsWidth method [java.awt.FontMetrics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      charsWidth method [java.awt.FontMetrics]

public int charsWidth( char[] data, int off, int len )

Returns the total advance width for showing the specified array of characters in this Font. The advance width is the amount by which the current point is moved from one character to the next in a line of text.

Parameters

data

the array of characters to be measured

off

the start offset of the characters in the array

len

the number of characters to be measured from the array

Return

The advance width of the subarray of the specified char array in the font described by this font metric.

See also

charWidth method [java.awt.FontMetrics]

bytesWidth method [java.awt.FontMetrics]

stringWidth method [java.awt.FontMetrics]

Applies to

 FontMetrics [java.awt]


charValue method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      charValue method [java.lang.Character]

public char charValue( )

Returns the value of this Character object.

Return

The primitive char value represented by this object.

Applies to

 Character [java.lang]


charWidth method [java.awt.FontMetrics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      charWidth method [java.awt.FontMetrics]

Overloads:

 int charWidth( char ch )

 int charWidth( int ch )

public int charWidth( char ch )

Returns the advance width of the specified character in this Font. The advance width is the amount by which the current point is moved from one character to the next in a line of text.

Parameter

ch

the character to be measured

Return

The advance width of the specified char > in the font described by this font metric.

See also

charsWidth method [java.awt.FontMetrics]

stringWidth method [java.awt.FontMetrics]

public int charWidth( int ch )

Returns the advance width of the specified character in this Font. The advance width is the amount by which the current point is moved from one character to the next in a line of text.

Parameter

ch

the character to be measured

Return

The advance width of the specified char in the font described by this font metric.

See also

charsWidth method [java.awt.FontMetrics]

stringWidth method [java.awt.FontMetrics]

Applies to

 FontMetrics [java.awt]


checkAccept method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkAccept method [java.lang.SecurityManager]

public void checkAccept( java.lang.String host, int port )

Throws a SecurityException if the calling thread is not permitted to accept a socket connection from the specified host and port number.

This method is invoked for the current security manager by the accept method of class ServerSocket.

The checkAccept method for class SecurityManager always throws a SecurityException.

Parameters

host

the host name of the socket connection.

port

the port number of the socket connection.

Throws

SecurityException

If the caller does not have permission to accept the connection.

See also

securityManager property [java.lang.System]

accept method [java.net.ServerSocket]

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkAccept method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkAccept method [java.rmi.RMISecurityManager]

Overloads:

 void checkAccept( String host, int port ) overrides checkAccept method [java.lang.SecurityManager]

public synchronized void checkAccept( java.lang.String host, int port )

For now loaded classes can't accept connections on any port.

Applies to

 RMISecurityManager [java.rmi]


checkAccess method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkAccess method [java.lang.SecurityManager]

Overloads:

 void checkAccess( Thread g )

 void checkAccess( ThreadGroup g )

public void checkAccess( java.lang.Thread g )

Throws a SecurityException if the calling thread is not allowed to modify the thread argument.

This method is invoked for the current security manager by the stop, suspend, resume, setPriority, setName, and setDaemon methods of class Thread.

The checkAccess method for class SecurityManager always throws a SecurityException.

Parameter

g

the thread to be checked.

Throws

SecurityException

If the caller does not have permission to modify the thread.

See also

securityManager property [java.lang.System]

resume method [java.lang.Thread]

daemon property [java.lang.Thread]

name property [java.lang.Thread]

priority property [java.lang.Thread]

stop method [java.lang.Thread]

suspend method [java.lang.Thread]

public void checkAccess( java.lang.ThreadGroup g )

Throws a SecurityException if the calling thread is not allowed to modify the thread group argument.

This method is invoked for the current security manager when a new child thread or child thread group is created, and by the setDaemon, setMaxPriority, stop, suspend, resume, and destroy methods of class ThreadGroup.

The checkAccess method for class SecurityManager always throws a SecurityException.

Parameter

g

the thread group to be checked.

Throws

SecurityException

If the caller does not have permission to modify the thread group.

See also

securityManager property [java.lang.System]

destroy method [java.lang.ThreadGroup]

resume method [java.lang.ThreadGroup]

daemon property [java.lang.ThreadGroup]

maxPriority property [java.lang.ThreadGroup]

stop method [java.lang.ThreadGroup]

suspend method [java.lang.ThreadGroup]

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkAccess method [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkAccess method [java.lang.Thread]

public void checkAccess( )

Determines if the currently running thread has permission to modify this thread.

If there is a security manager, its checkAccess method is called with this thread as its argument. This may result in throwing a SecurityException.

Throws

SecurityException

If the current thread is not allowed to access this thread.

See also

checkAccess method [java.lang.SecurityManager]

Applies to

 Thread [java.lang]


checkAccess method [java.lang.ThreadGroup] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkAccess method [java.lang.ThreadGroup]

public final void checkAccess( )

Determines if the currently running thread has permission to modify this thread group.

If there is a security manager, its checkAccess method is called with this thread group as its argument. This may result in throwing a SecurityException.

Throws

SecurityException

If the current thread is not allowed to access this thread group.

See also

checkAccess method [java.lang.SecurityManager]

Applies to

 ThreadGroup [java.lang]


checkAccess method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkAccess method [java.rmi.RMISecurityManager]

Overloads:

 void checkAccess( Thread t ) overrides checkAccess method [java.lang.SecurityManager]

 void checkAccess( ThreadGroup g ) overrides checkAccess method [java.lang.SecurityManager]

public synchronized void checkAccess( java.lang.Thread t )

Loaded classes are not allowed to manipulate threads.

public synchronized void checkAccess( java.lang.ThreadGroup g )

Loaded classes are not allowed to manipulate thread groups.

Applies to

 RMISecurityManager [java.rmi]


checkAll method [java.awt.MediaTracker] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkAll method [java.awt.MediaTracker]

Overloads:

 boolean checkAll( boolean load )

 boolean checkAll( )

public boolean checkAll( boolean load )

Checks to see if all images being tracked by this media tracker have finished loading.

If the value of the load flag is true, then this method starts loading any images that are not yet being loaded.

If there is an error while loading or scaling an image, that image is considered to have finished loading. Use the isErrorAny and isErrorID methods to check for errors.

Parameter

load

if true, start loading any images that are not yet being loaded.

Return

true if all images have finished loading, have been aborted, or have encountered an error; false otherwise.

See also

checkID method [java.awt.MediaTracker]

errorAny property [java.awt.MediaTracker]

isErrorID method [java.awt.MediaTracker]

public boolean checkAll( )

Checks to see if all images being tracked by this media tracker have finished loading.

This method does not start loading the images if they are not already loading.

If there is an error while loading or scaling an image, then that image is considered to have finished loading. Use the isErrorAny or isErrorID methods to check for errors.

Return

true if all images have finished loading, have been aborted, or have encountered an error; false otherwise.

See also

checkID method [java.awt.MediaTracker]

errorAny property [java.awt.MediaTracker]

isErrorID method [java.awt.MediaTracker]

Applies to

 MediaTracker [java.awt]


checkAwtEventQueueAccess method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkAwtEventQueueAccess method [java.lang.SecurityManager]

public void checkAwtEventQueueAccess( )

Tests if a client can get access to the AWT event queue.

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkAwtEventQueueAccess method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkAwtEventQueueAccess method [java.rmi.RMISecurityManager]

Overloads:

 void checkAwtEventQueueAccess( ) overrides checkAwtEventQueueAccess method [java.lang.SecurityManager]

public void checkAwtEventQueueAccess( )

Checks to see if an client can get access to the AWT event queue (disallowed from loaded classes).

Applies to

 RMISecurityManager [java.rmi]


Checkbox class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      Checkbox class [java.awt]

Object

Component

Checkbox

Description

A check box is a graphical component that can be in either an "on" (true) or "off" (false) state. Clicking on a check box changes its state from "on" to "off," or from "off" to "on."

The following code example creates a set of check boxes in a grid layout:

setLayout(new GridLayout(3, 1));

add(new Checkbox("one", null, true));

add(new Checkbox("two"));

add(new Checkbox("three"));

This image depicts the check boxes and grid layout created by this code example:

The button labeled one is in the "on" state, and the other two are in the "off" state. In this example, which uses the GridLayout class, the states of the three check boxes are set independently.

Alternatively, several check boxes can be grouped together under the control of a single object, using the CheckboxGroup class. In a check box group, at most one button can be in the "on" state at any given time. Clicking on a check box to turn it on forces any other check box in the same group that is on into the "off" state.

Specification

public class Checkbox extends java.awt.Component implements java.awt.ItemSelectable

Constructors

public Checkbox( )

Creates a check box with no label. The state of this check box is set to "off," and it is not part of any check box group.

public Checkbox( java.lang.String label )

Creates a check box with the specified label.  The state of this check box is set to "off," and it is not part of any check box group.

Parameter

label

a string label for this check box, or null for no label.

public Checkbox( java.lang.String label, boolean state )

Creates a check box with the specified label.  The state of this check box is as specified by the state argument, and it is not part of any check box group.

Parameters

label

a string label for this check box, or null for no label.

state

the initial state of this check box.

public Checkbox( java.lang.String label, boolean state, java.awt.CheckboxGroup group )

Creates a check box with the specified label, in the specified check box group, and set to the specified state.

Parameters

label

a string label for this check box, or null for no label.

state

the initial state of this check box.

group

a check box group for this check box, or null for no group.

public Checkbox( java.lang.String label, java.awt.CheckboxGroup group, boolean state )

Constructs a Checkbox with the specified label, set to the specified state, and in the specified check box group.

Properties

  java.awt.CheckboxGroup getCheckboxGroup( )

  void setCheckboxGroup( java.awt.CheckboxGroup g )

  java.lang.String getLabel( )

  synchronized void setLabel( java.lang.String label )

  java.lang.Object[] getSelectedObjects( )

  boolean getState( )

  void setState( boolean state )

Inherited Properties

  float getAlignmentX( )

  float getAlignmentY( )

  java.awt.Color getBackground( )

  void setBackground( java.awt.Color c )

  java.awt.Rectangle getBounds( )

  void setBounds( java.awt.Rectangle r )

  native final java.lang.Class getClass( )

  java.awt.image.ColorModel getColorModel( )

  java.awt.Cursor getCursor( )

  synchronized void setCursor( java.awt.Cursor cursor )

  void setEnabled( boolean b )

  boolean isEnabled( )

  boolean isFocusTraversable( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.awt.Color getForeground( )

  void setForeground( java.awt.Color c )

  java.awt.Graphics getGraphics( )

  java.util.Locale getLocale( )

  void setLocale( java.util.Locale l )

  java.awt.Point getLocation( )

  void setLocation( java.awt.Point p )

  void setLocation( int x, int y )

  java.awt.Point getLocationOnScreen( )

  java.awt.Dimension getMaximumSize( )

  java.awt.Dimension getMinimumSize( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.Container getParent( )

  java.awt.peer.ComponentPeer getPeer( )

  java.awt.Dimension getPreferredSize( )

  boolean isShowing( )

  java.awt.Dimension getSize( )

  void setSize( java.awt.Dimension d )

  void setSize( int width, int height )

  java.awt.Toolkit getToolkit( )

  final java.lang.Object getTreeLock( )

  boolean isValid( )

  void setVisible( boolean b )

  boolean isVisible( )

Methods

  void addNotify( )

Inherited Methods

  boolean action( java.awt.Event evt, java.lang.Object what )

  synchronized void add( java.awt.PopupMenu popup )

  java.awt.Rectangle bounds( )

  int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  int checkImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  boolean contains( int x, int y )

  boolean contains( java.awt.Point p )

  java.awt.Image createImage( java.awt.image.ImageProducer producer )

  java.awt.Image createImage( int width, int height )

  void deliverEvent( java.awt.Event e )

  void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  void doLayout( )

  void enable( )

  void enable( boolean b )

  boolean equals( java.lang.Object obj )

  java.awt.Component getComponentAt( int x, int y )

  java.awt.Component getComponentAt( java.awt.Point p )

  java.awt.FontMetrics getFontMetrics( java.awt.Font font )

  boolean gotFocus( java.awt.Event evt, java.lang.Object what )

  boolean handleEvent( java.awt.Event evt )

  native int hashCode( )

  void hide( )

  boolean imageUpdate( java.awt.Image img, int flags, int x, int y, int w, int h )

  boolean inside( int x, int y )

  void invalidate( )

  boolean keyDown( java.awt.Event evt, int key )

  boolean keyUp( java.awt.Event evt, int key )

  void layout( )

  void list( )

  void list( java.io.PrintStream out, int indent )

  void list( java.io.PrintStream out )

  void list( java.io.PrintWriter out, int indent )

  void list( java.io.PrintWriter out )

  java.awt.Component locate( int x, int y )

  java.awt.Point location( )

  boolean lostFocus( java.awt.Event evt, java.lang.Object what )

  java.awt.Dimension minimumSize( )

  boolean mouseDown( java.awt.Event evt, int x, int y )

  boolean mouseDrag( java.awt.Event evt, int x, int y )

  boolean mouseEnter( java.awt.Event evt, int x, int y )

  boolean mouseExit( java.awt.Event evt, int x, int y )

  boolean mouseMove( java.awt.Event evt, int x, int y )

  boolean mouseUp( java.awt.Event evt, int x, int y )

  void move( int x, int y )

  void nextFocus( )

  native final void notify( )

  native final void notifyAll( )

  void paint( java.awt.Graphics g )

  void paintAll( java.awt.Graphics g )

  boolean postEvent( java.awt.Event e )

  java.awt.Dimension preferredSize( )

  boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean prepareImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  void print( java.awt.Graphics g )

  void printAll( java.awt.Graphics g )

  synchronized void remove( java.awt.MenuComponent popup )

  void removeNotify( )

  void repaint( )

  void repaint( int x, int y, int width, int height )

  void repaint( long tm )

  void repaint( long tm, int x, int y, int width, int height )

  void requestFocus( )

  void reshape( int x, int y, int width, int height )

  void resize( java.awt.Dimension d )

  void resize( int width, int height )

  void setBounds( int x, int y, int width, int height )

  void show( )

  void show( boolean b )

  java.awt.Dimension size( )

  java.lang.String toString( )

  void transferFocus( )

  void update( java.awt.Graphics g )

  void validate( )

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected java.lang.String paramString( )

 protected void processEvent( java.awt.AWTEvent e )

 protected void processItemEvent( java.awt.event.ItemEvent e )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void finalize( ) throws java.lang.Throwable

 protected void processComponentEvent( java.awt.event.ComponentEvent e )

 protected void processFocusEvent( java.awt.event.FocusEvent e )

 protected void processKeyEvent( java.awt.event.KeyEvent e )

 protected void processMouseEvent( java.awt.event.MouseEvent e )

 protected void processMouseMotionEvent( java.awt.event.MouseEvent e )

Events

  synchronized void addItemListener( java.awt.event.ItemListener l )

  synchronized void removeItemListener( java.awt.event.ItemListener l )

Inherited Events

  synchronized void addComponentListener( java.awt.event.ComponentListener l )

  synchronized void removeComponentListener( java.awt.event.ComponentListener l )

  synchronized void addFocusListener( java.awt.event.FocusListener l )

  synchronized void removeFocusListener( java.awt.event.FocusListener l )

  synchronized void addKeyListener( java.awt.event.KeyListener l )

  synchronized void removeKeyListener( java.awt.event.KeyListener l )

  synchronized void addMouseListener( java.awt.event.MouseListener l )

  synchronized void removeMouseListener( java.awt.event.MouseListener l )

  synchronized void addMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void removeMouseMotionListener( java.awt.event.MouseMotionListener l )

See also

GridLayout class [java.awt]

CheckboxGroup class [java.awt]


CheckboxGroup class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      CheckboxGroup class [java.awt]

Object

CheckboxGroup

Description

The CheckboxGroup class is used to group together a set of Checkbox buttons.

Exactly one check box button in a CheckboxGroup can be in the "on" state at any given time. Pushing any button sets its state to "on" and forces any other button that is in the "on" state into the "off" state.

The following code example produces a new check box group, with three check boxes:

setLayout(new GridLayout(3, 1));

CheckboxGroup cbg = new CheckboxGroup();

add(new Checkbox("one", cbg, true));

add(new Checkbox("two", cbg, false));

add(new Checkbox("three", cbg, false));

This image depicts the check box group created by this example:

Specification

public class CheckboxGroup extends java.lang.Object implements java.io.Serializable

Constructor

public CheckboxGroup( )

Creates a new instance of CheckboxGroup.

Properties

  java.awt.Checkbox getCurrent( )

  synchronized void setCurrent( java.awt.Checkbox box )

  java.awt.Checkbox getSelectedCheckbox( )

  void setSelectedCheckbox( java.awt.Checkbox box )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.String toString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Checkbox class [java.awt]


checkboxGroup property [java.awt.Checkbox] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkboxGroup property [java.awt.Checkbox]

public java.awt.CheckboxGroup getCheckboxGroup( )

Determines this check box's group.

Return

This check box's group, or null if the check box is not part of a check box group.

public void setCheckboxGroup( java.awt.CheckboxGroup g )

Sets this check box's group to be the specified check box group. If this check box is already in a different check box group, it is first taken out of that group.

Parameter

g

the new check box group, or null to remove this check box from any check box group.

Applies to

 Checkbox [java.awt]


CheckboxMenuItem class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      CheckboxMenuItem class [java.awt]

Object

MenuComponent

MenuItem

CheckboxMenuItem

Description

This class represents a check box that can be included in a menu. Clicking on the check box in the menu changes its state from "on" to "off" or from "off" to "on."

The following picture depicts a menu which contains an instance of CheckBoxMenuItem:

The item labeled Check shows a check box menu item in its "off" state.

When a check box menu item is selected, AWT sends an item event to the item. Since the event is an instance of ItemEvent, the processEvent method examines the event and passes it along to processItemEvent. The latter method redirects the event to any ItemListener objects that have registered an interest in item events generated by this menu item.

Specification

public class CheckboxMenuItem extends java.awt.MenuItem implements java.awt.ItemSelectable

Constructors

public CheckboxMenuItem( )

Create a check box menu item with an empty label. The item's state is initially set to "off."

public CheckboxMenuItem( java.lang.String label )

Create a check box menu item with the specified label. The item's state is initially set to "off."

Parameter

label

a string label for the check box menu item, or null for an unlabeled menu item.

public CheckboxMenuItem( java.lang.String label, boolean state )

Create a check box menu item with the specified label and state.

Parameters

label

the button label.

state

the initial state of the menu item, where true indicates "on" and false indicates "off."

Properties

  synchronized java.lang.Object[] getSelectedObjects( )

  boolean getState( )

  synchronized void setState( boolean b )

Inherited Properties

  java.lang.String getActionCommand( )

  void setActionCommand( java.lang.String command )

  native final java.lang.Class getClass( )

  synchronized void setEnabled( boolean b )

  boolean isEnabled( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.lang.String getLabel( )

  synchronized void setLabel( java.lang.String label )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.MenuContainer getParent( )

  java.awt.peer.MenuComponentPeer getPeer( )

  java.awt.MenuShortcut getShortcut( )

  void setShortcut( java.awt.MenuShortcut s )

Protected Properties

 protected final java.lang.Object getTreeLock( )

Methods

  void addNotify( )

  java.lang.String paramString( )

Inherited Methods

  void deleteShortcut( )

  synchronized void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  synchronized void enable( )

  void enable( boolean b )

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  boolean postEvent( java.awt.Event evt )

  void removeNotify( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected void processEvent( java.awt.AWTEvent e )

 protected void processItemEvent( java.awt.event.ItemEvent e )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void finalize( ) throws java.lang.Throwable

 protected void processActionEvent( java.awt.event.ActionEvent e )

Events

  synchronized void addItemListener( java.awt.event.ItemListener l )

  synchronized void removeItemListener( java.awt.event.ItemListener l )

Inherited Events

  synchronized void addActionListener( java.awt.event.ActionListener l )

  synchronized void removeActionListener( java.awt.event.ActionListener l )

See also

ItemEvent class [java.awt.event]

ItemListener interface [java.awt.event]


CheckboxMenuItemPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      CheckboxMenuItemPeer interface [java.awt.peer]

Definition

public interface CheckboxMenuItemPeer extends java.awt.peer.MenuItemPeer

{

  // Properties

  public void setState( boolean t );

}

Properties

public void setState( boolean t )


CheckboxPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      CheckboxPeer interface [java.awt.peer]

Definition

public interface CheckboxPeer extends java.awt.peer.ComponentPeer

{

  // Properties

  public void setState( boolean state );

  public void setCheckboxGroup( java.awt.CheckboxGroup g );

  public void setLabel( java.lang.String label );

}

Properties

public void setState( boolean state )

public void setCheckboxGroup( java.awt.CheckboxGroup g )

public void setLabel( java.lang.String label )


checkConnect method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkConnect method [java.lang.SecurityManager]

Overloads:

 void checkConnect( String host, int port )

 void checkConnect( String host, int port, Object context )

public void checkConnect( java.lang.String host, int port )

Throws a SecurityException if the calling thread is not allowed to open a socket connection to the specified host and port number.

A port number of -1 indicates that the calling method is attempting to determine the IP address of the specified host name.

The checkConnect method for class SecurityManager always throws a SecurityException.

Parameters

host

the host name port to connect to.

port

the protocol port to connect to.

Throws

SecurityException

If the caller does not have permission to open a socket connection to the specified host and port.

public void checkConnect( java.lang.String host, int port, java.lang.Object context )

Throws a SecurityException if the specified security context is not allowed to open a socket connection to the specified host and port number.

A port number of -1 indicates that the calling method is attempting to determine the IP address of the specified host name.

The checkConnect method for class SecurityManager always throws a SecurityException.

Parameters

host

the host name port to connect to.

port

the protocol port to connect to.

context

a system-dependent security context.

Throws

SecurityException

If the specified security context does not have permission to open a socket connection to the specified host and port.

See also

securityContext property [java.lang.SecurityManager]

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkConnect method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkConnect method [java.rmi.RMISecurityManager]

Overloads:

 void checkConnect( String host, int port, Object context ) overrides checkConnect method [java.lang.SecurityManager]

 void checkConnect( String host, int port ) overrides checkConnect method [java.lang.SecurityManager]

public void checkConnect( java.lang.String host, int port, java.lang.Object context )

Loaded classes can make connections if called through the RMI transport.

public synchronized void checkConnect( java.lang.String host, int port )

Loaded classes can make connections if called through the RMI transport.

Applies to

 RMISecurityManager [java.rmi]


checkCreateClassLoader method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkCreateClassLoader method [java.lang.SecurityManager]

public void checkCreateClassLoader( )

Throws a SecurityException if the calling thread is not allowed to create a new class loader.

The checkCreateClassLoader method for class SecurityManager always throws a SecurityException.

Throws

SecurityException

If the caller does not have permission to create a new class loader.

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkCreateClassLoader method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkCreateClassLoader method [java.rmi.RMISecurityManager]

Overloads:

 void checkCreateClassLoader( ) overrides checkCreateClassLoader method [java.lang.SecurityManager]

public synchronized void checkCreateClassLoader( )

Loaded classes are not allowed to create class loaders, or even execute any of ClassLoader's methods.

Applies to

 RMISecurityManager [java.rmi]


checkDelete method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkDelete method [java.lang.SecurityManager]

public void checkDelete( java.lang.String file )

Throws a SecurityException if the calling thread is not allowed to delete the specified file.

This method is invoked for the current security manager by the delete method of class File.

The checkDelete method for class SecurityManager always throws a SecurityException.

Parameter

file

the system-dependent filename.

Throws

SecurityException

If the caller does not have permission to delete the file.

See also

delete method [java.io.File]

securityManager property [java.lang.System]

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkDelete method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkDelete method [java.rmi.RMISecurityManager]

Overloads:

 void checkDelete( String file ) overrides checkDelete method [java.lang.SecurityManager]

public void checkDelete( java.lang.String file )

Check if a file with the specified system dependent file name can be deleted.

Parameter

file

the system dependent file name

Throws

RMISecurityException

If the file is not found.

Applies to

 RMISecurityManager [java.rmi]


CheckedInputStream class [java.util.zip] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      CheckedInputStream class [java.util.zip]

Object

InputStream

FilterInputStream

CheckedInputStream

Description

An input stream that also maintains a checksum of the data being read. The checksum can then be used to verify the integrity of the input data.

Specification

public class CheckedInputStream extends java.io.FilterInputStream

Constructor

public CheckedInputStream( java.io.InputStream in, java.util.zip.Checksum cksum )

Creates an input stream using the specified Checksum.

Parameters

in

the input stream

cksum

the Checksum

Properties

  java.util.zip.Checksum getChecksum( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  int read( byte[] buf, int off, int len ) throws java.io.IOException

  int read( ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

Inherited Methods

  int available( ) throws java.io.IOException

  void close( ) throws java.io.IOException

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  synchronized void mark( int readlimit )

  boolean markSupported( )

  native final void notify( )

  native final void notifyAll( )

  int read( byte[] b ) throws java.io.IOException

  synchronized void reset( ) throws java.io.IOException

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Checksum interface [java.util.zip]


CheckedOutputStream class [java.util.zip] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      CheckedOutputStream class [java.util.zip]

Object

OutputStream

FilterOutputStream

CheckedOutputStream

Description

An output stream that also maintains a checksum of the data being written. The checksum can then be used to verify the integrity of the output data.

Specification

public class CheckedOutputStream extends java.io.FilterOutputStream

Constructor

public CheckedOutputStream( java.io.OutputStream out, java.util.zip.Checksum cksum )

Creates an output stream with the specified Checksum.

Parameters

out

the output stream

cksum

the checksum

Properties

  java.util.zip.Checksum getChecksum( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void write( byte[] b, int off, int len ) throws java.io.IOException

  void write( int b ) throws java.io.IOException

Inherited Methods

  void close( ) throws java.io.IOException

  boolean equals( java.lang.Object obj )

  void flush( ) throws java.io.IOException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  void write( byte[] b ) throws java.io.IOException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Checksum interface [java.util.zip]


checkError method [java.io.PrintStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkError method [java.io.PrintStream]

public boolean checkError( )

Flush the stream and check its error state.  Errors are cumulative; once the stream encounters an error, this routine will continue to return true on all successive calls.

Return

True if the print stream has encountered an error, either on the underlying output stream or during a format conversion, otherwise false.

Applies to

 LogStream [java.rmi.server]

 PrintStream [java.io]


checkError method [java.io.PrintWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkError method [java.io.PrintWriter]

public boolean checkError( )

Flush the stream and check its error state.  Errors are cumulative; once the stream encounters an error, this routine will return true on all successive calls.

Return

True if the print stream has encountered an error, either on the underlying output stream or during a format conversion.

Applies to

 PrintWriter [java.io]


checkExec method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkExec method [java.lang.SecurityManager]

public void checkExec( java.lang.String cmd )

Throws a SecurityException if the calling thread is not allowed to create a subprocess.

This method is invoked for the current security manager by the exec methods of class Runtime.

The checkExec method for class SecurityManager always throws a SecurityException.

Parameter

cmd

the specified system command.

Throws

SecurityException

If the caller does not have permission to create a subprocess.

See also

exec method [java.lang.Runtime]

securityManager property [java.lang.System]

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkExec method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkExec method [java.rmi.RMISecurityManager]

Overloads:

 void checkExec( String cmd ) overrides checkExec method [java.lang.SecurityManager]

public synchronized void checkExec( java.lang.String cmd )

Loaded classes are not allowed to fork processes.

Applies to

 RMISecurityManager [java.rmi]


checkExit method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkExit method [java.lang.SecurityManager]

public void checkExit( int status )

Throws a SecurityException if the calling thread is not allowed to cause the Java Virtual Machine to halt with the specified status code.

This method is invoked for the current security manager by the exit method of class Runtime. A status of 0 indicates success; other values indicate various errors.

The checkExit method for class SecurityManager always throws a SecurityException.

Parameter

status

the exit status.

Throws

SecurityException

If the caller does not have permission to halt the Java Virtual Machine with the specified status.

See also

exit method [java.lang.Runtime]

securityManager property [java.lang.System]

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkExit method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkExit method [java.rmi.RMISecurityManager]

Overloads:

 void checkExit( int status ) overrides checkExit method [java.lang.SecurityManager]

public synchronized void checkExit( int status )

Loaded classes are not allowed to exit the VM.

Applies to

 RMISecurityManager [java.rmi]


checkID method [java.awt.MediaTracker] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkID method [java.awt.MediaTracker]

Overloads:

 boolean checkID( int id )

 boolean checkID( int id, boolean load )

public boolean checkID( int id )

Checks to see if all images tracked by this media tracker that are tagged with the specified identifier have finished loading.

This method does not start loading the images if they are not already loading.

If there is an error while loading or scaling an image, then that image is considered to have finished loading. Use the isErrorAny or isErrorID methods to check for errors.

Parameter

id

the identifier of the images to check.

Return

true if all images have finished loading, have been aborted, or have encountered an error; false otherwise.

See also

checkAll method [java.awt.MediaTracker]

errorAny property [java.awt.MediaTracker]

isErrorID method [java.awt.MediaTracker]

public boolean checkID( int id, boolean load )

Checks to see if all images tracked by this media tracker that are tagged with the specified identifier have finished loading.

If the value of the load flag is true, then this method starts loading any images that are not yet being loaded.

If there is an error while loading or scaling an image, then that image is considered to have finished loading. Use the isErrorAny or isErrorID methods to check for errors.

Parameters

id

the identifier of the images to check.

load

if true, start loading any images that are not yet being loaded.

Return

true if all images have finished loading, have been aborted, or have encountered an error; false otherwise.

See also

checkAll method [java.awt.MediaTracker]

errorAny property [java.awt.MediaTracker]

isErrorID method [java.awt.MediaTracker]

Applies to

 MediaTracker [java.awt]


checkImage method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkImage method [java.awt.Component]

Overloads:

 int checkImage( Image image, ImageObserver observer )

 int checkImage( Image image, int width, int height, ImageObserver observer )

public int checkImage( java.awt.Image image, java.awt.image.ImageObserver observer )

Returns the status of the construction of a screen representation of the specified image.

This method does not cause the image to begin loading. An application must use the prepareImage method to force the loading of an image.

Information on the flags returned by this method can be found with the discussion of the ImageObserver interface.

Parameters

image

the Image object whose status is being checked.

observer

the ImageObserver object to be notified as the image is being prepared.

Return

The bitwise inclusive OR of ImageObserver flags indicating what information about the image is currently available.

See also

prepareImage method [java.awt.Component]

checkImage method [java.awt.Toolkit]

ImageObserver interface [java.awt.image]

public int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

Returns the status of the construction of a screen representation of the specified image.

This method does not cause the image to begin loading. An application must use the prepareImage method to force the loading of an image.

The checkImage method of Component calls its peer's checkImage method to calculate the flags. If this component does not yet have a peer, the component's toolkit's checkImage method is called instead.

Information on the flags returned by this method can be found with the discussion of the ImageObserver interface.

Parameters

image

the Image object whose status is being checked.

width

the width of the scaled version whose status is to be checked.

height

the height of the scaled version whose status is to be checked.

observer

the ImageObserver object to be notified as the image is being prepared.

Return

The bitwise inclusive OR of ImageObserver flags indicating what information about the image is currently available.

See also

prepareImage method [java.awt.Component]

checkImage method [java.awt.Toolkit]

ImageObserver interface [java.awt.image]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


checkImage method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkImage method [java.awt.Toolkit]

public abstract int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

Indicates the construction status of a specified image that is being prepared for display.

If the values of the width and height arguments are both -1, this method returns the construction status of a screen representation of the specified image in this toolkit. Otherwise, this method returns the construction status of a scaled representation of the image at the specified width and height.

This method does not cause the image to begin loading. An application must call prepareImage to force the loading of an image.

This method is called by the component's checkImage methods.

Information on the flags returned by this method can be found with the definition of the ImageObserver interface.

Parameters

image

the image whose status is being checked.

width

the width of the scaled version whose status is being checked, or -1.

height

the height of the scaled version whose status is being checked, or -1.

observer

the ImageObserver object to be notified as the image is being prepared.

Return

The bitwise inclusive OR of the ImageObserver flags for the image data that is currently available.

See also

prepareImage method [java.awt.Toolkit]

checkImage method [java.awt.Component]

ImageObserver interface [java.awt.image]

Applies to

 Toolkit [java.awt]


checkLink method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkLink method [java.lang.SecurityManager]

public void checkLink( java.lang.String lib )

Throws a SecurityException if the calling thread is not allowed to dynamic link the library code specified by the string argument file. The argument is either a simple library name or a complete filename.

This method is invoked for the current security manager by methods load and loadLibrary of class Runtime.

The checkLink method for class SecurityManager always throws a SecurityException.

Parameter

lib

the name of the library.

Throws

SecurityException

If the caller does not have permission to dynamically link the library.

See also

load method [java.lang.Runtime]

loadLibrary method [java.lang.Runtime]

securityManager property [java.lang.System]

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkLink method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkLink method [java.rmi.RMISecurityManager]

Overloads:

 void checkLink( String lib ) overrides checkLink method [java.lang.SecurityManager]

public synchronized void checkLink( java.lang.String lib )

Loaded classes are not allowed to link dynamic libraries.

Applies to

 RMISecurityManager [java.rmi]


checkListen method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkListen method [java.lang.SecurityManager]

public void checkListen( int port )

Throws a SecurityException if the calling thread is not allowed to wait for a connection request on the specified local port number.

The checkListen method for class SecurityManager always throws a SecurityException.

Parameter

port

the local port.

Throws

SecurityException

If the caller does not have permission to listen on the specified port.

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkListen method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkListen method [java.rmi.RMISecurityManager]

Overloads:

 void checkListen( int port ) overrides checkListen method [java.lang.SecurityManager]

public synchronized void checkListen( int port )

For now loaded classes can't listen on any port.

Applies to

 RMISecurityManager [java.rmi]


checkMemberAccess method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkMemberAccess method [java.lang.SecurityManager]

public void checkMemberAccess( java.lang.Class clazz, int which )

Tests if a client is allowed to access members. If access is denied, throw a SecurityException. The default policy is to deny all accesses.

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkMemberAccess method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkMemberAccess method [java.rmi.RMISecurityManager]

Overloads:

 void checkMemberAccess( Class clazz, int which ) overrides checkMemberAccess method [java.lang.SecurityManager]

public void checkMemberAccess( java.lang.Class clazz, int which )

Check if client is allowed reflective access to a member or a set of members for the specified class.  Once initial access is granted, the reflected members can be queried for identifying information, but can only be used (via get, set, invoke, or newInstance) with standard Java language access control.

The policy is to dent untrusted clients access to declared members of classes other than those loaded via the same class loader.  All other accesses are granted.

Applies to

 RMISecurityManager [java.rmi]


checkMulticast method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkMulticast method [java.lang.SecurityManager]

Overloads:

 void checkMulticast( InetAddress maddr, byte ttl )

 void checkMulticast( InetAddress maddr )

public void checkMulticast( java.net.InetAddress maddr, byte ttl )

Tests to see if current execution context is allowed to use (join/leave/send/receive) IP multicast.

Parameters

multicast

Internet group address to be used.

ttl

value in use, if it is multicast send.

Throws

SecurityException

If a security error has occurred.

public void checkMulticast( java.net.InetAddress maddr )

Tests if current execution context is allowed to use (join/leave/send/receive) IP multicast.

Parameter

multicast

Internet group address to be used.

Throws

SecurityException

If a security error has occurred.

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkMulticast method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkMulticast method [java.rmi.RMISecurityManager]

Overloads:

 void checkMulticast( InetAddress maddr, byte ttl ) overrides checkMulticast method [java.lang.SecurityManager]

 void checkMulticast( InetAddress maddr ) overrides checkMulticast method [java.lang.SecurityManager]

public void checkMulticast( java.net.InetAddress maddr, byte ttl )

Checks to see if current execution context is allowed to use (join/leave/send/receive) IP multicast (disallowed from loaded classes).

public void checkMulticast( java.net.InetAddress maddr )

Checks to see if current execution context is allowed to use (join/leave/send/receive) IP multicast (disallowed from loaded classes).

Applies to

 RMISecurityManager [java.rmi]


checkPackageAccess method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkPackageAccess method [java.lang.SecurityManager]

public void checkPackageAccess( java.lang.String pkg )

Throws a SecurityException if the calling thread is not allowed to access the package specified by the argument.

This method is used by the loadClass method of class loaders.

The checkPackageAccess method for class SecurityManager always throws a SecurityException.

Parameter

pkg

the package name.

Throws

SecurityException

If the caller does not have permission to access the specified package.

See also

loadClass method [java.lang.ClassLoader]

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkPackageAccess method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkPackageAccess method [java.rmi.RMISecurityManager]

Overloads:

 void checkPackageAccess( String pkg ) overrides checkPackageAccess method [java.lang.SecurityManager]

public synchronized void checkPackageAccess( java.lang.String pkg )

Check if a loaded class can access a package.

Applies to

 RMISecurityManager [java.rmi]


checkPackageDefinition method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkPackageDefinition method [java.lang.SecurityManager]

public void checkPackageDefinition( java.lang.String pkg )

Throws a SecurityException if the calling thread is not allowed to define classes in the package specified by the argument.

This method is used by the loadClass method of some class loaders.

The checkPackageDefinition method for class SecurityManager always throws a SecurityException.

Parameter

pkg

the package name.

Throws

SecurityException

If the caller does not have permission to define classes in the specified package.

See also

loadClass method [java.lang.ClassLoader]

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkPackageDefinition method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkPackageDefinition method [java.rmi.RMISecurityManager]

Overloads:

 void checkPackageDefinition( String pkg ) overrides checkPackageDefinition method [java.lang.SecurityManager]

public synchronized void checkPackageDefinition( java.lang.String pkg )

Check if a loaded class can define classes in a package.

Applies to

 RMISecurityManager [java.rmi]


checkPrintJobAccess method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkPrintJobAccess method [java.lang.SecurityManager]

public void checkPrintJobAccess( )

Tests if a client can initiate a print job request.

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkPrintJobAccess method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkPrintJobAccess method [java.rmi.RMISecurityManager]

Overloads:

 void checkPrintJobAccess( ) overrides checkPrintJobAccess method [java.lang.SecurityManager]

public void checkPrintJobAccess( )

Disallow printing from loaded classes.

Applies to

 RMISecurityManager [java.rmi]


checkPropertiesAccess method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkPropertiesAccess method [java.lang.SecurityManager]

public void checkPropertiesAccess( )

Throws a SecurityException if the calling thread is not allowed to access or modify the system properties.

This method is used by the getProperties and setProperties methods of class System.

The checkPropertiesAccess method for class SecurityManager always throws a SecurityException.

Throws

SecurityException

If the caller does not have permission to access or modify the system properties.

See also

properties property [java.lang.System]

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkPropertiesAccess method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkPropertiesAccess method [java.rmi.RMISecurityManager]

Overloads:

 void checkPropertiesAccess( ) overrides checkPropertiesAccess method [java.lang.SecurityManager]

public synchronized void checkPropertiesAccess( )

Loaded classes are not allowed to access the system properties list.

Applies to

 RMISecurityManager [java.rmi]


checkPropertyAccess method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkPropertyAccess method [java.lang.SecurityManager]

public void checkPropertyAccess( java.lang.String key )

Throws a SecurityException if the calling thread is not allowed to access the system property with the specified key name.

This method is used by the getProperty method of class System.

The checkPropertiesAccess method for class SecurityManager always throws a SecurityException.

Parameter

key

a system property key.

Throws

SecurityException

If the caller does not have permission to access the specified system property.

See also

getProperty method [java.lang.System]

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkPropertyAccess method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkPropertyAccess method [java.rmi.RMISecurityManager]

Overloads:

 void checkPropertyAccess( String key ) overrides checkPropertyAccess method [java.lang.SecurityManager]

public synchronized void checkPropertyAccess( java.lang.String key )

Loaded classes can access the system property named by key only if its twin key.rmi property is set to true. For example, the property java.home can be read by loaded classes only if java.home.rmi is true.

Applies to

 RMISecurityManager [java.rmi]


checkRead method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkRead method [java.lang.SecurityManager]

Overloads:

 void checkRead( FileDescriptor fd )

 void checkRead( String file )

 void checkRead( String file, Object context )

public void checkRead( java.io.FileDescriptor fd )

Throws a SecurityException if the calling thread is not allowed to read from the specified file descriptor.

The checkRead method for class SecurityManager always throws a SecurityException.

Parameter

fd

the system-dependent file descriptor.

Throws

SecurityException

If the caller does not have permission to access the specified file descriptor.

See also

FileDescriptor class [java.io]

public void checkRead( java.lang.String file )

Throws a SecurityException if the calling thread is not allowed to read the file specified by the string argument.

The checkRead method for class SecurityManager always throws a SecurityException.

Parameter

file

the system-dependent file name.

Throws

SecurityException

If the caller does not have permission to access the specified file.

public void checkRead( java.lang.String file, java.lang.Object context )

Throws a SecurityException if the specified security context is not allowed to read the file specified by the string argument. The context must be a security context returned by a previous call to getSecurityContext.

The checkRead method for class SecurityManager always throws a SecurityException.

Parameters

file

the system-dependent filename.

context

a system-dependent security context.

Throws

SecurityException

If the specified security context does not have permission to read the specified file.

See also

securityContext property [java.lang.SecurityManager]

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkRead method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkRead method [java.rmi.RMISecurityManager]

Overloads:

 void checkRead( FileDescriptor fd ) overrides checkRead method [java.lang.SecurityManager]

 void checkRead( String file, Object context ) overrides checkRead method [java.lang.SecurityManager]

 void checkRead( String file ) overrides checkRead method [java.lang.SecurityManager]

public synchronized void checkRead( java.io.FileDescriptor fd )

Loaded classes are not allowed to open descriptors for reading unless it is done through a socket, in which case other access restrictions still apply.

public void checkRead( java.lang.String file, java.lang.Object context )

No file reads are valid from a loaded class.

Throws

RMISecurityException

If called from a loaded class.

public synchronized void checkRead( java.lang.String file )

Check if a loaded class can read a particular file.

Applies to

 RMISecurityManager [java.rmi]


checkSecurityAccess method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkSecurityAccess method [java.lang.SecurityManager]

public void checkSecurityAccess( java.lang.String action )

Tests access to certain operations for a security API action.

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkSecurityAccess method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkSecurityAccess method [java.rmi.RMISecurityManager]

Overloads:

 void checkSecurityAccess( String provider ) overrides checkSecurityAccess method [java.lang.SecurityManager]

public void checkSecurityAccess( java.lang.String provider )

Loaded classes cannot perform security provider operations.

Applies to

 RMISecurityManager [java.rmi]


checkSetFactory method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkSetFactory method [java.lang.SecurityManager]

public void checkSetFactory( )

Throws a SecurityException if the calling thread is not allowed to set the socket factory used by ServerSocket or Socket, or the stream handler factory used by URL.

The checkSetFactory method for class SecurityManager always throws a SecurityException.

Throws

SecurityException

If the caller does not have permission to specify a socket factory or a stream handler factory.

See also

socketFactory property [java.net.ServerSocket]

socketImplFactory property [java.net.Socket]

URLStreamHandlerFactory property [java.net.URL]

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkSetFactory method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkSetFactory method [java.rmi.RMISecurityManager]

Overloads:

 void checkSetFactory( ) overrides checkSetFactory method [java.lang.SecurityManager]

public synchronized void checkSetFactory( )

Check if a loaded class can set a networking-related object factory.

Applies to

 RMISecurityManager [java.rmi]


Checksum interface [java.util.zip] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      Checksum interface [java.util.zip]

Description

An interface representing a data checksum.

Definition

public interface Checksum

{

  // Properties

  public long getValue( );

  // Methods

  public void update( int b );

  public void update( byte[] b, int off, int len );

  public void reset( );

}

Properties

public long getValue( )

Returns the current checksum value.

Return

No documentation supplied in JDK.

Methods

public void update( int b )

Updates the current checksum with the specified byte.

public void update( byte[] b, int off, int len )

Updates the current checksum with the specified array of bytes.

public void reset( )

Resets the checksum to its initial value.

Implemented by

Adler32 [java.util.zip]	CRC32 [java.util.zip]


checksum property [java.util.zip.CheckedInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checksum property [java.util.zip.CheckedInputStream]

public java.util.zip.Checksum getChecksum( )

Returns the Checksum for this input stream.

Return

No documentation supplied in JDK.

Applies to

 CheckedInputStream [java.util.zip]


checksum property [java.util.zip.CheckedOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checksum property [java.util.zip.CheckedOutputStream]

public java.util.zip.Checksum getChecksum( )

Returns the Checksum for this output stream.

Return

No documentation supplied in JDK.

Applies to

 CheckedOutputStream [java.util.zip]


checkSystemClipboardAccess method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkSystemClipboardAccess method [java.lang.SecurityManager]

public void checkSystemClipboardAccess( )

Tests if a client can get access to the system clipboard.

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkSystemClipboardAccess method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkSystemClipboardAccess method [java.rmi.RMISecurityManager]

Overloads:

 void checkSystemClipboardAccess( ) overrides checkSystemClipboardAccess method [java.lang.SecurityManager]

public void checkSystemClipboardAccess( )

Checks to see if an client can get access to the System Clipboard (disallowed from loaded classes).

Applies to

 RMISecurityManager [java.rmi]


checkTopLevelWindow method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkTopLevelWindow method [java.lang.SecurityManager]

public boolean checkTopLevelWindow( java.lang.Object window )

Returns false if the calling thread is not trusted to bring up the top-level window indicated by the window argument. In this case, the caller can still decide to show the window, but the window should include some sort of visual warning. If the method returns true, then the window can be shown without any special restrictions.

See class Window for more information on trusted and untrusted windows.

The checkSetFactory method for class SecurityManager always returns false.

Parameter

window

the new window that is being created.

Return

true if the caller is trusted to put up top-level windows; false otherwise.

Throws

SecurityException

If creation is disallowed entirely.

See also

Window class [java.awt]

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkTopLevelWindow method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkTopLevelWindow method [java.rmi.RMISecurityManager]

Overloads:

 boolean checkTopLevelWindow( Object window ) overrides checkTopLevelWindow method [java.lang.SecurityManager]

public synchronized boolean checkTopLevelWindow( java.lang.Object window )

Allow caller to create top-level windows. Allow loaded classes to create windows with warnings.

Return

No documentation supplied in JDK.

Applies to

 RMISecurityManager [java.rmi]


checkWrite method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkWrite method [java.lang.SecurityManager]

Overloads:

 void checkWrite( FileDescriptor fd )

 void checkWrite( String file )

public void checkWrite( java.io.FileDescriptor fd )

Throws a SecurityException if the calling thread is not allowed to write to the specified file descriptor.

The checkWrite method for class SecurityManager always throws a SecurityException.

Parameter

fd

the system-dependent file descriptor.

Throws

SecurityException

If the caller does not have permission to access the specified file descriptor.

See also

FileDescriptor class [java.io]

public void checkWrite( java.lang.String file )

Throws a SecurityException if the calling thread is not allowed to write to the file specified by the string argument.

The checkWrite method for class SecurityManager always throws a SecurityException.

Parameter

file

the system-dependent filename.

Throws

SecurityException

If the caller does not have permission to access the specified file.

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


checkWrite method [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      checkWrite method [java.rmi.RMISecurityManager]

Overloads:

 void checkWrite( FileDescriptor fd ) overrides checkWrite method [java.lang.SecurityManager]

 void checkWrite( String file ) overrides checkWrite method [java.lang.SecurityManager]

public synchronized void checkWrite( java.io.FileDescriptor fd )

Loaded classes are not allowed to open descriptors for writing unless it is done through a socket, in which case other access restrictions still apply.

public synchronized void checkWrite( java.lang.String file )

Check if a loaded class can write a particular file.

Throws

RMISecurityException

If called from a loaded class.

Applies to

 RMISecurityManager [java.rmi]


child property [java.awt.event.ContainerEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      child property [java.awt.event.ContainerEvent]

public java.awt.Component getChild( )

Returns the child component that was added or removed in this event.

Return

No documentation supplied in JDK.

Applies to

 ContainerEvent [java.awt.event]


Choice class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      Choice class [java.awt]

Object

Component

Choice

Description

The Choice class presents a pop-up menu of choices. The current choice is displayed as the title of the menu.

The following code example produces a pop-up menu:

Choice ColorChooser = new Choice();

ColorChooser.add("Green");

ColorChooser.add("Red");

ColorChooser.add("Blue");

After this choice menu has been added to a panel, it appears as follows in its normal state:

In the picture, "Green" is the current choice. Pushing the mouse button down on the object causes a menu to appear with the current choice highlighted.

Specification

public class Choice extends java.awt.Component implements java.awt.ItemSelectable

Constructor

public Choice( )

Creates a new choice menu. The menu initially has no items in it.

By default, the first item added to the choice menu becomes the selected item, until a different selection is made by the user by calling one of the select methods.

See also

select method [java.awt.Choice]

Properties

  java.lang.String getItem( int index )

  int getItemCount( )

  int getSelectedIndex( )

  synchronized java.lang.String getSelectedItem( )

  synchronized java.lang.Object[] getSelectedObjects( )

Inherited Properties

  float getAlignmentX( )

  float getAlignmentY( )

  java.awt.Color getBackground( )

  void setBackground( java.awt.Color c )

  java.awt.Rectangle getBounds( )

  void setBounds( java.awt.Rectangle r )

  native final java.lang.Class getClass( )

  java.awt.image.ColorModel getColorModel( )

  java.awt.Cursor getCursor( )

  synchronized void setCursor( java.awt.Cursor cursor )

  void setEnabled( boolean b )

  boolean isEnabled( )

  boolean isFocusTraversable( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.awt.Color getForeground( )

  void setForeground( java.awt.Color c )

  java.awt.Graphics getGraphics( )

  java.util.Locale getLocale( )

  void setLocale( java.util.Locale l )

  java.awt.Point getLocation( )

  void setLocation( java.awt.Point p )

  void setLocation( int x, int y )

  java.awt.Point getLocationOnScreen( )

  java.awt.Dimension getMaximumSize( )

  java.awt.Dimension getMinimumSize( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.Container getParent( )

  java.awt.peer.ComponentPeer getPeer( )

  java.awt.Dimension getPreferredSize( )

  boolean isShowing( )

  java.awt.Dimension getSize( )

  void setSize( java.awt.Dimension d )

  void setSize( int width, int height )

  java.awt.Toolkit getToolkit( )

  final java.lang.Object getTreeLock( )

  boolean isValid( )

  void setVisible( boolean b )

  boolean isVisible( )

Methods

  void add( java.lang.String item )

  synchronized void addItem( java.lang.String item )

  void addNotify( )

  int countItems( )

  synchronized void insert( java.lang.String item, int index )

  synchronized void remove( java.lang.String item )

  synchronized void remove( int position )

  synchronized void removeAll( )

  synchronized void select( java.lang.String str )

  void select( int pos )

Inherited Methods

  boolean action( java.awt.Event evt, java.lang.Object what )

  synchronized void add( java.awt.PopupMenu popup )

  java.awt.Rectangle bounds( )

  int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  int checkImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  boolean contains( java.awt.Point p )

  boolean contains( int x, int y )

  java.awt.Image createImage( java.awt.image.ImageProducer producer )

  java.awt.Image createImage( int width, int height )

  void deliverEvent( java.awt.Event e )

  void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  void doLayout( )

  void enable( boolean b )

  void enable( )

  boolean equals( java.lang.Object obj )

  java.awt.Component getComponentAt( java.awt.Point p )

  java.awt.Component getComponentAt( int x, int y )

  java.awt.FontMetrics getFontMetrics( java.awt.Font font )

  boolean gotFocus( java.awt.Event evt, java.lang.Object what )

  boolean handleEvent( java.awt.Event evt )

  native int hashCode( )

  void hide( )

  boolean imageUpdate( java.awt.Image img, int flags, int x, int y, int w, int h )

  boolean inside( int x, int y )

  void invalidate( )

  boolean keyDown( java.awt.Event evt, int key )

  boolean keyUp( java.awt.Event evt, int key )

  void layout( )

  void list( java.io.PrintStream out )

  void list( java.io.PrintWriter out )

  void list( java.io.PrintWriter out, int indent )

  void list( java.io.PrintStream out, int indent )

  void list( )

  java.awt.Component locate( int x, int y )

  java.awt.Point location( )

  boolean lostFocus( java.awt.Event evt, java.lang.Object what )

  java.awt.Dimension minimumSize( )

  boolean mouseDown( java.awt.Event evt, int x, int y )

  boolean mouseDrag( java.awt.Event evt, int x, int y )

  boolean mouseEnter( java.awt.Event evt, int x, int y )

  boolean mouseExit( java.awt.Event evt, int x, int y )

  boolean mouseMove( java.awt.Event evt, int x, int y )

  boolean mouseUp( java.awt.Event evt, int x, int y )

  void move( int x, int y )

  void nextFocus( )

  native final void notify( )

  native final void notifyAll( )

  void paint( java.awt.Graphics g )

  void paintAll( java.awt.Graphics g )

  boolean postEvent( java.awt.Event e )

  java.awt.Dimension preferredSize( )

  boolean prepareImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  void print( java.awt.Graphics g )

  void printAll( java.awt.Graphics g )

  synchronized void remove( java.awt.MenuComponent popup )

  void removeNotify( )

  void repaint( )

  void repaint( int x, int y, int width, int height )

  void repaint( long tm )

  void repaint( long tm, int x, int y, int width, int height )

  void requestFocus( )

  void reshape( int x, int y, int width, int height )

  void resize( java.awt.Dimension d )

  void resize( int width, int height )

  void setBounds( int x, int y, int width, int height )

  void show( boolean b )

  void show( )

  java.awt.Dimension size( )

  java.lang.String toString( )

  void transferFocus( )

  void update( java.awt.Graphics g )

  void validate( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected java.lang.String paramString( )

 protected void processEvent( java.awt.AWTEvent e )

 protected void processItemEvent( java.awt.event.ItemEvent e )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void finalize( ) throws java.lang.Throwable

 protected void processComponentEvent( java.awt.event.ComponentEvent e )

 protected void processFocusEvent( java.awt.event.FocusEvent e )

 protected void processKeyEvent( java.awt.event.KeyEvent e )

 protected void processMouseEvent( java.awt.event.MouseEvent e )

 protected void processMouseMotionEvent( java.awt.event.MouseEvent e )

Events

  synchronized void addItemListener( java.awt.event.ItemListener l )

  synchronized void removeItemListener( java.awt.event.ItemListener l )

Inherited Events

  synchronized void addComponentListener( java.awt.event.ComponentListener l )

  synchronized void removeComponentListener( java.awt.event.ComponentListener l )

  synchronized void addFocusListener( java.awt.event.FocusListener l )

  synchronized void removeFocusListener( java.awt.event.FocusListener l )

  synchronized void addKeyListener( java.awt.event.KeyListener l )

  synchronized void removeKeyListener( java.awt.event.KeyListener l )

  synchronized void addMouseListener( java.awt.event.MouseListener l )

  synchronized void removeMouseListener( java.awt.event.MouseListener l )

  synchronized void addMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void removeMouseMotionListener( java.awt.event.MouseMotionListener l )


ChoiceFormat class [java.text] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ChoiceFormat class [java.text]

Object

Format

NumberFormat

ChoiceFormat

Description

A ChoiceFormat allows you to attach a format to a range of numbers. It is generally used in a MessageFormat for handling plurals. The choice is specified with an ascending list of doubles, where each item specifies a half-open interval up to the next item:

X matches j if and only if limit[j] <= X < limit[j+1]

 If there is no match, then either the first or last index is used, depending on whether the number (X) is too low or too high.

Note: ChoiceFormat differs from the other Format classes in that you create a ChoiceFormat object with a constructor (not with a getInstance style factory method). The factory methods aren't necessary because ChoiceFormat doesn't require any complex setup for a given locale. In fact, ChoiceFormat doesn't implement any locale specific behavior.

When creating a ChoiceFormat, you must specify an array of formats and an array of limits. The length of these arrays must be the same. For example,

•	limits = {1,2,3,4,5,6,7}
formats = {"Sun","Mon","Tue","Wed","Thur","Fri","Sat"} <lie> limits = {0, 1, ChoiceFormat.nextDouble(1)}
formats = {"no files", "one file", "many files"}
(nextDouble can be used to get the next higher double, to make the half-open interval.)

Here is a simple example that shows formatting and parsing:

double[] limits = {1,2,3,4,5,6,7};

String[] monthNames = {"Sun","Mon","Tue","Wed","Thur","Fri","Sat"};

ChoiceFormat form = new ChoiceFormat(limits, monthNames);

ParsePosition status = new ParsePosition(0);

for (double i = 0.0; i <= 8.0; ++i) {

   status.setIndex(0);

   System.out.println(i + " -> " + form.format(i) + " -> "

                            + form.parse(form.format(i),status));

}

 Here is a more complex example, with a pattern format:

double[] filelimits = {0,1,2};

String[] filepart = {"are no files","is one file","are {2} files"};

ChoiceFormat fileform = new ChoiceFormat(filelimits, filepart);

Format[] testFormats = {fileform, null, NumberFormat.getInstance()};

MessageFormat pattform = new MessageFormat("There {0} on {1}");

pattform.setFormats(testFormats);

Object[] testArgs = {null, "ADisk", null};

for (int i = 0; i < 4; ++i) {

   testArgs[0] = new Integer(i);

   testArgs[2] = testArgs[0];

   System.out.println(pattform.format(testArgs));

}

Specification

public class ChoiceFormat extends java.text.NumberFormat

Constructors

public ChoiceFormat( java.lang.String newPattern )

Constructs with limits and corresponding formats based on the pattern.

public ChoiceFormat( double[] limits, java.lang.String[] formats )

Constructs with the limits and the corresponding formats.

See also

setChoices method [java.text.ChoiceFormat]

Properties

  java.lang.Object[] getFormats( )

  double[] getLimits( )

Inherited Properties

  static java.util.Locale[] getAvailableLocales( )

  native final java.lang.Class getClass( )

  static final java.text.NumberFormat getCurrencyInstance( )

  void setGroupingUsed( boolean newValue )

  boolean isGroupingUsed( )

  static final java.text.NumberFormat getInstance( )

  int getMaximumFractionDigits( )

  void setMaximumFractionDigits( int newValue )

  int getMaximumIntegerDigits( )

  void setMaximumIntegerDigits( int newValue )

  int getMinimumFractionDigits( )

  void setMinimumFractionDigits( int newValue )

  int getMinimumIntegerDigits( )

  void setMinimumIntegerDigits( int newValue )

  static final java.text.NumberFormat getNumberInstance( )

  void setParseIntegerOnly( boolean value )

  boolean isParseIntegerOnly( )

  static final java.text.NumberFormat getPercentInstance( )

Methods

  void applyPattern( java.lang.String newPattern )

  java.lang.Object clone( )

  boolean equals( java.lang.Object obj )

  java.lang.StringBuffer format( long number, java.lang.StringBuffer toAppendTo, java.text.FieldPosition status )

  java.lang.StringBuffer format( double number, java.lang.StringBuffer toAppendTo, java.text.FieldPosition status )

  int hashCode( )

  static double nextDouble( double d, boolean positive )

  static final double nextDouble( double d )

  java.lang.Number parse( java.lang.String text, java.text.ParsePosition status )

  static final double previousDouble( double d )

  void setChoices( double[] limits, java.lang.String[] formats )

  java.lang.String toPattern( )

Inherited Methods

  abstract java.lang.StringBuffer format( java.lang.Object obj, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos )

  final java.lang.String format( java.lang.Object obj )

  final java.lang.String format( long number )

  final java.lang.String format( double number )

  static java.text.NumberFormat getCurrencyInstance( java.util.Locale inLocale )

  static java.text.NumberFormat getInstance( java.util.Locale inLocale )

  static java.text.NumberFormat getNumberInstance( java.util.Locale inLocale )

  static java.text.NumberFormat getPercentInstance( java.util.Locale inLocale )

  native final void notify( )

  native final void notifyAll( )

  java.lang.Number parse( java.lang.String text ) throws java.text.ParseException

  java.lang.Object parseObject( java.lang.String source ) throws java.text.ParseException

  abstract java.lang.Object parseObject( java.lang.String source, java.text.ParsePosition status )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable

See also

DecimalFormat class [java.text]

MessageFormat class [java.text]


ChoicePeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ChoicePeer interface [java.awt.peer]

Definition

public interface ChoicePeer extends java.awt.peer.ComponentPeer

{

  // Methods

  public void add( java.lang.String item, int index );

  public void remove( int index );

  public void select( int index );

  public void addItem( java.lang.String item, int index );

}

Methods

public void add( java.lang.String item, int index )

public void remove( int index )

public void select( int index )

public void addItem( java.lang.String item, int index )


Class class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      Class class [java.lang]

Object

Class

Description

Instances of the class Class represent classes and interfaces in a running Java application. Every array also belongs to a class that is reflected as a Class object that is shared by all arrays with the same element type and number of dimensions.  Finally, the either primitive Java types (boolean, byte, char, short, int, long, float, and double) and the keyword void are also represented as Class objects.

There is no public constructor for the class Class. Class objects are constructed automatically by the Java Virtual Machine as classes are loaded and by calls to the defineClass method in the class loader.

The following example uses a Class object to print the Class name of an object:

   void printClassName(Object obj) {

       System.out.println("The class of " + obj +

                          " is " + obj.getClass().getName());

   }

Specification

public final class Class extends java.lang.Object implements java.io.Serializable

Properties

  native boolean isArray( )

  java.lang.Class[] getClasses( )

  native java.lang.ClassLoader getClassLoader( )

  native java.lang.Class getComponentType( )

  java.lang.reflect.Constructor[] getConstructors( ) throws java.lang.SecurityException

  java.lang.Class[] getDeclaredClasses( ) throws java.lang.SecurityException

  java.lang.reflect.Constructor[] getDeclaredConstructors( ) throws java.lang.SecurityException

  java.lang.reflect.Field[] getDeclaredFields( ) throws java.lang.SecurityException

  java.lang.reflect.Method[] getDeclaredMethods( ) throws java.lang.SecurityException

  java.lang.Class getDeclaringClass( )

  java.lang.reflect.Field[] getFields( ) throws java.lang.SecurityException

  native boolean isInterface( )

  native java.lang.Class[] getInterfaces( )

  java.lang.reflect.Method[] getMethods( ) throws java.lang.SecurityException

  native int getModifiers( )

  native java.lang.String getName( )

  native boolean isPrimitive( )

  native java.lang.Object[] getSigners( )

  native java.lang.Class getSuperclass( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  static native java.lang.Class forName( java.lang.String className ) throws java.lang.ClassNotFoundException

  java.lang.reflect.Constructor getConstructor( java.lang.Class[] parameterTypes ) throws java.lang.NoSuchMethodException, java.lang.SecurityException

  java.lang.reflect.Constructor getDeclaredConstructor( java.lang.Class[] parameterTypes ) throws java.lang.NoSuchMethodException, java.lang.SecurityException

  java.lang.reflect.Field getDeclaredField( java.lang.String name ) throws java.lang.NoSuchFieldException, java.lang.SecurityException

  java.lang.reflect.Method getDeclaredMethod( java.lang.String name, java.lang.Class[] parameterTypes ) throws java.lang.NoSuchMethodException, java.lang.SecurityException

  java.lang.reflect.Field getField( java.lang.String name ) throws java.lang.NoSuchFieldException, java.lang.SecurityException

  java.lang.reflect.Method getMethod( java.lang.String name, java.lang.Class[] parameterTypes ) throws java.lang.NoSuchMethodException, java.lang.SecurityException

  java.net.URL getResource( java.lang.String name )

  java.io.InputStream getResourceAsStream( java.lang.String name )

  native boolean isAssignableFrom( java.lang.Class cls )

  native boolean isInstance( java.lang.Object obj )

  native java.lang.Object newInstance( ) throws java.lang.InstantiationException, java.lang.IllegalAccessException

  java.lang.String toString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

defineClass method [java.lang.ClassLoader]


class property [java.lang.Object] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      class property [java.lang.Object]

public native final java.lang.Class getClass( )

Returns the runtime class of an object.

Return

The object of type Class that represents the runtime class of the object.

Applies to

 AbstractMethodError [java.lang]

 AccessException [java.rmi]

 AclNotFoundException [java.security.acl]

 ActionEvent [java.awt.event]

 AdjustmentEvent [java.awt.event]

 Adler32 [java.util.zip]

 AlreadyBoundException [java.rmi]

 Applet [java.applet]

 AreaAveragingScaleFilter [java.awt.image]

 ArithmeticException [java.lang]

 Array [java.lang.reflect]

 ArrayIndexOutOfBoundsException [java.lang]

 ArrayStoreException [java.lang]

 AWTError [java.awt]

 AWTEvent [java.awt]

 AWTEventMulticaster [java.awt]

 AWTException [java.awt]

 BeanDescriptor [java.beans]

 Beans [java.beans]

 BigDecimal [java.math]

 BigInteger [java.math]

 BindException [java.net]

 BitSet [java.util]

 Boolean [java.lang]

 BorderLayout [java.awt]

 BreakIterator [java.text]

 BufferedInputStream [java.io]

 BufferedOutputStream [java.io]

 BufferedReader [java.io]

 BufferedWriter [java.io]

 Button [java.awt]

 Byte [java.lang]

 ByteArrayInputStream [java.io]

 ByteArrayOutputStream [java.io]

 Calendar [java.util]

 Canvas [java.awt]

 CardLayout [java.awt]

 Character [java.lang]

 CharArrayReader [java.io]

 CharArrayWriter [java.io]

 CharConversionException [java.io]

 Checkbox [java.awt]

 CheckboxGroup [java.awt]

 CheckboxMenuItem [java.awt]

 CheckedInputStream [java.util.zip]

 CheckedOutputStream [java.util.zip]

 Choice [java.awt]

 ChoiceFormat [java.text]

 Class [java.lang]

 ClassCastException [java.lang]

 ClassCircularityError [java.lang]

 ClassFormatError [java.lang]

 ClassLoader [java.lang]

 ClassNotFoundException [java.lang]

 Clipboard [java.awt.datatransfer]

 CloneNotSupportedException [java.lang]

 CollationElementIterator [java.text]

 CollationKey [java.text]

 Collator [java.text]

 Color [java.awt]

 ColorModel [java.awt.image]

 Compiler [java.lang]

 Component [java.awt]

 ComponentAdapter [java.awt.event]

 ComponentEvent [java.awt.event]

 ConnectException [java.net]

 ConnectException [java.rmi]

 ConnectIOException [java.rmi]

 Constructor [java.lang.reflect]

 Container [java.awt]

 ContainerAdapter [java.awt.event]

 ContainerEvent [java.awt.event]

 ContentHandler [java.net]

 CRC32 [java.util.zip]

 CropImageFilter [java.awt.image]

 Cursor [java.awt]

 DataFlavor [java.awt.datatransfer]

 DataFormatException [java.util.zip]

 DatagramPacket [java.net]

 DatagramSocket [java.net]

 DatagramSocketImpl [java.net]

 DataInputStream [java.io]

 DataOutputStream [java.io]

 DataTruncation [java.sql]

 Date [java.sql]

 Date [java.util]

 DateFormat [java.text]

 DateFormatSymbols [java.text]

 DateFormatZoneData [java.text.resources]

 DateFormatZoneData_ar [java.text.resources]

 DateFormatZoneData_be [java.text.resources]

 DateFormatZoneData_bg [java.text.resources]

 DateFormatZoneData_ca [java.text.resources]

 DateFormatZoneData_cs [java.text.resources]

 DateFormatZoneData_da [java.text.resources]

 DateFormatZoneData_de [java.text.resources]

 DateFormatZoneData_de_AT [java.text.resources]

 DateFormatZoneData_de_CH [java.text.resources]

 DateFormatZoneData_el [java.text.resources]

 DateFormatZoneData_en [java.text.resources]

 DateFormatZoneData_en_CA [java.text.resources]

 DateFormatZoneData_en_GB [java.text.resources]

 DateFormatZoneData_en_IE [java.text.resources]

 DateFormatZoneData_es [java.text.resources]

 DateFormatZoneData_et [java.text.resources]

 DateFormatZoneData_fi [java.text.resources]

 DateFormatZoneData_fr [java.text.resources]

 DateFormatZoneData_fr_BE [java.text.resources]

 DateFormatZoneData_fr_CA [java.text.resources]

 DateFormatZoneData_fr_CH [java.text.resources]

 DateFormatZoneData_hr [java.text.resources]

 DateFormatZoneData_hu [java.text.resources]

 DateFormatZoneData_is [java.text.resources]

 DateFormatZoneData_it [java.text.resources]

 DateFormatZoneData_it_CH [java.text.resources]

 DateFormatZoneData_iw [java.text.resources]

 DateFormatZoneData_ja [java.text.resources]

 DateFormatZoneData_ko [java.text.resources]

 DateFormatZoneData_lt [java.text.resources]

 DateFormatZoneData_lv [java.text.resources]

 DateFormatZoneData_mk [java.text.resources]

 DateFormatZoneData_nl [java.text.resources]

 DateFormatZoneData_nl_BE [java.text.resources]

 DateFormatZoneData_no [java.text.resources]

 DateFormatZoneData_no_NO_NY [java.text.resources]

 DateFormatZoneData_pl [java.text.resources]

 DateFormatZoneData_pt [java.text.resources]

 DateFormatZoneData_ro [java.text.resources]

 DateFormatZoneData_ru [java.text.resources]

 DateFormatZoneData_sh [java.text.resources]

 DateFormatZoneData_sk [java.text.resources]

 DateFormatZoneData_sl [java.text.resources]

 DateFormatZoneData_sq [java.text.resources]

 DateFormatZoneData_sr [java.text.resources]

 DateFormatZoneData_sv [java.text.resources]

 DateFormatZoneData_th [java.text.resources]

 DateFormatZoneData_tr [java.text.resources]

 DateFormatZoneData_uk [java.text.resources]

 DateFormatZoneData_zh [java.text.resources]

 DateFormatZoneData_zh_TW [java.text.resources]

 DecimalFormat [java.text]

 DecimalFormatSymbols [java.text]

 Deflater [java.util.zip]

 DeflaterOutputStream [java.util.zip]

 Dialog [java.awt]

 Dictionary [java.util]

 DigestException [java.security]

 DigestInputStream [java.security]

 DigestOutputStream [java.security]

 Dimension [java.awt]

 DirectColorModel [java.awt.image]

 Double [java.lang]

 DriverManager [java.sql]

 DriverPropertyInfo [java.sql]

 EmptyStackException [java.util]

 EOFException [java.io]

 Error [java.lang]

 Event [java.awt]

 EventObject [java.util]

 EventQueue [java.awt]

 EventSetDescriptor [java.beans]

 Exception [java.lang]

 ExceptionInInitializerError [java.lang]

 ExportException [java.rmi.server]

 FeatureDescriptor [java.beans]

 Field [java.lang.reflect]

 FieldPosition [java.text]

 File [java.io]

 FileDescriptor [java.io]

 FileDialog [java.awt]

 FileInputStream [java.io]

 FileNotFoundException [java.io]

 FileOutputStream [java.io]

 FileReader [java.io]

 FileWriter [java.io]

 FilteredImageSource [java.awt.image]

 FilterInputStream [java.io]

 FilterOutputStream [java.io]

 FilterReader [java.io]

 FilterWriter [java.io]

 Float [java.lang]

 FlowLayout [java.awt]

 FocusAdapter [java.awt.event]

 FocusEvent [java.awt.event]

 Font [java.awt]

 FontMetrics [java.awt]

 Format [java.text]

 Frame [java.awt]

 Graphics [java.awt]

 GregorianCalendar [java.util]

 GridBagConstraints [java.awt]

 GridBagLayout [java.awt]

 GridLayout [java.awt]

 GZIPInputStream [java.util.zip]

 GZIPOutputStream [java.util.zip]

 Hashtable [java.util]

 HttpURLConnection [java.net]

 Identity [java.security]

 IdentityScope [java.security]

 IllegalAccessError [java.lang]

 IllegalAccessException [java.lang]

 IllegalArgumentException [java.lang]

 IllegalComponentStateException [java.awt]

 IllegalMonitorStateException [java.lang]

 IllegalStateException [java.lang]

 IllegalThreadStateException [java.lang]

 Image [java.awt]

 ImageFilter [java.awt.image]

 IncompatibleClassChangeError [java.lang]

 IndexColorModel [java.awt.image]

 IndexedPropertyDescriptor [java.beans]

 IndexOutOfBoundsException [java.lang]

 InetAddress [java.net]

 Inflater [java.util.zip]

 InflaterInputStream [java.util.zip]

 InputEvent [java.awt.event]

 InputStream [java.io]

 InputStreamReader [java.io]

 Insets [java.awt]

 InstantiationError [java.lang]

 InstantiationException [java.lang]

 Integer [java.lang]

 InternalError [java.lang]

 InterruptedException [java.lang]

 InterruptedIOException [java.io]

 IntrospectionException [java.beans]

 Introspector [java.beans]

 InvalidClassException [java.io]

 InvalidKeyException [java.security]

 InvalidObjectException [java.io]

 InvalidParameterException [java.security]

 InvocationTargetException [java.lang.reflect]

 IOException [java.io]

 ItemEvent [java.awt.event]

 KeyAdapter [java.awt.event]

 KeyEvent [java.awt.event]

 KeyException [java.security]

 KeyManagementException [java.security]

 KeyPair [java.security]

 KeyPairGenerator [java.security]

 Label [java.awt]

 LastOwnerException [java.security.acl]

 Lease [java.rmi.dgc]

 LineNumberInputStream [java.io]

 LineNumberReader [java.io]

 LinkageError [java.lang]

 List [java.awt]

 ListResourceBundle [java.util]

 Locale [java.util]

 LocaleData [java.text.resources]

 LocaleElements [java.text.resources]

 LocaleElements_ar [java.text.resources]

 LocaleElements_be [java.text.resources]

 LocaleElements_bg [java.text.resources]

 LocaleElements_ca [java.text.resources]

 LocaleElements_cs [java.text.resources]

 LocaleElements_da [java.text.resources]

 LocaleElements_de [java.text.resources]

 LocaleElements_de_AT [java.text.resources]

 LocaleElements_de_AT_EURO [java.text.resources]

 LocaleElements_de_CH [java.text.resources]

 LocaleElements_de_DE_EURO [java.text.resources]

 LocaleElements_de_LU [java.text.resources]

 LocaleElements_de_LU_EURO [java.text.resources]

 LocaleElements_el [java.text.resources]

 LocaleElements_en [java.text.resources]

 LocaleElements_en_AU [java.text.resources]

 LocaleElements_en_CA [java.text.resources]

 LocaleElements_en_GB [java.text.resources]

 LocaleElements_en_IE [java.text.resources]

 LocaleElements_en_IE_EURO [java.text.resources]

 LocaleElements_en_NZ [java.text.resources]

 LocaleElements_en_ZA [java.text.resources]

 LocaleElements_es [java.text.resources]

 LocaleElements_es_AR [java.text.resources]

 LocaleElements_es_BO [java.text.resources]

 LocaleElements_es_CL [java.text.resources]

 LocaleElements_es_CO [java.text.resources]

 LocaleElements_es_CR [java.text.resources]

 LocaleElements_es_DO [java.text.resources]

 LocaleElements_es_EC [java.text.resources]

 LocaleElements_es_ES_EURO [java.text.resources]

 LocaleElements_es_GT [java.text.resources]

 LocaleElements_es_HN [java.text.resources]

 LocaleElements_es_MX [java.text.resources]

 LocaleElements_es_NI [java.text.resources]

 LocaleElements_es_PA [java.text.resources]

 LocaleElements_es_PE [java.text.resources]

 LocaleElements_es_PR [java.text.resources]

 LocaleElements_es_PY [java.text.resources]

 LocaleElements_es_SV [java.text.resources]

 LocaleElements_es_UY [java.text.resources]

 LocaleElements_es_VE [java.text.resources]

 LocaleElements_et [java.text.resources]

 LocaleElements_fi [java.text.resources]

 LocaleElements_fi_FI_EURO [java.text.resources]

 LocaleElements_fr [java.text.resources]

 LocaleElements_fr_BE [java.text.resources]

 LocaleElements_fr_BE_EURO [java.text.resources]

 LocaleElements_fr_CA [java.text.resources]

 LocaleElements_fr_CH [java.text.resources]

 LocaleElements_fr_FR_EURO [java.text.resources]

 LocaleElements_fr_LU [java.text.resources]

 LocaleElements_fr_LU_EURO [java.text.resources]

 LocaleElements_hr [java.text.resources]

 LocaleElements_hu [java.text.resources]

 LocaleElements_is [java.text.resources]

 LocaleElements_it [java.text.resources]

 LocaleElements_it_CH [java.text.resources]

 LocaleElements_it_IT_EURO [java.text.resources]

 LocaleElements_iw [java.text.resources]

 LocaleElements_ja [java.text.resources]

 LocaleElements_ko [java.text.resources]

 LocaleElements_lt [java.text.resources]

 LocaleElements_lv [java.text.resources]

 LocaleElements_mk [java.text.resources]

 LocaleElements_nl [java.text.resources]

 LocaleElements_nl_BE [java.text.resources]

 LocaleElements_nl_BE_EURO [java.text.resources]

 LocaleElements_nl_NL_EURO [java.text.resources]

 LocaleElements_no [java.text.resources]

 LocaleElements_no_NO_NY [java.text.resources]

 LocaleElements_pl [java.text.resources]

 LocaleElements_pt [java.text.resources]

 LocaleElements_pt_BR [java.text.resources]

 LocaleElements_pt_PT_EURO [java.text.resources]

 LocaleElements_ro [java.text.resources]

 LocaleElements_ru [java.text.resources]

 LocaleElements_sh [java.text.resources]

 LocaleElements_sk [java.text.resources]

 LocaleElements_sl [java.text.resources]

 LocaleElements_sq [java.text.resources]

 LocaleElements_sr [java.text.resources]

 LocaleElements_sv [java.text.resources]

 LocaleElements_th [java.text.resources]

 LocaleElements_tr [java.text.resources]

 LocaleElements_uk [java.text.resources]

 LocaleElements_zh [java.text.resources]

 LocaleElements_zh_TW [java.text.resources]

 LocateRegistry [java.rmi.registry]

 LogStream [java.rmi.server]

 Long [java.lang]

 MalformedURLException [java.net]

 MarshalException [java.rmi]

 Math [java.lang]

 MediaTracker [java.awt]

 MemoryImageSource [java.awt.image]

 Menu [java.awt]

 MenuBar [java.awt]

 MenuComponent [java.awt]

 MenuItem [java.awt]

 MenuShortcut [java.awt]

 MessageDigest [java.security]

 MessageFormat [java.text]

 Method [java.lang.reflect]

 MethodDescriptor [java.beans]

 MissingResourceException [java.util]

 Modifier [java.lang.reflect]

 MouseAdapter [java.awt.event]

 MouseEvent [java.awt.event]

 MouseMotionAdapter [java.awt.event]

 MulticastSocket [java.net]

 Naming [java.rmi]

 NegativeArraySizeException [java.lang]

 NoClassDefFoundError [java.lang]

 NoRouteToHostException [java.net]

 NoSuchAlgorithmException [java.security]

 NoSuchElementException [java.util]

 NoSuchFieldError [java.lang]

 NoSuchFieldException [java.lang]

 NoSuchMethodError [java.lang]

 NoSuchMethodException [java.lang]

 NoSuchObjectException [java.rmi]

 NoSuchProviderException [java.security]

 NotActiveException [java.io]

 NotBoundException [java.rmi]

 NotOwnerException [java.security.acl]

 NotSerializableException [java.io]

 NullPointerException [java.lang]

 Number [java.lang]

 NumberFormat [java.text]

 NumberFormatException [java.lang]

 Object [java.lang]

 ObjectInputStream [java.io]

 ObjectOutputStream [java.io]

 ObjectStreamClass [java.io]

 ObjectStreamException [java.io]

 ObjID [java.rmi.server]

 Observable [java.util]

 Operation [java.rmi.server]

 OptionalDataException [java.io]

 OutOfMemoryError [java.lang]

 OutputStream [java.io]

 OutputStreamWriter [java.io]

 PaintEvent [java.awt.event]

 Panel [java.awt]

 ParameterDescriptor [java.beans]

 ParseException [java.text]

 ParsePosition [java.text]

 PipedInputStream [java.io]

 PipedOutputStream [java.io]

 PipedReader [java.io]

 PipedWriter [java.io]

 PixelGrabber [java.awt.image]

 Point [java.awt]

 Polygon [java.awt]

 PopupMenu [java.awt]

 PrintJob [java.awt]

 PrintStream [java.io]

 PrintWriter [java.io]

 Process [java.lang]

 Properties [java.util]

 PropertyChangeEvent [java.beans]

 PropertyChangeSupport [java.beans]

 PropertyDescriptor [java.beans]

 PropertyEditorManager [java.beans]

 PropertyEditorSupport [java.beans]

 PropertyResourceBundle [java.util]

 PropertyVetoException [java.beans]

 ProtocolException [java.net]

 Provider [java.security]

 ProviderException [java.security]

 PushbackInputStream [java.io]

 PushbackReader [java.io]

 Random [java.util]

 RandomAccessFile [java.io]

 Reader [java.io]

 Rectangle [java.awt]

 RemoteException [java.rmi]

 RemoteObject [java.rmi.server]

 RemoteServer [java.rmi.server]

 RemoteStub [java.rmi.server]

 ReplicateScaleFilter [java.awt.image]

 ResourceBundle [java.util]

 RGBImageFilter [java.awt.image]

 RMIClassLoader [java.rmi.server]

 RMISecurityException [java.rmi]

 RMISecurityManager [java.rmi]

 RMISocketFactory [java.rmi.server]

 RuleBasedCollator [java.text]

 Runtime [java.lang]

 RuntimeException [java.lang]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 SecureRandom [java.security]

 Security [java.security]

 SecurityException [java.lang]

 SecurityManager [java.lang]

 SequenceInputStream [java.io]

 ServerCloneException [java.rmi.server]

 ServerError [java.rmi]

 ServerException [java.rmi]

 ServerNotActiveException [java.rmi.server]

 ServerRuntimeException [java.rmi]

 ServerSocket [java.net]

 Short [java.lang]

 Signature [java.security]

 SignatureException [java.security]

 Signer [java.security]

 SimpleBeanInfo [java.beans]

 SimpleDateFormat [java.text]

 SimpleTimeZone [java.util]

 SkeletonMismatchException [java.rmi.server]

 SkeletonNotFoundException [java.rmi.server]

 Socket [java.net]

 SocketException [java.net]

 SocketImpl [java.net]

 SocketSecurityException [java.rmi.server]

 SQLException [java.sql]

 SQLWarning [java.sql]

 Stack [java.util]

 StackOverflowError [java.lang]

 StreamCorruptedException [java.io]

 StreamTokenizer [java.io]

 String [java.lang]

 StringBuffer [java.lang]

 StringBufferInputStream [java.io]

 StringCharacterIterator [java.text]

 StringIndexOutOfBoundsException [java.lang]

 StringReader [java.io]

 StringSelection [java.awt.datatransfer]

 StringTokenizer [java.util]

 StringWriter [java.io]

 StubNotFoundException [java.rmi]

 SyncFailedException [java.io]

 System [java.lang]

 SystemColor [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextEvent [java.awt.event]

 TextField [java.awt]

 Thread [java.lang]

 ThreadDeath [java.lang]

 ThreadGroup [java.lang]

 Throwable [java.lang]

 Time [java.sql]

 Timestamp [java.sql]

 TimeZone [java.util]

 Toolkit [java.awt]

 TooManyListenersException [java.util]

 Types [java.sql]

 UID [java.rmi.server]

 UnexpectedException [java.rmi]

 UnicastRemoteObject [java.rmi.server]

 UnknownError [java.lang]

 UnknownHostException [java.net]

 UnknownHostException [java.rmi]

 UnknownServiceException [java.net]

 UnmarshalException [java.rmi]

 UnsatisfiedLinkError [java.lang]

 UnsupportedEncodingException [java.io]

 UnsupportedFlavorException [java.awt.datatransfer]

 URL [java.net]

 URLConnection [java.net]

 URLEncoder [java.net]

 URLStreamHandler [java.net]

 UTFDataFormatException [java.io]

 Vector [java.util]

 VerifyError [java.lang]

 VetoableChangeSupport [java.beans]

 VirtualMachineError [java.lang]

 VMID [java.rmi.dgc]

 Void [java.lang]

 Window [java.awt]

 WindowAdapter [java.awt.event]

 WindowEvent [java.awt.event]

 WriteAbortedException [java.io]

 Writer [java.io]

 ZipEntry [java.util.zip]

 ZipException [java.util.zip]

 ZipFile [java.util.zip]

 ZipInputStream [java.util.zip]

 ZipOutputStream [java.util.zip]


ClassCastException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ClassCastException class [java.lang]

Object

Throwable

Exception

RuntimeException

ClassCastException

Description

Thrown to indicate that the code has attempted to cast an object to a subclass of which it is not an instance. For example, the following code generates a ClassCastException:

   Object x = new Integer(0);

   System.out.println((String)x);

Specification

public class ClassCastException extends java.lang.RuntimeException

Constructors

public ClassCastException( )

Constructs a ClassCastException with no detail message.

public ClassCastException( java.lang.String s )

Constructs a ClassCastException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


ClassCircularityError class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ClassCircularityError class [java.lang]

Object

Throwable

Error

LinkageError

ClassCircularityError

Description

Thrown when a circularity has been detected while initializing a class.

Specification

public class ClassCircularityError extends java.lang.LinkageError

Constructors

public ClassCircularityError( )

Constructs a ClassCircularityError with no detail  message.

public ClassCircularityError( java.lang.String s )

Constructs a ClassCircularityError with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


classContext property [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      classContext property [java.lang.SecurityManager]

protected native java.lang.Class[] getClassContext( )

Returns the current execution stack as an array of classes.

The length of the array is the number of methods on the execution stack. The element at index 0 is the class of the currently executing method, the element at index 1 is the class of that method's caller, and so on.

Return

The execution stack.

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


classDepth method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      classDepth method [java.lang.SecurityManager]

protected native int classDepth( java.lang.String name )

Returns the stack depth of the specified class.

Parameter

name

the fully qualified name of the class to search for.

Return

The depth on the stack frame of the first occurrence of a method from a class with the specified name; -1 if such a frame cannot be found.

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


classes property [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      classes property [java.lang.Class]

public java.lang.Class[] getClasses( )

Not implemented in this version of the JavaTM Development Kit.

Returns an array containing Class objects representing all the public classes and interfaces that are members of the class represented by this Class object.  This includes public class and interface members inherited from superclasses and public class and interface members declared by the class.  Returns an array of length 0 if the class has no public member classes or interfaces, or if this Class object represents a primitive type.

Return

No documentation supplied in JDK.

Applies to

 Class [java.lang]


ClassFormatError class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ClassFormatError class [java.lang]

Object

Throwable

Error

LinkageError

ClassFormatError

Description

Thrown when the Java Virtual Machine attempts to read a class file and determines that the file is malformed or otherwise cannot be interpreted as a class file.

Specification

public class ClassFormatError extends java.lang.LinkageError

Constructors

public ClassFormatError( )

Constructs a ClassFormatError with no detail message.

public ClassFormatError( java.lang.String s )

Constructs a ClassFormatError with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


ClassLoader class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ClassLoader class [java.lang]

Object

ClassLoader

Description

The class ClassLoader is an abstract class. Applications implement subclasses of ClassLoader in order to extend the manner in which the Java Virtual Machine dynamically loads classes.

Normally, the Java Virtual Machine loads classes from the local file system in a platform-dependent manner. For example, on UNIX systems, the Virtual Machine loads classes from the directory defined by the CLASSPATH environment variable.

However, some classes may not originate from a file; they may originate from other sources, such as the network, or they could be constructed by an application. The method defineClass converts an array of bytes into an instance of class Class. Instances of this newly defined class can be created using the newInstance method in class Class.

The methods and constructors of objects created by a class loader may reference other classes. To determine the class(es) referred to, the Java Virtual Machine calls the loadClass method of the class loader that originally created the class. If the Java Virtual Machine only needs to determine if the class exists and if it does exist to know its superclass, the resolve flag is set to false. However, if an instance of the class is being created or any of its methods are being called, the class must also be resolved. In this case the resolve flag is set to true, and the resolveClass method should be called.

For example, an application could create a network class loader to download class files from a server. Sample code might look like:

ClassLoader loader = new NetworkClassLoader(host, port);
Object main = loader.loadClass("Main", true).newInstance();
 . . .

The network class loader subclass must define the method loadClass to load a class from the network. Once it has downloaded the bytes that make up the class, it should use the method defineClass to create a class instance. A sample implementation is:

   class NetworkClassLoader {

       String host;

       int port;

       Hashtable cache = new Hashtable();

       private byte loadClassData(String name)[] {

       // load the class data from the connection

        . . .

       }

       public synchronized Class loadClass(String name,

                                           boolean resolve) {

           Class c = cache.get(name);

           if (c == null) {

               byte data[] = loadClassData(name);

               c = defineClass(data, 0, data.length);

               cache.put(name, c);

           }

           if (resolve)

               resolveClass(c);

           return c;

       }

   }

Specification

public abstract class ClassLoader extends java.lang.Object

Constructor

protected ClassLoader( )

Constructs a new class loader and initializes it.

If there is a security manager, its checkCreateClassLoader method is called. This may result in a security exception.

Throws

SecurityException

If the current thread does not have permission to create a new class loader.

See also

SecurityException class [java.lang]

checkCreateClassLoader method [java.lang.SecurityManager]

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.net.URL getResource( java.lang.String name )

  java.io.InputStream getResourceAsStream( java.lang.String name )

  static final java.net.URL getSystemResource( java.lang.String name )

  static final java.io.InputStream getSystemResourceAsStream( java.lang.String name )

  java.lang.Class loadClass( java.lang.String name ) throws java.lang.ClassNotFoundException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected final java.lang.Class defineClass( byte[] data, int offset, int length )

 protected final java.lang.Class defineClass( java.lang.String name, byte[] data, int offset, int length )

 protected final java.lang.Class findLoadedClass( java.lang.String name )

 protected final java.lang.Class findSystemClass( java.lang.String name ) throws java.lang.ClassNotFoundException

 protected abstract java.lang.Class loadClass( java.lang.String name, boolean resolve ) throws java.lang.ClassNotFoundException

 protected final void resolveClass( java.lang.Class c )

 protected final void setSigners( java.lang.Class cl, java.lang.Object[] signers )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Class class [java.lang]

newInstance method [java.lang.Class]

defineClass method [java.lang.ClassLoader]

loadClass method [java.lang.ClassLoader]

resolveClass method [java.lang.ClassLoader]


classLoader property [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      classLoader property [java.lang.Class]

public native java.lang.ClassLoader getClassLoader( )

Determines the class loader for the class.

Return

The class loader that created the class or interface represented by this object, or null if the class was not created by a class loader.

See also

ClassLoader class [java.lang]

Applies to

 Class [java.lang]


classLoaderDepth method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      classLoaderDepth method [java.lang.SecurityManager]

protected native int classLoaderDepth( )

Returns the stack depth of the most recently executing method from a class defined using a class loader.

Return

The depth on the stack frame of the most recent occurrence of a method from a class defined using a class loader; returns -1 if there is no occurrence of a method from a class defined using a class loader.

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


className property [java.util.MissingResourceException] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      className property [java.util.MissingResourceException]

public java.lang.String getClassName( )

Gets parameter passed by constructor.

Return

No documentation supplied in JDK.

Applies to

 MissingResourceException [java.util]


ClassNotFoundException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ClassNotFoundException class [java.lang]

Object

Throwable

Exception

ClassNotFoundException

Description

Thrown when an application tries to load in a class through its string name using:

•	The forName method in class Class.

•	The findSystemClass method in class ClassLoader .

•	The loadClass method in class ClassLoader.

but no definition for the class with the specifed name could be found.

Specification

public class ClassNotFoundException extends java.lang.Exception

Constructors

public ClassNotFoundException( )

Constructs a ClassNotFoundException with no detail message.

public ClassNotFoundException( java.lang.String s )

Constructs a ClassNotFoundException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

forName method [java.lang.Class]

findSystemClass method [java.lang.ClassLoader]

loadClass method [java.lang.ClassLoader]


clear method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clear method [java.awt.List]

public synchronized void clear( )

Note: clear has been deprecated. As of JDK version 1.1, replaced by removeAll().

No documentation supplied in JDK

Applies to

 List [java.awt]


clear method [java.util.BitSet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clear method [java.util.BitSet]

public void clear( int bit )

Clears a bit.

Parameter

bit

the bit to be cleared

Applies to

 BitSet [java.util]


clear method [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clear method [java.util.Calendar]

Overloads:

 void clear( )

 void clear( int field )

public final void clear( )

Clears the values of all the time fields.

public final void clear( int field )

Clears the value in the given time field.

Parameter

field

the time field to be cleared.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


clear method [java.util.Hashtable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clear method [java.util.Hashtable]

public synchronized void clear( )

Clears this hashtable so that it contains no keys.

Applies to

 Hashtable [java.util]

 Properties [java.util]

 Provider [java.security]


clearBit method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clearBit method [java.math.BigInteger]

public java.math.BigInteger clearBit( int n ) throws java.lang.ArithmeticException

Returns a BigInteger whose value is equivalent to this number with the designated bit cleared. (Computes (this & ~(1<<n)).) Throws an ArithmeticException if n < 0.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


clearChanged method [java.util.Observable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clearChanged method [java.util.Observable]

protected synchronized void clearChanged( )

Indicates that this object has no longer changed, or that it has already notified all of its observers of its most recent change. This method is called automatically by the notifyObservers methods.

See also

notifyObservers method [java.util.Observable]

Applies to

 Observable [java.util]


clearRect method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clearRect method [java.awt.Graphics]

public abstract void clearRect( int x, int y, int width, int height )

Clears the specified rectangle by filling it with the background color of the current drawing surface. This operation does not use the current paint mode.

Beginning with Java 1.1, the background color of offscreen images may be system dependent. Applications should use setColor followed by fillRect to ensure that an offscreen image is cleared to a specific color.

Parameters

x

the x coordinate of the rectangle to clear.

y

the y coordinate of the rectangle to clear.

width

the width of the rectangle to clear.

height

the height of the rectangle to clear.

See also

fillRect method [java.awt.Graphics]

drawRect method [java.awt.Graphics]

color property [java.awt.Graphics]

setPaintMode method [java.awt.Graphics]

XORMode property [java.awt.Graphics]

Applies to

 Graphics [java.awt]


clickCount property [java.awt.event.MouseEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clickCount property [java.awt.event.MouseEvent]

public int getClickCount( )

Return the number of mouse clicks associated with this event.

Return

No documentation supplied in JDK.

Applies to

 MouseEvent [java.awt.event]


clientHost property [java.rmi.server.RemoteServer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clientHost property [java.rmi.server.RemoteServer]

public static java.lang.String getClientHost( ) throws java.rmi.server.ServerNotActiveException

Return the hostname of the current client.  When called from a thread actively handling a remote method invocation the hostname of the client is returned.

Return

No documentation supplied in JDK.

Throws

ServerNotActiveException

If called outside of servicing a remote method invocation.

Applies to

 RemoteServer [java.rmi.server]

 UnicastRemoteObject [java.rmi.server]


clip property [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clip property [java.awt.Graphics]

public abstract java.awt.Shape getClip( )

Gets the current clipping area.

Return

A Shape object representing the current clipping area.

See also

clipBounds property [java.awt.Graphics]

clipRect method [java.awt.Graphics]

public abstract void setClip( java.awt.Shape clip )

Sets the current clipping area to an arbitrary clip shape. Not all objects which implement the Shape interface can be used to set the clip.  The only Shape objects which are guaranteed to be supported are Shape objects which are obtained via the getClip method and via Rectangle objects.

See also

clipRect method [java.awt.Graphics]

Applies to

 Graphics [java.awt]


Clipboard class [java.awt.datatransfer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      Clipboard class [java.awt.datatransfer]

Object

Clipboard

Description

A class which implements a mechanism to transfer data using cut/copy/paste operations.

Specification

public class Clipboard extends java.lang.Object

Constructor

public Clipboard( java.lang.String name )

Creates a clipboard object.

Variables

protected java.awt.datatransfer.ClipboardOwner owner

protected java.awt.datatransfer.Transferable contents

Properties

  java.lang.String getName( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  synchronized java.awt.datatransfer.Transferable getContents( java.lang.Object requestor )

  synchronized void setContents( java.awt.datatransfer.Transferable contents, java.awt.datatransfer.ClipboardOwner owner )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


ClipboardOwner interface [java.awt.datatransfer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ClipboardOwner interface [java.awt.datatransfer]

Description

Defines the interface for classes that will provide data to a clipboard.

Definition

public interface ClipboardOwner

{

  // Methods

  public void lostOwnership( java.awt.datatransfer.Clipboard clipboard, java.awt.datatransfer.Transferable contents );

}

Methods

public void lostOwnership( java.awt.datatransfer.Clipboard clipboard, java.awt.datatransfer.Transferable contents )

Notifies this object that it is no longer the owner of the contents of the clipboard.

Parameters

clipboard

the clipboard that is no longer owned

contents

the contents which this owner had placed on the clipboard

Implemented by

StringSelection [java.awt.datatransfer]


clipBounds property [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clipBounds property [java.awt.Graphics]

public abstract java.awt.Rectangle getClipBounds( )

Returns the bounding rectangle of the current clipping area. The coordinates in the rectangle are relative to the coordinate system origin of this graphics context.

Return

The bounding rectangle of the current clipping area.

See also

clip property [java.awt.Graphics]

clipRect method [java.awt.Graphics]

clip property [java.awt.Graphics]

Applies to

 Graphics [java.awt]


clipRect method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clipRect method [java.awt.Graphics]

public abstract void clipRect( int x, int y, int width, int height )

Intersects the current clip with the specified rectangle. The resulting clipping area is the intersection of the current clipping area and the specified rectangle. This method can only be used to make the current clip smaller. To set the current clip larger, use any of the setClip methods. Rendering operations have no effect outside of the clipping area.

Parameters

x

the x coordinate of the rectangle to intersect the clip with

y

the y coordinate of the rectangle to intersect the clip with

width

the width of the rectangle to intersect the clip with

height

the height of the rectangle to intersect the clip with

See also

clip property [java.awt.Graphics]

Applies to

 Graphics [java.awt]


clipRect property [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clipRect property [java.awt.Graphics]

public java.awt.Rectangle getClipRect( )

Note: getClipRect has been deprecated. As of JDK version 1.1, replaced by getClipBounds().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Graphics [java.awt]


clone method [java.awt.GridBagConstraints] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.awt.GridBagConstraints]

Overloads:

 Object clone( ) overrides clone method [java.lang.Object]

public java.lang.Object clone( )

Creates a copy of this grid bag constraint.

Return

A copy of this grid bag constraint.

Applies to

 GridBagConstraints [java.awt]


clone method [java.awt.image.ImageFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.awt.image.ImageFilter]

Overloads:

 Object clone( ) overrides clone method [java.lang.Object]

public java.lang.Object clone( )

Clones this object.

Return

No documentation supplied in JDK.

Applies to

 AreaAveragingScaleFilter [java.awt.image]

 CropImageFilter [java.awt.image]

 ImageFilter [java.awt.image]

 ReplicateScaleFilter [java.awt.image]

 RGBImageFilter [java.awt.image]


clone method [java.awt.Insets] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.awt.Insets]

Overloads:

 Object clone( ) overrides clone method [java.lang.Object]

public java.lang.Object clone( )

Create a copy of this object.

Return

A copy of this Insets object.

Applies to

 Insets [java.awt]


clone method [java.lang.Object] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.lang.Object]

protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

Creates a new object of the same class as this object. It then initializes each of the new object's fields by assigning it the same value as the corresponding field in this object. No constructor is called.

The clone method of class Object will only clone an object whose class indicates that it is willing for its instances to be cloned. A class indicates that its instances can be cloned by declaring that it implements the Cloneable interface.

Return

A clone of this instance.

Throws

CloneNotSupportedException

If the objects class does not support the Cloneable interface. Subclasses that override the clone method can also throw this exception to indicate that an instance cannot be cloned.

OutOfMemoryError

If there is not enough memory.

See also

Cloneable interface [java.lang]

Applies to

 AbstractMethodError [java.lang]

 AccessException [java.rmi]

 AclNotFoundException [java.security.acl]

 ActionEvent [java.awt.event]

 AdjustmentEvent [java.awt.event]

 Adler32 [java.util.zip]

 AlreadyBoundException [java.rmi]

 Applet [java.applet]

 AreaAveragingScaleFilter [java.awt.image]

 ArithmeticException [java.lang]

 Array [java.lang.reflect]

 ArrayIndexOutOfBoundsException [java.lang]

 ArrayStoreException [java.lang]

 AWTError [java.awt]

 AWTEvent [java.awt]

 AWTEventMulticaster [java.awt]

 AWTException [java.awt]

 BeanDescriptor [java.beans]

 Beans [java.beans]

 BigDecimal [java.math]

 BigInteger [java.math]

 BindException [java.net]

 BitSet [java.util]

 Boolean [java.lang]

 BorderLayout [java.awt]

 BreakIterator [java.text]

 BufferedInputStream [java.io]

 BufferedOutputStream [java.io]

 BufferedReader [java.io]

 BufferedWriter [java.io]

 Button [java.awt]

 Byte [java.lang]

 ByteArrayInputStream [java.io]

 ByteArrayOutputStream [java.io]

 Calendar [java.util]

 Canvas [java.awt]

 CardLayout [java.awt]

 Character [java.lang]

 CharArrayReader [java.io]

 CharArrayWriter [java.io]

 CharConversionException [java.io]

 Checkbox [java.awt]

 CheckboxGroup [java.awt]

 CheckboxMenuItem [java.awt]

 CheckedInputStream [java.util.zip]

 CheckedOutputStream [java.util.zip]

 Choice [java.awt]

 ChoiceFormat [java.text]

 Class [java.lang]

 ClassCastException [java.lang]

 ClassCircularityError [java.lang]

 ClassFormatError [java.lang]

 ClassLoader [java.lang]

 ClassNotFoundException [java.lang]

 Clipboard [java.awt.datatransfer]

 CloneNotSupportedException [java.lang]

 CollationElementIterator [java.text]

 CollationKey [java.text]

 Collator [java.text]

 Color [java.awt]

 ColorModel [java.awt.image]

 Compiler [java.lang]

 Component [java.awt]

 ComponentAdapter [java.awt.event]

 ComponentEvent [java.awt.event]

 ConnectException [java.net]

 ConnectException [java.rmi]

 ConnectIOException [java.rmi]

 Constructor [java.lang.reflect]

 Container [java.awt]

 ContainerAdapter [java.awt.event]

 ContainerEvent [java.awt.event]

 ContentHandler [java.net]

 CRC32 [java.util.zip]

 CropImageFilter [java.awt.image]

 Cursor [java.awt]

 DataFlavor [java.awt.datatransfer]

 DataFormatException [java.util.zip]

 DatagramPacket [java.net]

 DatagramSocket [java.net]

 DatagramSocketImpl [java.net]

 DataInputStream [java.io]

 DataOutputStream [java.io]

 DataTruncation [java.sql]

 Date [java.sql]

 Date [java.util]

 DateFormat [java.text]

 DateFormatSymbols [java.text]

 DateFormatZoneData [java.text.resources]

 DateFormatZoneData_ar [java.text.resources]

 DateFormatZoneData_be [java.text.resources]

 DateFormatZoneData_bg [java.text.resources]

 DateFormatZoneData_ca [java.text.resources]

 DateFormatZoneData_cs [java.text.resources]

 DateFormatZoneData_da [java.text.resources]

 DateFormatZoneData_de [java.text.resources]

 DateFormatZoneData_de_AT [java.text.resources]

 DateFormatZoneData_de_CH [java.text.resources]

 DateFormatZoneData_el [java.text.resources]

 DateFormatZoneData_en [java.text.resources]

 DateFormatZoneData_en_CA [java.text.resources]

 DateFormatZoneData_en_GB [java.text.resources]

 DateFormatZoneData_en_IE [java.text.resources]

 DateFormatZoneData_es [java.text.resources]

 DateFormatZoneData_et [java.text.resources]

 DateFormatZoneData_fi [java.text.resources]

 DateFormatZoneData_fr [java.text.resources]

 DateFormatZoneData_fr_BE [java.text.resources]

 DateFormatZoneData_fr_CA [java.text.resources]

 DateFormatZoneData_fr_CH [java.text.resources]

 DateFormatZoneData_hr [java.text.resources]

 DateFormatZoneData_hu [java.text.resources]

 DateFormatZoneData_is [java.text.resources]

 DateFormatZoneData_it [java.text.resources]

 DateFormatZoneData_it_CH [java.text.resources]

 DateFormatZoneData_iw [java.text.resources]

 DateFormatZoneData_ja [java.text.resources]

 DateFormatZoneData_ko [java.text.resources]

 DateFormatZoneData_lt [java.text.resources]

 DateFormatZoneData_lv [java.text.resources]

 DateFormatZoneData_mk [java.text.resources]

 DateFormatZoneData_nl [java.text.resources]

 DateFormatZoneData_nl_BE [java.text.resources]

 DateFormatZoneData_no [java.text.resources]

 DateFormatZoneData_no_NO_NY [java.text.resources]

 DateFormatZoneData_pl [java.text.resources]

 DateFormatZoneData_pt [java.text.resources]

 DateFormatZoneData_ro [java.text.resources]

 DateFormatZoneData_ru [java.text.resources]

 DateFormatZoneData_sh [java.text.resources]

 DateFormatZoneData_sk [java.text.resources]

 DateFormatZoneData_sl [java.text.resources]

 DateFormatZoneData_sq [java.text.resources]

 DateFormatZoneData_sr [java.text.resources]

 DateFormatZoneData_sv [java.text.resources]

 DateFormatZoneData_th [java.text.resources]

 DateFormatZoneData_tr [java.text.resources]

 DateFormatZoneData_uk [java.text.resources]

 DateFormatZoneData_zh [java.text.resources]

 DateFormatZoneData_zh_TW [java.text.resources]

 DecimalFormat [java.text]

 DecimalFormatSymbols [java.text]

 Deflater [java.util.zip]

 DeflaterOutputStream [java.util.zip]

 Dialog [java.awt]

 Dictionary [java.util]

 DigestException [java.security]

 DigestInputStream [java.security]

 DigestOutputStream [java.security]

 Dimension [java.awt]

 DirectColorModel [java.awt.image]

 Double [java.lang]

 DriverManager [java.sql]

 DriverPropertyInfo [java.sql]

 EmptyStackException [java.util]

 EOFException [java.io]

 Error [java.lang]

 Event [java.awt]

 EventObject [java.util]

 EventQueue [java.awt]

 EventSetDescriptor [java.beans]

 Exception [java.lang]

 ExceptionInInitializerError [java.lang]

 ExportException [java.rmi.server]

 FeatureDescriptor [java.beans]

 Field [java.lang.reflect]

 FieldPosition [java.text]

 File [java.io]

 FileDescriptor [java.io]

 FileDialog [java.awt]

 FileInputStream [java.io]

 FileNotFoundException [java.io]

 FileOutputStream [java.io]

 FileReader [java.io]

 FileWriter [java.io]

 FilteredImageSource [java.awt.image]

 FilterInputStream [java.io]

 FilterOutputStream [java.io]

 FilterReader [java.io]

 FilterWriter [java.io]

 Float [java.lang]

 FlowLayout [java.awt]

 FocusAdapter [java.awt.event]

 FocusEvent [java.awt.event]

 Font [java.awt]

 FontMetrics [java.awt]

 Format [java.text]

 Frame [java.awt]

 Graphics [java.awt]

 GregorianCalendar [java.util]

 GridBagConstraints [java.awt]

 GridBagLayout [java.awt]

 GridLayout [java.awt]

 GZIPInputStream [java.util.zip]

 GZIPOutputStream [java.util.zip]

 Hashtable [java.util]

 HttpURLConnection [java.net]

 Identity [java.security]

 IdentityScope [java.security]

 IllegalAccessError [java.lang]

 IllegalAccessException [java.lang]

 IllegalArgumentException [java.lang]

 IllegalComponentStateException [java.awt]

 IllegalMonitorStateException [java.lang]

 IllegalStateException [java.lang]

 IllegalThreadStateException [java.lang]

 Image [java.awt]

 ImageFilter [java.awt.image]

 IncompatibleClassChangeError [java.lang]

 IndexColorModel [java.awt.image]

 IndexedPropertyDescriptor [java.beans]

 IndexOutOfBoundsException [java.lang]

 InetAddress [java.net]

 Inflater [java.util.zip]

 InflaterInputStream [java.util.zip]

 InputEvent [java.awt.event]

 InputStream [java.io]

 InputStreamReader [java.io]

 Insets [java.awt]

 InstantiationError [java.lang]

 InstantiationException [java.lang]

 Integer [java.lang]

 InternalError [java.lang]

 InterruptedException [java.lang]

 InterruptedIOException [java.io]

 IntrospectionException [java.beans]

 Introspector [java.beans]

 InvalidClassException [java.io]

 InvalidKeyException [java.security]

 InvalidObjectException [java.io]

 InvalidParameterException [java.security]

 InvocationTargetException [java.lang.reflect]

 IOException [java.io]

 ItemEvent [java.awt.event]

 KeyAdapter [java.awt.event]

 KeyEvent [java.awt.event]

 KeyException [java.security]

 KeyManagementException [java.security]

 KeyPair [java.security]

 KeyPairGenerator [java.security]

 Label [java.awt]

 LastOwnerException [java.security.acl]

 Lease [java.rmi.dgc]

 LineNumberInputStream [java.io]

 LineNumberReader [java.io]

 LinkageError [java.lang]

 List [java.awt]

 ListResourceBundle [java.util]

 Locale [java.util]

 LocaleData [java.text.resources]

 LocaleElements [java.text.resources]

 LocaleElements_ar [java.text.resources]

 LocaleElements_be [java.text.resources]

 LocaleElements_bg [java.text.resources]

 LocaleElements_ca [java.text.resources]

 LocaleElements_cs [java.text.resources]

 LocaleElements_da [java.text.resources]

 LocaleElements_de [java.text.resources]

 LocaleElements_de_AT [java.text.resources]

 LocaleElements_de_AT_EURO [java.text.resources]

 LocaleElements_de_CH [java.text.resources]

 LocaleElements_de_DE_EURO [java.text.resources]

 LocaleElements_de_LU [java.text.resources]

 LocaleElements_de_LU_EURO [java.text.resources]

 LocaleElements_el [java.text.resources]

 LocaleElements_en [java.text.resources]

 LocaleElements_en_AU [java.text.resources]

 LocaleElements_en_CA [java.text.resources]

 LocaleElements_en_GB [java.text.resources]

 LocaleElements_en_IE [java.text.resources]

 LocaleElements_en_IE_EURO [java.text.resources]

 LocaleElements_en_NZ [java.text.resources]

 LocaleElements_en_ZA [java.text.resources]

 LocaleElements_es [java.text.resources]

 LocaleElements_es_AR [java.text.resources]

 LocaleElements_es_BO [java.text.resources]

 LocaleElements_es_CL [java.text.resources]

 LocaleElements_es_CO [java.text.resources]

 LocaleElements_es_CR [java.text.resources]

 LocaleElements_es_DO [java.text.resources]

 LocaleElements_es_EC [java.text.resources]

 LocaleElements_es_ES_EURO [java.text.resources]

 LocaleElements_es_GT [java.text.resources]

 LocaleElements_es_HN [java.text.resources]

 LocaleElements_es_MX [java.text.resources]

 LocaleElements_es_NI [java.text.resources]

 LocaleElements_es_PA [java.text.resources]

 LocaleElements_es_PE [java.text.resources]

 LocaleElements_es_PR [java.text.resources]

 LocaleElements_es_PY [java.text.resources]

 LocaleElements_es_SV [java.text.resources]

 LocaleElements_es_UY [java.text.resources]

 LocaleElements_es_VE [java.text.resources]

 LocaleElements_et [java.text.resources]

 LocaleElements_fi [java.text.resources]

 LocaleElements_fi_FI_EURO [java.text.resources]

 LocaleElements_fr [java.text.resources]

 LocaleElements_fr_BE [java.text.resources]

 LocaleElements_fr_BE_EURO [java.text.resources]

 LocaleElements_fr_CA [java.text.resources]

 LocaleElements_fr_CH [java.text.resources]

 LocaleElements_fr_FR_EURO [java.text.resources]

 LocaleElements_fr_LU [java.text.resources]

 LocaleElements_fr_LU_EURO [java.text.resources]

 LocaleElements_hr [java.text.resources]

 LocaleElements_hu [java.text.resources]

 LocaleElements_is [java.text.resources]

 LocaleElements_it [java.text.resources]

 LocaleElements_it_CH [java.text.resources]

 LocaleElements_it_IT_EURO [java.text.resources]

 LocaleElements_iw [java.text.resources]

 LocaleElements_ja [java.text.resources]

 LocaleElements_ko [java.text.resources]

 LocaleElements_lt [java.text.resources]

 LocaleElements_lv [java.text.resources]

 LocaleElements_mk [java.text.resources]

 LocaleElements_nl [java.text.resources]

 LocaleElements_nl_BE [java.text.resources]

 LocaleElements_nl_BE_EURO [java.text.resources]

 LocaleElements_nl_NL_EURO [java.text.resources]

 LocaleElements_no [java.text.resources]

 LocaleElements_no_NO_NY [java.text.resources]

 LocaleElements_pl [java.text.resources]

 LocaleElements_pt [java.text.resources]

 LocaleElements_pt_BR [java.text.resources]

 LocaleElements_pt_PT_EURO [java.text.resources]

 LocaleElements_ro [java.text.resources]

 LocaleElements_ru [java.text.resources]

 LocaleElements_sh [java.text.resources]

 LocaleElements_sk [java.text.resources]

 LocaleElements_sl [java.text.resources]

 LocaleElements_sq [java.text.resources]

 LocaleElements_sr [java.text.resources]

 LocaleElements_sv [java.text.resources]

 LocaleElements_th [java.text.resources]

 LocaleElements_tr [java.text.resources]

 LocaleElements_uk [java.text.resources]

 LocaleElements_zh [java.text.resources]

 LocaleElements_zh_TW [java.text.resources]

 LocateRegistry [java.rmi.registry]

 LogStream [java.rmi.server]

 Long [java.lang]

 MalformedURLException [java.net]

 MarshalException [java.rmi]

 Math [java.lang]

 MediaTracker [java.awt]

 MemoryImageSource [java.awt.image]

 Menu [java.awt]

 MenuBar [java.awt]

 MenuComponent [java.awt]

 MenuItem [java.awt]

 MenuShortcut [java.awt]

 MessageDigest [java.security]

 MessageFormat [java.text]

 Method [java.lang.reflect]

 MethodDescriptor [java.beans]

 MissingResourceException [java.util]

 Modifier [java.lang.reflect]

 MouseAdapter [java.awt.event]

 MouseEvent [java.awt.event]

 MouseMotionAdapter [java.awt.event]

 MulticastSocket [java.net]

 Naming [java.rmi]

 NegativeArraySizeException [java.lang]

 NoClassDefFoundError [java.lang]

 NoRouteToHostException [java.net]

 NoSuchAlgorithmException [java.security]

 NoSuchElementException [java.util]

 NoSuchFieldError [java.lang]

 NoSuchFieldException [java.lang]

 NoSuchMethodError [java.lang]

 NoSuchMethodException [java.lang]

 NoSuchObjectException [java.rmi]

 NoSuchProviderException [java.security]

 NotActiveException [java.io]

 NotBoundException [java.rmi]

 NotOwnerException [java.security.acl]

 NotSerializableException [java.io]

 NullPointerException [java.lang]

 Number [java.lang]

 NumberFormat [java.text]

 NumberFormatException [java.lang]

 Object [java.lang]

 ObjectInputStream [java.io]

 ObjectOutputStream [java.io]

 ObjectStreamClass [java.io]

 ObjectStreamException [java.io]

 ObjID [java.rmi.server]

 Observable [java.util]

 Operation [java.rmi.server]

 OptionalDataException [java.io]

 OutOfMemoryError [java.lang]

 OutputStream [java.io]

 OutputStreamWriter [java.io]

 PaintEvent [java.awt.event]

 Panel [java.awt]

 ParameterDescriptor [java.beans]

 ParseException [java.text]

 ParsePosition [java.text]

 PipedInputStream [java.io]

 PipedOutputStream [java.io]

 PipedReader [java.io]

 PipedWriter [java.io]

 PixelGrabber [java.awt.image]

 Point [java.awt]

 Polygon [java.awt]

 PopupMenu [java.awt]

 PrintJob [java.awt]

 PrintStream [java.io]

 PrintWriter [java.io]

 Process [java.lang]

 Properties [java.util]

 PropertyChangeEvent [java.beans]

 PropertyChangeSupport [java.beans]

 PropertyDescriptor [java.beans]

 PropertyEditorManager [java.beans]

 PropertyEditorSupport [java.beans]

 PropertyResourceBundle [java.util]

 PropertyVetoException [java.beans]

 ProtocolException [java.net]

 Provider [java.security]

 ProviderException [java.security]

 PushbackInputStream [java.io]

 PushbackReader [java.io]

 Random [java.util]

 RandomAccessFile [java.io]

 Reader [java.io]

 Rectangle [java.awt]

 RemoteException [java.rmi]

 RemoteObject [java.rmi.server]

 RemoteServer [java.rmi.server]

 RemoteStub [java.rmi.server]

 ReplicateScaleFilter [java.awt.image]

 ResourceBundle [java.util]

 RGBImageFilter [java.awt.image]

 RMIClassLoader [java.rmi.server]

 RMISecurityException [java.rmi]

 RMISecurityManager [java.rmi]

 RMISocketFactory [java.rmi.server]

 RuleBasedCollator [java.text]

 Runtime [java.lang]

 RuntimeException [java.lang]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 SecureRandom [java.security]

 Security [java.security]

 SecurityException [java.lang]

 SecurityManager [java.lang]

 SequenceInputStream [java.io]

 ServerCloneException [java.rmi.server]

 ServerError [java.rmi]

 ServerException [java.rmi]

 ServerNotActiveException [java.rmi.server]

 ServerRuntimeException [java.rmi]

 ServerSocket [java.net]

 Short [java.lang]

 Signature [java.security]

 SignatureException [java.security]

 Signer [java.security]

 SimpleBeanInfo [java.beans]

 SimpleDateFormat [java.text]

 SimpleTimeZone [java.util]

 SkeletonMismatchException [java.rmi.server]

 SkeletonNotFoundException [java.rmi.server]

 Socket [java.net]

 SocketException [java.net]

 SocketImpl [java.net]

 SocketSecurityException [java.rmi.server]

 SQLException [java.sql]

 SQLWarning [java.sql]

 Stack [java.util]

 StackOverflowError [java.lang]

 StreamCorruptedException [java.io]

 StreamTokenizer [java.io]

 String [java.lang]

 StringBuffer [java.lang]

 StringBufferInputStream [java.io]

 StringCharacterIterator [java.text]

 StringIndexOutOfBoundsException [java.lang]

 StringReader [java.io]

 StringSelection [java.awt.datatransfer]

 StringTokenizer [java.util]

 StringWriter [java.io]

 StubNotFoundException [java.rmi]

 SyncFailedException [java.io]

 System [java.lang]

 SystemColor [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextEvent [java.awt.event]

 TextField [java.awt]

 Thread [java.lang]

 ThreadDeath [java.lang]

 ThreadGroup [java.lang]

 Throwable [java.lang]

 Time [java.sql]

 Timestamp [java.sql]

 TimeZone [java.util]

 Toolkit [java.awt]

 TooManyListenersException [java.util]

 Types [java.sql]

 UID [java.rmi.server]

 UnexpectedException [java.rmi]

 UnicastRemoteObject [java.rmi.server]

 UnknownError [java.lang]

 UnknownHostException [java.net]

 UnknownHostException [java.rmi]

 UnknownServiceException [java.net]

 UnmarshalException [java.rmi]

 UnsatisfiedLinkError [java.lang]

 UnsupportedEncodingException [java.io]

 UnsupportedFlavorException [java.awt.datatransfer]

 URL [java.net]

 URLConnection [java.net]

 URLEncoder [java.net]

 URLStreamHandler [java.net]

 UTFDataFormatException [java.io]

 Vector [java.util]

 VerifyError [java.lang]

 VetoableChangeSupport [java.beans]

 VirtualMachineError [java.lang]

 VMID [java.rmi.dgc]

 Void [java.lang]

 Window [java.awt]

 WindowAdapter [java.awt.event]

 WindowEvent [java.awt.event]

 WriteAbortedException [java.io]

 Writer [java.io]

 ZipEntry [java.util.zip]

 ZipException [java.util.zip]

 ZipFile [java.util.zip]

 ZipInputStream [java.util.zip]

 ZipOutputStream [java.util.zip]


clone method [java.rmi.server.UnicastRemoteObject] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.rmi.server.UnicastRemoteObject]

Overloads:

 Object clone( ) overrides clone method [java.lang.Object]

public java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

Returns a clone of the remote object that is distinct from the original.

Return

The new remote object.

Throws

CloneNotSupportedException

If clone failed due to a RemoteException.

Applies to

 UnicastRemoteObject [java.rmi.server]


clone method [java.security.MessageDigest] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.security.MessageDigest]

Overloads:

 Object clone( ) overrides clone method [java.lang.Object]

public java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 Returns a clone if the implementation is cloneable.

Return

A clone if the implementation is cloneable.

Throws

CloneNotSupportedException

If this is called on an implementation that does not support Cloneable.

Applies to

 MessageDigest [java.security]


clone method [java.security.Signature] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.security.Signature]

Overloads:

 Object clone( ) overrides clone method [java.lang.Object]

public java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

Returns a clone if the implementation is cloneable.

Return

A clone if the implementation is cloneable.

Throws

CloneNotSupportedException

If this is called on an implementation that does not support Cloneable.

Applies to

 Signature [java.security]


clone method [java.text.BreakIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.text.BreakIterator]

Overloads:

 Object clone( ) overrides clone method [java.lang.Object]

public java.lang.Object clone( )

Create a copy of this iterator

Return

A copy of this.

Applies to

 BreakIterator [java.text]


clone method [java.text.ChoiceFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.text.ChoiceFormat]

Overloads:

 Object clone( ) overrides clone method [java.text.NumberFormat]

public java.lang.Object clone( )

Overrides Cloneable

Return

No documentation supplied in JDK.

Applies to

 ChoiceFormat [java.text]


clone method [java.text.Collator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.text.Collator]

Overloads:

 Object clone( ) overrides clone method [java.lang.Object]

public java.lang.Object clone( )

Overrides Cloneable

Return

No documentation supplied in JDK.

Applies to

 Collator [java.text]

 RuleBasedCollator [java.text]


clone method [java.text.DateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.text.DateFormat]

Overloads:

 Object clone( ) overrides clone method [java.text.Format]

public java.lang.Object clone( )

Overrides Cloneable

Return

No documentation supplied in JDK.

Applies to

 DateFormat [java.text]

 SimpleDateFormat [java.text]


clone method [java.text.DateFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.text.DateFormatSymbols]

Overloads:

 Object clone( ) overrides clone method [java.lang.Object]

public java.lang.Object clone( )

Overrides Cloneable

Return

No documentation supplied in JDK.

Applies to

 DateFormatSymbols [java.text]


clone method [java.text.DecimalFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.text.DecimalFormat]

Overloads:

 Object clone( ) overrides clone method [java.text.NumberFormat]

public java.lang.Object clone( )

Standard override; no change in semantics.

Return

No documentation supplied in JDK.

Applies to

 DecimalFormat [java.text]


clone method [java.text.DecimalFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.text.DecimalFormatSymbols]

Overloads:

 Object clone( ) overrides clone method [java.lang.Object]

public java.lang.Object clone( )

Standard override.

Return

No documentation supplied in JDK.

Applies to

 DecimalFormatSymbols [java.text]


clone method [java.text.Format] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.text.Format]

Overloads:

 Object clone( ) overrides clone method [java.lang.Object]

public java.lang.Object clone( )

Applies to

 ChoiceFormat [java.text]

 DateFormat [java.text]

 DecimalFormat [java.text]

 Format [java.text]

 MessageFormat [java.text]

 NumberFormat [java.text]

 SimpleDateFormat [java.text]


clone method [java.text.MessageFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.text.MessageFormat]

Overloads:

 Object clone( ) overrides clone method [java.text.Format]

public java.lang.Object clone( )

Overrides Cloneable

Return

No documentation supplied in JDK.

Applies to

 MessageFormat [java.text]


clone method [java.text.NumberFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.text.NumberFormat]

Overloads:

 Object clone( ) overrides clone method [java.text.Format]

public java.lang.Object clone( )

Overrides Cloneable

Return

No documentation supplied in JDK.

Applies to

 ChoiceFormat [java.text]

 DecimalFormat [java.text]

 NumberFormat [java.text]


clone method [java.text.RuleBasedCollator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.text.RuleBasedCollator]

Overloads:

 Object clone( ) overrides clone method [java.text.Collator]

public java.lang.Object clone( )

Standard override; no change in semantics.

Return

No documentation supplied in JDK.

Applies to

 RuleBasedCollator [java.text]


clone method [java.text.SimpleDateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.text.SimpleDateFormat]

Overloads:

 Object clone( ) overrides clone method [java.text.DateFormat]

public java.lang.Object clone( )

Overrides Cloneable

Return

No documentation supplied in JDK.

Applies to

 SimpleDateFormat [java.text]


clone method [java.text.StringCharacterIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.text.StringCharacterIterator]

Overloads:

 Object clone( ) overrides clone method [java.lang.Object]

public java.lang.Object clone( )

Create a copy of this boundary

Return

A copy of this.

Applies to

 StringCharacterIterator [java.text]


clone method [java.util.BitSet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.util.BitSet]

Overloads:

 Object clone( ) overrides clone method [java.lang.Object]

public java.lang.Object clone( )

Clones the BitSet.

Return

No documentation supplied in JDK.

Applies to

 BitSet [java.util]


clone method [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.util.Calendar]

Overloads:

 Object clone( ) overrides clone method [java.lang.Object]

public java.lang.Object clone( )

Overrides Cloneable

Return

No documentation supplied in JDK.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


clone method [java.util.Hashtable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.util.Hashtable]

Overloads:

 Object clone( ) overrides clone method [java.lang.Object]

public synchronized java.lang.Object clone( )

Creates a shallow copy of this hashtable. The keys and values themselves are not cloned. This is a relatively expensive operation.

Return

A clone of the hashtable.

Applies to

 Hashtable [java.util]

 Properties [java.util]

 Provider [java.security]


clone method [java.util.Locale] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.util.Locale]

Overloads:

 Object clone( ) overrides clone method [java.lang.Object]

public java.lang.Object clone( )

Overrides Cloneable

Return

No documentation supplied in JDK.

Applies to

 Locale [java.util]


clone method [java.util.SimpleTimeZone] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.util.SimpleTimeZone]

Overloads:

 Object clone( ) overrides clone method [java.util.TimeZone]

public java.lang.Object clone( )

Overrides Cloneable

Return

No documentation supplied in JDK.

Applies to

 SimpleTimeZone [java.util]


clone method [java.util.TimeZone] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.util.TimeZone]

Overloads:

 Object clone( ) overrides clone method [java.lang.Object]

public java.lang.Object clone( )

Overrides Cloneable

Return

No documentation supplied in JDK.

Applies to

 SimpleTimeZone [java.util]

 TimeZone [java.util]


clone method [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      clone method [java.util.Vector]

Overloads:

 Object clone( ) overrides clone method [java.lang.Object]

public synchronized java.lang.Object clone( )

Returns a clone of this vector.

Return

A clone of this vector.

Applies to

 Stack [java.util]

 Vector [java.util]


Cloneable interface [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      Cloneable interface [java.lang]

Description

A class implements the Cloneable interface to indicate to the clone method in class Object that it is legal for that method to make a field-for-field copy of instances of that class.

Attempts to clone instances that do not implement the Cloneable interface result in the exception CloneNotSupportedException being thrown.

Definition

public interface Cloneable

{

}

Implemented by

BitSet [java.util]	BreakIterator [java.text]	Calendar [java.util]	Collator [java.text]	Date [java.util]	DateFormat [java.text]	DateFormatSymbols [java.text]	DecimalFormatSymbols [java.text]	Format [java.text]	GridBagConstraints [java.awt]	Hashtable [java.util]	ImageFilter [java.awt.image]	Insets [java.awt]	Locale [java.util]	NumberFormat [java.text]	TimeZone [java.util]	Vector [java.util]

See also

CloneNotSupportedException class [java.lang]


CloneNotSupportedException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      CloneNotSupportedException class [java.lang]

Object

Throwable

Exception

CloneNotSupportedException

Description

Thrown to indicate that the clone method in class Object has been called to clone an object, but that the object's class does not implement the Cloneable interface.

Applications that override the clone method can also throw this exception to indicate that an object could not or should not be cloned.

Specification

public class CloneNotSupportedException extends java.lang.Exception

Constructors

public CloneNotSupportedException( )

Constructs a CloneNotSupportedException with no detail message.

public CloneNotSupportedException( java.lang.String s )

Constructs a CloneNotSupportedException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Cloneable interface [java.lang]

clone method [java.lang.Object]


close method [java.io.BufferedReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.BufferedReader]

Overloads:

 void close( ) overrides close method [java.io.Reader]

public void close( ) throws java.io.IOException

Close the stream.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedReader [java.io]

 LineNumberReader [java.io]


close method [java.io.BufferedWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.BufferedWriter]

Overloads:

 void close( ) overrides close method [java.io.Writer]

public void close( ) throws java.io.IOException

Close the stream.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedWriter [java.io]


close method [java.io.CharArrayReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.CharArrayReader]

Overloads:

 void close( ) overrides close method [java.io.Reader]

public void close( )

Close the stream.

Applies to

 CharArrayReader [java.io]


close method [java.io.CharArrayWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.CharArrayWriter]

Overloads:

 void close( ) overrides close method [java.io.Writer]

public void close( )

Close the stream.  This method does not release the buffer, since its contents might still be required.

Applies to

 CharArrayWriter [java.io]


close method [java.io.FileInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.FileInputStream]

Overloads:

 void close( ) overrides close method [java.io.InputStream]

public native void close( ) throws java.io.IOException

Closes this file input stream and releases any system resources associated with the stream.

Throws

IOException

If an I/O error occurs.

Applies to

 FileInputStream [java.io]


close method [java.io.FileOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.FileOutputStream]

Overloads:

 void close( ) overrides close method [java.io.OutputStream]

public native void close( ) throws java.io.IOException

Closes this file output stream and releases any system resources associated with this stream.

Throws

IOException

If an I/O error occurs.

Applies to

 FileOutputStream [java.io]


close method [java.io.FilterInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.FilterInputStream]

Overloads:

 void close( ) overrides close method [java.io.InputStream]

public void close( ) throws java.io.IOException

Closes this input stream and releases any system resources associated with the stream. The close method of FilterInputStream calls the close method of its underlying input stream.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedInputStream [java.io]

 CheckedInputStream [java.util.zip]

 DataInputStream [java.io]

 DigestInputStream [java.security]

 FilterInputStream [java.io]

 GZIPInputStream [java.util.zip]

 InflaterInputStream [java.util.zip]

 LineNumberInputStream [java.io]

 PushbackInputStream [java.io]

 ZipInputStream [java.util.zip]


close method [java.io.FilterOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.FilterOutputStream]

Overloads:

 void close( ) overrides close method [java.io.OutputStream]

public void close( ) throws java.io.IOException

Closes this output stream and releases any system resources associated with the stream.

The close method of FilterOutputStream calls its flush method, and then calls the close method of its underlying output stream.

Throws

IOException

If an I/O error occurs.

See also

flush method [java.io.FilterOutputStream]

Applies to

 BufferedOutputStream [java.io]

 CheckedOutputStream [java.util.zip]

 DataOutputStream [java.io]

 DeflaterOutputStream [java.util.zip]

 DigestOutputStream [java.security]

 FilterOutputStream [java.io]

 GZIPOutputStream [java.util.zip]

 LogStream [java.rmi.server]

 PrintStream [java.io]

 ZipOutputStream [java.util.zip]


close method [java.io.FilterReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.FilterReader]

Overloads:

 void close( ) overrides close method [java.io.Reader]

public void close( ) throws java.io.IOException

Close the stream.

Throws

IOException

If an I/O error occurs.

Applies to

 FilterReader [java.io]

 PushbackReader [java.io]


close method [java.io.FilterWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.FilterWriter]

Overloads:

 void close( ) overrides close method [java.io.Writer]

public void close( ) throws java.io.IOException

Close the stream.

Throws

IOException

If an I/O error occurs.

Applies to

 FilterWriter [java.io]


close method [java.io.InputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.InputStream]

public void close( ) throws java.io.IOException

Closes this input stream and releases any system resources associated with the stream.

The close method of InputStream does nothing.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedInputStream [java.io]

 ByteArrayInputStream [java.io]

 CheckedInputStream [java.util.zip]

 DataInputStream [java.io]

 DigestInputStream [java.security]

 FileInputStream [java.io]

 FilterInputStream [java.io]

 GZIPInputStream [java.util.zip]

 InflaterInputStream [java.util.zip]

 InputStream [java.io]

 LineNumberInputStream [java.io]

 ObjectInputStream [java.io]

 PipedInputStream [java.io]

 PushbackInputStream [java.io]

 SequenceInputStream [java.io]

 StringBufferInputStream [java.io]

 ZipInputStream [java.util.zip]


close method [java.io.InputStreamReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.InputStreamReader]

Overloads:

 void close( ) overrides close method [java.io.Reader]

public void close( ) throws java.io.IOException

Close the stream.

Throws

IOException

If an I/O error occurs.

Applies to

 FileReader [java.io]

 InputStreamReader [java.io]


close method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.ObjectInputStream]

Overloads:

 void close( ) overrides close method [java.io.InputStream]

public void close( ) throws java.io.IOException

Closes the input stream. Must be called to release any resources associated with the stream.

Throws

IOException

If an I/O error has occurred.

Applies to

 ObjectInputStream [java.io]


close method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.ObjectOutputStream]

Overloads:

 void close( ) overrides close method [java.io.OutputStream]

public void close( ) throws java.io.IOException

Closes the stream. This method must be called to release any resources associated with the stream.

Throws

IOException

If an I/O error has occurred.

Applies to

 ObjectOutputStream [java.io]


close method [java.io.OutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.OutputStream]

public void close( ) throws java.io.IOException

Closes this output stream and releases any system resources associated with this stream.

The close method of OutputStream does nothing.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedOutputStream [java.io]

 ByteArrayOutputStream [java.io]

 CheckedOutputStream [java.util.zip]

 DataOutputStream [java.io]

 DeflaterOutputStream [java.util.zip]

 DigestOutputStream [java.security]

 FileOutputStream [java.io]

 FilterOutputStream [java.io]

 GZIPOutputStream [java.util.zip]

 LogStream [java.rmi.server]

 ObjectOutputStream [java.io]

 OutputStream [java.io]

 PipedOutputStream [java.io]

 PrintStream [java.io]

 ZipOutputStream [java.util.zip]


close method [java.io.OutputStreamWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.OutputStreamWriter]

Overloads:

 void close( ) overrides close method [java.io.Writer]

public void close( ) throws java.io.IOException

Close the stream.

Throws

IOException

If an I/O error occurs.

Applies to

 FileWriter [java.io]

 OutputStreamWriter [java.io]


close method [java.io.PipedInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.PipedInputStream]

Overloads:

 void close( ) overrides close method [java.io.InputStream]

public void close( ) throws java.io.IOException

Closes this piped input stream and releases any system resources associated with the stream.

Throws

IOException

If an I/O error occurs.

Applies to

 PipedInputStream [java.io]


close method [java.io.PipedOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.PipedOutputStream]

Overloads:

 void close( ) overrides close method [java.io.OutputStream]

public void close( ) throws java.io.IOException

Closes this piped output stream and releases any system resources associated with this stream.

Throws

IOException

If an I/O error occurs.

Applies to

 PipedOutputStream [java.io]


close method [java.io.PipedReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.PipedReader]

Overloads:

 void close( ) overrides close method [java.io.Reader]

public void close( ) throws java.io.IOException

Close the stream.

Throws

IOException

If an I/O error occurs.

Applies to

 PipedReader [java.io]


close method [java.io.PipedWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.PipedWriter]

Overloads:

 void close( ) overrides close method [java.io.Writer]

public void close( ) throws java.io.IOException

Close the stream.

Throws

IOException

If an I/O error occurs.

Applies to

 PipedWriter [java.io]


close method [java.io.PrintStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.PrintStream]

Overloads:

 void close( ) overrides close method [java.io.FilterOutputStream]

public void close( )

Close the stream.  This is done by flushing the stream and then closing the underlying output stream.

See also

close method [java.io.OutputStream]

Applies to

 LogStream [java.rmi.server]

 PrintStream [java.io]


close method [java.io.PrintWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.PrintWriter]

Overloads:

 void close( ) overrides close method [java.io.Writer]

public void close( )

Close the stream. *

Applies to

 PrintWriter [java.io]


close method [java.io.PushbackReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.PushbackReader]

Overloads:

 void close( ) overrides close method [java.io.FilterReader]

public void close( ) throws java.io.IOException

Close the stream.

Throws

IOException

If an I/O error occurs.

Applies to

 PushbackReader [java.io]


close method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.RandomAccessFile]

public native void close( ) throws java.io.IOException

Closes this random access file stream and releases any system resources associated with the stream.

Throws

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


close method [java.io.Reader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.Reader]

public abstract void close( ) throws java.io.IOException

Close the stream.  Once a stream has been closed, further read(), ready(), mark(), or reset() invocations will throw an IOException. Closing a previously-closed stream, however, has no effect.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedReader [java.io]

 CharArrayReader [java.io]

 FileReader [java.io]

 FilterReader [java.io]

 InputStreamReader [java.io]

 LineNumberReader [java.io]

 PipedReader [java.io]

 PushbackReader [java.io]

 Reader [java.io]

 StringReader [java.io]


close method [java.io.SequenceInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.SequenceInputStream]

Overloads:

 void close( ) overrides close method [java.io.InputStream]

public void close( ) throws java.io.IOException

Closes this input stream and releases any system resources associated with the stream.

The close method of SequenceInputStream calls the close method of both the substream from which it is currently reading and the close method of all the substreams that it has not yet begun to read from.

Throws

IOException

If an I/O error occurs.

Applies to

 SequenceInputStream [java.io]


close method [java.io.StringReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.StringReader]

Overloads:

 void close( ) overrides close method [java.io.Reader]

public void close( )

Close the stream.

Applies to

 StringReader [java.io]


close method [java.io.StringWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.StringWriter]

Overloads:

 void close( ) overrides close method [java.io.Writer]

public void close( )

Close the stream.  This method does not release the buffer, since its contents might still be required.

Applies to

 StringWriter [java.io]


close method [java.io.Writer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.io.Writer]

public abstract void close( ) throws java.io.IOException

Close the stream, flushing it first.  Once a stream has been closed, further write() or flush() invocations will cause an IOException to be thrown.  Closing a previously-closed stream, however, has no effect.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedWriter [java.io]

 CharArrayWriter [java.io]

 FileWriter [java.io]

 FilterWriter [java.io]

 OutputStreamWriter [java.io]

 PipedWriter [java.io]

 PrintWriter [java.io]

 StringWriter [java.io]

 Writer [java.io]


close method [java.net.DatagramSocket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.net.DatagramSocket]

public void close( )

Closes this datagram socket.

Applies to

 DatagramSocket [java.net]

 MulticastSocket [java.net]


close method [java.net.DatagramSocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.net.DatagramSocketImpl]

protected abstract void close( )

Close the socket.

Applies to

 DatagramSocketImpl [java.net]


close method [java.net.ServerSocket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.net.ServerSocket]

public void close( ) throws java.io.IOException

Closes this socket.

Throws

IOException

If an I/O error occurs when closing the socket.

Applies to

 ServerSocket [java.net]


close method [java.net.Socket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.net.Socket]

public synchronized void close( ) throws java.io.IOException

Closes this socket.

Throws

IOException

If an I/O error occurs when closing this socket.

Applies to

 Socket [java.net]


close method [java.net.SocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.net.SocketImpl]

protected abstract void close( ) throws java.io.IOException

Closes this socket.

Throws

IOException

If an I/O error occurs when closing this socket.

Applies to

 SocketImpl [java.net]


close method [java.util.zip.DeflaterOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.util.zip.DeflaterOutputStream]

Overloads:

 void close( ) overrides close method [java.io.FilterOutputStream]

public void close( ) throws java.io.IOException

Writes remaining compressed data to the output stream and closes the underlying stream.

Throws

IOException

If an I/O error has occurred.

Applies to

 DeflaterOutputStream [java.util.zip]

 GZIPOutputStream [java.util.zip]

 ZipOutputStream [java.util.zip]


close method [java.util.zip.GZIPInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.util.zip.GZIPInputStream]

Overloads:

 void close( ) overrides close method [java.io.FilterInputStream]

public void close( ) throws java.io.IOException

Closes the input stream.

Throws

IOException

If an I/O error has occurred.

Applies to

 GZIPInputStream [java.util.zip]


close method [java.util.zip.GZIPOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.util.zip.GZIPOutputStream]

Overloads:

 void close( ) overrides close method [java.util.zip.DeflaterOutputStream]

public void close( ) throws java.io.IOException

Writes remaining compressed data to the output stream and closes the underlying stream.

Throws

IOException

If an I/O error has occurred.

Applies to

 GZIPOutputStream [java.util.zip]


close method [java.util.zip.ZipFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.util.zip.ZipFile]

public void close( ) throws java.io.IOException

Closes the ZIP file.

Applies to

 ZipFile [java.util.zip]


close method [java.util.zip.ZipInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.util.zip.ZipInputStream]

Overloads:

 void close( ) overrides close method [java.io.FilterInputStream]

public void close( ) throws java.io.IOException

Closes the ZIP input stream.

Throws

IOException

If an I/O error has occurred.

Applies to

 ZipInputStream [java.util.zip]


close method [java.util.zip.ZipOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      close method [java.util.zip.ZipOutputStream]

Overloads:

 void close( ) overrides close method [java.util.zip.DeflaterOutputStream]

public void close( ) throws java.io.IOException

Closes the ZIP output stream as well as the stream being filtered.

Throws

ZipException

If a ZIP file error has occurred.

IOException

If an I/O error has occurred.

Applies to

 ZipOutputStream [java.util.zip]


closeEntry method [java.util.zip.ZipInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      closeEntry method [java.util.zip.ZipInputStream]

public void closeEntry( ) throws java.io.IOException

Closes the current ZIP entry and positions the stream for reading the next entry.

Throws

ZipException

If a ZIP file error has occurred.

IOException

If an I/O error has occurred.

Applies to

 ZipInputStream [java.util.zip]


closeEntry method [java.util.zip.ZipOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      closeEntry method [java.util.zip.ZipOutputStream]

public void closeEntry( ) throws java.io.IOException

Closes the current ZIP entry and positions the stream for writing the next entry.

Throws

ZipException

If a ZIP format error has occurred.

IOException

If an I/O error has occurred.

Applies to

 ZipOutputStream [java.util.zip]


codeBase property [java.applet.Applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      codeBase property [java.applet.Applet]

public java.net.URL getCodeBase( )

Gets the base URL. This is the URL of the applet itself.

Return

The URL of this applet.

See also

documentBase property [java.applet.Applet]

Applies to

 Applet [java.applet]


CollationElementIterator class [java.text] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      CollationElementIterator class [java.text]

Object

CollationElementIterator

Description

The CollationElementIterator class is used as an iterator to walk through each character of an international string. Use the iterator to return the ordering priority of the positioned character. The ordering priority of a character, which we refer to as a key, defines how a character is collated in the given collation object.

For example, consider the following in Spanish:

"ca" -> the first key is key('c') and second key is key('a').

"cha" -> the first key is key('ch') and second key is key('a').

 And in German,

"\u00e4b"-> the first key is key('a'), the second key is key('e'), and

the third key is key('b').

 The key of a character is an integer composed of primary order(short), secondary order(byte), and tertiary order(byte). Java strictly defines the size and signedness of its primitive data types. Therefore, the static functions primaryOrder, secondaryOrder, and tertiaryOrder return int, short, and short respectively to ensure the correctness of the key value.

Example of the iterator usage,

// get the first key of the string

String str = "This is a test";

CollationElementIterator c =

   new CollationElementIterator(str, 0, str.length(),

                                Collator.getInstance());

int primaryOrder = CollationElementIterator.primaryOrder(c->next());

CollationElementIterator.next returns the collation order of the next character. A collation order consists of primary order, secondary order and tertiary order. The data type of the collation order is int . The first 16 bits of a collation order is its primary order; the next 8 bits is the secondary order and the last 8 bits is the tertiary order.

Specification

public final class CollationElementIterator extends java.lang.Object

Variables

public static final int NULLORDER

Null order which indicates the end of string is reached by the cursor.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  int next( )

  static final int primaryOrder( int order )

  void reset( )

  static final short secondaryOrder( int order )

  static final short tertiaryOrder( int order )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Collator class [java.text]

RuleBasedCollator class [java.text]


CollationKey class [java.text] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      CollationKey class [java.text]

Object

CollationKey

Description

A CollationKey represents a String under the rules of a specific Collator object. Comparing two CollationKeys returns the relative order of the Strings they represent. Using CollationKeys to compare Strings is generally faster than using Collator.compare. Thus, when the Strings must be compared multiple times, for example when sorting a list of Strings. It's more efficient to use CollationKeys.

You can not create CollationKeys directly. Rather, generate them by calling Collator.getCollationKey. You can only compare CollationKeys generated from the same Collator object.

Generating a CollationKey for a String involves examining the entire String and converting it to series of bits that can be compared bitwise. This allows fast comparisons once the keys are generated. The cost of generating keys is recouped in faster comparisons when Strings need to be compared many times. On the other hand, the result of a comparison is often determined by the first couple of characters of each String. Collator.compare examines only as many characters as it needs which allows it to be faster when doing single comparisons.

The following example shows how CollationKeys might be used to sort a list of Strings.

// Create an array of CollationKeys for the Strings to be sorted.

Collator myCollator = Collator.getInstance();

CollationKey[] keys = new CollationKey[3];

keys[0] = myCollator.getCollationKey("Tom");

keys[1] = myCollator.getCollationKey("Dick");

keys[2] = myCollator.getCollationKey("Harry");

sort( keys );

//...

// Inside body of sort routine, compare keys this way

if( keys[i].compareTo( keys[j] ) > 0 )

  // swap keys[i] and keys[j]

//...

// Finally, when we've returned from sort.

System.out.println( keys[0].getSourceString() );

System.out.println( keys[1].getSourceString() );

System.out.println( keys[2].getSourceString() );

Specification

public final class CollationKey extends java.lang.Object

Properties

  java.lang.String getSourceString( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  int compareTo( java.text.CollationKey target )

  boolean equals( java.lang.Object target )

  int hashCode( )

  byte[] toByteArray( )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Collator class [java.text]

RuleBasedCollator class [java.text]


Collator class [java.text] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      Collator class [java.text]

Object

Collator

Description

The Collator class performs locale-sensitive String comparison. You use this class to build searching and sorting routines for natural language text.

Collator is an abstract base class. Subclasses implement specific collation strategies. One subclass, RuleBasedCollator, is currently provided with the JDK and is applicable to a wide set of languages. Other subclasses may be created to handle more specialized needs.

Like other locale-sensitive classes, you can use the static factory method, getInstance, to obtain the appropriate Collator object for a given locale. You will only need to look at the subclasses of Collator if you need to understand the details of a particular collation strategy or if you need to modify that strategy.

The following example shows how to compare two strings using the Collator for the default locale.

// Compare two strings in the default locale

Collator myCollator = Collator.getInstance();

if( myCollator.compare("abc", "ABC") < 0 )

   System.out.println("abc is less than ABC");

else

   System.out.println("abc is greater than or equal to ABC");

You can set a Collator's strength property to determine the level of difference considered significant in comparisons. Four strengths are provided: PRIMARY, SECONDARY, TERTIARY, and IDENTICAL. The exact assignment of strengths to language features is locale dependant.  For example, in Czech, "e" and "f" are considered primary differences, while "e" and "\u00EA" are secondary differences, "e" and "E" are tertiary differences and "e" and "e" are identical. The following shows how both case and accents could be ignored for US English.

//Get the Collator for US English and set its strength to PRIMARY

Collator usCollator = Collator.getInstance(Locale.US);

usCollator.setStrength(Collator.PRIMARY);

if( usCollator.compare("abc", "ABC") == 0 ) {

   System.out.println("Strings are equivalent");

}

For comparing Strings exactly once, the compare method provides the best performance. When sorting a list of Strings however, it is generally necessary to compare each String multiple times. In this case, CollationKeys provide better performance. The CollationKey class converts a String to a series of bits that can be compared bitwise against other CollationKeys. A CollationKey is created by a Collator object for a given String.
Note: CollationKeys from different Collators can not be compared. See the class description for CollationKey for an example using CollationKeys.

Specification

public abstract class Collator extends java.lang.Object implements java.lang.Cloneable, java.io.Serializable

Constructor

protected Collator( )

Default constructor.  This constructor is protected so subclasses can get access to it. Users typically create a Collator sub-class by calling the factory method getInstance.

See also

instance property [java.text.Collator]

Variables

public static final int PRIMARY

Collator strength value.  When set, only PRIMARY differences are considered significant during comparison. The assignment of strengths to language features is locale dependant. A common example is for different base letters ("a" vs "b") to be considered a PRIMARY difference.

public static final int SECONDARY

Collator strength value.  When set, only SECONDARY and above differences are considered significant during comparison. The assignment of strengths to language features is locale dependant. A common example is for different accented forms of the same base letter ("a" vs "\u00E4") to be considered a SECONDARY difference.

public static final int TERTIARY

Collator strength value.  When set, only TERTIARY and above differences are considered significant during comparison. The assignment of strengths to language features is locale dependant. A common example is for case differences ("a" vs "A") to be considered a TERTIARY difference.

public static final int IDENTICAL

Collator strength value.  When set, all differences are considered significant during comparison. The assignment of strengths to language features is locale dependant. A common example is for control characters ("\u0001" vs "\u0002") to be considered equal at the PRIMARY, SECONDARY, and TERTIARY levels but different at the IDENTICAL level.  Additionally, differences between pre-composed accents such as "\u00C0" (A-grave) and combining accents such as "A\u0300" (A, combining-grave) will be considered significant at the tertiary level if decomposition is set to NO_DECOMPOSITION.

public static final int NO_DECOMPOSITION

Decomposition mode value. With NO_DECOMPOSITION set, accented characters will not be decomposed for collation. This provides the fastest collation but will only produce correct results for languages that do not use accents.

public static final int CANONICAL_DECOMPOSITION

Decomposition mode value. With CANONICAL_DECOMPOSITION set, characters that are canonical variants according to Unicode 2.0 will be decomposed for collation. This is the default setting and should be used to get correct collation of accented characters.

public static final int FULL_DECOMPOSITION

Decomposition mode value. With FULL_DECOMPOSITION set, both Unicode canonical variants and Unicode compatibility variants will be decomposed for collation.  This causes not only accented characters to be collated, but also characters that have special formats to be collated with their norminal form. For example, the half-width and full-width ASCII and Katakana characters are then collated together. FULL_DECOMPOSITION is the most complete and therefore the slowest decomposition mode.

Properties

  static synchronized java.util.Locale[] getAvailableLocales( )

  synchronized int getDecomposition( )

  synchronized void setDecomposition( int decompositionMode )

  static synchronized java.text.Collator getInstance( )

  synchronized int getStrength( )

  synchronized void setStrength( int newStrength )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.Object clone( )

  abstract int compare( java.lang.String source, java.lang.String target )

  boolean equals( java.lang.Object that )

  boolean equals( java.lang.String source, java.lang.String target )

  abstract java.text.CollationKey getCollationKey( java.lang.String source )

  static synchronized java.text.Collator getInstance( java.util.Locale desiredLocale )

  abstract int hashCode( )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable

See also

RuleBasedCollator class [java.text]

CollationKey class [java.text]

CollationElementIterator class [java.text]


Color class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      Color class [java.awt]

Object

Color

Description

This class encapsulates colors using the RGB format. In RGB format, the red, blue, and green components of a color are each represented by an integer in the range 0-255. The value 0 indicates no contribution from this primary color. The value 255 indicates the maximum intensity of this color component.

Although the Color class is based on the three-component RGB model, the class provides a set of convenience methods for converting between RGB and HSB colors. For a definition of the RGB and HSB color models, see Foley, van Dam, Feiner, and Hughes, Computer Graphics: Principles and Practice .

Specification

public class Color extends java.lang.Object implements java.io.Serializable

Constructors

public Color( int rgb )

Creates a color with the specified RGB value, where the red component is in bits 16-23 of the argument, the green component is in bits 8-15 of the argument, and the blue component is in bits 0-7. The value zero indicates no contribution from the primary color component.

The actual color used in rendering depends on finding the best match given the color space available for a given output device.

Parameter

rgb

an integer giving the red, green, and blue components.

See also

RGBdefault property [java.awt.image.ColorModel]

public Color( float r, float g, float b )

Creates a color with the specified red, green, and blue values, where each of the values is in the range 0.0-1.0. The value 0.0 indicates no contribution from the primary color component. The value 1.0 indicates the maximum intensity of the primary color component.

The actual color used in rendering depends on finding the best match given the color space available for a given output device.

Parameters

r

the red component

g

the red component

b

the red component

public Color( int r, int g, int b )

Creates a color with the specified red, green, and blue components. The three arguments must each be in the range 0-255.

The actual color used in rendering depends on finding the best match given the color space available for a given output device.

Parameters

r

the red component.

g

the green component.

b

the blue component.

Variables

public static final java.awt.Color white

The color white.

public static final java.awt.Color lightGray

The color light gray.

public static final java.awt.Color gray

The color gray.

public static final java.awt.Color darkGray

The color dark gray.

public static final java.awt.Color black

The color black.

public static final java.awt.Color red

The color red.

public static final java.awt.Color pink

The color pink.

public static final java.awt.Color orange

The color orange.

public static final java.awt.Color yellow

The color yellow.

public static final java.awt.Color green

The color green.

public static final java.awt.Color magenta

The color magenta.

public static final java.awt.Color cyan

The color cyan.

public static final java.awt.Color blue

The color blue.

Properties

  int getBlue( )

  int getGreen( )

  int getRed( )

  int getRGB( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.awt.Color brighter( )

  java.awt.Color darker( )

  static java.awt.Color decode( java.lang.String nm ) throws java.lang.NumberFormatException

  boolean equals( java.lang.Object obj )

  static java.awt.Color getColor( java.lang.String nm )

  static java.awt.Color getColor( java.lang.String nm, java.awt.Color v )

  static java.awt.Color getColor( java.lang.String nm, int v )

  static java.awt.Color getHSBColor( float h, float s, float b )

  int hashCode( )

  static int HSBtoRGB( float hue, float saturation, float brightness )

  static float[] RGBtoHSB( int r, int g, int b, float[] hsbvals )

  java.lang.String toString( )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


color property [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      color property [java.awt.Graphics]

public abstract java.awt.Color getColor( )

Gets this graphics context's current color.

Return

This graphics context's current color.

See also

Color class [java.awt]

public abstract void setColor( java.awt.Color c )

Sets this graphics context's current color to the specified color. All subsequent graphics operations using this graphics context use this specified color.

Parameter

c

the new rendering color.

See also

Color class [java.awt]

Applies to

 Graphics [java.awt]


ColorModel class [java.awt.image] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ColorModel class [java.awt.image]

Object

ColorModel

Description

A class that encapsulates the methods for translating from pixel values to alpha, red, green, and blue color components for an image.  This class is abstract.

Specification

public abstract class ColorModel extends java.lang.Object

Constructor

public ColorModel( int bits )

Constructs a ColorModel which describes a pixel of the specified number of bits.

Variables

protected int pixel_bits

Properties

  abstract int getAlpha( int pixel )

  abstract int getBlue( int pixel )

  abstract int getGreen( int pixel )

  int getPixelSize( )

  abstract int getRed( int pixel )

  int getRGB( int pixel )

  static java.awt.image.ColorModel getRGBdefault( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void finalize( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

See also

IndexColorModel class [java.awt.image]

DirectColorModel class [java.awt.image]


colorModel property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      colorModel property [java.awt.Component]

public java.awt.image.ColorModel getColorModel( )

Gets the instance of ColorModel used to display the component on the output device.

Return

The color model used by this component.

See also

ColorModel class [java.awt.image]

ComponentPeer interface [java.awt.peer]

colorModel property [java.awt.Toolkit]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


colorModel property [java.awt.image.ImageFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      colorModel property [java.awt.image.ImageFilter]

public void setColorModel( java.awt.image.ColorModel model )

Filter the information provided in the setColorModel method of the ImageConsumer interface.

See also

ImageConsumer interface [java.awt.image]

Applies to

 AreaAveragingScaleFilter [java.awt.image]

 CropImageFilter [java.awt.image]

 ImageFilter [java.awt.image]

 ReplicateScaleFilter [java.awt.image]

 RGBImageFilter [java.awt.image]


colorModel property [java.awt.image.PixelGrabber] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      colorModel property [java.awt.image.PixelGrabber]

public synchronized java.awt.image.ColorModel getColorModel( )

Get the ColorModel for the pixels stored in the array.  If the PixelGrabber was constructed with an explicit pixel buffer then this method will always return the default RGB ColorModel, otherwise it may return null until the ColorModel used by the ImageProducer is known. Since the PixelGrabber may fall back on accumulating the data in the default RGB ColorModel at any time if the source image uses more than one ColorModel to deliver the data, the ColorModel object returned by this method may change over time until the image grab is complete.

Return

The ColorModel object used for storing the pixels.

See also

status property [java.awt.image.PixelGrabber]

RGBdefault property [java.awt.image.ColorModel]

public void setColorModel( java.awt.image.ColorModel model )

The setColorModel method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

Applies to

 PixelGrabber [java.awt.image]


colorModel property [java.awt.image.RGBImageFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      colorModel property [java.awt.image.RGBImageFilter]

Overloads:

  void setColorModel( ColorModel model ) overrides colorModel property [java.awt.image.ImageFilter]

public void setColorModel( java.awt.image.ColorModel model )

If the ColorModel is an IndexColorModel, and the subclass has set the canFilterIndexColorModel flag to true, we substitute a filtered version of the color model here and wherever that original ColorModel object appears in the setPixels methods. Otherwise overrides the default ColorModel used by the ImageProducer and specifies the default RGB ColorModel instead.

See also

ImageConsumer interface [java.awt.image]

RGBdefault property [java.awt.image.ColorModel]

Applies to

 RGBImageFilter [java.awt.image]


colorModel property [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      colorModel property [java.awt.Toolkit]

public abstract java.awt.image.ColorModel getColorModel( )

Determines the color model of this toolkit's screen.

ColorModel is an abstract class that encapsulates the ability to translate between the pixel values of an image and its red, green, blue, and alpha components.

This toolkit method is called by the getColorModel method of the Component class.

Return

The color model of this toolkit's screen.

See also

ColorModel class [java.awt.image]

colorModel property [java.awt.Component]

Applies to

 Toolkit [java.awt]


columns property [java.awt.GridLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      columns property [java.awt.GridLayout]

public int getColumns( )

Gets the number of columns in this layout.

Return

The number of columns in this layout.

public void setColumns( int cols )

Sets the number of columns in this layout to the specified value. Setting the number of columns has no affect on the layout if the number of rows specified by a constructor or by the setRows method is non-zero. In that case, the number of columns displayed in the layout is determined by the total number of components and the number of rows specified.

Parameter

cols

the number of columns in this layout.

Throws

IllegalArgumentException

If the value of both rows and cols is set to zero.

Applies to

 GridLayout [java.awt]


columns property [java.awt.TextArea] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      columns property [java.awt.TextArea]

public int getColumns( )

Gets the number of columns in this text area.

Return

The number of columns in the text area.

See also

rows property [java.awt.TextArea]

public void setColumns( int columns )

Sets the number of columns for this text area.

Parameter

columns

the number of columns.

Throws

IllegalArgumentException

If the value supplied for columns is less than zero.

See also

rows property [java.awt.TextArea]

Applies to

 TextArea [java.awt]


columns property [java.awt.TextField] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      columns property [java.awt.TextField]

public int getColumns( )

Gets the number of columns in this text field.

Return

The number of columns.

public synchronized void setColumns( int columns )

Sets the number of columns in this text field.

Parameter

columns

the number of columns.

Throws

IllegalArgumentException

If the value supplied for columns is less than zero.

Applies to

 TextField [java.awt]


command method [java.lang.Compiler] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      command method [java.lang.Compiler]

public static native java.lang.Object command( java.lang.Object any )

Examines the argument type and its fields and perform some documented operation. No specific operations are required.

Parameter

any

an argument.

Return

A compiler-specific value, or null if no compiler is available.

Applies to

 Compiler [java.lang]


comment property [java.util.zip.ZipEntry] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      comment property [java.util.zip.ZipEntry]

public java.lang.String getComment( )

Returns the comment string for the entry, or null if none.

Return

No documentation supplied in JDK.

public void setComment( java.lang.String comment )

Sets the optional comment string for the entry.

Parameter

comment

the comment string

Throws

IllegalArgumentException

If the length of the specified comment string is greater than 0xFFFF bytes.

Applies to

 ZipEntry [java.util.zip]


comment property [java.util.zip.ZipOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      comment property [java.util.zip.ZipOutputStream]

public void setComment( java.lang.String comment )

Sets the ZIP file comment.

Parameter

comment

the comment string

Throws

IllegalArgumentException

If the length of the specified ZIP file comment is greater than 0xFFFF bytes.

Applies to

 ZipOutputStream [java.util.zip]


commentChar method [java.io.StreamTokenizer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      commentChar method [java.io.StreamTokenizer]

public void commentChar( int ch )

Specified that the character argument starts a single-line comment. All characters from the comment character to the end of the line are ignored by this stream tokenizer.

Parameter

ch

the character.

Applies to

 StreamTokenizer [java.io]


compare method [java.text.Collator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      compare method [java.text.Collator]

public abstract int compare( java.lang.String source, java.lang.String target )

Compares the source string to the target string according to the collation rules for this Collator.  Returns an integer less than, equal to or greater than zero depending on whether the source String is less than, equal to or greater than the target string.  See the Collator class description for an example of use.

For a one time comparison, this method has the best performance. If a given String will be involved in multiple comparisons, CollationKey.compareTo has the best performance. See the Collator class description for an example using CollationKeys.

Parameters

source

the source string.

target

the target string.

Return

Returns an integer value. Value is less than zero if source is less than target, value is zero if source and target are equal, value is greater than zero if source is greater than target.

See also

CollationKey class [java.text]

getCollationKey method [java.text.Collator]

Applies to

 Collator [java.text]

 RuleBasedCollator [java.text]


compare method [java.text.RuleBasedCollator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      compare method [java.text.RuleBasedCollator]

Overloads:

 int compare( String source, String target ) overrides compare method [java.text.Collator]

public int compare( java.lang.String source, java.lang.String target )

Compares the character data stored in two different strings based on the collation rules.  Returns information about whether a string is less than, greater than or equal to another string in a language. This can be overriden in a subclass.

Return

No documentation supplied in JDK.

Applies to

 RuleBasedCollator [java.text]


compareTo method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      compareTo method [java.lang.String]

public int compareTo( java.lang.String anotherString )

Compares two strings lexicographically. The comparison is based on the Unicode value of each character in the strings.

Parameter

anotherString

the String to be compared.

Return

The value 0 if the argument string is equal to this string; a value less than 0 if this string is lexicographically less than the string argument; and a value greater than 0 if this string is lexicographically greater than the string argument.

Applies to

 String [java.lang]


compareTo method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      compareTo method [java.math.BigDecimal]

public int compareTo( java.math.BigDecimal val )

Returns -1, 0 or 1 as this number is less than, equal to, or greater than val.  Two BigDecimals that are equal in value but have a different scale (e.g., 2.0, 2.00) are considered equal by this method. This method is provided in preference to individual methods for each of the six boolean comparison operators (<, ==, >, >=, !=, <=).  The suggested idiom for performing these comparisons is:  (x.compareTo(y) <op> 0), where <op> is one of the six comparison operators.

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


compareTo method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      compareTo method [java.math.BigInteger]

public int compareTo( java.math.BigInteger val )

Returns -1, 0 or 1 as this number is less than, equal to, or greater than val.  This method is provided in preference to individual methods for each of the six boolean comparison operators (<, ==, >, >=, !=, <=).  The suggested idiom for performing these comparisons is:  (x.compareTo(y) <op> 0), where <op> is one of the six comparison operators.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


compareTo method [java.text.CollationKey] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      compareTo method [java.text.CollationKey]

public int compareTo( java.text.CollationKey target )

Compare this CollationKey to the target CollationKey. The collation rules of the Collator object which created these keys are applied. Note: CollationKeys created by different Collators can not be compared.

Parameter

target

target CollationKey

Return

Returns an integer value. Value is less than zero if this is less than target, value is zero if this and target are equal and value is greater than zero if this is greater than target.

See also

compare method [java.text.Collator]

Applies to

 CollationKey [java.text]


compileClass method [java.lang.Compiler] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      compileClass method [java.lang.Compiler]

public static native boolean compileClass( java.lang.Class clazz )

Compiles the specified class.

Parameter

clazz

a class.

Return

true if the compilation succeeded; false if the compilation failed or no compiler is available.

Applies to

 Compiler [java.lang]


compileClasses method [java.lang.Compiler] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      compileClasses method [java.lang.Compiler]

public static native boolean compileClasses( java.lang.String string )

Compiles all classes whose name matches the specified string.

Parameter

string

the name of the classes to compile.

Return

true if the compilation succeeded; false if the compilation failed or no compiler is available.

Applies to

 Compiler [java.lang]


Compiler class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      Compiler class [java.lang]

Object

Compiler

Description

The Compiler class is provided to support Java-to-native-code compilers and related services. By design, the Compiler class does nothing; it serves as a placeholder for a JIT compiler implementation.

When the Java Virtual Machine first starts, it determines if the system property java.compiler exists. (System properties are accessible through getProperty  and , a method defined by the System class.) If so, it is assumed to be the name of a library (with a platform-dependent exact location and type); the loadLibrary method in class System is called to load that library. If this loading succeeds, the function named java_lang_Compiler_start() in that library is called.

If no compiler is available, these methods do nothing.

Specification

public final class Compiler extends java.lang.Object

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  static native java.lang.Object command( java.lang.Object any )

  static native boolean compileClass( java.lang.Class clazz )

  static native boolean compileClasses( java.lang.String string )

  static native void disable( )

  static native void enable( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

getProperty method [java.lang.System]

loadLibrary method [java.lang.System]


complete method [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      complete method [java.util.Calendar]

protected void complete( )

Fills in any unset fields in the time field list.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


Component class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      Component class [java.awt]

Object

Component

Description

A component is an object having a graphical representation that can be displayed on the screen and that can interact with the user. Examples of components are the buttons, checkboxes, and scrollbars of a typical graphical user interface.

The Component class is the abstract superclass of the nonmenu-related Abstract Window Toolkit components. Class Component can also be extended directly to create a lightweight component. A lightweight component is a component that is not associated with a native opaque window.

Specification

public abstract class Component extends java.lang.Object implements java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

Constructor

protected Component( )

Constructs a new component. Class Component can be extended directly to create a lightweight component that does not utilize an opaque native window. A lightweight component must be hosted by a native container somewhere higher up in the component tree (for example, by a Frame object).

Variables

public static final float TOP_ALIGNMENT

Ease-of-use constant for getAlignmentY().  Specifies an alignment to the top of the component.

public static final float CENTER_ALIGNMENT

Ease-of-use constant for getAlignmentY and getAlignmentX. Specifies an alignment to the center of the component.

public static final float BOTTOM_ALIGNMENT

Ease-of-use constant for getAlignmentY.  Specifies an alignment to the bottom of the component.

public static final float LEFT_ALIGNMENT

Ease-of-use constant for getAlignmentX.  Specifies an alignment to the left side of the component.

public static final float RIGHT_ALIGNMENT

Ease-of-use constant for getAlignmentX.  Specifies an alignment to the right side of the component.

Properties

  float getAlignmentX( )

  float getAlignmentY( )

  java.awt.Color getBackground( )

  void setBackground( java.awt.Color c )

  java.awt.Rectangle getBounds( )

  void setBounds( java.awt.Rectangle r )

  java.awt.image.ColorModel getColorModel( )

  java.awt.Cursor getCursor( )

  synchronized void setCursor( java.awt.Cursor cursor )

  void setEnabled( boolean b )

  boolean isEnabled( )

  boolean isFocusTraversable( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.awt.Color getForeground( )

  void setForeground( java.awt.Color c )

  java.awt.Graphics getGraphics( )

  java.util.Locale getLocale( )

  void setLocale( java.util.Locale l )

  java.awt.Point getLocation( )

  void setLocation( java.awt.Point p )

  void setLocation( int x, int y )

  java.awt.Point getLocationOnScreen( )

  java.awt.Dimension getMaximumSize( )

  java.awt.Dimension getMinimumSize( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.Container getParent( )

  java.awt.peer.ComponentPeer getPeer( )

  java.awt.Dimension getPreferredSize( )

  boolean isShowing( )

  java.awt.Dimension getSize( )

  void setSize( java.awt.Dimension d )

  void setSize( int width, int height )

  java.awt.Toolkit getToolkit( )

  final java.lang.Object getTreeLock( )

  boolean isValid( )

  void setVisible( boolean b )

  boolean isVisible( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  boolean action( java.awt.Event evt, java.lang.Object what )

  synchronized void add( java.awt.PopupMenu popup )

  void addNotify( )

  java.awt.Rectangle bounds( )

  int checkImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean contains( int x, int y )

  boolean contains( java.awt.Point p )

  java.awt.Image createImage( java.awt.image.ImageProducer producer )

  java.awt.Image createImage( int width, int height )

  void deliverEvent( java.awt.Event e )

  void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  void doLayout( )

  void enable( boolean b )

  void enable( )

  java.awt.Component getComponentAt( int x, int y )

  java.awt.Component getComponentAt( java.awt.Point p )

  java.awt.FontMetrics getFontMetrics( java.awt.Font font )

  boolean gotFocus( java.awt.Event evt, java.lang.Object what )

  boolean handleEvent( java.awt.Event evt )

  void hide( )

  boolean imageUpdate( java.awt.Image img, int flags, int x, int y, int w, int h )

  boolean inside( int x, int y )

  void invalidate( )

  boolean keyDown( java.awt.Event evt, int key )

  boolean keyUp( java.awt.Event evt, int key )

  void layout( )

  void list( )

  void list( java.io.PrintStream out, int indent )

  void list( java.io.PrintWriter out, int indent )

  void list( java.io.PrintWriter out )

  void list( java.io.PrintStream out )

  java.awt.Component locate( int x, int y )

  java.awt.Point location( )

  boolean lostFocus( java.awt.Event evt, java.lang.Object what )

  java.awt.Dimension minimumSize( )

  boolean mouseDown( java.awt.Event evt, int x, int y )

  boolean mouseDrag( java.awt.Event evt, int x, int y )

  boolean mouseEnter( java.awt.Event evt, int x, int y )

  boolean mouseExit( java.awt.Event evt, int x, int y )

  boolean mouseMove( java.awt.Event evt, int x, int y )

  boolean mouseUp( java.awt.Event evt, int x, int y )

  void move( int x, int y )

  void nextFocus( )

  void paint( java.awt.Graphics g )

  void paintAll( java.awt.Graphics g )

  boolean postEvent( java.awt.Event e )

  java.awt.Dimension preferredSize( )

  boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean prepareImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  void print( java.awt.Graphics g )

  void printAll( java.awt.Graphics g )

  synchronized void remove( java.awt.MenuComponent popup )

  void removeNotify( )

  void repaint( long tm )

  void repaint( long tm, int x, int y, int width, int height )

  void repaint( int x, int y, int width, int height )

  void repaint( )

  void requestFocus( )

  void reshape( int x, int y, int width, int height )

  void resize( java.awt.Dimension d )

  void resize( int width, int height )

  void setBounds( int x, int y, int width, int height )

  void show( boolean b )

  void show( )

  java.awt.Dimension size( )

  java.lang.String toString( )

  void transferFocus( )

  void update( java.awt.Graphics g )

  void validate( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected java.lang.String paramString( )

 protected void processComponentEvent( java.awt.event.ComponentEvent e )

 protected void processEvent( java.awt.AWTEvent e )

 protected void processFocusEvent( java.awt.event.FocusEvent e )

 protected void processKeyEvent( java.awt.event.KeyEvent e )

 protected void processMouseEvent( java.awt.event.MouseEvent e )

 protected void processMouseMotionEvent( java.awt.event.MouseEvent e )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

Events

  synchronized void addComponentListener( java.awt.event.ComponentListener l )

  synchronized void removeComponentListener( java.awt.event.ComponentListener l )

  synchronized void addFocusListener( java.awt.event.FocusListener l )

  synchronized void removeFocusListener( java.awt.event.FocusListener l )

  synchronized void addKeyListener( java.awt.event.KeyListener l )

  synchronized void removeKeyListener( java.awt.event.KeyListener l )

  synchronized void addMouseListener( java.awt.event.MouseListener l )

  synchronized void removeMouseListener( java.awt.event.MouseListener l )

  synchronized void addMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void removeMouseMotionListener( java.awt.event.MouseMotionListener l )


component property [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      component property [java.awt.Container]

public java.awt.Component getComponent( int n )

Gets the nth component in this container.

Parameter

n

the index of the component to get.

Return

The nth component in this container.

Throws

ArrayIndexOutOfBoundsException

If the nth value does not exist.

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


component property [java.awt.event.ComponentEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      component property [java.awt.event.ComponentEvent]

public java.awt.Component getComponent( )

Returns the component where this event originated.

Return

No documentation supplied in JDK.

Applies to

 ComponentEvent [java.awt.event]

 ContainerEvent [java.awt.event]

 FocusEvent [java.awt.event]

 InputEvent [java.awt.event]

 KeyEvent [java.awt.event]

 MouseEvent [java.awt.event]

 PaintEvent [java.awt.event]

 WindowEvent [java.awt.event]


ComponentAdapter class [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ComponentAdapter class [java.awt.event]

Object

ComponentAdapter

Description

The adapter which receives component events. The methods in this class are empty;  this class is provided as a convenience for easily creating listeners by extending this class and overriding only the methods of interest.

Specification

public abstract class ComponentAdapter extends java.lang.Object implements java.awt.event.ComponentListener

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void componentHidden( java.awt.event.ComponentEvent e )

  void componentMoved( java.awt.event.ComponentEvent e )

  void componentResized( java.awt.event.ComponentEvent e )

  void componentShown( java.awt.event.ComponentEvent e )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


componentAdded method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      componentAdded method [java.awt.AWTEventMulticaster]

public void componentAdded( java.awt.event.ContainerEvent e )

Handles the componentAdded container event by invoking the componentAdded methods on listener-a and listener-b.

Parameter

e

the component event

Applies to

 AWTEventMulticaster [java.awt]


componentAdded method [java.awt.event.ContainerAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      componentAdded method [java.awt.event.ContainerAdapter]

public void componentAdded( java.awt.event.ContainerEvent e )

Applies to

 ContainerAdapter [java.awt.event]


componentCount property [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      componentCount property [java.awt.Container]

public int getComponentCount( )

Gets the number of components in this panel.

Return

The number of components in this panel.

See also

component property [java.awt.Container]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


ComponentEvent class [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ComponentEvent class [java.awt.event]

Object

EventObject

AWTEvent

ComponentEvent

Description

The root event class for all component-level events. These events are provided for notification purposes ONLY; The AWT will automatically handle component moves and resizes internally so that GUI layout works properly regardless of whether a program is receiving these events or not.

Specification

public class ComponentEvent extends java.awt.AWTEvent

Constructor

public ComponentEvent( java.awt.Component source, int id )

Constructs a ComponentEvent object with the specified source component and type.

Parameter

source

the component where the event originated

Variables

public static final int COMPONENT_FIRST

Marks the first integer id for the range of component event ids.

public static final int COMPONENT_LAST

Marks the last integer id for the range of component event ids.

public static final int COMPONENT_MOVED

The component moved event type.

public static final int COMPONENT_RESIZED

The component resized event type.

public static final int COMPONENT_SHOWN

The component shown event type.

public static final int COMPONENT_HIDDEN

The component hidden event type.

Properties

  java.awt.Component getComponent( )

Inherited Properties

  native final java.lang.Class getClass( )

  int getID( )

  java.lang.Object getSource( )

Protected Properties

 protected boolean isConsumed( )

Methods

  java.lang.String paramString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void consume( )

 protected void finalize( ) throws java.lang.Throwable

See also

ComponentListener interface [java.awt.event]


ComponentEvent event [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ComponentEvent event [java.awt.Component]

public synchronized void addComponentListener( java.awt.event.ComponentListener l )

Adds the specified component listener to receive component events from this component.

Parameter

l

the component listener.

See also

ComponentEvent class [java.awt.event]

ComponentListener interface [java.awt.event]

public synchronized void removeComponentListener( java.awt.event.ComponentListener l )

Removes the specified component listener so that it no longer receives component events from this component.

Parameter

l

the component listener.

See also

ComponentEvent class [java.awt.event]

ComponentListener interface [java.awt.event]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


componentHidden method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      componentHidden method [java.awt.AWTEventMulticaster]

public void componentHidden( java.awt.event.ComponentEvent e )

Handles the componentHidden event by invoking the componentHidden methods on listener-a and listener-b.

Parameter

e

the component event

Applies to

 AWTEventMulticaster [java.awt]


componentHidden method [java.awt.event.ComponentAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      componentHidden method [java.awt.event.ComponentAdapter]

public void componentHidden( java.awt.event.ComponentEvent e )

Applies to

 ComponentAdapter [java.awt.event]


ComponentListener interface [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ComponentListener interface [java.awt.event]

Description

The listener interface for receiving component events. Component events are provided for notification purposes ONLY; The AWT will automatically handle component moves and resizes internally so that GUI layout works properly regardless of whether a program registers a ComponentListener or not.

Definition

public interface ComponentListener extends java.util.EventListener

{

  // Methods

  public void componentResized( java.awt.event.ComponentEvent e );

  public void componentMoved( java.awt.event.ComponentEvent e );

  public void componentShown( java.awt.event.ComponentEvent e );

  public void componentHidden( java.awt.event.ComponentEvent e );

}

Methods

public void componentResized( java.awt.event.ComponentEvent e )

Invoked when component has been resized.

public void componentMoved( java.awt.event.ComponentEvent e )

Invoked when component has been moved.

public void componentShown( java.awt.event.ComponentEvent e )

Invoked when component has been shown.

public void componentHidden( java.awt.event.ComponentEvent e )

Invoked when component has been hidden.

Implemented by

AWTEventMulticaster [java.awt]	ComponentAdapter [java.awt.event]


componentMoved method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      componentMoved method [java.awt.AWTEventMulticaster]

public void componentMoved( java.awt.event.ComponentEvent e )

Handles the componentMoved event by invoking the componentMoved methods on listener-a and listener-b.

Parameter

e

the component event

Applies to

 AWTEventMulticaster [java.awt]


componentMoved method [java.awt.event.ComponentAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      componentMoved method [java.awt.event.ComponentAdapter]

public void componentMoved( java.awt.event.ComponentEvent e )

Applies to

 ComponentAdapter [java.awt.event]


ComponentPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ComponentPeer interface [java.awt.peer]

Definition

public interface ComponentPeer

{

  // Properties

  public void setVisible( boolean b );

  public void setEnabled( boolean b );

  public java.awt.Point getLocationOnScreen( );

  public java.awt.Dimension getPreferredSize( );

  public java.awt.Dimension getMinimumSize( );

  public java.awt.image.ColorModel getColorModel( );

  public java.awt.Toolkit getToolkit( );

  public java.awt.Graphics getGraphics( );

  public void setForeground( java.awt.Color c );

  public void setBackground( java.awt.Color c );

  public void setFont( java.awt.Font f );

  public void setCursor( java.awt.Cursor cursor );

  public boolean isFocusTraversable( );

  // Methods

  public void paint( java.awt.Graphics g );

  public void repaint( long tm, int x, int y, int width, int height );

  public void print( java.awt.Graphics g );

  public void setBounds( int x, int y, int width, int height );

  public void handleEvent( java.awt.AWTEvent e );

  public java.awt.FontMetrics getFontMetrics( java.awt.Font font );

  public void dispose( );

  public void requestFocus( );

  public java.awt.Image createImage( java.awt.image.ImageProducer producer );

  public java.awt.Image createImage( int width, int height );

  public boolean prepareImage( java.awt.Image img, int w, int h, java.awt.image.ImageObserver o );

  public int checkImage( java.awt.Image img, int w, int h, java.awt.image.ImageObserver o );

  public java.awt.Dimension preferredSize( );

  public java.awt.Dimension minimumSize( );

  public void show( );

  public void hide( );

  public void enable( );

  public void disable( );

  public void reshape( int x, int y, int width, int height );

}

Properties

public void setVisible( boolean b )

public void setEnabled( boolean b )

public java.awt.Point getLocationOnScreen( )

public java.awt.Dimension getPreferredSize( )

public java.awt.Dimension getMinimumSize( )

public java.awt.image.ColorModel getColorModel( )

public java.awt.Toolkit getToolkit( )

public java.awt.Graphics getGraphics( )

public void setForeground( java.awt.Color c )

public void setBackground( java.awt.Color c )

public void setFont( java.awt.Font f )

public void setCursor( java.awt.Cursor cursor )

public boolean isFocusTraversable( )

Methods

public void paint( java.awt.Graphics g )

public void repaint( long tm, int x, int y, int width, int height )

public void print( java.awt.Graphics g )

public void setBounds( int x, int y, int width, int height )

public void handleEvent( java.awt.AWTEvent e )

public java.awt.FontMetrics getFontMetrics( java.awt.Font font )

public void dispose( )

public void requestFocus( )

public java.awt.Image createImage( java.awt.image.ImageProducer producer )

public java.awt.Image createImage( int width, int height )

public boolean prepareImage( java.awt.Image img, int w, int h, java.awt.image.ImageObserver o )

public int checkImage( java.awt.Image img, int w, int h, java.awt.image.ImageObserver o )

public java.awt.Dimension preferredSize( )

DEPRECATED:  Replaced by getPreferredSize().

Return

No documentation supplied in JDK.

public java.awt.Dimension minimumSize( )

DEPRECATED:  Replaced by getMinimumSize().

Return

No documentation supplied in JDK.

public void show( )

DEPRECATED:  Replaced by setVisible(boolean).

public void hide( )

DEPRECATED:  Replaced by setVisible(boolean).

public void enable( )

DEPRECATED:  Replaced by setEnabled(boolean).

public void disable( )

DEPRECATED:  Replaced by setEnabled(boolean).

public void reshape( int x, int y, int width, int height )

DEPRECATED:  Replaced by setBounds(int, int, int, int).


componentRemoved method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      componentRemoved method [java.awt.AWTEventMulticaster]

public void componentRemoved( java.awt.event.ContainerEvent e )

Handles the componentRemoved container event by invoking the componentRemoved methods on listener-a and listener-b.

Parameter

e

the component event

Applies to

 AWTEventMulticaster [java.awt]


componentRemoved method [java.awt.event.ContainerAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      componentRemoved method [java.awt.event.ContainerAdapter]

public void componentRemoved( java.awt.event.ContainerEvent e )

Applies to

 ContainerAdapter [java.awt.event]


componentResized method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      componentResized method [java.awt.AWTEventMulticaster]

public void componentResized( java.awt.event.ComponentEvent e )

Handles the componentResized event by invoking the componentResized methods on listener-a and listener-b.

Parameter

e

the component event

Applies to

 AWTEventMulticaster [java.awt]


componentResized method [java.awt.event.ComponentAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      componentResized method [java.awt.event.ComponentAdapter]

public void componentResized( java.awt.event.ComponentEvent e )

Applies to

 ComponentAdapter [java.awt.event]


components property [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      components property [java.awt.Container]

public java.awt.Component[] getComponents( )

Gets all the components in this container.

Return

An array of all the components in this container.

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


componentShown method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      componentShown method [java.awt.AWTEventMulticaster]

public void componentShown( java.awt.event.ComponentEvent e )

Handles the componentShown event by invoking the componentShown methods on listener-a and listener-b.

Parameter

e

the component event

Applies to

 AWTEventMulticaster [java.awt]


componentShown method [java.awt.event.ComponentAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      componentShown method [java.awt.event.ComponentAdapter]

public void componentShown( java.awt.event.ComponentEvent e )

Applies to

 ComponentAdapter [java.awt.event]


componentType property [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      componentType property [java.lang.Class]

public native java.lang.Class getComponentType( )

If this class represents an array type, returns the Class object representing the component type of the array; otherwise returns null.

Return

No documentation supplied in JDK.

See also

Array class [java.lang.reflect]

Applies to

 Class [java.lang]


compressedSize property [java.util.zip.ZipEntry] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      compressedSize property [java.util.zip.ZipEntry]

public long getCompressedSize( )

Returns the compressed size of the entry data, or -1 if not known. In the case of a stored entry, the compressed size will be the same as the uncompressed size of the entry.

Return

No documentation supplied in JDK.

Applies to

 ZipEntry [java.util.zip]


computeFields method [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      computeFields method [java.util.Calendar]

protected abstract void computeFields( )

Converts UTC as milliseconds to time field values. This allows you to sync up the time field values with a new time that is set for the calendar.  The time is not recomputed first; to recompute the time, then the fields, call the complete method.

See also

complete method [java.util.Calendar]

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


computeFields method [java.util.GregorianCalendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      computeFields method [java.util.GregorianCalendar]

Overloads:

 void computeFields( ) overrides computeFields method [java.util.Calendar]

protected void computeFields( )

Overrides Calendar Converts UTC as milliseconds to time field values. The time is not recomputed first; to recompute the time, then the fields, call the complete method.

See also

complete method [java.util.Calendar]

Applies to

 GregorianCalendar [java.util]


computeTime method [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      computeTime method [java.util.Calendar]

protected abstract void computeTime( )

Converts Calendar's time field values to UTC as milliseconds.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


computeTime method [java.util.GregorianCalendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      computeTime method [java.util.GregorianCalendar]

Overloads:

 void computeTime( ) overrides computeTime method [java.util.Calendar]

protected void computeTime( )

Overrides Calendar Converts time field values to UTC as milliseconds.

Throws

IllegalArgumentException

If any fields are invalid.

Applies to

 GregorianCalendar [java.util]


concat method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      concat method [java.lang.String]

public java.lang.String concat( java.lang.String str )

Concatenates the specified string to the end of this string.

If the length of the argument string is 0, then this object is returned.

Parameter

str

the String that is concatenated to the end of this String.

Return

A string that represents the concatenation of this object's characters followed by the string argument's characters.

Applies to

 String [java.lang]


connect method [java.io.PipedInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      connect method [java.io.PipedInputStream]

public void connect( java.io.PipedOutputStream src ) throws java.io.IOException

Connects this piped input stream to a sender.

Parameter

src

The piped output stream to connect to.

Throws

IOException

If an I/O error occurs.

Applies to

 PipedInputStream [java.io]


connect method [java.io.PipedOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      connect method [java.io.PipedOutputStream]

public void connect( java.io.PipedInputStream snk ) throws java.io.IOException

Connects this piped output stream to a receiver.

Parameter

snk

the piped output stream to connect to.

Throws

IOException

If an I/O error occurs.

Applies to

 PipedOutputStream [java.io]


connect method [java.io.PipedReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      connect method [java.io.PipedReader]

public void connect( java.io.PipedWriter src ) throws java.io.IOException

Connect the specified piped writer to this reader.

Throws

IOException

If this reader is already connected.

Applies to

 PipedReader [java.io]


connect method [java.io.PipedWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      connect method [java.io.PipedWriter]

public void connect( java.io.PipedReader sink ) throws java.io.IOException

Connect the specified piped reader to this writer.

Applies to

 PipedWriter [java.io]


connect method [java.net.SocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      connect method [java.net.SocketImpl]

Overloads:

 void connect( InetAddress address, int port )

 void connect( String host, int port )

protected abstract void connect( java.net.InetAddress address, int port ) throws java.io.IOException

Connects this socket to the specified port number on the specified host.

Parameters

address

the IP address of the remote host.

port

the port number.

Throws

IOException

If an I/O error occurs when attempting a connection.

protected abstract void connect( java.lang.String host, int port ) throws java.io.IOException

Connects this socket to the specified port on the named host.

Parameters

host

the name of the remote host.

port

the port number.

Throws

IOException

If an I/O error occurs when connecting to the remote host.

Applies to

 SocketImpl [java.net]


connect method [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      connect method [java.net.URLConnection]

public abstract void connect( ) throws java.io.IOException

Opens a communications link to the resource referenced by this URL, if such a connection has not already been established.

If the connect method is called when the connection has already been opened (indicated by the connected field having the value true), the call is ignored.

URLConnection objects go through two phases: first they are created, then they are connected.  After being created, and before being connected, various options can be specified (e.g., doInput and UseCaches).  After connecting, it is an error to try to set them.  Operations that depend on being connected, like getContentLength, will implicitly perform the connection, if necessary.

Throws

IOException

If an I/O error occurs while opening the connection.

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


ConnectException class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ConnectException class [java.net]

Object

Throwable

Exception

IOException

SocketException

ConnectException

Description

Signals that an error occurred while attempting to connect a socket to a remote address and port.  Typically, the connection was refused remotely (e.g., no process is listening on the remote address/port).

Specification

public class ConnectException extends java.net.SocketException

Constructors

public ConnectException( )

Construct a new ConnectException with no detailed message.

public ConnectException( java.lang.String msg )

Constructs a new ConnectException with the specified detail message as to why the connect error occurred. A detail message is a String that gives a specific description of this error.

Parameter

msg

the detail message

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


ConnectException class [java.rmi] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ConnectException class [java.rmi]

Object

Throwable

Exception

IOException

RemoteException

ConnectException

Specification

public class ConnectException extends java.rmi.RemoteException

Constructors

public ConnectException( java.lang.String s )

Create A remote exception with the specified string

public ConnectException( java.lang.String s, java.lang.Exception ex )

Create A remote exception with the specified string, and the exception specified.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


ConnectIOException class [java.rmi] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ConnectIOException class [java.rmi]

Object

Throwable

Exception

IOException

RemoteException

ConnectIOException

Specification

public class ConnectIOException extends java.rmi.RemoteException

Constructors

public ConnectIOException( java.lang.String s )

Create A remote exception with the specified string

public ConnectIOException( java.lang.String s, java.lang.Exception ex )

Create A remote exception with the specified string, and the exception specified.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


Connection interface [java.sql] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      Connection interface [java.sql]

Description

A Connection represents a session with a specific database. Within the context of a Connection, SQL statements are executed and results are returned.

A Connection's database is able to provide information describing its tables, its supported SQL grammar, its stored procedures, the capabilities of this connection, etc. This information is obtained with the getMetaData method.

Note: By default the Connection automatically commits changes after executing each statement. If auto commit has been disabled, an explicit commit must be done or database changes will not be saved.

Definition

public interface Connection

{

  // Variables

  public int TRANSACTION_NONE;

  public int TRANSACTION_READ_UNCOMMITTED;

  public int TRANSACTION_READ_COMMITTED;

  public int TRANSACTION_REPEATABLE_READ;

  public int TRANSACTION_SERIALIZABLE;

  // Properties

  public boolean getAutoCommit( ) throws java.sql.SQLException;

  public void setAutoCommit( boolean autoCommit ) throws java.sql.SQLException;

  public boolean isClosed( ) throws java.sql.SQLException;

  public java.sql.DatabaseMetaData getMetaData( ) throws java.sql.SQLException;

  public void setReadOnly( boolean readOnly ) throws java.sql.SQLException;

  public boolean isReadOnly( ) throws java.sql.SQLException;

  public java.lang.String getCatalog( ) throws java.sql.SQLException;

  public void setCatalog( java.lang.String catalog ) throws java.sql.SQLException;

  public int getTransactionIsolation( ) throws java.sql.SQLException;

  public void setTransactionIsolation( int level ) throws java.sql.SQLException;

  public java.sql.SQLWarning getWarnings( ) throws java.sql.SQLException;

  // Methods

  public java.sql.Statement createStatement( ) throws java.sql.SQLException;

  public java.sql.PreparedStatement prepareStatement( java.lang.String sql ) throws java.sql.SQLException;

  public java.sql.CallableStatement prepareCall( java.lang.String sql ) throws java.sql.SQLException;

  public java.lang.String nativeSQL( java.lang.String sql ) throws java.sql.SQLException;

  public void commit( ) throws java.sql.SQLException;

  public void rollback( ) throws java.sql.SQLException;

  public void close( ) throws java.sql.SQLException;

  public void clearWarnings( ) throws java.sql.SQLException;

}

Variables

public int TRANSACTION_NONE

Transactions are not supported.

public int TRANSACTION_READ_UNCOMMITTED

Dirty reads, non-repeatable reads and phantom reads can occur.

public int TRANSACTION_READ_COMMITTED

Dirty reads are prevented; non-repeatable reads and phantom reads can occur.

public int TRANSACTION_REPEATABLE_READ

Dirty reads and non-repeatable reads are prevented; phantom reads can occur.

public int TRANSACTION_SERIALIZABLE

Dirty reads, non-repeatable reads and phantom reads are prevented.

Properties

public boolean getAutoCommit( ) throws java.sql.SQLException

Get the current auto-commit state.

Return

Current state of auto-commit mode.

Throws

SQLException

If a database-access error occurs.

See also

Connection interface [java.sql]

public void setAutoCommit( boolean autoCommit ) throws java.sql.SQLException

If a connection is in auto-commit mode, then all its SQL statements will be executed and committed as individual transactions.  Otherwise, its SQL statements are grouped into transactions that are terminated by either commit() or rollback().  By default, new connections are in auto-commit mode. The commit occurs when the statement completes or the next execute occurs, whichever comes first. In the case of statements returning a ResultSet, the statement completes when the last row of the ResultSet has been retrieved or the ResultSet has been closed. In advanced cases, a single statement may return multiple results as well as output parameter values. Here the commit occurs when all results and output param values have been retrieved.

Parameter

autoCommit

true enables auto-commit; false disables auto-commit.

Throws

SQLException

If a database-access error occurs.

public boolean isClosed( ) throws java.sql.SQLException

Tests to see if a Connection is closed.

Return

True if the connection is closed; false if it's still open.

Throws

SQLException

If a database-access error occurs.

public java.sql.DatabaseMetaData getMetaData( ) throws java.sql.SQLException

A Connection's database is able to provide information describing its tables, its supported SQL grammar, its stored procedures, the capabilities of this connection, etc. This information is made available through a DatabaseMetaData object.

Return

A DatabaseMetaData object for this Connection.

Throws

SQLException

If a database-access error occurs.

public void setReadOnly( boolean readOnly ) throws java.sql.SQLException

You can put a connection in read-only mode as a hint to enable database optimizations.

Note: setReadOnly cannot be called while in the middle of a transaction.

Parameter

readOnly

true enables read-only mode; false disables read-only mode.

Throws

SQLException

If a database-access error occurs.

public boolean isReadOnly( ) throws java.sql.SQLException

Tests to see if the connection is in read-only mode.

Return

True if connection is read-only.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getCatalog( ) throws java.sql.SQLException

Return the Connection's current catalog name.

Return

The current catalog name or null.

Throws

SQLException

If a database-access error occurs.

public void setCatalog( java.lang.String catalog ) throws java.sql.SQLException

A sub-space of this Connection's database may be selected by setting a catalog name. If the driver does not support catalogs it will silently ignore this request.

Throws

SQLException

If a database-access error occurs.

public int getTransactionIsolation( ) throws java.sql.SQLException

Get this Connection's current transaction isolation mode.

Return

The current TRANSACTION_* mode value.

Throws

SQLException

If a database-access error occurs.

public void setTransactionIsolation( int level ) throws java.sql.SQLException

You can call this method to try to change the transaction isolation level using one of the TRANSACTION_* values.

Note: setTransactionIsolation cannot be called while in the middle of a transaction.

Parameter

level

one of the TRANSACTION_* isolation values with the exception of TRANSACTION_NONE; some databases may not support other values

Throws

SQLException

If a database-access error occurs.

See also

DatabaseMetaData interface [java.sql]

public java.sql.SQLWarning getWarnings( ) throws java.sql.SQLException

The first warning reported by calls on this Connection is returned.

Note: Subsequent warnings will be chained to this SQLWarning.

Return

The first SQLWarning or null.

Throws

SQLException

If a database-access error occurs.

Methods

public java.sql.Statement createStatement( ) throws java.sql.SQLException

SQL statements without parameters are normally executed using Statement objects. If the same SQL statement is executed many times, it is more efficient to use a PreparedStatement

Return

A new Statement object.

Throws

SQLException

If a database-access error occurs.

public java.sql.PreparedStatement prepareStatement( java.lang.String sql ) throws java.sql.SQLException

A SQL statement with or without IN parameters can be pre-compiled and stored in a PreparedStatement object. This object can then be used to efficiently execute this statement multiple times.

Note: This method is optimized for handling parametric SQL statements that benefit from precompilation. If the driver supports precompilation, prepareStatement will send the statement to the database for precompilation. Some drivers may not support precompilation. In this case, the statement may not be sent to the database until the PreparedStatement is executed.  This has no direct affect on users; however, it does affect which method throws certain SQLExceptions.

Parameter

sql

a SQL statement that may contain one or more ? IN parameter placeholders

Return

A new PreparedStatement object containing the pre-compiled statement.

Throws

SQLException

If a database-access error occurs.

public java.sql.CallableStatement prepareCall( java.lang.String sql ) throws java.sql.SQLException

A SQL stored procedure call statement is handled by creating a CallableStatement for it. The CallableStatement provides methods for setting up its IN and OUT parameters, and methods for executing it.

Note: This method is optimized for handling stored procedure call statements. Some drivers may send the call statement to the database when the prepareCall is done; others may wait until the CallableStatement is executed. This has no direct affect on users; however, it does affect which method throws certain SQLExceptions.

Parameter

sql

a SQL statement that may contain one or more ? parameter placeholders. Typically this  statement is a JDBC function call escape string.

Return

A new CallableStatement object containing the pre-compiled SQL statement.

Throws

SQLException

If a database-access error occurs.

public java.lang.String nativeSQL( java.lang.String sql ) throws java.sql.SQLException

A driver may convert the JDBC sql grammar into its system's native SQL grammar prior to sending it; nativeSQL returns the native form of the statement that the driver would have sent.

Parameter

sql

a SQL statement that may contain one or more ? parameter placeholders

Return

The native form of this statement.

Throws

SQLException

If a database-access error occurs.

public void commit( ) throws java.sql.SQLException

Commit makes all changes made since the previous commit/rollback permanent and releases any database locks currently held by the Connection. This method should only be used when auto commit has been disabled.

Throws

SQLException

If a database-access error occurs.

See also

Connection interface [java.sql]

public void rollback( ) throws java.sql.SQLException

Rollback drops all changes made since the previous commit/rollback and releases any database locks currently held by the Connection. This method should only be used when auto commit has been disabled.

Throws

SQLException

If a database-access error occurs.

See also

Connection interface [java.sql]

public void close( ) throws java.sql.SQLException

In some cases, it is desirable to immediately release a Connection's database and JDBC resources instead of waiting for them to be automatically released; the close method provides this immediate release.

Note: A Connection is automatically closed when it is garbage collected. Certain fatal errors also result in a closed Connection.

Throws

SQLException

If a database-access error occurs.

public void clearWarnings( ) throws java.sql.SQLException

After this call, getWarnings returns null until a new warning is reported for this Connection.

Throws

SQLException

If a database-access error occurs.

See also

getConnection method [java.sql.DriverManager]

Statement interface [java.sql]

ResultSet interface [java.sql]

DatabaseMetaData interface [java.sql]


constrained property [java.beans.PropertyDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      constrained property [java.beans.PropertyDescriptor]

public void setConstrained( boolean constrained )

Attempted updates to "Constrained" properties will cause a "VetoableChange" event to get fired when the property is changed.

Parameter

constrained

True if this is a constrained property.

public boolean isConstrained( )

Attempted updates to "Constrained" properties will cause a "VetoableChange" event to get fired when the property is changed.

Return

True if this is a constrained property.

Applies to

 IndexedPropertyDescriptor [java.beans]

 PropertyDescriptor [java.beans]


Constructor class [java.lang.reflect] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      Constructor class [java.lang.reflect]

Object

Constructor

Description

Constructor provides information about, and access to, a single constructor for a class.

Constructor permits widening conversions to occur when matching the actual parameters to newInstance() with the underlying constructor's formal parameters, but throws an IllegalArgumentException if a narrowing conversion would occur.

Specification

public final class Constructor extends java.lang.Object implements java.lang.reflect.Member

Properties

  java.lang.Class getDeclaringClass( )

  java.lang.Class[] getExceptionTypes( )

  native int getModifiers( )

  java.lang.String getName( )

  java.lang.Class[] getParameterTypes( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  boolean equals( java.lang.Object obj )

  int hashCode( )

  native java.lang.Object newInstance( java.lang.Object[] initargs ) throws java.lang.InstantiationException, java.lang.IllegalAccessException, java.lang.IllegalArgumentException, java.lang.reflect.InvocationTargetException

  java.lang.String toString( )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Member interface [java.lang.reflect]

Class class [java.lang]

constructors property [java.lang.Class]

getConstructor method [java.lang.Class]

declaredConstructors property [java.lang.Class]


constructors property [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      constructors property [java.lang.Class]

public java.lang.reflect.Constructor[] getConstructors( ) throws java.lang.SecurityException

Returns an array containing Constructor objects reflecting all the public constructors of the class represented by this Class object.  An array of length 0 is returned if the class has no public constructors.

Return

No documentation supplied in JDK.

Throws

SecurityException

If access to the information is denied.

See also

Constructor class [java.lang.reflect]

Applies to

 Class [java.lang]


consume method [java.awt.AWTEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      consume method [java.awt.AWTEvent]

protected void consume( )

Applies to

 ActionEvent [java.awt.event]

 AdjustmentEvent [java.awt.event]

 AWTEvent [java.awt]

 ComponentEvent [java.awt.event]

 ContainerEvent [java.awt.event]

 FocusEvent [java.awt.event]

 InputEvent [java.awt.event]

 ItemEvent [java.awt.event]

 KeyEvent [java.awt.event]

 MouseEvent [java.awt.event]

 PaintEvent [java.awt.event]

 TextEvent [java.awt.event]

 WindowEvent [java.awt.event]


consume method [java.awt.event.InputEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      consume method [java.awt.event.InputEvent]

Overloads:

 void consume( ) overrides consume method [java.awt.AWTEvent]

public void consume( )

Consumes this event so that it will not be processed in the default manner by the source which originated it.

Applies to

 InputEvent [java.awt.event]

 KeyEvent [java.awt.event]

 MouseEvent [java.awt.event]


consumed property [java.awt.AWTEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      consumed property [java.awt.AWTEvent]

protected boolean isConsumed( )

Applies to

 ActionEvent [java.awt.event]

 AdjustmentEvent [java.awt.event]

 AWTEvent [java.awt]

 ComponentEvent [java.awt.event]

 ContainerEvent [java.awt.event]

 FocusEvent [java.awt.event]

 InputEvent [java.awt.event]

 ItemEvent [java.awt.event]

 KeyEvent [java.awt.event]

 MouseEvent [java.awt.event]

 PaintEvent [java.awt.event]

 TextEvent [java.awt.event]

 WindowEvent [java.awt.event]


consumed property [java.awt.event.InputEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      consumed property [java.awt.event.InputEvent]

Overloads:

  boolean isConsumed( ) overrides consumed property [java.awt.AWTEvent]

public boolean isConsumed( )

Returns whether or not this event has been consumed.

Return

No documentation supplied in JDK.

See also

consume method [java.awt.AWTEvent]

Applies to

 InputEvent [java.awt.event]

 KeyEvent [java.awt.event]

 MouseEvent [java.awt.event]


Container class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      Container class [java.awt]

Object

Component

Container

Description

A generic Abstract Window Toolkit(AWT) container object is a component that can contain other AWT components.

Components added to a container are tracked in a list.  The order of the list will define the components' front-to-back stacking order within the container.  If no index is specified when adding a component to a container, it will be added to the end of the list (and hence to the bottom of the stacking order).

Specification

public abstract class Container extends java.awt.Component

Constructor

protected Container( )

Constructs a new Container. Containers can be extended directly, but are lightweight in this case and must be contained by a parent somewhere higher up in the component tree that is native. (such as Frame for example).

Properties

  float getAlignmentX( )

  float getAlignmentY( )

  java.awt.Component getComponent( int n )

  int getComponentCount( )

  java.awt.Component[] getComponents( )

  synchronized void setCursor( java.awt.Cursor cursor )

  java.awt.Insets getInsets( )

  java.awt.LayoutManager getLayout( )

  void setLayout( java.awt.LayoutManager mgr )

  java.awt.Dimension getMaximumSize( )

  java.awt.Dimension getMinimumSize( )

  java.awt.Dimension getPreferredSize( )

Inherited Properties

  java.awt.Color getBackground( )

  void setBackground( java.awt.Color c )

  java.awt.Rectangle getBounds( )

  void setBounds( java.awt.Rectangle r )

  native final java.lang.Class getClass( )

  java.awt.image.ColorModel getColorModel( )

  void setEnabled( boolean b )

  boolean isEnabled( )

  boolean isFocusTraversable( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.awt.Color getForeground( )

  void setForeground( java.awt.Color c )

  java.awt.Graphics getGraphics( )

  java.util.Locale getLocale( )

  void setLocale( java.util.Locale l )

  java.awt.Point getLocation( )

  void setLocation( java.awt.Point p )

  void setLocation( int x, int y )

  java.awt.Point getLocationOnScreen( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.Container getParent( )

  java.awt.peer.ComponentPeer getPeer( )

  boolean isShowing( )

  java.awt.Dimension getSize( )

  void setSize( java.awt.Dimension d )

  void setSize( int width, int height )

  java.awt.Toolkit getToolkit( )

  final java.lang.Object getTreeLock( )

  boolean isValid( )

  void setVisible( boolean b )

  boolean isVisible( )

Methods

  java.awt.Component add( java.awt.Component comp )

  java.awt.Component add( java.awt.Component comp, int index )

  void add( java.awt.Component comp, java.lang.Object constraints )

  java.awt.Component add( java.lang.String name, java.awt.Component comp )

  void add( java.awt.Component comp, java.lang.Object constraints, int index )

  void addNotify( )

  int countComponents( )

  void deliverEvent( java.awt.Event e )

  void doLayout( )

  java.awt.Component getComponentAt( int x, int y )

  java.awt.Component getComponentAt( java.awt.Point p )

  java.awt.Insets insets( )

  void invalidate( )

  boolean isAncestorOf( java.awt.Component c )

  void layout( )

  void list( java.io.PrintStream out, int indent )

  void list( java.io.PrintWriter out, int indent )

  java.awt.Component locate( int x, int y )

  java.awt.Dimension minimumSize( )

  void paint( java.awt.Graphics g )

  void paintComponents( java.awt.Graphics g )

  java.awt.Dimension preferredSize( )

  void print( java.awt.Graphics g )

  void printComponents( java.awt.Graphics g )

  void remove( int index )

  void remove( java.awt.Component comp )

  void removeAll( )

  void removeNotify( )

  void update( java.awt.Graphics g )

  void validate( )

Inherited Methods

  boolean action( java.awt.Event evt, java.lang.Object what )

  synchronized void add( java.awt.PopupMenu popup )

  java.awt.Rectangle bounds( )

  int checkImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean contains( java.awt.Point p )

  boolean contains( int x, int y )

  java.awt.Image createImage( java.awt.image.ImageProducer producer )

  java.awt.Image createImage( int width, int height )

  void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  void enable( boolean b )

  void enable( )

  boolean equals( java.lang.Object obj )

  java.awt.FontMetrics getFontMetrics( java.awt.Font font )

  boolean gotFocus( java.awt.Event evt, java.lang.Object what )

  boolean handleEvent( java.awt.Event evt )

  native int hashCode( )

  void hide( )

  boolean imageUpdate( java.awt.Image img, int flags, int x, int y, int w, int h )

  boolean inside( int x, int y )

  boolean keyDown( java.awt.Event evt, int key )

  boolean keyUp( java.awt.Event evt, int key )

  void list( )

  void list( java.io.PrintStream out )

  void list( java.io.PrintWriter out )

  java.awt.Point location( )

  boolean lostFocus( java.awt.Event evt, java.lang.Object what )

  boolean mouseDown( java.awt.Event evt, int x, int y )

  boolean mouseDrag( java.awt.Event evt, int x, int y )

  boolean mouseEnter( java.awt.Event evt, int x, int y )

  boolean mouseExit( java.awt.Event evt, int x, int y )

  boolean mouseMove( java.awt.Event evt, int x, int y )

  boolean mouseUp( java.awt.Event evt, int x, int y )

  void move( int x, int y )

  void nextFocus( )

  native final void notify( )

  native final void notifyAll( )

  void paintAll( java.awt.Graphics g )

  boolean postEvent( java.awt.Event e )

  boolean prepareImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  void printAll( java.awt.Graphics g )

  synchronized void remove( java.awt.MenuComponent popup )

  void repaint( long tm, int x, int y, int width, int height )

  void repaint( long tm )

  void repaint( int x, int y, int width, int height )

  void repaint( )

  void requestFocus( )

  void reshape( int x, int y, int width, int height )

  void resize( java.awt.Dimension d )

  void resize( int width, int height )

  void setBounds( int x, int y, int width, int height )

  void show( )

  void show( boolean b )

  java.awt.Dimension size( )

  java.lang.String toString( )

  void transferFocus( )

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void addImpl( java.awt.Component comp, java.lang.Object constraints, int index )

 protected java.lang.String paramString( )

 protected void processContainerEvent( java.awt.event.ContainerEvent e )

 protected void processEvent( java.awt.AWTEvent e )

 protected void validateTree( )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void finalize( ) throws java.lang.Throwable

 protected void processComponentEvent( java.awt.event.ComponentEvent e )

 protected void processFocusEvent( java.awt.event.FocusEvent e )

 protected void processKeyEvent( java.awt.event.KeyEvent e )

 protected void processMouseEvent( java.awt.event.MouseEvent e )

 protected void processMouseMotionEvent( java.awt.event.MouseEvent e )

Events

  synchronized void addContainerListener( java.awt.event.ContainerListener l )

  synchronized void removeContainerListener( java.awt.event.ContainerListener l )

Inherited Events

  synchronized void addComponentListener( java.awt.event.ComponentListener l )

  synchronized void removeComponentListener( java.awt.event.ComponentListener l )

  synchronized void addFocusListener( java.awt.event.FocusListener l )

  synchronized void removeFocusListener( java.awt.event.FocusListener l )

  synchronized void addKeyListener( java.awt.event.KeyListener l )

  synchronized void removeKeyListener( java.awt.event.KeyListener l )

  synchronized void addMouseListener( java.awt.event.MouseListener l )

  synchronized void removeMouseListener( java.awt.event.MouseListener l )

  synchronized void addMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void removeMouseMotionListener( java.awt.event.MouseMotionListener l )

See also

add method [java.awt.Component]

component property [java.awt.Container]

LayoutManager interface [java.awt]


container property [java.awt.event.ContainerEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      container property [java.awt.event.ContainerEvent]

public java.awt.Container getContainer( )

Returns the container where this event originated.

Return

No documentation supplied in JDK.

Applies to

 ContainerEvent [java.awt.event]


ContainerAdapter class [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ContainerAdapter class [java.awt.event]

Object

ContainerAdapter

Description

The adapter which receives container events. The methods in this class are empty;  this class is provided as a convenience for easily creating listeners by extending this class and overriding only the methods of interest.

Specification

public abstract class ContainerAdapter extends java.lang.Object implements java.awt.event.ContainerListener

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void componentAdded( java.awt.event.ContainerEvent e )

  void componentRemoved( java.awt.event.ContainerEvent e )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


ContainerEvent class [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ContainerEvent class [java.awt.event]

Object

EventObject

AWTEvent

ComponentEvent

ContainerEvent

Description

The class for container-level events. These events are provided for notification purposes ONLY; The AWT will automatically handle container add and remove operations internally.

Specification

public class ContainerEvent extends java.awt.event.ComponentEvent

Constructor

public ContainerEvent( java.awt.Component source, int id, java.awt.Component child )

Constructs a ContainerEvent object with the specified source container, type, and child which is being added or removed.

Parameter

source

the container where the event originated

Variables

public static final int CONTAINER_FIRST

Marks the first integer id for the range of container event ids.

public static final int CONTAINER_LAST

Marks the last integer id for the range of container event ids.

public static final int COMPONENT_ADDED

The component moved event type.

public static final int COMPONENT_REMOVED

The component resized event type.

Properties

  java.awt.Component getChild( )

  java.awt.Container getContainer( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.awt.Component getComponent( )

  int getID( )

  java.lang.Object getSource( )

Protected Properties

 protected boolean isConsumed( )

Methods

  java.lang.String paramString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void consume( )

 protected void finalize( ) throws java.lang.Throwable

See also

ContainerListener interface [java.awt.event]


ContainerEvent event [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ContainerEvent event [java.awt.Container]

public synchronized void addContainerListener( java.awt.event.ContainerListener l )

Adds the specified container listener to receive container events from this container.

Parameter

l

the container listener

public synchronized void removeContainerListener( java.awt.event.ContainerListener l )

Removes the specified container listener so it no longer receives container events from this container.

Parameter

l

the container listener

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


ContainerListener interface [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ContainerListener interface [java.awt.event]

Description

The listener interface for receiving container events. Container events are provided for notification purposes ONLY; The AWT will automatically handle add and remove operations internally.

Definition

public interface ContainerListener extends java.util.EventListener

{

  // Methods

  public void componentAdded( java.awt.event.ContainerEvent e );

  public void componentRemoved( java.awt.event.ContainerEvent e );

}

Methods

public void componentAdded( java.awt.event.ContainerEvent e )

Invoked when a component has been added to the container.

public void componentRemoved( java.awt.event.ContainerEvent e )

Invoked when a component has been removed from the container.

Implemented by

AWTEventMulticaster [java.awt]	ContainerAdapter [java.awt.event]


ContainerPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ContainerPeer interface [java.awt.peer]

Definition

public interface ContainerPeer extends java.awt.peer.ComponentPeer

{

  // Properties

  public java.awt.Insets getInsets( );

  // Methods

  public void beginValidate( );

  public void endValidate( );

  public java.awt.Insets insets( );

}

Properties

public java.awt.Insets getInsets( )

Methods

public void beginValidate( )

public void endValidate( )

public java.awt.Insets insets( )

DEPRECATED:  Replaced by getInsets().

Return

No documentation supplied in JDK.


contains method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contains method [java.awt.Component]

Overloads:

 boolean contains( int x, int y )

 boolean contains( Point p )

public boolean contains( int x, int y )

Checks whether this component "contains" the specified point, where x and y are defined to be relative to the coordinate system of this component.

Parameters

x

the x coordinate of the point.

y

the y coordinate of the point.

Return

No documentation supplied in JDK.

See also

getComponentAt method [java.awt.Component]

public boolean contains( java.awt.Point p )

Checks whether this component "contains" the specified point, where the point's x and y coordinates are defined to be relative to the coordinate system of this component.

Parameter

p

the point.

Return

No documentation supplied in JDK.

See also

getComponentAt method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


contains method [java.awt.Polygon] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contains method [java.awt.Polygon]

Overloads:

 boolean contains( int x, int y )

 boolean contains( Point p )

public boolean contains( int x, int y )

Determines whether the specified point is contained by this polygon.

(The contains method is based on code by Hanpeter van Vliet [hvvliet@inter.nl.net].)

Parameters

x

the x coordinate of the point to be tested.

y

the y coordinate of the point to be tested.

Return

true if the point (x , y ) is contained by this polygon; false otherwise.

public boolean contains( java.awt.Point p )

Determines whether the specified point is inside the Polygon. Uses an even-odd insideness rule (also known as an alternating rule).

Parameter

p

the point to be tested

Return

No documentation supplied in JDK.

Applies to

 Polygon [java.awt]


contains method [java.awt.Rectangle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contains method [java.awt.Rectangle]

Overloads:

 boolean contains( int x, int y )

 boolean contains( Point p )

public boolean contains( int x, int y )

Checks whether this rectangle contains the point at the specified location (x , y ).

Parameters

x

the x coordinate.

y

the y coordinate.

Return

true if the point (x , y ) is inside this rectangle; false otherwise.

public boolean contains( java.awt.Point p )

Checks whether this rectangle contains the specified point.

Parameter

p

the point (location) to test.

Return

true if the point (x , y ) is inside this rectangle; false otherwise.

Applies to

 Rectangle [java.awt]


contains method [java.util.Hashtable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contains method [java.util.Hashtable]

public synchronized boolean contains( java.lang.Object value )

Tests if some key maps into the specified value in this hashtable. This operation is more expensive than the containsKey method.

Parameter

value

a value to search for.

Return

true if some key maps to the value argument in this hashtable; false otherwise.

Throws

NullPointerException

If the value is null.

See also

containsKey method [java.util.Hashtable]

Applies to

 Hashtable [java.util]

 Properties [java.util]

 Provider [java.security]


contains method [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contains method [java.util.Vector]

public final boolean contains( java.lang.Object elem )

Tests if the specified object is a component in this vector.

Parameter

elem

an object.

Return

true if the specified object is a component in this vector; false otherwise.

Applies to

 Stack [java.util]

 Vector [java.util]


containsKey method [java.util.Hashtable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      containsKey method [java.util.Hashtable]

public synchronized boolean containsKey( java.lang.Object key )

Tests if the specified object is a key in this hashtable.

Parameter

key

possible key.

Return

true if the specified object is a key in this hashtable; false otherwise.

See also

contains method [java.util.Hashtable]

Applies to

 Hashtable [java.util]

 Properties [java.util]

 Provider [java.security]


content property [java.net.URL] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      content property [java.net.URL]

public final java.lang.Object getContent( ) throws java.io.IOException

Returns the contents of this URL. This method is a shorthand for:

openConnection().getContent()

Return

The contents of this URL.

Throws

IOException

If an I/O exception occurs.

See also

content property [java.net.URLConnection]

Applies to

 URL [java.net]


content property [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      content property [java.net.URLConnection]

public java.lang.Object getContent( ) throws java.io.IOException

Retrieves the contents of this URL connection.

This method first determines the content type of the object by calling the getContentType method. If this is the first time that the application has seen that specific content type, a content handler for that content type is created:

•	If the application has set up a content handler factory instance using the setContentHandlerFactory method, the createContentHandler method of that instance is called with the content type as an argument; the result is a content handler for that content type.

•	If no content handler factory has yet been set up, or if the factory's createContentHandler method returns null, then the application loads the class named:

sun.net.www.content.<contentType > where <contentType > is formed by taking the content-type string, replacing all slash characters with a period ('.'), and all other non-alphanumeric characters with the underscore character '_'. The alphanumeric characters are specifically the 26 uppercase ASCII letters 'A' through 'Z', the 26 lowercase ASCII letters 'a' through 'z', and the 10 ASCII digits '0' through '9'. If the specified class does not exist, or is not a subclass of ContentHandler, then an UnknownServiceException is thrown.

Return

The object fetched. The instanceOf operation should be used to determine the specific kind of object returned.

Throws

IOException

If an I/O error occurs while getting the content.

UnknownServiceException

If the protocol does not support the content type.

See also

ContentHandlerFactory interface [java.net]

contentType property [java.net.URLConnection]

contentHandlerFactory property [java.net.URLConnection]

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


contentEncoding property [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contentEncoding property [java.net.URLConnection]

public java.lang.String getContentEncoding( )

Returns the value of the content-encoding header field.

Return

The content encoding of the resource that the URL references, or null if not known.

See also

headerField property [java.net.URLConnection]

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


ContentHandler class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ContentHandler class [java.net]

Object

ContentHandler

Description

The abstract class ContentHandler is the superclass of all classes that read an Object from a URLConnection.

An application does not generally call the getContent method in this class directly. Instead, an application calls the getContent method in class URL or in URLConnection. The application's content handler factory (an instance of a class that implements the interface ContentHandlerFactory set up by a call to setContentHandler) is called with a String giving the MIME type of the object being received on the socket. The factory returns an instance of a subclass of ContentHandler, and its getContent method is called to create the object.

Specification

public abstract class ContentHandler extends java.lang.Object

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  abstract java.lang.Object getContent( java.net.URLConnection urlc ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

getContent method [java.net.ContentHandler]

ContentHandlerFactory interface [java.net]

content property [java.net.URL]

URLConnection class [java.net]

content property [java.net.URLConnection]

contentHandlerFactory property [java.net.URLConnection]


ContentHandlerFactory interface [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      ContentHandlerFactory interface [java.net]

Description

This interface defines a factory for content handlers. An implementation of this interface should map a MIME type into an instance of ContentHandler.

This interface is used by the URLStreamHandler class to create a ContentHandler for a MIME type.

Definition

public interface ContentHandlerFactory

{

  // Methods

  public java.net.ContentHandler createContentHandler( java.lang.String mimetype );

}

Methods

public java.net.ContentHandler createContentHandler( java.lang.String mimetype )

Creates a new ContentHandler to read an object from a URLStreamHandler.

Parameter

mimetype

the MIME type for which a content handler is desired.

Return

A new ContentHandler to read an object from a URLStreamHandler.

See also

ContentHandler class [java.net]

URLStreamHandler class [java.net]

See also

ContentHandler class [java.net]

URLStreamHandler class [java.net]


contentHandlerFactory property [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contentHandlerFactory property [java.net.URLConnection]

public static synchronized void setContentHandlerFactory( java.net.ContentHandlerFactory fac )

Sets the ContentHandlerFactory of an application. It can be called at most once by an application.

The ContentHandlerFactory instance is used to construct a content handler from a content type

Parameter

fac

the desired factory.

Throws

Error

If the factory has already been defined.

See also

ContentHandlerFactory interface [java.net]

content property [java.net.URLConnection]

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


contentLength property [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contentLength property [java.net.URLConnection]

public int getContentLength( )

Returns the value of the content-length header field.

Return

The content length of the resource that this connection's URL references, or -1 if the content length is not known.

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


contents property [java.text.resources.DateFormatZoneData] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_ar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_ar]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_ar [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_be] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_be]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_be [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_bg] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_bg]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_bg [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_ca] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_ca]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_ca [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_cs] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_cs]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_cs [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_da] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_da]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_da [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_de] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_de]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_de [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_de_AT] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_de_AT]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_de_AT [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_de_CH] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_de_CH]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_de_CH [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_el] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_el]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_el [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_en] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_en]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_en [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_en_CA] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_en_CA]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_en_CA [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_en_GB] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_en_GB]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_en_GB [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_en_IE] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_en_IE]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_en_IE [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_es] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_es]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_es [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_et] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_et]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_et [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_fi] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_fi]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_fi [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_fr] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_fr]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_fr [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_fr_BE] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_fr_BE]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_fr_BE [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_fr_CA] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_fr_CA]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_fr_CA [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_fr_CH] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_fr_CH]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_fr_CH [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_hr] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_hr]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_hr [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_hu] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_hu]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_hu [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_is] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_is]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_is [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_it] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_it]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_it [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_it_CH] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_it_CH]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_it_CH [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_iw] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_iw]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_iw [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_ja] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_ja]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_ja [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_ko] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_ko]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_ko [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_lt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_lt]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_lt [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_lv] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_lv]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_lv [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_mk] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_mk]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_mk [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_nl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_nl]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_nl [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_nl_BE] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_nl_BE]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_nl_BE [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_no] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_no]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_no [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_no_NO_NY] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_no_NO_NY]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_no_NO_NY [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_pl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_pl]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_pl [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_pt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_pt]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_pt [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_ro] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_ro]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_ro [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_ru] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_ru]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_ru [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_sh] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_sh]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_sh [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_sk] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_sk]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_sk [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_sl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_sl]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_sl [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_sq] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_sq]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_sq [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_sr] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_sr]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_sr [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_sv] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_sv]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_sv [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_th] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_th]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_th [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_tr] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_tr]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_tr [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_uk] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_uk]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_uk [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_zh] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_zh]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_zh [java.text.resources]


contents property [java.text.resources.DateFormatZoneData_zh_TW] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.DateFormatZoneData_zh_TW]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData_zh_TW [java.text.resources]


contents property [java.text.resources.LocaleElements] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements [java.text.resources]


contents property [java.text.resources.LocaleElements_ar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_ar]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_ar [java.text.resources]


contents property [java.text.resources.LocaleElements_be] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_be]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_be [java.text.resources]


contents property [java.text.resources.LocaleElements_bg] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_bg]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_bg [java.text.resources]


contents property [java.text.resources.LocaleElements_ca] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_ca]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_ca [java.text.resources]


contents property [java.text.resources.LocaleElements_cs] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_cs]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_cs [java.text.resources]


contents property [java.text.resources.LocaleElements_da] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_da]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_da [java.text.resources]


contents property [java.text.resources.LocaleElements_de] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_de]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_de [java.text.resources]


contents property [java.text.resources.LocaleElements_de_AT] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_de_AT]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_de_AT [java.text.resources]


contents property [java.text.resources.LocaleElements_de_AT_EURO] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_de_AT_EURO]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_de_AT_EURO [java.text.resources]


contents property [java.text.resources.LocaleElements_de_CH] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_de_CH]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_de_CH [java.text.resources]


contents property [java.text.resources.LocaleElements_de_DE_EURO] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_de_DE_EURO]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_de_DE_EURO [java.text.resources]


contents property [java.text.resources.LocaleElements_de_LU] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_de_LU]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_de_LU [java.text.resources]


contents property [java.text.resources.LocaleElements_de_LU_EURO] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_de_LU_EURO]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_de_LU_EURO [java.text.resources]


contents property [java.text.resources.LocaleElements_el] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_el]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_el [java.text.resources]


contents property [java.text.resources.LocaleElements_en] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_en]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_en [java.text.resources]


contents property [java.text.resources.LocaleElements_en_AU] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_en_AU]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_en_AU [java.text.resources]


contents property [java.text.resources.LocaleElements_en_CA] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_en_CA]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_en_CA [java.text.resources]


contents property [java.text.resources.LocaleElements_en_GB] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_en_GB]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_en_GB [java.text.resources]


contents property [java.text.resources.LocaleElements_en_IE] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_en_IE]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_en_IE [java.text.resources]


contents property [java.text.resources.LocaleElements_en_IE_EURO] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_en_IE_EURO]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_en_IE_EURO [java.text.resources]


contents property [java.text.resources.LocaleElements_en_NZ] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_en_NZ]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_en_NZ [java.text.resources]


contents property [java.text.resources.LocaleElements_en_ZA] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_en_ZA]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_en_ZA [java.text.resources]


contents property [java.text.resources.LocaleElements_es] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_es]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_es [java.text.resources]


contents property [java.text.resources.LocaleElements_es_AR] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_es_AR]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_es_AR [java.text.resources]


contents property [java.text.resources.LocaleElements_es_BO] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_es_BO]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_es_BO [java.text.resources]


contents property [java.text.resources.LocaleElements_es_CL] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_es_CL]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_es_CL [java.text.resources]


contents property [java.text.resources.LocaleElements_es_CO] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_es_CO]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_es_CO [java.text.resources]


contents property [java.text.resources.LocaleElements_es_CR] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_es_CR]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_es_CR [java.text.resources]


contents property [java.text.resources.LocaleElements_es_DO] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_es_DO]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_es_DO [java.text.resources]


contents property [java.text.resources.LocaleElements_es_EC] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_es_EC]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_es_EC [java.text.resources]


contents property [java.text.resources.LocaleElements_es_ES_EURO] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_es_ES_EURO]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_es_ES_EURO [java.text.resources]


contents property [java.text.resources.LocaleElements_es_GT] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_es_GT]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_es_GT [java.text.resources]


contents property [java.text.resources.LocaleElements_es_HN] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_es_HN]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_es_HN [java.text.resources]


contents property [java.text.resources.LocaleElements_es_MX] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_es_MX]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_es_MX [java.text.resources]


contents property [java.text.resources.LocaleElements_es_NI] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_es_NI]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_es_NI [java.text.resources]


contents property [java.text.resources.LocaleElements_es_PA] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_es_PA]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_es_PA [java.text.resources]


contents property [java.text.resources.LocaleElements_es_PE] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_es_PE]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_es_PE [java.text.resources]


contents property [java.text.resources.LocaleElements_es_PR] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_es_PR]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_es_PR [java.text.resources]


contents property [java.text.resources.LocaleElements_es_PY] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_es_PY]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_es_PY [java.text.resources]


contents property [java.text.resources.LocaleElements_es_SV] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_es_SV]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_es_SV [java.text.resources]


contents property [java.text.resources.LocaleElements_es_UY] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_es_UY]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_es_UY [java.text.resources]


contents property [java.text.resources.LocaleElements_es_VE] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_es_VE]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_es_VE [java.text.resources]


contents property [java.text.resources.LocaleElements_et] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_et]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_et [java.text.resources]


contents property [java.text.resources.LocaleElements_fi] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_fi]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_fi [java.text.resources]


contents property [java.text.resources.LocaleElements_fi_FI_EURO] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_fi_FI_EURO]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_fi_FI_EURO [java.text.resources]


contents property [java.text.resources.LocaleElements_fr] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_fr]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_fr [java.text.resources]


contents property [java.text.resources.LocaleElements_fr_BE] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_fr_BE]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_fr_BE [java.text.resources]


contents property [java.text.resources.LocaleElements_fr_BE_EURO] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_fr_BE_EURO]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_fr_BE_EURO [java.text.resources]


contents property [java.text.resources.LocaleElements_fr_CA] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_fr_CA]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_fr_CA [java.text.resources]


contents property [java.text.resources.LocaleElements_fr_CH] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_fr_CH]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_fr_CH [java.text.resources]


contents property [java.text.resources.LocaleElements_fr_FR_EURO] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_fr_FR_EURO]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_fr_FR_EURO [java.text.resources]


contents property [java.text.resources.LocaleElements_fr_LU] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_fr_LU]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_fr_LU [java.text.resources]


contents property [java.text.resources.LocaleElements_fr_LU_EURO] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_fr_LU_EURO]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_fr_LU_EURO [java.text.resources]


contents property [java.text.resources.LocaleElements_hr] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_hr]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_hr [java.text.resources]


contents property [java.text.resources.LocaleElements_hu] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_hu]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_hu [java.text.resources]


contents property [java.text.resources.LocaleElements_is] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_is]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_is [java.text.resources]


contents property [java.text.resources.LocaleElements_it] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_it]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_it [java.text.resources]


contents property [java.text.resources.LocaleElements_it_CH] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_it_CH]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_it_CH [java.text.resources]


contents property [java.text.resources.LocaleElements_it_IT_EURO] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_it_IT_EURO]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_it_IT_EURO [java.text.resources]


contents property [java.text.resources.LocaleElements_iw] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_iw]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_iw [java.text.resources]


contents property [java.text.resources.LocaleElements_ja] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_ja]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_ja [java.text.resources]


contents property [java.text.resources.LocaleElements_ko] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_ko]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_ko [java.text.resources]


contents property [java.text.resources.LocaleElements_lt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_lt]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_lt [java.text.resources]


contents property [java.text.resources.LocaleElements_lv] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_lv]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_lv [java.text.resources]


contents property [java.text.resources.LocaleElements_mk] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_mk]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_mk [java.text.resources]


contents property [java.text.resources.LocaleElements_nl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_nl]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_nl [java.text.resources]


contents property [java.text.resources.LocaleElements_nl_BE] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_nl_BE]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_nl_BE [java.text.resources]


contents property [java.text.resources.LocaleElements_nl_BE_EURO] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_nl_BE_EURO]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_nl_BE_EURO [java.text.resources]


contents property [java.text.resources.LocaleElements_nl_NL_EURO] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_nl_NL_EURO]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_nl_NL_EURO [java.text.resources]


contents property [java.text.resources.LocaleElements_no] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_no]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_no [java.text.resources]


contents property [java.text.resources.LocaleElements_no_NO_NY] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_no_NO_NY]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_no_NO_NY [java.text.resources]


contents property [java.text.resources.LocaleElements_pl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_pl]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_pl [java.text.resources]


contents property [java.text.resources.LocaleElements_pt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_pt]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_pt [java.text.resources]


contents property [java.text.resources.LocaleElements_pt_BR] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_pt_BR]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_pt_BR [java.text.resources]


contents property [java.text.resources.LocaleElements_pt_PT_EURO] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_pt_PT_EURO]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_pt_PT_EURO [java.text.resources]


contents property [java.text.resources.LocaleElements_ro] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_ro]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_ro [java.text.resources]


contents property [java.text.resources.LocaleElements_ru] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_ru]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_ru [java.text.resources]


contents property [java.text.resources.LocaleElements_sh] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_sh]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_sh [java.text.resources]


contents property [java.text.resources.LocaleElements_sk] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_sk]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_sk [java.text.resources]


contents property [java.text.resources.LocaleElements_sl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_sl]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_sl [java.text.resources]


contents property [java.text.resources.LocaleElements_sq] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_sq]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_sq [java.text.resources]


contents property [java.text.resources.LocaleElements_sr] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_sr]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_sr [java.text.resources]


contents property [java.text.resources.LocaleElements_sv] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_sv]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_sv [java.text.resources]


contents property [java.text.resources.LocaleElements_th] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_th]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_th [java.text.resources]


contents property [java.text.resources.LocaleElements_tr] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_tr]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_tr [java.text.resources]


contents property [java.text.resources.LocaleElements_uk] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_uk]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_uk [java.text.resources]


contents property [java.text.resources.LocaleElements_zh] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_zh]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_zh [java.text.resources]


contents property [java.text.resources.LocaleElements_zh_TW] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.text.resources.LocaleElements_zh_TW]

Overloads:

  Object[][] getContents( ) overrides contents property [java.util.ListResourceBundle]

public java.lang.Object[][] getContents( )

Overrides ListResourceBundle

Return

No documentation supplied in JDK.

Applies to

 LocaleElements_zh_TW [java.text.resources]


contents property [java.util.ListResourceBundle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contents property [java.util.ListResourceBundle]

protected abstract java.lang.Object[][] getContents( )

See class description.

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData [java.text.resources]

 DateFormatZoneData_ar [java.text.resources]

 DateFormatZoneData_be [java.text.resources]

 DateFormatZoneData_bg [java.text.resources]

 DateFormatZoneData_ca [java.text.resources]

 DateFormatZoneData_cs [java.text.resources]

 DateFormatZoneData_da [java.text.resources]

 DateFormatZoneData_de [java.text.resources]

 DateFormatZoneData_de_AT [java.text.resources]

 DateFormatZoneData_de_CH [java.text.resources]

 DateFormatZoneData_el [java.text.resources]

 DateFormatZoneData_en [java.text.resources]

 DateFormatZoneData_en_CA [java.text.resources]

 DateFormatZoneData_en_GB [java.text.resources]

 DateFormatZoneData_en_IE [java.text.resources]

 DateFormatZoneData_es [java.text.resources]

 DateFormatZoneData_et [java.text.resources]

 DateFormatZoneData_fi [java.text.resources]

 DateFormatZoneData_fr [java.text.resources]

 DateFormatZoneData_fr_BE [java.text.resources]

 DateFormatZoneData_fr_CA [java.text.resources]

 DateFormatZoneData_fr_CH [java.text.resources]

 DateFormatZoneData_hr [java.text.resources]

 DateFormatZoneData_hu [java.text.resources]

 DateFormatZoneData_is [java.text.resources]

 DateFormatZoneData_it [java.text.resources]

 DateFormatZoneData_it_CH [java.text.resources]

 DateFormatZoneData_iw [java.text.resources]

 DateFormatZoneData_ja [java.text.resources]

 DateFormatZoneData_ko [java.text.resources]

 DateFormatZoneData_lt [java.text.resources]

 DateFormatZoneData_lv [java.text.resources]

 DateFormatZoneData_mk [java.text.resources]

 DateFormatZoneData_nl [java.text.resources]

 DateFormatZoneData_nl_BE [java.text.resources]

 DateFormatZoneData_no [java.text.resources]

 DateFormatZoneData_no_NO_NY [java.text.resources]

 DateFormatZoneData_pl [java.text.resources]

 DateFormatZoneData_pt [java.text.resources]

 DateFormatZoneData_ro [java.text.resources]

 DateFormatZoneData_ru [java.text.resources]

 DateFormatZoneData_sh [java.text.resources]

 DateFormatZoneData_sk [java.text.resources]

 DateFormatZoneData_sl [java.text.resources]

 DateFormatZoneData_sq [java.text.resources]

 DateFormatZoneData_sr [java.text.resources]

 DateFormatZoneData_sv [java.text.resources]

 DateFormatZoneData_th [java.text.resources]

 DateFormatZoneData_tr [java.text.resources]

 DateFormatZoneData_uk [java.text.resources]

 DateFormatZoneData_zh [java.text.resources]

 DateFormatZoneData_zh_TW [java.text.resources]

 ListResourceBundle [java.util]

 LocaleElements [java.text.resources]

 LocaleElements_ar [java.text.resources]

 LocaleElements_be [java.text.resources]

 LocaleElements_bg [java.text.resources]

 LocaleElements_ca [java.text.resources]

 LocaleElements_cs [java.text.resources]

 LocaleElements_da [java.text.resources]

 LocaleElements_de [java.text.resources]

 LocaleElements_de_AT [java.text.resources]

 LocaleElements_de_AT_EURO [java.text.resources]

 LocaleElements_de_CH [java.text.resources]

 LocaleElements_de_DE_EURO [java.text.resources]

 LocaleElements_de_LU [java.text.resources]

 LocaleElements_de_LU_EURO [java.text.resources]

 LocaleElements_el [java.text.resources]

 LocaleElements_en [java.text.resources]

 LocaleElements_en_AU [java.text.resources]

 LocaleElements_en_CA [java.text.resources]

 LocaleElements_en_GB [java.text.resources]

 LocaleElements_en_IE [java.text.resources]

 LocaleElements_en_IE_EURO [java.text.resources]

 LocaleElements_en_NZ [java.text.resources]

 LocaleElements_en_ZA [java.text.resources]

 LocaleElements_es [java.text.resources]

 LocaleElements_es_AR [java.text.resources]

 LocaleElements_es_BO [java.text.resources]

 LocaleElements_es_CL [java.text.resources]

 LocaleElements_es_CO [java.text.resources]

 LocaleElements_es_CR [java.text.resources]

 LocaleElements_es_DO [java.text.resources]

 LocaleElements_es_EC [java.text.resources]

 LocaleElements_es_ES_EURO [java.text.resources]

 LocaleElements_es_GT [java.text.resources]

 LocaleElements_es_HN [java.text.resources]

 LocaleElements_es_MX [java.text.resources]

 LocaleElements_es_NI [java.text.resources]

 LocaleElements_es_PA [java.text.resources]

 LocaleElements_es_PE [java.text.resources]

 LocaleElements_es_PR [java.text.resources]

 LocaleElements_es_PY [java.text.resources]

 LocaleElements_es_SV [java.text.resources]

 LocaleElements_es_UY [java.text.resources]

 LocaleElements_es_VE [java.text.resources]

 LocaleElements_et [java.text.resources]

 LocaleElements_fi [java.text.resources]

 LocaleElements_fi_FI_EURO [java.text.resources]

 LocaleElements_fr [java.text.resources]

 LocaleElements_fr_BE [java.text.resources]

 LocaleElements_fr_BE_EURO [java.text.resources]

 LocaleElements_fr_CA [java.text.resources]

 LocaleElements_fr_CH [java.text.resources]

 LocaleElements_fr_FR_EURO [java.text.resources]

 LocaleElements_fr_LU [java.text.resources]

 LocaleElements_fr_LU_EURO [java.text.resources]

 LocaleElements_hr [java.text.resources]

 LocaleElements_hu [java.text.resources]

 LocaleElements_is [java.text.resources]

 LocaleElements_it [java.text.resources]

 LocaleElements_it_CH [java.text.resources]

 LocaleElements_it_IT_EURO [java.text.resources]

 LocaleElements_iw [java.text.resources]

 LocaleElements_ja [java.text.resources]

 LocaleElements_ko [java.text.resources]

 LocaleElements_lt [java.text.resources]

 LocaleElements_lv [java.text.resources]

 LocaleElements_mk [java.text.resources]

 LocaleElements_nl [java.text.resources]

 LocaleElements_nl_BE [java.text.resources]

 LocaleElements_nl_BE_EURO [java.text.resources]

 LocaleElements_nl_NL_EURO [java.text.resources]

 LocaleElements_no [java.text.resources]

 LocaleElements_no_NO_NY [java.text.resources]

 LocaleElements_pl [java.text.resources]

 LocaleElements_pt [java.text.resources]

 LocaleElements_pt_BR [java.text.resources]

 LocaleElements_pt_PT_EURO [java.text.resources]

 LocaleElements_ro [java.text.resources]

 LocaleElements_ru [java.text.resources]

 LocaleElements_sh [java.text.resources]

 LocaleElements_sk [java.text.resources]

 LocaleElements_sl [java.text.resources]

 LocaleElements_sq [java.text.resources]

 LocaleElements_sr [java.text.resources]

 LocaleElements_sv [java.text.resources]

 LocaleElements_th [java.text.resources]

 LocaleElements_tr [java.text.resources]

 LocaleElements_uk [java.text.resources]

 LocaleElements_zh [java.text.resources]

 LocaleElements_zh_TW [java.text.resources]


contentType property [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      contentType property [java.net.URLConnection]

public java.lang.String getContentType( )

Returns the value of the content-type header field.

Return

The content type of the resource that the URL references, or null if not known.

See also

headerField property [java.net.URLConnection]

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


controlDown method [java.awt.Event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      controlDown method [java.awt.Event]

public boolean controlDown( )

Checks if the Control key is down.

Return

true if the key is down; false otherwise.

See also

shiftDown method [java.awt.Event]

metaDown method [java.awt.Event]

Applies to

 Event [java.awt]


controlDown property [java.awt.event.InputEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      controlDown property [java.awt.event.InputEvent]

public boolean isControlDown( )

Returns whether or not the Control modifier is down on this event.

Return

No documentation supplied in JDK.

Applies to

 InputEvent [java.awt.event]

 KeyEvent [java.awt.event]

 MouseEvent [java.awt.event]


copyArea method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      copyArea method [java.awt.Graphics]

public abstract void copyArea( int x, int y, int width, int height, int dx, int dy )

Copies an area of the component by a distance specified by dx and dy. From the point specified by x and y, this method copies downwards and to the right.  To copy an area of the component to the left or upwards, specify a negative value for dx or dy. If a portion of the source rectangle lies outside the bounds of the component, or is obscured by another window or component, copyArea will be unable to copy the associated pixels. The area that is omitted can be refreshed by calling the component's paint method.

Parameters

x

the x coordinate of the source rectangle.

y

the y coordinate of the source rectangle.

width

the width of the source rectangle.

height

the height of the source rectangle.

dx

the horizontal distance to copy the pixels.

dy

the vertical distance to copy the pixels.

Applies to

 Graphics [java.awt]


copyInto method [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      copyInto method [java.util.Vector]

public final synchronized void copyInto( java.lang.Object[] anArray )

Copies the components of this vector into the specified array. The array must be big enough to hold all the objects in this  vector.

Parameter

anArray

the array into which the components get copied.

Applies to

 Stack [java.util]

 Vector [java.util]


copyValueOf method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      copyValueOf method [java.lang.String]

Overloads:

 String copyValueOf( char[] data, int offset, int count )

 String copyValueOf( char[] data )

public static java.lang.String copyValueOf( char[] data, int offset, int count )

Returns a String that is equivalent to the specified character array. It creates a new array and copies the characters into it.

Parameters

data

the character array.

offset

initial offset of the subarray.

count

length of the subarray.

Return

A String that contains the characters of the specified subarray of the character array.

public static java.lang.String copyValueOf( char[] data )

Returns a String that is equivalent to the specified character array. It creates a new array and copies the characters into it.

Parameter

data

the character array.

Return

A String that contains the characters of the character array.

Applies to

 String [java.lang]


cos method [java.lang.Math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      cos method [java.lang.Math]

public static native double cos( double a )

Returns the trigonometric cosine of an angle.

Parameter

a

an angle, in radians.

Return

The cosine of the argument.

Applies to

 Math [java.lang]


countComponents method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      countComponents method [java.awt.Container]

public int countComponents( )

Note: countComponents has been deprecated. As of JDK version 1.1, replaced by getComponentCount().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


countItems method [java.awt.Choice] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      countItems method [java.awt.Choice]

public int countItems( )

Note: countItems has been deprecated. As of JDK version 1.1, replaced by getItemCount().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Choice [java.awt]


countItems method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      countItems method [java.awt.List]

public int countItems( )

Note: countItems has been deprecated. As of JDK version 1.1, replaced by getItemCount().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 List [java.awt]


countItems method [java.awt.Menu] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      countItems method [java.awt.Menu]

public int countItems( )

Note: countItems has been deprecated. As of JDK version 1.1, replaced by getItemCount().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Menu [java.awt]

 PopupMenu [java.awt]


countMenus method [java.awt.MenuBar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      countMenus method [java.awt.MenuBar]

public int countMenus( )

Note: countMenus has been deprecated. As of JDK version 1.1, replaced by getMenuCount().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 MenuBar [java.awt]


countObservers method [java.util.Observable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      countObservers method [java.util.Observable]

public synchronized int countObservers( )

Returns the number of observers of this object.

Return

The number of observers of this object.

Applies to

 Observable [java.util]


country property [java.util.Locale] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      country property [java.util.Locale]

public java.lang.String getCountry( )

Getter for programmatic name of field, an uppercased two-letter ISO-3166 code.

Return

No documentation supplied in JDK.

See also

displayCountry property [java.util.Locale]

Applies to

 Locale [java.util]


countStackFrames method [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      countStackFrames method [java.lang.Thread]

public native int countStackFrames( )

Counts the number of stack frames in this thread. The thread must be suspended.

Return

The number of stack frames in this thread.

Throws

IllegalThreadStateException

If this thread is not suspended.

Applies to

 Thread [java.lang]


countTokens method [java.util.StringTokenizer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      countTokens method [java.util.StringTokenizer]

public int countTokens( )

Calculates the number of times that this tokenizer's nextToken method can be called before it generates an exception.

Return

The number of tokens remaining in the string using the current delimiter set.

See also

nextToken method [java.util.StringTokenizer]

Applies to

 StringTokenizer [java.util]


crc property [java.util.zip.ZipEntry] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      crc property [java.util.zip.ZipEntry]

public long getCrc( )

Returns the CRC-32 checksum of the uncompressed entry data, or -1 if not known.

Return

No documentation supplied in JDK.

public void setCrc( long crc )

Sets the CRC-32 checksum of the uncompressed entry data.

Parameter

crc

the CRC-32 value

Throws

IllegalArgumentException

If the specified CRC-32 value is less than 0 or greater than 0xFFFFFFFF.

Applies to

 ZipEntry [java.util.zip]


CRC32 class [java.util.zip] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      CRC32 class [java.util.zip]

Object

CRC32

Description

A class that can be used to compute the CRC-32 of a data stream.

Specification

public class CRC32 extends java.lang.Object implements java.util.zip.Checksum

Properties

  long getValue( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void reset( )

  native void update( byte[] b, int off, int len )

  void update( int b )

  void update( byte[] b )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Checksum interface [java.util.zip]


create method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      create method [java.awt.Graphics]

Overloads:

 Graphics create( )

 Graphics create( int x, int y, int width, int height )

public abstract java.awt.Graphics create( )

Creates a new Graphics object that is a copy of this Graphics object.

Return

A new graphics context that is a copy of this graphics context.

public java.awt.Graphics create( int x, int y, int width, int height )

Creates a new Graphics object based on this Graphics object, but with a new translation and clip area. The new Graphics object has its origin translated to the specified point (x , y ). Its clip area is determined by the intersection of the original clip area with the specified rectangle.  The arguments are all interpreted in the coordinate system of the original Graphics object. The new graphics context is identical to the original, except in two respects:

•	The new graphics context is translated by (x , y ). That is to say, the point (0, 0) in the new graphics context is the same as (x , y ) in the original graphics context.

•	The new graphics context has an additional clipping rectangle, in addition to whatever (translated) clipping rectangle it inherited from the original graphics context. The origin of the new clipping rectangle is at (0, 0), and its size is specified by the width and height arguments.

Parameters

x

the x coordinate.

y

the y coordinate.

width

the width of the clipping rectangle.

height

the height of the clipping rectangle.

Return

A new graphics context.

See also

translate method [java.awt.Graphics]

clipRect method [java.awt.Graphics]

Applies to

 Graphics [java.awt]


create method [java.net.DatagramSocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      create method [java.net.DatagramSocketImpl]

protected abstract void create( ) throws java.net.SocketException

Creates a datagram socket

Applies to

 DatagramSocketImpl [java.net]


create method [java.net.SocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      create method [java.net.SocketImpl]

protected abstract void create( boolean stream ) throws java.io.IOException

Creates either a stream or a datagram socket.

Parameter

stream

if true, create a stream socket; otherwise, create a datagram socket.

Throws

IOException

If an I/O error occurs while creating the socket.

Applies to

 SocketImpl [java.net]


createButton method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createButton method [java.awt.Toolkit]

protected abstract java.awt.peer.ButtonPeer createButton( java.awt.Button target )

Creates this toolkit's implementation of Button using the specified peer interface.

Parameter

target

the button to be implemented.

Return

This toolkit's implementation of Button.

See also

Button class [java.awt]

ButtonPeer interface [java.awt.peer]

Applies to

 Toolkit [java.awt]


createCanvas method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createCanvas method [java.awt.Toolkit]

protected abstract java.awt.peer.CanvasPeer createCanvas( java.awt.Canvas target )

Creates this toolkit's implementation of Canvas using the specified peer interface.

Parameter

target

the canvas to be implemented.

Return

This toolkit's implementation of Canvas.

See also

Canvas class [java.awt]

CanvasPeer interface [java.awt.peer]

Applies to

 Toolkit [java.awt]


createCheckbox method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createCheckbox method [java.awt.Toolkit]

protected abstract java.awt.peer.CheckboxPeer createCheckbox( java.awt.Checkbox target )

Creates this toolkit's implementation of Checkbox using the specified peer interface.

Parameter

target

the check box to be implemented.

Return

This toolkit's implementation of Checkbox.

See also

Checkbox class [java.awt]

CheckboxPeer interface [java.awt.peer]

Applies to

 Toolkit [java.awt]


createCheckboxMenuItem method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createCheckboxMenuItem method [java.awt.Toolkit]

protected abstract java.awt.peer.CheckboxMenuItemPeer createCheckboxMenuItem( java.awt.CheckboxMenuItem target )

Creates this toolkit's implementation of CheckboxMenuItem using the specified peer interface.

Parameter

target

the checkbox menu item to be implemented.

Return

This toolkit's implementation of CheckboxMenuItem.

See also

CheckboxMenuItem class [java.awt]

CheckboxMenuItemPeer interface [java.awt.peer]

Applies to

 Toolkit [java.awt]


createChoice method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createChoice method [java.awt.Toolkit]

protected abstract java.awt.peer.ChoicePeer createChoice( java.awt.Choice target )

Creates this toolkit's implementation of Choice using the specified peer interface.

Parameter

target

the choice to be implemented.

Return

This toolkit's implementation of Choice.

See also

Choice class [java.awt]

ChoicePeer interface [java.awt.peer]

Applies to

 Toolkit [java.awt]


createComponent method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createComponent method [java.awt.Toolkit]

protected java.awt.peer.LightweightPeer createComponent( java.awt.Component target )

Creates a peer for a component or container.  This peer is windowless and allows the Component and Container classes to be extended directly to create windowless components that are defined entirely in java.

Parameter

target

The Component to be created.

Return

No documentation supplied in JDK.

Applies to

 Toolkit [java.awt]


createDialog method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createDialog method [java.awt.Toolkit]

protected abstract java.awt.peer.DialogPeer createDialog( java.awt.Dialog target )

Creates this toolkit's implementation of Dialog using the specified peer interface.

Parameter

target

the dialog to be implemented.

Return

This toolkit's implementation of Dialog.

See also

Dialog class [java.awt]

DialogPeer interface [java.awt.peer]

Applies to

 Toolkit [java.awt]


createFileDialog method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createFileDialog method [java.awt.Toolkit]

protected abstract java.awt.peer.FileDialogPeer createFileDialog( java.awt.FileDialog target )

Creates this toolkit's implementation of FileDialog using the specified peer interface.

Parameter

target

the file dialog to be implemented.

Return

This toolkit's implementation of FileDialog.

See also

FileDialog class [java.awt]

FileDialogPeer interface [java.awt.peer]

Applies to

 Toolkit [java.awt]


createFrame method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createFrame method [java.awt.Toolkit]

protected abstract java.awt.peer.FramePeer createFrame( java.awt.Frame target )

Creates this toolkit's implementation of Frame using the specified peer interface.

Parameter

target

the frame to be implemented.

Return

This toolkit's implementation of Frame.

See also

Frame class [java.awt]

FramePeer interface [java.awt.peer]

Applies to

 Toolkit [java.awt]


createImage method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createImage method [java.awt.Component]

Overloads:

 Image createImage( ImageProducer producer )

 Image createImage( int width, int height )

public java.awt.Image createImage( java.awt.image.ImageProducer producer )

Creates an image from the specified image producer.

Parameter

producer

the image producer

Return

The image produced.

public java.awt.Image createImage( int width, int height )

Creates an off-screen drawable image to be used for double buffering.

Parameters

width

the specified width.

height

the specified height.

Return

An off-screen drawable image, which can be used for double buffering.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


createImage method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createImage method [java.awt.Toolkit]

Overloads:

 Image createImage( byte[] imagedata, int imageoffset, int imagelength )

 Image createImage( byte[] imagedata )

 Image createImage( ImageProducer producer )

public abstract java.awt.Image createImage( byte[] imagedata, int imageoffset, int imagelength )

Creates an image which decodes the image stored in the specified byte array, and at the specified offset and length. The data must be in some image format, such as GIF or JPEG, that is supported by this toolkit.

Parameters

imagedata

an array of bytes, representing image data in a supported image format.

imageoffset

the offset of the beginning of the data in the array.

imagelength

the length of the data in the array.

Return

An image.

public java.awt.Image createImage( byte[] imagedata )

Creates an image which decodes the image stored in the specified byte array.

The data must be in some image format, such as GIF or JPEG, that is supported by this toolkit.

Parameter

imagedata

an array of bytes, representing image data in a supported image format.

Return

An image.

public abstract java.awt.Image createImage( java.awt.image.ImageProducer producer )

Creates an image with the specified image producer.

Parameter

producer

the image producer to be used.

Return

An image with the specified image producer.

See also

Image class [java.awt]

ImageProducer interface [java.awt.image]

createImage method [java.awt.Component]

Applies to

 Toolkit [java.awt]


createLabel method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createLabel method [java.awt.Toolkit]

protected abstract java.awt.peer.LabelPeer createLabel( java.awt.Label target )

Creates this toolkit's implementation of Label using the specified peer interface.

Parameter

target

the label to be implemented.

Return

This toolkit's implementation of Label.

See also

Label class [java.awt]

LabelPeer interface [java.awt.peer]

Applies to

 Toolkit [java.awt]


createList method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createList method [java.awt.Toolkit]

protected abstract java.awt.peer.ListPeer createList( java.awt.List target )

Creates this toolkit's implementation of List using the specified peer interface.

Parameter

target

the list to be implemented.

Return

This toolkit's implementation of List.

See also

List class [java.awt]

ListPeer interface [java.awt.peer]

Applies to

 Toolkit [java.awt]


createMenu method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createMenu method [java.awt.Toolkit]

protected abstract java.awt.peer.MenuPeer createMenu( java.awt.Menu target )

Creates this toolkit's implementation of Menu using the specified peer interface.

Parameter

target

the menu to be implemented.

Return

This toolkit's implementation of Menu.

See also

Menu class [java.awt]

MenuPeer interface [java.awt.peer]

Applies to

 Toolkit [java.awt]


createMenuBar method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createMenuBar method [java.awt.Toolkit]

protected abstract java.awt.peer.MenuBarPeer createMenuBar( java.awt.MenuBar target )

Creates this toolkit's implementation of MenuBar using the specified peer interface.

Parameter

target

the menu bar to be implemented.

Return

This toolkit's implementation of MenuBar.

See also

MenuBar class [java.awt]

MenuBarPeer interface [java.awt.peer]

Applies to

 Toolkit [java.awt]


createMenuItem method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createMenuItem method [java.awt.Toolkit]

protected abstract java.awt.peer.MenuItemPeer createMenuItem( java.awt.MenuItem target )

Creates this toolkit's implementation of MenuItem using the specified peer interface.

Parameter

target

the menu item to be implemented.

Return

This toolkit's implementation of MenuItem.

See also

MenuItem class [java.awt]

MenuItemPeer interface [java.awt.peer]

Applies to

 Toolkit [java.awt]


createPanel method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createPanel method [java.awt.Toolkit]

protected abstract java.awt.peer.PanelPeer createPanel( java.awt.Panel target )

Creates this toolkit's implementation of Panel using the specified peer interface.

Parameter

target

the panel to be implemented.

Return

This toolkit's implementation of Panel.

See also

Panel class [java.awt]

PanelPeer interface [java.awt.peer]

Applies to

 Toolkit [java.awt]


createPopupMenu method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createPopupMenu method [java.awt.Toolkit]

protected abstract java.awt.peer.PopupMenuPeer createPopupMenu( java.awt.PopupMenu target )

Creates this toolkit's implementation of PopupMenu using the specified peer interface.

Parameter

target

the popup menu to be implemented.

Return

This toolkit's implementation of PopupMenu.

See also

PopupMenu class [java.awt]

PopupMenuPeer interface [java.awt.peer]

Applies to

 Toolkit [java.awt]


createRegistry method [java.rmi.registry.LocateRegistry] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createRegistry method [java.rmi.registry.LocateRegistry]

public static java.rmi.registry.Registry createRegistry( int port ) throws java.rmi.RemoteException

Create and export a registry on the local host.

Parameter

port

the port on which the registry is to be exported

Return

No documentation supplied in JDK.

Throws

RemoteException

If failure occurs during remote object creation.

Applies to

 LocateRegistry [java.rmi.registry]


createScrollbar method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createScrollbar method [java.awt.Toolkit]

protected abstract java.awt.peer.ScrollbarPeer createScrollbar( java.awt.Scrollbar target )

Creates this toolkit's implementation of Scrollbar using the specified peer interface.

Parameter

target

the scroll bar to be implemented.

Return

This toolkit's implementation of Scrollbar.

See also

Scrollbar class [java.awt]

ScrollbarPeer interface [java.awt.peer]

Applies to

 Toolkit [java.awt]


createScrollPane method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createScrollPane method [java.awt.Toolkit]

protected abstract java.awt.peer.ScrollPanePeer createScrollPane( java.awt.ScrollPane target )

Creates this toolkit's implementation of ScrollPane using the specified peer interface.

Parameter

target

the scroll pane to be implemented.

Return

This toolkit's implementation of ScrollPane.

See also

ScrollPane class [java.awt]

ScrollPanePeer interface [java.awt.peer]

Applies to

 Toolkit [java.awt]


createServerSocket method [java.rmi.server.RMISocketFactory] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createServerSocket method [java.rmi.server.RMISocketFactory]

public abstract java.net.ServerSocket createServerSocket( int port ) throws java.io.IOException

Create a server socket on the specified port (port 0 represents an anonymous port).

Return

No documentation supplied in JDK.

Applies to

 RMISocketFactory [java.rmi.server]


createSocket method [java.rmi.server.RMISocketFactory] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createSocket method [java.rmi.server.RMISocketFactory]

public abstract java.net.Socket createSocket( java.lang.String host, int port ) throws java.io.IOException

Create a client socket connected to the specified host and port.

Return

No documentation supplied in JDK.

Applies to

 RMISocketFactory [java.rmi.server]


createTextArea method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createTextArea method [java.awt.Toolkit]

protected abstract java.awt.peer.TextAreaPeer createTextArea( java.awt.TextArea target )

Creates this toolkit's implementation of TextArea using the specified peer interface.

Parameter

target

the text area to be implemented.

Return

This toolkit's implementation of TextArea.

See also

TextArea class [java.awt]

TextAreaPeer interface [java.awt.peer]

Applies to

 Toolkit [java.awt]


createTextField method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createTextField method [java.awt.Toolkit]

protected abstract java.awt.peer.TextFieldPeer createTextField( java.awt.TextField target )

Creates this toolkit's implementation of TextField using the specified peer interface.

Parameter

target

the text field to be implemented.

Return

This toolkit's implementation of TextField.

See also

TextField class [java.awt]

TextFieldPeer interface [java.awt.peer]

Applies to

 Toolkit [java.awt]


createWindow method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      createWindow method [java.awt.Toolkit]

protected abstract java.awt.peer.WindowPeer createWindow( java.awt.Window target )

Creates this toolkit's implementation of Window using the specified peer interface.

Parameter

target

the window to be implemented.

Return

This toolkit's implementation of Window.

See also

Window class [java.awt]

WindowPeer interface [java.awt.peer]

Applies to

 Toolkit [java.awt]


CropImageFilter class [java.awt.image] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      CropImageFilter class [java.awt.image]

Object

ImageFilter

CropImageFilter

Description

An ImageFilter class for cropping images. This class extends the basic ImageFilter Class to extract a given rectangular region of an existing Image and provide a source for a new image containing just the extracted region.  It is meant to be used in conjunction with a FilteredImageSource object to produce cropped versions of existing images.

Specification

public class CropImageFilter extends java.awt.image.ImageFilter

Constructor

public CropImageFilter( int x, int y, int w, int h )

Constructs a CropImageFilter that extracts the absolute rectangular region of pixels from its source Image as specified by the x, y, w, and h parameters.

Parameters

x

the x location of the top of the rectangle to be extracted

y

the y location of the top of the rectangle to be extracted

w

the width of the rectangle to be extracted

h

the height of the rectangle to be extracted

Properties

  void setDimensions( int w, int h )

  void setProperties( java.util.Hashtable props )

Inherited Properties

  native final java.lang.Class getClass( )

  void setColorModel( java.awt.image.ColorModel model )

  void setHints( int hints )

Methods

  void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, byte[] pixels, int off, int scansize )

  void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, int[] pixels, int off, int scansize )

Inherited Methods

  boolean equals( java.lang.Object obj )

  java.awt.image.ImageFilter getFilterInstance( java.awt.image.ImageConsumer ic )

  native int hashCode( )

  void imageComplete( int status )

  native final void notify( )

  native final void notifyAll( )

  void resendTopDownLeftRight( java.awt.image.ImageProducer ip )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

FilteredImageSource class [java.awt.image]

ImageFilter class [java.awt.image]


currencyInstance property [java.text.NumberFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      currencyInstance property [java.text.NumberFormat]

public static final java.text.NumberFormat getCurrencyInstance( )

Returns a currency format for the current default locale.

Return

No documentation supplied in JDK.

Applies to

 ChoiceFormat [java.text]

 DecimalFormat [java.text]

 NumberFormat [java.text]


current method [java.text.BreakIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      current method [java.text.BreakIterator]

public abstract int current( )

Return character index of the text boundary that was most recently returned by next(), previous(), first(), or last()

Return

The boundary most recently returned.

Applies to

 BreakIterator [java.text]


current method [java.text.StringCharacterIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      current method [java.text.StringCharacterIterator]

public char current( )

Get the character at the current position (as returned by getIndex()).

Return

The character at the current position or DONE if the current position is off the end of the text.

Applies to

 StringCharacterIterator [java.text]


current property [java.awt.CheckboxGroup] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      current property [java.awt.CheckboxGroup]

public java.awt.Checkbox getCurrent( )

Note: getCurrent has been deprecated. As of JDK version 1.1, replaced by getSelectedCheckbox().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

public synchronized void setCurrent( java.awt.Checkbox box )

Note: setCurrent has been deprecated. As of JDK version 1.1, replaced by setSelectedCheckbox(Checkbox).

Note: setCurrent has been deprecated. As of JDK version 1.1, replaced by setSelectedCheckbox(Checkbox).

No documentation supplied in JDK

Applies to

 CheckboxGroup [java.awt]


currentClassLoader method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      currentClassLoader method [java.lang.SecurityManager]

protected native java.lang.ClassLoader currentClassLoader( )

Returns an object describing the most recent class loader executing on the stack.

Return

The class loader of the most recent occurrence on the stack of a method from a class defined using a class loader; returns null if there is no occurrence on the stack of a method from a class defined using a class loader.

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


currentLoadedClass method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      currentLoadedClass method [java.lang.SecurityManager]

protected java.lang.Class currentLoadedClass( )

Returns the current Class with a ClassLoader on the execution stack.

Return

No documentation supplied in JDK.

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


currentThread method [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      currentThread method [java.lang.Thread]

public static native java.lang.Thread currentThread( )

Returns a reference to the currently executing thread object.

Return

The currently executing thread.

Applies to

 Thread [java.lang]


currentTimeMillis method [java.lang.System] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      currentTimeMillis method [java.lang.System]

public static native long currentTimeMillis( )

Returns the current time in milliseconds.

See the description of the class Date for a discussion of slight discrepancies that may arise between "computer time" and coordinated universal time (UTC).

Return

The difference, measured in milliseconds, between the current time and midnight, January 1, 1970 UTC.

See also

Date class [java.util]

Applies to

 System [java.lang]


Cursor class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      Cursor class [java.awt]

Object

Cursor

Description

A class to encapsulate the bitmap representation of the mouse cursor.

Specification

public class Cursor extends java.lang.Object implements java.io.Serializable

Constructor

public Cursor( int type )

Creates a new cursor object with the specified type.

Parameter

type

the type of cursor

Variables

public static final int DEFAULT_CURSOR

The default cursor type (gets set if no cursor is defined).

public static final int CROSSHAIR_CURSOR

The crosshair cursor type.

public static final int TEXT_CURSOR

The text cursor type.

public static final int WAIT_CURSOR

The wait cursor type.

public static final int SW_RESIZE_CURSOR

The south-west-resize cursor type.

public static final int SE_RESIZE_CURSOR

The south-east-resize cursor type.

public static final int NW_RESIZE_CURSOR

The north-west-resize cursor type.

public static final int NE_RESIZE_CURSOR

The north-east-resize cursor type.

public static final int N_RESIZE_CURSOR

The north-resize cursor type.

public static final int S_RESIZE_CURSOR

The south-resize cursor type.

public static final int W_RESIZE_CURSOR

The west-resize cursor type.

public static final int E_RESIZE_CURSOR

The east-resize cursor type.

public static final int HAND_CURSOR

The hand cursor type.

public static final int MOVE_CURSOR

The move cursor type.

protected static java.awt.Cursor[] predefined

Properties

  static java.awt.Cursor getDefaultCursor( )

  static java.awt.Cursor getPredefinedCursor( int type )

  int getType( )

Inherited Properties

  native final java.lang.Class getClass( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

cursor property [java.awt.Component]


cursor property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      cursor property [java.awt.Component]

public java.awt.Cursor getCursor( )

Gets the cursor set on this component.

Return

The cursor for this component.

See also

Cursor class [java.awt]

public synchronized void setCursor( java.awt.Cursor cursor )

Set the cursor image to a predefined cursor.

Parameter

cursor

One of the constants defined by the Cursor class. If this parameter is null then this component will inherit the cursor of its parent.

See also

Cursor class [java.awt]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


cursor property [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      cursor property [java.awt.Container]

Overloads:

  void setCursor( Cursor cursor ) overrides cursor property [java.awt.Component]

public synchronized void setCursor( java.awt.Cursor cursor )

Set the cursor image to a predefined cursor.

Parameter

cursor

One of the constants defined by the Cursor class.

See also

cursor property [java.awt.Component]

Cursor class [java.awt]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


cursor property [java.awt.Frame] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      cursor property [java.awt.Frame]

Inherited overloads:

  Cursor getCursor( )

  void setCursor( Cursor cursor )

  void setCursor( Cursor cursor )

  void setCursor( Cursor cursor )

public synchronized void setCursor( int cursorType )

Note: setCursor has been deprecated. As of JDK version 1.1, replaced by Component.setCursor(Cursor).

Note: setCursor has been deprecated. As of JDK version 1.1, replaced by Component.setCursor(Cursor).

No documentation supplied in JDK

Applies to

 Frame [java.awt]


cursor property [java.awt.Window] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      cursor property [java.awt.Window]

Overloads:

  void setCursor( Cursor cursor ) overrides cursor property [java.awt.Container]

public synchronized void setCursor( java.awt.Cursor cursor )

Set the cursor image to a predefined cursor.

Parameter

cursor

One of the constants defined by the Cursor class. If this parameter is null then the cursor for this window will be set to the type Cursor.DEFAULT_CURSOR .

See also

cursor property [java.awt.Component]

Cursor class [java.awt]

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Window [java.awt]


cursorType property [java.awt.Frame] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      cursorType property [java.awt.Frame]

public int getCursorType( )

Note: getCursorType has been deprecated. As of JDK version 1.1, replaced by Component.getCursor().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Frame [java.awt]


customEditor property [java.beans.PropertyEditorSupport] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      customEditor property [java.beans.PropertyEditorSupport]

public java.awt.Component getCustomEditor( )

A PropertyEditor may chose to make available a full custom Component that edits its property value.  It is the responsibility of the PropertyEditor to hook itself up to its editor Component itself and to report property value changes by firing a PropertyChange event.

The higher-level code that calls getCustomEditor may either embed the Component in some larger property sheet, or it may put it in its own individual dialog, or ...

Return

A java.awt.Component that will allow a human to directly edit the current property value.  May be null if this is not supported.

Applies to

 PropertyEditorSupport [java.beans]


Customizer interface [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      Customizer interface [java.beans]

Description

A customizer class provides a complete custom GUI for customizing a target Java Bean.

Each customizer should inherit from the java.awt.Component class so it can be instantiated inside an AWT dialog or panel.

Each customizer should have a null constructor.

Definition

public interface Customizer

{

  // Properties

  public void setObject( java.lang.Object bean );

  // Events

  public void addPropertyChangeListener( java.beans.PropertyChangeListener listener );

  public void removePropertyChangeListener( java.beans.PropertyChangeListener listener );

}

Properties

public void setObject( java.lang.Object bean )

Set the object to be customized.  This method should be called only once, before the Customizer has been added to any parent AWT container.

Parameter

bean

The object to be customized.

Events

public void addPropertyChangeListener( java.beans.PropertyChangeListener listener )

Register a listener for the PropertyChange event.  The customizer should fire a PropertyChange event whenever it changes the target bean in a way that might require the displayed properties to be refreshed.

Parameter

listener

An object to be invoked when a PropertyChange event is fired.

public void removePropertyChangeListener( java.beans.PropertyChangeListener listener )

Remove a listener for the PropertyChange event.

Parameter

listener

The PropertyChange listener to be removed.


customizerClass property [java.beans.BeanDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     C
      customizerClass property [java.beans.BeanDescriptor]

public java.lang.Class getCustomizerClass( )

No documentation supplied in JDK

Return

The Class object for the bean's customizer.  This may be null if the bean doesn't have a customizer.

Applies to

 BeanDescriptor [java.beans]


D  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    D

 daemon property [java.lang.Thread]

 daemon property [java.lang.ThreadGroup]

 darker method [java.awt.Color]

 data property [java.net.DatagramPacket]

 DatabaseMetaData interface [java.sql]

 DataFlavor class [java.awt.datatransfer]

 DataFormatException class [java.util.zip]

 DatagramPacket class [java.net]

 DatagramSocket class [java.net]

 DatagramSocketImpl class [java.net]

 DataInput interface [java.io]

 DataInputStream class [java.io]

 DataOutput interface [java.io]

 DataOutputStream class [java.io]

 dataSize property [java.sql.DataTruncation]

 DataTruncation class [java.sql]

 Date class [java.sql]

 Date class [java.util]

 date property [java.net.URLConnection]

 date property [java.sql.Time]

 date property [java.util.Date]

 DateFormat class [java.text]

 DateFormatSymbols class [java.text]

 dateFormatSymbols property [java.text.SimpleDateFormat]

 DateFormatZoneData class [java.text.resources]

 DateFormatZoneData_ar class [java.text.resources]

 DateFormatZoneData_be class [java.text.resources]

 DateFormatZoneData_bg class [java.text.resources]

 DateFormatZoneData_ca class [java.text.resources]

 DateFormatZoneData_cs class [java.text.resources]

 DateFormatZoneData_da class [java.text.resources]

 DateFormatZoneData_de class [java.text.resources]

 DateFormatZoneData_de_AT class [java.text.resources]

 DateFormatZoneData_de_CH class [java.text.resources]

 DateFormatZoneData_el class [java.text.resources]

 DateFormatZoneData_en class [java.text.resources]

 DateFormatZoneData_en_CA class [java.text.resources]

 DateFormatZoneData_en_GB class [java.text.resources]

 DateFormatZoneData_en_IE class [java.text.resources]

 DateFormatZoneData_es class [java.text.resources]

 DateFormatZoneData_et class [java.text.resources]

 DateFormatZoneData_fi class [java.text.resources]

 DateFormatZoneData_fr class [java.text.resources]

 DateFormatZoneData_fr_BE class [java.text.resources]

 DateFormatZoneData_fr_CA class [java.text.resources]

 DateFormatZoneData_fr_CH class [java.text.resources]

 DateFormatZoneData_hr class [java.text.resources]

 DateFormatZoneData_hu class [java.text.resources]

 DateFormatZoneData_is class [java.text.resources]

 DateFormatZoneData_it class [java.text.resources]

 DateFormatZoneData_it_CH class [java.text.resources]

 DateFormatZoneData_iw class [java.text.resources]

 DateFormatZoneData_ja class [java.text.resources]

 DateFormatZoneData_ko class [java.text.resources]

 DateFormatZoneData_lt class [java.text.resources]

 DateFormatZoneData_lv class [java.text.resources]

 DateFormatZoneData_mk class [java.text.resources]

 DateFormatZoneData_nl class [java.text.resources]

 DateFormatZoneData_nl_BE class [java.text.resources]

 DateFormatZoneData_no class [java.text.resources]

 DateFormatZoneData_no_NO_NY class [java.text.resources]

 DateFormatZoneData_pl class [java.text.resources]

 DateFormatZoneData_pt class [java.text.resources]

 DateFormatZoneData_ro class [java.text.resources]

 DateFormatZoneData_ru class [java.text.resources]

 DateFormatZoneData_sh class [java.text.resources]

 DateFormatZoneData_sk class [java.text.resources]

 DateFormatZoneData_sl class [java.text.resources]

 DateFormatZoneData_sq class [java.text.resources]

 DateFormatZoneData_sr class [java.text.resources]

 DateFormatZoneData_sv class [java.text.resources]

 DateFormatZoneData_th class [java.text.resources]

 DateFormatZoneData_tr class [java.text.resources]

 DateFormatZoneData_uk class [java.text.resources]

 DateFormatZoneData_zh class [java.text.resources]

 DateFormatZoneData_zh_TW class [java.text.resources]

 dateInstance property [java.text.DateFormat]

 dateTimeInstance property [java.text.DateFormat]

 day property [java.sql.Time]

 day property [java.util.Date]

 decapitalize method [java.beans.Introspector]

 DecimalFormat class [java.text]

 DecimalFormatSymbols class [java.text]

 decimalFormatSymbols property [java.text.DecimalFormat]

 decimalSeparator property [java.text.DecimalFormatSymbols]

 decimalSeparatorAlwaysShown property [java.text.DecimalFormat]

 declaredClasses property [java.lang.Class]

 declaredConstructors property [java.lang.Class]

 declaredFields property [java.lang.Class]

 declaredMethods property [java.lang.Class]

 declaringClass property [java.lang.Class]

 declaringClass property [java.lang.reflect.Constructor]

 declaringClass property [java.lang.reflect.Field]

 declaringClass property [java.lang.reflect.Method]

 decode method [java.awt.Color]

 decode method [java.awt.Font]

 decode method [java.lang.Byte]

 decode method [java.lang.Integer]

 decode method [java.lang.Short]

 decomposition property [java.text.Collator]

 default property [java.util.Locale]

 default property [java.util.TimeZone]

 defaultAllowUserInteraction property [java.net.URLConnection]

 defaultCursor property [java.awt.Cursor]

 defaultEventIndex property [java.beans.SimpleBeanInfo]

 defaultPropertyIndex property [java.beans.SimpleBeanInfo]

 defaultReadObject method [java.io.ObjectInputStream]

 defaultStream property [java.rmi.server.LogStream]

 defaultToolkit property [java.awt.Toolkit]

 defaultUseCaches property [java.net.URLConnection]

 defaultWriteObject method [java.io.ObjectOutputStream]

 defineClass method [java.lang.ClassLoader]

 deflate method [java.util.zip.Deflater]

 deflate method [java.util.zip.DeflaterOutputStream]

 Deflater class [java.util.zip]

 DeflaterOutputStream class [java.util.zip]

 delete method [java.io.File]

 deleteObserver method [java.util.Observable]

 deleteObservers method [java.util.Observable]

 deleteShortcut method [java.awt.MenuBar]

 deleteShortcut method [java.awt.MenuItem]

 delItem method [java.awt.List]

 delItems method [java.awt.List]

 deliverEvent method [java.awt.Component]

 deliverEvent method [java.awt.Container]

 deregisterDriver method [java.sql.DriverManager]

 descent property [java.awt.FontMetrics]

 deselect method [java.awt.List]

 designTime property [java.beans.Beans]

 destroy method [java.applet.Applet]

 destroy method [java.lang.Process]

 destroy method [java.lang.Thread]

 destroy method [java.lang.ThreadGroup]

 destroyed property [java.lang.ThreadGroup]

 DGC interface [java.rmi.dgc]

 Dialog class [java.awt]

 DialogPeer interface [java.awt.peer]

 Dictionary class [java.util]

 dictionary property [java.util.zip.Deflater]

 dictionary property [java.util.zip.Inflater]

 digest method [java.security.MessageDigest]

 DigestException class [java.security]

 DigestInputStream class [java.security]

 DigestOutputStream class [java.security]

 digit method [java.lang.Character]

 digit property [java.text.DecimalFormatSymbols]

 Dimension class [java.awt]

 dimensions property [java.awt.image.CropImageFilter]

 dimensions property [java.awt.image.ImageFilter]

 dimensions property [java.awt.image.PixelGrabber]

 dimensions property [java.awt.image.ReplicateScaleFilter]

 DirectColorModel class [java.awt.image]

 directory property [java.awt.FileDialog]

 directory property [java.io.File]

 directory property [java.util.zip.ZipEntry]

 disable method [java.awt.Component]

 disable method [java.awt.MenuItem]

 disable method [java.lang.Compiler]

 disableEvents method [java.awt.Component]

 disableEvents method [java.awt.MenuItem]

 disconnect method [java.net.HttpURLConnection]

 dispatchEvent method [java.awt.Component]

 dispatchEvent method [java.awt.MenuComponent]

 displayCountry property [java.util.Locale]

 displayLanguage property [java.util.Locale]

 displayName property [java.beans.FeatureDescriptor]

 displayName property [java.util.Locale]

 displayVariant property [java.util.Locale]

 dispose method [java.awt.Frame]

 dispose method [java.awt.Graphics]

 dispose method [java.awt.Window]

 divide method [java.math.BigDecimal]

 divide method [java.math.BigInteger]

 divideAndRemainder method [java.math.BigInteger]

 documentBase property [java.applet.Applet]

 doInput property [java.net.URLConnection]

 doLayout method [java.awt.Component]

 doLayout method [java.awt.Container]

 doLayout method [java.awt.ScrollPane]

 doOutput property [java.net.URLConnection]

 Double class [java.lang]

 doubleToLongBits method [java.lang.Double]

 doubleValue method [java.lang.Byte]

 doubleValue method [java.lang.Double]

 doubleValue method [java.lang.Float]

 doubleValue method [java.lang.Integer]

 doubleValue method [java.lang.Long]

 doubleValue method [java.lang.Number]

 doubleValue method [java.lang.Short]

 doubleValue method [java.math.BigDecimal]

 doubleValue method [java.math.BigInteger]

 drain method [java.io.ObjectOutputStream]

 draw3DRect method [java.awt.Graphics]

 drawArc method [java.awt.Graphics]

 drawBytes method [java.awt.Graphics]

 drawChars method [java.awt.Graphics]

 drawImage method [java.awt.Graphics]

 drawLine method [java.awt.Graphics]

 drawOval method [java.awt.Graphics]

 drawPolygon method [java.awt.Graphics]

 drawPolyline method [java.awt.Graphics]

 drawRect method [java.awt.Graphics]

 drawRoundRect method [java.awt.Graphics]

 drawString method [java.awt.Graphics]

 Driver interface [java.sql]

 DriverManager class [java.sql]

 DriverPropertyInfo class [java.sql]

 drivers property [java.sql.DriverManager]

 DSAKey interface [java.security.interfaces]

 DSAKeyPairGenerator interface [java.security.interfaces]

 DSAParams interface [java.security.interfaces]

 DSAPrivateKey interface [java.security.interfaces]

 DSAPublicKey interface [java.security.interfaces]

 dumpStack method [java.lang.Thread]


daemon property [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      daemon property [java.lang.Thread]

public final void setDaemon( boolean on )

Marks this thread as either a daemon thread or a user thread. The Java Virtual Machine exits when the only threads running are all daemon threads.

This method must be called before the thread is started.

Parameter

on

if true, marks this thread as a daemon thread.

Throws

IllegalThreadStateException

If this thread is active.

public final boolean isDaemon( )

Tests if this thread is a daemon thread.

Return

true if this thread is a daemon thread; false otherwise.

Applies to

 Thread [java.lang]


daemon property [java.lang.ThreadGroup] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      daemon property [java.lang.ThreadGroup]

public final void setDaemon( boolean daemon )

Changes the daemon status of this thread group.

First, the checkAccess method of this thread group is called with no arguments; this may result in a security exception.

A daemon thread group is automatically destroyed when its last thread is stopped or its last thread group is destroyed.

Parameter

daemon

if true, marks this thread group as a daemon thread group; otherwise, marks this thread group as normal.

Throws

SecurityException

If the current thread cannot modify this thread.

See also

SecurityException class [java.lang]

checkAccess method [java.lang.ThreadGroup]

public final boolean isDaemon( )

Tests if this thread group is a daemon thread group. A daemon thread group is automatically destroyed when its last thread is stopped or its last thread group is destroyed.

Return

true if this thread group is a daemon thread group; false otherwise.

Applies to

 ThreadGroup [java.lang]


darker method [java.awt.Color] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      darker method [java.awt.Color]

public java.awt.Color darker( )

Creates a darker version of this color.

This method applies an arbitrary scale factor to each of the three RGB components of the color to create a darker version of the same color. Although brighter and darker are inverse operations, the results of a series of invocations of these two methods may be inconsistent because of rounding errors.

Return

A new Color object, a darker version of this color.

See also

brighter method [java.awt.Color]

Applies to

 Color [java.awt]

 SystemColor [java.awt]


data property [java.net.DatagramPacket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      data property [java.net.DatagramPacket]

public synchronized byte[] getData( )

Returns the data received or the data to be sent.

Return

The data received or the data to be sent.

public synchronized void setData( byte[] ibuf )

No documentation supplied in JDK

Applies to

 DatagramPacket [java.net]


DatabaseMetaData interface [java.sql] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DatabaseMetaData interface [java.sql]

Description

This class provides information about the database as a whole.

Many of the methods here return lists of information in ResultSets. You can use the normal ResultSet methods such as getString and getInt to retrieve the data from these ResultSets.  If a given form of metadata is not available, these methods should throw a SQLException.

Some of these methods take arguments that are String patterns.  These arguments all have names such as fooPattern.  Within a pattern String, "%" means match any substring of 0 or more characters, and "_" means match any one character. Only metadata entries matching the search pattern are returned. If a search pattern argument is set to a null ref, it means that argument's criteria should be dropped from the search.

A SQLException will be thrown if a driver does not support a meta data method.  In the case of methods that return a ResultSet, either a ResultSet (which may be empty) is returned or a SQLException is thrown.

Definition

public interface DatabaseMetaData

{

  // Variables

  public int procedureResultUnknown;

  public int procedureNoResult;

  public int procedureReturnsResult;

  public int procedureColumnUnknown;

  public int procedureColumnIn;

  public int procedureColumnInOut;

  public int procedureColumnOut;

  public int procedureColumnReturn;

  public int procedureColumnResult;

  public int procedureNoNulls;

  public int procedureNullable;

  public int procedureNullableUnknown;

  public int columnNoNulls;

  public int columnNullable;

  public int columnNullableUnknown;

  public int bestRowTemporary;

  public int bestRowTransaction;

  public int bestRowSession;

  public int bestRowUnknown;

  public int bestRowNotPseudo;

  public int bestRowPseudo;

  public int versionColumnUnknown;

  public int versionColumnNotPseudo;

  public int versionColumnPseudo;

  public int importedKeyCascade;

  public int importedKeyRestrict;

  public int importedKeySetNull;

  public int importedKeyNoAction;

  public int importedKeySetDefault;

  public int importedKeyInitiallyDeferred;

  public int importedKeyInitiallyImmediate;

  public int importedKeyNotDeferrable;

  public int typeNoNulls;

  public int typeNullable;

  public int typeNullableUnknown;

  public int typePredNone;

  public int typePredChar;

  public int typePredBasic;

  public int typeSearchable;

  public short tableIndexStatistic;

  public short tableIndexClustered;

  public short tableIndexHashed;

  public short tableIndexOther;

  // Properties

  public java.lang.String getURL( ) throws java.sql.SQLException;

  public java.lang.String getUserName( ) throws java.sql.SQLException;

  public boolean isReadOnly( ) throws java.sql.SQLException;

  public java.lang.String getDatabaseProductName( ) throws java.sql.SQLException;

  public java.lang.String getDatabaseProductVersion( ) throws java.sql.SQLException;

  public java.lang.String getDriverName( ) throws java.sql.SQLException;

  public java.lang.String getDriverVersion( ) throws java.sql.SQLException;

  public int getDriverMajorVersion( );

  public int getDriverMinorVersion( );

  public java.lang.String getIdentifierQuoteString( ) throws java.sql.SQLException;

  public java.lang.String getSQLKeywords( ) throws java.sql.SQLException;

  public java.lang.String getNumericFunctions( ) throws java.sql.SQLException;

  public java.lang.String getStringFunctions( ) throws java.sql.SQLException;

  public java.lang.String getSystemFunctions( ) throws java.sql.SQLException;

  public java.lang.String getTimeDateFunctions( ) throws java.sql.SQLException;

  public java.lang.String getSearchStringEscape( ) throws java.sql.SQLException;

  public java.lang.String getExtraNameCharacters( ) throws java.sql.SQLException;

  public java.lang.String getSchemaTerm( ) throws java.sql.SQLException;

  public java.lang.String getProcedureTerm( ) throws java.sql.SQLException;

  public java.lang.String getCatalogTerm( ) throws java.sql.SQLException;

  public boolean isCatalogAtStart( ) throws java.sql.SQLException;

  public java.lang.String getCatalogSeparator( ) throws java.sql.SQLException;

  public int getMaxBinaryLiteralLength( ) throws java.sql.SQLException;

  public int getMaxCharLiteralLength( ) throws java.sql.SQLException;

  public int getMaxColumnNameLength( ) throws java.sql.SQLException;

  public int getMaxColumnsInGroupBy( ) throws java.sql.SQLException;

  public int getMaxColumnsInIndex( ) throws java.sql.SQLException;

  public int getMaxColumnsInOrderBy( ) throws java.sql.SQLException;

  public int getMaxColumnsInSelect( ) throws java.sql.SQLException;

  public int getMaxColumnsInTable( ) throws java.sql.SQLException;

  public int getMaxConnections( ) throws java.sql.SQLException;

  public int getMaxCursorNameLength( ) throws java.sql.SQLException;

  public int getMaxIndexLength( ) throws java.sql.SQLException;

  public int getMaxSchemaNameLength( ) throws java.sql.SQLException;

  public int getMaxProcedureNameLength( ) throws java.sql.SQLException;

  public int getMaxCatalogNameLength( ) throws java.sql.SQLException;

  public int getMaxRowSize( ) throws java.sql.SQLException;

  public int getMaxStatementLength( ) throws java.sql.SQLException;

  public int getMaxStatements( ) throws java.sql.SQLException;

  public int getMaxTableNameLength( ) throws java.sql.SQLException;

  public int getMaxTablesInSelect( ) throws java.sql.SQLException;

  public int getMaxUserNameLength( ) throws java.sql.SQLException;

  public int getDefaultTransactionIsolation( ) throws java.sql.SQLException;

  public java.sql.ResultSet getSchemas( ) throws java.sql.SQLException;

  public java.sql.ResultSet getCatalogs( ) throws java.sql.SQLException;

  public java.sql.ResultSet getTableTypes( ) throws java.sql.SQLException;

  public java.sql.ResultSet getTypeInfo( ) throws java.sql.SQLException;

  // Methods

  public boolean allProceduresAreCallable( ) throws java.sql.SQLException;

  public boolean allTablesAreSelectable( ) throws java.sql.SQLException;

  public boolean nullsAreSortedHigh( ) throws java.sql.SQLException;

  public boolean nullsAreSortedLow( ) throws java.sql.SQLException;

  public boolean nullsAreSortedAtStart( ) throws java.sql.SQLException;

  public boolean nullsAreSortedAtEnd( ) throws java.sql.SQLException;

  public boolean usesLocalFiles( ) throws java.sql.SQLException;

  public boolean usesLocalFilePerTable( ) throws java.sql.SQLException;

  public boolean supportsMixedCaseIdentifiers( ) throws java.sql.SQLException;

  public boolean storesUpperCaseIdentifiers( ) throws java.sql.SQLException;

  public boolean storesLowerCaseIdentifiers( ) throws java.sql.SQLException;

  public boolean storesMixedCaseIdentifiers( ) throws java.sql.SQLException;

  public boolean supportsMixedCaseQuotedIdentifiers( ) throws java.sql.SQLException;

  public boolean storesUpperCaseQuotedIdentifiers( ) throws java.sql.SQLException;

  public boolean storesLowerCaseQuotedIdentifiers( ) throws java.sql.SQLException;

  public boolean storesMixedCaseQuotedIdentifiers( ) throws java.sql.SQLException;

  public boolean supportsAlterTableWithAddColumn( ) throws java.sql.SQLException;

  public boolean supportsAlterTableWithDropColumn( ) throws java.sql.SQLException;

  public boolean supportsColumnAliasing( ) throws java.sql.SQLException;

  public boolean nullPlusNonNullIsNull( ) throws java.sql.SQLException;

  public boolean supportsConvert( ) throws java.sql.SQLException;

  public boolean supportsConvert( int fromType, int toType ) throws java.sql.SQLException;

  public boolean supportsTableCorrelationNames( ) throws java.sql.SQLException;

  public boolean supportsDifferentTableCorrelationNames( ) throws java.sql.SQLException;

  public boolean supportsExpressionsInOrderBy( ) throws java.sql.SQLException;

  public boolean supportsOrderByUnrelated( ) throws java.sql.SQLException;

  public boolean supportsGroupBy( ) throws java.sql.SQLException;

  public boolean supportsGroupByUnrelated( ) throws java.sql.SQLException;

  public boolean supportsGroupByBeyondSelect( ) throws java.sql.SQLException;

  public boolean supportsLikeEscapeClause( ) throws java.sql.SQLException;

  public boolean supportsMultipleResultSets( ) throws java.sql.SQLException;

  public boolean supportsMultipleTransactions( ) throws java.sql.SQLException;

  public boolean supportsNonNullableColumns( ) throws java.sql.SQLException;

  public boolean supportsMinimumSQLGrammar( ) throws java.sql.SQLException;

  public boolean supportsCoreSQLGrammar( ) throws java.sql.SQLException;

  public boolean supportsExtendedSQLGrammar( ) throws java.sql.SQLException;

  public boolean supportsANSI92EntryLevelSQL( ) throws java.sql.SQLException;

  public boolean supportsANSI92IntermediateSQL( ) throws java.sql.SQLException;

  public boolean supportsANSI92FullSQL( ) throws java.sql.SQLException;

  public boolean supportsIntegrityEnhancementFacility( ) throws java.sql.SQLException;

  public boolean supportsOuterJoins( ) throws java.sql.SQLException;

  public boolean supportsFullOuterJoins( ) throws java.sql.SQLException;

  public boolean supportsLimitedOuterJoins( ) throws java.sql.SQLException;

  public boolean supportsSchemasInDataManipulation( ) throws java.sql.SQLException;

  public boolean supportsSchemasInProcedureCalls( ) throws java.sql.SQLException;

  public boolean supportsSchemasInTableDefinitions( ) throws java.sql.SQLException;

  public boolean supportsSchemasInIndexDefinitions( ) throws java.sql.SQLException;

  public boolean supportsSchemasInPrivilegeDefinitions( ) throws java.sql.SQLException;

  public boolean supportsCatalogsInDataManipulation( ) throws java.sql.SQLException;

  public boolean supportsCatalogsInProcedureCalls( ) throws java.sql.SQLException;

  public boolean supportsCatalogsInTableDefinitions( ) throws java.sql.SQLException;

  public boolean supportsCatalogsInIndexDefinitions( ) throws java.sql.SQLException;

  public boolean supportsCatalogsInPrivilegeDefinitions( ) throws java.sql.SQLException;

  public boolean supportsPositionedDelete( ) throws java.sql.SQLException;

  public boolean supportsPositionedUpdate( ) throws java.sql.SQLException;

  public boolean supportsSelectForUpdate( ) throws java.sql.SQLException;

  public boolean supportsStoredProcedures( ) throws java.sql.SQLException;

  public boolean supportsSubqueriesInComparisons( ) throws java.sql.SQLException;

  public boolean supportsSubqueriesInExists( ) throws java.sql.SQLException;

  public boolean supportsSubqueriesInIns( ) throws java.sql.SQLException;

  public boolean supportsSubqueriesInQuantifieds( ) throws java.sql.SQLException;

  public boolean supportsCorrelatedSubqueries( ) throws java.sql.SQLException;

  public boolean supportsUnion( ) throws java.sql.SQLException;

  public boolean supportsUnionAll( ) throws java.sql.SQLException;

  public boolean supportsOpenCursorsAcrossCommit( ) throws java.sql.SQLException;

  public boolean supportsOpenCursorsAcrossRollback( ) throws java.sql.SQLException;

  public boolean supportsOpenStatementsAcrossCommit( ) throws java.sql.SQLException;

  public boolean supportsOpenStatementsAcrossRollback( ) throws java.sql.SQLException;

  public boolean doesMaxRowSizeIncludeBlobs( ) throws java.sql.SQLException;

  public boolean supportsTransactions( ) throws java.sql.SQLException;

  public boolean supportsTransactionIsolationLevel( int level ) throws java.sql.SQLException;

  public boolean supportsDataDefinitionAndDataManipulationTransactions( ) throws java.sql.SQLException;

  public boolean supportsDataManipulationTransactionsOnly( ) throws java.sql.SQLException;

  public boolean dataDefinitionCausesTransactionCommit( ) throws java.sql.SQLException;

  public boolean dataDefinitionIgnoredInTransactions( ) throws java.sql.SQLException;

  public java.sql.ResultSet getProcedures( java.lang.String catalog, java.lang.String schemaPattern, java.lang.String procedureNamePattern ) throws java.sql.SQLException;

  public java.sql.ResultSet getProcedureColumns( java.lang.String catalog, java.lang.String schemaPattern, java.lang.String procedureNamePattern, java.lang.String columnNamePattern ) throws java.sql.SQLException;

  public java.sql.ResultSet getTables( java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern, java.lang.String[] types ) throws java.sql.SQLException;

  public java.sql.ResultSet getColumns( java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern, java.lang.String columnNamePattern ) throws java.sql.SQLException;

  public java.sql.ResultSet getColumnPrivileges( java.lang.String catalog, java.lang.String schema, java.lang.String table, java.lang.String columnNamePattern ) throws java.sql.SQLException;

  public java.sql.ResultSet getTablePrivileges( java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern ) throws java.sql.SQLException;

  public java.sql.ResultSet getBestRowIdentifier( java.lang.String catalog, java.lang.String schema, java.lang.String table, int scope, boolean nullable ) throws java.sql.SQLException;

  public java.sql.ResultSet getVersionColumns( java.lang.String catalog, java.lang.String schema, java.lang.String table ) throws java.sql.SQLException;

  public java.sql.ResultSet getPrimaryKeys( java.lang.String catalog, java.lang.String schema, java.lang.String table ) throws java.sql.SQLException;

  public java.sql.ResultSet getImportedKeys( java.lang.String catalog, java.lang.String schema, java.lang.String table ) throws java.sql.SQLException;

  public java.sql.ResultSet getExportedKeys( java.lang.String catalog, java.lang.String schema, java.lang.String table ) throws java.sql.SQLException;

  public java.sql.ResultSet getCrossReference( java.lang.String primaryCatalog, java.lang.String primarySchema, java.lang.String primaryTable, java.lang.String foreignCatalog, java.lang.String foreignSchema, java.lang.String foreignTable ) throws java.sql.SQLException;

  public java.sql.ResultSet getIndexInfo( java.lang.String catalog, java.lang.String schema, java.lang.String table, boolean unique, boolean approximate ) throws java.sql.SQLException;

}

Variables

public int procedureResultUnknown

PROCEDURE_TYPE - May return a result.

public int procedureNoResult

PROCEDURE_TYPE - Does not return a result.

public int procedureReturnsResult

PROCEDURE_TYPE - Returns a result.

public int procedureColumnUnknown

COLUMN_TYPE - nobody knows.

public int procedureColumnIn

COLUMN_TYPE - IN parameter.

public int procedureColumnInOut

COLUMN_TYPE - INOUT parameter.

public int procedureColumnOut

COLUMN_TYPE - OUT parameter.

public int procedureColumnReturn

COLUMN_TYPE - procedure return value.

public int procedureColumnResult

COLUMN_TYPE - result column in ResultSet.

public int procedureNoNulls

TYPE NULLABLE - does not allow NULL values.

public int procedureNullable

TYPE NULLABLE - allows NULL values.

public int procedureNullableUnknown

TYPE NULLABLE - nullability unknown.

public int columnNoNulls

COLUMN NULLABLE - might not allow NULL values.

public int columnNullable

COLUMN NULLABLE - definitely allows NULL values.

public int columnNullableUnknown

COLUMN NULLABLE - nullability unknown.

public int bestRowTemporary

BEST ROW SCOPE - very temporary, while using row.

public int bestRowTransaction

BEST ROW SCOPE - valid for remainder of current transaction.

public int bestRowSession

BEST ROW SCOPE - valid for remainder of current session.

public int bestRowUnknown

BEST ROW PSEUDO_COLUMN - may or may not be pseudo column.

public int bestRowNotPseudo

BEST ROW PSEUDO_COLUMN - is NOT a pseudo column.

public int bestRowPseudo

BEST ROW PSEUDO_COLUMN - is a pseudo column.

public int versionColumnUnknown

VERSION COLUMNS PSEUDO_COLUMN - may or may not be pseudo column.

public int versionColumnNotPseudo

VERSION COLUMNS PSEUDO_COLUMN - is NOT a pseudo column.

public int versionColumnPseudo

VERSION COLUMNS PSEUDO_COLUMN - is a pseudo column.

public int importedKeyCascade

IMPORT KEY UPDATE_RULE and DELETE_RULE - for update, change imported key to agree with primary key update; for delete, delete rows that import a deleted key.

public int importedKeyRestrict

IMPORT KEY UPDATE_RULE and DELETE_RULE - do not allow update or delete of primary key if it has been imported.

public int importedKeySetNull

IMPORT KEY UPDATE_RULE and DELETE_RULE - change imported key to NULL if its primary key has been updated or deleted.

public int importedKeyNoAction

IMPORT KEY UPDATE_RULE and DELETE_RULE - do not allow update or delete of primary key if it has been imported.

public int importedKeySetDefault

IMPORT KEY UPDATE_RULE and DELETE_RULE - change imported key to default values if its primary key has been updated or deleted.

public int importedKeyInitiallyDeferred

IMPORT KEY DEFERRABILITY - see SQL92 for definition.

public int importedKeyInitiallyImmediate

IMPORT KEY DEFERRABILITY - see SQL92 for definition.

public int importedKeyNotDeferrable

IMPORT KEY DEFERRABILITY - see SQL92 for definition.

public int typeNoNulls

TYPE NULLABLE - does not allow NULL values.

public int typeNullable

TYPE NULLABLE - allows NULL values.

public int typeNullableUnknown

TYPE NULLABLE - nullability unknown.

public int typePredNone

TYPE INFO SEARCHABLE - No support.

public int typePredChar

TYPE INFO SEARCHABLE - Only supported with WHERE .. LIKE.

public int typePredBasic

TYPE INFO SEARCHABLE -  Supported except for WHERE .. LIKE.

public int typeSearchable

TYPE INFO SEARCHABLE - Supported for all WHERE ...

public short tableIndexStatistic

INDEX INFO TYPE - this identifies table statistics that are returned in conjuction with a table's index descriptions.

public short tableIndexClustered

INDEX INFO TYPE - this identifies a clustered index.

public short tableIndexHashed

INDEX INFO TYPE - this identifies a hashed index.

public short tableIndexOther

INDEX INFO TYPE - this identifies some other form of index.

Properties

public java.lang.String getURL( ) throws java.sql.SQLException

What's the url for this database?

Return

The url or null if it can't be generated.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getUserName( ) throws java.sql.SQLException

What's our user name as known to the database?

Return

Our database user name.

Throws

SQLException

If a database-access error occurs.

public boolean isReadOnly( ) throws java.sql.SQLException

Is the database in read-only mode?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getDatabaseProductName( ) throws java.sql.SQLException

What's the name of this database product?

Return

Database product name.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getDatabaseProductVersion( ) throws java.sql.SQLException

What's the version of this database product?

Return

Database version.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getDriverName( ) throws java.sql.SQLException

What's the name of this JDBC driver?

Return

JDBC driver name.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getDriverVersion( ) throws java.sql.SQLException

What's the version of this JDBC driver?

Return

JDBC driver version.

Throws

SQLException

If a database-access error occurs.

public int getDriverMajorVersion( )

What's this JDBC driver's major version number?

Return

JDBC driver major version.

public int getDriverMinorVersion( )

What's this JDBC driver's minor version number?

Return

JDBC driver minor version number.

public java.lang.String getIdentifierQuoteString( ) throws java.sql.SQLException

What's the string used to quote SQL identifiers? This returns a space " " if identifier quoting isn't supported. A JDBC-Compliant driver always uses a double quote character.

Return

The quoting string.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getSQLKeywords( ) throws java.sql.SQLException

Get a comma separated list of all a database's SQL keywords that are NOT also SQL92 keywords.

Return

The list.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getNumericFunctions( ) throws java.sql.SQLException

Get a comma separated list of math functions.

Return

The list.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getStringFunctions( ) throws java.sql.SQLException

Get a comma separated list of string functions.

Return

The list.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getSystemFunctions( ) throws java.sql.SQLException

Get a comma separated list of system functions.

Return

The list.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getTimeDateFunctions( ) throws java.sql.SQLException

Get a comma separated list of time and date functions.

Return

The list.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getSearchStringEscape( ) throws java.sql.SQLException

This is the string that can be used to escape '_' or '%' in the string pattern style catalog search parameters.

The '_' character represents any single character.

The '%' character represents any sequence of zero or more characters.

Return

The string used to escape wildcard characters.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getExtraNameCharacters( ) throws java.sql.SQLException

Get all the "extra" characters that can be used in unquoted identifier names (those beyond a-z, A-Z, 0-9 and _).

Return

The string containing the extra characters.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getSchemaTerm( ) throws java.sql.SQLException

What's the database vendor's preferred term for "schema"?

Return

The vendor term.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getProcedureTerm( ) throws java.sql.SQLException

What's the database vendor's preferred term for "procedure"?

Return

The vendor term.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getCatalogTerm( ) throws java.sql.SQLException

What's the database vendor's preferred term for "catalog"?

Return

The vendor term.

Throws

SQLException

If a database-access error occurs.

public boolean isCatalogAtStart( ) throws java.sql.SQLException

Does a catalog appear at the start of a qualified table name? (Otherwise it appears at the end)

Return

True if it appears at the start.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getCatalogSeparator( ) throws java.sql.SQLException

What's the separator between catalog and table name?

Return

The separator string.

Throws

SQLException

If a database-access error occurs.

public int getMaxBinaryLiteralLength( ) throws java.sql.SQLException

How many hex characters can you have in an inline binary literal?

Return

Max literal length.

Throws

SQLException

If a database-access error occurs.

public int getMaxCharLiteralLength( ) throws java.sql.SQLException

What's the max length for a character literal?

Return

Max literal length.

Throws

SQLException

If a database-access error occurs.

public int getMaxColumnNameLength( ) throws java.sql.SQLException

What's the limit on column name length?

Return

Max literal length.

Throws

SQLException

If a database-access error occurs.

public int getMaxColumnsInGroupBy( ) throws java.sql.SQLException

What's the maximum number of columns in a "GROUP BY" clause?

Return

Max number of columns.

Throws

SQLException

If a database-access error occurs.

public int getMaxColumnsInIndex( ) throws java.sql.SQLException

What's the maximum number of columns allowed in an index?

Return

Max columns.

Throws

SQLException

If a database-access error occurs.

public int getMaxColumnsInOrderBy( ) throws java.sql.SQLException

What's the maximum number of columns in an "ORDER BY" clause?

Return

Max columns.

Throws

SQLException

If a database-access error occurs.

public int getMaxColumnsInSelect( ) throws java.sql.SQLException

What's the maximum number of columns in a "SELECT" list?

Return

Max columns.

Throws

SQLException

If a database-access error occurs.

public int getMaxColumnsInTable( ) throws java.sql.SQLException

What's the maximum number of columns in a table?

Return

Max columns.

Throws

SQLException

If a database-access error occurs.

public int getMaxConnections( ) throws java.sql.SQLException

How many active connections can we have at a time to this database?

Return

Max connections.

Throws

SQLException

If a database-access error occurs.

public int getMaxCursorNameLength( ) throws java.sql.SQLException

What's the maximum cursor name length?

Return

Max cursor name length in bytes.

Throws

SQLException

If a database-access error occurs.

public int getMaxIndexLength( ) throws java.sql.SQLException

What's the maximum length of an index (in bytes)?

Return

Max index length in bytes.

Throws

SQLException

If a database-access error occurs.

public int getMaxSchemaNameLength( ) throws java.sql.SQLException

What's the maximum length allowed for a schema name?

Return

Max name length in bytes.

Throws

SQLException

If a database-access error occurs.

public int getMaxProcedureNameLength( ) throws java.sql.SQLException

What's the maximum length of a procedure name?

Return

Max name length in bytes.

Throws

SQLException

If a database-access error occurs.

public int getMaxCatalogNameLength( ) throws java.sql.SQLException

What's the maximum length of a catalog name?

Return

Max name length in bytes.

Throws

SQLException

If a database-access error occurs.

public int getMaxRowSize( ) throws java.sql.SQLException

What's the maximum length of a single row?

Return

Max row size in bytes.

Throws

SQLException

If a database-access error occurs.

public int getMaxStatementLength( ) throws java.sql.SQLException

What's the maximum length of a SQL statement?

Return

Max length in bytes.

Throws

SQLException

If a database-access error occurs.

public int getMaxStatements( ) throws java.sql.SQLException

How many active statements can we have open at one time to this database?

Return

The maximum.

Throws

SQLException

If a database-access error occurs.

public int getMaxTableNameLength( ) throws java.sql.SQLException

What's the maximum length of a table name?

Return

Max name length in bytes.

Throws

SQLException

If a database-access error occurs.

public int getMaxTablesInSelect( ) throws java.sql.SQLException

What's the maximum number of tables in a SELECT?

Return

The maximum.

Throws

SQLException

If a database-access error occurs.

public int getMaxUserNameLength( ) throws java.sql.SQLException

What's the maximum length of a user name?

Return

Max name length  in bytes.

Throws

SQLException

If a database-access error occurs.

public int getDefaultTransactionIsolation( ) throws java.sql.SQLException

What's the database's default transaction isolation level?  The values are defined in java.sql.Connection.

Return

The default isolation level.

Throws

SQLException

If a database-access error occurs.

See also

Connection interface [java.sql]

public java.sql.ResultSet getSchemas( ) throws java.sql.SQLException

Get the schema names available in this database.  The results are ordered by schema name.

The schema column is:

•	TABLE_SCHEM String => schema name

Return

ResultSet - each row has a single String column that is a schema name.

Throws

SQLException

If a database-access error occurs.

public java.sql.ResultSet getCatalogs( ) throws java.sql.SQLException

Get the catalog names available in this database.  The results are ordered by catalog name.

The catalog column is:

•	TABLE_CAT String => catalog name

Return

ResultSet - each row has a single String column that is a catalog name.

Throws

SQLException

If a database-access error occurs.

public java.sql.ResultSet getTableTypes( ) throws java.sql.SQLException

Get the table types available in this database.  The results are ordered by table type.

The table type is:

•	TABLE_TYPE String => table type.  Typical types are "TABLE", "VIEW",	"SYSTEM TABLE", "GLOBAL TEMPORARY", "LOCAL TEMPORARY", "ALIAS", "SYNONYM".

Return

ResultSet - each row has a single String column that is a table type.

Throws

SQLException

If a database-access error occurs.

public java.sql.ResultSet getTypeInfo( ) throws java.sql.SQLException

Get a description of all the standard SQL types supported by this database. They are ordered by DATA_TYPE and then by how closely the data type maps to the corresponding JDBC SQL type.

Each type description has the following columns:

•	TYPE_NAME String => Type name

•	DATA_TYPE short => SQL data type from java.sql.Types

•	PRECISION int => maximum precision

•	LITERAL_PREFIX String => prefix used to quote a literal (may be null)

•	LITERAL_SUFFIX String => suffix used to quote a literal (may be null)

•	CREATE_PARAMS String => parameters used in creating the type (may be null)

•	NULLABLE short => can you use NULL for this type?

•	typeNoNulls - does not allow NULL values

•	typeNullable - allows NULL values

•	typeNullableUnknown - nullability unknown

•	CASE_SENSITIVE boolean=> is it case sensitive?

•	SEARCHABLE short => can you use "WHERE" based on this type:

•	typePredNone - No support

•	typePredChar - Only supported with WHERE .. LIKE

•	typePredBasic - Supported except for WHERE .. LIKE

•	typeSearchable - Supported for all WHERE ..

•	UNSIGNED_ATTRIBUTE boolean => is it unsigned?

•	FIXED_PREC_SCALE boolean => can it be a money value?

•	AUTO_INCREMENT boolean => can it be used for an auto-increment value?

•	LOCAL_TYPE_NAME String => localized version of type name (may be null)

•	MINIMUM_SCALE short => minimum scale supported

•	MAXIMUM_SCALE short => maximum scale supported

•	SQL_DATA_TYPE int => unused

•	SQL_DATETIME_SUB int => unused

•	NUM_PREC_RADIX int => usually 2 or 10

Return

ResultSet - each row is a SQL type description.

Throws

SQLException

If a database-access error occurs.

Methods

public boolean allProceduresAreCallable( ) throws java.sql.SQLException

Can all the procedures returned by getProcedures be called by the current user?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean allTablesAreSelectable( ) throws java.sql.SQLException

Can all the tables returned by getTable be SELECTed by the current user?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean nullsAreSortedHigh( ) throws java.sql.SQLException

Are NULL values sorted high?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean nullsAreSortedLow( ) throws java.sql.SQLException

Are NULL values sorted low?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean nullsAreSortedAtStart( ) throws java.sql.SQLException

Are NULL values sorted at the start regardless of sort order?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean nullsAreSortedAtEnd( ) throws java.sql.SQLException

Are NULL values sorted at the end regardless of sort order?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean usesLocalFiles( ) throws java.sql.SQLException

Does the database store tables in a local file?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean usesLocalFilePerTable( ) throws java.sql.SQLException

Does the database use a file for each table?

Return

True if the database uses a local file for each table.

Throws

SQLException

If a database-access error occurs.

public boolean supportsMixedCaseIdentifiers( ) throws java.sql.SQLException

Does the database treat mixed case unquoted SQL identifiers as case sensitive and as a result store them in mixed case? A JDBC-Compliant driver will always return false.

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean storesUpperCaseIdentifiers( ) throws java.sql.SQLException

Does the database treat mixed case unquoted SQL identifiers as case insensitive and store them in upper case?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean storesLowerCaseIdentifiers( ) throws java.sql.SQLException

Does the database treat mixed case unquoted SQL identifiers as case insensitive and store them in lower case?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean storesMixedCaseIdentifiers( ) throws java.sql.SQLException

Does the database treat mixed case unquoted SQL identifiers as case insensitive and store them in mixed case?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsMixedCaseQuotedIdentifiers( ) throws java.sql.SQLException

Does the database treat mixed case quoted SQL identifiers as case sensitive and as a result store them in mixed case? A JDBC-Compliant driver will always return true.

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean storesUpperCaseQuotedIdentifiers( ) throws java.sql.SQLException

Does the database treat mixed case quoted SQL identifiers as case insensitive and store them in upper case?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean storesLowerCaseQuotedIdentifiers( ) throws java.sql.SQLException

Does the database treat mixed case quoted SQL identifiers as case insensitive and store them in lower case?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean storesMixedCaseQuotedIdentifiers( ) throws java.sql.SQLException

Does the database treat mixed case quoted SQL identifiers as case insensitive and store them in mixed case?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsAlterTableWithAddColumn( ) throws java.sql.SQLException

Is "ALTER TABLE" with add column supported?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsAlterTableWithDropColumn( ) throws java.sql.SQLException

Is "ALTER TABLE" with drop column supported?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsColumnAliasing( ) throws java.sql.SQLException

Is column aliasing supported?

If so, the SQL AS clause can be used to provide names for computed columns or to provide alias names for columns as required. A JDBC-Compliant driver always returns true.

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean nullPlusNonNullIsNull( ) throws java.sql.SQLException

Are concatenations between NULL and non-NULL values NULL? A JDBC-Compliant driver always returns true.

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsConvert( ) throws java.sql.SQLException

Is the CONVERT function between SQL types supported?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsConvert( int fromType, int toType ) throws java.sql.SQLException

Is CONVERT between the given SQL types supported?

Parameters

fromType

the type to convert from

toType

the type to convert to

Return

True if so.

Throws

SQLException

If a database-access error occurs.

See also

Types class [java.sql]

public boolean supportsTableCorrelationNames( ) throws java.sql.SQLException

Are table correlation names supported? A JDBC-Compliant driver always returns true.

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsDifferentTableCorrelationNames( ) throws java.sql.SQLException

If table correlation names are supported, are they restricted to be different from the names of the tables?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsExpressionsInOrderBy( ) throws java.sql.SQLException

Are expressions in "ORDER BY" lists supported?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsOrderByUnrelated( ) throws java.sql.SQLException

Can an "ORDER BY" clause use columns not in the SELECT?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsGroupBy( ) throws java.sql.SQLException

Is some form of "GROUP BY" clause supported?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsGroupByUnrelated( ) throws java.sql.SQLException

Can a "GROUP BY" clause use columns not in the SELECT?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsGroupByBeyondSelect( ) throws java.sql.SQLException

Can a "GROUP BY" clause add columns not in the SELECT provided it specifies all the columns in the SELECT?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsLikeEscapeClause( ) throws java.sql.SQLException

Is the escape character in "LIKE" clauses supported? A JDBC-Compliant driver always returns true.

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsMultipleResultSets( ) throws java.sql.SQLException

Are multiple ResultSets from a single execute supported?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsMultipleTransactions( ) throws java.sql.SQLException

Can we have multiple transactions open at once (on different connections)?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsNonNullableColumns( ) throws java.sql.SQLException

Can columns be defined as non-nullable? A JDBC-Compliant driver always returns true.

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsMinimumSQLGrammar( ) throws java.sql.SQLException

Is the ODBC Minimum SQL grammar supported? All JDBC-Compliant drivers must return true.

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsCoreSQLGrammar( ) throws java.sql.SQLException

Is the ODBC Core SQL grammar supported?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsExtendedSQLGrammar( ) throws java.sql.SQLException

Is the ODBC Extended SQL grammar supported?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsANSI92EntryLevelSQL( ) throws java.sql.SQLException

Is the ANSI92 entry level SQL grammar supported? All JDBC-Compliant drivers must return true.

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsANSI92IntermediateSQL( ) throws java.sql.SQLException

Is the ANSI92 intermediate SQL grammar supported?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsANSI92FullSQL( ) throws java.sql.SQLException

Is the ANSI92 full SQL grammar supported?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsIntegrityEnhancementFacility( ) throws java.sql.SQLException

Is the SQL Integrity Enhancement Facility supported?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsOuterJoins( ) throws java.sql.SQLException

Is some form of outer join supported?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsFullOuterJoins( ) throws java.sql.SQLException

Are full nested outer joins supported?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsLimitedOuterJoins( ) throws java.sql.SQLException

Is there limited support for outer joins?  (This will be true if supportFullOuterJoins is true.)

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsSchemasInDataManipulation( ) throws java.sql.SQLException

Can a schema name be used in a data manipulation statement?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsSchemasInProcedureCalls( ) throws java.sql.SQLException

Can a schema name be used in a procedure call statement?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsSchemasInTableDefinitions( ) throws java.sql.SQLException

Can a schema name be used in a table definition statement?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsSchemasInIndexDefinitions( ) throws java.sql.SQLException

Can a schema name be used in an index definition statement?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsSchemasInPrivilegeDefinitions( ) throws java.sql.SQLException

Can a schema name be used in a privilege definition statement?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsCatalogsInDataManipulation( ) throws java.sql.SQLException

Can a catalog name be used in a data manipulation statement?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsCatalogsInProcedureCalls( ) throws java.sql.SQLException

Can a catalog name be used in a procedure call statement?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsCatalogsInTableDefinitions( ) throws java.sql.SQLException

Can a catalog name be used in a table definition statement?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsCatalogsInIndexDefinitions( ) throws java.sql.SQLException

Can a catalog name be used in an index definition statement?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsCatalogsInPrivilegeDefinitions( ) throws java.sql.SQLException

Can a catalog name be used in a privilege definition statement?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsPositionedDelete( ) throws java.sql.SQLException

Is positioned DELETE supported?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsPositionedUpdate( ) throws java.sql.SQLException

Is positioned UPDATE supported?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsSelectForUpdate( ) throws java.sql.SQLException

Is SELECT for UPDATE supported?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsStoredProcedures( ) throws java.sql.SQLException

Are stored procedure calls using the stored procedure escape syntax supported?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsSubqueriesInComparisons( ) throws java.sql.SQLException

Are subqueries in comparison expressions supported? A JDBC-Compliant driver always returns true.

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsSubqueriesInExists( ) throws java.sql.SQLException

Are subqueries in 'exists' expressions supported? A JDBC-Compliant driver always returns true.

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsSubqueriesInIns( ) throws java.sql.SQLException

Are subqueries in 'in' statements supported? A JDBC-Compliant driver always returns true.

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsSubqueriesInQuantifieds( ) throws java.sql.SQLException

Are subqueries in quantified expressions supported? A JDBC-Compliant driver always returns true.

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsCorrelatedSubqueries( ) throws java.sql.SQLException

Are correlated subqueries supported? A JDBC-Compliant driver always returns true.

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsUnion( ) throws java.sql.SQLException

Is SQL UNION supported?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsUnionAll( ) throws java.sql.SQLException

Is SQL UNION ALL supported?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsOpenCursorsAcrossCommit( ) throws java.sql.SQLException

Can cursors remain open across commits?

Return

True if cursors always remain open; false if they might not remain open.

Throws

SQLException

If a database-access error occurs.

public boolean supportsOpenCursorsAcrossRollback( ) throws java.sql.SQLException

Can cursors remain open across rollbacks?

Return

True if cursors always remain open; false if they might not remain open.

Throws

SQLException

If a database-access error occurs.

public boolean supportsOpenStatementsAcrossCommit( ) throws java.sql.SQLException

Can statements remain open across commits?

Return

True if statements always remain open; false if they might not remain open.

Throws

SQLException

If a database-access error occurs.

public boolean supportsOpenStatementsAcrossRollback( ) throws java.sql.SQLException

Can statements remain open across rollbacks?

Return

True if statements always remain open; false if they might not remain open.

Throws

SQLException

If a database-access error occurs.

public boolean doesMaxRowSizeIncludeBlobs( ) throws java.sql.SQLException

Did getMaxRowSize() include LONGVARCHAR and LONGVARBINARY blobs?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsTransactions( ) throws java.sql.SQLException

Are transactions supported? If not, commit is a noop and the isolation level is TRANSACTION_NONE.

Return

True if transactions are supported.

Throws

SQLException

If a database-access error occurs.

public boolean supportsTransactionIsolationLevel( int level ) throws java.sql.SQLException

Does the database support the given transaction isolation level?

Parameter

level

the values are defined in java.sql.Connection

Return

True if so.

Throws

SQLException

If a database-access error occurs.

See also

Connection interface [java.sql]

public boolean supportsDataDefinitionAndDataManipulationTransactions( ) throws java.sql.SQLException

Are both data definition and data manipulation statements within a transaction supported?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean supportsDataManipulationTransactionsOnly( ) throws java.sql.SQLException

Are only data manipulation statements within a transaction supported?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean dataDefinitionCausesTransactionCommit( ) throws java.sql.SQLException

Does a data definition statement within a transaction force the transaction to commit?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean dataDefinitionIgnoredInTransactions( ) throws java.sql.SQLException

Is a data definition statement within a transaction ignored?

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public java.sql.ResultSet getProcedures( java.lang.String catalog, java.lang.String schemaPattern, java.lang.String procedureNamePattern ) throws java.sql.SQLException

Get a description of stored procedures available in a catalog.

Only procedure descriptions matching the schema and procedure name criteria are returned.  They are ordered by PROCEDURE_SCHEM, and PROCEDURE_NAME.

Each procedure description has the the following columns:

•	PROCEDURE_CAT String => procedure catalog (may be null)

•	PROCEDURE_SCHEM String => procedure schema (may be null)

•	PROCEDURE_NAME String => procedure name

•	reserved for future use

•	reserved for future use

•	reserved for future use

•	REMARKS String => explanatory comment on the procedure

•	PROCEDURE_TYPE short => kind of procedure:

•	procedureResultUnknown - May return a result

•	procedureNoResult - Does not return a result

•	procedureReturnsResult - Returns a result

Parameters

catalog

a catalog name;  retrieves those without a catalog; null means drop catalog name from the selection criteria

schemaPattern

a schema name pattern;  retrieves those without a schema

procedureNamePattern

a procedure name pattern

Return

ResultSet - each row is a procedure description.

Throws

SQLException

If a database-access error occurs.

See also

DatabaseMetaData interface [java.sql]

public java.sql.ResultSet getProcedureColumns( java.lang.String catalog, java.lang.String schemaPattern, java.lang.String procedureNamePattern, java.lang.String columnNamePattern ) throws java.sql.SQLException

Get a description of a catalog's stored procedure parameters and result columns.

Only descriptions matching the schema, procedure and parameter name criteria are returned.  They are ordered by PROCEDURE_SCHEM and PROCEDURE_NAME. Within this, the return value, if any, is first. Next are the parameter descriptions in call order. The column descriptions follow in column number order.

Each row in the ResultSet is a parameter description or column description with the following fields:

•	PROCEDURE_CAT String => procedure catalog (may be null)

•	PROCEDURE_SCHEM String => procedure schema (may be null)

•	PROCEDURE_NAME String => procedure name

•	COLUMN_NAME String => column/parameter name

•	COLUMN_TYPE Short => kind of column/parameter:

•	procedureColumnUnknown - nobody knows

•	procedureColumnIn - IN parameter

•	procedureColumnInOut - INOUT parameter

•	procedureColumnOut - OUT parameter

•	procedureColumnReturn - procedure return value

•	procedureColumnResult - result column in ResultSet

•	DATA_TYPE short => SQL type from java.sql.Types

•	TYPE_NAME String => SQL type name

•	PRECISION int => precision

•	LENGTH int => length in bytes of data

•	SCALE short => scale

•	RADIX short => radix

•	NULLABLE short => can it contain NULL?

•	procedureNoNulls - does not allow NULL values

•	procedureNullable - allows NULL values

•	procedureNullableUnknown - nullability unknown

•	REMARKS String => comment describing parameter/column

Note: Some databases may not return the column descriptions for a procedure. Additional columns beyond REMARKS can be defined by the database.

Parameters

catalog

a catalog name;  retrieves those without a catalog; null means drop catalog name from the selection criteria

schemaPattern

a schema name pattern;  retrieves those without a schema

procedureNamePattern

a procedure name pattern

columnNamePattern

a column name pattern

Return

ResultSet - each row is a stored procedure parameter or column description.

Throws

SQLException

If a database-access error occurs.

See also

DatabaseMetaData interface [java.sql]

public java.sql.ResultSet getTables( java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern, java.lang.String[] types ) throws java.sql.SQLException

Get a description of tables available in a catalog.

Only table descriptions matching the catalog, schema, table name and type criteria are returned.  They are ordered by TABLE_TYPE, TABLE_SCHEM and TABLE_NAME.

Each table description has the following columns:

•	TABLE_CAT String => table catalog (may be null)

•	TABLE_SCHEM String => table schema (may be null)

•	TABLE_NAME String => table name

•	TABLE_TYPE String => table type.  Typical types are "TABLE", "VIEW",	"SYSTEM TABLE", "GLOBAL TEMPORARY", "LOCAL TEMPORARY", "ALIAS", "SYNONYM".

•	REMARKS String => explanatory comment on the table

Note: Some databases may not return information for all tables.

Parameters

catalog

a catalog name;  retrieves those without a catalog; null means drop catalog name from the selection criteria

schemaPattern

a schema name pattern;  retrieves those without a schema

tableNamePattern

a table name pattern

types

a list of table types to include; null returns all types

Return

ResultSet - each row is a table description.

Throws

SQLException

If a database-access error occurs.

See also

DatabaseMetaData interface [java.sql]

public java.sql.ResultSet getColumns( java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern, java.lang.String columnNamePattern ) throws java.sql.SQLException

Get a description of table columns available in a catalog.

Only column descriptions matching the catalog, schema, table and column name criteria are returned.  They are ordered by TABLE_SCHEM, TABLE_NAME and ORDINAL_POSITION.

Each column description has the following columns:

•	TABLE_CAT String => table catalog (may be null)

•	TABLE_SCHEM String => table schema (may be null)

•	TABLE_NAME String => table name

•	COLUMN_NAME String => column name

•	DATA_TYPE short => SQL type from java.sql.Types

•	TYPE_NAME String => Data source dependent type name

•	COLUMN_SIZE int => column size.  For char or date types this is the maximum number of characters, for numeric or decimal types this is precision.

•	BUFFER_LENGTH is not used.

•	DECIMAL_DIGITS int => the number of fractional digits

•	NUM_PREC_RADIX int => Radix (typically either 10 or 2)

•	NULLABLE int => is NULL allowed?

•	columnNoNulls - might not allow NULL values

•	columnNullable - definitely allows NULL values

•	columnNullableUnknown - nullability unknown

•	REMARKS String => comment describing column (may be null)

•	COLUMN_DEF String => default value (may be null)

•	SQL_DATA_TYPE int => unused

•	SQL_DATETIME_SUB int => unused

•	CHAR_OCTET_LENGTH int => for char types the maximum number of bytes in the column

•	ORDINAL_POSITION int	=> index of column in table (starting at 1)

•	IS_NULLABLE String => "NO" means column definitely does not allow NULL values; "YES" means the column might allow NULL values.  An empty string means nobody knows.

Parameters

catalog

a catalog name;  retrieves those without a catalog; null means drop catalog name from the selection criteria

schemaPattern

a schema name pattern;  retrieves those without a schema

tableNamePattern

a table name pattern

columnNamePattern

a column name pattern

Return

ResultSet - each row is a column description.

Throws

SQLException

If a database-access error occurs.

See also

DatabaseMetaData interface [java.sql]

public java.sql.ResultSet getColumnPrivileges( java.lang.String catalog, java.lang.String schema, java.lang.String table, java.lang.String columnNamePattern ) throws java.sql.SQLException

Get a description of the access rights for a table's columns.

Only privileges matching the column name criteria are returned.  They are ordered by COLUMN_NAME and PRIVILEGE.

Each privilige description has the following columns:

•	TABLE_CAT String => table catalog (may be null)

•	TABLE_SCHEM String => table schema (may be null)

•	TABLE_NAME String => table name

•	COLUMN_NAME String => column name

•	GRANTOR => grantor of access (may be null)

•	GRANTEE String => grantee of access

•	PRIVILEGE String => name of access (SELECT, INSERT, UPDATE, REFRENCES, ...)

•	IS_GRANTABLE String => "YES" if grantee is permitted to grant to others; "NO" if not; null if unknown

Parameters

catalog

a catalog name;  retrieves those without a catalog; null means drop catalog name from the selection criteria

schema

a schema name;  retrieves those without a schema

table

a table name

columnNamePattern

a column name pattern

Return

ResultSet - each row is a column privilege description.

Throws

SQLException

If a database-access error occurs.

See also

DatabaseMetaData interface [java.sql]

public java.sql.ResultSet getTablePrivileges( java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern ) throws java.sql.SQLException

Get a description of the access rights for each table available in a catalog. Note that a table privilege applies to one or more columns in the table. It would be wrong to assume that this priviledge applies to all columns (this may be true for some systems but is not true for all.)

Only privileges matching the schema and table name criteria are returned.  They are ordered by TABLE_SCHEM, TABLE_NAME, and PRIVILEGE.

Each privilige description has the following columns:

•	TABLE_CAT String => table catalog (may be null)

•	TABLE_SCHEM String => table schema (may be null)

•	TABLE_NAME String => table name

•	GRANTOR => grantor of access (may be null)

•	GRANTEE String => grantee of access

•	PRIVILEGE String => name of access (SELECT, INSERT, UPDATE, REFRENCES, ...)

•	IS_GRANTABLE String => "YES" if grantee is permitted to grant to others; "NO" if not; null if unknown

Parameters

catalog

a catalog name;  retrieves those without a catalog; null means drop catalog name from the selection criteria

schemaPattern

a schema name pattern;  retrieves those without a schema

tableNamePattern

a table name pattern

Return

ResultSet - each row is a table privilege description.

Throws

SQLException

If a database-access error occurs.

See also

DatabaseMetaData interface [java.sql]

public java.sql.ResultSet getBestRowIdentifier( java.lang.String catalog, java.lang.String schema, java.lang.String table, int scope, boolean nullable ) throws java.sql.SQLException

Get a description of a table's optimal set of columns that uniquely identifies a row. They are ordered by SCOPE.

Each column description has the following columns:

•	SCOPE short => actual scope of result

•	bestRowTemporary - very temporary, while using row

•	bestRowTransaction - valid for remainder of current transaction

•	bestRowSession - valid for remainder of current session

•	COLUMN_NAME String => column name

•	DATA_TYPE short => SQL data type from java.sql.Types

•	TYPE_NAME String => Data source dependent type name

•	COLUMN_SIZE int => precision

•	BUFFER_LENGTH int => not used

•	DECIMAL_DIGITS short	 => scale

•	PSEUDO_COLUMN short => is this a pseudo column like an Oracle ROWID

•	bestRowUnknown - may or may not be pseudo column

•	bestRowNotPseudo - is NOT a pseudo column

•	bestRowPseudo - is a pseudo column

Parameters

catalog

a catalog name;  retrieves those without a catalog; null means drop catalog name from the selection criteria

schema

a schema name;  retrieves those without a schema

table

a table name

scope

the scope of interest; use same values as SCOPE

nullable

include columns that are nullable?

Return

ResultSet - each row is a column description.

Throws

SQLException

If a database-access error occurs.

public java.sql.ResultSet getVersionColumns( java.lang.String catalog, java.lang.String schema, java.lang.String table ) throws java.sql.SQLException

Get a description of a table's columns that are automatically updated when any value in a row is updated.  They are unordered.

Each column description has the following columns:

•	SCOPE short => is not used

•	COLUMN_NAME String => column name

•	DATA_TYPE short => SQL data type from java.sql.Types

•	TYPE_NAME String => Data source dependent type name

•	COLUMN_SIZE int => precision

•	BUFFER_LENGTH int => length of column value in bytes

•	DECIMAL_DIGITS short	 => scale

•	PSEUDO_COLUMN short => is this a pseudo column like an Oracle ROWID

•	versionColumnUnknown - may or may not be pseudo column

•	versionColumnNotPseudo - is NOT a pseudo column

•	versionColumnPseudo - is a pseudo column

Parameters

catalog

a catalog name;  retrieves those without a catalog; null means drop catalog name from the selection criteria

schema

a schema name;  retrieves those without a schema

table

a table name

Return

ResultSet - each row is a column description.

Throws

SQLException

If a database-access error occurs.

public java.sql.ResultSet getPrimaryKeys( java.lang.String catalog, java.lang.String schema, java.lang.String table ) throws java.sql.SQLException

Get a description of a table's primary key columns.  They are ordered by COLUMN_NAME.

Each primary key column description has the following columns:

•	TABLE_CAT String => table catalog (may be null)

•	TABLE_SCHEM String => table schema (may be null)

•	TABLE_NAME String => table name

•	COLUMN_NAME String => column name

•	KEY_SEQ short => sequence number within primary key

•	PK_NAME String => primary key name (may be null)

Parameters

catalog

a catalog name;  retrieves those without a catalog; null means drop catalog name from the selection criteria

schema

a schema name pattern;  retrieves those without a schema

table

a table name

Return

ResultSet - each row is a primary key column description.

Throws

SQLException

If a database-access error occurs.

public java.sql.ResultSet getImportedKeys( java.lang.String catalog, java.lang.String schema, java.lang.String table ) throws java.sql.SQLException

Get a description of the primary key columns that are referenced by a table's foreign key columns (the primary keys imported by a table).  They are ordered by PKTABLE_CAT, PKTABLE_SCHEM, PKTABLE_NAME, and KEY_SEQ.

Each primary key column description has the following columns:

•	PKTABLE_CAT String => primary key table catalog being imported (may be null)

•	PKTABLE_SCHEM String => primary key table schema being imported (may be null)

•	PKTABLE_NAME String => primary key table name being imported

•	PKCOLUMN_NAME String => primary key column name being imported

•	FKTABLE_CAT String => foreign key table catalog (may be null)

•	FKTABLE_SCHEM String => foreign key table schema (may be null)

•	FKTABLE_NAME String => foreign key table name

•	FKCOLUMN_NAME String => foreign key column name

•	KEY_SEQ short => sequence number within foreign key

•	UPDATE_RULE short => What happens to foreign key when primary is updated:

•	importedNoAction - do not allow update of primary key if it has been imported

•	importedKeyCascade - change imported key to agree with primary key update

•	importedKeySetNull - change imported key to NULL if its primary key has been updated

•	importedKeySetDefault - change imported key to default values if its primary key has been updated

•	importedKeyRestrict - same as importedKeyNoAction (for ODBC 2.x compatibility)

•	DELETE_RULE short => What happens to the foreign key when primary is deleted.

•	importedKeyNoAction - do not allow delete of primary key if it has been imported

•	importedKeyCascade - delete rows that import a deleted key

•	importedKeySetNull - change imported key to NULL if its primary key has been deleted

•	importedKeyRestrict - same as importedKeyNoAction (for ODBC 2.x compatibility)

•	importedKeySetDefault - change imported key to default if its primary key has been deleted

•	FK_NAME String => foreign key name (may be null)

•	PK_NAME String => primary key name (may be null)

•	DEFERRABILITY short => can the evaluation of foreign key constraints be deferred until commit

•	importedKeyInitiallyDeferred - see SQL92 for definition

•	importedKeyInitiallyImmediate - see SQL92 for definition

•	importedKeyNotDeferrable - see SQL92 for definition

Parameters

catalog

a catalog name;  retrieves those without a catalog; null means drop catalog name from the selection criteria

schema

a schema name pattern;  retrieves those without a schema

table

a table name

Return

ResultSet - each row is a primary key column description.

Throws

SQLException

If a database-access error occurs.

See also

DatabaseMetaData interface [java.sql]

public java.sql.ResultSet getExportedKeys( java.lang.String catalog, java.lang.String schema, java.lang.String table ) throws java.sql.SQLException

Get a description of the foreign key columns that reference a table's primary key columns (the foreign keys exported by a table).  They are ordered by FKTABLE_CAT, FKTABLE_SCHEM, FKTABLE_NAME, and KEY_SEQ.

Each foreign key column description has the following columns:

•	PKTABLE_CAT String => primary key table catalog (may be null)

•	PKTABLE_SCHEM String => primary key table schema (may be null)

•	PKTABLE_NAME String => primary key table name

•	PKCOLUMN_NAME String => primary key column name

•	FKTABLE_CAT String => foreign key table catalog (may be null) being exported (may be null)

•	FKTABLE_SCHEM String => foreign key table schema (may be null) being exported (may be null)

•	FKTABLE_NAME String => foreign key table name being exported

•	FKCOLUMN_NAME String => foreign key column name being exported

•	KEY_SEQ short => sequence number within foreign key

•	UPDATE_RULE short => What happens to foreign key when primary is updated:

•	importedNoAction - do not allow update of primary key if it has been imported

•	importedKeyCascade - change imported key to agree with primary key update

•	importedKeySetNull - change imported key to NULL if its primary key has been updated

•	importedKeySetDefault - change imported key to default values if its primary key has been updated

•	importedKeyRestrict - same as importedKeyNoAction (for ODBC 2.x compatibility)

•	DELETE_RULE short => What happens to the foreign key when primary is deleted.

•	importedKeyNoAction - do not allow delete of primary key if it has been imported

•	importedKeyCascade - delete rows that import a deleted key

•	importedKeySetNull - change imported key to NULL if its primary key has been deleted

•	importedKeyRestrict - same as importedKeyNoAction (for ODBC 2.x compatibility)

•	importedKeySetDefault - change imported key to default if its primary key has been deleted

•	FK_NAME String => foreign key name (may be null)

•	PK_NAME String => primary key name (may be null)

•	DEFERRABILITY short => can the evaluation of foreign key constraints be deferred until commit

•	importedKeyInitiallyDeferred - see SQL92 for definition

•	importedKeyInitiallyImmediate - see SQL92 for definition

•	importedKeyNotDeferrable - see SQL92 for definition

Parameters

catalog

a catalog name;  retrieves those without a catalog; null means drop catalog name from the selection criteria

schema

a schema name pattern;  retrieves those without a schema

table

a table name

Return

ResultSet - each row is a foreign key column description.

Throws

SQLException

If a database-access error occurs.

See also

DatabaseMetaData interface [java.sql]

public java.sql.ResultSet getCrossReference( java.lang.String primaryCatalog, java.lang.String primarySchema, java.lang.String primaryTable, java.lang.String foreignCatalog, java.lang.String foreignSchema, java.lang.String foreignTable ) throws java.sql.SQLException

Get a description of the foreign key columns in the foreign key table that reference the primary key columns of the primary key table (describe how one table imports another's key.) This should normally return a single foreign key/primary key pair (most tables only import a foreign key from a table once.)  They are ordered by FKTABLE_CAT, FKTABLE_SCHEM, FKTABLE_NAME, and KEY_SEQ.

Each foreign key column description has the following columns:

•	PKTABLE_CAT String => primary key table catalog (may be null)

•	PKTABLE_SCHEM String => primary key table schema (may be null)

•	PKTABLE_NAME String => primary key table name

•	PKCOLUMN_NAME String => primary key column name

•	FKTABLE_CAT String => foreign key table catalog (may be null) being exported (may be null)

•	FKTABLE_SCHEM String => foreign key table schema (may be null) being exported (may be null)

•	FKTABLE_NAME String => foreign key table name being exported

•	FKCOLUMN_NAME String => foreign key column name being exported

•	KEY_SEQ short => sequence number within foreign key

•	UPDATE_RULE short => What happens to foreign key when primary is updated:

•	importedNoAction - do not allow update of primary key if it has been imported

•	importedKeyCascade - change imported key to agree with primary key update

•	importedKeySetNull - change imported key to NULL if its primary key has been updated

•	importedKeySetDefault - change imported key to default values if its primary key has been updated

•	importedKeyRestrict - same as importedKeyNoAction (for ODBC 2.x compatibility)

•	DELETE_RULE short => What happens to the foreign key when primary is deleted.

•	importedKeyNoAction - do not allow delete of primary key if it has been imported

•	importedKeyCascade - delete rows that import a deleted key

•	importedKeySetNull - change imported key to NULL if its primary key has been deleted

•	importedKeyRestrict - same as importedKeyNoAction (for ODBC 2.x compatibility)

•	importedKeySetDefault - change imported key to default if its primary key has been deleted

•	FK_NAME String => foreign key name (may be null)

•	PK_NAME String => primary key name (may be null)

•	DEFERRABILITY short => can the evaluation of foreign key constraints be deferred until commit

•	importedKeyInitiallyDeferred - see SQL92 for definition

•	importedKeyInitiallyImmediate - see SQL92 for definition

•	importedKeyNotDeferrable - see SQL92 for definition

Parameters

primaryCatalog

a catalog name;  retrieves those without a catalog; null means drop catalog name from the selection criteria

primarySchema

a schema name pattern;  retrieves those without a schema

primaryTable

the table name that exports the key

foreignCatalog

a catalog name;  retrieves those without a catalog; null means drop catalog name from the selection criteria

foreignSchema

a schema name pattern;  retrieves those without a schema

foreignTable

the table name that imports the key

Return

ResultSet - each row is a foreign key column description.

Throws

SQLException

If a database-access error occurs.

See also

DatabaseMetaData interface [java.sql]

public java.sql.ResultSet getIndexInfo( java.lang.String catalog, java.lang.String schema, java.lang.String table, boolean unique, boolean approximate ) throws java.sql.SQLException

Get a description of a table's indices and statistics. They are ordered by NON_UNIQUE, TYPE, INDEX_NAME, and ORDINAL_POSITION.

Each index column description has the following columns:

•	TABLE_CAT String => table catalog (may be null)

•	TABLE_SCHEM String => table schema (may be null)

•	TABLE_NAME String => table name

•	NON_UNIQUE boolean => Can index values be non-unique? false when TYPE is tableIndexStatistic

•	INDEX_QUALIFIER String => index catalog (may be null); null when TYPE is tableIndexStatistic

•	INDEX_NAME String => index name; null when TYPE is tableIndexStatistic

•	TYPE short => index type:

•	tableIndexStatistic - this identifies table statistics that are returned in conjuction with a table's index descriptions

•	tableIndexClustered - this is a clustered index

•	tableIndexHashed - this is a hashed index

•	tableIndexOther - this is some other style of index

•	ORDINAL_POSITION short => column sequence number within index; zero when TYPE is tableIndexStatistic

•	COLUMN_NAME String => column name; null when TYPE is tableIndexStatistic

•	ASC_OR_DESC String => column sort sequence, "A" => ascending, "D" => descending, may be null if sort sequence is not supported; null when TYPE is tableIndexStatistic

•	CARDINALITY int => When TYPE is tableIndexStatistic, then this is the number of rows in the table; otherwise, it is the number of unique values in the index.

•	PAGES int => When TYPE is  tableIndexStatisic then this is the number of pages used for the table, otherwise it is the number of pages used for the current index.

•	FILTER_CONDITION String => Filter condition, if any. (may be null)

Parameters

catalog

a catalog name;  retrieves those without a catalog; null means drop catalog name from the selection criteria

schema

a schema name pattern;  retrieves those without a schema

table

a table name

unique

when true, return only indices for unique values; when false, return indices regardless of whether unique or not

approximate

when true, result is allowed to reflect approximate or out of data values; when false, results are requested to be accurate

Return

ResultSet - each row is an index column description.

Throws

SQLException

If a database-access error occurs.


DataFlavor class [java.awt.datatransfer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DataFlavor class [java.awt.datatransfer]

Object

DataFlavor

Description

Each instance represents the opaque concept of a data format as would appear on a clipboard, during drag and drop, or in a file system.

Specification

public class DataFlavor extends java.lang.Object

Constructors

public DataFlavor( java.lang.String mimeType, java.lang.String humanPresentableName )

Construct a DataFlavor that represents a MimeType

The returned DataFlavor will have the following characteristics:

If the mimeType is "application/x-java-serialized-object; class=<representation class>", the result is the same as calling new DataFlavor(Class:forName(<representation class>) as above

otherwise:

representationClass = InputStream
mimeType            = mimeType

Parameters

mimeType

the string used to identify the MIME type for this flavor

humanPresentableName

the human-readible string used to identify this flavor

public DataFlavor( java.lang.Class representationClass, java.lang.String humanPresentableName )

Construct a DataFlavor that represents a Java class

The returned DataFlavor will have the following characteristics

representationClass = representationClass
mimeType            = application/x-java-serialized-object

Parameters

representationClass

the class used to transfer data in this flavor

humanPresentableName

the human-readible string used to identify this flavor

Variables

public static final java.awt.datatransfer.DataFlavor stringFlavor

The DataFlavor representing a Java Unicode String class, where:

representationClass = java.lang.String
/** The DataFlavor representing a Java Unicode String class, where:

representationClass = java.lang.String
mimeType            = "application/x-java-serialized-object"

.

public static final java.awt.datatransfer.DataFlavor plainTextFlavor

The DataFlavor representing plain text with unicode encoding, where:

representationClass = InputStream
mimeType            = "text/plain; charset=unicode"

.

Properties

  java.lang.String getHumanPresentableName( )

  void setHumanPresentableName( java.lang.String humanPresentableName )

  java.lang.String getMimeType( )

  java.lang.Class getRepresentationClass( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  boolean equals( java.awt.datatransfer.DataFlavor dataFlavor )

  boolean isMimeTypeEqual( java.lang.String mimeType )

  final boolean isMimeTypeEqual( java.awt.datatransfer.DataFlavor dataFlavor )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected java.lang.String normalizeMimeType( java.lang.String mimeType )

 protected java.lang.String normalizeMimeTypeParameter( java.lang.String parameterName, java.lang.String parameterValue )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


DataFormatException class [java.util.zip] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DataFormatException class [java.util.zip]

Object

Throwable

Exception

DataFormatException

Description

Signals that a data format error has occurred.

Specification

public class DataFormatException extends java.lang.Exception

Constructors

public DataFormatException( )

Constructs a DataFormatException with no detail message.

public DataFormatException( java.lang.String s )

Constructs a DataFormatException with the specified detail message. A detail message is a String that describes this particular exception.

Parameter

s

the String containing a detail message

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


DatagramPacket class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DatagramPacket class [java.net]

Object

DatagramPacket

Description

This class represents a datagram packet.

Datagram packets are used to implement a connectionless packet delivery service. Each message is routed from one machine to another based solely on information contained within that packet. Multiple packets sent from one machine to another might be routed differently, and might arrive in any order.

Specification

public final class DatagramPacket extends java.lang.Object

Constructors

public DatagramPacket( byte[] ibuf, int ilength )

Constructs a DatagramPacket for receiving packets of length ilength.

The length argument must be less than or equal to ibuf.length.

Parameters

ibuf

buffer for holding the incoming datagram.

ilength

the number of bytes to read.

public DatagramPacket( byte[] ibuf, int ilength, java.net.InetAddress iaddr, int iport )

Constructs a datagram packet for sending packets of length ilength to the specified port number on the specified host. The length argument must be less than or equal to ibuf.length.

Parameters

ibuf

the packet data.

ilength

the packet length.

iaddr

the destination address.

iport

the destination port number.

See also

InetAddress class [java.net]

Properties

  synchronized java.net.InetAddress getAddress( )

  synchronized void setAddress( java.net.InetAddress iaddr )

  synchronized byte[] getData( )

  synchronized void setData( byte[] ibuf )

  synchronized int getLength( )

  synchronized void setLength( int ilength )

  synchronized int getPort( )

  synchronized void setPort( int iport )

Inherited Properties

  native final java.lang.Class getClass( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


DatagramSocket class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DatagramSocket class [java.net]

Object

DatagramSocket

Description

This class represents a socket for sending and receiving datagram packets.

A datagram socket is the sending or receiving point for a connectionless packet delivery service. Each packet sent or received on a datagram socket is individually addressed and routed. Multiple packets sent from one machine to another may be routed differently, and may arrive in any order.

Specification

public class DatagramSocket extends java.lang.Object

Constructors

public DatagramSocket( ) throws java.net.SocketException

Constructs a datagram socket and binds it to any available port on the local host machine.

Throws

SocketException

If the socket could not be opened, or the socket could not bind to the specified local port.

public DatagramSocket( int port ) throws java.net.SocketException

Constructs a datagram socket and binds it to the specified port on the local host machine.

Parameter

local

port to use.

Throws

SocketException

If the socket could not be opened, or the socket could not bind to the specified local port.

public DatagramSocket( int port, java.net.InetAddress laddr ) throws java.net.SocketException

Creates a datagram socket, bound to the specified local address.  The local port must be between 0 and 65535 inclusive.

Parameters

port

local port to use

laddr

local address to bind

Properties

  java.net.InetAddress getLocalAddress( )

  int getLocalPort( )

  synchronized int getSoTimeout( ) throws java.net.SocketException

  synchronized void setSoTimeout( int timeout ) throws java.net.SocketException

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( )

  synchronized void receive( java.net.DatagramPacket p ) throws java.io.IOException

  void send( java.net.DatagramPacket p ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

DatagramPacket class [java.net]


DatagramSocketImpl class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DatagramSocketImpl class [java.net]

Object

DatagramSocketImpl

Description

Abstract datagram and multicast socket implementation base class.

Specification

public abstract class DatagramSocketImpl extends java.lang.Object implements java.net.SocketOptions

Variables

protected int localPort

protected java.io.FileDescriptor fd

The file descriptor object.

Properties

Inherited Properties

  native final java.lang.Class getClass( )

Protected Properties

 protected java.io.FileDescriptor getFileDescriptor( )

 protected int getLocalPort( )

 protected abstract byte getTTL( ) throws java.io.IOException

 protected abstract void setTTL( byte ttl ) throws java.io.IOException

Methods

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected abstract void bind( int lport, java.net.InetAddress laddr ) throws java.net.SocketException

 protected abstract void close( )

 protected abstract void create( ) throws java.net.SocketException

 protected abstract void join( java.net.InetAddress inetaddr ) throws java.io.IOException

 protected abstract void leave( java.net.InetAddress inetaddr ) throws java.io.IOException

 protected abstract int peek( java.net.InetAddress i ) throws java.io.IOException

 protected abstract void receive( java.net.DatagramPacket p ) throws java.io.IOException

 protected abstract void send( java.net.DatagramPacket p ) throws java.io.IOException

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


DataInput interface [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DataInput interface [java.io]

Description

The data input interface is implemented by streams that can read primitive Java data types from a stream in a machine-independent manner.

Definition

public interface DataInput

{

  // Methods

  public void readFully( byte[] b ) throws java.io.IOException;

  public void readFully( byte[] b, int off, int len ) throws java.io.IOException;

  public int skipBytes( int n ) throws java.io.IOException;

  public boolean readBoolean( ) throws java.io.IOException;

  public byte readByte( ) throws java.io.IOException;

  public int readUnsignedByte( ) throws java.io.IOException;

  public short readShort( ) throws java.io.IOException;

  public int readUnsignedShort( ) throws java.io.IOException;

  public char readChar( ) throws java.io.IOException;

  public int readInt( ) throws java.io.IOException;

  public long readLong( ) throws java.io.IOException;

  public float readFloat( ) throws java.io.IOException;

  public double readDouble( ) throws java.io.IOException;

  public java.lang.String readLine( ) throws java.io.IOException;

  public java.lang.String readUTF( ) throws java.io.IOException;

}

Methods

public void readFully( byte[] b ) throws java.io.IOException

Reads b.length bytes into the byte array. This method blocks until all the bytes are read.

Parameter

b

the buffer into which the data is read.

Throws

EOFException

If this stream reaches the end before reading all the bytes.

IOException

If an I/O error occurs.

public void readFully( byte[] b, int off, int len ) throws java.io.IOException

Reads b.length bytes into the byte array. This method blocks until all the bytes are read.

Parameter

b

the buffer into which the data is read.

Throws

EOFException

If this stream reaches the end before reading all the bytes.

IOException

If an I/O error occurs.

public int skipBytes( int n ) throws java.io.IOException

Skips exactly n bytes of input.

Parameter

n

the number of bytes to be skipped.

Return

The number of bytes skipped, which is always n.

Throws

EOFException

If this stream reaches the end before skipping all the bytes.

IOException

If an I/O error occurs.

public boolean readBoolean( ) throws java.io.IOException

Reads a boolean value from the input stream.

Return

The boolean value read.

Throws

EOFException

If this stream reaches the end before reading all the bytes.

IOException

If an I/O error occurs.

public byte readByte( ) throws java.io.IOException

Reads a signed 8-bit value from the input stream.

Return

The 8-bit value read.

Throws

EOFException

If this stream reaches the end before reading all the bytes.

IOException

If an I/O error occurs.

public int readUnsignedByte( ) throws java.io.IOException

Reads an unsigned 8-bit value from the input stream.

Return

The unsigned 8-bit value read.

Throws

EOFException

If this stream reaches the end before reading all the bytes.

IOException

If an I/O error occurs.

public short readShort( ) throws java.io.IOException

Reads a 16-bit value from the input stream.

Return

The 16-bit value read.

Throws

EOFException

If this stream reaches the end before reading all the bytes.

IOException

If an I/O error occurs.

public int readUnsignedShort( ) throws java.io.IOException

Reads an unsigned 16-bit value from the input stream.

Return

The unsigned 16-bit value read.

Throws

EOFException

If this stream reaches the end before reading all the bytes.

IOException

If an I/O error occurs.

public char readChar( ) throws java.io.IOException

Reads a Unicode char value from the input stream.

Return

The Unicode char read.

Throws

EOFException

If this stream reaches the end before reading all the bytes.

IOException

If an I/O error occurs.

public int readInt( ) throws java.io.IOException

Reads an int value from the input stream.

Return

The int value read.

Throws

EOFException

If this stream reaches the end before reading all the bytes.

IOException

If an I/O error occurs.

public long readLong( ) throws java.io.IOException

Reads a long value from the input stream.

Return

The long value read.

Throws

EOFException

If this stream reaches the end before reading all the bytes.

IOException

If an I/O error occurs.

public float readFloat( ) throws java.io.IOException

Reads a float value from the input stream.

Return

The float value read.

Throws

EOFException

If this stream reaches the end before reading all the bytes.

IOException

If an I/O error occurs.

public double readDouble( ) throws java.io.IOException

Reads a double value from the input stream.

Return

The double value read.

Throws

EOFException

If this stream reaches the end before reading all the bytes.

IOException

If an I/O error occurs.

public java.lang.String readLine( ) throws java.io.IOException

Reads the next line of text from the input stream.

Return

If this stream reaches the end before reading all the bytes.

Throws

IOException

If an I/O error occurs.

public java.lang.String readUTF( ) throws java.io.IOException

Reads in a string that has been encoded using a modified UTF-8 format.

For an exact description of this method, see the discussion in Gosling, Joy, and Steele, The Java Language Specification .

Return

A Unicode string.

Throws

EOFException

If this stream reaches the end before reading all the bytes.

IOException

If an I/O error occurs.

UTFDataFormatException

If the bytes do not represent a valid UTF-8 encoding of a string.

Implemented by

DataInputStream [java.io]	RandomAccessFile [java.io]

See also

DataInputStream class [java.io]

DataOutput interface [java.io]


DataInputStream class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DataInputStream class [java.io]

Object

InputStream

FilterInputStream

DataInputStream

Description

A data input stream lets an application read primitive Java data types from an underlying input stream in a machine-independent way. An application uses a data output stream to write data that can later be read by a data input stream.

Data input streams and data output streams represent Unicode strings in a format that is a slight modification of UTF-8. (For more information, see X/Open Company Ltd., "File System Safe UCS Transformation Format (FSS_UTF)", X/Open Preliminary Specification, Document Number: P316. This information also appears in ISO/IEC 10646, Annex P.)

All characters in the range '\u0001' to '\u007F' are represented by a single byte:

0   	bits 0-7

The null character '\u0000' and characters in the range '\u0080' to '\u07FF' are represented by a pair of bytes:

1  	1  	0  	bits 6-10

1  	0  	bits 0-5

Characters in the range '\u0800' to '\uFFFF' are represented by three bytes:

1  	1  	1  	0  	bits 12-15</td

1  	0  	bits 6-11

1  	0  	bits 0-5

The two differences between this format and the "standard" UTF-8 format are the following:

•	The null byte '\u0000' is encoded in 2-byte format rather than 1-byte, so that the encoded strings never have embedded nulls.

•	Only the 1-byte, 2-byte, and 3-byte formats are used.

Specification

public class DataInputStream extends java.io.FilterInputStream implements java.io.DataInput

Constructor

public DataInputStream( java.io.InputStream in )

Creates a new data input stream to read data from the specified input stream.

Parameter

in

the input stream.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  final int read( byte[] b ) throws java.io.IOException

  final int read( byte[] b, int off, int len ) throws java.io.IOException

  final boolean readBoolean( ) throws java.io.IOException

  final byte readByte( ) throws java.io.IOException

  final char readChar( ) throws java.io.IOException

  final double readDouble( ) throws java.io.IOException

  final float readFloat( ) throws java.io.IOException

  final void readFully( byte[] b ) throws java.io.IOException

  final void readFully( byte[] b, int off, int len ) throws java.io.IOException

  final int readInt( ) throws java.io.IOException

  final java.lang.String readLine( ) throws java.io.IOException

  final long readLong( ) throws java.io.IOException

  final short readShort( ) throws java.io.IOException

  final int readUnsignedByte( ) throws java.io.IOException

  final int readUnsignedShort( ) throws java.io.IOException

  static final java.lang.String readUTF( java.io.DataInput in ) throws java.io.IOException

  final java.lang.String readUTF( ) throws java.io.IOException

  final int skipBytes( int n ) throws java.io.IOException

Inherited Methods

  int available( ) throws java.io.IOException

  void close( ) throws java.io.IOException

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  synchronized void mark( int readlimit )

  boolean markSupported( )

  native final void notify( )

  native final void notifyAll( )

  abstract int read( ) throws java.io.IOException

  synchronized void reset( ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

DataOutputStream class [java.io]


DataOutput interface [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DataOutput interface [java.io]

Description

The data output interface is implemented by streams that can write primitive Java data types to an output stream in a machine-independent manner.

Definition

public interface DataOutput

{

  // Methods

  public void write( int b ) throws java.io.IOException;

  public void write( byte[] b ) throws java.io.IOException;

  public void write( byte[] b, int off, int len ) throws java.io.IOException;

  public void writeBoolean( boolean v ) throws java.io.IOException;

  public void writeByte( int v ) throws java.io.IOException;

  public void writeShort( int v ) throws java.io.IOException;

  public void writeChar( int v ) throws java.io.IOException;

  public void writeInt( int v ) throws java.io.IOException;

  public void writeLong( long v ) throws java.io.IOException;

  public void writeFloat( float v ) throws java.io.IOException;

  public void writeDouble( double v ) throws java.io.IOException;

  public void writeBytes( java.lang.String s ) throws java.io.IOException;

  public void writeChars( java.lang.String s ) throws java.io.IOException;

  public void writeUTF( java.lang.String str ) throws java.io.IOException;

}

Methods

public void write( int b ) throws java.io.IOException

Writes the specified byte to this data output stream.

Parameter

b

the byte to be written.

Throws

IOException

If an I/O error occurs.

public void write( byte[] b ) throws java.io.IOException

Writes b.length bytes from the specified byte array to this output stream.

Parameter

b

the data.

Throws

IOException

If an I/O error occurs.

public void write( byte[] b, int off, int len ) throws java.io.IOException

Writes len bytes from the specified byte array starting at offset off to this output stream.

Parameters

b

the data.

off

the start offset in the data.

len

the number of bytes to write.

Throws

IOException

If an I/O error occurs.

public void writeBoolean( boolean v ) throws java.io.IOException

Writes a boolean value to this output stream.

Parameter

v

the boolean to be written.

Throws

IOException

If an I/O error occurs.

public void writeByte( int v ) throws java.io.IOException

Writes an 8-bit value to this output stream.

Parameter

v

the byte value to be written.

Throws

IOException

If an I/O error occurs.

public void writeShort( int v ) throws java.io.IOException

Writes a 16-bit value to this output stream.

Parameter

v

the short value to be written.

Throws

IOException

If an I/O error occurs.

public void writeChar( int v ) throws java.io.IOException

Writes a char value to this output stream.

Parameter

v

the char value to be written.

Throws

IOException

If an I/O error occurs.

public void writeInt( int v ) throws java.io.IOException

Writes an int value to this output stream.

Parameter

v

the int value to be written.

Throws

IOException

If an I/O error occurs.

public void writeLong( long v ) throws java.io.IOException

Writes a long value to this output stream.

Parameter

v

the long value to be written.

Throws

IOException

If an I/O error occurs.

public void writeFloat( float v ) throws java.io.IOException

Writes a float value to this output stream.

Parameter

v

the float value to be written.

Throws

IOException

If an I/O error occurs.

public void writeDouble( double v ) throws java.io.IOException

Writes a double value to this output stream.

Parameter

v

the double value to be written.

Throws

IOException

If an I/O error occurs.

public void writeBytes( java.lang.String s ) throws java.io.IOException

Writes a string to this output stream.

Parameter

s

the string of bytes to be written.

Throws

IOException

If an I/O error occurs.

public void writeChars( java.lang.String s ) throws java.io.IOException

Writes a string to this output stream.

Parameter

s

the string value to be written.

Throws

IOException

If an I/O error occurs.

public void writeUTF( java.lang.String str ) throws java.io.IOException

Writes a Unicode string by encoding it using modified UTF-8 format.

Parameter

str

the string value to be written.

Throws

IOException

If an I/O error occurs.

Implemented by

DataOutputStream [java.io]	RandomAccessFile [java.io]

See also

DataInput interface [java.io]

DataOutputStream class [java.io]


DataOutputStream class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DataOutputStream class [java.io]

Object

OutputStream

FilterOutputStream

DataOutputStream

Description

A data input stream lets an application write primitive Java data types to an output stream in a portable way. An application can then use a data input stream to read the data back in.

Specification

public class DataOutputStream extends java.io.FilterOutputStream implements java.io.DataOutput

Constructor

public DataOutputStream( java.io.OutputStream out )

Creates a new data output stream to write data to the specified underlying output stream.

Parameter

out

the underlying output stream.

Variable

protected int written

The number of bytes written to the data output stream.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void flush( ) throws java.io.IOException

  final int size( )

  synchronized void write( byte[] b, int off, int len ) throws java.io.IOException

  synchronized void write( int b ) throws java.io.IOException

  final void writeBoolean( boolean v ) throws java.io.IOException

  final void writeByte( int v ) throws java.io.IOException

  final void writeBytes( java.lang.String s ) throws java.io.IOException

  final void writeChar( int v ) throws java.io.IOException

  final void writeChars( java.lang.String s ) throws java.io.IOException

  final void writeDouble( double v ) throws java.io.IOException

  final void writeFloat( float v ) throws java.io.IOException

  final void writeInt( int v ) throws java.io.IOException

  final void writeLong( long v ) throws java.io.IOException

  final void writeShort( int v ) throws java.io.IOException

  final void writeUTF( java.lang.String str ) throws java.io.IOException

Inherited Methods

  void close( ) throws java.io.IOException

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  void write( byte[] b ) throws java.io.IOException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

DataInputStream class [java.io]


dataSize property [java.sql.DataTruncation] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      dataSize property [java.sql.DataTruncation]

public int getDataSize( )

Get the number of bytes of data that should have been transferred. This number may be approximate if data conversions were being performed.  The value may be "-1" if the size is unknown.

Return

The number of bytes of data that should have been transferred.

Applies to

 DataTruncation [java.sql]


DataTruncation class [java.sql] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DataTruncation class [java.sql]

Object

Throwable

Exception

SQLException

SQLWarning

DataTruncation

Description

When JDBC unexpectedly truncates a data value, it reports a DataTruncation warning (on reads) or throws a DataTruncation exception (on writes).

The SQLstate for a DataTruncation is "01004".

Specification

public class DataTruncation extends java.sql.SQLWarning

Constructor

public DataTruncation( int index, boolean parameter, boolean read, int dataSize, int transferSize )

Create a DataTruncation object. The SQLState is initialized to 01004, the reason is set to "Data truncation" and the vendorCode is set to the SQLException default.

Parameters

index

The index of the parameter or column value

parameter

true if a parameter value was truncated

read

true if a read was truncated

dataSize

the original size of the data

transferSize

the size after truncation

Properties

  int getDataSize( )

  int getIndex( )

  boolean getParameter( )

  boolean getRead( )

  int getTransferSize( )

Inherited Properties

  native final java.lang.Class getClass( )

  int getErrorCode( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

  java.sql.SQLException getNextException( )

  synchronized void setNextException( java.sql.SQLException ex )

  java.sql.SQLWarning getNextWarning( )

  void setNextWarning( java.sql.SQLWarning w )

  java.lang.String getSQLState( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


Date class [java.sql] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      Date class [java.sql]

Object

Date

Date

Description

This class is a thin wrapper around java.util.Date that allows JDBC to identify this as a SQL DATE value. It adds formatting and parsing operations to support the JDBC escape syntax for date values.

Specification

public class Date extends java.util.Date

Constructors

public Date( long date )

Construct a Date using a milliseconds time value

Parameter

date

milliseconds since January 1, 1970, 00:00:00 GMT

public Date( int year, int month, int day )

Construct a Date

Parameters

year

year-1900

month

0 to 11

day

1 to 31

Properties

  int getHours( )

  void setHours( int i )

  int getMinutes( )

  void setMinutes( int i )

  int getSeconds( )

  void setSeconds( int i )

  void setTime( long date )

Inherited Properties

  native final java.lang.Class getClass( )

  int getDate( )

  void setDate( int date )

  int getDay( )

  int getMonth( )

  void setMonth( int month )

  int getTimezoneOffset( )

  int getYear( )

  void setYear( int year )

Methods

  java.lang.String toString( )

  static java.sql.Date valueOf( java.lang.String s )

Inherited Methods

  boolean after( java.util.Date when )

  boolean before( java.util.Date when )

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  static long parse( java.lang.String s )

  java.lang.String toGMTString( )

  java.lang.String toLocaleString( )

  static long UTC( int year, int month, int date, int hrs, int min, int sec )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


Date class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      Date class [java.util]

Object

Date

Description

The class Date represents a specific instant in time, with millisecond precision.

Prior to JDK 1.1, the class Date had two additional functions.  It allowed the interpretation of dates as year, month, day, hour, minute, and second values.  It also allowed the formatting and parsing of date strings.  Unfortunately, the API for these functions was not amenable to internationalization.  As of JDK 1.1, the Calendar class should be used to convert between dates and time fields and the DateFormat class should be used to format and parse date strings. The corresponding methods in Date are deprecated.

Although the Date class is intended to reflect coordinated universal time (UTC), it may not do so exactly, depending on the host environment of the Java Virtual Machine. Nearly all modern operating systems assume that 1 day = 24 × 60 × 60 = 86400 seconds in all cases. In UTC, however, about once every year or two there is an extra second, called a "leap second." The leap second is always added as the last second of the day, and always on December 31 or June 30. For example, the last minute of the year 1995 was 61 seconds long, thanks to an added leap second. Most computer clocks are not accurate enough to be able to reflect the leap-second distinction.

Some computer standards are defined in terms of Greenwich mean time (GMT), which is equivalent to universal time (UT).  GMT is the "civil" name for the standard; UT is the "scientific" name for the same standard. The distinction between UTC and UT is that UTC is based on an atomic clock and UT is based on astronomical observations, which for all practical purposes is an invisibly fine hair to split. Because the earth's rotation is not uniform (it slows down and speeds up in complicated ways), UT does not always flow uniformly. Leap seconds are introduced as needed into UTC so as to keep UTC within 0.9 seconds of UT1, which is a version of UT with certain corrections applied. There are other time and date systems as well; for example, the time scale used by the satellite-based global positioning system (GPS) is synchronized to UTC but is not adjusted for leap seconds. An interesting source of further information is the U.S. Naval Observatory, particularly the Directorate of Time at:

http://tycho.usno.navy.mil

and their definitions of "Systems of Time" at:

http://tycho.usno.navy.mil/systime.html

In all methods of class Date that accept or return year, month, date, hours, minutes, and seconds values, the following representations are used:

•	A year y is represented by the integer y  - 1900.

•	A month is represented by an integer form 0 to 11; 0 is January, 1 is February, and so forth; thus 11 is December.

•	A date (day of month) is represented by an integer from 1 to 31 in the usual manner.

•	An hour is represented by an integer from 0 to 23. Thus, the hour from midnight to 1 a.m. is hour 0, and the hour from noon to 1 p.m. is hour 12.

•	A minute is represented by an integer from 0 to 59 in the usual manner.

•	A second is represented by an integer from 0 to 60; the value 60 occurs only for leap seconds and even then only in Java implementations that actually track leap seconds correctly.

In all cases, arguments given to methods for these purposes need not fall within the indicated ranges; for example, a date may be specified as January 32 and is interpreted as meaning February 1.

Specification

public class Date extends java.lang.Object implements java.io.Serializable, java.lang.Cloneable

Constructors

public Date( )

Allocates a Date object and initializes it so that it represents the time at which it was allocated measured to the nearest millisecond.

See also

currentTimeMillis method [java.lang.System]

public Date( long date )

Allocates a Date object and initializes it to represent the specified number of milliseconds since January 1, 1970, 00:00:00 GMT.

Parameter

date

the milliseconds since January 1, 1970, 00:00:00 GMT.

See also

currentTimeMillis method [java.lang.System]

public Date( java.lang.String s )

Note: Date has been deprecated. As of JDK version 1.1, replaced by DateFormat.parse(String s).

Allocates a Date object and initializes it so that it represents the date and time indicated by the string s, which is interpreted as if by the parse method.

Parameter

s

a string representation of the date.

See also

DateFormat class [java.text]

parse method [java.util.Date]

public Date( int year, int month, int date )

Note: Date has been deprecated. As of JDK version 1.1, replaced by Calendar.set(year + 1900, month, date) or GregorianCalendar(year + 1900, month, date).

Allocates a Date object and initializes it so that it represents midnight, local time, at the beginning of the day specified by the year, month, and date arguments.

Parameters

year

the year minus 1900.

month

the month between 0-11.

date

the day of the month between 1-31.

See also

Calendar class [java.util]

public Date( int year, int month, int date, int hrs, int min )

Note: Date has been deprecated. As of JDK version 1.1, replaced by Calendar.set(year + 1900, month, date, hrs, min) or GregorianCalendar(year + 1900, month, date, hrs, min).

Allocates a Date object and initializes it so that it represents the specified hour and minute, local time, of the date specified by the year, month, date, hrs, and min arguments.

Parameters

year

the year minus 1900.

month

the month between 0-11.

date

the day of the month between 1-31.

hrs

the hours between 0-23.

min

the minutes between 0-59.

See also

Calendar class [java.util]

public Date( int year, int month, int date, int hrs, int min, int sec )

Note: Date has been deprecated. As of JDK version 1.1, replaced by Calendar.set(year + 1900, month, date, hrs, min, sec) or GregorianCalendar(year + 1900, month, date, hrs, min, sec).

Allocates a Date object and initializes it so that it represents the specified hour, minute, and second, local time of the date specified by the year, month, date, hrs, min, and sec arguments.

Parameters

year

the year minus 1900.

month

the month between 0-11.

date

the day of the month between 1-31.

hrs

the hours between 0-23.

min

the minutes between 0-59.

sec

the seconds between 0-59.

See also

Calendar class [java.util]

Properties

  int getDate( )

  void setDate( int date )

  int getDay( )

  int getHours( )

  void setHours( int hours )

  int getMinutes( )

  void setMinutes( int minutes )

  int getMonth( )

  void setMonth( int month )

  int getSeconds( )

  void setSeconds( int seconds )

  long getTime( )

  void setTime( long time )

  int getTimezoneOffset( )

  int getYear( )

  void setYear( int year )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  boolean after( java.util.Date when )

  boolean before( java.util.Date when )

  boolean equals( java.lang.Object obj )

  int hashCode( )

  static long parse( java.lang.String s )

  java.lang.String toGMTString( )

  java.lang.String toLocaleString( )

  java.lang.String toString( )

  static long UTC( int year, int month, int date, int hrs, int min, int sec )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

DateFormat class [java.text]

Calendar class [java.util]

TimeZone class [java.util]


date property [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      date property [java.net.URLConnection]

public long getDate( )

Returns the value of the date header field.

Return

The sending date of the resource that the URL references, or 0 if not known. The value returned is the number of seconds since January 1, 1970 GMT.

See also

headerField property [java.net.URLConnection]

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


date property [java.sql.Time] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      date property [java.sql.Time]

Overloads:

  int getDate( ) overrides date property [java.util.Date]

  void setDate( int i ) overrides date property [java.util.Date]

public int getDate( )

public void setDate( int i )

Applies to

 Time [java.sql]


date property [java.util.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      date property [java.util.Date]

public int getDate( )

Note: getDate has been deprecated. .

Returns the day of the month represented by this date. The value returned is between 1 and 31.

Return

The day of the month represented by this date.

See also

Calendar class [java.util]

public void setDate( int date )

Note: setDate has been deprecated. As of JDK version 1.1, replaced by Calendar.set(Calendar.DAY_OF_MONTH, int date).

Note: setDate has been deprecated. As of JDK version 1.1, replaced by Calendar.set(Calendar.DAY_OF_MONTH, int date).

Sets the day of the month of this date to the specified value.

Parameter

date

the day of the month value between 1-31.

See also

Calendar class [java.util]

Applies to

 Date [java.sql]

 Date [java.util]

 Time [java.sql]

 Timestamp [java.sql]


DateFormat class [java.text] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormat class [java.text]

Object

Format

DateFormat

Description

DateFormat is an abstract class for date/time formatting subclasses which formats and parses dates or time in a language-independent manner. The date/time formatting subclass, such as SimpleDateFormat, allows for formatting (i.e., date -> text), parsing (text -> date), and normalization.  The date is represented as a Date object or as the milliseconds since January 1, 1970, 00:00:00 GMT.

DateFormat provides many class methods for obtaining default date/time formatters based on the default or a given loacle and a number of formatting styles. The formatting styles include FULL, LONG, MEDIUM, and SHORT. More detail and examples of using these styles are provided in the method descriptions.

DateFormat helps you to format and parse dates for any locale. Your code can be completely independent of the locale conventions for months, days of the week, or even the calendar format: lunar vs. solar.

To format a date for the current Locale, use one of the static factory methods:

myString = DateFormat.getDateInstance().format(myDate);

If you are formatting multiple numbers, it is more efficient to get the format and use it multiple times so that the system doesn't have to fetch the information about the local language and country conventions multiple times.

DateFormat df = DateFormat.getDateInstance();

for (int i = 0; i < a.length; ++i) {

  output.println(df.format(myDate[i]) + "; ");

}

To format a number for a different Locale, specify it in the call to getDateInstance().

DateFormat df = DateFormat.getDateInstance(Locale.FRANCE);

You can use a DateFormat to parse also.

myDate = df.parse(myString);

Use getDate to get the normal date format for that country. There are other static factory methods available. Use getTime to get the time format for that country. Use getDateTime to get a date and time format. You can pass in different options to these factory methods to control the length of the result; from SHORT to MEDIUM to LONG to FULL. The exact result depends on the locale, but generally:

•	SHORT is completely numeric, such as 12.13.52 or 3:30pm

•	MEDIUM is longer, such as Jan 12, 1952

•	LONG is longer, such as January 12, 1952 or 3:30:32pm

•	FULL is pretty completely specified, such as Tuesday, April 12, 1952 AD or 3:30:42pm PST.

You can also set the time zone on the format if you wish. If you want even more control over the format or parsing, (or want to give your users more control), you can try casting the DateFormat you get from the factory methods to a SimpleDateFormat. This will work for the majority of countries; just remember to put it in a try block in case you encounter an unusual one.

You can also use forms of the parse and format methods with ParsePosition and FieldPosition to allow you to

•	pregressively parse through pieces of a string.

•	align any particular field, or find out where it is for selection on the screen.

Specification

public abstract class DateFormat extends java.text.Format implements java.lang.Cloneable

Constructor

protected DateFormat( )

Variables

protected java.util.Calendar calendar

The calendar that DateFormat uses to produce the time field values needed to implement date/time formatting.  Subclasses should initialize this to the default calendar for the locale associated with this DateFormat.

protected java.text.NumberFormat numberFormat

The number formatter that DateFormat uses to format numbers in dates and times.  Subclasses should initialize this to the default number format for the locale associated with this DateFormat.

public static final int ERA_FIELD

Useful constant for ERA field alignment. Used in FieldPosition of date/time formatting.

public static final int YEAR_FIELD

Useful constant for YEAR field alignment. Used in FieldPosition of date/time formatting.

public static final int MONTH_FIELD

Useful constant for MONTH field alignment. Used in FieldPosition of date/time formatting.

public static final int DATE_FIELD

Useful constant for DATE field alignment. Used in FieldPosition of date/time formatting.

public static final int HOUR_OF_DAY1_FIELD

Useful constant for one-based HOUR_OF_DAY field alignment. Used in FieldPosition of date/time formatting. HOUR_OF_DAY1_FIELD is used for the one-based 24-hour clock. For example, 23:59 + 01:00 results in 24:59.

public static final int HOUR_OF_DAY0_FIELD

Useful constant for zero-based HOUR_OF_DAY field alignment. Used in FieldPosition of date/time formatting. HOUR_OF_DAY0_FIELD is used for the zero-based 24-hour clock. For example, 23:59 + 01:00 results in 00:59.

public static final int MINUTE_FIELD

Useful constant for MINUTE field alignment. Used in FieldPosition of date/time formatting.

public static final int SECOND_FIELD

Useful constant for SECOND field alignment. Used in FieldPosition of date/time formatting.

public static final int MILLISECOND_FIELD

Useful constant for MILLISECOND field alignment. Used in FieldPosition of date/time formatting.

public static final int DAY_OF_WEEK_FIELD

Useful constant for DAY_OF_WEEK field alignment. Used in FieldPosition of date/time formatting.

public static final int DAY_OF_YEAR_FIELD

Useful constant for DAY_OF_YEAR field alignment. Used in FieldPosition of date/time formatting.

public static final int DAY_OF_WEEK_IN_MONTH_FIELD

Useful constant for DAY_OF_WEEK_IN_MONTH field alignment. Used in FieldPosition of date/time formatting.

public static final int WEEK_OF_YEAR_FIELD

Useful constant for WEEK_OF_YEAR field alignment. Used in FieldPosition of date/time formatting.

public static final int WEEK_OF_MONTH_FIELD

Useful constant for WEEK_OF_MONTH field alignment. Used in FieldPosition of date/time formatting.

public static final int AM_PM_FIELD

Useful constant for AM_PM field alignment. Used in FieldPosition of date/time formatting.

public static final int HOUR1_FIELD

Useful constant for one-based HOUR field alignment. Used in FieldPosition of date/time formatting. HOUR1_FIELD is used for the one-based 12-hour clock. For example, 11:30 PM + 1 hour results in 12:30 AM.

public static final int HOUR0_FIELD

Useful constant for zero-based HOUR field alignment. Used in FieldPosition of date/time formatting. HOUR0_FIELD is used for the zero-based 12-hour clock. For example, 11:30 PM + 1 hour results in 00:30 AM.

public static final int TIMEZONE_FIELD

Useful constant for TIMEZONE field alignment. Used in FieldPosition of date/time formatting.

public static final int FULL

Constant for full style pattern.

public static final int LONG

Constant for long style pattern.

public static final int MEDIUM

Constant for medium style pattern.

public static final int SHORT

Constant for short style pattern.

public static final int DEFAULT

Constant for default style pattern.

Properties

  static java.util.Locale[] getAvailableLocales( )

  java.util.Calendar getCalendar( )

  void setCalendar( java.util.Calendar newCalendar )

  static final java.text.DateFormat getDateInstance( )

  static final java.text.DateFormat getDateInstance( int style )

  static final java.text.DateFormat getDateTimeInstance( )

  static final java.text.DateFormat getInstance( )

  void setLenient( boolean lenient )

  boolean isLenient( )

  java.text.NumberFormat getNumberFormat( )

  void setNumberFormat( java.text.NumberFormat newNumberFormat )

  static final java.text.DateFormat getTimeInstance( )

  static final java.text.DateFormat getTimeInstance( int style )

  java.util.TimeZone getTimeZone( )

  void setTimeZone( java.util.TimeZone zone )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.Object clone( )

  boolean equals( java.lang.Object obj )

  final java.lang.String format( java.util.Date date )

  abstract java.lang.StringBuffer format( java.util.Date date, java.lang.StringBuffer toAppendTo, java.text.FieldPosition fieldPosition )

  final java.lang.StringBuffer format( java.lang.Object obj, java.lang.StringBuffer toAppendTo, java.text.FieldPosition fieldPosition )

  static final java.text.DateFormat getDateInstance( int style, java.util.Locale aLocale )

  static final java.text.DateFormat getDateTimeInstance( int dateStyle, int timeStyle )

  static final java.text.DateFormat getDateTimeInstance( int dateStyle, int timeStyle, java.util.Locale aLocale )

  static final java.text.DateFormat getTimeInstance( int style, java.util.Locale aLocale )

  int hashCode( )

  java.util.Date parse( java.lang.String text ) throws java.text.ParseException

  abstract java.util.Date parse( java.lang.String text, java.text.ParsePosition pos )

  java.lang.Object parseObject( java.lang.String source, java.text.ParsePosition pos )

Inherited Methods

  final java.lang.String format( java.lang.Object obj )

  native final void notify( )

  native final void notifyAll( )

  java.lang.Object parseObject( java.lang.String source ) throws java.text.ParseException

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable

See also

Format class [java.text]

NumberFormat class [java.text]

SimpleDateFormat class [java.text]

Calendar class [java.util]

GregorianCalendar class [java.util]

TimeZone class [java.util]


DateFormatSymbols class [java.text] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatSymbols class [java.text]

Object

DateFormatSymbols

Description

DateFormatSymbols is a public class for encapsulating localizable date-time formatting data, such as the names of the months, the names of the days of the week, and the time zone data. DateFormat and SimpleDateFormat both use DateFormatSymbols to encapsulate this information.

Typically you shouldn't use DateFormatSymbols directly. Rather, you are encouraged to create a date-time formatter with the DateFormat class's factory methods: getTimeInstance, getDateInstance, or getDateTimeInstance. These methods automatically create a DateFormatSymbols for the formatter so that you don't have to. After the formatter is created, you may modify its format pattern using the setPattern method. For more information about creating formatters using DateFormat's factory methods, see DateFormat.

If you decide to create a date-time formatter with a specific format pattern for a specific locale, you can do so with:

new SimpleDateFormat(aPattern, new DateFormatSymbols(aLocale)).

DateFormatSymbols objects are clonable. When you obtain a DateFormatSymbols object, feel free to modify the date-time formatting data. For instance, you can replace the localized date-time format pattern characters with the ones that you feel easy to remember. Or you can change the representative cities to your favorite ones.

New DateFormatSymbols subclasses may be added to support SimpleDateFormat for date-time formatting for additional locales.

Specification

public class DateFormatSymbols extends java.lang.Object implements java.io.Serializable, java.lang.Cloneable

Constructors

public DateFormatSymbols( )

Construct a DateFormatSymbols object by loading format data from resources for the default locale.

Throws

java.util.MissingResourceException

If the resources for the default locale cannot be found or cannot be loaded.

public DateFormatSymbols( java.util.Locale locale )

Construct a DateFormatSymbols object by loading format data from resources for the given locale.

Throws

java.util.MissingResourceException

If the resources for the specified locale cannot be found or cannot be loaded.

Properties

  java.lang.String[] getAmPmStrings( )

  void setAmPmStrings( java.lang.String[] newAmpms )

  java.lang.String[] getEras( )

  void setEras( java.lang.String[] newEras )

  java.lang.String getLocalPatternChars( )

  void setLocalPatternChars( java.lang.String newLocalPatternChars )

  java.lang.String[] getMonths( )

  void setMonths( java.lang.String[] newMonths )

  java.lang.String[] getShortMonths( )

  void setShortMonths( java.lang.String[] newShortMonths )

  java.lang.String[] getShortWeekdays( )

  void setShortWeekdays( java.lang.String[] newShortWeekdays )

  java.lang.String[] getWeekdays( )

  void setWeekdays( java.lang.String[] newWeekdays )

  java.lang.String[][] getZoneStrings( )

  void setZoneStrings( java.lang.String[][] newZoneStrings )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.Object clone( )

  boolean equals( java.lang.Object obj )

  int hashCode( )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable

See also

DateFormat class [java.text]

SimpleDateFormat class [java.text]

SimpleTimeZone class [java.util]


dateFormatSymbols property [java.text.SimpleDateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      dateFormatSymbols property [java.text.SimpleDateFormat]

public java.text.DateFormatSymbols getDateFormatSymbols( )

Gets the date/time formatting data.

Return

A copy of the date-time formatting data associated with this date-time formatter.

public void setDateFormatSymbols( java.text.DateFormatSymbols newFormatSymbols )

Allows you to set the date/time formatting data.

Parameter

newFormatData

the given date-time formatting data.

Applies to

 SimpleDateFormat [java.text]


DateFormatZoneData class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_ar class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_ar class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_ar

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_ar extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_be class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_be class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_be

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_be extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_bg class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_bg class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_bg

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_bg extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_ca class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_ca class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_ca

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_ca extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_cs class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_cs class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_cs

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_cs extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_da class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_da class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_da

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_da extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_de class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_de class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_de

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_de extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_de_AT class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_de_AT class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_de_AT

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_de_AT extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_de_CH class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_de_CH class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_de_CH

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_de_CH extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_el class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_el class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_el

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_el extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_en class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_en class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_en

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_en extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_en_CA class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_en_CA class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_en_CA

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_en_CA extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_en_GB class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_en_GB class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_en_GB

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_en_GB extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_en_IE class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_en_IE class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_en_IE

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_en_IE extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_es class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_es class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_es

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_es extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_et class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_et class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_et

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_et extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_fi class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_fi class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_fi

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_fi extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_fr class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_fr class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_fr

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_fr extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_fr_BE class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_fr_BE class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_fr_BE

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_fr_BE extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_fr_CA class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_fr_CA class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_fr_CA

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_fr_CA extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_fr_CH class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_fr_CH class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_fr_CH

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_fr_CH extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_hr class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_hr class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_hr

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_hr extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_hu class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_hu class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_hu

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_hu extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_is class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_is class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_is

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_is extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_it class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_it class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_it

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_it extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_it_CH class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_it_CH class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_it_CH

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_it_CH extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_iw class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_iw class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_iw

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_iw extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_ja class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_ja class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_ja

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_ja extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_ko class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_ko class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_ko

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_ko extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_lt class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_lt class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_lt

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_lt extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_lv class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_lv class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_lv

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_lv extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_mk class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_mk class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_mk

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_mk extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_nl class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_nl class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_nl

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_nl extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_nl_BE class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_nl_BE class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_nl_BE

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_nl_BE extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_no class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_no class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_no

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_no extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_no_NO_NY class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_no_NO_NY class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_no_NO_NY

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_no_NO_NY extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_pl class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_pl class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_pl

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_pl extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_pt class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_pt class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_pt

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_pt extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_ro class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_ro class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_ro

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_ro extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_ru class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_ru class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_ru

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_ru extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_sh class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_sh class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_sh

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_sh extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_sk class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_sk class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_sk

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_sk extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_sl class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_sl class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_sl

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_sl extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_sq class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_sq class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_sq

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_sq extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_sr class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_sr class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_sr

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_sr extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_sv class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_sv class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_sv

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_sv extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_th class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_th class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_th

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_th extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_tr class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_tr class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_tr

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_tr extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_uk class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_uk class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_uk

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_uk extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_zh class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_zh class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_zh

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_zh extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


DateFormatZoneData_zh_TW class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DateFormatZoneData_zh_TW class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

DateFormatZoneData_zh_TW

Description

Supplement package private date-time formatting zone data for DateFormat. DateFormatData used in DateFormat will be initialized by loading the data from LocaleElements and DateFormatZoneData resources. The zone data are represented with the following form: {ID, long zone string, short zone string, long daylight string, short daylight string, representative city of zone}, where ID is NOT localized, but is used to look up the localized timezone data internally. Localizers can localize any zone strings except for the ID of the timezone.

Specification

public final class DateFormatZoneData_zh_TW extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

See also

LocaleElements class [java.text.resources]


dateInstance property [java.text.DateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      dateInstance property [java.text.DateFormat]

public static final java.text.DateFormat getDateInstance( )

Gets the date formatter with the default formatting style for the default locale.

Return

A date formatter.

public static final java.text.DateFormat getDateInstance( int style )

Gets the date formatter with the given formatting style for the default locale.

Parameter

style

the given formatting style. For example, SHORT for "M/d/yy" in the US locale.

Return

A date formatter.

Applies to

 DateFormat [java.text]

 SimpleDateFormat [java.text]


dateTimeInstance property [java.text.DateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      dateTimeInstance property [java.text.DateFormat]

public static final java.text.DateFormat getDateTimeInstance( )

Gets the date/time formatter with the default formatting style for the default locale.

Return

A date/time formatter.

Applies to

 DateFormat [java.text]

 SimpleDateFormat [java.text]


day property [java.sql.Time] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      day property [java.sql.Time]

Overloads:

  int getDay( ) overrides day property [java.util.Date]

public int getDay( )

Applies to

 Time [java.sql]


day property [java.util.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      day property [java.util.Date]

public int getDay( )

Note: getDay has been deprecated. As of JDK version 1.1, replaced by Calendar.get(Calendar.DAY_OF_WEEK).

Returns the day of the week represented by this date. The value returned is between 0 and 6, where 0 represents Sunday.

Return

The day of the week represented by this date.

See also

Calendar class [java.util]

Applies to

 Date [java.sql]

 Date [java.util]

 Time [java.sql]

 Timestamp [java.sql]


decapitalize method [java.beans.Introspector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      decapitalize method [java.beans.Introspector]

public static java.lang.String decapitalize( java.lang.String name )

Utility method to take a string and convert it to normal Java variable name capitalization.  This normally means converting the first character from upper case to lower case, but in the (unusual) special case when there is more than one character and both the first and second characters are upper case, we leave it alone.

Thus "FooBah" becomes "fooBah" and "X" becomes "x", but "URL" stays as "URL".

Parameter

name

The string to be decapitalized.

Return

The decapitalized version of the string.

Applies to

 Introspector [java.beans]


DecimalFormat class [java.text] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DecimalFormat class [java.text]

Object

Format

NumberFormat

DecimalFormat

Description

DecimalFormat is a concrete subclass of NumberFormat for formatting decimal numbers. This class allows for a variety of parameters, and localization to Western, Arabic, or Indic numbers.

Normally, you get the proper NumberFormat for a specific locale (including the default locale) using one of NumberFormat's factory methods such as getInstance. You may then modify it from there (after testing to make sure it is a DecimalFormat, of course!)

Either the prefixes or the suffixes must be different for the parse to distinguish positive from negative. Parsing will be unreliable if the digits, thousands or decimal separators are the same, or if any of them occur in the prefixes or suffixes.

Special cases:

NaN is formatted as a single character, typically \\uFFFD.

+/-Infinity is formatted as a single character, typically \\u221E, plus the positive and negative pre/suffixes.

Note: this class is designed for common users; for very large or small numbers, use a format that can express exponential values.

Example:

// normally we would have a GUI with a menu for this

Locale[] locales = NumberFormat.getAvailableLocales();

double myNumber = -1234.56;

NumberFormat form;

// just for fun, we print out a number with the locale number, currency

// and percent format for each locale we can.

for (int j = 0; j < 3; ++j) {

   System.out.println("FORMAT");

   for (int i = 0; i < locales.length; ++i) {

       if (locales[i].getCountry().length() == 0) {

          // skip language-only

          continue;

       }

       System.out.print(locales[i].getDisplayName());

       switch (j) {

       default:

           form = NumberFormat.getInstance(locales[i]); break;

       case 1:

           form = NumberFormat.getCurrencyInstance(locales[i]); break;

       case 0:

           form = NumberFormat.getPercentInstance(locales[i]); break;

       }

       try {

           System.out.print(": " + ((DecimalFormat)form).toPattern()

                        + " -> " + form.format(myNumber));

       } catch (IllegalArgumentException iae) { }

       try {

           System.out.println(" -> " + form.parse(form.format(myNumber)));

       } catch (ParseException pe) { }

   }

}

 The following shows the structure of the pattern.

pattern    := subpattern{;subpattern}

subpattern := {prefix}integer{.fraction}{suffix}

prefix     := '\\u0000'..'\\uFFFD' - specialCharacters

suffix     := '\\u0000'..'\\uFFFD' - specialCharacters

integer    := '#'* '0'* '0'

fraction   := '0'* '#'*

Notation:

X*       0 or more instances of X

(X | Y)  either X or Y.

X..Y     any character from X up to Y, inclusive.

S - T    characters in S, except those in T

The first subpattern is for positive numbers. The second (optional) subpattern is for negative numbers. (In both cases, ',' can occur inside the integer portion--it is just too messy to indicate in BNF.)

Here are the special characters used in the parts of the subpattern, with notes on their usage.

Symbol Meaning

0      a digit

#      a digit, zero shows as absent

.      placeholder for decimal separator

,      placeholder for grouping separator.

;      separates formats.

-      default negative prefix.

%      multiply by 100 and show as percentage

\u2030 multiply by 1000 and show as per mille

\u00A4 currency sign; replaced by currency symbol; if

      doubled, replaced by international currency symbol.

      If present in a pattern, the monetary decimal separator

      is used instead of the decimal separator.

X      any other characters can be used in the prefix or suffix

'      used to quote special characters in a prefix or suffix.

Notes

If there is no explicit negative subpattern, - is prefixed to the positive form. That is, "0.00" alone is equivalent to "0.00;-0.00".

Illegal patterns, such as "#.#.#" or mixing '_' and '*' in the same pattern, will cause an IllegalArgumentException to be thrown. From the message of IllegalArgumentException, you can find the place in the string where the error occurred.

The grouping separator is commonly used for thousands, but in some countries for ten-thousands. The interval is a constant number of digits between the grouping characters, such as 100,000,000 or 1,0000,0000. If you supply a pattern with multiple grouping characters, the interval between the last one and the end of the integer is the one that is used. So "#,##,###,####" == "######,####" == "##,####,####".

When calling DecimalFormat.parse(String, ParsePosition) and parsing fails, a null object will be returned.  The unchanged parse position also reflects that an error has occurred during parsing.  When calling the convenient method DecimalFormat.parse(String) and parsing fails, a ParseException will be thrown.

This class only handles localized digits where the 10 digits are contiguous in Unicode, from 0 to 9. Other digits sets (such as superscripts) would need a different subclass.

Specification

public class DecimalFormat extends java.text.NumberFormat

Constructors

public DecimalFormat( )

Create a DecimalFormat using the default pattern and symbols for the default locale. This is a convenient way to obtain a DecimalFormat when internationalization is not the main concern.

To obtain standard formats for a given locale, use the factory methods on NumberFormat such as getNumberInstance. These factories will return the most appropriate sub-class of NumberFormat for a given locale.

See also

instance property [java.text.NumberFormat]

numberInstance property [java.text.NumberFormat]

currencyInstance property [java.text.NumberFormat]

percentInstance property [java.text.NumberFormat]

public DecimalFormat( java.lang.String pattern )

Create a DecimalFormat from the given pattern and the symbols for the default locale. This is a convenient way to obtain a DecimalFormat when internationalization is not the main concern.

To obtain standard formats for a given locale, use the factory methods on NumberFormat such as getNumberInstance. These factories will return the most appropriate sub-class of NumberFormat for a given locale.

Parameter

pattern

A non-localized pattern string.

Throws

IllegalArgumentException

If the given pattern is invalid.

See also

instance property [java.text.NumberFormat]

numberInstance property [java.text.NumberFormat]

currencyInstance property [java.text.NumberFormat]

percentInstance property [java.text.NumberFormat]

public DecimalFormat( java.lang.String pattern, java.text.DecimalFormatSymbols symbols )

Create a DecimalFormat from the given pattern and symbols. Use this constructor when you need to completely customize the behavior of the format.

To obtain standard formats for a given locale, use the factory methods on NumberFormat such as getInstance or getCurrencyInstance. If you need only minor adjustments to a standard format, you can modify the format returned by a NumberFormat factory method.

Parameters

pattern

a non-localized pattern string

symbols

the set of symbols to be used

Throws

IllegalArgumentException

If the given pattern is invalid.

See also

instance property [java.text.NumberFormat]

numberInstance property [java.text.NumberFormat]

currencyInstance property [java.text.NumberFormat]

percentInstance property [java.text.NumberFormat]

DecimalFormatSymbols class [java.text]

Properties

  java.text.DecimalFormatSymbols getDecimalFormatSymbols( )

  void setDecimalFormatSymbols( java.text.DecimalFormatSymbols newSymbols )

  void setDecimalSeparatorAlwaysShown( boolean newValue )

  boolean isDecimalSeparatorAlwaysShown( )

  int getGroupingSize( )

  void setGroupingSize( int newValue )

  int getMultiplier( )

  void setMultiplier( int newValue )

  java.lang.String getNegativePrefix( )

  void setNegativePrefix( java.lang.String newValue )

  java.lang.String getNegativeSuffix( )

  void setNegativeSuffix( java.lang.String newValue )

  java.lang.String getPositivePrefix( )

  void setPositivePrefix( java.lang.String newValue )

  java.lang.String getPositiveSuffix( )

  void setPositiveSuffix( java.lang.String newValue )

Inherited Properties

  static java.util.Locale[] getAvailableLocales( )

  native final java.lang.Class getClass( )

  static final java.text.NumberFormat getCurrencyInstance( )

  void setGroupingUsed( boolean newValue )

  boolean isGroupingUsed( )

  static final java.text.NumberFormat getInstance( )

  int getMaximumFractionDigits( )

  void setMaximumFractionDigits( int newValue )

  int getMaximumIntegerDigits( )

  void setMaximumIntegerDigits( int newValue )

  int getMinimumFractionDigits( )

  void setMinimumFractionDigits( int newValue )

  int getMinimumIntegerDigits( )

  void setMinimumIntegerDigits( int newValue )

  static final java.text.NumberFormat getNumberInstance( )

  void setParseIntegerOnly( boolean value )

  boolean isParseIntegerOnly( )

  static final java.text.NumberFormat getPercentInstance( )

Methods

  void applyLocalizedPattern( java.lang.String pattern )

  void applyPattern( java.lang.String pattern )

  java.lang.Object clone( )

  boolean equals( java.lang.Object obj )

  java.lang.StringBuffer format( double number, java.lang.StringBuffer result, java.text.FieldPosition fieldPosition )

  java.lang.StringBuffer format( long number, java.lang.StringBuffer result, java.text.FieldPosition fieldPosition )

  int hashCode( )

  java.lang.Number parse( java.lang.String text, java.text.ParsePosition parsePosition )

  java.lang.String toLocalizedPattern( )

  java.lang.String toPattern( )

Inherited Methods

  final java.lang.String format( java.lang.Object obj )

  abstract java.lang.StringBuffer format( java.lang.Object obj, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos )

  final java.lang.String format( double number )

  final java.lang.String format( long number )

  static java.text.NumberFormat getCurrencyInstance( java.util.Locale inLocale )

  static java.text.NumberFormat getInstance( java.util.Locale inLocale )

  static java.text.NumberFormat getNumberInstance( java.util.Locale inLocale )

  static java.text.NumberFormat getPercentInstance( java.util.Locale inLocale )

  native final void notify( )

  native final void notifyAll( )

  java.lang.Number parse( java.lang.String text ) throws java.text.ParseException

  java.lang.Object parseObject( java.lang.String source ) throws java.text.ParseException

  abstract java.lang.Object parseObject( java.lang.String source, java.text.ParsePosition status )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable


DecimalFormatSymbols class [java.text] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DecimalFormatSymbols class [java.text]

Object

DecimalFormatSymbols

Description

This class represents the set of symbols (such as the decimal separator, the grouping separator, and so on) needed by DecimalFormat to format numbers. DecimalFormat creates for itself an instance of DecimalFormatSymbols from its locale data.  If you need to change any of these symbols, you can get the DecimalFormatSymbols object from your DecimalFormat and modify it.

Specification

public final class DecimalFormatSymbols extends java.lang.Object implements java.lang.Cloneable, java.io.Serializable

Constructors

public DecimalFormatSymbols( )

Create a DecimalFormatSymbols object for the default locale.

public DecimalFormatSymbols( java.util.Locale locale )

Create a DecimalFormatSymbols object for the given locale.

Properties

  char getDecimalSeparator( )

  void setDecimalSeparator( char decimalSeparator )

  char getDigit( )

  void setDigit( char digit )

  char getGroupingSeparator( )

  void setGroupingSeparator( char groupingSeparator )

  java.lang.String getInfinity( )

  void setInfinity( java.lang.String infinity )

  char getMinusSign( )

  void setMinusSign( char minusSign )

  java.lang.String getNaN( )

  void setNaN( java.lang.String NaN )

  char getPatternSeparator( )

  void setPatternSeparator( char patternSeparator )

  char getPercent( )

  void setPercent( char percent )

  char getPerMill( )

  void setPerMill( char perMill )

  char getZeroDigit( )

  void setZeroDigit( char zeroDigit )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.Object clone( )

  boolean equals( java.lang.Object obj )

  int hashCode( )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable

See also

Locale class [java.util]

DecimalFormat class [java.text]


decimalFormatSymbols property [java.text.DecimalFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      decimalFormatSymbols property [java.text.DecimalFormat]

public java.text.DecimalFormatSymbols getDecimalFormatSymbols( )

Returns the decimal format symbols, which is generally not changed by the programmer or user.

Return

Desired DecimalFormatSymbols.

public void setDecimalFormatSymbols( java.text.DecimalFormatSymbols newSymbols )

Sets the decimal format symbols, which is generally not changed by the programmer or user.

Parameter

newSymbols

desired DecimalFormatSymbols

Applies to

 DecimalFormat [java.text]


decimalSeparator property [java.text.DecimalFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      decimalSeparator property [java.text.DecimalFormatSymbols]

public char getDecimalSeparator( )

character used for decimal sign. Different for French, etc.

Return

No documentation supplied in JDK.

public void setDecimalSeparator( char decimalSeparator )

Applies to

 DecimalFormatSymbols [java.text]


decimalSeparatorAlwaysShown property [java.text.DecimalFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      decimalSeparatorAlwaysShown property [java.text.DecimalFormat]

public void setDecimalSeparatorAlwaysShown( boolean newValue )

Allows you to set the behavior of the decimal separator with integers. (The decimal separator will always appear with decimals.)

Example: Decimal ON: 12345 -> 12345.; OFF: 12345 -> 12345

public boolean isDecimalSeparatorAlwaysShown( )

Allows you to get the behavior of the decimal separator with integers. (The decimal separator will always appear with decimals.)

Example: Decimal ON: 12345 -> 12345.; OFF: 12345 -> 12345

Return

No documentation supplied in JDK.

Applies to

 DecimalFormat [java.text]


declaredClasses property [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      declaredClasses property [java.lang.Class]

public java.lang.Class[] getDeclaredClasses( ) throws java.lang.SecurityException

Not implemented in this version of the JavaTM Development Kit.

Returns an array of Class objects reflecting all the classes and interfaces declared as members of the class represented by this Class object. This includes public, protected, default (package) access, and private classes and interfaces declared by the class, but excludes inherited classes and interfaces. Returns an array of length 0 if the class declares no classes or interfaces as members, or if this Class object represents a primitive type.

Return

No documentation supplied in JDK.

Throws

SecurityException

If access to the information is denied.

Applies to

 Class [java.lang]


declaredConstructors property [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      declaredConstructors property [java.lang.Class]

public java.lang.reflect.Constructor[] getDeclaredConstructors( ) throws java.lang.SecurityException

Returns an array of Constructor objects reflecting all the constructors declared by the class represented by this Class object. These are public, protected, default (package) access, and private constructors.  Returns an array of length 0 if this Class object represents an interface or a primitive type.

See The Java Language Specification , section 8.2.

Return

No documentation supplied in JDK.

Throws

SecurityException

If access to the information is denied.

See also

Constructor class [java.lang.reflect]

Applies to

 Class [java.lang]


declaredFields property [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      declaredFields property [java.lang.Class]

public java.lang.reflect.Field[] getDeclaredFields( ) throws java.lang.SecurityException

Returns an array of Field objects reflecting all the fields declared by the class or interface represented by this Class object. This includes public, protected, default (package) access, and private fields, but excludes inherited fields. Returns an array of length 0 if the class or interface declares no fields, or if this Class object represents a primitive type. See The Java Language Specification , sections 8.2 and 8.3.

Return

No documentation supplied in JDK.

Throws

SecurityException

If access to the information is denied.

See also

Field class [java.lang.reflect]

Applies to

 Class [java.lang]


declaredMethods property [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      declaredMethods property [java.lang.Class]

public java.lang.reflect.Method[] getDeclaredMethods( ) throws java.lang.SecurityException

Returns an array of Method objects reflecting all the methods declared by the class or interface represented by this Class object. This includes public, protected, default (package) access, and private methods, but excludes inherited methods. Returns an array of length 0 if the class or interface declares no methods, or if this Class object represents a primitive type.

See The Java Language Specification , section 8.2.

Return

No documentation supplied in JDK.

Throws

SecurityException

If access to the information is denied.

See also

Method class [java.lang.reflect]

Applies to

 Class [java.lang]


declaringClass property [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      declaringClass property [java.lang.Class]

public java.lang.Class getDeclaringClass( )

Not implemented in this version of the JavaTM Development Kit.

If the class or interface represented by this Class object is a member of another class, returns the Class object representing the class of which it is a member (its declaring class ).  Returns null if this class or interface is not a member of any other class.

Return

No documentation supplied in JDK.

Applies to

 Class [java.lang]


declaringClass property [java.lang.reflect.Constructor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      declaringClass property [java.lang.reflect.Constructor]

public java.lang.Class getDeclaringClass( )

Returns the Class object representing the class that declares the constructor represented by this Constructor object.

Return

No documentation supplied in JDK.

Applies to

 Constructor [java.lang.reflect]


declaringClass property [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      declaringClass property [java.lang.reflect.Field]

public java.lang.Class getDeclaringClass( )

Returns the Class object representing the class or interface that declares the field represented by this Field object.

Return

No documentation supplied in JDK.

Applies to

 Field [java.lang.reflect]


declaringClass property [java.lang.reflect.Method] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      declaringClass property [java.lang.reflect.Method]

public java.lang.Class getDeclaringClass( )

Returns the Class object representing the class or interface that declares the method represented by this Method object.

Return

No documentation supplied in JDK.

Applies to

 Method [java.lang.reflect]


decode method [java.awt.Color] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      decode method [java.awt.Color]

public static java.awt.Color decode( java.lang.String nm ) throws java.lang.NumberFormatException

Converts a string to an integer and returns the specified color. This method handles string formats that are used to represent octal and hexidecimal numbers.

Parameter

nm

a string that represents a color as a 24-bit integer.

Return

The new color.

Throws

NumberFormatException

If the specified string cannot be interpreted as a decimal, octal, or hexidecimal integer.

See also

decode method [java.lang.Integer]

Applies to

 Color [java.awt]

 SystemColor [java.awt]


decode method [java.awt.Font] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      decode method [java.awt.Font]

public static java.awt.Font decode( java.lang.String str )

Gets the specified font using the name passed in.

Parameter

str

the name

Return

No documentation supplied in JDK.

Applies to

 Font [java.awt]


decode method [java.lang.Byte] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      decode method [java.lang.Byte]

public static java.lang.Byte decode( java.lang.String nm ) throws java.lang.NumberFormatException

Decodes a String into a Byte.  The String may represent decimal, hexadecimal, and octal numbers.

Parameter

nm

the string to decode

Return

No documentation supplied in JDK.

Applies to

 Byte [java.lang]


decode method [java.lang.Integer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      decode method [java.lang.Integer]

public static java.lang.Integer decode( java.lang.String nm ) throws java.lang.NumberFormatException

Decodes a string into an Integer. Deals with decimal, hexadecimal, and octal numbers.

Parameter

nm

the string to decode

Return

No documentation supplied in JDK.

Applies to

 Integer [java.lang]


decode method [java.lang.Short] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      decode method [java.lang.Short]

public static java.lang.Short decode( java.lang.String nm ) throws java.lang.NumberFormatException

Decodes a String into a Short.  The String may represent decimal, hexadecimal, and octal numbers.

Parameter

nm

the string to decode

Return

No documentation supplied in JDK.

Applies to

 Short [java.lang]


decomposition property [java.text.Collator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      decomposition property [java.text.Collator]

public synchronized int getDecomposition( )

Get the decomposition mode of this Collator. Decomposition mode determines how Unicode composed characters are handled. Adjusting decomposition mode allows the user to select between faster and more complete collation behavior.

The three values for decomposition mode are:

•	NO_DECOMPOSITION,

•	CANONICAL_DECOMPOSITION

•	FULL_DECOMPOSITION.

See the documentation for these three constants for a description of their meaning.

Return

The decomposition mode.

public synchronized void setDecomposition( int decompositionMode )

Set the decomposition mode of this Collator. See getDecomposition for a description of decomposition mode.

Parameter

the

new decomposition mode

Throws

IllegalArgumentException

If the given value is not a valid decomposition mode.

Applies to

 Collator [java.text]

 RuleBasedCollator [java.text]


default property [java.util.Locale] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      default property [java.util.Locale]

public static java.util.Locale getDefault( )

Common method of getting the current default Locale. Used for the presentation: menus, dialogs, etc. Generally set once when your applet or application is initialized, then never reset. (If you do reset the default locale, you probably want to reload your GUI, so that the change is reflected in your interface.)

More advanced programs will allow users to use different locales for different fields, e.g. in a spreadsheet.
Note that the initial setting will match the host system.

Return

No documentation supplied in JDK.

public static synchronized void setDefault( java.util.Locale newLocale )

Sets the default. Normally set once at the beginning of applet or application, then never reset. setDefault does not reset the host locale.

Parameter

newLocale

Locale to set to.

Applies to

 Locale [java.util]


default property [java.util.TimeZone] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      default property [java.util.TimeZone]

public static synchronized java.util.TimeZone getDefault( )

Gets the default TimeZone for this host.

Return

A default TimeZone.

public static synchronized void setDefault( java.util.TimeZone zone )

Sets time zone to using the given TimeZone.

Parameter

zone

the given time zone.

Applies to

 SimpleTimeZone [java.util]

 TimeZone [java.util]


defaultAllowUserInteraction property [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      defaultAllowUserInteraction property [java.net.URLConnection]

public static boolean getDefaultAllowUserInteraction( )

Returns the default value of the allowUserInteraction field.

Ths default is "sticky", being a part of the static state of all URLConnections.  This flag applies to the next, and all following URLConnections that are created.

Return

The default value of the allowUserInteraction field.

public static void setDefaultAllowUserInteraction( boolean defaultallowuserinteraction )

Sets the default value of the allowUserInteraction field for all future URLConnection objects to the specified value.

Parameter

defaultallowuserinteraction

the new value.

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


defaultCursor property [java.awt.Cursor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      defaultCursor property [java.awt.Cursor]

public static java.awt.Cursor getDefaultCursor( )

Return the system default cursor.

Return

No documentation supplied in JDK.

Applies to

 Cursor [java.awt]


defaultEventIndex property [java.beans.SimpleBeanInfo] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      defaultEventIndex property [java.beans.SimpleBeanInfo]

public int getDefaultEventIndex( )

Deny knowledge of a default event. You can override this if you wish to define a default event for the bean.

Return

No documentation supplied in JDK.

Applies to

 SimpleBeanInfo [java.beans]


defaultPropertyIndex property [java.beans.SimpleBeanInfo] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      defaultPropertyIndex property [java.beans.SimpleBeanInfo]

public int getDefaultPropertyIndex( )

Deny knowledge of a default property. You can override this if you wish to define a default property for the bean.

Return

No documentation supplied in JDK.

Applies to

 SimpleBeanInfo [java.beans]


defaultReadObject method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      defaultReadObject method [java.io.ObjectInputStream]

public final void defaultReadObject( ) throws java.io.IOException, java.lang.ClassNotFoundException, java.io.NotActiveException

Read the non-static and non-transient fields of the current class from this stream.  This may only be called from the readObject method of the class being deserialized. It will throw the NotActiveException if it is called otherwise.

Throws

java.lang.ClassNotFoundException

If the class of a serialized object could not be found.

IOException

If an I/O error occurs.

NotActiveException

If the stream is not currently reading objects.

Applies to

 ObjectInputStream [java.io]


defaultStream property [java.rmi.server.LogStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      defaultStream property [java.rmi.server.LogStream]

public static synchronized java.io.PrintStream getDefaultStream( )

Return the current default stream for new logs.

Return

No documentation supplied in JDK.

public static synchronized void setDefaultStream( java.io.PrintStream newDefault )

Set the default stream for new logs.

Applies to

 LogStream [java.rmi.server]


defaultToolkit property [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      defaultToolkit property [java.awt.Toolkit]

public static java.awt.Toolkit getDefaultToolkit( )

Gets the default toolkit.

If there is a system property named "awt.toolkit", that property is treated as the name of a class that is a subclass of Toolkit.

If the system property does not exist, then the default toolkit used is the class named "sun.awt.motif.MToolkit", which is a motif implementation of the Abstract Window Toolkit.

Return

The default toolkit.

Throws

AWTError

If a toolkit could not be found, or if one could not be accessed or instantiated.

Applies to

 Toolkit [java.awt]


defaultUseCaches property [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      defaultUseCaches property [java.net.URLConnection]

public boolean getDefaultUseCaches( )

Returns the default value of a URLConnection's useCaches flag.

Ths default is "sticky", being a part of the static state of all URLConnections.  This flag applies to the next, and all following URLConnections that are created.

Return

The default value of a URLConnection's useCaches flag.

public void setDefaultUseCaches( boolean defaultusecaches )

Sets the default value of the useCaches field to the specified value.

Parameter

defaultusecaches

the new value.

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


defaultWriteObject method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      defaultWriteObject method [java.io.ObjectOutputStream]

public final void defaultWriteObject( ) throws java.io.IOException

Write the non-static and non-transient fields of the current class to this stream.  This may only be called from the writeObject method of the class being serialized. It will throw the NotActiveException if it is called otherwise.

Applies to

 ObjectOutputStream [java.io]


defineClass method [java.lang.ClassLoader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      defineClass method [java.lang.ClassLoader]

Overloads:

 Class defineClass( String name, byte[] data, int offset, int length )

 Class defineClass( byte[] data, int offset, int length )

protected final java.lang.Class defineClass( java.lang.String name, byte[] data, int offset, int length )

Converts an array of bytes to an instance of class Class. Before the Class can be used it must be resolved.

Parameters

name

the expected name of the class; null if unknown; using '.' and not '/' as separator, and without a trailing ".class" suffix.

data

the bytes that make up the Class.

offset

the start offset of the Class data.

length

the length of the Class data.

Return

The Class object that was created from the data.

Throws

ClassFormatError

If the data does not contain a valid Class.

See also

loadClass method [java.lang.ClassLoader]

resolveClass method [java.lang.ClassLoader]

protected final java.lang.Class defineClass( byte[] data, int offset, int length )

Note: defineClass has been deprecated. Replaced by defineClass(java.lang.String, byte[], int, int).

Converts an array of bytes into an instance of class Class. Before the Class can be used it must be resolved.  This method is deprecated in favor of the version that takes a "name" as a first argument, and is more secure.

Parameters

data

the bytes that make up the Class.

offset

the start offset of the Class data.

length

the length of the Class data.

Return

The Class object that was created from the data.

Throws

ClassFormatError

If the data does not contain a valid Class.

See also

loadClass method [java.lang.ClassLoader]

resolveClass method [java.lang.ClassLoader]

Applies to

 ClassLoader [java.lang]


deflate method [java.util.zip.Deflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      deflate method [java.util.zip.Deflater]

Overloads:

 int deflate( byte[] b, int off, int len )

 int deflate( byte[] b )

public native synchronized int deflate( byte[] b, int off, int len )

Fills specified buffer with compressed data. Returns actual number of bytes of compressed data. A return value of 0 indicates that needsInput() should be called in order to determine if more input data is required.

Parameters

b

the buffer for the compressed data

off

the start offset of the data

len

the maximum number of bytes of compressed data

Return

The actual number of bytes of compressed data.

public int deflate( byte[] b )

Fills specified buffer with compressed data. Returns actual number of bytes of compressed data. A return value of 0 indicates that needsInput() should be called in order to determine if more input data is required.

Parameter

b

the buffer for the compressed data

Return

The actual number of bytes of compressed data.

Applies to

 Deflater [java.util.zip]


deflate method [java.util.zip.DeflaterOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      deflate method [java.util.zip.DeflaterOutputStream]

protected void deflate( ) throws java.io.IOException

Writes next block of compressed data to the output stream.

Applies to

 DeflaterOutputStream [java.util.zip]

 GZIPOutputStream [java.util.zip]

 ZipOutputStream [java.util.zip]


Deflater class [java.util.zip] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      Deflater class [java.util.zip]

Object

Deflater

Description

This class provides support for general purpose decompression using the popular ZLIB compression library. The ZLIB compression library was initially developed as part of the PNG graphics standard and is not protected by patents. It is fully described in RFCs 1950, 1951, and 1952, which can be found at   http://info.internet.isi.edu:80/in-notes/rfc/files/   in the files rfc1950.txt (zlib format), rfc1951.txt (deflate format) and rfc1952.txt (gzip format).

Specification

public class Deflater extends java.lang.Object

Constructors

public Deflater( )

Creates a new compressor with the default compression level. Compressed data will be generated in ZLIB format.

public Deflater( int level )

Creates a new compressor using the specified compression level. Compressed data will be generated in ZLIB format.

Parameter

level

the compression level (0-9)

public Deflater( int level, boolean nowrap )

Creates a new compressor using the specified compression level. If 'nowrap' is true then the ZLIB header and checksum fields will not be used in order to support the compression format used in both GZIP and PKZIP.

Parameters

level

the compression level (0-9)

nowrap

if true then use GZIP compatible compression

Variables

public static final int DEFLATED

Compression method for the deflate algorithm (the only one currently supported).

public static final int NO_COMPRESSION

Compression level for no compression.

public static final int BEST_SPEED

Compression level for fastest compression.

public static final int BEST_COMPRESSION

Compression level for best compression.

public static final int DEFAULT_COMPRESSION

Default compression level.

public static final int FILTERED

Compression strategy best used for data consisting mostly of small values with a somewhat random distribution. Forces more Huffman coding and less string matching.

public static final int HUFFMAN_ONLY

Compression strategy for Huffman coding only.

public static final int DEFAULT_STRATEGY

Default compression strategy.

Properties

  native synchronized int getAdler( )

  void setDictionary( byte[] b )

  void setInput( byte[] b )

  synchronized void setLevel( int level )

  synchronized void setStrategy( int strategy )

  native synchronized int getTotalIn( )

  native synchronized int getTotalOut( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  int deflate( byte[] b )

  native synchronized int deflate( byte[] b, int off, int len )

  native synchronized void end( )

  synchronized void finish( )

  synchronized boolean finished( )

  boolean needsInput( )

  native synchronized void reset( )

  native synchronized void setDictionary( byte[] b, int off, int len )

  synchronized void setInput( byte[] b, int off, int len )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

See also

Inflater class [java.util.zip]


DeflaterOutputStream class [java.util.zip] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DeflaterOutputStream class [java.util.zip]

Object

OutputStream

FilterOutputStream

DeflaterOutputStream

Description

This class implements an output stream filter for compressing data in the "deflate" compression format. It is also used as the basis for other types of compression filters, such as GZIPOutputStream.

Specification

public class DeflaterOutputStream extends java.io.FilterOutputStream

Constructors

public DeflaterOutputStream( java.io.OutputStream out )

Creates a new output stream with a defaul compressor and buffer size.

public DeflaterOutputStream( java.io.OutputStream out, java.util.zip.Deflater def )

Creates a new output stream with the specified compressor and a default buffer size.

Parameters

out

the output stream

def

the compressor (deflater)

public DeflaterOutputStream( java.io.OutputStream out, java.util.zip.Deflater def, int size )

Creates a new output stream with the specified compressor and buffer size.

Parameters

out

the output stream

def

the compressor (deflater)

len

the output buffer size

Variables

protected java.util.zip.Deflater def

Compressor for this stream.

protected byte[] buf

Output buffer for writing compressed data.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( ) throws java.io.IOException

  void finish( ) throws java.io.IOException

  void write( byte[] b, int off, int len ) throws java.io.IOException

  void write( int b ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  void flush( ) throws java.io.IOException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  void write( byte[] b ) throws java.io.IOException

Protected Methods

 protected void deflate( ) throws java.io.IOException

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Deflater class [java.util.zip]


delete method [java.io.File] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      delete method [java.io.File]

public boolean delete( )

Deletes the file specified by this object.  If the target file to be deleted is a directory, it must be empty for deletion to succeed.

Return

true if the file is successfully deleted; false otherwise.

Throws

SecurityException

If a security manager exists, its checkDelete method is called with the pathname of this File to see if the application is allowed to delete the file.

See also

path property [java.io.File]

checkDelete method [java.lang.SecurityManager]

Applies to

 File [java.io]


deleteObserver method [java.util.Observable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      deleteObserver method [java.util.Observable]

public synchronized void deleteObserver( java.util.Observer o )

Deletes an observer from the set of observers of this object.

Parameter

o

the observer to be deleted.

Applies to

 Observable [java.util]


deleteObservers method [java.util.Observable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      deleteObservers method [java.util.Observable]

public synchronized void deleteObservers( )

Clears the observer list so that this object no longer has any observers.

Applies to

 Observable [java.util]


deleteShortcut method [java.awt.MenuBar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      deleteShortcut method [java.awt.MenuBar]

public void deleteShortcut( java.awt.MenuShortcut s )

Deletes the specified menu shortcut.

Parameter

s

the menu shortcut to delete.

Applies to

 MenuBar [java.awt]


deleteShortcut method [java.awt.MenuItem] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      deleteShortcut method [java.awt.MenuItem]

public void deleteShortcut( )

Delete any MenuShortcut object associated with this menu item.

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


delItem method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      delItem method [java.awt.List]

public void delItem( int position )

Removes the item at the specified position from this list.

Applies to

 List [java.awt]


delItems method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      delItems method [java.awt.List]

public synchronized void delItems( int start, int end )

Note: delItems has been deprecated. As of JDK version 1.1, Not for public use in the future. This method is expected to be retained only as a package private method.

No documentation supplied in JDK

Applies to

 List [java.awt]


deliverEvent method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      deliverEvent method [java.awt.Component]

public void deliverEvent( java.awt.Event e )

Note: deliverEvent has been deprecated. As of JDK version 1.1, replaced by dispatchEvent(AWTEvent e).

No documentation supplied in JDK

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


deliverEvent method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      deliverEvent method [java.awt.Container]

Overloads:

 void deliverEvent( Event e ) overrides deliverEvent method [java.awt.Component]

public void deliverEvent( java.awt.Event e )

Note: deliverEvent has been deprecated. As of JDK version 1.1, replaced by dispatchEvent(AWTEvent e).

No documentation supplied in JDK

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


deregisterDriver method [java.sql.DriverManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      deregisterDriver method [java.sql.DriverManager]

public static void deregisterDriver( java.sql.Driver driver ) throws java.sql.SQLException

Drop a Driver from the DriverManager's list.  Applets can only deregister Drivers from their own classloader.

Parameter

driver

the JDBC Driver to drop

Throws

SQLException

If a database-access error occurs.

Applies to

 DriverManager [java.sql]


descent property [java.awt.FontMetrics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      descent property [java.awt.FontMetrics]

public int getDescent( )

Determines the font descent of the font described by this font metric. The font descent is the distance from the font's baseline to the bottom of most alphanumeric characters with descenders. Some characters in the font may extend below the font descent line.

Return

The font descent of the font.

See also

maxDescent property [java.awt.FontMetrics]

Applies to

 FontMetrics [java.awt]


deselect method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      deselect method [java.awt.List]

public synchronized void deselect( int index )

Deselects the item at the specified index.

If the item at the specified index is not selected, or if the index is out of range, then the operation is ignored.

Parameter

index

the position of the item to deselect.

See also

select method [java.awt.List]

selectedItem property [java.awt.List]

isIndexSelected method [java.awt.List]

Applies to

 List [java.awt]


designTime property [java.beans.Beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      designTime property [java.beans.Beans]

public static void setDesignTime( boolean isDesignTime ) throws java.lang.SecurityException

Used to indicate whether of not we are running in an application builder environment.  Note that this method is security checked and is not available to (for example) untrusted applets.

Parameter

isDesignTime

True if were in an application builder tool.

public static boolean isDesignTime( )

Test if we are in design-mode.

Return

True if we are running in an application construction environment.

Applies to

 Beans [java.beans]


destroy method [java.applet.Applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      destroy method [java.applet.Applet]

public void destroy( )

Called by the browser or applet viewer to inform this applet that it is being reclaimed and that it should destroy any resources that it has allocated. The stop method will always be called before destroy.

A subclass of Applet should override this method if it has any operation that it wants to perform before it is destroyed. For example, an applet with threads would use the init method to create the threads and the destroy method to kill them.

The implementation of this method provided by the Applet class does nothing.

See also

init method [java.applet.Applet]

start method [java.applet.Applet]

stop method [java.applet.Applet]

Applies to

 Applet [java.applet]


destroy method [java.lang.Process] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      destroy method [java.lang.Process]

public abstract void destroy( )

Kills the subprocess.

Applies to

 Process [java.lang]


destroy method [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      destroy method [java.lang.Thread]

public void destroy( )

Destroys this thread, without any cleanup. Any monitors it has locked remain locked. (This method is not implemented in Java 1.0.2.)

Applies to

 Thread [java.lang]


destroy method [java.lang.ThreadGroup] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      destroy method [java.lang.ThreadGroup]

public final void destroy( )

Destroys this thread group and all of its subgroups. This thread group must be empty, indicating that all threads that had been in this thread group have since stopped.

Throws

IllegalThreadStateException

If the thread group is not empty or if the thread group has already been destroyed.

SecurityException

If the current thread cannot modify this thread group.

Applies to

 ThreadGroup [java.lang]


destroyed property [java.lang.ThreadGroup] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      destroyed property [java.lang.ThreadGroup]

public synchronized boolean isDestroyed( )

Tests if this thread group has been destroyed.

Return

No documentation supplied in JDK.

Applies to

 ThreadGroup [java.lang]


DGC interface [java.rmi.dgc] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DGC interface [java.rmi.dgc]

Description

The DGC abstraction is used for the server side of the distributed garbage collection algorithm. This interface contains the two methods: dirty and clean. A dirty call is made when a remote reference is unmarshaled in a client (the client is indicated by its VMID). A corresponding clean call is made when no more references to the remote reference exist in the client. A failed dirty call must schedule a strong clean call so that the call's sequence number can be retained in order to detect future calls received out of order by the distributed garbage collector. A reference to a remote object is leased for a period of time by the client holding the reference. The lease period starts when the dirty call is received. It is the client's responsibility to renew the leases, by making additional dirty calls, on the remote references it holds before such leases expire. If the client does not renew the lease before it expires, the distributed garbage collector assumes that the remote object is no longer referenced by that client.

Definition

public interface DGC extends java.rmi.Remote

{

  // Methods

  public java.rmi.dgc.Lease dirty( java.rmi.server.ObjID[] ids, long sequenceNum, java.rmi.dgc.Lease lease ) throws java.rmi.RemoteException;

  public void clean( java.rmi.server.ObjID[] ids, long sequenceNum, java.rmi.dgc.VMID vmid, boolean strong ) throws java.rmi.RemoteException;

}

Methods

public java.rmi.dgc.Lease dirty( java.rmi.server.ObjID[] ids, long sequenceNum, java.rmi.dgc.Lease lease ) throws java.rmi.RemoteException

The dirty call requests leases for the remote object references associated with the object identifiers contained in the array 'ids'. The 'lease' contains a client's unique VM identifier (VMID) and a requested lease period. For each remote object exported in the local VM, the garbage collector maintains a reference list-a list of clients that hold references to it. If the lease is granted, the garbage collector adds the client's VMID to the reference list for each remote object indicated in 'ids'. The 'sequenceNum' parameter is a sequence number that is used to detect and discard late calls to the garbage collector. The sequence number should always increase for each subsequent call to the garbage collector. Some clients are unable to generate a VMID, since a VMID is a universally unique identifier that contains a host address which some clients are unable to obtain due to security restrictions. In this case, a client can use a VMID of null, and the distributed garbage collector will assign a VMID for the client. The dirty call returns a Lease object that contains the VMID used and the lease period granted for the remote references (a server may decide to grant a smaller lease period than the client requests). A client must use the VMID the garbage collector uses in order to make corresponding clean calls when the client drops remote object references. A client VM need only make one initial dirty call for each remote reference referenced in the VM (even if it has multiple references to the same remote object). The client must also make a dirty call to renew leases on remote references before such leases expire. When the client no longer has any references to a specific remote object, it must schedule a clean call for the object ID associated with the reference.

Return

No documentation supplied in JDK.

public void clean( java.rmi.server.ObjID[] ids, long sequenceNum, java.rmi.dgc.VMID vmid, boolean strong ) throws java.rmi.RemoteException

The clean call removes the 'vmid' from the reference list of each remote object indicated in 'id's.  The sequence number is used to detect late clean calls.  If the argument 'strong' is true, then the clean call is a result of a failed dirty call, thus the sequence number for the client 'vmid' needs to be remembered.


Dialog class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      Dialog class [java.awt]

Object

Component

Container

Window

Dialog

Description

A class that produces a dialog - a window that takes input from the user. The default layout for a dialog is BorderLayout.

Dialogs are capable of generating the following window events: WindowOpened, WindowClosing, WindowClosed, WindowActivated, WindowDeactivated.

Specification

public class Dialog extends java.awt.Window

Constructors

public Dialog( java.awt.Frame parent )

Constructs an initially invisible Dialog with an empty title.

Parameter

parent

the owner of the dialog

See also

size property [java.awt.Component]

visible property [java.awt.Component]

public Dialog( java.awt.Frame parent, boolean modal )

Constructs an initially invisible Dialog with an empty title. A modal Dialog grabs all the input to the parent frame from the user.

Parameters

parent

the owner of the dialog

modal

if true, dialog blocks input to the parent window when shown

public Dialog( java.awt.Frame parent, java.lang.String title )

Constructs an initially invisible Dialog with a title.

Parameters

parent

the owner of the dialog

title

the title of the dialog

See also

size property [java.awt.Component]

visible property [java.awt.Component]

public Dialog( java.awt.Frame parent, java.lang.String title, boolean modal )

Constructs an initially invisible Dialog with a title. A modal Dialog grabs all the input to the parent frame from the user.

Parameters

parent

the owner of the dialog

title

the title of the dialog

modal

if true, dialog blocks input to the parent window when shown

See also

size property [java.awt.Component]

visible property [java.awt.Component]

Properties

  void setModal( boolean b )

  boolean isModal( )

  synchronized void setResizable( boolean resizable )

  boolean isResizable( )

  java.lang.String getTitle( )

  synchronized void setTitle( java.lang.String title )

Inherited Properties

  float getAlignmentX( )

  float getAlignmentY( )

  java.awt.Color getBackground( )

  void setBackground( java.awt.Color c )

  java.awt.Rectangle getBounds( )

  void setBounds( java.awt.Rectangle r )

  native final java.lang.Class getClass( )

  java.awt.image.ColorModel getColorModel( )

  java.awt.Component getComponent( int n )

  int getComponentCount( )

  java.awt.Component[] getComponents( )

  java.awt.Cursor getCursor( )

  synchronized void setCursor( java.awt.Cursor cursor )

  void setEnabled( boolean b )

  boolean isEnabled( )

  java.awt.Component getFocusOwner( )

  boolean isFocusTraversable( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.awt.Color getForeground( )

  void setForeground( java.awt.Color c )

  java.awt.Graphics getGraphics( )

  java.awt.Insets getInsets( )

  java.awt.LayoutManager getLayout( )

  void setLayout( java.awt.LayoutManager mgr )

  java.util.Locale getLocale( )

  void setLocale( java.util.Locale l )

  java.awt.Point getLocation( )

  void setLocation( java.awt.Point p )

  void setLocation( int x, int y )

  java.awt.Point getLocationOnScreen( )

  java.awt.Dimension getMaximumSize( )

  java.awt.Dimension getMinimumSize( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.Container getParent( )

  java.awt.peer.ComponentPeer getPeer( )

  java.awt.Dimension getPreferredSize( )

  boolean isShowing( )

  java.awt.Dimension getSize( )

  void setSize( java.awt.Dimension d )

  void setSize( int width, int height )

  java.awt.Toolkit getToolkit( )

  final java.lang.Object getTreeLock( )

  boolean isValid( )

  void setVisible( boolean b )

  boolean isVisible( )

  final java.lang.String getWarningString( )

Methods

  void addNotify( )

  void show( )

Inherited Methods

  boolean action( java.awt.Event evt, java.lang.Object what )

  synchronized void add( java.awt.PopupMenu popup )

  java.awt.Component add( java.awt.Component comp )

  java.awt.Component add( java.awt.Component comp, int index )

  void add( java.awt.Component comp, java.lang.Object constraints, int index )

  java.awt.Component add( java.lang.String name, java.awt.Component comp )

  void add( java.awt.Component comp, java.lang.Object constraints )

  java.awt.Rectangle bounds( )

  int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  int checkImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  boolean contains( int x, int y )

  boolean contains( java.awt.Point p )

  int countComponents( )

  java.awt.Image createImage( java.awt.image.ImageProducer producer )

  java.awt.Image createImage( int width, int height )

  void deliverEvent( java.awt.Event e )

  void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  void dispose( )

  void doLayout( )

  void enable( )

  void enable( boolean b )

  boolean equals( java.lang.Object obj )

  java.awt.Component getComponentAt( int x, int y )

  java.awt.Component getComponentAt( java.awt.Point p )

  java.awt.FontMetrics getFontMetrics( java.awt.Font font )

  boolean gotFocus( java.awt.Event evt, java.lang.Object what )

  boolean handleEvent( java.awt.Event evt )

  native int hashCode( )

  void hide( )

  boolean imageUpdate( java.awt.Image img, int flags, int x, int y, int w, int h )

  java.awt.Insets insets( )

  boolean inside( int x, int y )

  void invalidate( )

  boolean isAncestorOf( java.awt.Component c )

  boolean keyDown( java.awt.Event evt, int key )

  boolean keyUp( java.awt.Event evt, int key )

  void layout( )

  void list( java.io.PrintStream out, int indent )

  void list( java.io.PrintStream out )

  void list( java.io.PrintWriter out, int indent )

  void list( )

  void list( java.io.PrintWriter out )

  java.awt.Component locate( int x, int y )

  java.awt.Point location( )

  boolean lostFocus( java.awt.Event evt, java.lang.Object what )

  java.awt.Dimension minimumSize( )

  boolean mouseDown( java.awt.Event evt, int x, int y )

  boolean mouseDrag( java.awt.Event evt, int x, int y )

  boolean mouseEnter( java.awt.Event evt, int x, int y )

  boolean mouseExit( java.awt.Event evt, int x, int y )

  boolean mouseMove( java.awt.Event evt, int x, int y )

  boolean mouseUp( java.awt.Event evt, int x, int y )

  void move( int x, int y )

  void nextFocus( )

  native final void notify( )

  native final void notifyAll( )

  void pack( )

  void paint( java.awt.Graphics g )

  void paintAll( java.awt.Graphics g )

  void paintComponents( java.awt.Graphics g )

  boolean postEvent( java.awt.Event e )

  java.awt.Dimension preferredSize( )

  boolean prepareImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  void print( java.awt.Graphics g )

  void printAll( java.awt.Graphics g )

  void printComponents( java.awt.Graphics g )

  synchronized void remove( java.awt.MenuComponent popup )

  void remove( java.awt.Component comp )

  void remove( int index )

  void removeAll( )

  void removeNotify( )

  void repaint( long tm, int x, int y, int width, int height )

  void repaint( long tm )

  void repaint( int x, int y, int width, int height )

  void repaint( )

  void requestFocus( )

  void reshape( int x, int y, int width, int height )

  void resize( java.awt.Dimension d )

  void resize( int width, int height )

  void setBounds( int x, int y, int width, int height )

  void show( boolean b )

  java.awt.Dimension size( )

  void toBack( )

  void toFront( )

  java.lang.String toString( )

  void transferFocus( )

  void update( java.awt.Graphics g )

  void validate( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected java.lang.String paramString( )

 protected void addImpl( java.awt.Component comp, java.lang.Object constraints, int index )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void finalize( ) throws java.lang.Throwable

 protected void processComponentEvent( java.awt.event.ComponentEvent e )

 protected void processContainerEvent( java.awt.event.ContainerEvent e )

 protected void processEvent( java.awt.AWTEvent e )

 protected void processFocusEvent( java.awt.event.FocusEvent e )

 protected void processKeyEvent( java.awt.event.KeyEvent e )

 protected void processMouseEvent( java.awt.event.MouseEvent e )

 protected void processMouseMotionEvent( java.awt.event.MouseEvent e )

 protected void processWindowEvent( java.awt.event.WindowEvent e )

 protected void validateTree( )

Inherited Events

  synchronized void addComponentListener( java.awt.event.ComponentListener l )

  synchronized void removeComponentListener( java.awt.event.ComponentListener l )

  synchronized void addContainerListener( java.awt.event.ContainerListener l )

  synchronized void removeContainerListener( java.awt.event.ContainerListener l )

  synchronized void addFocusListener( java.awt.event.FocusListener l )

  synchronized void removeFocusListener( java.awt.event.FocusListener l )

  synchronized void addKeyListener( java.awt.event.KeyListener l )

  synchronized void removeKeyListener( java.awt.event.KeyListener l )

  synchronized void addMouseListener( java.awt.event.MouseListener l )

  synchronized void removeMouseListener( java.awt.event.MouseListener l )

  synchronized void addMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void removeMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void addWindowListener( java.awt.event.WindowListener l )

  synchronized void removeWindowListener( java.awt.event.WindowListener l )

See also

WindowEvent event [java.awt.Window]


DialogPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DialogPeer interface [java.awt.peer]

Definition

public interface DialogPeer extends java.awt.peer.WindowPeer

{

  // Properties

  public void setTitle( java.lang.String title );

  public void setResizable( boolean resizeable );

}

Properties

public void setTitle( java.lang.String title )

public void setResizable( boolean resizeable )


Dictionary class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      Dictionary class [java.util]

Object

Dictionary

Description

The Dictionary class is the abstract parent of any class, such as Hashtable, which maps keys to values. Any non-null object can be used as a key and as a value.

As a rule, the equals method should be used by implementations of this class to decide if two keys are the same.

Specification

public abstract class Dictionary extends java.lang.Object

Properties

  abstract boolean isEmpty( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  abstract java.util.Enumeration elements( )

  abstract java.lang.Object get( java.lang.Object key )

  abstract java.util.Enumeration keys( )

  abstract java.lang.Object put( java.lang.Object key, java.lang.Object value )

  abstract java.lang.Object remove( java.lang.Object key )

  abstract int size( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

equals method [java.lang.Object]

hashCode method [java.lang.Object]

Hashtable class [java.util]


dictionary property [java.util.zip.Deflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      dictionary property [java.util.zip.Deflater]

public void setDictionary( byte[] b )

Sets preset dictionary for compression. A preset dictionary is used when the history buffer can be predetermined. When the data is later uncompressed with Inflater.inflate(), Inflater.getAdler() can be called in order to get the Adler-32 value of the dictionary required for decompression.

Parameter

b

the dictionary data bytes

See also

inflate method [java.util.zip.Inflater]

adler property [java.util.zip.Inflater]

Applies to

 Deflater [java.util.zip]


dictionary property [java.util.zip.Inflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      dictionary property [java.util.zip.Inflater]

public void setDictionary( byte[] b )

Sets the preset dictionary to the given array of bytes. Should be called when inflate() returns 0 and needsDictionary() returns true indicating that a preset dictionary is required. The method getAdler() can be used to get the Adler-32 value of the dictionary needed.

Parameter

b

the dictionary data bytes

See also

needsDictionary method [java.util.zip.Inflater]

adler property [java.util.zip.Inflater]

Applies to

 Inflater [java.util.zip]


digest method [java.security.MessageDigest] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      digest method [java.security.MessageDigest]

Overloads:

 byte[] digest( )

 byte[] digest( byte[] input )

public byte[] digest( )

Completes the hash computation by performing final operations such as padding. The digest is reset after this call is made.

Return

The array of bytes for the resulting hash value.

public byte[] digest( byte[] input )

Performs a final update on the digest using the specified array of bytes, then completes the digest computation. That is, this method first calls update on the array, then calls digest().

Parameter

input

the input to be updated before the digest is completed.

Return

The array of bytes for the resulting hash value.

Applies to

 MessageDigest [java.security]


DigestException class [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DigestException class [java.security]

Object

Throwable

Exception

DigestException

Description

This is the generic Message Digest exception.

Specification

public class DigestException extends java.lang.Exception

Constructors

public DigestException( )

Constructs a DigestException with no detail message.  (A detail message is a String that describes this particular exception.)

public DigestException( java.lang.String msg )

Constructs a DigestException with the specified detail message.  (A detail message is a String that describes this particular exception.)

Parameter

msg

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


DigestInputStream class [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DigestInputStream class [java.security]

Object

InputStream

FilterInputStream

DigestInputStream

Description

A transparent stream that updates the associated message digest using the bits going through the stream.

To complete the message digest computation, call one of the digest methods on the associated message digest after your calls to one of this digest input stream's read methods.

It is possible to turn this stream on or off (see on). When it is on, a call to read results in an update on the message digest.  But when it is off, the message digest is not updated. The default is for the stream to be on.

Note that digest objects can compute only one digest (see MessageDigest), so that in order to compute intermediate digests, a caller should retain a handle onto the digest object, and clone it for each digest to be computed, leaving the orginal digest untouched.

Specification

public class DigestInputStream extends java.io.FilterInputStream

Constructor

public DigestInputStream( java.io.InputStream stream, java.security.MessageDigest digest )

Creates a digest input stream, using the specified input stream and message digest.

Parameters

stream

the input stream.

digest

the message digest to associate with this stream.

Variables

protected java.security.MessageDigest digest

The message digest associated with this stream.

Properties

  java.security.MessageDigest getMessageDigest( )

  void setMessageDigest( java.security.MessageDigest digest )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void on( boolean on )

  int read( ) throws java.io.IOException

  int read( byte[] b, int off, int len ) throws java.io.IOException

  java.lang.String toString( )

Inherited Methods

  int available( ) throws java.io.IOException

  void close( ) throws java.io.IOException

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  synchronized void mark( int readlimit )

  boolean markSupported( )

  native final void notify( )

  native final void notifyAll( )

  int read( byte[] b ) throws java.io.IOException

  synchronized void reset( ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

MessageDigest class [java.security]

DigestOutputStream class [java.security]


DigestOutputStream class [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DigestOutputStream class [java.security]

Object

OutputStream

FilterOutputStream

DigestOutputStream

Description

A transparent stream that updates the associated message digest using the bits going through the stream.

To complete the message digest computation, call one of the digest methods on the associated message digest after your calls to one of this digest ouput stream's write methods.

It is possible to turn this stream on or off (see on). When it is on, a call to write results in an update on the message digest.  But when it is off, the message digest is not updated. The default is for the stream to be on.

Specification

public class DigestOutputStream extends java.io.FilterOutputStream

Constructor

public DigestOutputStream( java.io.OutputStream stream, java.security.MessageDigest digest )

Creates a digest output stream, using the specified output stream and message digest.

Parameters

stream

the output stream.

digest

the message digest to associate with this stream.

Variables

protected java.security.MessageDigest digest

The message digest associated with this stream.

Properties

  java.security.MessageDigest getMessageDigest( )

  void setMessageDigest( java.security.MessageDigest digest )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void on( boolean on )

  java.lang.String toString( )

  void write( byte[] b, int off, int len ) throws java.io.IOException

  void write( int b ) throws java.io.IOException

Inherited Methods

  void close( ) throws java.io.IOException

  boolean equals( java.lang.Object obj )

  void flush( ) throws java.io.IOException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  void write( byte[] b ) throws java.io.IOException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

MessageDigest class [java.security]

DigestInputStream class [java.security]


digit method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      digit method [java.lang.Character]

public static int digit( char ch, int radix )

Returns the numeric value of the character ch in the specified radix.

If the radix is not in the range MIN_RADIX <= radix <= MAX_RADIX or if the value of ch is not a valid digit in the specified radix, -1 is returned. A character is a valid digit if at least one of the following is true:

•	The method isDigit is true of the character and the Unicode decimal digit value of the character (or its single-character decomposition) is less than the specified radix. In this case the decimal digit value is returned.

•	The character is one of the uppercase Latin letters 'A' through 'Z' and its code is less than radix + 'A' - 10. In this case, ch - 'A' + 10 is returned.

•	The character is one of the lowercase Latin letters 'a' through 'z' and its code is less than radix + 'a' - 10. In this case, ch - 'a' + 10 is returned.

Parameters

ch

the character to be converted.

radix

the radix.

Return

The numeric value represented by the character in the specified radix.

See also

forDigit method [java.lang.Character]

isDigit method [java.lang.Character]

Applies to

 Character [java.lang]


digit property [java.text.DecimalFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      digit property [java.text.DecimalFormatSymbols]

public char getDigit( )

character used for a digit in a pattern.

Return

No documentation supplied in JDK.

public void setDigit( char digit )

Applies to

 DecimalFormatSymbols [java.text]


Dimension class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      Dimension class [java.awt]

Object

Dimension

Description

The Dimension class encapsulates the width and height of a component in a single object. The class is associated with certain properties of components. Several methods defined by the Component class and the LayoutManager interface return a Dimension object.

Normally the values of width and height are non-negative integers. The constructors that allow you to create a dimension do not prevent you from setting a negative value for these properties. If the value of width or height is negative, the behavior of some methods defined by other objects is undefined.

Specification

public class Dimension extends java.lang.Object implements java.io.Serializable

Constructors

public Dimension( )

Creates an instance of Dimension with a width of zero and a height of zero.

public Dimension( java.awt.Dimension d )

Creates an instance of Dimension whose width and height are the same as for the specified dimension.

Parameter

d

the specified dimension for the width and height values.

public Dimension( int width, int height )

Constructs a Dimension and initializes it to the specified width and specified height.

Parameters

width

the specified width dimension

height

the specified height dimension

Variables

public int width

The width dimension.

public int height

The height dimension.

Properties

  java.awt.Dimension getSize( )

  void setSize( java.awt.Dimension d )

  void setSize( int width, int height )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  boolean equals( java.lang.Object obj )

  java.lang.String toString( )

Inherited Methods

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Component class [java.awt]

LayoutManager interface [java.awt]


dimensions property [java.awt.image.CropImageFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      dimensions property [java.awt.image.CropImageFilter]

Overloads:

  void setDimensions( int w, int h ) overrides dimensions property [java.awt.image.ImageFilter]

public void setDimensions( int w, int h )

Override the source image's dimensions and pass the dimensions of the rectangular cropped region to the ImageConsumer.

See also

ImageConsumer interface [java.awt.image]

Applies to

 CropImageFilter [java.awt.image]


dimensions property [java.awt.image.ImageFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      dimensions property [java.awt.image.ImageFilter]

public void setDimensions( int width, int height )

Filters the information provided in the setDimensions method of the ImageConsumer interface.

See also

ImageConsumer interface [java.awt.image]

Applies to

 AreaAveragingScaleFilter [java.awt.image]

 CropImageFilter [java.awt.image]

 ImageFilter [java.awt.image]

 ReplicateScaleFilter [java.awt.image]

 RGBImageFilter [java.awt.image]


dimensions property [java.awt.image.PixelGrabber] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      dimensions property [java.awt.image.PixelGrabber]

public void setDimensions( int width, int height )

The setDimensions method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

Applies to

 PixelGrabber [java.awt.image]


dimensions property [java.awt.image.ReplicateScaleFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      dimensions property [java.awt.image.ReplicateScaleFilter]

Overloads:

  void setDimensions( int w, int h ) overrides dimensions property [java.awt.image.ImageFilter]

public void setDimensions( int w, int h )

Override the dimensions of the source image and pass the dimensions of the new scaled size to the ImageConsumer.

See also

ImageConsumer interface [java.awt.image]

Applies to

 AreaAveragingScaleFilter [java.awt.image]

 ReplicateScaleFilter [java.awt.image]


DirectColorModel class [java.awt.image] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DirectColorModel class [java.awt.image]

Object

ColorModel

DirectColorModel

Description

A ColorModel class that specifies a translation from pixel values to alpha, red, green, and blue color components for pixels which have the color components embedded directly in the bits of the pixel itself.  This color model is similar to an X11 TrueColor visual.

Many of the methods in this class are final. This is because the underlying native graphics code makes  assumptions about the layout and operation of this class  and those assumptions are reflected in the implementations of the methods here that are marked final.  You can subclass this class  for other reaons,  but you cannot override or modify the behaviour of those methods.

Specification

public class DirectColorModel extends java.awt.image.ColorModel

Constructors

public DirectColorModel( int bits, int rmask, int gmask, int bmask )

Constructs a DirectColorModel from the given masks specifying which bits in the pixel contain the red, green and blue color components.  Pixels described by this color model will all have alpha components of 255 (fully opaque).  All of the bits in each mask must be contiguous and fit in the specified number of least significant bits of the integer.

public DirectColorModel( int bits, int rmask, int gmask, int bmask, int amask )

Constructs a DirectColorModel from the given masks specifying which bits in the pixel contain the alhpa, red, green and blue color components.  All of the bits in each mask must be contiguous and fit in the specified number of least significant bits of the integer.

Properties

  final int getAlpha( int pixel )

  final int getAlphaMask( )

  final int getBlue( int pixel )

  final int getBlueMask( )

  final int getGreen( int pixel )

  final int getGreenMask( )

  final int getRed( int pixel )

  final int getRedMask( )

  final int getRGB( int pixel )

Inherited Properties

  native final java.lang.Class getClass( )

  int getPixelSize( )

  static java.awt.image.ColorModel getRGBdefault( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

ColorModel class [java.awt.image]


directory property [java.awt.FileDialog] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      directory property [java.awt.FileDialog]

public java.lang.String getDirectory( )

Gets the directory of this file dialog.

Return

The directory of this file dialog.

public void setDirectory( java.lang.String dir )

Sets the directory of this file dialog window to be the specified directory.

Parameter

dir

the specific directory.

Applies to

 FileDialog [java.awt]


directory property [java.io.File] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      directory property [java.io.File]

public boolean isDirectory( )

Tests if the file represented by this File object is a directory.

Return

true if this File exists and is a directory; false otherwise.

Throws

SecurityException

If a security manager exists, its checkRead method is called with the pathname of this File to see if the application is allowed read access to the file.

See also

path property [java.io.File]

checkRead method [java.lang.SecurityManager]

Applies to

 File [java.io]


directory property [java.util.zip.ZipEntry] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      directory property [java.util.zip.ZipEntry]

public boolean isDirectory( )

Returns true if this is a directory entry. A directory entry is defined to be one whose name ends with a '/'.

Return

No documentation supplied in JDK.

Applies to

 ZipEntry [java.util.zip]


disable method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      disable method [java.awt.Component]

public void disable( )

Note: disable has been deprecated. As of JDK version 1.1, replaced by setEnabled(boolean).

No documentation supplied in JDK

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


disable method [java.awt.MenuItem] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      disable method [java.awt.MenuItem]

public synchronized void disable( )

Note: disable has been deprecated. As of JDK version 1.1, replaced by setEnabled(boolean).

No documentation supplied in JDK

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


disable method [java.lang.Compiler] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      disable method [java.lang.Compiler]

public static native void disable( )

Cause the Compiler to cease operation.

Applies to

 Compiler [java.lang]


disableEvents method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      disableEvents method [java.awt.Component]

protected final void disableEvents( long eventsToDisable )

Disables the events defined by the specified event mask parameter from being delivered to this component.

Parameter

eventsToDisable

the event mask defining the event types

See also

enableEvents method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


disableEvents method [java.awt.MenuItem] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      disableEvents method [java.awt.MenuItem]

protected final void disableEvents( long eventsToDisable )

Disables event delivery to this menu item for events defined by the specified event mask parameter.

Parameter

eventsToDisable

the event mask defining the event types.

See also

processEvent method [java.awt.MenuComponent]

enableEvents method [java.awt.MenuItem]

disableEvents method [java.awt.Component]

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


disconnect method [java.net.HttpURLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      disconnect method [java.net.HttpURLConnection]

public abstract void disconnect( )

Close the connection to the server.

Applies to

 HttpURLConnection [java.net]


dispatchEvent method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      dispatchEvent method [java.awt.Component]

public final void dispatchEvent( java.awt.AWTEvent e )

Dispatches an event to this component or one of its sub components.

Parameter

e

the event

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


dispatchEvent method [java.awt.MenuComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      dispatchEvent method [java.awt.MenuComponent]

public final void dispatchEvent( java.awt.AWTEvent e )

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuBar [java.awt]

 MenuComponent [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


displayCountry property [java.util.Locale] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      displayCountry property [java.util.Locale]

public final java.lang.String getDisplayCountry( )

Returns a name for the locale's country that is appropriate for display to the user.  This will be the name the locale's country localized for the default locale, if that data is available.  For example, if the locale is fr_FR and the default locale is en_US, getDisplayCountry() will return "France"; if the locale is en_US and the default locale is fr_FR, getDisplayLanguage() will return "Etats-Unis".  If the appropriate name isn't available (say, we don't have a Japanese name for Croatia), this function falls back on the English name and uses the ISO code as a last-resort value.  If the locale doesn't specify a country, this function returns the empty string.

Return

No documentation supplied in JDK.

Applies to

 Locale [java.util]


displayLanguage property [java.util.Locale] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      displayLanguage property [java.util.Locale]

public final java.lang.String getDisplayLanguage( )

Returns a name for the locale's language that is appropriate for display to the user.  This will be the name the locale's language localized for the default locale, if that data is available.  For example, if the locale is fr_FR and the default locale is en_US, getDisplayLanguage() will return "French"; if the locale is en_US and the default locale is fr_FR, getDisplayLanguage() will return "anglais".  If the appropriate name isn't available (say, we don't have a Japanese name for Croatian), this function falls back on the English name and uses the ISO code as a last-resort value.  If the locale doesn't specify a language, this function returns the empty string.

Return

No documentation supplied in JDK.

Applies to

 Locale [java.util]


displayName property [java.beans.FeatureDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      displayName property [java.beans.FeatureDescriptor]

public java.lang.String getDisplayName( )

No documentation supplied in JDK

Return

The localized display name for the property/method/event. This defaults to the same as its programmatic name from getName.

public void setDisplayName( java.lang.String displayName )

No documentation supplied in JDK

Parameter

displayName

The localized display name for the property/method/event.

Applies to

 BeanDescriptor [java.beans]

 EventSetDescriptor [java.beans]

 FeatureDescriptor [java.beans]

 IndexedPropertyDescriptor [java.beans]

 MethodDescriptor [java.beans]

 ParameterDescriptor [java.beans]

 PropertyDescriptor [java.beans]


displayName property [java.util.Locale] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      displayName property [java.util.Locale]

public final java.lang.String getDisplayName( )

Returns a name for the locale that is appropriate for display to the user.  This will be the values returned by getDisplayLanguage(), getDisplayCountry(), and getDisplayVariant() assembled into a single string.  The display name will have one of the following forms:

language (country, variant)

language (country)

language (variant)

country (variant)

language

country

variant

 depending on which fields are specified in the locale.  If the language, country, and variant fields are all empty, this function returns the empty string.

Return

No documentation supplied in JDK.

Applies to

 Locale [java.util]


displayVariant property [java.util.Locale] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      displayVariant property [java.util.Locale]

public final java.lang.String getDisplayVariant( )

Returns a name for the locale's variant code that is appropriate for display to the user.  If possible, the name will be localized for the default locale.  If the locale doesn't specify a variant code, this function returns the empty string.

Return

No documentation supplied in JDK.

Applies to

 Locale [java.util]


dispose method [java.awt.Frame] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      dispose method [java.awt.Frame]

Overloads:

 void dispose( ) overrides dispose method [java.awt.Window]

public void dispose( )

Disposes of the Frame. This method must be called to release the resources that are used for the frame.  All components contained by the frame and all windows owned by the frame will also be destroyed.

Applies to

 Frame [java.awt]


dispose method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      dispose method [java.awt.Graphics]

public abstract void dispose( )

Disposes of this graphics context and releases any system resources that it is using. A Graphics object cannot be used after disposehas been called.

When a Java program runs, a large number of Graphics objects can be created within a short time frame. Although the finalization process of the garbage collector also disposes of the same system resources, it is preferable to manually free the associated resources by calling this method rather than to rely on a finalization process which may not run to completion for a long period of time.

Graphics objects which are provided as arguments to the paint and update methods of components are automatically released by the system when those methods return. For efficiency, programmers should call dispose when finished using a Graphics object only if it was created directly from a component or another Graphics object.

See also

finalize method [java.awt.Graphics]

paint method [java.awt.Component]

update method [java.awt.Component]

graphics property [java.awt.Component]

create method [java.awt.Graphics]

Applies to

 Graphics [java.awt]


dispose method [java.awt.Window] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      dispose method [java.awt.Window]

public void dispose( )

Disposes of this window. This method must be called to release the resources that are used for the window.

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Window [java.awt]


divide method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      divide method [java.math.BigDecimal]

Overloads:

 BigDecimal divide( BigDecimal val, int roundingMode )

 BigDecimal divide( BigDecimal val, int scale, int roundingMode )

public java.math.BigDecimal divide( java.math.BigDecimal val, int roundingMode ) throws java.lang.ArithmeticException, java.lang.IllegalArgumentException

Returns a BigDecimal whose value is (this / val), and whose scale is this.scale().  If rounding must be performed to generate a result with the given scale, the specified rounding mode is applied.  Throws an ArithmeticException if val == 0.  Throws an IllegalArgumentException if roundingMode does not represent a valid rounding mode.

Return

No documentation supplied in JDK.

public java.math.BigDecimal divide( java.math.BigDecimal val, int scale, int roundingMode ) throws java.lang.ArithmeticException, java.lang.IllegalArgumentException

Returns a BigDecimal whose value is (this / val), and whose scale is as specified.  If rounding must be performed to generate a result with the given scale, the specified rounding mode is applied.  Throws an ArithmeticException if val == 0, scale < 0, or the rounding mode is ROUND_UNNECESSARY and the specified scale is insufficient to represent the result of the division exactly. Throws an IllegalArgumentException if roundingMode does not represent a valid rounding mode.

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


divide method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      divide method [java.math.BigInteger]

public java.math.BigInteger divide( java.math.BigInteger val ) throws java.lang.ArithmeticException

Returns a BigInteger whose value is (this / val).  Throws an ArithmeticException if val == 0.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


divideAndRemainder method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      divideAndRemainder method [java.math.BigInteger]

public java.math.BigInteger[] divideAndRemainder( java.math.BigInteger val ) throws java.lang.ArithmeticException

Returns an array of two BigIntegers. The first ([0]) element of the return value is the quotient (this / val), and the second ([1]) element is the remainder (this % val).  Throws an ArithmeticException if val == 0.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


documentBase property [java.applet.Applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      documentBase property [java.applet.Applet]

public java.net.URL getDocumentBase( )

Gets the document URL. This is the URL of the document in which the applet is embedded.

Return

The URL of the document that contains this applet.

See also

codeBase property [java.applet.Applet]

Applies to

 Applet [java.applet]


doInput property [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      doInput property [java.net.URLConnection]

public boolean getDoInput( )

Returns the value of this URLConnection's doInput flag.

Return

The value of this URLConnection's doInput flag.

public void setDoInput( boolean doinput )

Sets the value of the doInput field for this URLConnection to the specified value.

A URL connection can be used for input and/or output.  Set the DoInput flag to true if you intend to use the URL connection for input, false if not.  The default is true unless DoOutput is explicitly set to true, in which case DoInput defaults to false.

Parameter

value

the new value.

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


doLayout method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      doLayout method [java.awt.Component]

public void doLayout( )

Prompts the layout manager to lay out this component. This is usually called when the component (more specifically, container) is validated.

See also

validate method [java.awt.Component]

LayoutManager interface [java.awt]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


doLayout method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      doLayout method [java.awt.Container]

Overloads:

 void doLayout( ) overrides doLayout method [java.awt.Component]

public void doLayout( )

Causes this container to lay out its components.  Most programs should not call this method directly, but should invoke the validate method instead.

See also

LayoutManager interface [java.awt]

layout property [java.awt.Container]

validate method [java.awt.Component]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


doLayout method [java.awt.ScrollPane] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      doLayout method [java.awt.ScrollPane]

Overloads:

 void doLayout( ) overrides doLayout method [java.awt.Container]

public void doLayout( )

Lays out this container by resizing its child to its preferred size. If the new preferred size of the child causes the current scroll position to be invalid, the scroll position is set to the closest valid position.

See also

validate method [java.awt.Component]

Applies to

 ScrollPane [java.awt]


doOutput property [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      doOutput property [java.net.URLConnection]

public boolean getDoOutput( )

Returns the value of this URLConnection's doOutput flag.

Return

The value of this URLConnection's doOutput flag.

public void setDoOutput( boolean dooutput )

Sets the value of the doOutput field for this URLConnection to the specified value.

A URL connection can be used for input and/or output.  Set the DoOutput flag to true if you intend to use the URL connection for output, false if not.  The default is false.

Parameter

value

the new value.

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


Double class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      Double class [java.lang]

Object

Number

Double

Description

The Double class wraps a value of the primitive type double in an object. An object of type Double contains a single field whose type is double.

In addition, this class provides several methods for converting a double to a String and a String to a double, as well as other constants and methods useful when dealing with a double.

Specification

public final class Double extends java.lang.Number

Constructors

public Double( double value )

Constructs a newly allocated Double object that represents the primitive double argument.

Parameter

value

the value to be represented by the Double.

public Double( java.lang.String s ) throws java.lang.NumberFormatException

Constructs a newly allocated Double object that represents the floating- point value of type double represented by the string. The string is converted to a double value as if by the valueOf method.

Parameter

s

a string to be converted to a Double.

Throws

NumberFormatException

If the string does not contain a parsable number.

See also

valueOf method [java.lang.Double]

Variables

public static final double POSITIVE_INFINITY

The positive infinity of type double.

public static final double NEGATIVE_INFINITY

The negative infinity of type double.

public static final double NaN

A NaN value of type double.

public static final double MAX_VALUE

The largest positive value of type double.

public static final double MIN_VALUE

The smallest positive value of type double.

public static final java.lang.Class TYPE

The Class object representing the primitive type double.

Properties

  boolean isInfinite( )

  boolean isNaN( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  byte byteValue( )

  static native long doubleToLongBits( double value )

  double doubleValue( )

  boolean equals( java.lang.Object obj )

  float floatValue( )

  int hashCode( )

  int intValue( )

  static boolean isInfinite( double v )

  static boolean isNaN( double v )

  static native double longBitsToDouble( long bits )

  long longValue( )

  short shortValue( )

  static java.lang.String toString( double d )

  java.lang.String toString( )

  static java.lang.Double valueOf( java.lang.String s ) throws java.lang.NumberFormatException

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


doubleToLongBits method [java.lang.Double] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      doubleToLongBits method [java.lang.Double]

public static native long doubleToLongBits( double value )

Returns a representation of the specified floating-point value according to the IEEE 754 floating-point "double format" bit layout.

Bit 63 represents the sign of the floating-point number. Bits 62-52 represent the exponent. Bits 51-0 represent the significand (sometimes called the mantissa) of the floating-point number.

If the argument is positive infinity, the result is 0x7ff0000000000000L.

If the argument is negative infinity, the result is 0xfff0000000000000L.

If the argument is NaN, the result is 0x7ff8000000000000L.

Parameter

value

a double precision floating-point number.

Return

The bits that represent the floating-point number.

Applies to

 Double [java.lang]


doubleValue method [java.lang.Byte] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      doubleValue method [java.lang.Byte]

Overloads:

 double doubleValue( ) overrides doubleValue method [java.lang.Number]

public double doubleValue( )

Returns the value of this Byte as a double.

Return

No documentation supplied in JDK.

Applies to

 Byte [java.lang]


doubleValue method [java.lang.Double] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      doubleValue method [java.lang.Double]

Overloads:

 double doubleValue( ) overrides doubleValue method [java.lang.Number]

public double doubleValue( )

Returns the double value of this Double.

Return

The double value represented by this object.

Applies to

 Double [java.lang]


doubleValue method [java.lang.Float] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      doubleValue method [java.lang.Float]

Overloads:

 double doubleValue( ) overrides doubleValue method [java.lang.Number]

public double doubleValue( )

Returns the double value of this Float.

Return

No documentation supplied in JDK.

Applies to

 Float [java.lang]


doubleValue method [java.lang.Integer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      doubleValue method [java.lang.Integer]

Overloads:

 double doubleValue( ) overrides doubleValue method [java.lang.Number]

public double doubleValue( )

Returns the value of this Integer as a double.

Return

The int value represented by this object is converted to type double and the result of the conversion is returned.

Applies to

 Integer [java.lang]


doubleValue method [java.lang.Long] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      doubleValue method [java.lang.Long]

Overloads:

 double doubleValue( ) overrides doubleValue method [java.lang.Number]

public double doubleValue( )

Returns the value of this Long as a double.

Return

The long value represented by this object that is converted to type double and the result of the conversion is returned.

Applies to

 Long [java.lang]


doubleValue method [java.lang.Number] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      doubleValue method [java.lang.Number]

public abstract double doubleValue( )

Returns the value of the specified number as a double. This may involve rounding.

Return

The numeric value represented by this object after conversion to type double.

Applies to

 BigDecimal [java.math]

 BigInteger [java.math]

 Byte [java.lang]

 Double [java.lang]

 Float [java.lang]

 Integer [java.lang]

 Long [java.lang]

 Number [java.lang]

 Short [java.lang]


doubleValue method [java.lang.Short] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      doubleValue method [java.lang.Short]

Overloads:

 double doubleValue( ) overrides doubleValue method [java.lang.Number]

public double doubleValue( )

Returns the value of this Short as a double.

Return

No documentation supplied in JDK.

Applies to

 Short [java.lang]


doubleValue method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      doubleValue method [java.math.BigDecimal]

Overloads:

 double doubleValue( ) overrides doubleValue method [java.lang.Number]

public double doubleValue( )

Converts the number to a double.  Similar to the double-to-float narrowing primitive conversion defined in The Java Language Specification: if the number has too great a magnitude to represent as a double, it will be converted to infinity or negative infinity, as appropriate.

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


doubleValue method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      doubleValue method [java.math.BigInteger]

Overloads:

 double doubleValue( ) overrides doubleValue method [java.lang.Number]

public double doubleValue( )

Converts the number to a double.  Similar to the double-to-float narrowing primitive conversion defined in The Java Language Specification: if the number has too great a magnitude to represent as a double, it will be converted to infinity or negative infinity, as appropriate.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


drain method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      drain method [java.io.ObjectOutputStream]

protected void drain( ) throws java.io.IOException

Drain any buffered data in ObjectOutputStream.  Similar to flush but does not propagate the flush to the underlaying stream.

Applies to

 ObjectOutputStream [java.io]


draw3DRect method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      draw3DRect method [java.awt.Graphics]

public void draw3DRect( int x, int y, int width, int height, boolean raised )

Draws a 3-D highlighted outline of the specified rectangle. The edges of the rectangle are highlighted so that they appear to be beveled and lit from the upper left corner.

The colors used for the highlighting effect are determined based on the current color. The resulting rectangle covers an area that is width + 1 pixels wide by height + 1 pixels tall.

Parameters

x

the x coordinate of the rectangle to be drawn.

y

the y coordinate of the rectangle to be drawn.

width

the width of the rectangle to be drawn.

height

the height of the rectangle to be drawn.

raised

a boolean that determines whether the rectangle appears to be raised above the surface or sunk into the surface.

See also

fill3DRect method [java.awt.Graphics]

Applies to

 Graphics [java.awt]


drawArc method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      drawArc method [java.awt.Graphics]

public abstract void drawArc( int x, int y, int width, int height, int startAngle, int arcAngle )

Draws the outline of a circular or elliptical arc covering the specified rectangle.

The resulting arc begins at startAngle and extends for arcAngle degrees, using the current color. Angles are interpreted such that 0 degrees is at the 3 o'clock position. A positive value indicates a counter-clockwise rotation while a negative value indicates a clockwise rotation.

The center of the arc is the center of the rectangle whose origin is (x , y ) and whose size is specified by the width and height arguments.

The resulting arc covers an area width + 1 pixels wide by height + 1 pixels tall.

Parameters

x

the x coordinate of the upper-left corner of the arc to be drawn.

y

the y coordinate of the upper-left corner of the arc to be drawn.

width

the width of the arc to be drawn.

height

the height of the arc to be drawn.

startAngle

the beginning angle.

arcAngle

the angular extent of the arc, relative to the start angle.

See also

fillArc method [java.awt.Graphics]

Applies to

 Graphics [java.awt]


drawBytes method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      drawBytes method [java.awt.Graphics]

public void drawBytes( byte[] data, int offset, int length, int x, int y )

Draws the text given by the specified byte array, using this graphics context's current font and color. The baseline of the first character is at position (x , y ) in this graphics context's coordinate system.

Parameters

data

the data to be drawn

offset

the start offset in the data

length

the number of bytes that are drawn

x

the x coordinate of the baseline of the text

y

the y coordinate of the baseline of the text

See also

drawChars method [java.awt.Graphics]

drawString method [java.awt.Graphics]

Applies to

 Graphics [java.awt]


drawChars method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      drawChars method [java.awt.Graphics]

public void drawChars( char[] data, int offset, int length, int x, int y )

Draws the text given by the specified character array, using this graphics context's current font and color. The baseline of the first character is at position (x , y ) in this graphics context's coordinate system.

Parameters

data

the array of characters to be drawn

offset

the start offset in the data

length

the number of characters to be drawn

x

the x coordinate of the baseline of the text

y

the y coordinate of the baseline of the text

See also

drawBytes method [java.awt.Graphics]

drawString method [java.awt.Graphics]

Applies to

 Graphics [java.awt]


drawImage method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      drawImage method [java.awt.Graphics]

Overloads:

 boolean drawImage( Image img, int x, int y, int width, int height, Color bgcolor, ImageObserver observer )

 boolean drawImage( Image img, int x, int y, int width, int height, ImageObserver observer )

 boolean drawImage( Image img, int dx1, int dy1, int dx2, int dy2, int sx1, int sy1, int sx2, int sy2, ImageObserver observer )

 boolean drawImage( Image img, int x, int y, Color bgcolor, ImageObserver observer )

 boolean drawImage( Image img, int dx1, int dy1, int dx2, int dy2, int sx1, int sy1, int sx2, int sy2, Color bgcolor, ImageObserver observer )

 boolean drawImage( Image img, int x, int y, ImageObserver observer )

public abstract boolean drawImage( java.awt.Image img, int x, int y, int width, int height, java.awt.Color bgcolor, java.awt.image.ImageObserver observer )

Draws as much of the specified image as has already been scaled to fit inside the specified rectangle.

The image is drawn inside the specified rectangle of this graphics context's coordinate space, and is scaled if necessary. Transparent pixels are drawn in the specified background color. This operation is equivalent to filling a rectangle of the width and height of the specified image with the given color and then drawing the image on top of it, but possibly more efficient.

This method returns immediately in all cases, even if the entire image has not yet been scaled, dithered, and converted for the current output device. If the current output representation is not yet complete then drawImage returns false. As more of the image becomes available, the process that draws the image notifies the specified image observer.

A scaled version of an image will not necessarily be available immediately just because an unscaled version of the image has been constructed for this output device.  Each size of the image may be cached separately and generated from the original data in a separate image production sequence.

Parameters

img

the specified image to be drawn.

x

the x coordinate.

y

the y coordinate.

width

the width of the rectangle.

height

the height of the rectangle.

bgcolor

the background color to paint under the non-opaque portions of the image.

observer

object to be notified as more of the image is converted.

Return

No documentation supplied in JDK.

See also

Image class [java.awt]

ImageObserver interface [java.awt.image]

public abstract boolean drawImage( java.awt.Image img, int x, int y, int width, int height, java.awt.image.ImageObserver observer )

Draws as much of the specified image as has already been scaled to fit inside the specified rectangle.

The image is drawn inside the specified rectangle of this graphics context's coordinate space, and is scaled if necessary. Transparent pixels do not affect whatever pixels are already there.

This method returns immediately in all cases, even if the entire image has not yet been scaled, dithered, and converted for the current output device. If the current output representation is not yet complete, then drawImage returns false. As more of the image becomes available, the process that draws the image notifies the image observer by calling its imageUpdate method.

A scaled version of an image will not necessarily be available immediately just because an unscaled version of the image has been constructed for this output device.  Each size of the image may be cached separately and generated from the original data in a separate image production sequence.

Parameters

img

the specified image to be drawn.

x

the x coordinate.

y

the y coordinate.

width

the width of the rectangle.

height

the height of the rectangle.

observer

object to be notified as more of the image is converted.

Return

No documentation supplied in JDK.

See also

Image class [java.awt]

ImageObserver interface [java.awt.image]

public abstract boolean drawImage( java.awt.Image img, int dx1, int dy1, int dx2, int dy2, int sx1, int sy1, int sx2, int sy2, java.awt.image.ImageObserver observer )

Draws as much of the specified area of the specified image as is currently available, scaling it on the fly to fit inside the specified area of the destination drawable surface. Transparent pixels do not affect whatever pixels are already there.

This method returns immediately in all cases, even if the image area to be drawn has not yet been scaled, dithered, and converted for the current output device. If the current output representation is not yet complete then drawImage returns false. As more of the image becomes available, the process that draws the image notifies the specified image observer.

This method always uses the unscaled version of the image to render the scaled rectangle and performs the required scaling on the fly. It does not use a cached, scaled version of the image for this operation. Scaling of the image from source to destination is performed such that the first coordinate of the source rectangle is mapped to the first coordinate of the destination rectangle, and the second source coordinate is mapped to the second destination coordinate. The subimage is scaled and flipped as needed to preserve those mappings.

Parameters

img

the specified image to be drawn

dx1

the x coordinate of the first corner of the destination rectangle.

dy1

the y coordinate of the first corner of the destination rectangle.

dx2

the x coordinate of the second corner of the destination rectangle.

dy2

the y coordinate of the second corner of the destination rectangle.

sx1

the x coordinate of the first corner of the source rectangle.

sy1

the y coordinate of the first corner of the source rectangle.

sx2

the x coordinate of the second corner of the source rectangle.

sy2

the y coordinate of the second corner of the source rectangle.

observer

object to be notified as more of the image is scaled and converted.

Return

No documentation supplied in JDK.

See also

Image class [java.awt]

ImageObserver interface [java.awt.image]

public abstract boolean drawImage( java.awt.Image img, int x, int y, java.awt.Color bgcolor, java.awt.image.ImageObserver observer )

Draws as much of the specified image as is currently available. The image is drawn with its top-left corner at (x , y ) in this graphics context's coordinate space.  Transparent pixels are drawn in the specified background color.

This operation is equivalent to filling a rectangle of the width and height of the specified image with the given color and then drawing the image on top of it, but possibly more efficient.

This method returns immediately in all cases, even if the complete image has not yet been loaded, and it has not been dithered and converted for the current output device.

If the image has not yet been completely loaded, then drawImage returns false. As more of the image becomes available, the process that draws the image notifies the specified image observer.

Parameters

img

the specified image to be drawn.

x

the x coordinate.

y

the y coordinate.

bgcolor

the background color to paint under the non-opaque portions of the image.

observer

object to be notified as more of the image is converted.

Return

No documentation supplied in JDK.

See also

Image class [java.awt]

ImageObserver interface [java.awt.image]

public abstract boolean drawImage( java.awt.Image img, int dx1, int dy1, int dx2, int dy2, int sx1, int sy1, int sx2, int sy2, java.awt.Color bgcolor, java.awt.image.ImageObserver observer )

Draws as much of the specified area of the specified image as is currently available, scaling it on the fly to fit inside the specified area of the destination drawable surface.

Transparent pixels are drawn in the specified background color. This operation is equivalent to filling a rectangle of the width and height of the specified image with the given color and then drawing the image on top of it, but possibly more efficient.

This method returns immediately in all cases, even if the image area to be drawn has not yet been scaled, dithered, and converted for the current output device. If the current output representation is not yet complete then drawImage returns false. As more of the image becomes available, the process that draws the image notifies the specified image observer.

This method always uses the unscaled version of the image to render the scaled rectangle and performs the required scaling on the fly. It does not use a cached, scaled version of the image for this operation. Scaling of the image from source to destination is performed such that the first coordinate of the source rectangle is mapped to the first coordinate of the destination rectangle, and the second source coordinate is mapped to the second destination coordinate. The subimage is scaled and flipped as needed to preserve those mappings.

Parameters

img

the specified image to be drawn

dx1

the x coordinate of the first corner of the destination rectangle.

dy1

the y coordinate of the first corner of the destination rectangle.

dx2

the x coordinate of the second corner of the destination rectangle.

dy2

the y coordinate of the second corner of the destination rectangle.

sx1

the x coordinate of the first corner of the source rectangle.

sy1

the y coordinate of the first corner of the source rectangle.

sx2

the x coordinate of the second corner of the source rectangle.

sy2

the y coordinate of the second corner of the source rectangle.

bgcolor

the background color to paint under the non-opaque portions of the image.

observer

object to be notified as more of the image is scaled and converted.

Return

No documentation supplied in JDK.

See also

Image class [java.awt]

ImageObserver interface [java.awt.image]

public abstract boolean drawImage( java.awt.Image img, int x, int y, java.awt.image.ImageObserver observer )

Draws as much of the specified image as is currently available. The image is drawn with its top-left corner at (x , y ) in this graphics context's coordinate space. Transparent pixels in the image do not affect whatever pixels are already there.

This method returns immediately in all cases, even if the complete image has not yet been loaded, and it has not been dithered and converted for the current output device.

If the image has not yet been completely loaded, then drawImage returns false. As more of the image becomes available, the process that draws the image notifies the specified image observer.

Parameters

img

the specified image to be drawn.

x

the x coordinate.

y

the y coordinate.

observer

object to be notified as more of the image is converted.

Return

No documentation supplied in JDK.

See also

Image class [java.awt]

ImageObserver interface [java.awt.image]

Applies to

 Graphics [java.awt]


drawLine method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      drawLine method [java.awt.Graphics]

public abstract void drawLine( int x1, int y1, int x2, int y2 )

Draws a line, using the current color, between the points (x1, y1) and (x2, y2) in this graphics context's coordinate system.

Parameters

x1

the first points x coordinate.

y1

the first points y coordinate.

x2

the second points x coordinate.

y2

the second points y coordinate.

Applies to

 Graphics [java.awt]


drawOval method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      drawOval method [java.awt.Graphics]

public abstract void drawOval( int x, int y, int width, int height )

Draws the outline of an oval. The result is a circle or ellipse that fits within the rectangle specified by the x, y, width, and height arguments.

The oval covers an area that is width + 1 pixels wide and height + 1 pixels tall.

Parameters

x

the x coordinate of the upper left corner of the oval to be drawn.

y

the y coordinate of the upper left corner of the oval to be drawn.

width

the width of the oval to be drawn.

height

the height of the oval to be drawn.

See also

fillOval method [java.awt.Graphics]

Applies to

 Graphics [java.awt]


drawPolygon method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      drawPolygon method [java.awt.Graphics]

Overloads:

 void drawPolygon( int[] xPoints, int[] yPoints, int nPoints )

 void drawPolygon( Polygon p )

public abstract void drawPolygon( int[] xPoints, int[] yPoints, int nPoints )

Draws a closed polygon defined by arrays of x and y coordinates. Each pair of (x , y ) coordinates defines a point.

This method draws the polygon defined by nPoint line segments, where the first nPoint - 1 line segments are line segments from (xPoints[i - 1], yPoints[i - 1]) to (xPoints[i], yPoints[i]), for 1 <= i  <= nPoints. The figure is automatically closed by drawing a line connecting the final point to the first point, if those points are different.

Parameters

xPoints

a an array of x coordinates.

yPoints

a an array of y coordinates.

nPoints

a the total number of points.

See also

fillPolygon method [java.awt.Graphics]

drawPolyline method [java.awt.Graphics]

public void drawPolygon( java.awt.Polygon p )

Draws the outline of a polygon defined by the specified Polygon object.

Parameter

p

the polygon to draw.

See also

fillPolygon method [java.awt.Graphics]

drawPolyline method [java.awt.Graphics]

Applies to

 Graphics [java.awt]


drawPolyline method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      drawPolyline method [java.awt.Graphics]

public abstract void drawPolyline( int[] xPoints, int[] yPoints, int nPoints )

Draws a sequence of connected lines defined by arrays of x and y coordinates. Each pair of (x , y ) coordinates defines a point. The figure is not closed if the first point differs from the last point.

Parameters

xPoints

an array of x points

yPoints

an array of y points

nPoints

the total number of points

See also

drawPolygon method [java.awt.Graphics]

Applies to

 Graphics [java.awt]


drawRect method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      drawRect method [java.awt.Graphics]

public void drawRect( int x, int y, int width, int height )

Draws the outline of the specified rectangle. The left and right edges of the rectangle are at x and x + width. The top and bottom edges are at y and y + height. The rectangle is drawn using the graphics context's current color.

Parameters

x

the x coordinate of the rectangle to be drawn.

y

the y coordinate of the rectangle to be drawn.

width

the width of the rectangle to be drawn.

height

the height of the rectangle to be drawn.

See also

fillRect method [java.awt.Graphics]

clearRect method [java.awt.Graphics]

Applies to

 Graphics [java.awt]


drawRoundRect method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      drawRoundRect method [java.awt.Graphics]

public abstract void drawRoundRect( int x, int y, int width, int height, int arcWidth, int arcHeight )

Draws an outlined round-cornered rectangle using this graphics context's current color. The left and right edges of the rectangle are at x and x + width, respectively. The top and bottom edges of the rectangle are at y and y + height.

Parameters

x

the x coordinate of the rectangle to be drawn.

y

the y coordinate of the rectangle to be drawn.

width

the width of the rectangle to be drawn.

height

the height of the rectangle to be drawn.

arcWidth

the horizontal diameter of the arc at the four corners.

arcHeight

the vertical diameter of the arc at the four corners.

See also

fillRoundRect method [java.awt.Graphics]

Applies to

 Graphics [java.awt]


drawString method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      drawString method [java.awt.Graphics]

public abstract void drawString( java.lang.String str, int x, int y )

Draws the text given by the specified string, using this graphics context's current font and color. The baseline of the first character is at position (x , y ) in this graphics context's coordinate system.

Parameters

str

the string to be drawn.

x

the x coordinate.

y

the y coordinate.

See also

drawBytes method [java.awt.Graphics]

drawChars method [java.awt.Graphics]

Applies to

 Graphics [java.awt]


Driver interface [java.sql] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      Driver interface [java.sql]

Description

The Java SQL framework allows for multiple database drivers.

Each driver should supply a class that implements the Driver interface.

The DriverManager will try to load as many drivers as it can find and then for any given connection request, it will ask each driver in turn to try to connect to the target URL.

It is strongly recommended that each Driver class should be small and standalone so that the Driver class can be loaded and queried without bringing in vast quantities of supporting code.

When a Driver class is loaded, it should create an instance of itself and register it with the DriverManager. This means that a user can load and register a driver by doing Class.forName("foo.bah.Driver").

Definition

public interface Driver

{

  // Properties

  public int getMajorVersion( );

  public int getMinorVersion( );

  // Methods

  public java.sql.Connection connect( java.lang.String url, java.util.Properties info ) throws java.sql.SQLException;

  public boolean acceptsURL( java.lang.String url ) throws java.sql.SQLException;

  public java.sql.DriverPropertyInfo[] getPropertyInfo( java.lang.String url, java.util.Properties info ) throws java.sql.SQLException;

  public boolean jdbcCompliant( );

}

Properties

public int getMajorVersion( )

Get the driver's major version number. Initially this should be 1.

Return

No documentation supplied in JDK.

public int getMinorVersion( )

Get the driver's minor version number. Initially this should be 0.

Return

No documentation supplied in JDK.

Methods

public java.sql.Connection connect( java.lang.String url, java.util.Properties info ) throws java.sql.SQLException

Try to make a database connection to the given URL. The driver should return "null" if it realizes it is the wrong kind of driver to connect to the given URL.  This will be common, as when the JDBC driver manager is asked to connect to a given URL it passes the URL to each loaded driver in turn.

The driver should raise a SQLException if it is the right driver to connect to the given URL, but has trouble connecting to the database.

The java.util.Properties argument can be used to passed arbitrary string tag/value pairs as connection arguments. Normally at least "user" and "password" properties should be included in the Properties.

Parameters

url

The URL of the database to connect to

info

a list of arbitrary string tag/value pairs as connection arguments; normally at least a "user" and "password" property should be included

Return

A Connection to the URL.

Throws

SQLException

If a database-access error occurs.

public boolean acceptsURL( java.lang.String url ) throws java.sql.SQLException

Returns true if the driver thinks that it can open a connection to the given URL.  Typically drivers will return true if they understand the subprotocol specified in the URL and false if they don't.

Parameter

url

The URL of the database.

Return

True if this driver can connect to the given URL.

Throws

SQLException

If a database-access error occurs.

public java.sql.DriverPropertyInfo[] getPropertyInfo( java.lang.String url, java.util.Properties info ) throws java.sql.SQLException

The getPropertyInfo method is intended to allow a generic GUI tool to discover what properties it should prompt a human for in order to get enough information to connect to a database.  Note that depending on the values the human has supplied so far, additional values may become necessary, so it may be necessary to iterate though several calls to getPropertyInfo.

Parameters

url

The URL of the database to connect to.

info

A proposed list of tag/value pairs that will be sent on connect open.

Return

An array of DriverPropertyInfo objects describing possible properties.  This array may be an empty array if no properties are required.

Throws

SQLException

If a database-access error occurs.

public boolean jdbcCompliant( )

Report whether the Driver is a genuine JDBC COMPLIANT (tm) driver. A driver may only report "true" here if it passes the JDBC compliance tests, otherwise it is required to return false. JDBC compliance requires full support for the JDBC API and full support for SQL 92 Entry Level.  It is expected that JDBC compliant drivers will be available for all the major commercial databases. This method is not intended to encourage the development of non-JDBC compliant drivers, but is a recognition of the fact that some vendors are interested in using the JDBC API and framework for lightweight databases that do not support full database functionality, or for special databases such as document information retrieval where a SQL implementation may not be feasible.

Return

No documentation supplied in JDK.

See also

DriverManager class [java.sql]

Connection interface [java.sql]


DriverManager class [java.sql] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DriverManager class [java.sql]

Object

DriverManager

Description

The DriverManager provides a basic service for managing a set of JDBC drivers.

As part of its initialization, the DriverManager class will attempt to load the driver classes referenced in the "jdbc.drivers" system property. This allows a user to customize the JDBC Drivers used by their applications. For example in your ~/.hotjava/properties file you might specify: jdbc.drivers=foo.bah.Driver:wombat.sql.Driver:bad.taste.ourDriver A program can also explicitly load JDBC drivers at any time. For example, the my.sql.Driver is loaded with the following statement: Class.forName("my.sql.Driver");

When getConnection is called the DriverManager will attempt to locate a suitable driver from amongst those loaded at initialization and those loaded explicitly using the same classloader as the current applet or application.

Specification

public class DriverManager extends java.lang.Object

Properties

  static java.util.Enumeration getDrivers( )

  static int getLoginTimeout( )

  static void setLoginTimeout( int seconds )

  static java.io.PrintStream getLogStream( )

  static void setLogStream( java.io.PrintStream out )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  static void deregisterDriver( java.sql.Driver driver ) throws java.sql.SQLException

  static synchronized java.sql.Connection getConnection( java.lang.String url, java.lang.String user, java.lang.String password ) throws java.sql.SQLException

  static synchronized java.sql.Connection getConnection( java.lang.String url ) throws java.sql.SQLException

  static synchronized java.sql.Connection getConnection( java.lang.String url, java.util.Properties info ) throws java.sql.SQLException

  static java.sql.Driver getDriver( java.lang.String url ) throws java.sql.SQLException

  static void println( java.lang.String message )

  static synchronized void registerDriver( java.sql.Driver driver ) throws java.sql.SQLException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Driver interface [java.sql]

Connection interface [java.sql]


DriverPropertyInfo class [java.sql] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DriverPropertyInfo class [java.sql]

Object

DriverPropertyInfo

Description

The DriverPropertyInfo class is only of interest to advanced programmers who need to interact with a Driver via getDriverProperties to discover and supply properties for connections.

Specification

public class DriverPropertyInfo extends java.lang.Object

Constructor

public DriverPropertyInfo( java.lang.String name, java.lang.String value )

Constructor a DriverPropertyInfo with a name and value; other members default to their initial values.

Parameters

name

the name of the property

value

the current value, which may be null

Variables

public java.lang.String name

The name of the property.

public java.lang.String description

A brief description of the property.  This may be null.

public boolean required

"required" is true if a value must be supplied for this property during Driver.connect.  Otherwise the property is optional.

public java.lang.String value

"value" specifies the current value of the property, based on a combination of the information supplied to getPropertyInfo, the Java environment, and driver supplied default values.  This may be null if no value is known.

public java.lang.String[] choices

If the value may be selected from a particular set of values, then this is an array of the possible values.  Otherwise it should be null.

Inherited Properties

  native final java.lang.Class getClass( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


drivers property [java.sql.DriverManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      drivers property [java.sql.DriverManager]

public static java.util.Enumeration getDrivers( )

Return an Enumeration of all the currently loaded JDBC drivers which the current caller has access to.

Note: The classname of a driver can be found using d.getClass().getName()

Return

The list of JDBC Drivers loaded by the caller's class loader.

Applies to

 DriverManager [java.sql]


DSAKey interface [java.security.interfaces] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DSAKey interface [java.security.interfaces]

Description

The interface to a DSA public or private key. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

Definition

public interface DSAKey

{

  // Properties

  public java.security.interfaces.DSAParams getParams( );

}

Properties

public java.security.interfaces.DSAParams getParams( )

Returns the DSA-specific key parameters. These parameters are never secret.

Return

The DSA-specific key parameters.

See also

DSAParams interface [java.security.interfaces]

See also

DSAParams interface [java.security.interfaces]

Key interface [java.security]

Signature class [java.security]


DSAKeyPairGenerator interface [java.security.interfaces] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DSAKeyPairGenerator interface [java.security.interfaces]

Description

An interface to an object capable of generating DSA key pairs.

The initialize methods may each be called any number of times. If no initialize method is called on a DSAKeyPairGenerator, the default is to generate 1024-bit keys, using precomputed p, q and g parameters and an instance of SecureRandom as the random bit source.

Users wishing to indicate DSA-specific parameters, and to generate a key pair suitable for use with the DSA algorithm typically

•	Get a key pair generator for the DSA algorithm by calling the KeyPairGenerator getInstance method with "DSA" as its argument.

•	Initialize the generator by casting the result to a DSAKeyPairGenerator and calling one of the initialize methods from this DSAKeyPairGenerator interface.

•	Generate a key pair by calling the generateKeyPair method from the KeyPairGenerator class.

Note: it is not always necessary to do do algorithm-specific initialization for a DSA key pair generator. That is, it is not always necessary to call an initialize method in this interface. Algorithm-independent initialization using the initialize method in the KeyPairGenerator interface is all that is needed when you accept defaults for algorithm-specific parameters.

Definition

public interface DSAKeyPairGenerator

{

  // Methods

  public void initialize( java.security.interfaces.DSAParams params, java.security.SecureRandom random ) throws java.security.InvalidParameterException;

  public void initialize( int modlen, boolean genParams, java.security.SecureRandom random ) throws java.security.InvalidParameterException;

}

Methods

public void initialize( java.security.interfaces.DSAParams params, java.security.SecureRandom random ) throws java.security.InvalidParameterException

Initializes the key pair generator using p, q and g, the DSA family parameters.

Parameters

params

the parameters to use to generate the keys.

random

the random bit source to use to generate key bits.

Throws

InvalidParameterException

If the parameters passed are invalid or null.

public void initialize( int modlen, boolean genParams, java.security.SecureRandom random ) throws java.security.InvalidParameterException

Initializes the key pair generator for a given modulus length, without parameters.

If genParams is true, this method will generate new p, q and g parameters. If it is false, the method will use precomputed parameters for the modulus length requested. If there are no precomputed parameters for that modulus length, an exception will be thrown. It is guaranteed that there will always be default parameters for modulus lengths of 512 and 1024 bits.

Parameters

modlen

the modulus length, in bits. Valid values are any multiple of 8 between 512 and 1024, inclusive.

random

the random bit source to use to generate key bits.

genParams

whether or not to generate new parameters for the modulus length requested.

Throws

InvalidParameterException

If the modulus length is not between 512 and 1024, or if genParams is false and there are not precomputed parameters for the modulus length requested.

See also

KeyPairGenerator class [java.security]


DSAParams interface [java.security.interfaces] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DSAParams interface [java.security.interfaces]

Description

Interface to a DSA-specific set of key parameters, which defines a DSA key family . DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

Definition

public interface DSAParams

{

  // Properties

  public java.math.BigInteger getP( );

  public java.math.BigInteger getQ( );

  public java.math.BigInteger getG( );

}

Properties

public java.math.BigInteger getP( )

Returns the prime, p.

Return

The prime, p.

public java.math.BigInteger getQ( )

Returns the subprime, q.

Return

The subprime, q.

public java.math.BigInteger getG( )

Returns the base, g.

Return

The base, g.

See also

DSAKey interface [java.security.interfaces]

Key interface [java.security]

Signature class [java.security]


DSAPrivateKey interface [java.security.interfaces] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DSAPrivateKey interface [java.security.interfaces]

Description

The standard interface to a DSA private key. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

Definition

public interface DSAPrivateKey extends java.security.interfaces.DSAKey java.security.PrivateKey

{

  // Properties

  public java.math.BigInteger getX( );

}

Properties

public java.math.BigInteger getX( )

Returns the value of the private key, x.

Return

The value of the private key, x.

See also

Key interface [java.security]

Signature class [java.security]

DSAKey interface [java.security.interfaces]

DSAPublicKey interface [java.security.interfaces]


DSAPublicKey interface [java.security.interfaces] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      DSAPublicKey interface [java.security.interfaces]

Description

The interface to a DSA public key. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

Definition

public interface DSAPublicKey extends java.security.interfaces.DSAKey java.security.PublicKey

{

  // Properties

  public java.math.BigInteger getY( );

}

Properties

public java.math.BigInteger getY( )

Returns the value of the public key, y.

Return

The value of the public key, y.

See also

Key interface [java.security]

Signature class [java.security]


dumpStack method [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     D
      dumpStack method [java.lang.Thread]

public static void dumpStack( )

Prints a stack trace of the current thread. This method is used only for debugging.

See also

printStackTrace method [java.lang.Throwable]

Applies to

 Thread [java.lang]


E  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    E

 echoChar property [java.awt.TextField]

 echoCharacter property [java.awt.TextField]

 echoCharIsSet method [java.awt.TextField]

 editable property [java.awt.TextComponent]

 editorSearchPath property [java.beans.PropertyEditorManager]

 elementAt method [java.util.Vector]

 elements method [java.util.Dictionary]

 elements method [java.util.Hashtable]

 elements method [java.util.Vector]

 empty method [java.util.Stack]

 empty property [java.awt.Rectangle]

 empty property [java.util.Dictionary]

 empty property [java.util.Hashtable]

 empty property [java.util.Vector]

 EmptyStackException class [java.util]

 enable method [java.awt.Component]

 enable method [java.awt.MenuItem]

 enable method [java.lang.Compiler]

 enabled property [java.awt.Component]

 enabled property [java.awt.MenuItem]

 enableEvents method [java.awt.Component]

 enableEvents method [java.awt.MenuItem]

 enableReplaceObject method [java.io.ObjectOutputStream]

 enableResolveObject method [java.io.ObjectInputStream]

 encode method [java.net.URLEncoder]

 encoding property [java.io.InputStreamReader]

 encoding property [java.io.OutputStreamWriter]

 end method [java.awt.PrintJob]

 end method [java.util.zip.Deflater]

 end method [java.util.zip.Inflater]

 endIndex property [java.text.FieldPosition]

 endIndex property [java.text.StringCharacterIterator]

 endsWith method [java.lang.String]

 engineDigest method [java.security.MessageDigest]

 engineGetParameter method [java.security.Signature]

 engineInitSign method [java.security.Signature]

 engineInitVerify method [java.security.Signature]

 engineReset method [java.security.MessageDigest]

 engineSetParameter method [java.security.Signature]

 engineSign method [java.security.Signature]

 engineUpdate method [java.security.MessageDigest]

 engineUpdate method [java.security.Signature]

 engineVerify method [java.security.Signature]

 ensureCapacity method [java.lang.StringBuffer]

 ensureCapacity method [java.util.Vector]

 entries method [java.util.zip.ZipFile]

 enumerate method [java.lang.Thread]

 enumerate method [java.lang.ThreadGroup]

 Enumeration interface [java.util]

 EOFException class [java.io]

 eolIsSignificant method [java.io.StreamTokenizer]

 equals method [java.awt.Color]

 equals method [java.awt.datatransfer.DataFlavor]

 equals method [java.awt.Dimension]

 equals method [java.awt.Font]

 equals method [java.awt.Insets]

 equals method [java.awt.MenuShortcut]

 equals method [java.awt.Point]

 equals method [java.awt.Rectangle]

 equals method [java.io.File]

 equals method [java.lang.Boolean]

 equals method [java.lang.Byte]

 equals method [java.lang.Character]

 equals method [java.lang.Double]

 equals method [java.lang.Float]

 equals method [java.lang.Integer]

 equals method [java.lang.Long]

 equals method [java.lang.Object]

 equals method [java.lang.reflect.Constructor]

 equals method [java.lang.reflect.Field]

 equals method [java.lang.reflect.Method]

 equals method [java.lang.Short]

 equals method [java.lang.String]

 equals method [java.math.BigDecimal]

 equals method [java.math.BigInteger]

 equals method [java.net.InetAddress]

 equals method [java.net.URL]

 equals method [java.rmi.dgc.VMID]

 equals method [java.rmi.server.ObjID]

 equals method [java.rmi.server.RemoteObject]

 equals method [java.rmi.server.UID]

 equals method [java.security.Identity]

 equals method [java.sql.Timestamp]

 equals method [java.text.ChoiceFormat]

 equals method [java.text.CollationKey]

 equals method [java.text.Collator]

 equals method [java.text.DateFormat]

 equals method [java.text.DateFormatSymbols]

 equals method [java.text.DecimalFormat]

 equals method [java.text.DecimalFormatSymbols]

 equals method [java.text.MessageFormat]

 equals method [java.text.NumberFormat]

 equals method [java.text.RuleBasedCollator]

 equals method [java.text.SimpleDateFormat]

 equals method [java.text.StringCharacterIterator]

 equals method [java.util.BitSet]

 equals method [java.util.Calendar]

 equals method [java.util.Date]

 equals method [java.util.GregorianCalendar]

 equals method [java.util.Locale]

 equals method [java.util.SimpleTimeZone]

 equalsIgnoreCase method [java.lang.String]

 eras property [java.text.DateFormatSymbols]

 err property [java.lang.System]

 Error class [java.lang]

 errorAny property [java.awt.MediaTracker]

 errorCode property [java.sql.SQLException]

 errorOffset property [java.text.ParseException]

 errorsAny property [java.awt.MediaTracker]

 errorsID property [java.awt.MediaTracker]

 errorStream property [java.lang.Process]

 Event class [java.awt]

 EventListener interface [java.util]

 EventObject class [java.util]

 EventQueue class [java.awt]

 EventSetDescriptor class [java.beans]

 eventSetDescriptors property [java.beans.SimpleBeanInfo]

 Exception class [java.lang]

 exception property [java.lang.ExceptionInInitializerError]

 ExceptionInInitializerError class [java.lang]

 exceptionTypes property [java.lang.reflect.Constructor]

 exceptionTypes property [java.lang.reflect.Method]

 exec method [java.lang.Runtime]

 exists method [java.io.File]

 exit method [java.lang.Runtime]

 exit method [java.lang.System]

 exitValue method [java.lang.Process]

 exp method [java.lang.Math]

 expert property [java.beans.FeatureDescriptor]

 expiration property [java.net.URLConnection]

 ExportException class [java.rmi.server]

 exportObject method [java.rmi.server.UnicastRemoteObject]

 Externalizable interface [java.io]

 extra property [java.util.zip.ZipEntry]


echoChar property [java.awt.TextField] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      echoChar property [java.awt.TextField]

public char getEchoChar( )

Gets the character that is to be used for echoing.

An echo character is useful for text fields where user input should not be echoed to the screen, as in the case of a text field for entering a password.

Return

The echo character for this text field.

See also

echoCharIsSet method [java.awt.TextField]

public void setEchoChar( char c )

Sets the echo character for this text field.

An echo character is useful for text fields where user input should not be echoed to the screen, as in the case of a text field for entering a password.

Parameter

c

the echo character for this text field.

See also

echoCharIsSet method [java.awt.TextField]

Applies to

 TextField [java.awt]


echoCharacter property [java.awt.TextField] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      echoCharacter property [java.awt.TextField]

public synchronized void setEchoCharacter( char c )

Note: setEchoCharacter has been deprecated. As of JDK version 1.1, replaced by setEchoChar(char).

Note: setEchoCharacter has been deprecated. As of JDK version 1.1, replaced by setEchoChar(char).

No documentation supplied in JDK

Applies to

 TextField [java.awt]


echoCharIsSet method [java.awt.TextField] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      echoCharIsSet method [java.awt.TextField]

public boolean echoCharIsSet( )

Indicates whether or not this text field has a character set for echoing.

An echo character is useful for text fields where user input should not be echoed to the screen, as in the case of a text field for entering a password.

Return

true if this text field has a character set for echoing; false otherwise.

See also

echoChar property [java.awt.TextField]

Applies to

 TextField [java.awt]


editable property [java.awt.TextComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      editable property [java.awt.TextComponent]

public synchronized void setEditable( boolean b )

Sets the flag that determines whether or not this text component is editable.

If the flag is set to true, this text component becomes user editable. If the flag is set to false, the user cannot change the text of this text component.

Parameter

t

a flag indicating whether this text component should be user editable.

public boolean isEditable( )

Indicates whether or not this text component is editable.

Return

true if this text component is editable; false otherwise.

Applies to

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]


editorSearchPath property [java.beans.PropertyEditorManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      editorSearchPath property [java.beans.PropertyEditorManager]

public static java.lang.String[] getEditorSearchPath( )

No documentation supplied in JDK

Return

The array of package names that will be searched in order to find property editors.

    This is initially set to {"sun.beans.editors"}.

public static void setEditorSearchPath( java.lang.String[] path )

Change the list of package names that will be used for finding property editors.

Parameter

path

Array of package names.

Applies to

 PropertyEditorManager [java.beans]


elementAt method [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      elementAt method [java.util.Vector]

public final synchronized java.lang.Object elementAt( int index )

Returns the component at the specified index.

Parameter

index

an index into this vector.

Return

The component at the specified index.

Throws

ArrayIndexOutOfBoundsException

If an invalid index was given.

Applies to

 Stack [java.util]

 Vector [java.util]


elements method [java.util.Dictionary] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      elements method [java.util.Dictionary]

public abstract java.util.Enumeration elements( )

Returns an enumeration of the values in this dictionary. the Enumeration methods on the returned object to fetch the elements sequentially.

Return

An enumeration of the values in this dictionary.

See also

keys method [java.util.Dictionary]

Enumeration interface [java.util]

Applies to

 Dictionary [java.util]

 Hashtable [java.util]

 Properties [java.util]

 Provider [java.security]


elements method [java.util.Hashtable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      elements method [java.util.Hashtable]

Overloads:

 Enumeration elements( ) overrides elements method [java.util.Dictionary]

public synchronized java.util.Enumeration elements( )

Returns an enumeration of the values in this hashtable. Use the Enumeration methods on the returned object to fetch the elements sequentially.

Return

An enumeration of the values in this hashtable.

See also

Enumeration interface [java.util]

keys method [java.util.Dictionary]

Applies to

 Hashtable [java.util]

 Properties [java.util]

 Provider [java.security]


elements method [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      elements method [java.util.Vector]

public final synchronized java.util.Enumeration elements( )

Returns an enumeration of the components of this vector.

Return

An enumeration of the components of this vector.

See also

Enumeration interface [java.util]

Applies to

 Stack [java.util]

 Vector [java.util]


empty method [java.util.Stack] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      empty method [java.util.Stack]

public boolean empty( )

Tests if this stack is empty.

Return

true if this stack is empty; false otherwise.

Applies to

 Stack [java.util]


empty property [java.awt.Rectangle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      empty property [java.awt.Rectangle]

public boolean isEmpty( )

Determines whether this rectangle is empty. A rectangle is empty if its width or its height is less than or equal to zero.

Return

true if this rectangle is empty; false otherwise.

Applies to

 Rectangle [java.awt]


empty property [java.util.Dictionary] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      empty property [java.util.Dictionary]

public abstract boolean isEmpty( )

Tests if this dictionary maps no keys to value.

Return

true if this dictionary maps no keys to values; false otherwise.

Applies to

 Dictionary [java.util]

 Hashtable [java.util]

 Properties [java.util]

 Provider [java.security]


empty property [java.util.Hashtable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      empty property [java.util.Hashtable]

Overloads:

  boolean isEmpty( ) overrides empty property [java.util.Dictionary]

public boolean isEmpty( )

Tests if this hashtable maps no keys to values.

Return

true if this hashtable maps no keys to values; false otherwise.

Applies to

 Hashtable [java.util]

 Properties [java.util]

 Provider [java.security]


empty property [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      empty property [java.util.Vector]

public final boolean isEmpty( )

Tests if this vector has no components.

Return

true if this vector has no components; false otherwise.

Applies to

 Stack [java.util]

 Vector [java.util]


EmptyStackException class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      EmptyStackException class [java.util]

Object

Throwable

Exception

RuntimeException

EmptyStackException

Description

Thrown by methods in the Stack class to indicate that the stack is empty.

Specification

public class EmptyStackException extends java.lang.RuntimeException

Constructor

public EmptyStackException( )

Constructs a new EmptyStackException with no detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Stack class [java.util]


enable method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      enable method [java.awt.Component]

Overloads:

 void enable( )

 void enable( boolean b )

public void enable( )

Note: enable has been deprecated. As of JDK version 1.1, replaced by setEnabled(boolean).

No documentation supplied in JDK

public void enable( boolean b )

Note: enable has been deprecated. As of JDK version 1.1, replaced by setEnabled(boolean).

No documentation supplied in JDK

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


enable method [java.awt.MenuItem] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      enable method [java.awt.MenuItem]

Overloads:

 void enable( boolean b )

 void enable( )

public void enable( boolean b )

Note: enable has been deprecated. As of JDK version 1.1, replaced by setEnabled(boolean).

No documentation supplied in JDK

public synchronized void enable( )

Note: enable has been deprecated. As of JDK version 1.1, replaced by setEnabled(boolean).

No documentation supplied in JDK

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


enable method [java.lang.Compiler] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      enable method [java.lang.Compiler]

public static native void enable( )

Cause the Compiler to resume operation.

Applies to

 Compiler [java.lang]


enabled property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      enabled property [java.awt.Component]

public void setEnabled( boolean b )

Enables or disables this component, depending on the value of the parameter b. An enabled component can respond to user input and generate events. Components are enabled initially by default.

Parameter

b

If true, this component is enabled; otherwise this component is disabled.

public boolean isEnabled( )

Determines whether this component is enabled. An enabled component can respond to user input and generate events. Components are enabled initially by default. A component may be enabled or disabled by calling its setEnabled method.

Return

true if the component is enabled; false otherwise.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


enabled property [java.awt.MenuItem] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      enabled property [java.awt.MenuItem]

public synchronized void setEnabled( boolean b )

Sets whether or not this menu item can be chosen.

Parameter

b

if true, enables this menu item; if false, disables it.

public boolean isEnabled( )

Checks whether this menu item is enabled.

Return

No documentation supplied in JDK.

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


enableEvents method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      enableEvents method [java.awt.Component]

protected final void enableEvents( long eventsToEnable )

Enables the events defined by the specified event mask parameter to be delivered to this component.

Event types are automatically enabled when a listener for that event type is added to the component.

This method only needs to be invoked by subclasses of Component which desire to have the specified event types delivered to processEvent regardless of whether or not a listener is registered.

Parameter

eventsToEnable

the event mask defining the event types.

See also

processEvent method [java.awt.Component]

disableEvents method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


enableEvents method [java.awt.MenuItem] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      enableEvents method [java.awt.MenuItem]

protected final void enableEvents( long eventsToEnable )

Enables event delivery to this menu item for events to be defined by the specified event mask parameter

Since event types are automatically enabled when a listener for that type is added to the menu item, this method only needs to be invoked by subclasses of MenuItem which desire to have the specified event types delivered to processEvent regardless of whether a listener is registered.

Parameter

eventsToEnable

the event mask defining the event types.

See also

processEvent method [java.awt.MenuComponent]

disableEvents method [java.awt.MenuItem]

enableEvents method [java.awt.Component]

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


enableReplaceObject method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      enableReplaceObject method [java.io.ObjectOutputStream]

protected final boolean enableReplaceObject( boolean enable ) throws java.lang.SecurityException

Enable the stream to do replacement of objects in the stream. If the stream is a trusted class it is allowed to enable replacement. Trusted classes are those classes with a classLoader equals null.

When enabled the replaceObject method is called for every object being serialized.

Return

No documentation supplied in JDK.

Throws

SecurityException

The classloader of this stream object is non-null.

Applies to

 ObjectOutputStream [java.io]


enableResolveObject method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      enableResolveObject method [java.io.ObjectInputStream]

protected final boolean enableResolveObject( boolean enable ) throws java.lang.SecurityException

Enable the stream to allow objects read from the stream to be replaced. If the stream is a trusted class it is allowed to enable replacment. Trusted classes are those classes with a classLoader equals null.

When enabled the resolveObject method is called for every object being deserialized.

Return

No documentation supplied in JDK.

Throws

SecurityException

The classloader of this stream object is non-null.

Applies to

 ObjectInputStream [java.io]


encode method [java.net.URLEncoder] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      encode method [java.net.URLEncoder]

public static java.lang.String encode( java.lang.String s )

Translates a string into x-www-form-urlencoded format.

Parameter

s

String to be translated.

Return

The translated String.

Applies to

 URLEncoder [java.net]


encoding property [java.io.InputStreamReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      encoding property [java.io.InputStreamReader]

public java.lang.String getEncoding( )

Return the name of the encoding being used by this stream.  May return null if the stream has been closed.

Return

No documentation supplied in JDK.

Applies to

 FileReader [java.io]

 InputStreamReader [java.io]


encoding property [java.io.OutputStreamWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      encoding property [java.io.OutputStreamWriter]

public java.lang.String getEncoding( )

Return the name of the encoding being used by this stream.  May return null if the stream has been closed.

Return

No documentation supplied in JDK.

Applies to

 FileWriter [java.io]

 OutputStreamWriter [java.io]


end method [java.awt.PrintJob] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      end method [java.awt.PrintJob]

public abstract void end( )

Ends the print job and does any necessary cleanup.

Applies to

 PrintJob [java.awt]


end method [java.util.zip.Deflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      end method [java.util.zip.Deflater]

public native synchronized void end( )

Discards unprocessed input and frees internal data.

Applies to

 Deflater [java.util.zip]


end method [java.util.zip.Inflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      end method [java.util.zip.Inflater]

public native synchronized void end( )

Discards unprocessed input and frees internal data.

Applies to

 Inflater [java.util.zip]


endIndex property [java.text.FieldPosition] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      endIndex property [java.text.FieldPosition]

public int getEndIndex( )

Retrieve the index of the character following the last character in the requested field.

Return

No documentation supplied in JDK.

Applies to

 FieldPosition [java.text]


endIndex property [java.text.StringCharacterIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      endIndex property [java.text.StringCharacterIterator]

public int getEndIndex( )

Return the end index of the text.  This index is the index of the first character following the end of the text.

Return

The index at which the text end.

Applies to

 StringCharacterIterator [java.text]


endsWith method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      endsWith method [java.lang.String]

public boolean endsWith( java.lang.String suffix )

Tests if this string ends with the specified suffix.

Parameter

suffix

the suffix.

Return

true if the character sequence represented by the argument is a suffix of the character sequence represented by this object; false otherwise.

Applies to

 String [java.lang]


engineDigest method [java.security.MessageDigest] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      engineDigest method [java.security.MessageDigest]

protected abstract byte[] engineDigest( )

SPI : Completes the hash computation by performing final operations such as padding. Once engineDigest has been called, the engine should be reset (see reset).  Resetting is the responsibility of the engine implementor.

Return

The array of bytes for the resulting hash value.

Applies to

 MessageDigest [java.security]


engineGetParameter method [java.security.Signature] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      engineGetParameter method [java.security.Signature]

protected abstract java.lang.Object engineGetParameter( java.lang.String param ) throws java.security.InvalidParameterException

SPI : Gets the value of the specified algorithm parameter. This method supplies a general-purpose mechanism through which it is possible to get the various parameters of this object. A parameter may be any settable parameter for the algorithm, such as a parameter size, or  a source of random bits for signature generation (if appropriate), or an indication of whether or not to perform a specific but optional computation. A uniform algorithm-specific naming scheme for each parameter is desirable but left unspecified at this time.

Parameter

param

the string name of the parameter.

Return

The object that represents the parameter value, or null if there is none.

Throws

InvalidParameterException

If param is an invalid parameter for this engine, or another exception occurs while trying to get this parameter.

Applies to

 Signature [java.security]


engineInitSign method [java.security.Signature] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      engineInitSign method [java.security.Signature]

protected abstract void engineInitSign( java.security.PrivateKey privateKey ) throws java.security.InvalidKeyException

SPI : Initializes this signature object with the specified private key for signing operations.

Parameter

privateKey

the private key of the identity whose signature will be generated.

Throws

InvalidKeyException

If the key is improperly encoded, parameters are missing, and so on.

Applies to

 Signature [java.security]


engineInitVerify method [java.security.Signature] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      engineInitVerify method [java.security.Signature]

protected abstract void engineInitVerify( java.security.PublicKey publicKey ) throws java.security.InvalidKeyException

SPI : Initializes this signature object with the specified public key for verification operations.

Parameter

publicKey

the public key of the identity whose signature is going to be verified.

Throws

InvalidKeyException

If the key is improperly encoded, parameters are missing, and so on.

Applies to

 Signature [java.security]


engineReset method [java.security.MessageDigest] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      engineReset method [java.security.MessageDigest]

protected abstract void engineReset( )

SPI : Resets the digest for further use.

Applies to

 MessageDigest [java.security]


engineSetParameter method [java.security.Signature] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      engineSetParameter method [java.security.Signature]

protected abstract void engineSetParameter( java.lang.String param, java.lang.Object value ) throws java.security.InvalidParameterException

SPI : Sets the specified algorithm parameter to the specified value. This method supplies a general-purpose mechanism through which it is possible to set the various parameters of this object. A parameter may be any settable parameter for the algorithm, such as a parameter size, or a source of random bits for signature generation (if appropriate), or an indication of whether or not to perform a specific but optional computation. A uniform algorithm-specific naming scheme for each parameter is desirable but left unspecified at this time.

Parameters

param

the string identifier of the parameter.

value

the parameter value.

Throws

InvalidParameterException

If param is an invalid parameter for this signature algorithm engine, the parameter is already set and cannot be set again, a security exception occurs, and so on.

Applies to

 Signature [java.security]


engineSign method [java.security.Signature] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      engineSign method [java.security.Signature]

protected abstract byte[] engineSign( ) throws java.security.SignatureException

SPI : Returns the signature bytes of all the data updated so far. The signature returned is X.509-encoded. For more information about the X.509 encoding, see  X.509 certificates .

Return

The signature bytes of the signing operation's result.

Throws

SignatureException

If the engine is not initialized properly.

Applies to

 Signature [java.security]


engineUpdate method [java.security.MessageDigest] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      engineUpdate method [java.security.MessageDigest]

Overloads:

 void engineUpdate( byte input )

 void engineUpdate( byte[] input, int offset, int len )

protected abstract void engineUpdate( byte input )

SPI : Updates the digest using the specified byte.

Parameter

input

the byte to use for the update.

protected abstract void engineUpdate( byte[] input, int offset, int len )

SPI : Updates the digest using the specified array of bytes, starting at the specified offset. This should be a no-op if the digest has been finalized.

Parameters

input

the array of bytes to use for the update.

offset

the offset to start from in the array of bytes.

len

the number of bytes to use, starting at offset.

Applies to

 MessageDigest [java.security]


engineUpdate method [java.security.Signature] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      engineUpdate method [java.security.Signature]

Overloads:

 void engineUpdate( byte[] b, int off, int len )

 void engineUpdate( byte b )

protected abstract void engineUpdate( byte[] b, int off, int len ) throws java.security.SignatureException

SPI : Updates the data to be signed or verified, using the specified array of bytes, starting at the specified offset.

Parameters

data

the array of bytes.

off

the offset to start from in the array of bytes.

len

the number of bytes to use, starting at offset.

Throws

SignatureException

If the engine is not initialized properly.

protected abstract void engineUpdate( byte b ) throws java.security.SignatureException

SPI : Updates the data to be signed or verified using the specified byte.

Parameter

b

the byte to use for the update.

Throws

SignatureException

If the engine is not initialized properly.

Applies to

 Signature [java.security]


engineVerify method [java.security.Signature] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      engineVerify method [java.security.Signature]

protected abstract boolean engineVerify( byte[] sigBytes ) throws java.security.SignatureException

SPI : Verifies the passed-in signature. The signature bytes are expected to be X.509-encoded. For more information about the X.509 encoding, see  X.509 certificates .

Parameter

sigBytes

the signature bytes to be verified.

Return

True if the signature was verified, false if not.

Throws

SignatureException

If the engine is not initialized properly, or the passed-in signature is improperly encoded or of the wrong type, etc.

Applies to

 Signature [java.security]


ensureCapacity method [java.lang.StringBuffer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      ensureCapacity method [java.lang.StringBuffer]

public synchronized void ensureCapacity( int minimumCapacity )

Ensures that the capacity of the buffer is at least equal to the specified minimum. If the current capacity of this string buffer is less than the argument, then a new internal buffer is allocated with greater capacity. The new capacity is the larger of:

•	The minimumCapacity argument.

•	Twice the old capacity, plus 2.

If the minimumCapacity argument is nonpositive, this method takes no action and simply returns.

Parameter

minimumCapacity

the minimum desired capacity.

Applies to

 StringBuffer [java.lang]


ensureCapacity method [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      ensureCapacity method [java.util.Vector]

public final synchronized void ensureCapacity( int minCapacity )

Increases the capacity of this vector, if necessary, to ensure that it can hold at least the number of components specified by the minimum capacity argument.

Parameter

minCapacity

the desired minimum capacity.

Applies to

 Stack [java.util]

 Vector [java.util]


entries method [java.util.zip.ZipFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      entries method [java.util.zip.ZipFile]

public java.util.Enumeration entries( )

Returns an enumeration of the ZIP file entries.

Return

No documentation supplied in JDK.

Applies to

 ZipFile [java.util.zip]


enumerate method [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      enumerate method [java.lang.Thread]

public static int enumerate( java.lang.Thread[] tarray )

Copies into the specified array every active thread in this thread group and its subgroups. This method simply calls the enumerate method of this thread's thread group with the array argument.

Return

The number of threads put into the array.

See also

enumerate method [java.lang.ThreadGroup]

Applies to

 Thread [java.lang]


enumerate method [java.lang.ThreadGroup] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      enumerate method [java.lang.ThreadGroup]

Overloads:

 int enumerate( ThreadGroup[] list, boolean recurse )

 int enumerate( ThreadGroup[] list )

 int enumerate( Thread[] list )

 int enumerate( Thread[] list, boolean recurse )

public int enumerate( java.lang.ThreadGroup[] list, boolean recurse )

Copies into the specified array references to every active subgroup in this thread group. If the recurse flag is true, references to all active subgroups of the subgroups and so forth are also included.

An application should use the activeGroupCount method to get an estimate of how big the array should be.

Parameters

list

an array into which to place the list of threads.

recurse

a flag indicating whether to recursively enumerate all included thread groups.

Return

The number of thread groups put into the array.

See also

activeGroupCount method [java.lang.ThreadGroup]

public int enumerate( java.lang.ThreadGroup[] list )

Copies into the specified array references to every active subgroup in this thread group.

An application should use the activeGroupCount method to get an estimate of how big the array should be. If the array is too short to hold all the thread groups, the extra thread groups are silently ignored.

Parameter

list

an array into which to place the list of thread groups.

Return

The number of thread groups put into the array.

See also

activeGroupCount method [java.lang.ThreadGroup]

public int enumerate( java.lang.Thread[] list )

Copies into the specified array every active thread in this thread group and its subgroups.

An application should use the activeCount method to get an estimate of how big the array should be. If the array is too short to hold all the threads, the extra threads are silently ignored.

Parameter

list

an array into which to place the list of threads.

Return

The number of threads put into the array.

See also

activeCount method [java.lang.ThreadGroup]

public int enumerate( java.lang.Thread[] list, boolean recurse )

Copies into the specified array every active thread in this thread group. If the recurse flag is true, references to every active thread in this thread's subgroups are also included. If the array is too short to hold all the threads, the extra threads are silently ignored.

An application should use the activeCount method to get an estimate of how big the array should be.

Parameters

list

an array into which to place the list of threads.

recurse

a flag indicating whether also to include threads in thread groups that are subgroups of this thread group.

Return

The number of threads placed into the array.

See also

activeCount method [java.lang.ThreadGroup]

Applies to

 ThreadGroup [java.lang]


Enumeration interface [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      Enumeration interface [java.util]

Description

An object that implements the Enumeration interface generates a series of elements, one at a time. Successive calls to the nextElement method return successive elements of the series.

For example, to print all elements of a vector v :

   for (Enumeration e = v.elements() ; e.hasMoreElements() ;) {

       System.out.println(e.nextElement());

   }

Methods are provided to enumerate through the elements of a vector, the keys of a hashtable, and the values in a hashtable. Enumerations are also used to specify the input streams to a SequenceInputStream.

Definition

public interface Enumeration

{

  // Methods

  public boolean hasMoreElements( );

  public java.lang.Object nextElement( );

}

Methods

public boolean hasMoreElements( )

Tests if this enumeration contains more elements.

Return

true if this enumeration contains more elements; false otherwise.

public java.lang.Object nextElement( )

Returns the next element of this enumeration.

Return

The next element of this enumeration.

Throws

NoSuchElementException

If no more elements exist.

Implemented by

StringTokenizer [java.util]

See also

SequenceInputStream class [java.io]

Enumeration interface [java.util]

Hashtable class [java.util]

elements method [java.util.Dictionary]

keys method [java.util.Dictionary]

Vector class [java.util]

elements method [java.util.Vector]


EOFException class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      EOFException class [java.io]

Object

Throwable

Exception

IOException

EOFException

Description

Signals that an end of file or end of stream has been reached unexpectedly during input.

This exception is mainly used by data input streams, which generally expect a binary file in a specific format, and for which an end of stream is an unusual condition. Most other input streams return a special value on end of stream.

Specification

public class EOFException extends java.io.IOException

Constructors

public EOFException( )

Constructs an EOFException with no detail message.

public EOFException( java.lang.String s )

Constructs an EOFException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

DataInputStream class [java.io]

IOException class [java.io]


eolIsSignificant method [java.io.StreamTokenizer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      eolIsSignificant method [java.io.StreamTokenizer]

public void eolIsSignificant( boolean flag )

Determines whether or not ends of line are treated as tokens. If the flag argument is true, this tokenizer treats end of lines as tokens; the nextToken method returns TT_EOL and also sets the ttype field to this value when an end of line is read.

A line is a sequence of characters ending with either a carriage-return character ('\r') or a newline character ('\n'). In addition, a carriage-return character followed immediately by a newline character is treated as a single end-of-line token.

If the flag is false, end-of-line characters are treated as white space and serve only to separate tokens.

Parameter

flag

true indicates that end-of-line characters are separate tokens; false indicates that end-of-line characters are white space.

See also

nextToken method [java.io.StreamTokenizer]

Applies to

 StreamTokenizer [java.io]


equals method [java.awt.Color] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.awt.Color]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Determines whether another object is equal to this color.

The result is true if and only if the argument is not null and is a Color object that has the same red, green, and blue values as this object.

Parameter

obj

the object to compare with.

Return

true if the objects are the same; false otherwise.

Applies to

 Color [java.awt]

 SystemColor [java.awt]


equals method [java.awt.datatransfer.DataFlavor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.awt.datatransfer.DataFlavor]

Inherited overloads:

 boolean equals( Object obj )

public boolean equals( java.awt.datatransfer.DataFlavor dataFlavor )

Applies to

 DataFlavor [java.awt.datatransfer]


equals method [java.awt.Dimension] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.awt.Dimension]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Checks whether two dimension objects have equal values.

Return

No documentation supplied in JDK.

Applies to

 Dimension [java.awt]


equals method [java.awt.Font] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.awt.Font]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Compares this object to the specifed object. The result is true if and only if the argument is not null and is a Font object with the same name, style, and point size as this font.

Parameter

obj

the object to compare this font with.

Return

true if the objects are equal; false otherwise.

Applies to

 Font [java.awt]


equals method [java.awt.Insets] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.awt.Insets]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Checks whether two insets objects are equal. Two instances of Insets are equal if the four integer values of the fields top, left, bottom, and right are all equal.

Return

true if the two insets are equal; otherwise false.

Applies to

 Insets [java.awt]


equals method [java.awt.MenuShortcut] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.awt.MenuShortcut]

Inherited overloads:

 boolean equals( Object obj )

public boolean equals( java.awt.MenuShortcut s )

Returns whether this MenuShortcut is the same as another: equality is defined to mean that both MenuShortcuts use the same key and both either use or don't use the SHIFT key.

Parameter

s

the MenuShortcut to compare with this.

Return

No documentation supplied in JDK.

Applies to

 MenuShortcut [java.awt]


equals method [java.awt.Point] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.awt.Point]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Determines whether two points are equal. Two instances of Point are equal if the values of their x and y member fields, representing their position in the coordinate space, are the same.

Parameter

obj

an object to be compared with this point.

Return

true if the object to be compared is an instance of Point and has the same values; false otherwise.

Applies to

 Point [java.awt]


equals method [java.awt.Rectangle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.awt.Rectangle]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Checks whether two rectangles are equal.

The result is true if and only if the argument is not null and is a Rectangle object that has the same top-left corner, width, and height as this rectangle.

Parameter

obj

the object to compare with.

Return

true if the objects are equal; false otherwise.

Applies to

 Rectangle [java.awt]


equals method [java.io.File] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.io.File]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Compares this object against the specified object. Returns true if and only if the argument is not null and is a File object whose pathname is equal to the pathname of this object.

Parameter

obj

the object to compare with.

Return

true if the objects are the same; false otherwise.

Applies to

 File [java.io]


equals method [java.lang.Boolean] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.lang.Boolean]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Returns true if and only if the argument is not null and is a Boolean object that contains the same boolean value as this object.

Parameter

obj

the object to compare with.

Return

true if the objects are the same; false otherwise.

Applies to

 Boolean [java.lang]


equals method [java.lang.Byte] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.lang.Byte]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Compares this object to the specified object.

Parameter

obj

the object to compare with

Return

True if the objects are the same; false otherwise.

Applies to

 Byte [java.lang]


equals method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.lang.Character]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Compares this object against the specified object. The result is true if and only if the argument is not null and is a Character object that represents the same char value as this object.

Parameter

obj

the object to compare with.

Return

true if the objects are the same; false otherwise.

Applies to

 Character [java.lang]


equals method [java.lang.Double] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.lang.Double]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Compares this object against the specified object. The result is true if and only if the argument is not null and is a Double object that represents a double that has the identical bit pattern to the bit pattern of the double represented by this object.

Note that in most cases, for two instances of class Double, d1 and d2, the value of d1.equals(d2) is true if and only if

d1.doubleValue() == d2.doubleValue()

also has the value true. However, there are two exceptions:

•	If d1 and d2 both represent Double.NaN, then the equals method returns true, even though Double.NaN==Double.NaN has the value false.

•	If d1 represents +0.0 while d2 represents -0.0, or vice versa, the equal test has the value false, even though +0.0==-0.0 has the value true.

Parameter

obj

the object to compare with.

Return

true if the objects are the same; false otherwise.

Applies to

 Double [java.lang]


equals method [java.lang.Float] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.lang.Float]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Compares this object against some other object. The result is true if and only if the argument is not null and is a Float object that represents a float that has the identical bit pattern to the bit pattern of the float represented by this object.

Note that in most cases, for two instances of class Float, f1 and f2, the value of f1.equals(f2) is true if and only if

f1.floatValue() == f2.floatValue()

also has the value true. However, there are two exceptions:

•	If f1 and f2 both represent Float.NaN, then the equals method returns true, even though Float.NaN==Float.NaN has the value false.

•	If f1 represents +0.0f while f2 represents -0.0f, or vice versa, the equal test has the value false, even though 0.0f==-0.0f has the value true.

Return

true if the objects are the same; false otherwise.

See also

floatToIntBits method [java.lang.Float]

Applies to

 Float [java.lang]


equals method [java.lang.Integer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.lang.Integer]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Compares this object to the specified object. The result is true if and only if the argument is not null and is an Integer object that contains the same int value as this object.

Parameter

obj

the object to compare with.

Return

true if the objects are the same; false otherwise.

Applies to

 Integer [java.lang]


equals method [java.lang.Long] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.lang.Long]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Compares this object against the specified object. The result is true if and only if the argument is not null and is a Long object that contains the same long value as this object.

Parameter

obj

the object to compare with.

Return

true if the objects are the same; false otherwise.

Applies to

 Long [java.lang]


equals method [java.lang.Object] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Compares two Objects for equality.

The equals method implements an equivalence relation:

•	It is reflexive : for any reference value x, x.equals(x) should return true.

•	It is symmetric : for any reference values x and y, x.equals(y) should return true if and only if y.equals(x) returns true.

•	It is transitive : for any reference values x, y, and z, if x.equals(y) returns  true and y.equals(z) returns true, then x.equals(z) should return true.

•	It is consistent : for any reference values x and y, multiple invocations of x.equals(y) consistently return true or consistently return false.

•	For any reference value x, x.equals(null) should return false.

The equals method for class Object implements the most discriminating possible equivalence relation on objects; that is, for any reference values x and y, this method returns true if and only if x and y refer to the same object (x==y has the value true).

Parameter

obj

the reference object with which to compare.

Return

true if this object is the same as the obj argument; false otherwise.

See also

hashCode method [java.lang.Boolean]

Hashtable class [java.util]

Applies to

 AbstractMethodError [java.lang]

 AccessException [java.rmi]

 AclNotFoundException [java.security.acl]

 ActionEvent [java.awt.event]

 AdjustmentEvent [java.awt.event]

 Adler32 [java.util.zip]

 AlreadyBoundException [java.rmi]

 Applet [java.applet]

 AreaAveragingScaleFilter [java.awt.image]

 ArithmeticException [java.lang]

 Array [java.lang.reflect]

 ArrayIndexOutOfBoundsException [java.lang]

 ArrayStoreException [java.lang]

 AWTError [java.awt]

 AWTEvent [java.awt]

 AWTEventMulticaster [java.awt]

 AWTException [java.awt]

 BeanDescriptor [java.beans]

 Beans [java.beans]

 BigDecimal [java.math]

 BigInteger [java.math]

 BindException [java.net]

 BitSet [java.util]

 Boolean [java.lang]

 BorderLayout [java.awt]

 BreakIterator [java.text]

 BufferedInputStream [java.io]

 BufferedOutputStream [java.io]

 BufferedReader [java.io]

 BufferedWriter [java.io]

 Button [java.awt]

 Byte [java.lang]

 ByteArrayInputStream [java.io]

 ByteArrayOutputStream [java.io]

 Calendar [java.util]

 Canvas [java.awt]

 CardLayout [java.awt]

 Character [java.lang]

 CharArrayReader [java.io]

 CharArrayWriter [java.io]

 CharConversionException [java.io]

 Checkbox [java.awt]

 CheckboxGroup [java.awt]

 CheckboxMenuItem [java.awt]

 CheckedInputStream [java.util.zip]

 CheckedOutputStream [java.util.zip]

 Choice [java.awt]

 ChoiceFormat [java.text]

 Class [java.lang]

 ClassCastException [java.lang]

 ClassCircularityError [java.lang]

 ClassFormatError [java.lang]

 ClassLoader [java.lang]

 ClassNotFoundException [java.lang]

 Clipboard [java.awt.datatransfer]

 CloneNotSupportedException [java.lang]

 CollationElementIterator [java.text]

 CollationKey [java.text]

 Collator [java.text]

 Color [java.awt]

 ColorModel [java.awt.image]

 Compiler [java.lang]

 Component [java.awt]

 ComponentAdapter [java.awt.event]

 ComponentEvent [java.awt.event]

 ConnectException [java.net]

 ConnectException [java.rmi]

 ConnectIOException [java.rmi]

 Constructor [java.lang.reflect]

 Container [java.awt]

 ContainerAdapter [java.awt.event]

 ContainerEvent [java.awt.event]

 ContentHandler [java.net]

 CRC32 [java.util.zip]

 CropImageFilter [java.awt.image]

 Cursor [java.awt]

 DataFlavor [java.awt.datatransfer]

 DataFormatException [java.util.zip]

 DatagramPacket [java.net]

 DatagramSocket [java.net]

 DatagramSocketImpl [java.net]

 DataInputStream [java.io]

 DataOutputStream [java.io]

 DataTruncation [java.sql]

 Date [java.sql]

 Date [java.util]

 DateFormat [java.text]

 DateFormatSymbols [java.text]

 DateFormatZoneData [java.text.resources]

 DateFormatZoneData_ar [java.text.resources]

 DateFormatZoneData_be [java.text.resources]

 DateFormatZoneData_bg [java.text.resources]

 DateFormatZoneData_ca [java.text.resources]

 DateFormatZoneData_cs [java.text.resources]

 DateFormatZoneData_da [java.text.resources]

 DateFormatZoneData_de [java.text.resources]

 DateFormatZoneData_de_AT [java.text.resources]

 DateFormatZoneData_de_CH [java.text.resources]

 DateFormatZoneData_el [java.text.resources]

 DateFormatZoneData_en [java.text.resources]

 DateFormatZoneData_en_CA [java.text.resources]

 DateFormatZoneData_en_GB [java.text.resources]

 DateFormatZoneData_en_IE [java.text.resources]

 DateFormatZoneData_es [java.text.resources]

 DateFormatZoneData_et [java.text.resources]

 DateFormatZoneData_fi [java.text.resources]

 DateFormatZoneData_fr [java.text.resources]

 DateFormatZoneData_fr_BE [java.text.resources]

 DateFormatZoneData_fr_CA [java.text.resources]

 DateFormatZoneData_fr_CH [java.text.resources]

 DateFormatZoneData_hr [java.text.resources]

 DateFormatZoneData_hu [java.text.resources]

 DateFormatZoneData_is [java.text.resources]

 DateFormatZoneData_it [java.text.resources]

 DateFormatZoneData_it_CH [java.text.resources]

 DateFormatZoneData_iw [java.text.resources]

 DateFormatZoneData_ja [java.text.resources]

 DateFormatZoneData_ko [java.text.resources]

 DateFormatZoneData_lt [java.text.resources]

 DateFormatZoneData_lv [java.text.resources]

 DateFormatZoneData_mk [java.text.resources]

 DateFormatZoneData_nl [java.text.resources]

 DateFormatZoneData_nl_BE [java.text.resources]

 DateFormatZoneData_no [java.text.resources]

 DateFormatZoneData_no_NO_NY [java.text.resources]

 DateFormatZoneData_pl [java.text.resources]

 DateFormatZoneData_pt [java.text.resources]

 DateFormatZoneData_ro [java.text.resources]

 DateFormatZoneData_ru [java.text.resources]

 DateFormatZoneData_sh [java.text.resources]

 DateFormatZoneData_sk [java.text.resources]

 DateFormatZoneData_sl [java.text.resources]

 DateFormatZoneData_sq [java.text.resources]

 DateFormatZoneData_sr [java.text.resources]

 DateFormatZoneData_sv [java.text.resources]

 DateFormatZoneData_th [java.text.resources]

 DateFormatZoneData_tr [java.text.resources]

 DateFormatZoneData_uk [java.text.resources]

 DateFormatZoneData_zh [java.text.resources]

 DateFormatZoneData_zh_TW [java.text.resources]

 DecimalFormat [java.text]

 DecimalFormatSymbols [java.text]

 Deflater [java.util.zip]

 DeflaterOutputStream [java.util.zip]

 Dialog [java.awt]

 Dictionary [java.util]

 DigestException [java.security]

 DigestInputStream [java.security]

 DigestOutputStream [java.security]

 Dimension [java.awt]

 DirectColorModel [java.awt.image]

 Double [java.lang]

 DriverManager [java.sql]

 DriverPropertyInfo [java.sql]

 EmptyStackException [java.util]

 EOFException [java.io]

 Error [java.lang]

 Event [java.awt]

 EventObject [java.util]

 EventQueue [java.awt]

 EventSetDescriptor [java.beans]

 Exception [java.lang]

 ExceptionInInitializerError [java.lang]

 ExportException [java.rmi.server]

 FeatureDescriptor [java.beans]

 Field [java.lang.reflect]

 FieldPosition [java.text]

 File [java.io]

 FileDescriptor [java.io]

 FileDialog [java.awt]

 FileInputStream [java.io]

 FileNotFoundException [java.io]

 FileOutputStream [java.io]

 FileReader [java.io]

 FileWriter [java.io]

 FilteredImageSource [java.awt.image]

 FilterInputStream [java.io]

 FilterOutputStream [java.io]

 FilterReader [java.io]

 FilterWriter [java.io]

 Float [java.lang]

 FlowLayout [java.awt]

 FocusAdapter [java.awt.event]

 FocusEvent [java.awt.event]

 Font [java.awt]

 FontMetrics [java.awt]

 Format [java.text]

 Frame [java.awt]

 Graphics [java.awt]

 GregorianCalendar [java.util]

 GridBagConstraints [java.awt]

 GridBagLayout [java.awt]

 GridLayout [java.awt]

 GZIPInputStream [java.util.zip]

 GZIPOutputStream [java.util.zip]

 Hashtable [java.util]

 HttpURLConnection [java.net]

 Identity [java.security]

 IdentityScope [java.security]

 IllegalAccessError [java.lang]

 IllegalAccessException [java.lang]

 IllegalArgumentException [java.lang]

 IllegalComponentStateException [java.awt]

 IllegalMonitorStateException [java.lang]

 IllegalStateException [java.lang]

 IllegalThreadStateException [java.lang]

 Image [java.awt]

 ImageFilter [java.awt.image]

 IncompatibleClassChangeError [java.lang]

 IndexColorModel [java.awt.image]

 IndexedPropertyDescriptor [java.beans]

 IndexOutOfBoundsException [java.lang]

 InetAddress [java.net]

 Inflater [java.util.zip]

 InflaterInputStream [java.util.zip]

 InputEvent [java.awt.event]

 InputStream [java.io]

 InputStreamReader [java.io]

 Insets [java.awt]

 InstantiationError [java.lang]

 InstantiationException [java.lang]

 Integer [java.lang]

 InternalError [java.lang]

 InterruptedException [java.lang]

 InterruptedIOException [java.io]

 IntrospectionException [java.beans]

 Introspector [java.beans]

 InvalidClassException [java.io]

 InvalidKeyException [java.security]

 InvalidObjectException [java.io]

 InvalidParameterException [java.security]

 InvocationTargetException [java.lang.reflect]

 IOException [java.io]

 ItemEvent [java.awt.event]

 KeyAdapter [java.awt.event]

 KeyEvent [java.awt.event]

 KeyException [java.security]

 KeyManagementException [java.security]

 KeyPair [java.security]

 KeyPairGenerator [java.security]

 Label [java.awt]

 LastOwnerException [java.security.acl]

 Lease [java.rmi.dgc]

 LineNumberInputStream [java.io]

 LineNumberReader [java.io]

 LinkageError [java.lang]

 List [java.awt]

 ListResourceBundle [java.util]

 Locale [java.util]

 LocaleData [java.text.resources]

 LocaleElements [java.text.resources]

 LocaleElements_ar [java.text.resources]

 LocaleElements_be [java.text.resources]

 LocaleElements_bg [java.text.resources]

 LocaleElements_ca [java.text.resources]

 LocaleElements_cs [java.text.resources]

 LocaleElements_da [java.text.resources]

 LocaleElements_de [java.text.resources]

 LocaleElements_de_AT [java.text.resources]

 LocaleElements_de_AT_EURO [java.text.resources]

 LocaleElements_de_CH [java.text.resources]

 LocaleElements_de_DE_EURO [java.text.resources]

 LocaleElements_de_LU [java.text.resources]

 LocaleElements_de_LU_EURO [java.text.resources]

 LocaleElements_el [java.text.resources]

 LocaleElements_en [java.text.resources]

 LocaleElements_en_AU [java.text.resources]

 LocaleElements_en_CA [java.text.resources]

 LocaleElements_en_GB [java.text.resources]

 LocaleElements_en_IE [java.text.resources]

 LocaleElements_en_IE_EURO [java.text.resources]

 LocaleElements_en_NZ [java.text.resources]

 LocaleElements_en_ZA [java.text.resources]

 LocaleElements_es [java.text.resources]

 LocaleElements_es_AR [java.text.resources]

 LocaleElements_es_BO [java.text.resources]

 LocaleElements_es_CL [java.text.resources]

 LocaleElements_es_CO [java.text.resources]

 LocaleElements_es_CR [java.text.resources]

 LocaleElements_es_DO [java.text.resources]

 LocaleElements_es_EC [java.text.resources]

 LocaleElements_es_ES_EURO [java.text.resources]

 LocaleElements_es_GT [java.text.resources]

 LocaleElements_es_HN [java.text.resources]

 LocaleElements_es_MX [java.text.resources]

 LocaleElements_es_NI [java.text.resources]

 LocaleElements_es_PA [java.text.resources]

 LocaleElements_es_PE [java.text.resources]

 LocaleElements_es_PR [java.text.resources]

 LocaleElements_es_PY [java.text.resources]

 LocaleElements_es_SV [java.text.resources]

 LocaleElements_es_UY [java.text.resources]

 LocaleElements_es_VE [java.text.resources]

 LocaleElements_et [java.text.resources]

 LocaleElements_fi [java.text.resources]

 LocaleElements_fi_FI_EURO [java.text.resources]

 LocaleElements_fr [java.text.resources]

 LocaleElements_fr_BE [java.text.resources]

 LocaleElements_fr_BE_EURO [java.text.resources]

 LocaleElements_fr_CA [java.text.resources]

 LocaleElements_fr_CH [java.text.resources]

 LocaleElements_fr_FR_EURO [java.text.resources]

 LocaleElements_fr_LU [java.text.resources]

 LocaleElements_fr_LU_EURO [java.text.resources]

 LocaleElements_hr [java.text.resources]

 LocaleElements_hu [java.text.resources]

 LocaleElements_is [java.text.resources]

 LocaleElements_it [java.text.resources]

 LocaleElements_it_CH [java.text.resources]

 LocaleElements_it_IT_EURO [java.text.resources]

 LocaleElements_iw [java.text.resources]

 LocaleElements_ja [java.text.resources]

 LocaleElements_ko [java.text.resources]

 LocaleElements_lt [java.text.resources]

 LocaleElements_lv [java.text.resources]

 LocaleElements_mk [java.text.resources]

 LocaleElements_nl [java.text.resources]

 LocaleElements_nl_BE [java.text.resources]

 LocaleElements_nl_BE_EURO [java.text.resources]

 LocaleElements_nl_NL_EURO [java.text.resources]

 LocaleElements_no [java.text.resources]

 LocaleElements_no_NO_NY [java.text.resources]

 LocaleElements_pl [java.text.resources]

 LocaleElements_pt [java.text.resources]

 LocaleElements_pt_BR [java.text.resources]

 LocaleElements_pt_PT_EURO [java.text.resources]

 LocaleElements_ro [java.text.resources]

 LocaleElements_ru [java.text.resources]

 LocaleElements_sh [java.text.resources]

 LocaleElements_sk [java.text.resources]

 LocaleElements_sl [java.text.resources]

 LocaleElements_sq [java.text.resources]

 LocaleElements_sr [java.text.resources]

 LocaleElements_sv [java.text.resources]

 LocaleElements_th [java.text.resources]

 LocaleElements_tr [java.text.resources]

 LocaleElements_uk [java.text.resources]

 LocaleElements_zh [java.text.resources]

 LocaleElements_zh_TW [java.text.resources]

 LocateRegistry [java.rmi.registry]

 LogStream [java.rmi.server]

 Long [java.lang]

 MalformedURLException [java.net]

 MarshalException [java.rmi]

 Math [java.lang]

 MediaTracker [java.awt]

 MemoryImageSource [java.awt.image]

 Menu [java.awt]

 MenuBar [java.awt]

 MenuComponent [java.awt]

 MenuItem [java.awt]

 MenuShortcut [java.awt]

 MessageDigest [java.security]

 MessageFormat [java.text]

 Method [java.lang.reflect]

 MethodDescriptor [java.beans]

 MissingResourceException [java.util]

 Modifier [java.lang.reflect]

 MouseAdapter [java.awt.event]

 MouseEvent [java.awt.event]

 MouseMotionAdapter [java.awt.event]

 MulticastSocket [java.net]

 Naming [java.rmi]

 NegativeArraySizeException [java.lang]

 NoClassDefFoundError [java.lang]

 NoRouteToHostException [java.net]

 NoSuchAlgorithmException [java.security]

 NoSuchElementException [java.util]

 NoSuchFieldError [java.lang]

 NoSuchFieldException [java.lang]

 NoSuchMethodError [java.lang]

 NoSuchMethodException [java.lang]

 NoSuchObjectException [java.rmi]

 NoSuchProviderException [java.security]

 NotActiveException [java.io]

 NotBoundException [java.rmi]

 NotOwnerException [java.security.acl]

 NotSerializableException [java.io]

 NullPointerException [java.lang]

 Number [java.lang]

 NumberFormat [java.text]

 NumberFormatException [java.lang]

 Object [java.lang]

 ObjectInputStream [java.io]

 ObjectOutputStream [java.io]

 ObjectStreamClass [java.io]

 ObjectStreamException [java.io]

 ObjID [java.rmi.server]

 Observable [java.util]

 Operation [java.rmi.server]

 OptionalDataException [java.io]

 OutOfMemoryError [java.lang]

 OutputStream [java.io]

 OutputStreamWriter [java.io]

 PaintEvent [java.awt.event]

 Panel [java.awt]

 ParameterDescriptor [java.beans]

 ParseException [java.text]

 ParsePosition [java.text]

 PipedInputStream [java.io]

 PipedOutputStream [java.io]

 PipedReader [java.io]

 PipedWriter [java.io]

 PixelGrabber [java.awt.image]

 Point [java.awt]

 Polygon [java.awt]

 PopupMenu [java.awt]

 PrintJob [java.awt]

 PrintStream [java.io]

 PrintWriter [java.io]

 Process [java.lang]

 Properties [java.util]

 PropertyChangeEvent [java.beans]

 PropertyChangeSupport [java.beans]

 PropertyDescriptor [java.beans]

 PropertyEditorManager [java.beans]

 PropertyEditorSupport [java.beans]

 PropertyResourceBundle [java.util]

 PropertyVetoException [java.beans]

 ProtocolException [java.net]

 Provider [java.security]

 ProviderException [java.security]

 PushbackInputStream [java.io]

 PushbackReader [java.io]

 Random [java.util]

 RandomAccessFile [java.io]

 Reader [java.io]

 Rectangle [java.awt]

 RemoteException [java.rmi]

 RemoteObject [java.rmi.server]

 RemoteServer [java.rmi.server]

 RemoteStub [java.rmi.server]

 ReplicateScaleFilter [java.awt.image]

 ResourceBundle [java.util]

 RGBImageFilter [java.awt.image]

 RMIClassLoader [java.rmi.server]

 RMISecurityException [java.rmi]

 RMISecurityManager [java.rmi]

 RMISocketFactory [java.rmi.server]

 RuleBasedCollator [java.text]

 Runtime [java.lang]

 RuntimeException [java.lang]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 SecureRandom [java.security]

 Security [java.security]

 SecurityException [java.lang]

 SecurityManager [java.lang]

 SequenceInputStream [java.io]

 ServerCloneException [java.rmi.server]

 ServerError [java.rmi]

 ServerException [java.rmi]

 ServerNotActiveException [java.rmi.server]

 ServerRuntimeException [java.rmi]

 ServerSocket [java.net]

 Short [java.lang]

 Signature [java.security]

 SignatureException [java.security]

 Signer [java.security]

 SimpleBeanInfo [java.beans]

 SimpleDateFormat [java.text]

 SimpleTimeZone [java.util]

 SkeletonMismatchException [java.rmi.server]

 SkeletonNotFoundException [java.rmi.server]

 Socket [java.net]

 SocketException [java.net]

 SocketImpl [java.net]

 SocketSecurityException [java.rmi.server]

 SQLException [java.sql]

 SQLWarning [java.sql]

 Stack [java.util]

 StackOverflowError [java.lang]

 StreamCorruptedException [java.io]

 StreamTokenizer [java.io]

 String [java.lang]

 StringBuffer [java.lang]

 StringBufferInputStream [java.io]

 StringCharacterIterator [java.text]

 StringIndexOutOfBoundsException [java.lang]

 StringReader [java.io]

 StringSelection [java.awt.datatransfer]

 StringTokenizer [java.util]

 StringWriter [java.io]

 StubNotFoundException [java.rmi]

 SyncFailedException [java.io]

 System [java.lang]

 SystemColor [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextEvent [java.awt.event]

 TextField [java.awt]

 Thread [java.lang]

 ThreadDeath [java.lang]

 ThreadGroup [java.lang]

 Throwable [java.lang]

 Time [java.sql]

 Timestamp [java.sql]

 TimeZone [java.util]

 Toolkit [java.awt]

 TooManyListenersException [java.util]

 Types [java.sql]

 UID [java.rmi.server]

 UnexpectedException [java.rmi]

 UnicastRemoteObject [java.rmi.server]

 UnknownError [java.lang]

 UnknownHostException [java.net]

 UnknownHostException [java.rmi]

 UnknownServiceException [java.net]

 UnmarshalException [java.rmi]

 UnsatisfiedLinkError [java.lang]

 UnsupportedEncodingException [java.io]

 UnsupportedFlavorException [java.awt.datatransfer]

 URL [java.net]

 URLConnection [java.net]

 URLEncoder [java.net]

 URLStreamHandler [java.net]

 UTFDataFormatException [java.io]

 Vector [java.util]

 VerifyError [java.lang]

 VetoableChangeSupport [java.beans]

 VirtualMachineError [java.lang]

 VMID [java.rmi.dgc]

 Void [java.lang]

 Window [java.awt]

 WindowAdapter [java.awt.event]

 WindowEvent [java.awt.event]

 WriteAbortedException [java.io]

 Writer [java.io]

 ZipEntry [java.util.zip]

 ZipException [java.util.zip]

 ZipFile [java.util.zip]

 ZipInputStream [java.util.zip]

 ZipOutputStream [java.util.zip]


equals method [java.lang.reflect.Constructor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.lang.reflect.Constructor]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Compares this Constructor against the specified object. Returns true if the objects are the same.  Two Constructors are the same if they were declared by the same class and have the same formal parameter types.

Return

No documentation supplied in JDK.

Applies to

 Constructor [java.lang.reflect]


equals method [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.lang.reflect.Field]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Compares this Field against the specified object.  Returns true if the objects are the same.  Two Fields are the same if they were declared by the same class and have the same name and type.

Return

No documentation supplied in JDK.

Applies to

 Field [java.lang.reflect]


equals method [java.lang.reflect.Method] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.lang.reflect.Method]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Compares this Method against the specified object.  Returns true if the objects are the same.  Two Methods are the same if they were declared by the same class and have the same name and formal parameter types.

Return

No documentation supplied in JDK.

Applies to

 Method [java.lang.reflect]


equals method [java.lang.Short] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.lang.Short]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Compares this object to the specified object.

Parameter

obj

the object to compare with

Return

True if the objects are the same; false otherwise.

Applies to

 Short [java.lang]


equals method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.lang.String]

Overloads:

 boolean equals( Object anObject ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object anObject )

Compares this string to the specified object. The result is true if and only if the argument is not null and is a String object that represents the same sequence of characters as this object.

Parameter

anObject

the object to compare this String against.

Return

true if the String are equal; false otherwise.

See also

compareTo method [java.lang.String]

equalsIgnoreCase method [java.lang.String]

Applies to

 String [java.lang]


equals method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.math.BigDecimal]

Overloads:

 boolean equals( Object x ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object x )

Returns true iff x is a BigDecimal whose value is equal to this number. This method is provided so that BigDecimals can be used as hash keys. Unlike compareTo, this method considers two BigDecimals equal only if they are equal in value and scale.

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


equals method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.math.BigInteger]

Overloads:

 boolean equals( Object x ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object x )

Returns true iff x is a BigInteger whose value is equal to this number. This method is provided so that BigIntegers can be used as hash keys.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


equals method [java.net.InetAddress] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.net.InetAddress]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Compares this object against the specified object. The result is true if and only if the argument is not null and it represents the same IP address as this object.

Two instances of InetAddress represent the same IP address if the length of the byte arrays returned by getAddress is the same for both, and each of the array components is the same for the byte arrays.

Parameter

obj

the object to compare against.

Return

true if the objects are the same; false otherwise.

See also

address property [java.net.InetAddress]

Applies to

 InetAddress [java.net]


equals method [java.net.URL] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.net.URL]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Compares two URLs. The result is true if and only if the argument is not null and is a URL object that represents the same URL as this object. Two URL objects are equal if they have the same protocol and reference the same host, the same port number on the host, and the same file on the host. The anchors of the URL objects are not compared.

This method is equivalent to:

(obj instanceof URL) && sameFile((URL)obj)

Parameter

obj

the URL to compare against.

Return

true if the objects are the same; false otherwise.

Applies to

 URL [java.net]


equals method [java.rmi.dgc.VMID] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.rmi.dgc.VMID]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Compare this VMID to another, and return true if they are the same identifier.

Return

No documentation supplied in JDK.

Applies to

 VMID [java.rmi.dgc]


equals method [java.rmi.server.ObjID] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.rmi.server.ObjID]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Two object identifiers are considered equal if they have the same contents.

Return

No documentation supplied in JDK.

Applies to

 ObjID [java.rmi.server]


equals method [java.rmi.server.RemoteObject] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.rmi.server.RemoteObject]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Compares two remote objects for equality. Returns a boolean that indicates whether this remote object is equivalent to the specified Object. This method is used when a remote object is stored in a hashtable.

Parameter

obj

the Object to compare with

Return

True if these Objects are equal; false otherwise.

See also

Hashtable class [java.util]

Applies to

 RemoteObject [java.rmi.server]

 RemoteServer [java.rmi.server]

 RemoteStub [java.rmi.server]

 UnicastRemoteObject [java.rmi.server]


equals method [java.rmi.server.UID] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.rmi.server.UID]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Applies to

 UID [java.rmi.server]


equals method [java.security.Identity] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.security.Identity]

Overloads:

 boolean equals( Object identity ) overrides equals method [java.lang.Object]

public final boolean equals( java.lang.Object identity )

Tests for equality between the specified object and this identity. This first tests to see if the entities actually refer to the same object, in which case it returns true. Next, it checks to see if the entities have the same name and the same scope. If they do, the method returns true. Otherwise, it calls identityEquals, which subclasses should override.

Parameter

identity

the object to test for equality with this identity.

Return

True if the objects are considered equal, false otherwise.

See also

identityEquals method [java.security.Identity]

Applies to

 Identity [java.security]

 IdentityScope [java.security]

 Signer [java.security]


equals method [java.sql.Timestamp] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.sql.Timestamp]

Inherited overloads:

 boolean equals( Object obj )

 boolean equals( Object obj )

public boolean equals( java.sql.Timestamp ts )

Test Timestamp values for equality

Parameter

ts

the Timestamp value to compare with

Return

No documentation supplied in JDK.

Applies to

 Timestamp [java.sql]


equals method [java.text.ChoiceFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.text.ChoiceFormat]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.text.NumberFormat]

public boolean equals( java.lang.Object obj )

Equality comparision between two

Return

No documentation supplied in JDK.

Applies to

 ChoiceFormat [java.text]


equals method [java.text.CollationKey] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.text.CollationKey]

Overloads:

 boolean equals( Object target ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object target )

Compare this CollationKey and the target CollationKey for equality. The collation rules of the Collator object which created these keys are applied. Note: CollationKeys created by different Collators can not be compared.

Parameter

target

the CollationKey to compare to.

Return

Returns true if two objects are equal, false otherwise.

Applies to

 CollationKey [java.text]


equals method [java.text.Collator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.text.Collator]

Overloads:

 boolean equals( Object that ) overrides equals method [java.lang.Object]

 boolean equals( String source, String target )

public boolean equals( java.lang.Object that )

Compares the equality of two Collators.

Parameter

that

the Collator to be compared with this.

Return

True if this Collator is the same as that Collator; false otherwise.

public boolean equals( java.lang.String source, java.lang.String target )

Convenience method for comparing the equality of two strings based on this Collator's collation rules.

Parameters

source

the source string to be compared with.

target

the target string to be compared with.

Return

True if the strings are equal according to the collation rules.  false, otherwise.

See also

compare method [java.text.Collator]

Applies to

 Collator [java.text]

 RuleBasedCollator [java.text]


equals method [java.text.DateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.text.DateFormat]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Overrides equals

Return

No documentation supplied in JDK.

Applies to

 DateFormat [java.text]

 SimpleDateFormat [java.text]


equals method [java.text.DateFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.text.DateFormatSymbols]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Override equals

Return

No documentation supplied in JDK.

Applies to

 DateFormatSymbols [java.text]


equals method [java.text.DecimalFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.text.DecimalFormat]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.text.NumberFormat]

public boolean equals( java.lang.Object obj )

Overrides equals

Return

No documentation supplied in JDK.

Applies to

 DecimalFormat [java.text]


equals method [java.text.DecimalFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.text.DecimalFormatSymbols]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Override equals

Return

No documentation supplied in JDK.

Applies to

 DecimalFormatSymbols [java.text]


equals method [java.text.MessageFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.text.MessageFormat]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Equality comparision between two message format objects

Return

No documentation supplied in JDK.

Applies to

 MessageFormat [java.text]


equals method [java.text.NumberFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.text.NumberFormat]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Overrides equals

Return

No documentation supplied in JDK.

Applies to

 ChoiceFormat [java.text]

 DecimalFormat [java.text]

 NumberFormat [java.text]


equals method [java.text.RuleBasedCollator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.text.RuleBasedCollator]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.text.Collator]

Inherited overloads:

 boolean equals( String source, String target )

public boolean equals( java.lang.Object obj )

Compares the equality of two collation objects.

Parameter

obj

the table-based collation object to be compared with this.

Return

True if the current table-based collation object is the same as the table-based collation object obj; false otherwise.

Applies to

 RuleBasedCollator [java.text]


equals method [java.text.SimpleDateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.text.SimpleDateFormat]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.text.DateFormat]

public boolean equals( java.lang.Object obj )

Override equals.

Return

No documentation supplied in JDK.

Applies to

 SimpleDateFormat [java.text]


equals method [java.text.StringCharacterIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.text.StringCharacterIterator]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Compares the equality of two StringCharacterIterator objects.

Parameter

obj

the StringCharacterIterator object to be compared with.

Return

True if the given obj is the same as this StringCharacterIterator object; false otherwise.

Applies to

 StringCharacterIterator [java.text]


equals method [java.util.BitSet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.util.BitSet]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Compares this object against the specified object.

Parameter

obj

the object to compare with

Return

True if the objects are the same; false otherwise.

Applies to

 BitSet [java.util]


equals method [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.util.Calendar]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public abstract boolean equals( java.lang.Object obj )

Compares this calendar to the specified object. The result is true if and only if the argument is not null and is a Calendar object that represents the same calendar as this object.

Parameter

obj

the object to compare with.

Return

true if the objects are the same; false otherwise.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


equals method [java.util.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.util.Date]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Compares two dates. The result is true if and only if the argument is not null and is a Date object that represents the same point in time, to the millisecond, as this object.

Thus, two Date objects are equal if and only if the getTime method returns the same long value for both.

Parameter

obj

the object to compare with.

Return

true if the objects are the same; false otherwise.

See also

time property [java.util.Date]

Applies to

 Date [java.sql]

 Date [java.util]

 Time [java.sql]

 Timestamp [java.sql]


equals method [java.util.GregorianCalendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.util.GregorianCalendar]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.util.Calendar]

public boolean equals( java.lang.Object obj )

Compares this calendar to the specified object. The result is true if and only if the argument is not null and is a Calendar object that represents the same calendar as this object.

Parameter

obj

the object to compare with.

Return

true if the objects are the same; false otherwise.

Applies to

 GregorianCalendar [java.util]


equals method [java.util.Locale] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.util.Locale]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Applies to

 Locale [java.util]


equals method [java.util.SimpleTimeZone] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equals method [java.util.SimpleTimeZone]

Overloads:

 boolean equals( Object obj ) overrides equals method [java.lang.Object]

public boolean equals( java.lang.Object obj )

Compares the equality of two SimpleTimeZone objects.

Parameter

obj

The SimpleTimeZone object to be compared with.

Return

True if the given obj is the same as this SimpleTimeZone object; false otherwise.

Applies to

 SimpleTimeZone [java.util]


equalsIgnoreCase method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      equalsIgnoreCase method [java.lang.String]

public boolean equalsIgnoreCase( java.lang.String anotherString )

Compares this String to another object. The result is true if and only if the argument is not null and is a String object that represents the same sequence of characters as this object, where case is ignored.

Two characters are considered the same, ignoring case, if at least one of the following is true:

•	The two characters are the same (as compared by the == operator).

•	Applying the method Character.toUppercase to each character produces the same result.

•	Applying the method Character.toLowercase to each character produces the same result.

Two sequences of characters are the same, ignoring case, if the sequences have the same length and corresponding characters are the same, ignoring case.

Parameter

anotherString

the String to compare this String against.

Return

true if the Strings are equal, ignoring case; false otherwise.

See also

toLowerCase method [java.lang.Character]

toUpperCase method [java.lang.Character]

Applies to

 String [java.lang]


eras property [java.text.DateFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      eras property [java.text.DateFormatSymbols]

public java.lang.String[] getEras( )

Gets era strings. For example: "AD" and "BC".

Return

The era strings.

public void setEras( java.lang.String[] newEras )

Sets era strings. For example: "AD" and "BC".

Parameter

newEras

the new era strings.

Applies to

 DateFormatSymbols [java.text]


err property [java.lang.System] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      err property [java.lang.System]

public static void setErr( java.io.PrintStream err )

Reassigns the "standard" error output stream.

Applies to

 System [java.lang]


Error class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      Error class [java.lang]

Object

Throwable

Error

Description

An Error is a subclass of Throwable that indicates serious problems that a reasonable application should not try to catch. Most such errors are abnormal conditions. The ThreadDeath error, though a "normal" condition, is also a subclass of Error because most applications should not try to catch it.

A method is not required to declare in its throws clause any subclasses of Error that might be thrown during the execution of the method but not caught, since these errors are abnormal conditions that should never occur.

Specification

public class Error extends java.lang.Throwable

Constructors

public Error( )

Constructs an Error with no specified detail message.

public Error( java.lang.String s )

Constructs an Error with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

ThreadDeath class [java.lang]


errorAny property [java.awt.MediaTracker] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      errorAny property [java.awt.MediaTracker]

public synchronized boolean isErrorAny( )

Checks the error status of all of the images.

Return

true if any of the images tracked by this media tracker had an error during loading; false otherwise.

See also

isErrorID method [java.awt.MediaTracker]

errorsAny property [java.awt.MediaTracker]

Applies to

 MediaTracker [java.awt]


errorCode property [java.sql.SQLException] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      errorCode property [java.sql.SQLException]

public int getErrorCode( )

Get the vendor specific exception code

Return

The vendor's error code.

Applies to

 DataTruncation [java.sql]

 SQLException [java.sql]

 SQLWarning [java.sql]


errorOffset property [java.text.ParseException] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      errorOffset property [java.text.ParseException]

public int getErrorOffset( )

Returns the position where the error was found.

Return

No documentation supplied in JDK.

Applies to

 ParseException [java.text]


errorsAny property [java.awt.MediaTracker] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      errorsAny property [java.awt.MediaTracker]

public synchronized java.lang.Object[] getErrorsAny( )

Returns a list of all media that have encountered an error.

Return

An array of media objects tracked by this media tracker that have encountered an error, or null if there are none with errors.

See also

errorAny property [java.awt.MediaTracker]

errorsID property [java.awt.MediaTracker]

Applies to

 MediaTracker [java.awt]


errorsID property [java.awt.MediaTracker] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      errorsID property [java.awt.MediaTracker]

public synchronized java.lang.Object[] getErrorsID( int id )

Returns a list of media with the specified ID that have encountered an error.

Parameter

id

the identifier of the images to check.

Return

An array of media objects tracked by this media tracker with the specified identifier that have encountered an error, or null if there are none with errors.

See also

isErrorID method [java.awt.MediaTracker]

errorAny property [java.awt.MediaTracker]

errorsAny property [java.awt.MediaTracker]

Applies to

 MediaTracker [java.awt]


errorStream property [java.lang.Process] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      errorStream property [java.lang.Process]

public abstract java.io.InputStream getErrorStream( )

Gets the error stream of the subprocess. This stream is usually unbuffered.

Return

The input stream connected to the error stream of the subprocess.

Applies to

 Process [java.lang]


Event class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      Event class [java.awt]

Object

Event

Description

Event is a platform-independent class that encapsulates events from the platform's Graphical User Interface in the Java 1.0 event model. In Java 1.1 and later versions, the Event class is maintained only for backwards compatibilty. The information in this class description is provided to assist programmers in converting Java 1.0 programs to the new event model.

In the Java 1.0 event model, an event contains an id field that indicates what type of event it is and which other Event variables are relevant for the event.

For keyboard events, key contains a value indicating which key was activated, and modifiers contains the modifiers for that event.  For the KEY_PRESS and KEY_RELEASE event ids, the value of key is the unicode character code for the key. For KEY_ACTION and KEY_ACTION_RELEASE, the value of key is one of the defined action-key identifiers in the Event class (PGUP, PGDN, F1, F2, etc).

Specification

public class Event extends java.lang.Object implements java.io.Serializable

Constructors

public Event( java.lang.Object target, int id, java.lang.Object arg )

Creates an instance of Event with the specified target component, event type, and argument.

Parameters

target

the target component.

id

the event type.

arg

the specified argument.

public Event( java.lang.Object target, long when, int id, int x, int y, int key, int modifiers )

Creates an instance of Event, with the specified target component, time stamp, event type, x and y coordinates, keyboard key, state of the modifier keys, and an argument set to null.

Parameters

target

the target component.

when

the time stamp.

id

the event type.

x

the x coordinate.

y

the y coordinate.

key

the key pressed in a keyboard event.

modifiers

the state of the modifier keys.

public Event( java.lang.Object target, long when, int id, int x, int y, int key, int modifiers, java.lang.Object arg )

Creates an instance of Event with the specified target component, time stamp, event type, x and y coordinates, keyboard key, state of the modifier keys, and argument.

Parameters

target

the target component.

when

the time stamp.

id

the event type.

x

the x coordinate.

y

the y coordinate.

key

the key pressed in a keyboard event.

modifiers

the state of the modifier keys.

arg

the specified argument.

Variables

public static final int SHIFT_MASK

This flag indicates that the Shift key was down when the event occurred.

public static final int CTRL_MASK

This flag indicates that the Control key was down when the event occurred.

public static final int META_MASK

This flag indicates that the Meta key was down when the event occurred. For mouse events, this flag indicates that the right button was pressed or released.

public static final int ALT_MASK

This flag indicates that the Alt key was down when the event occurred. For mouse events, this flag indicates that the middle mouse button was pressed or released.

public static final int HOME

The Home key, a non-ASCII action key.

public static final int END

The End key, a non-ASCII action key.

public static final int PGUP

The Page Up key, a non-ASCII action key.

public static final int PGDN

The Page Down key, a non-ASCII action key.

public static final int UP

The Up Arrow key, a non-ASCII action key.

public static final int DOWN

The Down Arrow key, a non-ASCII action key.

public static final int LEFT

The Left Arrow key, a non-ASCII action key.

public static final int RIGHT

The Right Arrow key, a non-ASCII action key.

public static final int F1

The F1 function key, a non-ASCII action key.

public static final int F2

The F2 function key, a non-ASCII action key.

public static final int F3

The F3 function key, a non-ASCII action key.

public static final int F4

The F4 function key, a non-ASCII action key.

public static final int F5

The F5 function key, a non-ASCII action key.

public static final int F6

The F6 function key, a non-ASCII action key.

public static final int F7

The F7 function key, a non-ASCII action key.

public static final int F8

The F8 function key, a non-ASCII action key.

public static final int F9

The F9 function key, a non-ASCII action key.

public static final int F10

The F10 function key, a non-ASCII action key.

public static final int F11

The F11 function key, a non-ASCII action key.

public static final int F12

The F12 function key, a non-ASCII action key.

public static final int PRINT_SCREEN

The Print Screen key, a non-ASCII action key.

public static final int SCROLL_LOCK

The Scroll Lock key, a non-ASCII action key.

public static final int CAPS_LOCK

The Caps Lock key, a non-ASCII action key.

public static final int NUM_LOCK

The Num Lock key, a non-ASCII action key.

public static final int PAUSE

The Pause key, a non-ASCII action key.

public static final int INSERT

The Insert key, a non-ASCII action key.

public static final int ENTER

The Enter key.

public static final int BACK_SPACE

The BackSpace key.

public static final int TAB

The Tab key.

public static final int ESCAPE

The Escape key.

public static final int DELETE

The Delete key.

public static final int WINDOW_DESTROY

The user has asked the window manager to kill the window.

public static final int WINDOW_EXPOSE

The user has asked the window manager to expose the window.

public static final int WINDOW_ICONIFY

The user has asked the window manager to iconify the window.

public static final int WINDOW_DEICONIFY

The user has asked the window manager to de-iconify the window.

public static final int WINDOW_MOVED

The user has asked the window manager to move the window.

public static final int KEY_PRESS

The user has pressed a normal key.

public static final int KEY_RELEASE

The user has released a normal key.

public static final int KEY_ACTION

The user has pressed a non-ASCII action key. The key field contains a value that indicates that the event occurred on one of the action keys, which comprise the 12 function keys, the arrow (cursor) keys, Page Up, Page Down, Home, End, Print Screen, Scroll Lock, Caps Lock, Num Lock, Pause, and Insert.

public static final int KEY_ACTION_RELEASE

The user has released a non-ASCII action key. The key field contains a value that indicates that the event occurred on one of the action keys, which comprise the 12 function keys, the arrow (cursor) keys, Page Up, Page Down, Home, End, Print Screen, Scroll Lock, Caps Lock, Num Lock, Pause, and Insert.

public static final int MOUSE_DOWN

The user has pressed the mouse button. The ALT_MASK flag indicates that the middle button has been pressed. The META_MASKflag indicates that the right button has been pressed.

public static final int MOUSE_UP

The user has released the mouse button. The ALT_MASK flag indicates that the middle button has been released. The META_MASKflag indicates that the right button has been released.

public static final int MOUSE_MOVE

The mouse has moved with no button pressed.

public static final int MOUSE_ENTER

The mouse has entered a component.

public static final int MOUSE_EXIT

The mouse has exited a component.

public static final int MOUSE_DRAG

The user has moved the mouse with a button pressed. The ALT_MASK flag indicates that the middle button is being pressed. The META_MASK flag indicates that the right button is being pressed.

public static final int SCROLL_LINE_UP

The user has activated the line up area of a scroll bar.

public static final int SCROLL_LINE_DOWN

The user has activated the line down area of a scroll bar.

public static final int SCROLL_PAGE_UP

The user has activated the page up area of a scroll bar.

public static final int SCROLL_PAGE_DOWN

The user has activated the page down area of a scroll bar.

public static final int SCROLL_ABSOLUTE

The user has moved the bubble (thumb) in a scroll bar, moving to an "absolute" position, rather than to an offset from the last postion.

public static final int SCROLL_BEGIN

The scroll begin event.

public static final int SCROLL_END

The scroll end event.

public static final int LIST_SELECT

An item in a list has been selected.

public static final int LIST_DESELECT

An item in a list has been deselected.

public static final int ACTION_EVENT

This event indicates that the user wants some action to occur.

public static final int LOAD_FILE

A file loading event.

public static final int SAVE_FILE

A file saving event.

public static final int GOT_FOCUS

A component gained the focus.

public static final int LOST_FOCUS

A component lost the focus.

public java.lang.Object target

The target component. This indicates the component over which the event occurred or with which the event is associated.

public long when

The time stamp.

public int id

Indicates which type of event the event is, and which other Event variables are relevant for the event.

public int x

The x coordinate of the event.

public int y

The y coordinate of the event.

public int key

The key code of the key that was pressed in a keyboard event.

public int modifiers

The state of the modifier keys.

NOTE:  changing the modifier keys is not recommended, because many native implementations do not recognize modifier changes.  This is especially true when the shift modifier is changed.

public int clickCount

For MOUSE_DOWN events, this field indicates the number of consecutive clicks. For other events, its value is 0.

public java.lang.Object arg

An arbitrary argument of the event. The value of this field depends on the type of event.

public java.awt.Event evt

The next event. This field is set when putting events into a linked list.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  boolean controlDown( )

  boolean metaDown( )

  boolean shiftDown( )

  java.lang.String toString( )

  void translate( int x, int y )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected java.lang.String paramString( )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


EventListener interface [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      EventListener interface [java.util]

Description

A tagging interface that all event listener interfaces must extend

Definition

public interface EventListener

{

}


EventObject class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      EventObject class [java.util]

Object

EventObject

Specification

public class EventObject extends java.lang.Object implements java.io.Serializable

Constructor

public EventObject( java.lang.Object source )

Variable

protected java.lang.Object source

Properties

  java.lang.Object getSource( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.String toString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


EventQueue class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      EventQueue class [java.awt]

Object

EventQueue

Description

EventQueue is a platform-independent class that queues events, both from the underlying peer classes and from trusted application classes. There is only one EventQueue for the system.

Specification

public class EventQueue extends java.lang.Object

Constructor

public EventQueue( )

Properties

  synchronized java.awt.AWTEvent getNextEvent( ) throws java.lang.InterruptedException

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  synchronized java.awt.AWTEvent peekEvent( )

  synchronized java.awt.AWTEvent peekEvent( int id )

  synchronized void postEvent( java.awt.AWTEvent theEvent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


EventSetDescriptor class [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      EventSetDescriptor class [java.beans]

Object

FeatureDescriptor

EventSetDescriptor

Description

An EventSetDescriptor describes a group of events that a given Java bean fires.

The given group of events are all delivered as method calls on a single event listener interface, and an event listener object can be registered via a call on a registration method supplied by the event source.

Specification

public class EventSetDescriptor extends java.beans.FeatureDescriptor

Constructors

public EventSetDescriptor( java.lang.Class sourceClass, java.lang.String eventSetName, java.lang.Class listenerType, java.lang.String listenerMethodName ) throws java.beans.IntrospectionException

This constructor creates an EventSetDescriptor assuming that you are following the most simple standard design pattern where a named event "fred" is (1) delivered as a call on the single method of interface FredListener, (2) has a single argument of type FredEvent, and (3) where the FredListener may be registered with a call on an addFredListener method of the source component and removed with a call on a removeFredListener method.

Parameters

sourceClass

The class firing the event.

eventSetName

The programmatic name of the event. E.g. fred. Note that this should normally start with a lower-case character.

listenerType

The target interface that events will get delivered to.

listenerMethodName

The method that will get called when the event gets delivered to its target listener interface.

Throws

IntrospectionException

If an exception occurs during introspection.

public EventSetDescriptor( java.lang.String eventSetName, java.lang.Class listenerType, java.lang.reflect.Method[] listenerMethods, java.lang.reflect.Method addListenerMethod, java.lang.reflect.Method removeListenerMethod ) throws java.beans.IntrospectionException

This constructor creates an EventSetDescriptor from scratch using java.lang.reflect.Method and java.lang.Class objects.

Parameters

eventSetName

The programmatic name of the event set.

listenerType

The Class for the listener interface.

listenerMethods

An array of Method objects describing each of the event handling methods in the target listener.

addListenerMethod

The method on the event source that can be used to register an event listener object.

removeListenerMethod

The method on the event source that can be used to de-register an event listener object.

Throws

IntrospectionException

If an exception occurs during introspection.

public EventSetDescriptor( java.lang.String eventSetName, java.lang.Class listenerType, java.beans.MethodDescriptor[] listenerMethodDescriptors, java.lang.reflect.Method addListenerMethod, java.lang.reflect.Method removeListenerMethod ) throws java.beans.IntrospectionException

This constructor creates an EventSetDescriptor from scratch using java.lang.reflect.MethodDescriptor and java.lang.Class objects.

Parameters

eventSetName

The programmatic name of the event set.

listenerType

The Class for the listener interface.

listenerMethodDescriptors

An array of MethodDescriptor objects describing each of the event handling methods in the target listener.

addListenerMethod

The method on the event source that can be used to register an event listener object.

removeListenerMethod

The method on the event source that can be used to de-register an event listener object.

Throws

IntrospectionException

If an exception occurs during introspection.

public EventSetDescriptor( java.lang.Class sourceClass, java.lang.String eventSetName, java.lang.Class listenerType, java.lang.String[] listenerMethodNames, java.lang.String addListenerMethodName, java.lang.String removeListenerMethodName ) throws java.beans.IntrospectionException

This constructor creates an EventSetDescriptor from scratch using string names.

Parameters

sourceClass

The class firing the event.

eventSetName

The programmatic name of the event set. Note that this should normally start with a lower-case character.

listenerType

The Class of the target interface that events will get delivered to.

listenerMethodNames

The names of the methods that will get called when the event gets delivered to its target listener interface.

addListenerMethodName

The name of the method on the event source that can be used to register an event listener object.

removeListenerMethodName

The name of the method on the event source that can be used to de-register an event listener object.

Throws

IntrospectionException

If an exception occurs during introspection.

Properties

  java.lang.reflect.Method getAddListenerMethod( )

  void setInDefaultEventSet( boolean inDefaultEventSet )

  boolean isInDefaultEventSet( )

  java.beans.MethodDescriptor[] getListenerMethodDescriptors( )

  java.lang.reflect.Method[] getListenerMethods( )

  java.lang.Class getListenerType( )

  java.lang.reflect.Method getRemoveListenerMethod( )

  void setUnicast( boolean unicast )

  boolean isUnicast( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getDisplayName( )

  void setDisplayName( java.lang.String displayName )

  void setExpert( boolean expert )

  boolean isExpert( )

  void setHidden( boolean hidden )

  boolean isHidden( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.lang.String getShortDescription( )

  void setShortDescription( java.lang.String text )

Inherited Methods

  java.util.Enumeration attributeNames( )

  boolean equals( java.lang.Object obj )

  java.lang.Object getValue( java.lang.String attributeName )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void setValue( java.lang.String attributeName, java.lang.Object value )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


eventSetDescriptors property [java.beans.SimpleBeanInfo] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      eventSetDescriptors property [java.beans.SimpleBeanInfo]

public java.beans.EventSetDescriptor[] getEventSetDescriptors( )

Deny knowledge of event sets. You can override this if you wish to provide explicit event set info.

Return

No documentation supplied in JDK.

Applies to

 SimpleBeanInfo [java.beans]


Exception class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      Exception class [java.lang]

Object

Throwable

Exception

Description

The class Exception and its subclasses are a form of Throwable that indicates conditions that a reasonable application might want to catch.

Specification

public class Exception extends java.lang.Throwable

Constructors

public Exception( )

Constructs an Exception with no specified detail message.

public Exception( java.lang.String s )

Constructs an Exception with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Error class [java.lang]


exception property [java.lang.ExceptionInInitializerError] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      exception property [java.lang.ExceptionInInitializerError]

public java.lang.Throwable getException( )

Returns the exception that occurred during a static initialization that caused this Error to be created.

Return

No documentation supplied in JDK.

Applies to

 ExceptionInInitializerError [java.lang]


ExceptionInInitializerError class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      ExceptionInInitializerError class [java.lang]

Object

Throwable

Error

LinkageError

ExceptionInInitializerError

Description

Signals that an unexpected exception has occurred in a static initializer.

Specification

public class ExceptionInInitializerError extends java.lang.LinkageError

Constructors

public ExceptionInInitializerError( )

Constructs an ExceptionInInitializerError with no detail message. A detail message is a String that describes this particular exception.

public ExceptionInInitializerError( java.lang.Throwable thrown )

Constructs a new ExceptionInInitializerError class initialized to the specific throwable

Parameter

thrown

The exception thrown

public ExceptionInInitializerError( java.lang.String s )

Constructs a ExceptionInInitializerError with the specified detail message. A detail message is a String that describes this particular exception.

Parameter

s

the detail message

Properties

  java.lang.Throwable getException( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


exceptionTypes property [java.lang.reflect.Constructor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      exceptionTypes property [java.lang.reflect.Constructor]

public java.lang.Class[] getExceptionTypes( )

Returns an array of Class objects that represent the types of the checked exceptions thrown by the underlying constructor represented by this Constructor object.  Returns an array of length 0 if the constructor throws no checked exceptions.

Return

No documentation supplied in JDK.

Applies to

 Constructor [java.lang.reflect]


exceptionTypes property [java.lang.reflect.Method] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      exceptionTypes property [java.lang.reflect.Method]

public java.lang.Class[] getExceptionTypes( )

Returns an array of Class objects that represent the types of the checked exceptions thrown by the underlying method represented by this Method object.  Returns an array of length 0 if the method throws no checked exceptions.

Return

No documentation supplied in JDK.

Applies to

 Method [java.lang.reflect]


exec method [java.lang.Runtime] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      exec method [java.lang.Runtime]

Overloads:

 Process exec( String[] cmdarray, String[] envp )

 Process exec( String command, String[] envp )

 Process exec( String[] cmdarray )

 Process exec( String command )

public java.lang.Process exec( java.lang.String[] cmdarray, java.lang.String[] envp ) throws java.io.IOException

Executes the specified command and arguments in a separate process with the specified environment.

If there is a security manager, its checkExec method is called with the first component of the array cmdarray as its argument. This may result in a security exception.

Given an array of strings cmdarray, representing the tokens of a command line, and an array of strings envp, representing an "environment" that defines system properties, this method creates a new process in which to execute the specified command.

Parameters

cmdarray

array containing the command to call and its arguments.

envp

array containing environment in format name =value .

Return

A Process object for managing the subprocess.

Throws

SecurityException

If the current thread cannot create a subprocess.

See also

SecurityException class [java.lang]

checkExec method [java.lang.SecurityManager]

public java.lang.Process exec( java.lang.String command, java.lang.String[] envp ) throws java.io.IOException

Executes the specified string command in a separate process with the specified environment.

This method breaks the command string into tokens and creates a new array cmdarray containing the tokens; it then performs the call exec(cmdarray, envp).

Parameters

command

a specified system command.

envp

array containing environment in format name =value

Return

A Process object for managing the subprocess.

Throws

SecurityException

If the current thread cannot create a subprocess.

public java.lang.Process exec( java.lang.String[] cmdarray ) throws java.io.IOException

Executes the specified command and arguments in a separate process.

The command specified by the tokens in cmdarray is executed as a command in a separate process. This has exactly the same effect as exec(cmdarray, null).

Parameter

cmdarray

array containing the command to call and its arguments.

Return

A Process object for managing the subprocess.

Throws

SecurityException

If the current thread cannot create a subprocess.

public java.lang.Process exec( java.lang.String command ) throws java.io.IOException

Executes the specified string command in a separate process.

The command argument is parsed into tokens and then executed as a command in a separate process. This method has exactly the same effect as exec(command, null).

Parameter

command

a specified system command.

Return

A Process object for managing the subprocess.

Throws

SecurityException

If the current thread cannot create a subprocess.

Applies to

 Runtime [java.lang]


exists method [java.io.File] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      exists method [java.io.File]

public boolean exists( )

Tests if this File exists.

Return

true if the file specified by this object exists; false otherwise.

Throws

SecurityException

If a security manager exists, its checkRead method is called with the pathname of this File to see if the application is allowed read access to the file.

See also

path property [java.io.File]

checkRead method [java.lang.SecurityManager]

Applies to

 File [java.io]


exit method [java.lang.Runtime] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      exit method [java.lang.Runtime]

public void exit( int status )

Terminates the currently running Java Virtual Machine. This method never returns normally.

If there is a security manager, its checkExit method is called with the status as its argument. This may result in a security exception.

The argument serves as a status code; by convention, a nonzero status code indicates abnormal termination.

Parameter

status

exit status.

Throws

SecurityException

If the current thread cannot exit with the specified status.

See also

SecurityException class [java.lang]

checkExit method [java.lang.SecurityManager]

Applies to

 Runtime [java.lang]


exit method [java.lang.System] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      exit method [java.lang.System]

public static void exit( int status )

Terminates the currently running Java Virtual Machine. The argument serves as a status code; by convention, a nonzero status code indicates abnormal termination.

This method calls the exit method in class Runtime. This method never returns normally.

Parameter

status

exit status.

Throws

SecurityException

If the current thread cannot exit with the specified status.

See also

exit method [java.lang.Runtime]

Applies to

 System [java.lang]


exitValue method [java.lang.Process] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      exitValue method [java.lang.Process]

public abstract int exitValue( )

Returns the exit value for the subprocess.

Return

The exit value of the subprocess.

Throws

IllegalThreadStateException

If the subprocess has not yet terminated.

Applies to

 Process [java.lang]


exp method [java.lang.Math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      exp method [java.lang.Math]

public static native double exp( double a )

Returns the exponential number e (i.e., 2.718...) raised to the power of a double value.

Parameter

a

a double value.

Return

The value e a, where e is the base of the natural logarithms.

Applies to

 Math [java.lang]


expert property [java.beans.FeatureDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      expert property [java.beans.FeatureDescriptor]

public void setExpert( boolean expert )

The "expert" flag is used to distinguish between features that are intended for expert users from those that are intended for normal users.

Parameter

expert

True if this feature is intended for use by experts only.

public boolean isExpert( )

The "expert" flag is used to distinguish between those features that are intended for expert users from those that are intended for normal users.

Return

True if this feature is intended for use by experts only.

Applies to

 BeanDescriptor [java.beans]

 EventSetDescriptor [java.beans]

 FeatureDescriptor [java.beans]

 IndexedPropertyDescriptor [java.beans]

 MethodDescriptor [java.beans]

 ParameterDescriptor [java.beans]

 PropertyDescriptor [java.beans]


expiration property [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      expiration property [java.net.URLConnection]

public long getExpiration( )

Returns the value of the expires header field.

Return

The expiration date of the resource that this URL references, or 0 if not known. The value is the number of seconds since January 1, 1970 GMT.

See also

headerField property [java.net.URLConnection]

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


ExportException class [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      ExportException class [java.rmi.server]

Object

Throwable

Exception

IOException

RemoteException

ExportException

Specification

public class ExportException extends java.rmi.RemoteException

Constructors

public ExportException( java.lang.String s )

Create A remote exception with the specified string

public ExportException( java.lang.String s, java.lang.Exception ex )

Create A remote exception with the specified string, and the exception specified.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


exportObject method [java.rmi.server.UnicastRemoteObject] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      exportObject method [java.rmi.server.UnicastRemoteObject]

public static java.rmi.server.RemoteStub exportObject( java.rmi.Remote obj ) throws java.rmi.RemoteException

Export the remote object to make it available to receive incoming calls.

Parameter

obj

the remote object to be exported

Return

No documentation supplied in JDK.

Throws

RemoteException

If export fails.

Applies to

 UnicastRemoteObject [java.rmi.server]


Externalizable interface [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      Externalizable interface [java.io]

Description

Externalization allows a class to specify the methods to be used to write the object's contents to a stream and to read them back.  The Externalizable interface's writeExternal and readExternal methods are implemented by a class to give the class complete control over the format and contents of the stream for an object and its supertypes. These methods must explicitly coordinate with the supertype to save its state.
Object Serialization uses the Serializable and Externalizable interfaces.  Object persistence mechanisms may use them also.  Each object to be stored is tested for the Externalizable interface. If the object supports it, the writeExternal method is called. If the object does not support Externalizable and does implement Serializable the object should be saved using ObjectOutputStream.
When an Externalizable object is to be reconstructed, an instance is created using the public no-arg constructor and the readExternal method called.  Serializable objects are restored by reading them from an ObjectInputStream.

Definition

public interface Externalizable extends java.io.Serializable

{

  // Methods

  public void writeExternal( java.io.ObjectOutput out ) throws java.io.IOException;

  public void readExternal( java.io.ObjectInput in ) throws java.io.IOException, java.lang.ClassNotFoundException;

}

Methods

public void writeExternal( java.io.ObjectOutput out ) throws java.io.IOException

The object implements the writeExternal method to save its contents by calling the methods of DataOutput for its primitive values or calling the writeObject method of ObjectOutput for objects, strings and arrays.

Throws

IOException

Includes any I/O exceptions that may occur.

public void readExternal( java.io.ObjectInput in ) throws java.io.IOException, java.lang.ClassNotFoundException

The object implements the readExternal method to restore its contents by calling the methods of DataInput for primitive types and readObject for objects, strings and arrays.  The readExternal method must read the values in the same sequence and with the same types as were written by writeExternal.

Throws

ClassNotFoundException

If the class for an object being restored cannot be found.

See also

ObjectOutputStream class [java.io]

ObjectInputStream class [java.io]

ObjectOutput interface [java.io]

ObjectInput interface [java.io]

Serializable interface [java.io]


extra property [java.util.zip.ZipEntry] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     E
      extra property [java.util.zip.ZipEntry]

public byte[] getExtra( )

Returns the extra field data for the entry, or null if none.

Return

No documentation supplied in JDK.

public void setExtra( byte[] extra )

Sets the optional extra field data for the entry.

Parameter

extra

the extra field data bytes

Throws

IllegalArgumentException

If the length of the specified extra field data is greater than 0xFFFFF bytes.

Applies to

 ZipEntry [java.util.zip]


F  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    F

 failureHandler property [java.rmi.server.RMISocketFactory]

 family property [java.awt.Font]

 FD property [java.io.FileInputStream]

 FD property [java.io.FileOutputStream]

 FD property [java.io.RandomAccessFile]

 FeatureDescriptor class [java.beans]

 Field class [java.lang.reflect]

 field property [java.text.FieldPosition]

 FieldPosition class [java.text]

 fields property [java.lang.Class]

 File class [java.io]

 file property [java.awt.FileDialog]

 file property [java.io.File]

 file property [java.net.URL]

 FileDescriptor class [java.io]

 fileDescriptor property [java.net.DatagramSocketImpl]

 fileDescriptor property [java.net.SocketImpl]

 FileDialog class [java.awt]

 FileDialogPeer interface [java.awt.peer]

 FileInputStream class [java.io]

 FilenameFilter interface [java.io]

 filenameFilter property [java.awt.FileDialog]

 FileNameMap interface [java.net]

 fileNameMap property [java.net.URLConnection]

 FileNotFoundException class [java.io]

 FileOutputStream class [java.io]

 filePointer property [java.io.RandomAccessFile]

 FileReader class [java.io]

 FileWriter class [java.io]

 fill method [java.util.zip.InflaterInputStream]

 fill3DRect method [java.awt.Graphics]

 fillArc method [java.awt.Graphics]

 fillInStackTrace method [java.lang.Throwable]

 fillOval method [java.awt.Graphics]

 fillPolygon method [java.awt.Graphics]

 fillRect method [java.awt.Graphics]

 fillRoundRect method [java.awt.Graphics]

 FilteredImageSource class [java.awt.image]

 filterIndexColorModel method [java.awt.image.RGBImageFilter]

 FilterInputStream class [java.io]

 FilterOutputStream class [java.io]

 FilterReader class [java.io]

 filterRGB method [java.awt.image.RGBImageFilter]

 filterRGBPixels method [java.awt.image.RGBImageFilter]

 FilterWriter class [java.io]

 finalize method [java.awt.Graphics]

 finalize method [java.awt.image.ColorModel]

 finalize method [java.awt.PrintJob]

 finalize method [java.io.FileInputStream]

 finalize method [java.io.FileOutputStream]

 finalize method [java.lang.Object]

 finalize method [java.util.zip.Deflater]

 finalize method [java.util.zip.Inflater]

 findEditor method [java.beans.PropertyEditorManager]

 findLoadedClass method [java.lang.ClassLoader]

 findSystemClass method [java.lang.ClassLoader]

 finish method [java.util.zip.Deflater]

 finish method [java.util.zip.DeflaterOutputStream]

 finish method [java.util.zip.GZIPOutputStream]

 finish method [java.util.zip.ZipOutputStream]

 finished method [java.util.zip.Deflater]

 finished method [java.util.zip.Inflater]

 firePropertyChange method [java.beans.PropertyChangeSupport]

 firePropertyChange method [java.beans.PropertyEditorSupport]

 fireVetoableChange method [java.beans.VetoableChangeSupport]

 first method [java.awt.CardLayout]

 first method [java.text.BreakIterator]

 first method [java.text.StringCharacterIterator]

 firstDayOfWeek property [java.util.Calendar]

 firstElement method [java.util.Vector]

 flipBit method [java.math.BigInteger]

 Float class [java.lang]

 floatToIntBits method [java.lang.Float]

 floatValue method [java.lang.Byte]

 floatValue method [java.lang.Double]

 floatValue method [java.lang.Float]

 floatValue method [java.lang.Integer]

 floatValue method [java.lang.Long]

 floatValue method [java.lang.Number]

 floatValue method [java.lang.Short]

 floatValue method [java.math.BigDecimal]

 floatValue method [java.math.BigInteger]

 floor method [java.lang.Math]

 FlowLayout class [java.awt]

 flush method [java.awt.Image]

 flush method [java.io.BufferedOutputStream]

 flush method [java.io.BufferedWriter]

 flush method [java.io.CharArrayWriter]

 flush method [java.io.DataOutputStream]

 flush method [java.io.FilterOutputStream]

 flush method [java.io.FilterWriter]

 flush method [java.io.ObjectOutputStream]

 flush method [java.io.OutputStream]

 flush method [java.io.OutputStreamWriter]

 flush method [java.io.PipedOutputStream]

 flush method [java.io.PipedWriter]

 flush method [java.io.PrintStream]

 flush method [java.io.PrintWriter]

 flush method [java.io.StringWriter]

 flush method [java.io.Writer]

 FocusAdapter class [java.awt.event]

 FocusEvent class [java.awt.event]

 FocusEvent event [java.awt.Component]

 focusGained method [java.awt.AWTEventMulticaster]

 focusGained method [java.awt.event.FocusAdapter]

 FocusListener interface [java.awt.event]

 focusLost method [java.awt.AWTEventMulticaster]

 focusLost method [java.awt.event.FocusAdapter]

 focusOwner property [java.awt.Window]

 focusTraversable property [java.awt.Component]

 following method [java.text.BreakIterator]

 followRedirects property [java.net.HttpURLConnection]

 Font class [java.awt]

 font property [java.awt.Component]

 font property [java.awt.FontMetrics]

 font property [java.awt.Graphics]

 font property [java.awt.MenuComponent]

 fontList property [java.awt.Toolkit]

 FontMetrics class [java.awt]

 fontMetrics property [java.awt.Graphics]

 FontPeer interface [java.awt.peer]

 forClass method [java.io.ObjectStreamClass]

 forDigit method [java.lang.Character]

 foreground property [java.awt.Component]

 Format class [java.text]

 format method [java.text.ChoiceFormat]

 format method [java.text.DateFormat]

 format method [java.text.DecimalFormat]

 format method [java.text.Format]

 format method [java.text.MessageFormat]

 format method [java.text.NumberFormat]

 format method [java.text.SimpleDateFormat]

 format property [java.text.MessageFormat]

 formats property [java.text.ChoiceFormat]

 formats property [java.text.MessageFormat]

 forName method [java.lang.Class]

 Frame class [java.awt]

 FramePeer interface [java.awt.peer]

 freeMemory method [java.lang.Runtime]

 fullBufferUpdates property [java.awt.image.MemoryImageSource]


failureHandler property [java.rmi.server.RMISocketFactory] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      failureHandler property [java.rmi.server.RMISocketFactory]

public static java.rmi.server.RMIFailureHandler getFailureHandler( )

Returns the handler for socket creation failure.

Return

No documentation supplied in JDK.

public static void setFailureHandler( java.rmi.server.RMIFailureHandler fh )

Set the failure handler to be called by the RMI runtime if socket creation fails.  The default implementation of this handler returns false (thus recreation of sockets is not attempted by the runtime).

Applies to

 RMISocketFactory [java.rmi.server]


family property [java.awt.Font] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      family property [java.awt.Font]

public java.lang.String getFamily( )

Gets the platform specific family name of the font. Use the getName method to get the logical name of the font.

Return

A string, the platform specific family name.

See also

name property [java.awt.Font]

Applies to

 Font [java.awt]


FD property [java.io.FileInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FD property [java.io.FileInputStream]

public final java.io.FileDescriptor getFD( ) throws java.io.IOException

Returns the opaque file descriptor object associated with this stream.

Return

The file descriptor object associated with this stream.

Throws

IOException

If an I/O error occurs.

See also

FileDescriptor class [java.io]

Applies to

 FileInputStream [java.io]


FD property [java.io.FileOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FD property [java.io.FileOutputStream]

public final java.io.FileDescriptor getFD( ) throws java.io.IOException

Returns the file descriptor associated with this stream.

Return

The file descriptor object associated with this stream.

Throws

IOException

If an I/O error occurs.

See also

FileDescriptor class [java.io]

Applies to

 FileOutputStream [java.io]


FD property [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FD property [java.io.RandomAccessFile]

public final java.io.FileDescriptor getFD( ) throws java.io.IOException

Returns the opaque file descriptor object associated with this stream.

Return

The file descriptor object associated with this stream.

Throws

IOException

If an I/O error occurs.

See also

FileDescriptor class [java.io]

Applies to

 RandomAccessFile [java.io]


FeatureDescriptor class [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FeatureDescriptor class [java.beans]

Object

FeatureDescriptor

Description

The FeatureDescriptor class is the common baseclass for PropertyDescriptor, EventSetDescriptor, and MethodDescriptor, etc.

It supports some common information that can be set and retrieved for any of the introspection descriptors.

In addition it provides an extension mechanism so that arbitrary attribute/value pairs can be associated with a design feature.

Specification

public class FeatureDescriptor extends java.lang.Object

Constructor

public FeatureDescriptor( )

Properties

  java.lang.String getDisplayName( )

  void setDisplayName( java.lang.String displayName )

  void setExpert( boolean expert )

  boolean isExpert( )

  void setHidden( boolean hidden )

  boolean isHidden( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.lang.String getShortDescription( )

  void setShortDescription( java.lang.String text )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.util.Enumeration attributeNames( )

  java.lang.Object getValue( java.lang.String attributeName )

  void setValue( java.lang.String attributeName, java.lang.Object value )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


Field class [java.lang.reflect] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      Field class [java.lang.reflect]

Object

Field

Description

A Field provides information about, and dynamic access to, a single field of a class or an interface.  The reflected field may be a class (static) field or an instance field.

A Field permits widening conversions to occur during a get or set access operation, but throws an IllegalArgumentException if a narrowing conversion would occur.

Specification

public final class Field extends java.lang.Object implements java.lang.reflect.Member

Properties

  java.lang.Class getDeclaringClass( )

  native int getModifiers( )

  java.lang.String getName( )

  java.lang.Class getType( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Object get( java.lang.Object obj ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

  native boolean getBoolean( java.lang.Object obj ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

  native byte getByte( java.lang.Object obj ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

  native char getChar( java.lang.Object obj ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

  native double getDouble( java.lang.Object obj ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

  native float getFloat( java.lang.Object obj ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

  native int getInt( java.lang.Object obj ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

  native long getLong( java.lang.Object obj ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

  native short getShort( java.lang.Object obj ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

  int hashCode( )

  native void set( java.lang.Object obj, java.lang.Object value ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

  native void setBoolean( java.lang.Object obj, boolean z ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

  native void setByte( java.lang.Object obj, byte b ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

  native void setChar( java.lang.Object obj, char c ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

  native void setDouble( java.lang.Object obj, double d ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

  native void setFloat( java.lang.Object obj, float f ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

  native void setInt( java.lang.Object obj, int i ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

  native void setLong( java.lang.Object obj, long l ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

  native void setShort( java.lang.Object obj, short s ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

  java.lang.String toString( )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Member interface [java.lang.reflect]

Class class [java.lang]

fields property [java.lang.Class]

getField method [java.lang.Class]

declaredFields property [java.lang.Class]

getDeclaredField method [java.lang.Class]


field property [java.text.FieldPosition] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      field property [java.text.FieldPosition]

public int getField( )

Retrieve the field identifier.

Return

No documentation supplied in JDK.

Applies to

 FieldPosition [java.text]


FieldPosition class [java.text] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FieldPosition class [java.text]

Object

FieldPosition

Description

FieldPosition is a simple class used by Format and its subclasses to identify fields in formatted output. Fields are identified by constants, whose names typically end with _FIELD, defined in the various subclasses of Format. See ERA_FIELD and its friends in DateFormat for an example.

FieldPosition keeps track of the position of the field within the formatted output with two indices: the index of the first character of the field and the index of the last character of the field.

One version of the format method in the various Format classes requires a FieldPosition object as an argument. You use this format method to perform partial formatting or to get information about the formatted output (such as the position of a field).

Specification

public class FieldPosition extends java.lang.Object

Constructor

public FieldPosition( int field )

Creates a FieldPosition object for the given field.  Fields are identified by constants, whose names typically end with _FIELD, in the various subclasses of Format.

Properties

  int getBeginIndex( )

  int getEndIndex( )

  int getField( )

Inherited Properties

  native final java.lang.Class getClass( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


fields property [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      fields property [java.lang.Class]

public java.lang.reflect.Field[] getFields( ) throws java.lang.SecurityException

Returns an array containing Field objects reflecting all the accessible public fields of the class or interface represented by this Class object.  Returns an array of length 0 if the class or interface has no accessible public fields, or if it represents an array type or a primitive type.

Specifically, if this Class object represents a class, returns the public fields of this class and of all its superclasses.  If this Class object represents an interface, returns the fields of this interface and of all its superinterfaces.  If this Class object represents an array type or a primitive type, returns an array of length 0.

The implicit length field for array types is not reflected by this method. User code should use the methods of class Array to manipulate arrays.

See The Java Language Specification , sections 8.2 and 8.3.

Return

No documentation supplied in JDK.

Throws

SecurityException

If access to the information is denied.

See also

Field class [java.lang.reflect]

Applies to

 Class [java.lang]


File class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      File class [java.io]

Object

File

Description

Instances of this class represent the name of a file or directory on the host file system. A file is specified by a pathname, which can either be an absolute pathname or a pathname relative to the current working directory. The pathname must follow the naming conventions of the host platform.

The File class is intended to provide an abstraction that deals with most of the machine dependent complexities of files and pathnames in a machine-independent fashion.

Note that whenever a filename or path is used it is assumed that the host's file naming conventions are used.

Specification

public class File extends java.lang.Object implements java.io.Serializable

Constructors

public File( java.lang.String path )

Creates a File instance that represents the file whose pathname is the given path argument.

Parameter

path

the file pathname.

Throws

NullPointerException

If the file path is equal to null.

See also

path property [java.io.File]

public File( java.io.File dir, java.lang.String name )

Creates a File instance that represents the file with the specified name in the specified directory.

If the directory argument is null, the resulting File instance represents a file in the (system-dependent) current directory whose pathname is the name argument. Otherwise, the File instance represents a file whose pathname is the pathname of the directory, followed by the separator character, followed by the name argument.

Parameters

dir

the directory.

name

the file pathname.

See also

path property [java.io.File]

public File( java.lang.String path, java.lang.String name )

Creates a File instance whose pathname is the pathname of the specified directory, followed by the separator character, followed by the name argument.

Parameters

path

the directory pathname.

name

the file pathname.

See also

path property [java.io.File]

Variables

public static final java.lang.String separator

The system-dependent path separator string. This field is initialized to contain the value of the system property file.separator.

public static final char separatorChar

The system-dependent path separator character. This field is initialized to contain the first character of the value of the system property file.separator. This character separates the directory and file components in a filename.

public static final java.lang.String pathSeparator

The system-dependent path separator string. This field is initialized to contain the value of the system property path.separator.

public static final char pathSeparatorChar

The system-dependent path separator character. This field is initialized to contain the first character of the value of the system property path.separator. This character is often used to separate filenames in a sequence of files given as a "path list".

Properties

  native boolean isAbsolute( )

  java.lang.String getAbsolutePath( )

  java.lang.String getCanonicalPath( ) throws java.io.IOException

  boolean isDirectory( )

  boolean isFile( )

  java.lang.String getName( )

  java.lang.String getParent( )

  java.lang.String getPath( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  boolean canRead( )

  boolean canWrite( )

  boolean delete( )

  boolean equals( java.lang.Object obj )

  boolean exists( )

  int hashCode( )

  long lastModified( )

  long length( )

  java.lang.String[] list( java.io.FilenameFilter filter )

  java.lang.String[] list( )

  boolean mkdir( )

  boolean mkdirs( )

  boolean renameTo( java.io.File dest )

  java.lang.String toString( )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


file property [java.awt.FileDialog] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      file property [java.awt.FileDialog]

public java.lang.String getFile( )

Gets the selected file of this file dialog.

Return

The currently selected file of this file dialog window, or null if none is selected.

public void setFile( java.lang.String file )

Sets the selected file for this file dialog window to be the specified file. This file becomes the default file if it is set before the file dialog window is first shown.

Parameter

file

the file being set.

Applies to

 FileDialog [java.awt]


file property [java.io.File] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      file property [java.io.File]

public boolean isFile( )

Tests if the file represented by this File object is a "normal" file.

A file is "normal" if it is not a directory and, in addition, satisfies other system-dependent criteria. Any non-directory file created by a Java application is guaranteed to be a normal file.

Return

true if the file specified by this object exists and is a "normal" file; false otherwise.

Throws

SecurityException

If a security manager exists, its checkRead method is called with the pathname of this File to see if the application is allowed read access to the file.

See also

path property [java.io.File]

checkRead method [java.lang.SecurityManager]

Applies to

 File [java.io]


file property [java.net.URL] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      file property [java.net.URL]

public java.lang.String getFile( )

Returns the file name of this URL.

Return

The file name of this URL.

Applies to

 URL [java.net]


FileDescriptor class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FileDescriptor class [java.io]

Object

FileDescriptor

Description

Instances of the file descriptor class serve as an opaque handle to the underlying machine-specific structure representing an open file or an open socket.

Applications should not create their own file descriptors.

Specification

public final class FileDescriptor extends java.lang.Object

Variables

public static final java.io.FileDescriptor in

A handle to the standard input stream.

public static final java.io.FileDescriptor out

A handle to the standard output stream.

public static final java.io.FileDescriptor err

A handle to the standard error stream.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  native void sync( ) throws java.io.SyncFailedException

  native boolean valid( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

FileInputStream class [java.io]

FileOutputStream class [java.io]


fileDescriptor property [java.net.DatagramSocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      fileDescriptor property [java.net.DatagramSocketImpl]

protected java.io.FileDescriptor getFileDescriptor( )

Get the datagram socket file descriptor

Return

No documentation supplied in JDK.

Applies to

 DatagramSocketImpl [java.net]


fileDescriptor property [java.net.SocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      fileDescriptor property [java.net.SocketImpl]

protected java.io.FileDescriptor getFileDescriptor( )

Returns the value of this socket's fd field.

Return

The value of this socket's fd field.

Applies to

 SocketImpl [java.net]


FileDialog class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FileDialog class [java.awt]

Object

Component

Container

Window

Dialog

FileDialog

Description

The FileDialog class displays a dialog window from which the user can select a file.

Since it is a modal dialog, when the application calls its show method to display the dialog, it blocks the rest of the application until the user has chosen a file.

Specification

public class FileDialog extends java.awt.Dialog

Constructors

public FileDialog( java.awt.Frame parent )

Creates a file dialog for loading a file.  The title of the file dialog is initially empty.

Parameter

parent

the owner of the dialog

public FileDialog( java.awt.Frame parent, java.lang.String title )

Creates a file dialog window with the specified title for loading a file. The files shown are those in the current directory.

Parameters

parent

the owner of the dialog.

title

the title of the dialog.

public FileDialog( java.awt.Frame parent, java.lang.String title, int mode )

Creates a file dialog window with the specified title for loading or saving a file.

If the value of mode is LOAD, then the file dialog is finding a file to read. If the value of mode is SAVE, the file dialog is finding a place to write a file.

Parameters

parent

the owner of the dialog.

title

the title of the dialog.

mode

the mode of the dialog.

Variables

public static final int LOAD

This constant value indicates that the purpose of the file dialog window is to locate a file from which to read.

public static final int SAVE

This constant value indicates that the purpose of the file dialog window is to locate a file to which to write.

Properties

  java.lang.String getDirectory( )

  void setDirectory( java.lang.String dir )

  java.lang.String getFile( )

  void setFile( java.lang.String file )

  java.io.FilenameFilter getFilenameFilter( )

  synchronized void setFilenameFilter( java.io.FilenameFilter filter )

  int getMode( )

  void setMode( int mode )

Inherited Properties

  float getAlignmentX( )

  float getAlignmentY( )

  java.awt.Color getBackground( )

  void setBackground( java.awt.Color c )

  java.awt.Rectangle getBounds( )

  void setBounds( java.awt.Rectangle r )

  native final java.lang.Class getClass( )

  java.awt.image.ColorModel getColorModel( )

  java.awt.Component getComponent( int n )

  int getComponentCount( )

  java.awt.Component[] getComponents( )

  java.awt.Cursor getCursor( )

  synchronized void setCursor( java.awt.Cursor cursor )

  void setEnabled( boolean b )

  boolean isEnabled( )

  java.awt.Component getFocusOwner( )

  boolean isFocusTraversable( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.awt.Color getForeground( )

  void setForeground( java.awt.Color c )

  java.awt.Graphics getGraphics( )

  java.awt.Insets getInsets( )

  java.awt.LayoutManager getLayout( )

  void setLayout( java.awt.LayoutManager mgr )

  java.util.Locale getLocale( )

  void setLocale( java.util.Locale l )

  java.awt.Point getLocation( )

  void setLocation( java.awt.Point p )

  void setLocation( int x, int y )

  java.awt.Point getLocationOnScreen( )

  java.awt.Dimension getMaximumSize( )

  java.awt.Dimension getMinimumSize( )

  void setModal( boolean b )

  boolean isModal( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.Container getParent( )

  java.awt.peer.ComponentPeer getPeer( )

  java.awt.Dimension getPreferredSize( )

  synchronized void setResizable( boolean resizable )

  boolean isResizable( )

  boolean isShowing( )

  java.awt.Dimension getSize( )

  void setSize( java.awt.Dimension d )

  void setSize( int width, int height )

  java.lang.String getTitle( )

  synchronized void setTitle( java.lang.String title )

  java.awt.Toolkit getToolkit( )

  final java.lang.Object getTreeLock( )

  boolean isValid( )

  void setVisible( boolean b )

  boolean isVisible( )

  final java.lang.String getWarningString( )

Methods

  void addNotify( )

Inherited Methods

  boolean action( java.awt.Event evt, java.lang.Object what )

  synchronized void add( java.awt.PopupMenu popup )

  java.awt.Component add( java.lang.String name, java.awt.Component comp )

  void add( java.awt.Component comp, java.lang.Object constraints )

  java.awt.Component add( java.awt.Component comp, int index )

  java.awt.Component add( java.awt.Component comp )

  void add( java.awt.Component comp, java.lang.Object constraints, int index )

  java.awt.Rectangle bounds( )

  int checkImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean contains( int x, int y )

  boolean contains( java.awt.Point p )

  int countComponents( )

  java.awt.Image createImage( java.awt.image.ImageProducer producer )

  java.awt.Image createImage( int width, int height )

  void deliverEvent( java.awt.Event e )

  void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  void dispose( )

  void doLayout( )

  void enable( )

  void enable( boolean b )

  boolean equals( java.lang.Object obj )

  java.awt.Component getComponentAt( int x, int y )

  java.awt.Component getComponentAt( java.awt.Point p )

  java.awt.FontMetrics getFontMetrics( java.awt.Font font )

  boolean gotFocus( java.awt.Event evt, java.lang.Object what )

  boolean handleEvent( java.awt.Event evt )

  native int hashCode( )

  void hide( )

  boolean imageUpdate( java.awt.Image img, int flags, int x, int y, int w, int h )

  java.awt.Insets insets( )

  boolean inside( int x, int y )

  void invalidate( )

  boolean isAncestorOf( java.awt.Component c )

  boolean keyDown( java.awt.Event evt, int key )

  boolean keyUp( java.awt.Event evt, int key )

  void layout( )

  void list( java.io.PrintWriter out, int indent )

  void list( )

  void list( java.io.PrintStream out, int indent )

  void list( java.io.PrintStream out )

  void list( java.io.PrintWriter out )

  java.awt.Component locate( int x, int y )

  java.awt.Point location( )

  boolean lostFocus( java.awt.Event evt, java.lang.Object what )

  java.awt.Dimension minimumSize( )

  boolean mouseDown( java.awt.Event evt, int x, int y )

  boolean mouseDrag( java.awt.Event evt, int x, int y )

  boolean mouseEnter( java.awt.Event evt, int x, int y )

  boolean mouseExit( java.awt.Event evt, int x, int y )

  boolean mouseMove( java.awt.Event evt, int x, int y )

  boolean mouseUp( java.awt.Event evt, int x, int y )

  void move( int x, int y )

  void nextFocus( )

  native final void notify( )

  native final void notifyAll( )

  void pack( )

  void paint( java.awt.Graphics g )

  void paintAll( java.awt.Graphics g )

  void paintComponents( java.awt.Graphics g )

  boolean postEvent( java.awt.Event e )

  java.awt.Dimension preferredSize( )

  boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean prepareImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  void print( java.awt.Graphics g )

  void printAll( java.awt.Graphics g )

  void printComponents( java.awt.Graphics g )

  synchronized void remove( java.awt.MenuComponent popup )

  void remove( int index )

  void remove( java.awt.Component comp )

  void removeAll( )

  void removeNotify( )

  void repaint( long tm, int x, int y, int width, int height )

  void repaint( long tm )

  void repaint( int x, int y, int width, int height )

  void repaint( )

  void requestFocus( )

  void reshape( int x, int y, int width, int height )

  void resize( java.awt.Dimension d )

  void resize( int width, int height )

  void setBounds( int x, int y, int width, int height )

  void show( boolean b )

  void show( )

  java.awt.Dimension size( )

  void toBack( )

  void toFront( )

  java.lang.String toString( )

  void transferFocus( )

  void update( java.awt.Graphics g )

  void validate( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected java.lang.String paramString( )

 protected void addImpl( java.awt.Component comp, java.lang.Object constraints, int index )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void finalize( ) throws java.lang.Throwable

 protected void processComponentEvent( java.awt.event.ComponentEvent e )

 protected void processContainerEvent( java.awt.event.ContainerEvent e )

 protected void processEvent( java.awt.AWTEvent e )

 protected void processFocusEvent( java.awt.event.FocusEvent e )

 protected void processKeyEvent( java.awt.event.KeyEvent e )

 protected void processMouseEvent( java.awt.event.MouseEvent e )

 protected void processMouseMotionEvent( java.awt.event.MouseEvent e )

 protected void processWindowEvent( java.awt.event.WindowEvent e )

 protected void validateTree( )

Inherited Events

  synchronized void addComponentListener( java.awt.event.ComponentListener l )

  synchronized void removeComponentListener( java.awt.event.ComponentListener l )

  synchronized void addContainerListener( java.awt.event.ContainerListener l )

  synchronized void removeContainerListener( java.awt.event.ContainerListener l )

  synchronized void addFocusListener( java.awt.event.FocusListener l )

  synchronized void removeFocusListener( java.awt.event.FocusListener l )

  synchronized void addKeyListener( java.awt.event.KeyListener l )

  synchronized void removeKeyListener( java.awt.event.KeyListener l )

  synchronized void addMouseListener( java.awt.event.MouseListener l )

  synchronized void removeMouseListener( java.awt.event.MouseListener l )

  synchronized void addMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void removeMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void addWindowListener( java.awt.event.WindowListener l )

  synchronized void removeWindowListener( java.awt.event.WindowListener l )

See also

show method [java.awt.Component]


FileDialogPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FileDialogPeer interface [java.awt.peer]

Definition

public interface FileDialogPeer extends java.awt.peer.DialogPeer

{

  // Properties

  public void setFile( java.lang.String file );

  public void setDirectory( java.lang.String dir );

  public void setFilenameFilter( java.io.FilenameFilter filter );

}

Properties

public void setFile( java.lang.String file )

public void setDirectory( java.lang.String dir )

public void setFilenameFilter( java.io.FilenameFilter filter )


FileInputStream class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FileInputStream class [java.io]

Object

InputStream

FileInputStream

Description

A file input stream is an input stream for reading data from a File or from a FileDescriptor.

Specification

public class FileInputStream extends java.io.InputStream

Constructors

public FileInputStream( java.lang.String name ) throws java.io.FileNotFoundException

Creates an input file stream to read from a file with the specified name.

Parameter

name

the system-dependent file name.

Throws

FileNotFoundException

If the file is not found.

SecurityException

If a security manager exists, its checkRead method is called with the name argument to see if the application is allowed read access to the file.

See also

checkRead method [java.lang.SecurityManager]

public FileInputStream( java.io.File file ) throws java.io.FileNotFoundException

Creates an input file stream to read from the specified File object.

Parameter

file

the file to be opened for reading.

Throws

FileNotFoundException

If the file is not found.

SecurityException

If a security manager exists, its checkRead method is called with the pathname of this File argument to see if the application is allowed read access to the file.

See also

path property [java.io.File]

checkRead method [java.lang.SecurityManager]

public FileInputStream( java.io.FileDescriptor fdObj )

Creates an input file stream to read from the specified file descriptor.

Parameter

fdObj

the file descriptor to be opened for reading.

Throws

SecurityException

If a security manager exists, its checkRead method is called with the file descriptor to see if the application is allowed to read from the specified file descriptor.

See also

checkRead method [java.lang.SecurityManager]

Properties

  final java.io.FileDescriptor getFD( ) throws java.io.IOException

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  native int available( ) throws java.io.IOException

  native void close( ) throws java.io.IOException

  native int read( ) throws java.io.IOException

  int read( byte[] b, int off, int len ) throws java.io.IOException

  int read( byte[] b ) throws java.io.IOException

  native long skip( long n ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  synchronized void mark( int readlimit )

  boolean markSupported( )

  native final void notify( )

  native final void notifyAll( )

  synchronized void reset( ) throws java.io.IOException

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.io.IOException

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

See also

File class [java.io]

FileDescriptor class [java.io]

FileOutputStream class [java.io]


FilenameFilter interface [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FilenameFilter interface [java.io]

Description

Instances of classes that implement this interface are used to filter filenames. These instances are used to filter directory listings in the list method of class File, and by the Abstract Window Toolkit's file dialog component.

Definition

public interface FilenameFilter

{

  // Methods

  public boolean accept( java.io.File dir, java.lang.String name );

}

Methods

public boolean accept( java.io.File dir, java.lang.String name )

Tests if a specified file should be included in a file list.

Parameters

dir

the directory in which the file was found.

name

the name of the file.

Return

true if the name should be included in the file list; false otherwise.

See also

filenameFilter property [java.awt.FileDialog]

File class [java.io]

list method [java.io.File]


filenameFilter property [java.awt.FileDialog] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      filenameFilter property [java.awt.FileDialog]

public java.io.FilenameFilter getFilenameFilter( )

Determines this file dialog's filename filter. A filename filter allows the user to specify which files appear in the file dialog window.

Return

This file dialog's filename filter.

See also

FilenameFilter interface [java.io]

public synchronized void setFilenameFilter( java.io.FilenameFilter filter )

Sets the filename filter for this file dialog window to the specified filter.

Parameter

filter

the specified filter.

See also

FilenameFilter interface [java.io]

Applies to

 FileDialog [java.awt]


FileNameMap interface [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FileNameMap interface [java.net]

Description

A simple interface which provides a mechanism to map between between a file name and a MIME type string.

Definition

public interface FileNameMap

{

  // Methods

  public java.lang.String getContentTypeFor( java.lang.String fileName );

}

Methods

public java.lang.String getContentTypeFor( java.lang.String fileName )

No documentation supplied in JDK

Return

No documentation supplied in JDK.


fileNameMap property [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      fileNameMap property [java.net.URLConnection]

public static java.net.FileNameMap getFileNameMap( )

Returns the FileNameMap.

Return

The FileNameMap.

public static void setFileNameMap( java.net.FileNameMap map )

Sets the FileNameMap.

Parameter

map

the FileNameMap to be set

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


FileNotFoundException class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FileNotFoundException class [java.io]

Object

Throwable

Exception

IOException

FileNotFoundException

Description

Signals that a file could not be found.

Specification

public class FileNotFoundException extends java.io.IOException

Constructors

public FileNotFoundException( )

Constructs a FileNotFoundException with no detail message.

public FileNotFoundException( java.lang.String s )

Constructs a FileNotFoundException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


FileOutputStream class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FileOutputStream class [java.io]

Object

OutputStream

FileOutputStream

Description

A file output stream is an output stream for writing data to a File or to a FileDescriptor.

Specification

public class FileOutputStream extends java.io.OutputStream

Constructors

public FileOutputStream( java.lang.String name ) throws java.io.IOException

Creates an output file stream to write to the file with the specified name.

Parameter

name

the system-dependent filename.

Throws

IOException

If the file could not be opened for writing.

SecurityException

If a security manager exists, its checkWrite method is called with the name argument to see if the application is allowed write access to the file.

See also

checkWrite method [java.lang.SecurityManager]

public FileOutputStream( java.io.FileDescriptor fdObj )

Creates an output file stream to write to the specified file descriptor.

Parameter

fdObj

the file descriptor to be opened for writing.

Throws

SecurityException

If a security manager exists, its checkWrite method is called with the file descriptor to see if the application is allowed to write to the specified file descriptor.

See also

checkWrite method [java.lang.SecurityManager]

public FileOutputStream( java.io.File file ) throws java.io.IOException

Creates a file output stream to write to the specified File object.

Parameter

file

the file to be opened for writing.

Throws

IOException

If the file could not be opened for writing.

SecurityException

If a security manager exists, its checkWrite method is called with the pathname of the File argument to see if the application is allowed write access to the file. This may result in a security exception.

See also

path property [java.io.File]

SecurityException class [java.lang]

checkWrite method [java.lang.SecurityManager]

public FileOutputStream( java.lang.String name, boolean append ) throws java.io.IOException

Creates an output file with the specified system dependent file name.

Parameter

name

the system dependent file name

Throws

IOException

If the file is not found.

Properties

  final java.io.FileDescriptor getFD( ) throws java.io.IOException

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  native void close( ) throws java.io.IOException

  native void write( int b ) throws java.io.IOException

  void write( byte[] b ) throws java.io.IOException

  void write( byte[] b, int off, int len ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  void flush( ) throws java.io.IOException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.io.IOException

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

See also

File class [java.io]

FileDescriptor class [java.io]

FileInputStream class [java.io]


filePointer property [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      filePointer property [java.io.RandomAccessFile]

public native long getFilePointer( ) throws java.io.IOException

Returns the current offset in this file.

Return

The offset from the beginning of the file, in bytes, at which the next read or write occurs.

Throws

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


FileReader class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FileReader class [java.io]

Object

Reader

InputStreamReader

FileReader

Description

Convenience class for reading character files.  The constructors of this class assume that the default character encoding and the default byte-buffer size are appropriate.  To specify these values yourself, construct an InputStreamReader on a FileInputStream.

Specification

public class FileReader extends java.io.InputStreamReader

Constructors

public FileReader( java.io.File file ) throws java.io.FileNotFoundException

public FileReader( java.io.FileDescriptor fd )

public FileReader( java.lang.String fileName ) throws java.io.FileNotFoundException

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getEncoding( )

Inherited Methods

  abstract void close( ) throws java.io.IOException

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  void mark( int readAheadLimit ) throws java.io.IOException

  boolean markSupported( )

  native final void notify( )

  native final void notifyAll( )

  abstract int read( char[] cbuf, int off, int len ) throws java.io.IOException

  int read( ) throws java.io.IOException

  int read( char[] cbuf ) throws java.io.IOException

  boolean ready( ) throws java.io.IOException

  void reset( ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

InputStreamReader class [java.io]

FileInputStream class [java.io]


FileWriter class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FileWriter class [java.io]

Object

Writer

OutputStreamWriter

FileWriter

Description

Convenience class for writing character files.  The constructors of this class assume that the default character encoding and the default byte-buffer size are acceptable.  To specify these values yourself, construct an OutputStreamWriter on a FileOutputStream.

Specification

public class FileWriter extends java.io.OutputStreamWriter

Constructors

public FileWriter( java.io.FileDescriptor fd )

public FileWriter( java.io.File file ) throws java.io.IOException

public FileWriter( java.lang.String fileName ) throws java.io.IOException

public FileWriter( java.lang.String fileName, boolean append ) throws java.io.IOException

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getEncoding( )

Inherited Methods

  abstract void close( ) throws java.io.IOException

  boolean equals( java.lang.Object obj )

  abstract void flush( ) throws java.io.IOException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  abstract void write( char[] cbuf, int off, int len ) throws java.io.IOException

  void write( java.lang.String str, int off, int len ) throws java.io.IOException

  void write( int c ) throws java.io.IOException

  void write( java.lang.String str ) throws java.io.IOException

  void write( char[] cbuf ) throws java.io.IOException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

OutputStreamWriter class [java.io]

FileOutputStream class [java.io]


fill method [java.util.zip.InflaterInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      fill method [java.util.zip.InflaterInputStream]

protected void fill( ) throws java.io.IOException

Fills input buffer with more data to decompress.

Throws

IOException

If an I/O error has occurred.

Applies to

 GZIPInputStream [java.util.zip]

 InflaterInputStream [java.util.zip]

 ZipInputStream [java.util.zip]


fill3DRect method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      fill3DRect method [java.awt.Graphics]

public void fill3DRect( int x, int y, int width, int height, boolean raised )

Paints a 3-D highlighted rectangle filled with the current color. The edges of the rectangle will be highlighted so that it appears as if the edges were beveled and lit from the upper left corner. The colors used for the highlighting effect will be determined from the current color.

Parameters

x

the x coordinate of the rectangle to be filled.

y

the y coordinate of the rectangle to be filled.

width

the width of the rectangle to be filled.

height

the height of the rectangle to be filled.

raised

a boolean value that determines whether the rectangle appears to be raised above the surface or etched into the surface.

See also

draw3DRect method [java.awt.Graphics]

Applies to

 Graphics [java.awt]


fillArc method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      fillArc method [java.awt.Graphics]

public abstract void fillArc( int x, int y, int width, int height, int startAngle, int arcAngle )

Fills a circular or elliptical arc covering the specified rectangle.

The resulting arc begins at startAngle and extends for arcAngle degrees. Angles are interpreted such that 0 degrees is at the 3 o'clock position. A positive value indicates a counter-clockwise rotation while a negative value indicates a clockwise rotation.

The center of the arc is the center of the rectangle whose origin is (x , y ) and whose size is specified by the width and height arguments.

The resulting arc covers an area width + 1 pixels wide by height + 1 pixels tall.

Parameters

x

the x coordinate of the upper-left corner of the arc to be filled.

y

the y coordinate of the upper-left corner of the arc to be filled.

width

the width of the arc to be filled.

height

the height of the arc to be filled.

startAngle

the beginning angle.

arcAngle

the angular extent of the arc, relative to the start angle.

See also

drawArc method [java.awt.Graphics]

Applies to

 Graphics [java.awt]


fillInStackTrace method [java.lang.Throwable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      fillInStackTrace method [java.lang.Throwable]

public native java.lang.Throwable fillInStackTrace( )

Fills in the execution stack trace. This method is useful when an application is re-throwing an error or exception. For example:

   try {

       a = b / c;

   } catch(ArithmeticThrowable e) {

       a = Number.MAX_VALUE;

       throw e.fillInStackTrace();

   }

Return

This Throwable object.

See also

printStackTrace method [java.lang.Throwable]

Applies to

 AbstractMethodError [java.lang]

 AccessException [java.rmi]

 AclNotFoundException [java.security.acl]

 AlreadyBoundException [java.rmi]

 ArithmeticException [java.lang]

 ArrayIndexOutOfBoundsException [java.lang]

 ArrayStoreException [java.lang]

 AWTError [java.awt]

 AWTException [java.awt]

 BindException [java.net]

 CharConversionException [java.io]

 ClassCastException [java.lang]

 ClassCircularityError [java.lang]

 ClassFormatError [java.lang]

 ClassNotFoundException [java.lang]

 CloneNotSupportedException [java.lang]

 ConnectException [java.net]

 ConnectException [java.rmi]

 ConnectIOException [java.rmi]

 DataFormatException [java.util.zip]

 DataTruncation [java.sql]

 DigestException [java.security]

 EmptyStackException [java.util]

 EOFException [java.io]

 Error [java.lang]

 Exception [java.lang]

 ExceptionInInitializerError [java.lang]

 ExportException [java.rmi.server]

 FileNotFoundException [java.io]

 IllegalAccessError [java.lang]

 IllegalAccessException [java.lang]

 IllegalArgumentException [java.lang]

 IllegalComponentStateException [java.awt]

 IllegalMonitorStateException [java.lang]

 IllegalStateException [java.lang]

 IllegalThreadStateException [java.lang]

 IncompatibleClassChangeError [java.lang]

 IndexOutOfBoundsException [java.lang]

 InstantiationError [java.lang]

 InstantiationException [java.lang]

 InternalError [java.lang]

 InterruptedException [java.lang]

 InterruptedIOException [java.io]

 IntrospectionException [java.beans]

 InvalidClassException [java.io]

 InvalidKeyException [java.security]

 InvalidObjectException [java.io]

 InvalidParameterException [java.security]

 InvocationTargetException [java.lang.reflect]

 IOException [java.io]

 KeyException [java.security]

 KeyManagementException [java.security]

 LastOwnerException [java.security.acl]

 LinkageError [java.lang]

 MalformedURLException [java.net]

 MarshalException [java.rmi]

 MissingResourceException [java.util]

 NegativeArraySizeException [java.lang]

 NoClassDefFoundError [java.lang]

 NoRouteToHostException [java.net]

 NoSuchAlgorithmException [java.security]

 NoSuchElementException [java.util]

 NoSuchFieldError [java.lang]

 NoSuchFieldException [java.lang]

 NoSuchMethodError [java.lang]

 NoSuchMethodException [java.lang]

 NoSuchObjectException [java.rmi]

 NoSuchProviderException [java.security]

 NotActiveException [java.io]

 NotBoundException [java.rmi]

 NotOwnerException [java.security.acl]

 NotSerializableException [java.io]

 NullPointerException [java.lang]

 NumberFormatException [java.lang]

 ObjectStreamException [java.io]

 OptionalDataException [java.io]

 OutOfMemoryError [java.lang]

 ParseException [java.text]

 PropertyVetoException [java.beans]

 ProtocolException [java.net]

 ProviderException [java.security]

 RemoteException [java.rmi]

 RMISecurityException [java.rmi]

 RuntimeException [java.lang]

 SecurityException [java.lang]

 ServerCloneException [java.rmi.server]

 ServerError [java.rmi]

 ServerException [java.rmi]

 ServerNotActiveException [java.rmi.server]

 ServerRuntimeException [java.rmi]

 SignatureException [java.security]

 SkeletonMismatchException [java.rmi.server]

 SkeletonNotFoundException [java.rmi.server]

 SocketException [java.net]

 SocketSecurityException [java.rmi.server]

 SQLException [java.sql]

 SQLWarning [java.sql]

 StackOverflowError [java.lang]

 StreamCorruptedException [java.io]

 StringIndexOutOfBoundsException [java.lang]

 StubNotFoundException [java.rmi]

 SyncFailedException [java.io]

 ThreadDeath [java.lang]

 Throwable [java.lang]

 TooManyListenersException [java.util]

 UnexpectedException [java.rmi]

 UnknownError [java.lang]

 UnknownHostException [java.net]

 UnknownHostException [java.rmi]

 UnknownServiceException [java.net]

 UnmarshalException [java.rmi]

 UnsatisfiedLinkError [java.lang]

 UnsupportedEncodingException [java.io]

 UnsupportedFlavorException [java.awt.datatransfer]

 UTFDataFormatException [java.io]

 VerifyError [java.lang]

 VirtualMachineError [java.lang]

 WriteAbortedException [java.io]

 ZipException [java.util.zip]


fillOval method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      fillOval method [java.awt.Graphics]

public abstract void fillOval( int x, int y, int width, int height )

Fills an oval bounded by the specified rectangle with the current color.

Parameters

x

the x coordinate of the upper left corner of the oval to be filled.

y

the y coordinate of the upper left corner of the oval to be filled.

width

the width of the oval to be filled.

height

the height of the oval to be filled.

See also

drawOval method [java.awt.Graphics]

Applies to

 Graphics [java.awt]


fillPolygon method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      fillPolygon method [java.awt.Graphics]

Overloads:

 void fillPolygon( int[] xPoints, int[] yPoints, int nPoints )

 void fillPolygon( Polygon p )

public abstract void fillPolygon( int[] xPoints, int[] yPoints, int nPoints )

Fills a closed polygon defined by arrays of x and y coordinates.

This method draws the polygon defined by nPoint line segments, where the first nPoint - 1 line segments are line segments from (xPoints[i - 1], yPoints[i - 1]) to (xPoints[i], yPoints[i]), for 1 <= i  <= nPoints. The figure is automatically closed by drawing a line connecting the final point to the first point, if those points are different.

The area inside the polygon is defined using an even-odd fill rule, also known as the alternating rule.

Parameters

xPoints

a an array of x coordinates.

yPoints

a an array of y coordinates.

nPoints

a the total number of points.

See also

drawPolygon method [java.awt.Graphics]

public void fillPolygon( java.awt.Polygon p )

Fills the polygon defined by the specified Polygon object with the graphics context's current color.

The area inside the polygon is defined using an even-odd fill rule, also known as the alternating rule.

Parameter

p

the polygon to fill.

See also

drawPolygon method [java.awt.Graphics]

Applies to

 Graphics [java.awt]


fillRect method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      fillRect method [java.awt.Graphics]

public abstract void fillRect( int x, int y, int width, int height )

Fills the specified rectangle. The left and right edges of the rectangle are at x and x + width - 1. The top and bottom edges are at y and y + height - 1. The resulting rectangle covers an area width pixels wide by height pixels tall. The rectangle is filled using the graphics context's current color.

Parameters

x

the x coordinate of the rectangle to be filled.

y

the y coordinate of the rectangle to be filled.

width

the width of the rectangle to be filled.

height

the height of the rectangle to be filled.

See also

clearRect method [java.awt.Graphics]

Applies to

 Graphics [java.awt]


fillRoundRect method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      fillRoundRect method [java.awt.Graphics]

public abstract void fillRoundRect( int x, int y, int width, int height, int arcWidth, int arcHeight )

Fills the specified rounded corner rectangle with the current color. The left and right edges of the rectangle are at x and x + width - 1, respectively. The top and bottom edges of the rectangle are at y and y + height - 1.

Parameters

x

the x coordinate of the rectangle to be filled.

y

the y coordinate of the rectangle to be filled.

width

the width of the rectangle to be filled.

height

the height of the rectangle to be filled.

arcWidth

the horizontal diameter of the arc at the four corners.

arcHeight

the vertical diameter of the arc at the four corners.

See also

drawRoundRect method [java.awt.Graphics]

Applies to

 Graphics [java.awt]


FilteredImageSource class [java.awt.image] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FilteredImageSource class [java.awt.image]

Object

FilteredImageSource

Description

This class is an implementation of the ImageProducer interface which takes an existing image and a filter object and uses them to produce image data for a new filtered version of the original image. Here is an example which filters an image by swapping the red and blue compents:

Image src = getImage("doc:///demo/images/duke/T1.gif");

ImageFilter colorfilter = new RedBlueSwapFilter();

Image img = createImage(new FilteredImageSource(src.getSource(),

colorfilter));

Specification

public class FilteredImageSource extends java.lang.Object implements java.awt.image.ImageProducer

Constructor

public FilteredImageSource( java.awt.image.ImageProducer orig, java.awt.image.ImageFilter imgf )

Constructs an ImageProducer object from an existing ImageProducer and a filter object.

See also

ImageFilter class [java.awt.image]

createImage method [java.awt.Component]

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  synchronized void addConsumer( java.awt.image.ImageConsumer ic )

  synchronized boolean isConsumer( java.awt.image.ImageConsumer ic )

  synchronized void removeConsumer( java.awt.image.ImageConsumer ic )

  void requestTopDownLeftRightResend( java.awt.image.ImageConsumer ic )

  void startProduction( java.awt.image.ImageConsumer ic )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

ImageProducer interface [java.awt.image]


filterIndexColorModel method [java.awt.image.RGBImageFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      filterIndexColorModel method [java.awt.image.RGBImageFilter]

public java.awt.image.IndexColorModel filterIndexColorModel( java.awt.image.IndexColorModel icm )

Filters an IndexColorModel object by running each entry in its color tables through the filterRGB function that RGBImageFilter subclasses must provide.  Uses coordinates of -1 to indicate that a color table entry is being filtered rather than an actual pixel value.

Parameter

icm

the IndexColorModel object to be filtered

Return

A new IndexColorModel representing the filtered colors.

Applies to

 RGBImageFilter [java.awt.image]


FilterInputStream class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FilterInputStream class [java.io]

Object

InputStream

FilterInputStream

Description

This class is the superclass of all classes that filter input streams. These streams sit on top of an already existing input stream (the underlying input stream), but provide additional functionality.

The class FilterInputStream itself simply overrides all methods of InputStream with versions that pass all requests to the underlying input stream. Subclasses of FilterInputStream may further override some of these methods as well as provide additional methods and fields.

Specification

public class FilterInputStream extends java.io.InputStream

Constructor

protected FilterInputStream( java.io.InputStream in )

Creates an input stream filter built on top of the specified input stream.

Parameter

in

the underlying input stream.

Variable

protected java.io.InputStream in

The underlying input stream.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  int available( ) throws java.io.IOException

  void close( ) throws java.io.IOException

  synchronized void mark( int readlimit )

  boolean markSupported( )

  int read( ) throws java.io.IOException

  int read( byte[] b ) throws java.io.IOException

  int read( byte[] b, int off, int len ) throws java.io.IOException

  synchronized void reset( ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


FilterOutputStream class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FilterOutputStream class [java.io]

Object

OutputStream

FilterOutputStream

Description

This class is the superclass of all classes that filter output streams. These streams sit on top of an already existing output stream (the underlying output stream), but provide additional functionality.

The class FilterOutputStream itself simply overrides all methods of OutputStream with versions that pass all requests to the underlying output stream. Subclasses of FilterOutputStream may further override some of these methods as well as provide additional methods and fields.

Specification

public class FilterOutputStream extends java.io.OutputStream

Constructor

public FilterOutputStream( java.io.OutputStream out )

Creates an output stream filter built on top of the specified underlying output stream.

Parameter

out

the underlying output stream.

Variable

protected java.io.OutputStream out

The underlying output stream.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( ) throws java.io.IOException

  void flush( ) throws java.io.IOException

  void write( int b ) throws java.io.IOException

  void write( byte[] b ) throws java.io.IOException

  void write( byte[] b, int off, int len ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


FilterReader class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FilterReader class [java.io]

Object

Reader

FilterReader

Description

Abstract class for reading filtered character streams.

Specification

public abstract class FilterReader extends java.io.Reader

Constructor

protected FilterReader( java.io.Reader in )

Create a new filtered reader.

Variable

protected java.io.Reader in

The underlying character-input stream, or null if the stream has been closed.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( ) throws java.io.IOException

  void mark( int readAheadLimit ) throws java.io.IOException

  boolean markSupported( )

  int read( char[] cbuf, int off, int len ) throws java.io.IOException

  int read( ) throws java.io.IOException

  boolean ready( ) throws java.io.IOException

  void reset( ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  int read( char[] cbuf ) throws java.io.IOException

  java.lang.String toString( )

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


filterRGB method [java.awt.image.RGBImageFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      filterRGB method [java.awt.image.RGBImageFilter]

public abstract int filterRGB( int x, int y, int rgb )

Subclasses must specify a method to convert a single input pixel in the default RGB ColorModel to a single output pixel.

Return

No documentation supplied in JDK.

See also

RGBdefault property [java.awt.image.ColorModel]

filterRGBPixels method [java.awt.image.RGBImageFilter]

Applies to

 RGBImageFilter [java.awt.image]


filterRGBPixels method [java.awt.image.RGBImageFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      filterRGBPixels method [java.awt.image.RGBImageFilter]

public void filterRGBPixels( int x, int y, int w, int h, int[] pixels, int off, int scansize )

Filters a buffer of pixels in the default RGB ColorModel by passing them one by one through the filterRGB method.

See also

RGBdefault property [java.awt.image.ColorModel]

filterRGB method [java.awt.image.RGBImageFilter]

Applies to

 RGBImageFilter [java.awt.image]


FilterWriter class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FilterWriter class [java.io]

Object

Writer

FilterWriter

Description

Abstract class for writing filtered character streams.

Specification

public abstract class FilterWriter extends java.io.Writer

Constructor

protected FilterWriter( java.io.Writer out )

Create a new filtered writer.

Variable

protected java.io.Writer out

The underlying character-output stream.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( ) throws java.io.IOException

  void flush( ) throws java.io.IOException

  void write( java.lang.String str, int off, int len ) throws java.io.IOException

  void write( char[] cbuf, int off, int len ) throws java.io.IOException

  void write( int c ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  void write( char[] cbuf ) throws java.io.IOException

  void write( java.lang.String str ) throws java.io.IOException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


finalize method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      finalize method [java.awt.Graphics]

Overloads:

 void finalize( ) overrides finalize method [java.lang.Object]

public void finalize( )

Disposes of this graphics context once it is no longer referenced.

See also

dispose method [java.awt.Graphics]

Applies to

 Graphics [java.awt]


finalize method [java.awt.image.ColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      finalize method [java.awt.image.ColorModel]

Overloads:

 void finalize( ) overrides finalize method [java.lang.Object]

public void finalize( )

Applies to

 ColorModel [java.awt.image]

 DirectColorModel [java.awt.image]

 IndexColorModel [java.awt.image]


finalize method [java.awt.PrintJob] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      finalize method [java.awt.PrintJob]

Overloads:

 void finalize( ) overrides finalize method [java.lang.Object]

public void finalize( )

Ends this print job once it is no longer referenced.

See also

end method [java.awt.PrintJob]

Applies to

 PrintJob [java.awt]


finalize method [java.io.FileInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      finalize method [java.io.FileInputStream]

Overloads:

 void finalize( ) overrides finalize method [java.lang.Object]

protected void finalize( ) throws java.io.IOException

Ensures that the close method of this file input stream is called when there are no more references to it.

Throws

IOException

If an I/O error occurs.

See also

close method [java.io.FileInputStream]

Applies to

 FileInputStream [java.io]


finalize method [java.io.FileOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      finalize method [java.io.FileOutputStream]

Overloads:

 void finalize( ) overrides finalize method [java.lang.Object]

protected void finalize( ) throws java.io.IOException

Ensures that the close method of this file output stream is called when there are no more references to this stream.

Throws

IOException

If an I/O error occurs.

See also

close method [java.io.FileInputStream]

Applies to

 FileOutputStream [java.io]


finalize method [java.lang.Object] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      finalize method [java.lang.Object]

protected void finalize( ) throws java.lang.Throwable

Called by the garbage collector on an object when garbage collection determines that there are no more references to the object. A subclass overrides the finalize method to dispose of system resources or to perform other cleanup.

Any exception thrown by the finalize method causes the finalization of this object to be halted, but is otherwise ignored.

The finalize method in Object does nothing.

Throws

java.lang.Throwable

[Need description!].

Applies to

 AbstractMethodError [java.lang]

 AccessException [java.rmi]

 AclNotFoundException [java.security.acl]

 ActionEvent [java.awt.event]

 AdjustmentEvent [java.awt.event]

 Adler32 [java.util.zip]

 AlreadyBoundException [java.rmi]

 Applet [java.applet]

 AreaAveragingScaleFilter [java.awt.image]

 ArithmeticException [java.lang]

 Array [java.lang.reflect]

 ArrayIndexOutOfBoundsException [java.lang]

 ArrayStoreException [java.lang]

 AWTError [java.awt]

 AWTEvent [java.awt]

 AWTEventMulticaster [java.awt]

 AWTException [java.awt]

 BeanDescriptor [java.beans]

 Beans [java.beans]

 BigDecimal [java.math]

 BigInteger [java.math]

 BindException [java.net]

 BitSet [java.util]

 Boolean [java.lang]

 BorderLayout [java.awt]

 BreakIterator [java.text]

 BufferedInputStream [java.io]

 BufferedOutputStream [java.io]

 BufferedReader [java.io]

 BufferedWriter [java.io]

 Button [java.awt]

 Byte [java.lang]

 ByteArrayInputStream [java.io]

 ByteArrayOutputStream [java.io]

 Calendar [java.util]

 Canvas [java.awt]

 CardLayout [java.awt]

 Character [java.lang]

 CharArrayReader [java.io]

 CharArrayWriter [java.io]

 CharConversionException [java.io]

 Checkbox [java.awt]

 CheckboxGroup [java.awt]

 CheckboxMenuItem [java.awt]

 CheckedInputStream [java.util.zip]

 CheckedOutputStream [java.util.zip]

 Choice [java.awt]

 ChoiceFormat [java.text]

 Class [java.lang]

 ClassCastException [java.lang]

 ClassCircularityError [java.lang]

 ClassFormatError [java.lang]

 ClassLoader [java.lang]

 ClassNotFoundException [java.lang]

 Clipboard [java.awt.datatransfer]

 CloneNotSupportedException [java.lang]

 CollationElementIterator [java.text]

 CollationKey [java.text]

 Collator [java.text]

 Color [java.awt]

 ColorModel [java.awt.image]

 Compiler [java.lang]

 Component [java.awt]

 ComponentAdapter [java.awt.event]

 ComponentEvent [java.awt.event]

 ConnectException [java.net]

 ConnectException [java.rmi]

 ConnectIOException [java.rmi]

 Constructor [java.lang.reflect]

 Container [java.awt]

 ContainerAdapter [java.awt.event]

 ContainerEvent [java.awt.event]

 ContentHandler [java.net]

 CRC32 [java.util.zip]

 CropImageFilter [java.awt.image]

 Cursor [java.awt]

 DataFlavor [java.awt.datatransfer]

 DataFormatException [java.util.zip]

 DatagramPacket [java.net]

 DatagramSocket [java.net]

 DatagramSocketImpl [java.net]

 DataInputStream [java.io]

 DataOutputStream [java.io]

 DataTruncation [java.sql]

 Date [java.sql]

 Date [java.util]

 DateFormat [java.text]

 DateFormatSymbols [java.text]

 DateFormatZoneData [java.text.resources]

 DateFormatZoneData_ar [java.text.resources]

 DateFormatZoneData_be [java.text.resources]

 DateFormatZoneData_bg [java.text.resources]

 DateFormatZoneData_ca [java.text.resources]

 DateFormatZoneData_cs [java.text.resources]

 DateFormatZoneData_da [java.text.resources]

 DateFormatZoneData_de [java.text.resources]

 DateFormatZoneData_de_AT [java.text.resources]

 DateFormatZoneData_de_CH [java.text.resources]

 DateFormatZoneData_el [java.text.resources]

 DateFormatZoneData_en [java.text.resources]

 DateFormatZoneData_en_CA [java.text.resources]

 DateFormatZoneData_en_GB [java.text.resources]

 DateFormatZoneData_en_IE [java.text.resources]

 DateFormatZoneData_es [java.text.resources]

 DateFormatZoneData_et [java.text.resources]

 DateFormatZoneData_fi [java.text.resources]

 DateFormatZoneData_fr [java.text.resources]

 DateFormatZoneData_fr_BE [java.text.resources]

 DateFormatZoneData_fr_CA [java.text.resources]

 DateFormatZoneData_fr_CH [java.text.resources]

 DateFormatZoneData_hr [java.text.resources]

 DateFormatZoneData_hu [java.text.resources]

 DateFormatZoneData_is [java.text.resources]

 DateFormatZoneData_it [java.text.resources]

 DateFormatZoneData_it_CH [java.text.resources]

 DateFormatZoneData_iw [java.text.resources]

 DateFormatZoneData_ja [java.text.resources]

 DateFormatZoneData_ko [java.text.resources]

 DateFormatZoneData_lt [java.text.resources]

 DateFormatZoneData_lv [java.text.resources]

 DateFormatZoneData_mk [java.text.resources]

 DateFormatZoneData_nl [java.text.resources]

 DateFormatZoneData_nl_BE [java.text.resources]

 DateFormatZoneData_no [java.text.resources]

 DateFormatZoneData_no_NO_NY [java.text.resources]

 DateFormatZoneData_pl [java.text.resources]

 DateFormatZoneData_pt [java.text.resources]

 DateFormatZoneData_ro [java.text.resources]

 DateFormatZoneData_ru [java.text.resources]

 DateFormatZoneData_sh [java.text.resources]

 DateFormatZoneData_sk [java.text.resources]

 DateFormatZoneData_sl [java.text.resources]

 DateFormatZoneData_sq [java.text.resources]

 DateFormatZoneData_sr [java.text.resources]

 DateFormatZoneData_sv [java.text.resources]

 DateFormatZoneData_th [java.text.resources]

 DateFormatZoneData_tr [java.text.resources]

 DateFormatZoneData_uk [java.text.resources]

 DateFormatZoneData_zh [java.text.resources]

 DateFormatZoneData_zh_TW [java.text.resources]

 DecimalFormat [java.text]

 DecimalFormatSymbols [java.text]

 Deflater [java.util.zip]

 DeflaterOutputStream [java.util.zip]

 Dialog [java.awt]

 Dictionary [java.util]

 DigestException [java.security]

 DigestInputStream [java.security]

 DigestOutputStream [java.security]

 Dimension [java.awt]

 DirectColorModel [java.awt.image]

 Double [java.lang]

 DriverManager [java.sql]

 DriverPropertyInfo [java.sql]

 EmptyStackException [java.util]

 EOFException [java.io]

 Error [java.lang]

 Event [java.awt]

 EventObject [java.util]

 EventQueue [java.awt]

 EventSetDescriptor [java.beans]

 Exception [java.lang]

 ExceptionInInitializerError [java.lang]

 ExportException [java.rmi.server]

 FeatureDescriptor [java.beans]

 Field [java.lang.reflect]

 FieldPosition [java.text]

 File [java.io]

 FileDescriptor [java.io]

 FileDialog [java.awt]

 FileInputStream [java.io]

 FileNotFoundException [java.io]

 FileOutputStream [java.io]

 FileReader [java.io]

 FileWriter [java.io]

 FilteredImageSource [java.awt.image]

 FilterInputStream [java.io]

 FilterOutputStream [java.io]

 FilterReader [java.io]

 FilterWriter [java.io]

 Float [java.lang]

 FlowLayout [java.awt]

 FocusAdapter [java.awt.event]

 FocusEvent [java.awt.event]

 Font [java.awt]

 FontMetrics [java.awt]

 Format [java.text]

 Frame [java.awt]

 Graphics [java.awt]

 GregorianCalendar [java.util]

 GridBagConstraints [java.awt]

 GridBagLayout [java.awt]

 GridLayout [java.awt]

 GZIPInputStream [java.util.zip]

 GZIPOutputStream [java.util.zip]

 Hashtable [java.util]

 HttpURLConnection [java.net]

 Identity [java.security]

 IdentityScope [java.security]

 IllegalAccessError [java.lang]

 IllegalAccessException [java.lang]

 IllegalArgumentException [java.lang]

 IllegalComponentStateException [java.awt]

 IllegalMonitorStateException [java.lang]

 IllegalStateException [java.lang]

 IllegalThreadStateException [java.lang]

 Image [java.awt]

 ImageFilter [java.awt.image]

 IncompatibleClassChangeError [java.lang]

 IndexColorModel [java.awt.image]

 IndexedPropertyDescriptor [java.beans]

 IndexOutOfBoundsException [java.lang]

 InetAddress [java.net]

 Inflater [java.util.zip]

 InflaterInputStream [java.util.zip]

 InputEvent [java.awt.event]

 InputStream [java.io]

 InputStreamReader [java.io]

 Insets [java.awt]

 InstantiationError [java.lang]

 InstantiationException [java.lang]

 Integer [java.lang]

 InternalError [java.lang]

 InterruptedException [java.lang]

 InterruptedIOException [java.io]

 IntrospectionException [java.beans]

 Introspector [java.beans]

 InvalidClassException [java.io]

 InvalidKeyException [java.security]

 InvalidObjectException [java.io]

 InvalidParameterException [java.security]

 InvocationTargetException [java.lang.reflect]

 IOException [java.io]

 ItemEvent [java.awt.event]

 KeyAdapter [java.awt.event]

 KeyEvent [java.awt.event]

 KeyException [java.security]

 KeyManagementException [java.security]

 KeyPair [java.security]

 KeyPairGenerator [java.security]

 Label [java.awt]

 LastOwnerException [java.security.acl]

 Lease [java.rmi.dgc]

 LineNumberInputStream [java.io]

 LineNumberReader [java.io]

 LinkageError [java.lang]

 List [java.awt]

 ListResourceBundle [java.util]

 Locale [java.util]

 LocaleData [java.text.resources]

 LocaleElements [java.text.resources]

 LocaleElements_ar [java.text.resources]

 LocaleElements_be [java.text.resources]

 LocaleElements_bg [java.text.resources]

 LocaleElements_ca [java.text.resources]

 LocaleElements_cs [java.text.resources]

 LocaleElements_da [java.text.resources]

 LocaleElements_de [java.text.resources]

 LocaleElements_de_AT [java.text.resources]

 LocaleElements_de_AT_EURO [java.text.resources]

 LocaleElements_de_CH [java.text.resources]

 LocaleElements_de_DE_EURO [java.text.resources]

 LocaleElements_de_LU [java.text.resources]

 LocaleElements_de_LU_EURO [java.text.resources]

 LocaleElements_el [java.text.resources]

 LocaleElements_en [java.text.resources]

 LocaleElements_en_AU [java.text.resources]

 LocaleElements_en_CA [java.text.resources]

 LocaleElements_en_GB [java.text.resources]

 LocaleElements_en_IE [java.text.resources]

 LocaleElements_en_IE_EURO [java.text.resources]

 LocaleElements_en_NZ [java.text.resources]

 LocaleElements_en_ZA [java.text.resources]

 LocaleElements_es [java.text.resources]

 LocaleElements_es_AR [java.text.resources]

 LocaleElements_es_BO [java.text.resources]

 LocaleElements_es_CL [java.text.resources]

 LocaleElements_es_CO [java.text.resources]

 LocaleElements_es_CR [java.text.resources]

 LocaleElements_es_DO [java.text.resources]

 LocaleElements_es_EC [java.text.resources]

 LocaleElements_es_ES_EURO [java.text.resources]

 LocaleElements_es_GT [java.text.resources]

 LocaleElements_es_HN [java.text.resources]

 LocaleElements_es_MX [java.text.resources]

 LocaleElements_es_NI [java.text.resources]

 LocaleElements_es_PA [java.text.resources]

 LocaleElements_es_PE [java.text.resources]

 LocaleElements_es_PR [java.text.resources]

 LocaleElements_es_PY [java.text.resources]

 LocaleElements_es_SV [java.text.resources]

 LocaleElements_es_UY [java.text.resources]

 LocaleElements_es_VE [java.text.resources]

 LocaleElements_et [java.text.resources]

 LocaleElements_fi [java.text.resources]

 LocaleElements_fi_FI_EURO [java.text.resources]

 LocaleElements_fr [java.text.resources]

 LocaleElements_fr_BE [java.text.resources]

 LocaleElements_fr_BE_EURO [java.text.resources]

 LocaleElements_fr_CA [java.text.resources]

 LocaleElements_fr_CH [java.text.resources]

 LocaleElements_fr_FR_EURO [java.text.resources]

 LocaleElements_fr_LU [java.text.resources]

 LocaleElements_fr_LU_EURO [java.text.resources]

 LocaleElements_hr [java.text.resources]

 LocaleElements_hu [java.text.resources]

 LocaleElements_is [java.text.resources]

 LocaleElements_it [java.text.resources]

 LocaleElements_it_CH [java.text.resources]

 LocaleElements_it_IT_EURO [java.text.resources]

 LocaleElements_iw [java.text.resources]

 LocaleElements_ja [java.text.resources]

 LocaleElements_ko [java.text.resources]

 LocaleElements_lt [java.text.resources]

 LocaleElements_lv [java.text.resources]

 LocaleElements_mk [java.text.resources]

 LocaleElements_nl [java.text.resources]

 LocaleElements_nl_BE [java.text.resources]

 LocaleElements_nl_BE_EURO [java.text.resources]

 LocaleElements_nl_NL_EURO [java.text.resources]

 LocaleElements_no [java.text.resources]

 LocaleElements_no_NO_NY [java.text.resources]

 LocaleElements_pl [java.text.resources]

 LocaleElements_pt [java.text.resources]

 LocaleElements_pt_BR [java.text.resources]

 LocaleElements_pt_PT_EURO [java.text.resources]

 LocaleElements_ro [java.text.resources]

 LocaleElements_ru [java.text.resources]

 LocaleElements_sh [java.text.resources]

 LocaleElements_sk [java.text.resources]

 LocaleElements_sl [java.text.resources]

 LocaleElements_sq [java.text.resources]

 LocaleElements_sr [java.text.resources]

 LocaleElements_sv [java.text.resources]

 LocaleElements_th [java.text.resources]

 LocaleElements_tr [java.text.resources]

 LocaleElements_uk [java.text.resources]

 LocaleElements_zh [java.text.resources]

 LocaleElements_zh_TW [java.text.resources]

 LocateRegistry [java.rmi.registry]

 LogStream [java.rmi.server]

 Long [java.lang]

 MalformedURLException [java.net]

 MarshalException [java.rmi]

 Math [java.lang]

 MediaTracker [java.awt]

 MemoryImageSource [java.awt.image]

 Menu [java.awt]

 MenuBar [java.awt]

 MenuComponent [java.awt]

 MenuItem [java.awt]

 MenuShortcut [java.awt]

 MessageDigest [java.security]

 MessageFormat [java.text]

 Method [java.lang.reflect]

 MethodDescriptor [java.beans]

 MissingResourceException [java.util]

 Modifier [java.lang.reflect]

 MouseAdapter [java.awt.event]

 MouseEvent [java.awt.event]

 MouseMotionAdapter [java.awt.event]

 MulticastSocket [java.net]

 Naming [java.rmi]

 NegativeArraySizeException [java.lang]

 NoClassDefFoundError [java.lang]

 NoRouteToHostException [java.net]

 NoSuchAlgorithmException [java.security]

 NoSuchElementException [java.util]

 NoSuchFieldError [java.lang]

 NoSuchFieldException [java.lang]

 NoSuchMethodError [java.lang]

 NoSuchMethodException [java.lang]

 NoSuchObjectException [java.rmi]

 NoSuchProviderException [java.security]

 NotActiveException [java.io]

 NotBoundException [java.rmi]

 NotOwnerException [java.security.acl]

 NotSerializableException [java.io]

 NullPointerException [java.lang]

 Number [java.lang]

 NumberFormat [java.text]

 NumberFormatException [java.lang]

 Object [java.lang]

 ObjectInputStream [java.io]

 ObjectOutputStream [java.io]

 ObjectStreamClass [java.io]

 ObjectStreamException [java.io]

 ObjID [java.rmi.server]

 Observable [java.util]

 Operation [java.rmi.server]

 OptionalDataException [java.io]

 OutOfMemoryError [java.lang]

 OutputStream [java.io]

 OutputStreamWriter [java.io]

 PaintEvent [java.awt.event]

 Panel [java.awt]

 ParameterDescriptor [java.beans]

 ParseException [java.text]

 ParsePosition [java.text]

 PipedInputStream [java.io]

 PipedOutputStream [java.io]

 PipedReader [java.io]

 PipedWriter [java.io]

 PixelGrabber [java.awt.image]

 Point [java.awt]

 Polygon [java.awt]

 PopupMenu [java.awt]

 PrintJob [java.awt]

 PrintStream [java.io]

 PrintWriter [java.io]

 Process [java.lang]

 Properties [java.util]

 PropertyChangeEvent [java.beans]

 PropertyChangeSupport [java.beans]

 PropertyDescriptor [java.beans]

 PropertyEditorManager [java.beans]

 PropertyEditorSupport [java.beans]

 PropertyResourceBundle [java.util]

 PropertyVetoException [java.beans]

 ProtocolException [java.net]

 Provider [java.security]

 ProviderException [java.security]

 PushbackInputStream [java.io]

 PushbackReader [java.io]

 Random [java.util]

 RandomAccessFile [java.io]

 Reader [java.io]

 Rectangle [java.awt]

 RemoteException [java.rmi]

 RemoteObject [java.rmi.server]

 RemoteServer [java.rmi.server]

 RemoteStub [java.rmi.server]

 ReplicateScaleFilter [java.awt.image]

 ResourceBundle [java.util]

 RGBImageFilter [java.awt.image]

 RMIClassLoader [java.rmi.server]

 RMISecurityException [java.rmi]

 RMISecurityManager [java.rmi]

 RMISocketFactory [java.rmi.server]

 RuleBasedCollator [java.text]

 Runtime [java.lang]

 RuntimeException [java.lang]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 SecureRandom [java.security]

 Security [java.security]

 SecurityException [java.lang]

 SecurityManager [java.lang]

 SequenceInputStream [java.io]

 ServerCloneException [java.rmi.server]

 ServerError [java.rmi]

 ServerException [java.rmi]

 ServerNotActiveException [java.rmi.server]

 ServerRuntimeException [java.rmi]

 ServerSocket [java.net]

 Short [java.lang]

 Signature [java.security]

 SignatureException [java.security]

 Signer [java.security]

 SimpleBeanInfo [java.beans]

 SimpleDateFormat [java.text]

 SimpleTimeZone [java.util]

 SkeletonMismatchException [java.rmi.server]

 SkeletonNotFoundException [java.rmi.server]

 Socket [java.net]

 SocketException [java.net]

 SocketImpl [java.net]

 SocketSecurityException [java.rmi.server]

 SQLException [java.sql]

 SQLWarning [java.sql]

 Stack [java.util]

 StackOverflowError [java.lang]

 StreamCorruptedException [java.io]

 StreamTokenizer [java.io]

 String [java.lang]

 StringBuffer [java.lang]

 StringBufferInputStream [java.io]

 StringCharacterIterator [java.text]

 StringIndexOutOfBoundsException [java.lang]

 StringReader [java.io]

 StringSelection [java.awt.datatransfer]

 StringTokenizer [java.util]

 StringWriter [java.io]

 StubNotFoundException [java.rmi]

 SyncFailedException [java.io]

 System [java.lang]

 SystemColor [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextEvent [java.awt.event]

 TextField [java.awt]

 Thread [java.lang]

 ThreadDeath [java.lang]

 ThreadGroup [java.lang]

 Throwable [java.lang]

 Time [java.sql]

 Timestamp [java.sql]

 TimeZone [java.util]

 Toolkit [java.awt]

 TooManyListenersException [java.util]

 Types [java.sql]

 UID [java.rmi.server]

 UnexpectedException [java.rmi]

 UnicastRemoteObject [java.rmi.server]

 UnknownError [java.lang]

 UnknownHostException [java.net]

 UnknownHostException [java.rmi]

 UnknownServiceException [java.net]

 UnmarshalException [java.rmi]

 UnsatisfiedLinkError [java.lang]

 UnsupportedEncodingException [java.io]

 UnsupportedFlavorException [java.awt.datatransfer]

 URL [java.net]

 URLConnection [java.net]

 URLEncoder [java.net]

 URLStreamHandler [java.net]

 UTFDataFormatException [java.io]

 Vector [java.util]

 VerifyError [java.lang]

 VetoableChangeSupport [java.beans]

 VirtualMachineError [java.lang]

 VMID [java.rmi.dgc]

 Void [java.lang]

 Window [java.awt]

 WindowAdapter [java.awt.event]

 WindowEvent [java.awt.event]

 WriteAbortedException [java.io]

 Writer [java.io]

 ZipEntry [java.util.zip]

 ZipException [java.util.zip]

 ZipFile [java.util.zip]

 ZipInputStream [java.util.zip]

 ZipOutputStream [java.util.zip]


finalize method [java.util.zip.Deflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      finalize method [java.util.zip.Deflater]

Overloads:

 void finalize( ) overrides finalize method [java.lang.Object]

protected void finalize( )

Frees the compressor when garbage is collected.

Applies to

 Deflater [java.util.zip]


finalize method [java.util.zip.Inflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      finalize method [java.util.zip.Inflater]

Overloads:

 void finalize( ) overrides finalize method [java.lang.Object]

protected void finalize( )

Frees the decompressor when garbage is collected.

Applies to

 Inflater [java.util.zip]


findEditor method [java.beans.PropertyEditorManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      findEditor method [java.beans.PropertyEditorManager]

public static java.beans.PropertyEditor findEditor( java.lang.Class targetType )

Locate a value editor for a given target type.

Parameter

targetType

The Class object for the type to be edited

Return

An editor object for the given target class. The result is null if no suitable editor can be found.

Applies to

 PropertyEditorManager [java.beans]


findLoadedClass method [java.lang.ClassLoader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      findLoadedClass method [java.lang.ClassLoader]

protected final java.lang.Class findLoadedClass( java.lang.String name )

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 ClassLoader [java.lang]


findSystemClass method [java.lang.ClassLoader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      findSystemClass method [java.lang.ClassLoader]

protected final java.lang.Class findSystemClass( java.lang.String name ) throws java.lang.ClassNotFoundException

Finds the system class with the specified name, loading it in if necessary.

A system class is a class loaded from the local file system in a platform- dependent way. It has no class loader.

Parameter

name

the name of the system class.

Return

A system class with the given name.

Throws

ClassNotFoundException

If it could not find a definition for the class.

NoClassDefFoundError

If the class is not found.

Applies to

 ClassLoader [java.lang]


finish method [java.util.zip.Deflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      finish method [java.util.zip.Deflater]

public synchronized void finish( )

When called, indicates that compression should end with the current contents of the input buffer.

Applies to

 Deflater [java.util.zip]


finish method [java.util.zip.DeflaterOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      finish method [java.util.zip.DeflaterOutputStream]

public void finish( ) throws java.io.IOException

Finishes writing compressed data to the output stream without closing the underlying stream. Use this method when applying multiple filters in succession to the same output stream.

Throws

IOException

If an I/O error has occurred.

Applies to

 DeflaterOutputStream [java.util.zip]

 GZIPOutputStream [java.util.zip]

 ZipOutputStream [java.util.zip]


finish method [java.util.zip.GZIPOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      finish method [java.util.zip.GZIPOutputStream]

Overloads:

 void finish( ) overrides finish method [java.util.zip.DeflaterOutputStream]

public void finish( ) throws java.io.IOException

Finishes writing compressed data to the output stream without closing the underlying stream. Use this method when applying multiple filters in succession to the same output stream.

Throws

IOException

If an I/O error has occurred.

Applies to

 GZIPOutputStream [java.util.zip]


finish method [java.util.zip.ZipOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      finish method [java.util.zip.ZipOutputStream]

Overloads:

 void finish( ) overrides finish method [java.util.zip.DeflaterOutputStream]

public void finish( ) throws java.io.IOException

Finishes writing the contents of the ZIP output stream without closing the underlying stream. Use this method when applying multiple filters in succession to the same output stream.

Throws

ZipException

If a ZIP file error has occurred.

IOException

If an I/O exception has occurred.

Applies to

 ZipOutputStream [java.util.zip]


finished method [java.util.zip.Deflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      finished method [java.util.zip.Deflater]

public synchronized boolean finished( )

Returns true if the end of the compressed data output stream has been reached.

Return

No documentation supplied in JDK.

Applies to

 Deflater [java.util.zip]


finished method [java.util.zip.Inflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      finished method [java.util.zip.Inflater]

public synchronized boolean finished( )

Return true if the end of the compressed data stream has been reached.

Return

No documentation supplied in JDK.

Applies to

 Inflater [java.util.zip]


firePropertyChange method [java.beans.PropertyChangeSupport] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      firePropertyChange method [java.beans.PropertyChangeSupport]

public void firePropertyChange( java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue )

Report a bound property update to any registered listeners. No event is fired if old and new are equal and non-null.

Parameters

propertyName

The programmatic name of the property that was changed.

oldValue

The old value of the property.

newValue

The new value of the property.

Applies to

 PropertyChangeSupport [java.beans]


firePropertyChange method [java.beans.PropertyEditorSupport] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      firePropertyChange method [java.beans.PropertyEditorSupport]

public void firePropertyChange( )

Report that we have been modified to any interested listeners.

Parameter

source

The PropertyEditor that caused the event.

Applies to

 PropertyEditorSupport [java.beans]


fireVetoableChange method [java.beans.VetoableChangeSupport] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      fireVetoableChange method [java.beans.VetoableChangeSupport]

public void fireVetoableChange( java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue ) throws java.beans.PropertyVetoException

Report a vetoable property update to any registered listeners.  If anyone vetos the change, then fire a new event reverting everyone to the old value and then rethrow the PropertyVetoException.

No event is fired if old and new are equal and non-null.

Parameters

propertyName

The programmatic name of the property that was changed.

oldValue

The old value of the property.

newValue

The new value of the property.

Throws

PropertyVetoException

If the recipient wishes the property change to be rolled back.

Applies to

 VetoableChangeSupport [java.beans]


first method [java.awt.CardLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      first method [java.awt.CardLayout]

public void first( java.awt.Container parent )

Flips to the first card of the container.

Parameter

parent

the name of the parent container in which to do the layout.

See also

last method [java.awt.CardLayout]

Applies to

 CardLayout [java.awt]


first method [java.text.BreakIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      first method [java.text.BreakIterator]

public abstract int first( )

Return the first boundary. The iterator's current position is set to the first boundary.

Return

The character index of the first text boundary.

Applies to

 BreakIterator [java.text]


first method [java.text.StringCharacterIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      first method [java.text.StringCharacterIterator]

public char first( )

Set the position to getBeginIndex() and return the character at that position.

Return

No documentation supplied in JDK.

Applies to

 StringCharacterIterator [java.text]


firstDayOfWeek property [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      firstDayOfWeek property [java.util.Calendar]

public int getFirstDayOfWeek( )

Gets what the first day of the week is; e.g., Sunday in US, Monday in France.

Return

The first day of the week.

public void setFirstDayOfWeek( int value )

Sets what the first day of the week is; e.g., Sunday in US, Monday in France.

Parameter

value

the given first day of the week.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


firstElement method [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      firstElement method [java.util.Vector]

public final synchronized java.lang.Object firstElement( )

Returns the first component of this vector.

Return

The first component of this vector.

Throws

NoSuchElementException

If this vector has no components.

Applies to

 Stack [java.util]

 Vector [java.util]


flipBit method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      flipBit method [java.math.BigInteger]

public java.math.BigInteger flipBit( int n ) throws java.lang.ArithmeticException

Returns a BigInteger whose value is equivalent to this number with the designated bit flipped.  (Computes (this ^ (1<<n)).) Throws an ArithmeticException if n < 0.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


Float class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      Float class [java.lang]

Object

Number

Float

Description

The Float class wraps a value of primitive type float in an object. An object of type Float contains a single field whose type is float.

In addition, this class provides several methods for converting a float to a String and a String to a float, as well as other constants and methods useful when dealing with a float.

Specification

public final class Float extends java.lang.Number

Constructors

public Float( float value )

Constructs a newly allocated Float object that represents the primitive float argument.

Parameter

value

the value to be represented by the Float.

public Float( double value )

Constructs a newly allocated Floatobject that represents the argument converted to type float.

Parameter

value

the value to be represented by the Float.

public Float( java.lang.String s ) throws java.lang.NumberFormatException

Constructs a newly allocated Float object that represents the floating- point value of type float represented by the string. The string is converted to a float value as if by the valueOf method.

Parameter

s

a string to be converted to a Float.

Throws

NumberFormatException

If the string does not contain a parsable number.

See also

valueOf method [java.lang.Float]

Variables

public static final float POSITIVE_INFINITY

The positive infinity of type float.

public static final float NEGATIVE_INFINITY

The negative infinity of type float.

public static final float NaN

The NaN value of type float.

public static final float MAX_VALUE

The largest positive value of type float.

public static final float MIN_VALUE

The smallest positive value of type float.

public static final java.lang.Class TYPE

The Class object representing the primitive type float.

Properties

  boolean isInfinite( )

  boolean isNaN( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  byte byteValue( )

  double doubleValue( )

  boolean equals( java.lang.Object obj )

  static native int floatToIntBits( float value )

  float floatValue( )

  int hashCode( )

  static native float intBitsToFloat( int bits )

  int intValue( )

  static boolean isInfinite( float v )

  static boolean isNaN( float v )

  long longValue( )

  short shortValue( )

  static java.lang.String toString( float f )

  java.lang.String toString( )

  static java.lang.Float valueOf( java.lang.String s ) throws java.lang.NumberFormatException

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


floatToIntBits method [java.lang.Float] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      floatToIntBits method [java.lang.Float]

public static native int floatToIntBits( float value )

Returns the bit represention of a single-float value. The result is a representation of the floating-point argument according to the IEEE 754 floating-point "single precision" bit layout.

Bit 31 represents the sign of the floating-point number. Bits 30-23 represent the exponent. Bits 22-0 represent the significand (sometimes called the mantissa) of the floating-point number.

If the argument is positive infinity, the result is 0x7f800000.

If the argument is negative infinity, the result is 0xff800000.

If the argument is NaN, the result is 0x7fc00000.

Parameter

value

a floating-point number.

Return

The bits that represent the floating-point number.

Applies to

 Float [java.lang]


floatValue method [java.lang.Byte] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      floatValue method [java.lang.Byte]

Overloads:

 float floatValue( ) overrides floatValue method [java.lang.Number]

public float floatValue( )

Returns the value of this Byte as a float.

Return

No documentation supplied in JDK.

Applies to

 Byte [java.lang]


floatValue method [java.lang.Double] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      floatValue method [java.lang.Double]

Overloads:

 float floatValue( ) overrides floatValue method [java.lang.Number]

public float floatValue( )

Returns the float value of this Double.

Return

The double value represented by this object is converted to type float and the result of the conversion is returned.

Applies to

 Double [java.lang]


floatValue method [java.lang.Float] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      floatValue method [java.lang.Float]

Overloads:

 float floatValue( ) overrides floatValue method [java.lang.Number]

public float floatValue( )

Returns the float value of this Float object.

Return

The float value represented by this object.

Applies to

 Float [java.lang]


floatValue method [java.lang.Integer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      floatValue method [java.lang.Integer]

Overloads:

 float floatValue( ) overrides floatValue method [java.lang.Number]

public float floatValue( )

Returns the value of this Integer as a float.

Return

The int value represented by this object is converted to type float and the result of the conversion is returned.

Applies to

 Integer [java.lang]


floatValue method [java.lang.Long] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      floatValue method [java.lang.Long]

Overloads:

 float floatValue( ) overrides floatValue method [java.lang.Number]

public float floatValue( )

Returns the value of this Long as a float.

Return

The long value represented by this object is converted to type float and the result of the conversion is returned.

Applies to

 Long [java.lang]


floatValue method [java.lang.Number] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      floatValue method [java.lang.Number]

public abstract float floatValue( )

Returns the value of the specified number as a float. This may involve rounding.

Return

The numeric value represented by this object after conversion to type float.

Applies to

 BigDecimal [java.math]

 BigInteger [java.math]

 Byte [java.lang]

 Double [java.lang]

 Float [java.lang]

 Integer [java.lang]

 Long [java.lang]

 Number [java.lang]

 Short [java.lang]


floatValue method [java.lang.Short] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      floatValue method [java.lang.Short]

Overloads:

 float floatValue( ) overrides floatValue method [java.lang.Number]

public float floatValue( )

Returns the value of this Short as a float.

Return

No documentation supplied in JDK.

Applies to

 Short [java.lang]


floatValue method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      floatValue method [java.math.BigDecimal]

Overloads:

 float floatValue( ) overrides floatValue method [java.lang.Number]

public float floatValue( )

Converts this number to a float.  Similar to the double-to-float narrowing primitive conversion defined in The Java Language Specification: if the number has too great a magnitude to represent as a float, it will be converted to infinity or negative infinity, as appropriate.

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


floatValue method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      floatValue method [java.math.BigInteger]

Overloads:

 float floatValue( ) overrides floatValue method [java.lang.Number]

public float floatValue( )

Converts this number to a float.  Similar to the double-to-float narrowing primitive conversion defined in The Java Language Specification: if the number has too great a magnitude to represent as a float, it will be converted to infinity or negative infinity, as appropriate.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


floor method [java.lang.Math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      floor method [java.lang.Math]

public static native double floor( double a )

Returns the largest (closest to positive infinity) double value that is not greater than the argument and is equal to a mathematical integer.

Parameters

a

a double value.

a

an assigned value.

Return

The largest (closest to positive infinity) double value that is not greater than the argument and is equal to a mathematical integer.

Applies to

 Math [java.lang]


FlowLayout class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FlowLayout class [java.awt]

Object

FlowLayout

Description

A flow layout arranges components in a left-to-right flow, much like lines of text in a paragraph. Flow layouts are typically used to arrange buttons in a panel. It will arrange buttons left to right until no more buttons fit on the same line. Each line is centered.

For example, the following picture shows an applet using the flow layout manager (its default layout manager) to position three buttons:

Here is the code for this applet:

import java.awt.*;

import java.applet.Applet;

public class myButtons extends Applet {

   Button button1, button2, button3;

   public void init() {

       button1 = new Button("Ok");

       button2 = new Button("Open");

       button3 = new Button("Close");

       add(button1);

       add(button2);

       add(button3);

   }

}

A flow layout lets each component assume its natural (preferred) size.

Specification

public class FlowLayout extends java.lang.Object implements java.awt.LayoutManager, java.io.Serializable

Constructors

public FlowLayout( )

Constructs a new Flow Layout with a centered alignment and a default 5-unit horizontal and vertical gap.

public FlowLayout( int align )

Constructs a new Flow Layout with the specified alignment and a default 5-unit horizontal and vertical gap. The value of the alignment argument must be one of FlowLayout.LEFT, FlowLayout.RIGHT, or FlowLayout.CENTER.

Parameter

align

the alignment value

public FlowLayout( int align, int hgap, int vgap )

Creates a new flow layout manager with the indicated alignment and the indicated horizontal and vertical gaps.

The value of the alignment argument must be one of FlowLayout.LEFT, FlowLayout.RIGHT, or FlowLayout.CENTER.

Parameters

align

the alignment value.

hgap

the horizontal gap between components.

vgap

the vertical gap between components.

Variables

public static final int LEFT

This value indicates that each row of components should be left-justified.

public static final int CENTER

This value indicates that each row of components should be centered.

public static final int RIGHT

This value indicates that each row of components should be right-justified.

Properties

  int getAlignment( )

  void setAlignment( int align )

  int getHgap( )

  void setHgap( int hgap )

  int getVgap( )

  void setVgap( int vgap )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void addLayoutComponent( java.lang.String name, java.awt.Component comp )

  void layoutContainer( java.awt.Container target )

  java.awt.Dimension minimumLayoutSize( java.awt.Container target )

  java.awt.Dimension preferredLayoutSize( java.awt.Container target )

  void removeLayoutComponent( java.awt.Component comp )

  java.lang.String toString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


flush method [java.awt.Image] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      flush method [java.awt.Image]

public abstract void flush( )

Flushes all resources being used by this Image object.  This includes any pixel data that is being cached for rendering to the screen as well as any system resources that are being used to store data or pixels for the image.  The image is reset to a state similar to when it was first created so that if it is again rendered, the image data will have to be recreated or fetched again from its source.

Applies to

 Image [java.awt]


flush method [java.io.BufferedOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      flush method [java.io.BufferedOutputStream]

Overloads:

 void flush( ) overrides flush method [java.io.FilterOutputStream]

public synchronized void flush( ) throws java.io.IOException

Flushes this buffered output stream. This forces any buffered output bytes to be written out to the underlying output stream.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedOutputStream [java.io]


flush method [java.io.BufferedWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      flush method [java.io.BufferedWriter]

Overloads:

 void flush( ) overrides flush method [java.io.Writer]

public void flush( ) throws java.io.IOException

Flush the stream.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedWriter [java.io]


flush method [java.io.CharArrayWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      flush method [java.io.CharArrayWriter]

Overloads:

 void flush( ) overrides flush method [java.io.Writer]

public void flush( )

Flush the stream.

Applies to

 CharArrayWriter [java.io]


flush method [java.io.DataOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      flush method [java.io.DataOutputStream]

Overloads:

 void flush( ) overrides flush method [java.io.FilterOutputStream]

public void flush( ) throws java.io.IOException

Flushes this data output stream. This forces any buffered output bytes to be written out to the stream.

The flush method of DataOuputStream calls the flush method of its underlying output stream.

Throws

IOException

If an I/O error occurs.

See also

flush method [java.io.OutputStream]

Applies to

 DataOutputStream [java.io]


flush method [java.io.FilterOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      flush method [java.io.FilterOutputStream]

Overloads:

 void flush( ) overrides flush method [java.io.OutputStream]

public void flush( ) throws java.io.IOException

Flushes this output stream and forces any buffered output bytes to be written out to the stream.

The flush method of FilterOutputStream calls the flush method of its underlying output stream.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedOutputStream [java.io]

 CheckedOutputStream [java.util.zip]

 DataOutputStream [java.io]

 DeflaterOutputStream [java.util.zip]

 DigestOutputStream [java.security]

 FilterOutputStream [java.io]

 GZIPOutputStream [java.util.zip]

 LogStream [java.rmi.server]

 PrintStream [java.io]

 ZipOutputStream [java.util.zip]


flush method [java.io.FilterWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      flush method [java.io.FilterWriter]

Overloads:

 void flush( ) overrides flush method [java.io.Writer]

public void flush( ) throws java.io.IOException

Flush the stream.

Throws

IOException

If an I/O error occurs.

Applies to

 FilterWriter [java.io]


flush method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      flush method [java.io.ObjectOutputStream]

Overloads:

 void flush( ) overrides flush method [java.io.OutputStream]

public void flush( ) throws java.io.IOException

Flushes the stream. This will write any buffered output bytes and flush through to the underlying stream.

Throws

IOException

If an I/O error has occurred.

Applies to

 ObjectOutputStream [java.io]


flush method [java.io.OutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      flush method [java.io.OutputStream]

public void flush( ) throws java.io.IOException

Flushes this output stream and forces any buffered output bytes to be written out.

The flush method of OutputStream does nothing.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedOutputStream [java.io]

 ByteArrayOutputStream [java.io]

 CheckedOutputStream [java.util.zip]

 DataOutputStream [java.io]

 DeflaterOutputStream [java.util.zip]

 DigestOutputStream [java.security]

 FileOutputStream [java.io]

 FilterOutputStream [java.io]

 GZIPOutputStream [java.util.zip]

 LogStream [java.rmi.server]

 ObjectOutputStream [java.io]

 OutputStream [java.io]

 PipedOutputStream [java.io]

 PrintStream [java.io]

 ZipOutputStream [java.util.zip]


flush method [java.io.OutputStreamWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      flush method [java.io.OutputStreamWriter]

Overloads:

 void flush( ) overrides flush method [java.io.Writer]

public void flush( ) throws java.io.IOException

Flush the stream.

Throws

IOException

If an I/O error occurs.

Applies to

 FileWriter [java.io]

 OutputStreamWriter [java.io]


flush method [java.io.PipedOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      flush method [java.io.PipedOutputStream]

Overloads:

 void flush( ) overrides flush method [java.io.OutputStream]

public synchronized void flush( ) throws java.io.IOException

Flushes this output stream and forces any buffered output bytes to be written out. This will notify any readers that bytes are waiting in the pipe.

Throws

IOException

If an I/O error occurs.

Applies to

 PipedOutputStream [java.io]


flush method [java.io.PipedWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      flush method [java.io.PipedWriter]

Overloads:

 void flush( ) overrides flush method [java.io.Writer]

public void flush( ) throws java.io.IOException

Flush the stream.

Throws

IOException

If an I/O error occurs.

Applies to

 PipedWriter [java.io]


flush method [java.io.PrintStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      flush method [java.io.PrintStream]

Overloads:

 void flush( ) overrides flush method [java.io.FilterOutputStream]

public void flush( )

Flush the stream.  This is done by writing any buffered output bytes to the underlying output stream and then flushing that stream.

See also

flush method [java.io.OutputStream]

Applies to

 LogStream [java.rmi.server]

 PrintStream [java.io]


flush method [java.io.PrintWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      flush method [java.io.PrintWriter]

Overloads:

 void flush( ) overrides flush method [java.io.Writer]

public void flush( )

Flush the stream. *

Applies to

 PrintWriter [java.io]


flush method [java.io.StringWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      flush method [java.io.StringWriter]

Overloads:

 void flush( ) overrides flush method [java.io.Writer]

public void flush( )

Flush the stream.

Applies to

 StringWriter [java.io]


flush method [java.io.Writer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      flush method [java.io.Writer]

public abstract void flush( ) throws java.io.IOException

Flush the stream.  If the stream has saved any characters from the various write() methods in a buffer, write them immediately to their intended destination.  Then, if that destination is another character or byte stream, flush it.  Thus one flush() invocation will flush all the buffers in a chain of Writers and OutputStreams.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedWriter [java.io]

 CharArrayWriter [java.io]

 FileWriter [java.io]

 FilterWriter [java.io]

 OutputStreamWriter [java.io]

 PipedWriter [java.io]

 PrintWriter [java.io]

 StringWriter [java.io]

 Writer [java.io]


FocusAdapter class [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FocusAdapter class [java.awt.event]

Object

FocusAdapter

Description

The adapter which receives focus events. The methods in this class are empty;  this class is provided as a convenience for easily creating listeners by extending this class and overriding only the methods of interest.

Specification

public abstract class FocusAdapter extends java.lang.Object implements java.awt.event.FocusListener

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void focusGained( java.awt.event.FocusEvent e )

  void focusLost( java.awt.event.FocusEvent e )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


FocusEvent class [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FocusEvent class [java.awt.event]

Object

EventObject

AWTEvent

ComponentEvent

FocusEvent

Description

The component-level focus event. There are two levels of focus change events: permanent and temporary. Permanent focus change events occur when focus is directly moved from one component to another, such as through calls to requestFocus() or as the user uses the Tab key to traverse components. Temporary focus change events occur when focus is temporarily gained or lost for a component as the indirect result of another operation, such as window deactivation or a scrollbar drag.  In this case, the original focus state will automatically be restored once that operation is finished, or, for the case of window deactivation, when the window is reactivated.  Both permanent and temporary focus events are delivered using the FOCUS_GAINED and FOCUS_LOST event ids; the levels may be distinguished in the event using the isTemporary() method.

Specification

public class FocusEvent extends java.awt.event.ComponentEvent

Constructors

public FocusEvent( java.awt.Component source, int id )

Constructs a permanent-level FocusEvent object with the specified source component and type.

Parameter

source

the object where the event originated

public FocusEvent( java.awt.Component source, int id, boolean temporary )

Constructs a FocusEvent object with the specified source component, type, and whether or not the focus event is a temporary level event.

Parameter

source

the object where the event originated

Variables

public static final int FOCUS_FIRST

Marks the first integer id for the range of focus event ids.

public static final int FOCUS_LAST

Marks the last integer id for the range of focus event ids.

public static final int FOCUS_GAINED

The focus gained event type.

public static final int FOCUS_LOST

The focus lost event type.

Properties

  boolean isTemporary( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.awt.Component getComponent( )

  int getID( )

  java.lang.Object getSource( )

Protected Properties

 protected boolean isConsumed( )

Methods

  java.lang.String paramString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void consume( )

 protected void finalize( ) throws java.lang.Throwable


FocusEvent event [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FocusEvent event [java.awt.Component]

public synchronized void addFocusListener( java.awt.event.FocusListener l )

Adds the specified focus listener to receive focus events from this component.

Parameter

l

the focus listener.

See also

FocusEvent class [java.awt.event]

FocusListener interface [java.awt.event]

public synchronized void removeFocusListener( java.awt.event.FocusListener l )

Removes the specified focus listener so that it no longer receives focus events from this component.

Parameter

l

the focus listener.

See also

FocusEvent class [java.awt.event]

FocusListener interface [java.awt.event]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


focusGained method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      focusGained method [java.awt.AWTEventMulticaster]

public void focusGained( java.awt.event.FocusEvent e )

Handles the focusGained event by invoking the focusGained methods on listener-a and listener-b.

Parameter

e

the focus event

Applies to

 AWTEventMulticaster [java.awt]


focusGained method [java.awt.event.FocusAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      focusGained method [java.awt.event.FocusAdapter]

public void focusGained( java.awt.event.FocusEvent e )

Applies to

 FocusAdapter [java.awt.event]


FocusListener interface [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FocusListener interface [java.awt.event]

Description

The listener interface for receiving keyboard focus events on a component.

Definition

public interface FocusListener extends java.util.EventListener

{

  // Methods

  public void focusGained( java.awt.event.FocusEvent e );

  public void focusLost( java.awt.event.FocusEvent e );

}

Methods

public void focusGained( java.awt.event.FocusEvent e )

Invoked when a component gains the keyboard focus.

public void focusLost( java.awt.event.FocusEvent e )

Invoked when a component loses the keyboard focus.

Implemented by

AWTEventMulticaster [java.awt]	FocusAdapter [java.awt.event]


focusLost method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      focusLost method [java.awt.AWTEventMulticaster]

public void focusLost( java.awt.event.FocusEvent e )

Handles the focusLost event by invoking the focusLost methods on listener-a and listener-b.

Parameter

e

the focus event

Applies to

 AWTEventMulticaster [java.awt]


focusLost method [java.awt.event.FocusAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      focusLost method [java.awt.event.FocusAdapter]

public void focusLost( java.awt.event.FocusEvent e )

Applies to

 FocusAdapter [java.awt.event]


focusOwner property [java.awt.Window] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      focusOwner property [java.awt.Window]

public java.awt.Component getFocusOwner( )

Returns the child component of this Window which has focus if and only if this Window is active.

Return

The component with focus, or null if no children have focus assigned to them.

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Window [java.awt]


focusTraversable property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      focusTraversable property [java.awt.Component]

public boolean isFocusTraversable( )

Returns the value of a flag that indicates whether this component can be traversed using Tab or Shift-Tab keyboard focus traversal.  If this method returns "false", this component may still request the keyboard focus using requestFocus(), but it will not automatically be assigned focus during tab traversal.

Return

true if this component is focus-traverable; false otherwise.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


following method [java.text.BreakIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      following method [java.text.BreakIterator]

public abstract int following( int offset )

Return the first boundary following the specified offset. The value returned is always greater than the offset or the value BreakIterator.DONE

Parameter

offset

the offset to begin scanning. Valid values are determined by the CharacterIterator passed to setText().  Invalid values cause an IllegalArgumentException to be thrown.

Return

The first boundary after the specified offset.

Applies to

 BreakIterator [java.text]


followRedirects property [java.net.HttpURLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      followRedirects property [java.net.HttpURLConnection]

public static boolean getFollowRedirects( )

No documentation supplied in JDK

Return

No documentation supplied in JDK.

public static void setFollowRedirects( boolean set )

Sets whether HTTP redirects  (requests with response code 3xx) should be automatically followed by this class.  True by default.  Applets cannot change this variable.

Applies to

 HttpURLConnection [java.net]


Font class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      Font class [java.awt]

Object

Font

Description

A class that produces font objects.

Specification

public class Font extends java.lang.Object implements java.io.Serializable

Constructor

public Font( java.lang.String name, int style, int size )

Creates a new font with the specified name, style and point size.

Parameters

name

the font name

style

the constant style used

size

the point size of the font

See also

fontList property [java.awt.Toolkit]

Variables

public static final int PLAIN

The plain style constant.  This style can be combined with the other style constants for mixed styles.

public static final int BOLD

The bold style constant.  This style can be combined with the other style constants for mixed styles.

public static final int ITALIC

The italicized style constant.  This style can be combined with the other style constants for mixed styles.

protected java.lang.String name

The logical name of this font.

protected int style

The style of the font. This is the sum of the constants PLAIN, BOLD, or ITALIC.

protected int size

The point size of this font.

Properties

  boolean isBold( )

  java.lang.String getFamily( )

  boolean isItalic( )

  java.lang.String getName( )

  java.awt.peer.FontPeer getPeer( )

  boolean isPlain( )

  int getSize( )

  int getStyle( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  static java.awt.Font decode( java.lang.String str )

  boolean equals( java.lang.Object obj )

  static java.awt.Font getFont( java.lang.String nm )

  static java.awt.Font getFont( java.lang.String nm, java.awt.Font font )

  int hashCode( )

  java.lang.String toString( )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


font property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      font property [java.awt.Component]

public java.awt.Font getFont( )

Gets the font of this component.

Return

This component's font. If a font has not been set for this component, the font of its parent is returned.

public void setFont( java.awt.Font f )

Sets the font of this component.

Parameter

f

The font to become this components font.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


font property [java.awt.FontMetrics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      font property [java.awt.FontMetrics]

public java.awt.Font getFont( )

Gets the font described by this font metric.

Return

The font described by this font metric.

Applies to

 FontMetrics [java.awt]


font property [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      font property [java.awt.Graphics]

public abstract java.awt.Font getFont( )

Gets the current font.

Return

This graphics context's current font.

See also

Font class [java.awt]

public abstract void setFont( java.awt.Font font )

Sets this graphics context's font to the specified font. All subsequent text operations using this graphics context use this font.

Parameter

font

the font.

See also

drawChars method [java.awt.Graphics]

drawString method [java.awt.Graphics]

drawBytes method [java.awt.Graphics]

Applies to

 Graphics [java.awt]


font property [java.awt.MenuComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      font property [java.awt.MenuComponent]

public java.awt.Font getFont( )

Gets the font used for this menu component.

Return

The font used in this menu component, if there is one; null otherwise.

public void setFont( java.awt.Font f )

Sets the font to be used for this menu component to the specified font. This font is also used by all subcomponents of this menu component, unless those subcomponents specify a different font.

Parameter

f

the font to be set.

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuBar [java.awt]

 MenuComponent [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


fontList property [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      fontList property [java.awt.Toolkit]

public abstract java.lang.String[] getFontList( )

Returns the names of the available fonts in this toolkit.

For 1.1, the following font names are deprecated (the replacement name follows):

•	TimesRoman (use Serif)

•	Helvetica (use SansSerif)

•	Courier (use Monospaced)

The ZapfDingbats font is also deprecated in 1.1, but only as a separate fontname.  Unicode defines the ZapfDingbat characters starting at \u2700, and as of 1.1 Java supports those characters.

Return

The names of the available fonts in this toolkit.

Applies to

 Toolkit [java.awt]


FontMetrics class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FontMetrics class [java.awt]

Object

FontMetrics

Description

A font metrics object, which gives information about the rendering of a particular font on a particular screen. Note that the implementations of these methods are inefficient, they are usually overridden with more efficient toolkit-specific implementations.

Note to subclassers : Since many of these methods form closed mutually recursive loops, you must take care that you implement at least one of the methods in each such loop in order to prevent infinite recursion when your subclass is used. In particular, the following is the minimal suggested set of methods to override in order to ensure correctness and prevent infinite recursion (though other subsets are equally feasible):

•	getAscent()

•	getDescent()

•	getLeading()

•	getMaxAdvance()

•	charWidth(char ch)

•	charsWidth(char data[], int off, int len)

 When an application asks AWT to place a character at the position (x , y ), the character is placed so that its reference point (shown as the dot in the accompanying image) is put at that position. The reference point specifies a horizontal line called the baseline of the character. In normal printing, the baselines of characters should align.

In addition, every character in a font has an ascent , a descent , and an advance width . The ascent is the amount by which the character ascends above the baseline. The descent is the amount by which the character descends below the baseline. The advance width indicates the position at which AWT should place the next character.

If the current character is placed with its reference point at the position (x , y ), and the character's advance width is w , then the following character is placed with its reference point at the position (x  + w , y ). The advance width is often the same as the width of character's bounding box, but need not be so. In particular, oblique and italic fonts often have characters whose top-right corner extends slightly beyond the advance width.

An array of characters or a string can also have an ascent, a descent, and an advance width. The ascent of the array is the maximum ascent of any character in the array. The descent is the maximum descent of any character in the array. The advance width is the sum of the advance widths of each of the characters in the array.

Specification

public abstract class FontMetrics extends java.lang.Object implements java.io.Serializable

Constructor

protected FontMetrics( java.awt.Font font )

Creates a new FontMetrics object for finding out height and width information about the specified font and specific character glyphs in that font.

Parameter

font

the font

See also

Font class [java.awt]

Variables

protected java.awt.Font font

The actual font.

Properties

  int getAscent( )

  int getDescent( )

  java.awt.Font getFont( )

  int getHeight( )

  int getLeading( )

  int getMaxAdvance( )

  int getMaxAscent( )

  int getMaxDecent( )

  int getMaxDescent( )

  int[] getWidths( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  int bytesWidth( byte[] data, int off, int len )

  int charsWidth( char[] data, int off, int len )

  int charWidth( char ch )

  int charWidth( int ch )

  int stringWidth( java.lang.String str )

  java.lang.String toString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Font class [java.awt]


fontMetrics property [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      fontMetrics property [java.awt.Graphics]

public java.awt.FontMetrics getFontMetrics( )

Gets the font metrics of the current font.

Return

The font metrics of this graphics context's current font.

See also

font property [java.awt.Graphics]

FontMetrics class [java.awt]

Applies to

 Graphics [java.awt]


FontPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FontPeer interface [java.awt.peer]

Definition

public interface FontPeer

{

}


forClass method [java.io.ObjectStreamClass] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      forClass method [java.io.ObjectStreamClass]

public java.lang.Class forClass( )

Return the class in the local VM that this version is mapped to. Null is returned if there is no corresponding local class.

Return

No documentation supplied in JDK.

Applies to

 ObjectStreamClass [java.io]


forDigit method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      forDigit method [java.lang.Character]

public static char forDigit( int digit, int radix )

Determines the character representation for a specific digit in the specified radix. If the value of radix is not a valid radix, or the value of digit is not a valid digit in the specified radix, the null character ('\u0000') is returned.

The radix argument is valid if it is greater than or equal to MIN_RADIX and less than or equal to MAX_RADIX. The digit argument is valid if 0 <= digit <= radix.

If the digit is less than 10, then '0' + digit is returned. Otherwise, the value 'a' + digit - 10 is returned.

Parameters

digit

the number to convert to a character.

radix

the radix.

Return

The char representation of the specified digit in the specified radix.

See also

digit method [java.lang.Character]

Applies to

 Character [java.lang]


foreground property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      foreground property [java.awt.Component]

public java.awt.Color getForeground( )

Gets the foreground color of this component.

Return

This component's foreground color. If this component does not have a foreground color, the foreground color of its parent is returned.

public void setForeground( java.awt.Color c )

Sets the foreground color of this component.

Parameter

c

The color to become this components foreground color.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


Format class [java.text] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      Format class [java.text]

Object

Format

Description

Format is an abstract base class for formatting locale-sensitive information such as dates, messages, and numbers.

Format defines the programming interface for formatting locale-sensitive objects into Strings (the format method) and for parsing Strings back into objects (the parseObject method). Any String formatted by format is guaranteed to be parseable by parseObject.

If formatting is unsuccessful because the Format object cannot format the type of object specified, format throws an IllegalArgumentException. Otherwise, if there is something illformed about the object, format returns the Unicode replacement character \\uFFFD.

If there is no match when parsing, parseObject(String) throws a ParseException, and parseObject(String, ParsePosition) leaves the ParsePosition index member unchanged and returns null.

Subclassing: The JDK provides three concrete subclasses of Format-- DateFormat, MessageFormat, and NumberFormat--for formatting dates, messages, and numbers, respectively.

Concrete subclasses must implement these two methods:

•	format(Object obj, StringBuffer toAppendTo, FieldPosition pos)

•	parseObject (String source, ParsePosition pos)

Most subclasses will also implement the following two methods:

•	getInstance for getting a useful format object appropriate for the current locale

•	getInstance(Locale) for getting a useful format object appropriate for the specified locale

In addition, some subclasses may also choose to implement other getXxxxInstance methods for more specialized control. For example, the NumberFormat class provides getPercentInstance and getCurrencyInstance methods for getting specialized number formatters.

Subclasses of Format that allow programmers to create objects for locales (with getInstance(Locale) for example) must also implement the following class method:

public static Locale[] getAvailableLocales()

And finally subclasses may define a set of constants to identify the various fields in the formatted output. These constants are used to create a FieldPosition object which identifies what information is contained in the field and its position in the formatted result. These constants should be named item _FIELD where item  identifies the field. For examples of these constants, see ERA_FIELD and its friends in DateFormat.

Specification

public abstract class Format extends java.lang.Object implements java.io.Serializable, java.lang.Cloneable

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.Object clone( )

  final java.lang.String format( java.lang.Object obj )

  abstract java.lang.StringBuffer format( java.lang.Object obj, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos )

  abstract java.lang.Object parseObject( java.lang.String source, java.text.ParsePosition status )

  java.lang.Object parseObject( java.lang.String source ) throws java.text.ParseException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable

See also

ParsePosition class [java.text]

FieldPosition class [java.text]

NumberFormat class [java.text]

DateFormat class [java.text]

MessageFormat class [java.text]


format method [java.text.ChoiceFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      format method [java.text.ChoiceFormat]

Overloads:

 StringBuffer format( double number, StringBuffer toAppendTo, FieldPosition status ) overrides format method [java.text.NumberFormat]

 StringBuffer format( long number, StringBuffer toAppendTo, FieldPosition status ) overrides format method [java.text.NumberFormat]

Inherited overloads:

 String format( Object obj )

 StringBuffer format( Object obj, StringBuffer toAppendTo, FieldPosition pos )

 String format( long number )

 StringBuffer format( Object number, StringBuffer toAppendTo, FieldPosition pos )

 String format( double number )

public java.lang.StringBuffer format( double number, java.lang.StringBuffer toAppendTo, java.text.FieldPosition status )

public java.lang.StringBuffer format( long number, java.lang.StringBuffer toAppendTo, java.text.FieldPosition status )

Specialization of format. This method really calls format(double, StringBuffer, FieldPosition) thus the range of longs that are supported is only equal to the range that can be stored by double. This will never be a practical limitation.

Return

No documentation supplied in JDK.

Applies to

 ChoiceFormat [java.text]


format method [java.text.DateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      format method [java.text.DateFormat]

Overloads:

 StringBuffer format( Date date, StringBuffer toAppendTo, FieldPosition fieldPosition )

 StringBuffer format( Object obj, StringBuffer toAppendTo, FieldPosition fieldPosition ) overrides format method [java.text.Format]

 String format( Date date )

Inherited overloads:

 String format( Object obj )

public abstract java.lang.StringBuffer format( java.util.Date date, java.lang.StringBuffer toAppendTo, java.text.FieldPosition fieldPosition )

Formats a Date into a date/time string.

Parameters

date

a Date to be formatted into a date/time string.

toAppendTo

the string buffer for the returning date/time string.

status

the formatting status. On input: an alignment field, if desired. On output: the offsets of the alignment field. For example, given a time text "1996.07.10 AD at 15:08:56 PDT", if the given status.field is DateFormat.YEAR_FIELD, the offsets status.beginIndex and status.getEndIndex will be set to 0 and 4, respectively. Notice that if the same time field appears more than once in a pattern, the status will be set for the first occurence of that time field. For instance, formatting a Date to the time string "1 PM PDT (Pacific Daylight Time)" using the pattern "h a z (zzzz)" and the alignment field DateFormat.TIMEZONE_FIELD, the offsets status.beginIndex and status.getEndIndex will be set to 5 and 8, respectively, for the first occurence of the timezone pattern character 'z'.

Return

The formatted date/time string.

public final java.lang.StringBuffer format( java.lang.Object obj, java.lang.StringBuffer toAppendTo, java.text.FieldPosition fieldPosition )

Overrides Format. Formats a time object into a time string. Examples of time objects are a time value expressed in milliseconds and a Date object.

Parameters

obj

must be a Number or a Date.

toAppendTo

the string buffer for the returning time string.

status

the formatting status. On input: an alignment field, if desired. On output: the offsets of the alignment field.

Return

The formatted time string.

public final java.lang.String format( java.util.Date date )

Formats a Date into a date/time string.

Parameter

date

the time value to be formatted into a time string.

Return

The formatted time string.

Applies to

 DateFormat [java.text]

 SimpleDateFormat [java.text]


format method [java.text.DecimalFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      format method [java.text.DecimalFormat]

Overloads:

 StringBuffer format( long number, StringBuffer result, FieldPosition fieldPosition ) overrides format method [java.text.NumberFormat]

 StringBuffer format( double number, StringBuffer result, FieldPosition fieldPosition ) overrides format method [java.text.NumberFormat]

Inherited overloads:

 String format( Object obj )

 StringBuffer format( Object obj, StringBuffer toAppendTo, FieldPosition pos )

 String format( long number )

 StringBuffer format( Object number, StringBuffer toAppendTo, FieldPosition pos )

 String format( double number )

public java.lang.StringBuffer format( long number, java.lang.StringBuffer result, java.text.FieldPosition fieldPosition )

public java.lang.StringBuffer format( double number, java.lang.StringBuffer result, java.text.FieldPosition fieldPosition )

Applies to

 DecimalFormat [java.text]


format method [java.text.Format] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      format method [java.text.Format]

Overloads:

 String format( Object obj )

 StringBuffer format( Object obj, StringBuffer toAppendTo, FieldPosition pos )

public final java.lang.String format( java.lang.Object obj )

Formats an object to produce a string.

Subclasses will override the StringBuffer version of format.

Parameter

obj

The object to format

Return

Formatted string.

Throws

IllegalArgumentException

When the Format cannot format the type of object.

See also

MessageFormat class [java.text]

public abstract java.lang.StringBuffer format( java.lang.Object obj, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos )

Formats an object to produce a string. Subclasses will implement for particular object, such as:

StringBuffer format (Number obj, StringBuffer toAppendTo)

Number parse (String str)

These general routines allow polymorphic parsing and formatting for objects such as the MessageFormat.

Parameters

obj

The object to format

toAppendTo

where the text is to be appended

status

On input: an alignment field, if desired. On output: the offsets of the alignment field.

Return

The value passed in as toAppendTo (this allows chaining, as with StringBuffer.append()).

Throws

IllegalArgumentException

When the Format cannot format the given object.

See also

MessageFormat class [java.text]

FieldPosition class [java.text]

Applies to

 ChoiceFormat [java.text]

 DateFormat [java.text]

 DecimalFormat [java.text]

 Format [java.text]

 MessageFormat [java.text]

 NumberFormat [java.text]

 SimpleDateFormat [java.text]


format method [java.text.MessageFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      format method [java.text.MessageFormat]

Overloads:

 StringBuffer format( Object source, StringBuffer result, FieldPosition ignore ) overrides format method [java.text.Format]

 String format( String pattern, Object[] arguments )

 StringBuffer format( Object[] source, StringBuffer result, FieldPosition ignore )

Inherited overloads:

 String format( Object obj )

public final java.lang.StringBuffer format( java.lang.Object source, java.lang.StringBuffer result, java.text.FieldPosition ignore )

public static java.lang.String format( java.lang.String pattern, java.lang.Object[] arguments )

Convenience routine. Avoids explicit creation of MessageFormat, but doesn't allow future optimizations.

Return

No documentation supplied in JDK.

public final java.lang.StringBuffer format( java.lang.Object[] source, java.lang.StringBuffer result, java.text.FieldPosition ignore )

Returns pattern with formatted objects.

Parameters

source

an array of objects to be formatted & substituted.

result

where text is appended.

ignore

no useful status is returned.

Return

No documentation supplied in JDK.

Applies to

 MessageFormat [java.text]


format method [java.text.NumberFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      format method [java.text.NumberFormat]

Overloads:

 String format( long number )

 StringBuffer format( Object number, StringBuffer toAppendTo, FieldPosition pos ) overrides format method [java.text.Format]

 String format( double number )

 StringBuffer format( double number, StringBuffer toAppendTo, FieldPosition pos )

 StringBuffer format( long number, StringBuffer toAppendTo, FieldPosition pos )

Inherited overloads:

 String format( Object obj )

public final java.lang.String format( long number )

Specialization of format.

Return

No documentation supplied in JDK.

See also

format method [java.text.Format]

public final java.lang.StringBuffer format( java.lang.Object number, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos )

public final java.lang.String format( double number )

Specialization of format.

Return

No documentation supplied in JDK.

See also

format method [java.text.Format]

public abstract java.lang.StringBuffer format( double number, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos )

Specialization of format.

Return

No documentation supplied in JDK.

See also

format method [java.text.Format]

public abstract java.lang.StringBuffer format( long number, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos )

Specialization of format.

Return

No documentation supplied in JDK.

See also

format method [java.text.Format]

Applies to

 ChoiceFormat [java.text]

 DecimalFormat [java.text]

 NumberFormat [java.text]


format method [java.text.SimpleDateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      format method [java.text.SimpleDateFormat]

Overloads:

 StringBuffer format( Date date, StringBuffer toAppendTo, FieldPosition pos ) overrides format method [java.text.DateFormat]

Inherited overloads:

 StringBuffer format( Object obj, StringBuffer toAppendTo, FieldPosition fieldPosition )

 String format( Date date )

 String format( Object obj )

 StringBuffer format( Object obj, StringBuffer toAppendTo, FieldPosition pos )

public java.lang.StringBuffer format( java.util.Date date, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos )

Overrides DateFormat

Formats a date or time, which is the standard millis since January 1, 1970, 00:00:00 GMT.

Example: using the US locale: "yyyy.MM.dd e 'at' HH:mm:ss zzz" ->> 1996.07.10 AD at 15:08:56 PDT

Parameters

date

the date-time value to be formatted into a date-time string.

toAppendTo

where the new date-time text is to be appended.

pos

the formatting position. On input: an alignment field, if desired. On output: the offsets of the alignment field.

Return

The formatted date-time string.

Applies to

 SimpleDateFormat [java.text]


format property [java.text.MessageFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      format property [java.text.MessageFormat]

public void setFormat( int variable, java.text.Format newFormat )

Sets formats individually to use on parameters. See the class description about format numbering.

Applies to

 MessageFormat [java.text]


formats property [java.text.ChoiceFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      formats property [java.text.ChoiceFormat]

public java.lang.Object[] getFormats( )

Get the formats passed in the constructor.

Return

The formats.

Applies to

 ChoiceFormat [java.text]


formats property [java.text.MessageFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      formats property [java.text.MessageFormat]

public java.text.Format[] getFormats( )

Gets formats that were set with setFormats. See the class description about format numbering.

Return

No documentation supplied in JDK.

public void setFormats( java.text.Format[] newFormats )

Sets formats to use on parameters. See the class description about format numbering.

Applies to

 MessageFormat [java.text]


forName method [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      forName method [java.lang.Class]

public static native java.lang.Class forName( java.lang.String className ) throws java.lang.ClassNotFoundException

Returns the Class object associated with the class with the given string name. Given the fully-qualified name for a class or interface, this method attempts to locate, load and link the class.  If it succeeds, returns the Class object representing the class.  If it fails, the method throws a ClassNotFoundException.

For example, the following code fragment returns the runtime Class descriptor for the class named java.lang.Thread:

Class t = Class.forName("java.lang.Thread")

Parameter

className

the fully qualified name of the desired class.

Return

The Class descriptor for the class with the specified name.

Throws

ClassNotFoundException

If the class could not be found.

Applies to

 Class [java.lang]


Frame class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      Frame class [java.awt]

Object

Component

Container

Window

Frame

Description

A Frame is a top-level window with a title and a border. The default layout for a frame is BorderLayout. Frames are capable of generating the following types of window events: WindowOpened, WindowClosing, WindowClosed, WindowIconified, WindowDeiconified, WindowActivated, WindowDeactivated.

Specification

public class Frame extends java.awt.Window implements java.awt.MenuContainer

Constructors

public Frame( )

Constructs a new instance of Frame that is initially invisible.

See also

size property [java.awt.Component]

visible property [java.awt.Component]

public Frame( java.lang.String title )

Constructs a new, initially invisible Frame object with the specified title.

Parameter

title

the title for the frame

See also

size property [java.awt.Component]

visible property [java.awt.Component]

Variables

public static final int DEFAULT_CURSOR

.

public static final int CROSSHAIR_CURSOR

.

public static final int TEXT_CURSOR

.

public static final int WAIT_CURSOR

.

public static final int SW_RESIZE_CURSOR

.

public static final int SE_RESIZE_CURSOR

.

public static final int NW_RESIZE_CURSOR

.

public static final int NE_RESIZE_CURSOR

.

public static final int N_RESIZE_CURSOR

.

public static final int S_RESIZE_CURSOR

.

public static final int W_RESIZE_CURSOR

.

public static final int E_RESIZE_CURSOR

.

public static final int HAND_CURSOR

.

public static final int MOVE_CURSOR

.

Properties

  synchronized void setCursor( int cursorType )

  int getCursorType( )

  java.awt.Image getIconImage( )

  synchronized void setIconImage( java.awt.Image image )

  java.awt.MenuBar getMenuBar( )

  void setMenuBar( java.awt.MenuBar mb )

  synchronized void setResizable( boolean resizable )

  boolean isResizable( )

  java.lang.String getTitle( )

  synchronized void setTitle( java.lang.String title )

Inherited Properties

  float getAlignmentX( )

  float getAlignmentY( )

  java.awt.Color getBackground( )

  void setBackground( java.awt.Color c )

  java.awt.Rectangle getBounds( )

  void setBounds( java.awt.Rectangle r )

  native final java.lang.Class getClass( )

  java.awt.image.ColorModel getColorModel( )

  java.awt.Component getComponent( int n )

  int getComponentCount( )

  java.awt.Component[] getComponents( )

  java.awt.Cursor getCursor( )

  synchronized void setCursor( java.awt.Cursor cursor )

  void setEnabled( boolean b )

  boolean isEnabled( )

  java.awt.Component getFocusOwner( )

  boolean isFocusTraversable( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.awt.Color getForeground( )

  void setForeground( java.awt.Color c )

  java.awt.Graphics getGraphics( )

  java.awt.Insets getInsets( )

  java.awt.LayoutManager getLayout( )

  void setLayout( java.awt.LayoutManager mgr )

  java.util.Locale getLocale( )

  void setLocale( java.util.Locale l )

  java.awt.Point getLocation( )

  void setLocation( java.awt.Point p )

  void setLocation( int x, int y )

  java.awt.Point getLocationOnScreen( )

  java.awt.Dimension getMaximumSize( )

  java.awt.Dimension getMinimumSize( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.Container getParent( )

  java.awt.peer.ComponentPeer getPeer( )

  java.awt.Dimension getPreferredSize( )

  boolean isShowing( )

  java.awt.Dimension getSize( )

  void setSize( java.awt.Dimension d )

  void setSize( int width, int height )

  java.awt.Toolkit getToolkit( )

  final java.lang.Object getTreeLock( )

  boolean isValid( )

  void setVisible( boolean b )

  boolean isVisible( )

  final java.lang.String getWarningString( )

Methods

  void addNotify( )

  void dispose( )

  void remove( java.awt.MenuComponent m )

Inherited Methods

  boolean action( java.awt.Event evt, java.lang.Object what )

  synchronized void add( java.awt.PopupMenu popup )

  java.awt.Component add( java.awt.Component comp, int index )

  void add( java.awt.Component comp, java.lang.Object constraints, int index )

  java.awt.Component add( java.awt.Component comp )

  void add( java.awt.Component comp, java.lang.Object constraints )

  java.awt.Component add( java.lang.String name, java.awt.Component comp )

  java.awt.Rectangle bounds( )

  int checkImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean contains( java.awt.Point p )

  boolean contains( int x, int y )

  int countComponents( )

  java.awt.Image createImage( java.awt.image.ImageProducer producer )

  java.awt.Image createImage( int width, int height )

  void deliverEvent( java.awt.Event e )

  void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  void doLayout( )

  void enable( boolean b )

  void enable( )

  boolean equals( java.lang.Object obj )

  java.awt.Component getComponentAt( int x, int y )

  java.awt.Component getComponentAt( java.awt.Point p )

  java.awt.FontMetrics getFontMetrics( java.awt.Font font )

  boolean gotFocus( java.awt.Event evt, java.lang.Object what )

  boolean handleEvent( java.awt.Event evt )

  native int hashCode( )

  void hide( )

  boolean imageUpdate( java.awt.Image img, int flags, int x, int y, int w, int h )

  java.awt.Insets insets( )

  boolean inside( int x, int y )

  void invalidate( )

  boolean isAncestorOf( java.awt.Component c )

  boolean keyDown( java.awt.Event evt, int key )

  boolean keyUp( java.awt.Event evt, int key )

  void layout( )

  void list( java.io.PrintStream out, int indent )

  void list( java.io.PrintStream out )

  void list( java.io.PrintWriter out, int indent )

  void list( )

  void list( java.io.PrintWriter out )

  java.awt.Component locate( int x, int y )

  java.awt.Point location( )

  boolean lostFocus( java.awt.Event evt, java.lang.Object what )

  java.awt.Dimension minimumSize( )

  boolean mouseDown( java.awt.Event evt, int x, int y )

  boolean mouseDrag( java.awt.Event evt, int x, int y )

  boolean mouseEnter( java.awt.Event evt, int x, int y )

  boolean mouseExit( java.awt.Event evt, int x, int y )

  boolean mouseMove( java.awt.Event evt, int x, int y )

  boolean mouseUp( java.awt.Event evt, int x, int y )

  void move( int x, int y )

  void nextFocus( )

  native final void notify( )

  native final void notifyAll( )

  void pack( )

  void paint( java.awt.Graphics g )

  void paintAll( java.awt.Graphics g )

  void paintComponents( java.awt.Graphics g )

  boolean postEvent( java.awt.Event e )

  java.awt.Dimension preferredSize( )

  boolean prepareImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  void print( java.awt.Graphics g )

  void printAll( java.awt.Graphics g )

  void printComponents( java.awt.Graphics g )

  void remove( java.awt.Component comp )

  void remove( int index )

  void removeAll( )

  void removeNotify( )

  void repaint( long tm, int x, int y, int width, int height )

  void repaint( long tm )

  void repaint( int x, int y, int width, int height )

  void repaint( )

  void requestFocus( )

  void reshape( int x, int y, int width, int height )

  void resize( java.awt.Dimension d )

  void resize( int width, int height )

  void setBounds( int x, int y, int width, int height )

  void show( )

  void show( boolean b )

  java.awt.Dimension size( )

  void toBack( )

  void toFront( )

  java.lang.String toString( )

  void transferFocus( )

  void update( java.awt.Graphics g )

  void validate( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected java.lang.String paramString( )

 protected void addImpl( java.awt.Component comp, java.lang.Object constraints, int index )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void finalize( ) throws java.lang.Throwable

 protected void processComponentEvent( java.awt.event.ComponentEvent e )

 protected void processContainerEvent( java.awt.event.ContainerEvent e )

 protected void processEvent( java.awt.AWTEvent e )

 protected void processFocusEvent( java.awt.event.FocusEvent e )

 protected void processKeyEvent( java.awt.event.KeyEvent e )

 protected void processMouseEvent( java.awt.event.MouseEvent e )

 protected void processMouseMotionEvent( java.awt.event.MouseEvent e )

 protected void processWindowEvent( java.awt.event.WindowEvent e )

 protected void validateTree( )

Inherited Events

  synchronized void addComponentListener( java.awt.event.ComponentListener l )

  synchronized void removeComponentListener( java.awt.event.ComponentListener l )

  synchronized void addContainerListener( java.awt.event.ContainerListener l )

  synchronized void removeContainerListener( java.awt.event.ContainerListener l )

  synchronized void addFocusListener( java.awt.event.FocusListener l )

  synchronized void removeFocusListener( java.awt.event.FocusListener l )

  synchronized void addKeyListener( java.awt.event.KeyListener l )

  synchronized void removeKeyListener( java.awt.event.KeyListener l )

  synchronized void addMouseListener( java.awt.event.MouseListener l )

  synchronized void removeMouseListener( java.awt.event.MouseListener l )

  synchronized void addMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void removeMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void addWindowListener( java.awt.event.WindowListener l )

  synchronized void removeWindowListener( java.awt.event.WindowListener l )

See also

WindowEvent event [java.awt.Window]


FramePeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      FramePeer interface [java.awt.peer]

Definition

public interface FramePeer extends java.awt.peer.WindowPeer

{

  // Properties

  public void setTitle( java.lang.String title );

  public void setIconImage( java.awt.Image im );

  public void setMenuBar( java.awt.MenuBar mb );

  public void setResizable( boolean resizeable );

}

Properties

public void setTitle( java.lang.String title )

public void setIconImage( java.awt.Image im )

public void setMenuBar( java.awt.MenuBar mb )

public void setResizable( boolean resizeable )


freeMemory method [java.lang.Runtime] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      freeMemory method [java.lang.Runtime]

public native long freeMemory( )

Returns the amount of free memory in the system. The value returned by this method is always less than the value returned by the totalMemory method. Calling the gc method may result in increasing the value returned by freeMemory.

Return

An approximation to the total amount of memory currently available for future allocated objects, measured in bytes.

Applies to

 Runtime [java.lang]


fullBufferUpdates property [java.awt.image.MemoryImageSource] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     F
      fullBufferUpdates property [java.awt.image.MemoryImageSource]

public synchronized void setFullBufferUpdates( boolean fullbuffers )

Specify whether this animated memory image should always be updated by sending the complete buffer of pixels whenever there is a change. This flag is ignored if the animation flag is not turned on through the setAnimated() method.

This method should be called immediately after the MemoryImageSource is constructed and before an image is created with it to ensure that all ImageConsumers will receive the correct pixel delivery hints.

Parameter

fullbuffers

true if the complete pixel buffer should always be sent

See also

animated property [java.awt.image.MemoryImageSource]

Applies to

 MemoryImageSource [java.awt.image]


G  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    G

 gc method [java.lang.Runtime]

 gc method [java.lang.System]

 gcd method [java.math.BigInteger]

 generateKeyPair method [java.security.KeyPairGenerator]

 get method [java.lang.reflect.Array]

 get method [java.lang.reflect.Field]

 get method [java.util.BitSet]

 get method [java.util.Calendar]

 get method [java.util.Dictionary]

 get method [java.util.Hashtable]

 getAlgorithmProperty method [java.security.Security]

 getAllByName method [java.net.InetAddress]

 getAlphas method [java.awt.image.IndexColorModel]

 getAudioClip method [java.applet.Applet]

 getAvailableLocales method [java.text.resources.LocaleData]

 getBeanInfo method [java.beans.Introspector]

 getBlues method [java.awt.image.IndexColorModel]

 getBoolean method [java.lang.Boolean]

 getBoolean method [java.lang.reflect.Array]

 getBoolean method [java.lang.reflect.Field]

 getBundle method [java.util.ResourceBundle]

 getByName method [java.net.InetAddress]

 getByte method [java.lang.reflect.Array]

 getByte method [java.lang.reflect.Field]

 getBytes method [java.lang.String]

 getChar method [java.lang.reflect.Array]

 getChar method [java.lang.reflect.Field]

 getCharacterInstance method [java.text.BreakIterator]

 getChars method [java.lang.String]

 getChars method [java.lang.StringBuffer]

 getCollationElementIterator method [java.text.RuleBasedCollator]

 getCollationKey method [java.text.Collator]

 getCollationKey method [java.text.RuleBasedCollator]

 getColor method [java.awt.Color]

 getComponentAt method [java.awt.Component]

 getComponentAt method [java.awt.Container]

 getConnection method [java.sql.DriverManager]

 getConstraints method [java.awt.GridBagLayout]

 getConstructor method [java.lang.Class]

 getContent method [java.net.ContentHandler]

 getContents method [java.awt.datatransfer.Clipboard]

 getCurrencyInstance method [java.text.NumberFormat]

 getDateInstance method [java.text.DateFormat]

 getDateTimeInstance method [java.text.DateFormat]

 getDeclaredConstructor method [java.lang.Class]

 getDeclaredField method [java.lang.Class]

 getDeclaredMethod method [java.lang.Class]

 getDefaultRequestProperty method [java.net.URLConnection]

 getDisplayCountry method [java.util.Locale]

 getDisplayLanguage method [java.util.Locale]

 getDisplayName method [java.util.Locale]

 getDisplayVariant method [java.util.Locale]

 getDouble method [java.lang.reflect.Array]

 getDouble method [java.lang.reflect.Field]

 getDriver method [java.sql.DriverManager]

 getEntry method [java.util.zip.ZipFile]

 getenv method [java.lang.System]

 getField method [java.lang.Class]

 getFilterInstance method [java.awt.image.ImageFilter]

 getFloat method [java.lang.reflect.Array]

 getFloat method [java.lang.reflect.Field]

 getFont method [java.awt.Font]

 getFontMetrics method [java.awt.Component]

 getFontMetrics method [java.awt.Graphics]

 getFontMetrics method [java.awt.Toolkit]

 getFontPeer method [java.awt.Toolkit]

 getGreens method [java.awt.image.IndexColorModel]

 getHeaderField method [java.net.URLConnection]

 getHeaderFieldDate method [java.net.URLConnection]

 getHeaderFieldInt method [java.net.URLConnection]

 getHeight method [java.awt.Image]

 getHSBColor method [java.awt.Color]

 getIdentity method [java.security.IdentityScope]

 getImage method [java.applet.Applet]

 getImage method [java.awt.Toolkit]

 getInputStream method [java.util.zip.ZipFile]

 getInstance method [java.security.KeyPairGenerator]

 getInstance method [java.security.MessageDigest]

 getInstance method [java.security.Signature]

 getInstance method [java.text.Collator]

 getInstance method [java.text.NumberFormat]

 getInstance method [java.util.Calendar]

 getInstanceOf method [java.beans.Beans]

 getInt method [java.lang.reflect.Array]

 getInt method [java.lang.reflect.Field]

 getInteger method [java.lang.Integer]

 getLayoutAlignmentX method [java.awt.BorderLayout]

 getLayoutAlignmentX method [java.awt.CardLayout]

 getLayoutAlignmentX method [java.awt.GridBagLayout]

 getLayoutAlignmentY method [java.awt.BorderLayout]

 getLayoutAlignmentY method [java.awt.CardLayout]

 getLayoutAlignmentY method [java.awt.GridBagLayout]

 GetLayoutInfo method [java.awt.GridBagLayout]

 getLength method [java.lang.reflect.Array]

 getLineInstance method [java.text.BreakIterator]

 getLocalizedInputStream method [java.lang.Runtime]

 getLocalizedOutputStream method [java.lang.Runtime]

 getLong method [java.lang.Long]

 getLong method [java.lang.reflect.Array]

 getLong method [java.lang.reflect.Field]

 getMethod method [java.lang.Class]

 getMinimumSize method [java.awt.TextArea]

 GetMinSize method [java.awt.GridBagLayout]

 getNativeContainer method [java.awt.Toolkit]

 getNumberInstance method [java.text.NumberFormat]

 getNumericValue method [java.lang.Character]

 getObject method [java.util.ResourceBundle]

 getOffset method [java.util.SimpleTimeZone]

 getOffset method [java.util.TimeZone]

 getParameter method [java.applet.Applet]

 getParameter method [java.security.Signature]

 getPercentInstance method [java.text.NumberFormat]

 getPreferredSize method [java.awt.TextArea]

 getPrintJob method [java.awt.Toolkit]

 getProperty method [java.awt.Image]

 getProperty method [java.awt.Toolkit]

 getProperty method [java.lang.System]

 getProperty method [java.security.Security]

 getProperty method [java.util.Properties]

 getProvider method [java.security.Security]

 getReds method [java.awt.image.IndexColorModel]

 getRegistry method [java.rmi.registry.LocateRegistry]

 getRequestProperty method [java.net.URLConnection]

 getResource method [java.lang.Class]

 getResource method [java.lang.ClassLoader]

 getResourceAsStream method [java.lang.Class]

 getResourceAsStream method [java.lang.ClassLoader]

 getScaledInstance method [java.awt.Image]

 getSecurityContext method [java.rmi.server.RMIClassLoader]

 getSentenceInstance method [java.text.BreakIterator]

 getShort method [java.lang.reflect.Array]

 getShort method [java.lang.reflect.Field]

 getShortcutMenuItem method [java.awt.MenuBar]

 getString method [java.util.ResourceBundle]

 getStringArray method [java.util.ResourceBundle]

 getSystemResource method [java.lang.ClassLoader]

 getSystemResourceAsStream method [java.lang.ClassLoader]

 getTimeInstance method [java.text.DateFormat]

 getTimeZone method [java.util.TimeZone]

 getTransferData method [java.awt.datatransfer.StringSelection]

 getType method [java.lang.Character]

 getValue method [java.beans.FeatureDescriptor]

 getWidth method [java.awt.Image]

 getWordInstance method [java.text.BreakIterator]

 gotFocus method [java.awt.Component]

 grabPixels method [java.awt.image.PixelGrabber]

 Graphics class [java.awt]

 graphics property [java.awt.Component]

 graphics property [java.awt.Image]

 graphics property [java.awt.PrintJob]

 greatestMinimum property [java.util.Calendar]

 greatestMinimum property [java.util.GregorianCalendar]

 green property [java.awt.Color]

 green property [java.awt.image.ColorModel]

 green property [java.awt.image.DirectColorModel]

 green property [java.awt.image.IndexColorModel]

 greenMask property [java.awt.image.DirectColorModel]

 GregorianCalendar class [java.util]

 gregorianChange property [java.util.GregorianCalendar]

 GridBagConstraints class [java.awt]

 GridBagLayout class [java.awt]

 GridLayout class [java.awt]

 Group interface [java.security.acl]

 groupingSeparator property [java.text.DecimalFormatSymbols]

 groupingSize property [java.text.DecimalFormat]

 groupingUsed property [java.text.NumberFormat]

 grow method [java.awt.Rectangle]

 guessContentTypeFromName method [java.net.URLConnection]

 guessContentTypeFromStream method [java.net.URLConnection]

 guiAvailable property [java.beans.Beans]

 GZIPInputStream class [java.util.zip]

 GZIPOutputStream class [java.util.zip]


gc method [java.lang.Runtime] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      gc method [java.lang.Runtime]

public native void gc( )

Runs the garbage collector. Calling this method suggests that the Java Virtual Machine expend effort toward recycling unused objects in order to make the memory they currently occupy available for quick reuse. When control returns from the method call, the Java Virtual Machine has made its best effort to recycle all unused objects.

The name gc stands for "garbage collector". The Java Virtual Machine performs this recycling process automatically as needed even if the gc method is not invoked explicitly.

Applies to

 Runtime [java.lang]


gc method [java.lang.System] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      gc method [java.lang.System]

public static void gc( )

Runs the garbage collector.

Calling the gc method suggests that the Java Virtual Machine expend effort toward recycling unused objects in order to make the memory they currently occupy available for quick reuse. When control returns from the method call, the Java Virtual Machine has made a best effort to reclaim space from all unused objects.

See also

gc method [java.lang.Runtime]

Applies to

 System [java.lang]


gcd method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      gcd method [java.math.BigInteger]

public java.math.BigInteger gcd( java.math.BigInteger val )

Returns a BigInteger whose value is the greatest common denominator of abs(this) and abs(val).  Returns 0 if this == 0 && val == 0.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


generateKeyPair method [java.security.KeyPairGenerator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      generateKeyPair method [java.security.KeyPairGenerator]

public abstract java.security.KeyPair generateKeyPair( )

Generates a key pair. Unless an initialization method is called using a KeyPairGenerator interface, algorithm-specific defaults will be used. This will generate a new key pair every time it is called.

Return

No documentation supplied in JDK.

Applies to

 KeyPairGenerator [java.security]


get method [java.lang.reflect.Array] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      get method [java.lang.reflect.Array]

public static native java.lang.Object get( java.lang.Object array, int index ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

Returns the value of the indexed component in the specified array object.  The value is automatically wrapped in an object if it has a primitive type.

Parameters

array

the array

index

the index

Return

The (possibly wrapped) value of the indexed component in the specified array.

Throws

NullPointerException

If the specified object is null.

IllegalArgumentException

If the specified object is not an array.

ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array.

Applies to

 Array [java.lang.reflect]


get method [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      get method [java.lang.reflect.Field]

public native java.lang.Object get( java.lang.Object obj ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

Returns the value of the field represented by this Field, on the specified object. The value is automatically wrapped in an object if it has a primitive type.

The underlying field's value is obtained as follows:

If the underlying field is a static field, the object argument is ignored; it may be null.

Otherwise, the underlying field is an instance field.  If the specified object argument is null, the method throws a NullPointerException. If the specified object is not an instance of the class or interface declaring the underlying field, the method throws an IllegalArgumentException.

If this Field object enforces Java language access control, and the underlying field is inaccessible, the method throws an IllegalAccessException.

Otherwise, the value is retrieved from the underlying instance or static field.  If the field has a primitive type, the value is wrapped in an object before being returned, otherwise it is returned as is.

Return

No documentation supplied in JDK.

Throws

IllegalAccessException

If the underlying constructor is inaccessible.

IllegalArgumentException

If the specified object is not an instance of the class or interface declaring the underlying field.

NullPointerException

If the specified object is null.

Applies to

 Field [java.lang.reflect]


get method [java.util.BitSet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      get method [java.util.BitSet]

public boolean get( int bit )

Gets a bit.

Parameter

bit

the bit to be gotten

Return

No documentation supplied in JDK.

Applies to

 BitSet [java.util]


get method [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      get method [java.util.Calendar]

public final int get( int field )

Gets the value for a given time field.

Parameter

field

the given time field.

Return

The value for the given time field.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


get method [java.util.Dictionary] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      get method [java.util.Dictionary]

public abstract java.lang.Object get( java.lang.Object key )

Returns the value to which the key is mapped in this dictionary.

Parameter

key

a key in this dictionary. null if the key is not mapped to any value in this dictionary.

Return

The value to which the key is mapped in this dictionary;.

See also

put method [java.util.Dictionary]

Applies to

 Dictionary [java.util]

 Hashtable [java.util]

 Properties [java.util]

 Provider [java.security]


get method [java.util.Hashtable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      get method [java.util.Hashtable]

Overloads:

 Object get( Object key ) overrides get method [java.util.Dictionary]

public synchronized java.lang.Object get( java.lang.Object key )

Returns the value to which the specified key is mapped in this hashtable.

Parameter

key

a key in the hashtable.

Return

The value to which the key is mapped in this hashtable; null if the key is not mapped to any value in this hashtable.

See also

put method [java.util.Dictionary]

Applies to

 Hashtable [java.util]

 Properties [java.util]

 Provider [java.security]


getAlgorithmProperty method [java.security.Security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getAlgorithmProperty method [java.security.Security]

public static java.lang.String getAlgorithmProperty( java.lang.String algName, java.lang.String propName )

Gets a specified property for an algorithm. The algorithm name should be a standard name. See Appendix A in the   Java Cryptography Architecture API Specification & Reference   for information about standard algorithm names. One possible use is by specialized algorithm parsers, which may map classes to algorithms which they understand (much like Key parsers do).

Parameters

algName

the algorithm name.

propName

the name of the property to get.

Return

The value of the specified property.

Applies to

 Security [java.security]


getAllByName method [java.net.InetAddress] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getAllByName method [java.net.InetAddress]

public static java.net.InetAddress[] getAllByName( java.lang.String host ) throws java.net.UnknownHostException

Determines all the IP addresses of a host, given the host's name. The host name can either be a machine name, such as "java.sun.com", or a string representing its IP address, such as "206.26.48.100".

Parameter

host

the name of the host.

Return

An array of all the IP addresses for a given host name.

Throws

UnknownHostException

If no IP address for the host could be found.

Applies to

 InetAddress [java.net]


getAlphas method [java.awt.image.IndexColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getAlphas method [java.awt.image.IndexColorModel]

public final void getAlphas( byte[] a )

Copies the array of alpha transparency values into the given array.  Only the initial entries of the array as specified by getMapSize() will be written.

Applies to

 IndexColorModel [java.awt.image]


getAudioClip method [java.applet.Applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getAudioClip method [java.applet.Applet]

Overloads:

 AudioClip getAudioClip( URL url, String name )

 AudioClip getAudioClip( URL url )

public java.applet.AudioClip getAudioClip( java.net.URL url, java.lang.String name )

Returns the AudioClip object specified by the URL and name arguments.

This method always returns immediately, whether or not the audio clip exists. When this applet attempts to play the audio clip, the data will be loaded.

Parameters

url

an absolute URL giving the base location of the audio clip.

name

the location of the audio clip, relative to the url argument.

Return

The audio clip at the specified URL.

See also

AudioClip interface [java.applet]

public java.applet.AudioClip getAudioClip( java.net.URL url )

Returns the AudioClip object specified by the URL argument.

This method always returns immediately, whether or not the audio clip exists. When this applet attempts to play the audio clip, the data will be loaded.

Parameter

url

an absolute URL giving the location of the audio clip.

Return

The audio clip at the specified URL.

See also

AudioClip interface [java.applet]

Applies to

 Applet [java.applet]


getAvailableLocales method [java.text.resources.LocaleData] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getAvailableLocales method [java.text.resources.LocaleData]

public static java.util.Locale[] getAvailableLocales( java.lang.String key )

Applies to

 LocaleData [java.text.resources]


getBeanInfo method [java.beans.Introspector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getBeanInfo method [java.beans.Introspector]

Overloads:

 BeanInfo getBeanInfo( Class beanClass, Class stopClass )

 BeanInfo getBeanInfo( Class beanClass )

public static java.beans.BeanInfo getBeanInfo( java.lang.Class beanClass, java.lang.Class stopClass ) throws java.beans.IntrospectionException

Introspect on a Java bean and learn all about its properties, exposed methods, below a given "stop" point.

Parameters

bean

The bean class to be analyzed.

stopClass

The baseclass at which to stop the analysis. Any methods/properties/events in the stopClass or in its baseclasses will be ignored in the analysis.

Return

No documentation supplied in JDK.

Throws

IntrospectionException

If an exception occurs during introspection.

public static java.beans.BeanInfo getBeanInfo( java.lang.Class beanClass ) throws java.beans.IntrospectionException

Introspect on a Java bean and learn about all its properties, exposed methods, and events.

Parameter

beanClass

The bean class to be analyzed.

Return

A BeanInfo object describing the target bean.

Throws

IntrospectionException

If an exception occurs during introspection.

Applies to

 Introspector [java.beans]


getBlues method [java.awt.image.IndexColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getBlues method [java.awt.image.IndexColorModel]

public final void getBlues( byte[] b )

Copies the array of blue color components into the given array.  Only the initial entries of the array as specified by getMapSize() will be written.

Applies to

 IndexColorModel [java.awt.image]


getBoolean method [java.lang.Boolean] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getBoolean method [java.lang.Boolean]

public static boolean getBoolean( java.lang.String name )

Returns is true if and only if the system property named by the argument exists and is equal to the string "true". (Beginning with Java 1.0.2, the test of this string is case insensitive.) A system property is accessible through getProperty, a method defined by the System class.

Parameter

name

the system property name.

Return

The boolean value of the system property.

See also

getProperty method [java.lang.System]

Applies to

 Boolean [java.lang]


getBoolean method [java.lang.reflect.Array] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getBoolean method [java.lang.reflect.Array]

public static native boolean getBoolean( java.lang.Object array, int index ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

Returns the value of the indexed component in the specified array object, as a boolean.

Parameters

array

the array

index

the index

Return

The value of the indexed component in the specified array.

Throws

NullPointerException

If the specified object is null.

IllegalArgumentException

If the specified object is not an array, or if the indexed element cannot be converted to the return type by an identity or widening conversion.

ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array.

See also

get method [java.lang.reflect.Array]

Applies to

 Array [java.lang.reflect]


getBoolean method [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getBoolean method [java.lang.reflect.Field]

public native boolean getBoolean( java.lang.Object obj ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

Get the value of a field as a boolean on specified object.

Return

No documentation supplied in JDK.

Throws

IllegalAccessException

If the underlying constructor is inaccessible.

IllegalArgumentException

If the field value cannot be converted to the return type by a widening conversion.

See also

get method [java.lang.reflect.Field]

Applies to

 Field [java.lang.reflect]


getBundle method [java.util.ResourceBundle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getBundle method [java.util.ResourceBundle]

Overloads:

 ResourceBundle getBundle( String baseName, Locale locale )

 ResourceBundle getBundle( String baseName )

public static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

Get the appropriate ResourceBundle subclass.

Parameters

baseName

see class description.

locale

see class description.

Return

No documentation supplied in JDK.

public static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

Get the appropriate ResourceBundle subclass.

Parameter

baseName

see class description.

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData [java.text.resources]

 DateFormatZoneData_ar [java.text.resources]

 DateFormatZoneData_be [java.text.resources]

 DateFormatZoneData_bg [java.text.resources]

 DateFormatZoneData_ca [java.text.resources]

 DateFormatZoneData_cs [java.text.resources]

 DateFormatZoneData_da [java.text.resources]

 DateFormatZoneData_de [java.text.resources]

 DateFormatZoneData_de_AT [java.text.resources]

 DateFormatZoneData_de_CH [java.text.resources]

 DateFormatZoneData_el [java.text.resources]

 DateFormatZoneData_en [java.text.resources]

 DateFormatZoneData_en_CA [java.text.resources]

 DateFormatZoneData_en_GB [java.text.resources]

 DateFormatZoneData_en_IE [java.text.resources]

 DateFormatZoneData_es [java.text.resources]

 DateFormatZoneData_et [java.text.resources]

 DateFormatZoneData_fi [java.text.resources]

 DateFormatZoneData_fr [java.text.resources]

 DateFormatZoneData_fr_BE [java.text.resources]

 DateFormatZoneData_fr_CA [java.text.resources]

 DateFormatZoneData_fr_CH [java.text.resources]

 DateFormatZoneData_hr [java.text.resources]

 DateFormatZoneData_hu [java.text.resources]

 DateFormatZoneData_is [java.text.resources]

 DateFormatZoneData_it [java.text.resources]

 DateFormatZoneData_it_CH [java.text.resources]

 DateFormatZoneData_iw [java.text.resources]

 DateFormatZoneData_ja [java.text.resources]

 DateFormatZoneData_ko [java.text.resources]

 DateFormatZoneData_lt [java.text.resources]

 DateFormatZoneData_lv [java.text.resources]

 DateFormatZoneData_mk [java.text.resources]

 DateFormatZoneData_nl [java.text.resources]

 DateFormatZoneData_nl_BE [java.text.resources]

 DateFormatZoneData_no [java.text.resources]

 DateFormatZoneData_no_NO_NY [java.text.resources]

 DateFormatZoneData_pl [java.text.resources]

 DateFormatZoneData_pt [java.text.resources]

 DateFormatZoneData_ro [java.text.resources]

 DateFormatZoneData_ru [java.text.resources]

 DateFormatZoneData_sh [java.text.resources]

 DateFormatZoneData_sk [java.text.resources]

 DateFormatZoneData_sl [java.text.resources]

 DateFormatZoneData_sq [java.text.resources]

 DateFormatZoneData_sr [java.text.resources]

 DateFormatZoneData_sv [java.text.resources]

 DateFormatZoneData_th [java.text.resources]

 DateFormatZoneData_tr [java.text.resources]

 DateFormatZoneData_uk [java.text.resources]

 DateFormatZoneData_zh [java.text.resources]

 DateFormatZoneData_zh_TW [java.text.resources]

 ListResourceBundle [java.util]

 LocaleElements [java.text.resources]

 LocaleElements_ar [java.text.resources]

 LocaleElements_be [java.text.resources]

 LocaleElements_bg [java.text.resources]

 LocaleElements_ca [java.text.resources]

 LocaleElements_cs [java.text.resources]

 LocaleElements_da [java.text.resources]

 LocaleElements_de [java.text.resources]

 LocaleElements_de_AT [java.text.resources]

 LocaleElements_de_AT_EURO [java.text.resources]

 LocaleElements_de_CH [java.text.resources]

 LocaleElements_de_DE_EURO [java.text.resources]

 LocaleElements_de_LU [java.text.resources]

 LocaleElements_de_LU_EURO [java.text.resources]

 LocaleElements_el [java.text.resources]

 LocaleElements_en [java.text.resources]

 LocaleElements_en_AU [java.text.resources]

 LocaleElements_en_CA [java.text.resources]

 LocaleElements_en_GB [java.text.resources]

 LocaleElements_en_IE [java.text.resources]

 LocaleElements_en_IE_EURO [java.text.resources]

 LocaleElements_en_NZ [java.text.resources]

 LocaleElements_en_ZA [java.text.resources]

 LocaleElements_es [java.text.resources]

 LocaleElements_es_AR [java.text.resources]

 LocaleElements_es_BO [java.text.resources]

 LocaleElements_es_CL [java.text.resources]

 LocaleElements_es_CO [java.text.resources]

 LocaleElements_es_CR [java.text.resources]

 LocaleElements_es_DO [java.text.resources]

 LocaleElements_es_EC [java.text.resources]

 LocaleElements_es_ES_EURO [java.text.resources]

 LocaleElements_es_GT [java.text.resources]

 LocaleElements_es_HN [java.text.resources]

 LocaleElements_es_MX [java.text.resources]

 LocaleElements_es_NI [java.text.resources]

 LocaleElements_es_PA [java.text.resources]

 LocaleElements_es_PE [java.text.resources]

 LocaleElements_es_PR [java.text.resources]

 LocaleElements_es_PY [java.text.resources]

 LocaleElements_es_SV [java.text.resources]

 LocaleElements_es_UY [java.text.resources]

 LocaleElements_es_VE [java.text.resources]

 LocaleElements_et [java.text.resources]

 LocaleElements_fi [java.text.resources]

 LocaleElements_fi_FI_EURO [java.text.resources]

 LocaleElements_fr [java.text.resources]

 LocaleElements_fr_BE [java.text.resources]

 LocaleElements_fr_BE_EURO [java.text.resources]

 LocaleElements_fr_CA [java.text.resources]

 LocaleElements_fr_CH [java.text.resources]

 LocaleElements_fr_FR_EURO [java.text.resources]

 LocaleElements_fr_LU [java.text.resources]

 LocaleElements_fr_LU_EURO [java.text.resources]

 LocaleElements_hr [java.text.resources]

 LocaleElements_hu [java.text.resources]

 LocaleElements_is [java.text.resources]

 LocaleElements_it [java.text.resources]

 LocaleElements_it_CH [java.text.resources]

 LocaleElements_it_IT_EURO [java.text.resources]

 LocaleElements_iw [java.text.resources]

 LocaleElements_ja [java.text.resources]

 LocaleElements_ko [java.text.resources]

 LocaleElements_lt [java.text.resources]

 LocaleElements_lv [java.text.resources]

 LocaleElements_mk [java.text.resources]

 LocaleElements_nl [java.text.resources]

 LocaleElements_nl_BE [java.text.resources]

 LocaleElements_nl_BE_EURO [java.text.resources]

 LocaleElements_nl_NL_EURO [java.text.resources]

 LocaleElements_no [java.text.resources]

 LocaleElements_no_NO_NY [java.text.resources]

 LocaleElements_pl [java.text.resources]

 LocaleElements_pt [java.text.resources]

 LocaleElements_pt_BR [java.text.resources]

 LocaleElements_pt_PT_EURO [java.text.resources]

 LocaleElements_ro [java.text.resources]

 LocaleElements_ru [java.text.resources]

 LocaleElements_sh [java.text.resources]

 LocaleElements_sk [java.text.resources]

 LocaleElements_sl [java.text.resources]

 LocaleElements_sq [java.text.resources]

 LocaleElements_sr [java.text.resources]

 LocaleElements_sv [java.text.resources]

 LocaleElements_th [java.text.resources]

 LocaleElements_tr [java.text.resources]

 LocaleElements_uk [java.text.resources]

 LocaleElements_zh [java.text.resources]

 LocaleElements_zh_TW [java.text.resources]

 PropertyResourceBundle [java.util]

 ResourceBundle [java.util]


getByName method [java.net.InetAddress] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getByName method [java.net.InetAddress]

public static java.net.InetAddress getByName( java.lang.String host ) throws java.net.UnknownHostException

Determines the IP address of a host, given the host's name. The host name can either be a machine name, such as "java.sun.com", or a string representing its IP address, such as "206.26.48.100".

Parameter

host

the specified host, or null for the local host.

Return

An IP address for the given host name.

Throws

UnknownHostException

If no IP address for the host could be found.

Applies to

 InetAddress [java.net]


getByte method [java.lang.reflect.Array] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getByte method [java.lang.reflect.Array]

public static native byte getByte( java.lang.Object array, int index ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

Returns the value of the indexed component in the specified array object, as a byte.

Parameters

array

the array

index

the index

Return

The value of the indexed component in the specified array.

Throws

NullPointerException

If the specified object is null.

IllegalArgumentException

If the specified object is not an array, or if the indexed element cannot be converted to the return type by an identity or widening conversion.

ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array.

See also

get method [java.lang.reflect.Array]

Applies to

 Array [java.lang.reflect]


getByte method [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getByte method [java.lang.reflect.Field]

public native byte getByte( java.lang.Object obj ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

Get the value of a field as a byte on specified object.

Return

No documentation supplied in JDK.

Throws

IllegalAccessException

If the underlying constructor is inaccessible.

IllegalArgumentException

If the field value cannot be converted to the return type by a widening conversion.

See also

get method [java.lang.reflect.Field]

Applies to

 Field [java.lang.reflect]


getBytes method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getBytes method [java.lang.String]

Overloads:

 void getBytes( int srcBegin, int srcEnd, byte[] dst, int dstBegin )

 byte[] getBytes( String enc )

public void getBytes( int srcBegin, int srcEnd, byte[] dst, int dstBegin )

Note: getBytes has been deprecated. This method does not properly convert characters into bytes. As of JDK 1.1, the preferred way to do this is via the getBytes(String enc) method, which takes a character-encoding name, or the getBytes() method, which uses the platform's default encoding.

Copies characters from this string into the destination byte array. Each byte receives the 8 low-order bits of the corresponding character.

The first character to be copied is at index srcBegin; the last character to be copied is at index srcEnd-1. The total number of characters to be copied is srcEnd-srcBegin. The characters, converted to bytes, are copied into the subarray of dst starting at index dstBegin and ending at index:

   dstbegin + (srcEnd-srcBegin) - 1

Parameters

srcBegin

index of the first character in the string to copy.

srcEnd

index after the last character in the string to copy.

dst

the destination array.

dstBegin

the start offset in the destination array.

Throws

StringIndexOutOfBoundsException

If srcBegin or srcEnd is out of range, or if srcBegin is greater than srcEnd.

public byte[] getBytes( java.lang.String enc ) throws java.io.UnsupportedEncodingException

Convert this String into bytes according to the specified character encoding, storing the result into a new byte array.

Parameter

enc

A character-encoding name

Return

The resultant byte array.

Throws

UnsupportedEncodingException

If the named encoding is not supported.

Applies to

 String [java.lang]


getChar method [java.lang.reflect.Array] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getChar method [java.lang.reflect.Array]

public static native char getChar( java.lang.Object array, int index ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

Returns the value of the indexed component in the specified array object, as a char.

Parameters

array

the array

index

the index

Return

The value of the indexed component in the specified array.

Throws

NullPointerException

If the specified object is null.

IllegalArgumentException

If the specified object is not an array, or if the indexed element cannot be converted to the return type by an identity or widening conversion.

ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array.

See also

get method [java.lang.reflect.Array]

Applies to

 Array [java.lang.reflect]


getChar method [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getChar method [java.lang.reflect.Field]

public native char getChar( java.lang.Object obj ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

Get the value of a field as a char on specified object.

Return

No documentation supplied in JDK.

Throws

IllegalAccessException

If the underlying constructor is inaccessible.

IllegalArgumentException

If the field value cannot be converted to the return type by a widening conversion.

See also

get method [java.lang.reflect.Field]

Applies to

 Field [java.lang.reflect]


getCharacterInstance method [java.text.BreakIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getCharacterInstance method [java.text.BreakIterator]

public static java.text.BreakIterator getCharacterInstance( java.util.Locale where )

Create BreakIterator for character-breaks using specified locale Returns an instance of a BreakIterator implementing character breaks. Character breaks are boundaries of combining character sequences.

Parameter

where

the local. If a specific character break is not avaliable for the specified local, a default character break is returned.

Return

A BreakIterator for character-breaks.

Applies to

 BreakIterator [java.text]


getChars method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getChars method [java.lang.String]

public void getChars( int srcBegin, int srcEnd, char[] dst, int dstBegin )

Copies characters from this string into the destination character array.

The first character to be copied is at index srcBegin; the last character to be copied is at index srcEnd-1 (thus the total number of characters to be copied is srcEnd-srcBegin). The characters are copied into the subarray of dst starting at index dstBegin and ending at index:

   dstbegin + (srcEnd-srcBegin) - 1

Parameters

srcBegin

index of the first character in the string to copy.

srcEnd

index after the last character in the string to copy.

dst

the destination array.

dstBegin

the start offset in the destination array.

Throws

StringIndexOutOfBoundsException

If srcBegin or srcEnd is out of range, or if srcBegin is greater than the srcEnd.

Applies to

 String [java.lang]


getChars method [java.lang.StringBuffer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getChars method [java.lang.StringBuffer]

public synchronized void getChars( int srcBegin, int srcEnd, char[] dst, int dstBegin )

Characters are copied from this string buffer into the destination character array dst. The first character to be copied is at index srcBegin; the last character to be copied is at index srcEnd-1. The total number of characters to be copied is srcEnd-srcBegin. The characters are copied into the subarray of dst starting at index dstBegin and ending at index:

   dstbegin + (srcEnd-srcBegin) - 1

Parameters

srcBegin

start copying at this offset in the string buffer.

srcEnd

stop copying at this offset in the string buffer.

dst

the array to copy the data into.

dstBegin

offset into dst.

Throws

StringIndexOutOfBoundsException

If there is an invalid index into the buffer.

Applies to

 StringBuffer [java.lang]


getCollationElementIterator method [java.text.RuleBasedCollator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getCollationElementIterator method [java.text.RuleBasedCollator]

public java.text.CollationElementIterator getCollationElementIterator( java.lang.String source )

Return a CollationElementIterator for the given String.

Return

No documentation supplied in JDK.

See also

CollationElementIterator class [java.text]

Applies to

 RuleBasedCollator [java.text]


getCollationKey method [java.text.Collator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getCollationKey method [java.text.Collator]

public abstract java.text.CollationKey getCollationKey( java.lang.String source )

Transforms the String into a series of bits that can be compared bitwise to other CollationKeys. CollationKeys provide better performance than Collator.compare when Strings are involved in multiple comparisons. See the Collator class description for an example using CollationKeys.

Parameter

source

the string to be transformed into a collation key.

Return

The CollationKey for the given String based on this Collator's collation rules. If the source String is null, a null CollationKey is returned.

See also

CollationKey class [java.text]

compare method [java.text.Collator]

Applies to

 Collator [java.text]

 RuleBasedCollator [java.text]


getCollationKey method [java.text.RuleBasedCollator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getCollationKey method [java.text.RuleBasedCollator]

Overloads:

 CollationKey getCollationKey( String source ) overrides getCollationKey method [java.text.Collator]

public java.text.CollationKey getCollationKey( java.lang.String source )

Transforms the string into a series of characters that can be compared with CollationKey.compareTo. This overrides java.text.Collator.getCollationKey. It can be overriden in a subclass.

Return

No documentation supplied in JDK.

Applies to

 RuleBasedCollator [java.text]


getColor method [java.awt.Color] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getColor method [java.awt.Color]

Overloads:

 Color getColor( String nm )

 Color getColor( String nm, Color v )

 Color getColor( String nm, int v )

public static java.awt.Color getColor( java.lang.String nm )

Finds a color in the system properties.

The argument is treated as the name of a system property to be obtained. The string value of this property is then interpreted as an integer which is then converted to a color.

If the specified property is not found, or could not be parsed as an integer, then null is returned.

Parameter

nm

the name of the color property

Return

The color value of the property.

See also

getProperty method [java.lang.System]

getInteger method [java.lang.Integer]

public static java.awt.Color getColor( java.lang.String nm, java.awt.Color v )

Finds a color in the system properties.

The first argument is treated as the name of a system property to be obtained. The string value of this property is then interpreted as an integer which is then converted to a color.

If the specified property is not found, or cannot be parsed as an integer, then the color specified by the second argument is returned instead.

Parameters

nm

the name of the color property

v

the default color value.

Return

The color value of the property.

See also

getProperty method [java.lang.System]

getInteger method [java.lang.Integer]

public static java.awt.Color getColor( java.lang.String nm, int v )

Finds a color in the system properties.

The first argument is treated as the name of a system property to be obtained. The string value of this property is then interpreted as an integer which is then converted to a color.

If the specified property is not found, or could not be parsed as an integer, then the integer value v is used instead, and is converted to a color.

Parameters

nm

the name of the color property.

v

the default color value, as an integer.

Return

The color value of the property.

See also

getProperty method [java.lang.System]

getInteger method [java.lang.Integer]

Applies to

 Color [java.awt]

 SystemColor [java.awt]


getComponentAt method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getComponentAt method [java.awt.Component]

Overloads:

 Component getComponentAt( int x, int y )

 Component getComponentAt( Point p )

public java.awt.Component getComponentAt( int x, int y )

Determines if this component or one of its immediate subcomponents contains the (x , y ) location, and if so, returns the containing component. This method only looks one level deep. If the point (x , y ) is inside a subcomponent that itself has subcomponents, it does not go looking down the subcomponent tree.

The locate method of Component simply returns the component itself if the (x , y ) coordinate location is inside its bounding box, and null otherwise.

Parameters

x

the x coordinate.

y

the y coordinate.

Return

The component or subcomponent that contains the (x , y ) location; null if the location is outside this component.

See also

contains method [java.awt.Component]

public java.awt.Component getComponentAt( java.awt.Point p )

Returns the component or subcomponent that contains the specified point.

Parameter

p

the point.

Return

No documentation supplied in JDK.

See also

contains method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


getComponentAt method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getComponentAt method [java.awt.Container]

Overloads:

 Component getComponentAt( int x, int y ) overrides getComponentAt method [java.awt.Component]

 Component getComponentAt( Point p ) overrides getComponentAt method [java.awt.Component]

public java.awt.Component getComponentAt( int x, int y )

Locates the component that contains the x,y position.  The top-most child component is returned in the case where there is overlap in the components.  This is determined by finding the component closest to the index 0 that claims to contain the given point via Component.contains().

Parameters

x

the x coordinate

y

the y coordinate

Return

Null if the component does not contain the position. If there is no child component at the requested point and the point is within the bounds of the container the container itself is returned; otherwise the top-most child is returned.

See also

contains method [java.awt.Component]

public java.awt.Component getComponentAt( java.awt.Point p )

Gets the component that contains the specified point.

Parameter

p

the point.

Return

Returns the component that contains the point, or null if the component does not contain the point.

See also

contains method [java.awt.Component]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


getConnection method [java.sql.DriverManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getConnection method [java.sql.DriverManager]

Overloads:

 Connection getConnection( String url )

 Connection getConnection( String url, Properties info )

 Connection getConnection( String url, String user, String password )

public static synchronized java.sql.Connection getConnection( java.lang.String url ) throws java.sql.SQLException

Attempt to establish a connection to the given database URL. The DriverManager attempts to select an appropriate driver from the set of registered JDBC drivers.

Parameter

url

a database url of the form jdbc:subprotocol :subname

Return

A Connection to the URL.

Throws

SQLException

If a database-access error occurs.

public static synchronized java.sql.Connection getConnection( java.lang.String url, java.util.Properties info ) throws java.sql.SQLException

Attempt to establish a connection to the given database URL. The DriverManager attempts to select an appropriate driver from the set of registered JDBC drivers.

Parameters

url

a database url of the form jdbc:subprotocol :subname

info

a list of arbitrary string tag/value pairs as connection arguments; normally at least a "user" and "password" property should be included

Return

A Connection to the URL.

Throws

SQLException

If a database-access error occurs.

public static synchronized java.sql.Connection getConnection( java.lang.String url, java.lang.String user, java.lang.String password ) throws java.sql.SQLException

Attempt to establish a connection to the given database URL. The DriverManager attempts to select an appropriate driver from the set of registered JDBC drivers.

Parameters

url

a database url of the form jdbc:subprotocol :subname

user

the database user on whose behalf the Connection is being made

password

the users password

Return

A Connection to the URL.

Throws

SQLException

If a database-access error occurs.

Applies to

 DriverManager [java.sql]


getConstraints method [java.awt.GridBagLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getConstraints method [java.awt.GridBagLayout]

public java.awt.GridBagConstraints getConstraints( java.awt.Component comp )

Gets the constraints for the specified component.  A copy of the actual GridBagConstraints object is returned.

Parameter

comp

the component to be queried.

Return

The constraint for the specified component in this grid bag layout; a copy of the actual constraint object is returned.

Applies to

 GridBagLayout [java.awt]


getConstructor method [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getConstructor method [java.lang.Class]

public java.lang.reflect.Constructor getConstructor( java.lang.Class[] parameterTypes ) throws java.lang.NoSuchMethodException, java.lang.SecurityException

Returns a Constructor object that reflects the specified public constructor of the class represented by this Class object. The parameterTypes parameter is an array of Class objects that identify the constructor's formal parameter types, in declared order.

The constructor to reflect is located by searching all the constructors of the class represented by this Class object for a public constructor with the exactly the same formal parameter types.

Return

No documentation supplied in JDK.

Throws

NoSuchMethodException

If a matching method is not found.

SecurityException

If access to the information is denied.

See also

Constructor class [java.lang.reflect]

Applies to

 Class [java.lang]


getContent method [java.net.ContentHandler] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getContent method [java.net.ContentHandler]

public abstract java.lang.Object getContent( java.net.URLConnection urlc ) throws java.io.IOException

Given a URL connect stream positioned at the beginning of the representation of an object, this method reads that stream and creates an object from it.

Parameter

urlc

a URL connection.

Return

The object read by the ContentHandler.

Throws

IOException

If an I/O error occurs while reading the object.

Applies to

 ContentHandler [java.net]


getContents method [java.awt.datatransfer.Clipboard] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getContents method [java.awt.datatransfer.Clipboard]

public synchronized java.awt.datatransfer.Transferable getContents( java.lang.Object requestor )

Returns a transferable object representing the current contents of the clipboard.  If the clipboard currently has no contents, it returns null.

Parameter

requestor

the object requesting the clip data

Return

The current transferable object on the clipboard.

Applies to

 Clipboard [java.awt.datatransfer]


getCurrencyInstance method [java.text.NumberFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getCurrencyInstance method [java.text.NumberFormat]

public static java.text.NumberFormat getCurrencyInstance( java.util.Locale inLocale )

Returns a currency format for the specified locale.

Return

No documentation supplied in JDK.

Applies to

 ChoiceFormat [java.text]

 DecimalFormat [java.text]

 NumberFormat [java.text]


getDateInstance method [java.text.DateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getDateInstance method [java.text.DateFormat]

public static final java.text.DateFormat getDateInstance( int style, java.util.Locale aLocale )

Gets the date formatter with the given formatting style for the given locale.

Parameters

style

the given formatting style. For example, SHORT for "M/d/yy" in the US locale.

inLocale

the given locale.

Return

A date formatter.

Applies to

 DateFormat [java.text]

 SimpleDateFormat [java.text]


getDateTimeInstance method [java.text.DateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getDateTimeInstance method [java.text.DateFormat]

Overloads:

 DateFormat getDateTimeInstance( int dateStyle, int timeStyle )

 DateFormat getDateTimeInstance( int dateStyle, int timeStyle, Locale aLocale )

public static final java.text.DateFormat getDateTimeInstance( int dateStyle, int timeStyle )

Gets the date/time formatter with the given date and time formatting styles for the default locale.

Parameters

dateStyle

the given date formatting style. For example, SHORT for "M/d/yy" in the US locale.

timeStyle

the given time formatting style. For example, SHORT for "h:mm a" in the US locale.

Return

A date/time formatter.

public static final java.text.DateFormat getDateTimeInstance( int dateStyle, int timeStyle, java.util.Locale aLocale )

Gets the date/time formatter with the given formatting styles for the given locale.

Parameters

dateStyle

the given date formatting style.

timeStyle

the given time formatting style.

inLocale

the given locale.

Return

A date/time formatter.

Applies to

 DateFormat [java.text]

 SimpleDateFormat [java.text]


getDeclaredConstructor method [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getDeclaredConstructor method [java.lang.Class]

public java.lang.reflect.Constructor getDeclaredConstructor( java.lang.Class[] parameterTypes ) throws java.lang.NoSuchMethodException, java.lang.SecurityException

Returns a Constructor object that reflects the specified declared constructor of the class or interface represented by this Class object.  The parameterTypes parameter is an array of Class objects that identify the constructor's formal parameter types, in declared order.

Return

No documentation supplied in JDK.

Throws

NoSuchMethodException

If a matching method is not found.

SecurityException

If access to the information is denied.

See also

Constructor class [java.lang.reflect]

Applies to

 Class [java.lang]


getDeclaredField method [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getDeclaredField method [java.lang.Class]

public java.lang.reflect.Field getDeclaredField( java.lang.String name ) throws java.lang.NoSuchFieldException, java.lang.SecurityException

Returns a Field object that reflects the specified declared field of the class or interface represented by this Class object. The name parameter is a String that specifies the simple name of the desired field.

Return

No documentation supplied in JDK.

Throws

NoSuchFieldException

If a field with the specified name is not found.

SecurityException

If access to the information is denied.

See also

Field class [java.lang.reflect]

Applies to

 Class [java.lang]


getDeclaredMethod method [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getDeclaredMethod method [java.lang.Class]

public java.lang.reflect.Method getDeclaredMethod( java.lang.String name, java.lang.Class[] parameterTypes ) throws java.lang.NoSuchMethodException, java.lang.SecurityException

Returns a Method object that reflects the specified declared method of the class or interface represented by this Class object. The name parameter is a String that specifies the simple name of the desired method, and the parameterTypes parameter is an array of Class objects that identify the method's formal parameter types, in declared order.

Return

No documentation supplied in JDK.

Throws

NoSuchMethodException

If a matching method is not found.

SecurityException

If access to the information is denied.

See also

Method class [java.lang.reflect]

Applies to

 Class [java.lang]


getDefaultRequestProperty method [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getDefaultRequestProperty method [java.net.URLConnection]

public static java.lang.String getDefaultRequestProperty( java.lang.String key )

Returns the value of the default request property. Default request properties are set for every connection.

Return

The value of the default request property for the specified key.

See also

setDefaultRequestProperty method [java.net.URLConnection]

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


getDisplayCountry method [java.util.Locale] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getDisplayCountry method [java.util.Locale]

public java.lang.String getDisplayCountry( java.util.Locale inLocale )

Returns a name for the locale's country that is appropriate for display to the user.  This will be the name the locale's country localized for inLocale, if that data is available.  For example, if the locale is fr_FR and inLocale is en_US, getDisplayCountry() will return "France"; if the locale is en_US and inLocale is fr_FR, getDisplayLanguage() will return "Etats-Unis".  If the appropriate name isn't available (say, we don't have a Japanese name for Croatia), this function falls back on the default locale, on the English name, and finally on the ISO code as a last-resort value.  If the locale doesn't specify a country, this function returns the empty string.

Return

No documentation supplied in JDK.

Applies to

 Locale [java.util]


getDisplayLanguage method [java.util.Locale] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getDisplayLanguage method [java.util.Locale]

public java.lang.String getDisplayLanguage( java.util.Locale inLocale )

Returns a name for the locale's language that is appropriate for display to the user.  This will be the name the locale's language localized for inLocale, if that data is available.  For example, if the locale is fr_FR and inLocale is en_US, getDisplayLanguage() will return "French"; if the locale is en_US and inLocale is fr_FR, getDisplayLanguage() will return "anglais".  If the appropriate name isn't available (say, we don't have a Japanese name for Croatian), this function falls back on the default locale, on the English name, and finally on the ISO code as a last-resort value.  If the locale doesn't specify a language, this function returns the empty string.

Return

No documentation supplied in JDK.

Applies to

 Locale [java.util]


getDisplayName method [java.util.Locale] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getDisplayName method [java.util.Locale]

public java.lang.String getDisplayName( java.util.Locale inLocale )

Returns a name for the locale that is appropriate for display to the user.  This will be the values returned by getDisplayLanguage(), getDisplayCountry(), and getDisplayVariant() assembled into a single string.  The display name will have one of the following forms:

language (country, variant)

language (country)

language (variant)

country (variant)

language

country

variant

 depending on which fields are specified in the locale.  If the language, country, and variant fields are all empty, this function returns the empty string.

Return

No documentation supplied in JDK.

Applies to

 Locale [java.util]


getDisplayVariant method [java.util.Locale] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getDisplayVariant method [java.util.Locale]

public java.lang.String getDisplayVariant( java.util.Locale inLocale )

Returns a name for the locale's variant code that is appropriate for display to the user.  If possible, the name will be localized for inLocale.  If the locale doesn't specify a variant code, this function returns the empty string.

Return

No documentation supplied in JDK.

Applies to

 Locale [java.util]


getDouble method [java.lang.reflect.Array] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getDouble method [java.lang.reflect.Array]

public static native double getDouble( java.lang.Object array, int index ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

Returns the value of the indexed component in the specified array object, as a double.

Parameters

array

the array

index

the index

Return

The value of the indexed component in the specified array.

Throws

NullPointerException

If the specified object is null.

IllegalArgumentException

If the specified object is not an array, or if the indexed element cannot be converted to the return type by an identity or widening conversion.

ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array.

See also

get method [java.lang.reflect.Array]

Applies to

 Array [java.lang.reflect]


getDouble method [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getDouble method [java.lang.reflect.Field]

public native double getDouble( java.lang.Object obj ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

Get the value of a field as a double on specified object.

Return

No documentation supplied in JDK.

Throws

IllegalAccessException

If the underlying constructor is inaccessible.

IllegalArgumentException

If the field value cannot be converted to the return type by a widening conversion.

See also

get method [java.lang.reflect.Field]

Applies to

 Field [java.lang.reflect]


getDriver method [java.sql.DriverManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getDriver method [java.sql.DriverManager]

public static java.sql.Driver getDriver( java.lang.String url ) throws java.sql.SQLException

Attempt to locate a driver that understands the given URL. The DriverManager attempts to select an appropriate driver from the set of registered JDBC drivers.

Parameter

url

a database url of the form jdbc:subprotocol :subname

Return

A Driver that can connect to the URL.

Throws

SQLException

If a database-access error occurs.

Applies to

 DriverManager [java.sql]


getEntry method [java.util.zip.ZipFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getEntry method [java.util.zip.ZipFile]

public java.util.zip.ZipEntry getEntry( java.lang.String name )

Returns the ZIP file entry for the given path name. Returns null if there is no entry corresponding to the given name.

Parameter

name

the name of the entry

Return

The ZIP file entry.

Applies to

 ZipFile [java.util.zip]


getenv method [java.lang.System] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getenv method [java.lang.System]

public static java.lang.String getenv( java.lang.String name )

Note: getenv has been deprecated. .

Gets an environment variable. An environment variable is a system dependent external variable that has a string value.

Parameter

the

name of the environment variable.

Return

The value of the variable, or null if the variable is not defined.

Applies to

 System [java.lang]


getField method [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getField method [java.lang.Class]

public java.lang.reflect.Field getField( java.lang.String name ) throws java.lang.NoSuchFieldException, java.lang.SecurityException

Returns a Field object that reflects the specified public member field of the class or interface represented by this Class object. The name parameter is a String specifying the simple name of the desired field.

The field to be reflected is located by searching all the member fields of the class or interface represented by this Class object for a public field with the specified name.

See The Java Language Specification , sections 8.2 and 8.3.

Return

No documentation supplied in JDK.

Throws

NoSuchFieldException

If a field with the specified name is not found.

SecurityException

If access to the information is denied.

See also

Field class [java.lang.reflect]

Applies to

 Class [java.lang]


getFilterInstance method [java.awt.image.ImageFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getFilterInstance method [java.awt.image.ImageFilter]

public java.awt.image.ImageFilter getFilterInstance( java.awt.image.ImageConsumer ic )

Returns a unique instance of an ImageFilter object which will actually perform the filtering for the specified ImageConsumer. The default implementation just clones this object.

Return

No documentation supplied in JDK.

Applies to

 AreaAveragingScaleFilter [java.awt.image]

 CropImageFilter [java.awt.image]

 ImageFilter [java.awt.image]

 ReplicateScaleFilter [java.awt.image]

 RGBImageFilter [java.awt.image]


getFloat method [java.lang.reflect.Array] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getFloat method [java.lang.reflect.Array]

public static native float getFloat( java.lang.Object array, int index ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

Returns the value of the indexed component in the specified array object, as a float.

Parameters

array

the array

index

the index

Return

The value of the indexed component in the specified array.

Throws

NullPointerException

If the specified object is null.

IllegalArgumentException

If the specified object is not an array, or if the indexed element cannot be converted to the return type by an identity or widening conversion.

ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array.

See also

get method [java.lang.reflect.Array]

Applies to

 Array [java.lang.reflect]


getFloat method [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getFloat method [java.lang.reflect.Field]

public native float getFloat( java.lang.Object obj ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

Get the value of a field as a float on specified object.

Return

No documentation supplied in JDK.

Throws

IllegalAccessException

If the underlying constructor is inaccessible.

IllegalArgumentException

If the field value cannot be converted to the return type by a widening conversion.

See also

get method [java.lang.reflect.Field]

Applies to

 Field [java.lang.reflect]


getFont method [java.awt.Font] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getFont method [java.awt.Font]

Overloads:

 Font getFont( String nm, Font font )

 Font getFont( String nm )

public static java.awt.Font getFont( java.lang.String nm, java.awt.Font font )

Gets the specified font from the system properties list. The first argument is treated as the name of a system property to be obtained as if by the method System.getProperty. The string value of this property is then interpreted as a font.

The property value should be one of the following forms:

•	fontname-style-pointsize

•	fontname-pointsize

•	fontname-style

•	fontname

where style is one of the three strings "BOLD", "BOLDITALIC", or "ITALIC", and point size is a decimal representation of the point size.

The default style is PLAIN. The default point size is 12.

If the specified property is not found, the font argument is returned instead.

Parameters

nm

the property name

font

a default font to return if property nm is not defined

Return

The Font value of the property.

public static java.awt.Font getFont( java.lang.String nm )

Gets a font from the system properties list.

Parameter

nm

the property name

Return

No documentation supplied in JDK.

Applies to

 Font [java.awt]


getFontMetrics method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getFontMetrics method [java.awt.Component]

public java.awt.FontMetrics getFontMetrics( java.awt.Font font )

Gets the font metrics for the specified font.

Parameters

font

The font for which font metrics is to be obtained.

font

the font.

Return

The font metrics for font.

See also

font property [java.awt.Component]

peer property [java.awt.Component]

ComponentPeer interface [java.awt.peer]

getFontMetrics method [java.awt.Toolkit]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


getFontMetrics method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getFontMetrics method [java.awt.Graphics]

public abstract java.awt.FontMetrics getFontMetrics( java.awt.Font f )

Gets the font metrics for the specified font.

Parameter

f

the specified font

Return

The font metrics for the specified font.

See also

font property [java.awt.Graphics]

FontMetrics class [java.awt]

fontMetrics property [java.awt.Graphics]

Applies to

 Graphics [java.awt]


getFontMetrics method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getFontMetrics method [java.awt.Toolkit]

public abstract java.awt.FontMetrics getFontMetrics( java.awt.Font font )

Gets the screen metrics of the font.

Parameter

font

a font.

Return

The screen metrics of the specified font in this toolkit.

Applies to

 Toolkit [java.awt]


getFontPeer method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getFontPeer method [java.awt.Toolkit]

protected abstract java.awt.peer.FontPeer getFontPeer( java.lang.String name, int style )

Creates this toolkit's implementation of Font using the specified peer interface.

Parameter

target

the font to be implemented.

Return

This toolkit's implementation of Font.

See also

Font class [java.awt]

FontPeer interface [java.awt.peer]

Applies to

 Toolkit [java.awt]


getGreens method [java.awt.image.IndexColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getGreens method [java.awt.image.IndexColorModel]

public final void getGreens( byte[] g )

Copies the array of green color components into the given array.  Only the initial entries of the array as specified by getMapSize() are written.

Applies to

 IndexColorModel [java.awt.image]


getHeaderField method [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getHeaderField method [java.net.URLConnection]

public java.lang.String getHeaderField( java.lang.String name )

Returns the value of the specified header field. Names of header fields to pass to this method can be obtained from getHeaderFieldKey.

Parameter

name

the name of a header field.

Return

The value of the named header field, or null if there is no such field in the header.

See also

headerFieldKey property [java.net.URLConnection]

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


getHeaderFieldDate method [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getHeaderFieldDate method [java.net.URLConnection]

public long getHeaderFieldDate( java.lang.String name, long Default )

Returns the value of the named field parsed as date. The result is the number of seconds since January 1, 1970 GMT represented by the named field.

This form of getHeaderField exists because some connection types (e.g., http-ng) have pre-parsed headers. Classes for that connection type can override this method and short-circuit the parsing.

Parameters

name

the name of the header field.

Default

a default value.

Return

The value of the field, parsed as a date. The value of the Default argument is returned if the field is missing or malformed.

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


getHeaderFieldInt method [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getHeaderFieldInt method [java.net.URLConnection]

public int getHeaderFieldInt( java.lang.String name, int Default )

Returns the value of the named field parsed as a number.

This form of getHeaderField exists because some connection types (e.g., http-ng) have pre-parsed headers. Classes for that connection type can override this method and short-circuit the parsing.

Parameters

name

the name of the header field.

Default

the default value.

Return

The value of the named field, parsed as an integer. The Default value is returned if the field is missing or malformed.

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


getHeight method [java.awt.Image] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getHeight method [java.awt.Image]

public abstract int getHeight( java.awt.image.ImageObserver observer )

Determines the height of the image. If the height is not yet known, this method returns -1 and the specified ImageObserver object is notified later.

Parameter

observer

an object waiting for the image to be loaded.

Return

The height of this image, or -1 if the height is not yet known.

See also

getWidth method [java.awt.Image]

ImageObserver interface [java.awt.image]

Applies to

 Image [java.awt]


getHSBColor method [java.awt.Color] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getHSBColor method [java.awt.Color]

public static java.awt.Color getHSBColor( float h, float s, float b )

Creates a Color object based on values supplied for the HSB color model.

Each of the three components should be a floating-point value between zero and one (a number in the range 0.0 <= h, s, b <= 1.0).

Parameters

h

the hue component.

s

the saturation of the color.

b

the brightness of the color.

Return

A Color object with the specified hue, saturation, and brightness.

Applies to

 Color [java.awt]

 SystemColor [java.awt]


getIdentity method [java.security.IdentityScope] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getIdentity method [java.security.IdentityScope]

Overloads:

 Identity getIdentity( Principal principal )

 Identity getIdentity( PublicKey key )

 Identity getIdentity( String name )

public java.security.Identity getIdentity( java.security.Principal principal )

Retrieves the identity whose name is the same as that of the specified principal. (Note: Identity implements Principal.)

Parameter

principal

the principal corresponding to the identity to be retrieved.

Return

The identity whose name is the same as that of the principal, or null if there are no identities of the same name in this scope.

public abstract java.security.Identity getIdentity( java.security.PublicKey key )

Retrieves the identity with the specified public key.

Parameter

key

the public key for the identity to be returned.

Return

The identity with the given key, or null if there are no identities in this scope with that key.

public abstract java.security.Identity getIdentity( java.lang.String name )

Returns the identity in this scope with the specified name (if any).

Parameter

name

the name of the identity to be retrieved.

Return

The identity named name, or null if there are no identities named name in this scope.

Applies to

 IdentityScope [java.security]


getImage method [java.applet.Applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getImage method [java.applet.Applet]

Overloads:

 Image getImage( URL url )

 Image getImage( URL url, String name )

public java.awt.Image getImage( java.net.URL url )

Returns an Image object that can then be painted on the screen. The url that is passed as an argument must specify an absolute URL.

This method always returns immediately, whether or not the image exists. When this applet attempts to draw the image on the screen, the data will be loaded. The graphics primitives that draw the image will incrementally paint on the screen.

Parameter

url

an absolute URL giving the location of the image.

Return

The image at the specified URL.

See also

Image class [java.awt]

public java.awt.Image getImage( java.net.URL url, java.lang.String name )

Returns an Image object that can then be painted on the screen. The url argument must specify an absolute URL. The name argument is a specifier that is relative to the url argument.

This method always returns immediately, whether or not the image exists. When this applet attempts to draw the image on the screen, the data will be loaded. The graphics primitives that draw the image will incrementally paint on the screen.

Parameters

url

an absolute URL giving the base location of the image.

name

the location of the image, relative to the url argument.

Return

The image at the specified URL.

See also

Image class [java.awt]

Applies to

 Applet [java.applet]


getImage method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getImage method [java.awt.Toolkit]

Overloads:

 Image getImage( URL url )

 Image getImage( String filename )

public abstract java.awt.Image getImage( java.net.URL url )

Returns an image which gets pixel data from the specified URL.

Parameter

url

the URL to use in fetching the pixel data.

Return

An image which gets its pixel data from the specified URL.

public abstract java.awt.Image getImage( java.lang.String filename )

Returns an image which gets pixel data from the specified file.

Parameter

filename

the name of a file containing pixel data in a recognized file format.

Return

An image which gets its pixel data from the specified file.

Applies to

 Toolkit [java.awt]


getInputStream method [java.util.zip.ZipFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getInputStream method [java.util.zip.ZipFile]

public java.io.InputStream getInputStream( java.util.zip.ZipEntry ze ) throws java.io.IOException

Returns an input stream for reading the contents of the specified ZIP file entry.

Parameter

ze

the zip file entry

Return

No documentation supplied in JDK.

Throws

ZipException

If a ZIP format error has occurred.

IOException

If an I/O error has occurred.

Applies to

 ZipFile [java.util.zip]


getInstance method [java.security.KeyPairGenerator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getInstance method [java.security.KeyPairGenerator]

Overloads:

 KeyPairGenerator getInstance( String algorithm, String provider )

 KeyPairGenerator getInstance( String algorithm )

public static java.security.KeyPairGenerator getInstance( java.lang.String algorithm, java.lang.String provider ) throws java.security.NoSuchAlgorithmException, java.security.NoSuchProviderException

Generates a KeyPairGenerator object implementing the specified algorithm, as supplied from the specified provider, if such an algorithm is available from the provider.

Parameters

algorithm

the standard string name of the algorithm. See Appendix A in the   Java Cryptography Architecture API Specification & Reference   for information about standard algorithm names.

provider

the string name of the provider.

Return

The new KeyPairGenerator object.

Throws

NoSuchAlgorithmException

If the algorithm is not available from the provider.

NoSuchProviderException

If the provider is not available in the environment.

See also

Provider class [java.security]

public static java.security.KeyPairGenerator getInstance( java.lang.String algorithm ) throws java.security.NoSuchAlgorithmException

Generates a KeyPairGenerator object that implements the algorithm requested, as available in the environment.

Parameter

algorithm

the standard string name of the algorithm. See Appendix A in the   Java Cryptography Architecture API Specification & Reference   for information about standard algorithm names.

Return

The new KeyPairGenerator object.

Throws

NoSuchAlgorithmException

If the algorithm is not available in the environment.

Applies to

 KeyPairGenerator [java.security]


getInstance method [java.security.MessageDigest] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getInstance method [java.security.MessageDigest]

Overloads:

 MessageDigest getInstance( String algorithm, String provider )

 MessageDigest getInstance( String algorithm )

public static java.security.MessageDigest getInstance( java.lang.String algorithm, java.lang.String provider ) throws java.security.NoSuchAlgorithmException, java.security.NoSuchProviderException

Generates a MessageDigest object implementing the specified algorithm, as supplied from the specified provider, if such an algorithm is available from the provider.

Parameters

algorithm

the name of the algorithm requested. See Appendix A in the   Java Cryptography Architecture API Specification & Reference   for information about standard algorithm names.

provider

the name of the provider.

Return

A Message Digest object implementing the specified algorithm.

Throws

NoSuchAlgorithmException

If the algorithm is not available in the package supplied by the requested provider.

NoSuchProviderException

If the provider is not available in the environment.

See also

Provider class [java.security]

public static java.security.MessageDigest getInstance( java.lang.String algorithm ) throws java.security.NoSuchAlgorithmException

Generates a MessageDigest object that implements the specified digest algorithm. If the default provider package contains a MessageDigest subclass implementing the algorithm, an instance of that subclass is returned. If the algorithm is not available in the default package, other packages are searched.

Parameter

algorithm

the name of the algorithm requested. See Appendix A in the   Java Cryptography Architecture API Specification & Reference   for information about standard algorithm names.

Return

A Message Digest object implementing the specified algorithm.

Throws

NoSuchAlgorithmException

If the algorithm is not available in the caller's environment.

Applies to

 MessageDigest [java.security]


getInstance method [java.security.Signature] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getInstance method [java.security.Signature]

Overloads:

 Signature getInstance( String algorithm, String provider )

 Signature getInstance( String algorithm )

public static java.security.Signature getInstance( java.lang.String algorithm, java.lang.String provider ) throws java.security.NoSuchAlgorithmException, java.security.NoSuchProviderException

Generates a Signature object implementing the specified algorithm, as supplied from the specified provider, if such an algorithm is available from the provider.

Parameters

algorithm

the name of the algorithm requested. See Appendix A in the   Java Cryptography Architecture API Specification & Reference   for information about standard algorithm names.

provider

the name of the provider.

Return

The new Signature object.

Throws

NoSuchAlgorithmException

If the algorithm is not available in the package supplied by the requested provider.

NoSuchProviderException

If the provider is not available in the environment.

See also

Provider class [java.security]

public static java.security.Signature getInstance( java.lang.String algorithm ) throws java.security.NoSuchAlgorithmException

Generates a Signature object that implements the specified algorithm. If the default provider package contains a Signature subclass implementing the algorithm, an instance of that subclass is returned. If the algorithm is not available in the default package, other packages are searched.

Parameter

algorithm

the standard name of the algorithm requested. See Appendix A in the   Java Cryptography Architecture API Specification & Reference   for information about standard algorithm names.

Return

The new Signature object.

Throws

NoSuchAlgorithmException

If the algorithm is not available in the environment.

Applies to

 Signature [java.security]


getInstance method [java.text.Collator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getInstance method [java.text.Collator]

public static synchronized java.text.Collator getInstance( java.util.Locale desiredLocale )

Gets the Collator for the desired locale.

Parameter

desiredLocale

the desired locale.

Return

The Collator for the desired locale.

See also

Locale class [java.util]

ResourceBundle class [java.util]

Applies to

 Collator [java.text]

 RuleBasedCollator [java.text]


getInstance method [java.text.NumberFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getInstance method [java.text.NumberFormat]

public static java.text.NumberFormat getInstance( java.util.Locale inLocale )

Returns the default number format for the specified locale. The default format is one of the styles provided by the other factory methods: getNumberInstance, getCurrencyInstance or getPercentInstance. Exactly which one is locale dependant.

Return

No documentation supplied in JDK.

Applies to

 ChoiceFormat [java.text]

 DecimalFormat [java.text]

 NumberFormat [java.text]


getInstance method [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getInstance method [java.util.Calendar]

Overloads:

 Calendar getInstance( TimeZone zone )

 Calendar getInstance( Locale aLocale )

 Calendar getInstance( TimeZone zone, Locale aLocale )

public static synchronized java.util.Calendar getInstance( java.util.TimeZone zone )

Gets a Calendar using the given timezone and default locale.

Parameter

zone

the given timezone.

Return

A Calendar.

public static synchronized java.util.Calendar getInstance( java.util.Locale aLocale )

Gets a Calendar using the default timezone and given locale.

Parameter

aLocale

the given locale.

Return

A Calendar.

public static synchronized java.util.Calendar getInstance( java.util.TimeZone zone, java.util.Locale aLocale )

Gets a Calendar using the given timezone and given locale.

Parameters

zone

the given timezone.

aLocale

the given locale.

Return

A Calendar.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


getInstanceOf method [java.beans.Beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getInstanceOf method [java.beans.Beans]

public static java.lang.Object getInstanceOf( java.lang.Object bean, java.lang.Class targetType )

From a given bean, obtain an object representing a specified type view of that source object.

The result may be the same object or a different object.  If the requested target view isn't available then the given bean is returned.

This method is provided in Beans 1.0 as a hook to allow the addition of more flexible bean behaviour in the future.

Parameters

obj

Object from which we want to obtain a view.

targetType

The type of view wed like to get.

Return

No documentation supplied in JDK.

Applies to

 Beans [java.beans]


getInt method [java.lang.reflect.Array] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getInt method [java.lang.reflect.Array]

public static native int getInt( java.lang.Object array, int index ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

Returns the value of the indexed component in the specified array object, as an int.

Parameters

array

the array

index

the index

Return

The value of the indexed component in the specified array.

Throws

NullPointerException

If the specified object is null.

IllegalArgumentException

If the specified object is not an array, or if the indexed element cannot be converted to the return type by an identity or widening conversion.

ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array.

See also

get method [java.lang.reflect.Array]

Applies to

 Array [java.lang.reflect]


getInt method [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getInt method [java.lang.reflect.Field]

public native int getInt( java.lang.Object obj ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

Get the value of a field as a int on specified object.

Return

No documentation supplied in JDK.

Throws

IllegalAccessException

If the underlying constructor is inaccessible.

IllegalArgumentException

If the field value cannot be converted to the return type by a widening conversion.

See also

get method [java.lang.reflect.Field]

Applies to

 Field [java.lang.reflect]


getInteger method [java.lang.Integer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getInteger method [java.lang.Integer]

Overloads:

 Integer getInteger( String nm, int val )

 Integer getInteger( String nm, Integer val )

 Integer getInteger( String nm )

public static java.lang.Integer getInteger( java.lang.String nm, int val )

Determines the integer value of the system property with the specified name.

The first argument is treated as the name of a system property. System properties are accessible through getProperty and , a method defined by the System class. The string value of this property is then interpreted as an integer value and an Integer object representing this value is returned. Details of possible numeric formats can be found with the definition of getProperty.

If there is no property with the specified name, or if the property does not have the correct numeric format, then an Integer object that represents the value of the second argument is returned.

Parameters

nm

property name.

val

default value.

Return

The Integer value of the property.

See also

getProperty method [java.lang.System]

public static java.lang.Integer getInteger( java.lang.String nm, java.lang.Integer val )

Determines the integer value of the system property with the specified name.

The first argument is treated as the name of a system property. System properties are accessible through getProperty and , a method defined by the System class. The string value of this property is then interpreted as an integer value and an Integer object representing this value is returned.

If the property value begins with "0x" or "#", not followed by a minus sign, the rest of it is parsed as a hexadecimal integer exactly as for the method Integer.valueOf with radix 16.

If the property value begins with "0" then it is parsed as an octal integer exactly as for the method Integer.valueOf with radix 8.

Otherwise the property value is parsed as a decimal integer exactly as for the method Integer.valueOf with radix 10.

The second argument is the default value. If there is no property of the specified name, or if the property does not have the correct numeric format, then the second argument is returned.

Parameters

nm

property name.

val

default value.

Return

The Integer value of the property.

See also

getProperty method [java.lang.System]

public static java.lang.Integer getInteger( java.lang.String nm )

Determines the integer value of the system property with the specified name.

The first argument is treated as the name of a system property. System properties are accessible through getProperty and , a method defined by the System class. The string value of this property is then interpreted as an integer value and an Integer object representing this value is returned. Details of possible numeric formats can be found with the definition of getProperty.

If there is no property with the specified name, or if the property does not have the correct numeric format, then null is returned.

Parameter

nm

property name.

Return

The Integer value of the property.

See also

getProperty method [java.lang.System]

Applies to

 Integer [java.lang]


getLayoutAlignmentX method [java.awt.BorderLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getLayoutAlignmentX method [java.awt.BorderLayout]

public float getLayoutAlignmentX( java.awt.Container parent )

Returns the alignment along the x axis.  This specifies how the component would like to be aligned relative to other components.  The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

Return

No documentation supplied in JDK.

Applies to

 BorderLayout [java.awt]


getLayoutAlignmentX method [java.awt.CardLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getLayoutAlignmentX method [java.awt.CardLayout]

public float getLayoutAlignmentX( java.awt.Container parent )

Returns the alignment along the x axis.  This specifies how the component would like to be aligned relative to other components.  The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

Return

No documentation supplied in JDK.

Applies to

 CardLayout [java.awt]


getLayoutAlignmentX method [java.awt.GridBagLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getLayoutAlignmentX method [java.awt.GridBagLayout]

public float getLayoutAlignmentX( java.awt.Container parent )

Returns the alignment along the x axis.  This specifies how the component would like to be aligned relative to other components.  The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

Return

No documentation supplied in JDK.

Applies to

 GridBagLayout [java.awt]


getLayoutAlignmentY method [java.awt.BorderLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getLayoutAlignmentY method [java.awt.BorderLayout]

public float getLayoutAlignmentY( java.awt.Container parent )

Returns the alignment along the y axis.  This specifies how the component would like to be aligned relative to other components.  The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

Return

No documentation supplied in JDK.

Applies to

 BorderLayout [java.awt]


getLayoutAlignmentY method [java.awt.CardLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getLayoutAlignmentY method [java.awt.CardLayout]

public float getLayoutAlignmentY( java.awt.Container parent )

Returns the alignment along the y axis.  This specifies how the component would like to be aligned relative to other components.  The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

Return

No documentation supplied in JDK.

Applies to

 CardLayout [java.awt]


getLayoutAlignmentY method [java.awt.GridBagLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getLayoutAlignmentY method [java.awt.GridBagLayout]

public float getLayoutAlignmentY( java.awt.Container parent )

Returns the alignment along the y axis.  This specifies how the component would like to be aligned relative to other components.  The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

Return

No documentation supplied in JDK.

Applies to

 GridBagLayout [java.awt]


GetLayoutInfo method [java.awt.GridBagLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      GetLayoutInfo method [java.awt.GridBagLayout]

protected java.awt.GridBagLayoutInfo GetLayoutInfo( java.awt.Container parent, int sizeflag )

Print the layout constraints.  Useful for debugging.

Return

No documentation supplied in JDK.

Applies to

 GridBagLayout [java.awt]


getLength method [java.lang.reflect.Array] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getLength method [java.lang.reflect.Array]

public static native int getLength( java.lang.Object array ) throws java.lang.IllegalArgumentException

Returns the length of the specified array object, as an int.

Parameter

array

the array

Return

The length of the array.

Throws

IllegalArgumentException

If the object argument is not an array.

Applies to

 Array [java.lang.reflect]


getLineInstance method [java.text.BreakIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getLineInstance method [java.text.BreakIterator]

public static java.text.BreakIterator getLineInstance( java.util.Locale where )

Create BreakIterator for line-breaks using specfied locale. Returns an instance of a BreakIterator implementing line breaks. Line breaks are logically possible line breaks, actual line breaks are usually determined based on display width. LineBreak is useful for word wrapping text.

Parameter

where

the local. If a specific LineBreak is not avaliable for the specified locale, a default LineBreak is returned.

Return

A BreakIterator for line-breaks.

Applies to

 BreakIterator [java.text]


getLocalizedInputStream method [java.lang.Runtime] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getLocalizedInputStream method [java.lang.Runtime]

public java.io.InputStream getLocalizedInputStream( java.io.InputStream in )

Note: getLocalizedInputStream has been deprecated. As of JDK 1.1, the preferred way translate a byte stream in the local encoding into a character stream in Unicode is via the InputStreamReader and BufferedReader classes.

Creates a localized version of an input stream. This method takes an InputStream and returns an InputStream equivalent to the argument in all respects except that it is localized: as characters in the local character set are read from the stream, they are automatically converted from the local character set to Unicode.

If the argument is already a localized stream, it may be returned as the result.

Return

A localized input stream.

See also

InputStream class [java.io]

Applies to

 Runtime [java.lang]


getLocalizedOutputStream method [java.lang.Runtime] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getLocalizedOutputStream method [java.lang.Runtime]

public java.io.OutputStream getLocalizedOutputStream( java.io.OutputStream out )

Note: getLocalizedOutputStream has been deprecated. As of JDK 1.1, the preferred way to translate a Unicode character stream into a byte stream in the local encoding is via the OutputStreamWriter, BufferedWriter, and PrintWriter classes.

Creates a localized version of an output stream. This method takes an OutputStream and returns an OutputStream equivalent to the argument in all respects except that it is localized: as Unicode characters are written to the stream, they are automatically converted to the local character set.

If the argument is already a localized stream, it may be returned as the result.

Return

A localized output stream.

See also

OutputStream class [java.io]

Applies to

 Runtime [java.lang]


getLong method [java.lang.Long] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getLong method [java.lang.Long]

Overloads:

 Long getLong( String nm )

 Long getLong( String nm, long val )

 Long getLong( String nm, Long val )

public static java.lang.Long getLong( java.lang.String nm )

Determines the long value of the system property with the specified name.

The first argument is treated as the name of a system property. System properties are accessible through getProperty and , a method defined by the System class. The string value of this property is then interpreted as a long value and a Long object representing this value is returned. Details of possible numeric formats can be found with the definition of getProperty.

If there is no property with the specified name, or if the property does not have the correct numeric format, then null is returned.

Parameter

nm

property name.

Return

The Long value of the property.

See also

getProperty method [java.lang.System]

public static java.lang.Long getLong( java.lang.String nm, long val )

Determines the long value of the system property with the specified name.

The first argument is treated as the name of a system property. System properties are accessible through getProperty and , a method defined by the System class. The string value of this property is then interpreted as a long value and a Long object representing this value is returned. Details of possible numeric formats can be found with the definition of getProperty.

If there is no property with the specified name, or if the property does not have the correct numeric format, then a Long object that represents the value of the second argument is returned.

Parameters

nm

property name.

val

default value.

Return

The Long value of the property.

See also

getProperty method [java.lang.System]

public static java.lang.Long getLong( java.lang.String nm, java.lang.Long val )

Determines the long value of the system property with the specified name.

The first argument is treated as the name of a system property. System properties are accessible through getProperty and , a method defined by the System class. The string value of this property is then interpreted as a long value and a Long object representing this value is returned.

If the property value begins with "0x" or "#", not followed by a minus sign, the rest of it is parsed as a hexadecimal integer exactly as for the method Long.valueOf with radix 16.

If the property value begins with "0", then it is parsed as an octal integer exactly as for the method Long.valueOf with radix 8.

Otherwise the property value is parsed as a decimal integer exactly as for the method Long.valueOf with radix 10.

Note that, in every case, neither L nor l is permitted to appear at the end of the string.

The second argument is the default value. If there is no property of the specified name, or if the property does not have the correct numeric format, then the second argument is returned.

Parameters

nm

the property name.

val

the default Long value.

Return

The long value of the property.

See also

valueOf method [java.lang.Long]

getProperty method [java.lang.System]

Applies to

 Long [java.lang]


getLong method [java.lang.reflect.Array] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getLong method [java.lang.reflect.Array]

public static native long getLong( java.lang.Object array, int index ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

Returns the value of the indexed component in the specified array object, as a long.

Parameters

array

the array

index

the index

Return

The value of the indexed component in the specified array.

Throws

NullPointerException

If the specified object is null.

IllegalArgumentException

If the specified object is not an array, or if the indexed element cannot be converted to the return type by an identity or widening conversion.

ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array.

See also

get method [java.lang.reflect.Array]

Applies to

 Array [java.lang.reflect]


getLong method [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getLong method [java.lang.reflect.Field]

public native long getLong( java.lang.Object obj ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

Get the value of a field as a long on specified object.

Return

No documentation supplied in JDK.

Throws

IllegalAccessException

If the underlying constructor is inaccessible.

IllegalArgumentException

If the field value cannot be converted to the return type by a widening conversion.

See also

get method [java.lang.reflect.Field]

Applies to

 Field [java.lang.reflect]


getMethod method [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getMethod method [java.lang.Class]

public java.lang.reflect.Method getMethod( java.lang.String name, java.lang.Class[] parameterTypes ) throws java.lang.NoSuchMethodException, java.lang.SecurityException

Returns a Method object that reflects the specified public member method of the class or interface represented by this Class object. The name parameter is a String specifying the simple name the desired method, and the parameterTypes parameter is an array of Class objects that identify the method's formal parameter types, in declared order.

The method to reflect is located by searching all the member methods of the class or interface represented by this Class object for a public method with the specified name and exactly the same formal parameter types.

See The Java Language Specification , sections 8.2 and 8.4.

Return

No documentation supplied in JDK.

Throws

NoSuchMethodException

If a matching method is not found.

SecurityException

If access to the information is denied.

See also

Method class [java.lang.reflect]

Applies to

 Class [java.lang]


getMinimumSize method [java.awt.TextArea] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getMinimumSize method [java.awt.TextArea]

public java.awt.Dimension getMinimumSize( int rows, int columns )

Determines the minimum size of a text area with the specified number of rows and columns.

Parameters

rows

the number of rows.

cols

the number of columns.

Return

The minimum dimensions required to display the text area with the specified number of rows and columns.

See also

minimumSize property [java.awt.Component]

Applies to

 TextArea [java.awt]


GetMinSize method [java.awt.GridBagLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      GetMinSize method [java.awt.GridBagLayout]

protected java.awt.Dimension GetMinSize( java.awt.Container parent, java.awt.GridBagLayoutInfo info )

Applies to

 GridBagLayout [java.awt]


getNativeContainer method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getNativeContainer method [java.awt.Toolkit]

protected static java.awt.Container getNativeContainer( java.awt.Component c )

Give native peers the ability to query the native container given a native component (eg the direct parent may be lightweight).

Return

No documentation supplied in JDK.

Applies to

 Toolkit [java.awt]


getNumberInstance method [java.text.NumberFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getNumberInstance method [java.text.NumberFormat]

public static java.text.NumberFormat getNumberInstance( java.util.Locale inLocale )

Returns a general-purpose number format for the specified locale.

Return

No documentation supplied in JDK.

Applies to

 ChoiceFormat [java.text]

 DecimalFormat [java.text]

 NumberFormat [java.text]


getNumericValue method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getNumericValue method [java.lang.Character]

public static int getNumericValue( char ch )

Returns the Unicode numeric value of the character as a nonnegative integer. If the character does not have a numeric value, then -1 is returned. If the character has a numeric value that cannot be represented as a nonnegative integer (for example, a fractional value), then -2 is returned.

Parameter

ch

the character to be converted.

Return

The numeric value of the character, as a nonnegative int value; -2 if the character has a numeric value that is not a nonnegative integer; -1 if the character has no numeric value.

See also

forDigit method [java.lang.Character]

isDigit method [java.lang.Character]

Applies to

 Character [java.lang]


getObject method [java.util.ResourceBundle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getObject method [java.util.ResourceBundle]

public final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

Get an object from a ResourceBundle.

Parameter

key

see class description.

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData [java.text.resources]

 DateFormatZoneData_ar [java.text.resources]

 DateFormatZoneData_be [java.text.resources]

 DateFormatZoneData_bg [java.text.resources]

 DateFormatZoneData_ca [java.text.resources]

 DateFormatZoneData_cs [java.text.resources]

 DateFormatZoneData_da [java.text.resources]

 DateFormatZoneData_de [java.text.resources]

 DateFormatZoneData_de_AT [java.text.resources]

 DateFormatZoneData_de_CH [java.text.resources]

 DateFormatZoneData_el [java.text.resources]

 DateFormatZoneData_en [java.text.resources]

 DateFormatZoneData_en_CA [java.text.resources]

 DateFormatZoneData_en_GB [java.text.resources]

 DateFormatZoneData_en_IE [java.text.resources]

 DateFormatZoneData_es [java.text.resources]

 DateFormatZoneData_et [java.text.resources]

 DateFormatZoneData_fi [java.text.resources]

 DateFormatZoneData_fr [java.text.resources]

 DateFormatZoneData_fr_BE [java.text.resources]

 DateFormatZoneData_fr_CA [java.text.resources]

 DateFormatZoneData_fr_CH [java.text.resources]

 DateFormatZoneData_hr [java.text.resources]

 DateFormatZoneData_hu [java.text.resources]

 DateFormatZoneData_is [java.text.resources]

 DateFormatZoneData_it [java.text.resources]

 DateFormatZoneData_it_CH [java.text.resources]

 DateFormatZoneData_iw [java.text.resources]

 DateFormatZoneData_ja [java.text.resources]

 DateFormatZoneData_ko [java.text.resources]

 DateFormatZoneData_lt [java.text.resources]

 DateFormatZoneData_lv [java.text.resources]

 DateFormatZoneData_mk [java.text.resources]

 DateFormatZoneData_nl [java.text.resources]

 DateFormatZoneData_nl_BE [java.text.resources]

 DateFormatZoneData_no [java.text.resources]

 DateFormatZoneData_no_NO_NY [java.text.resources]

 DateFormatZoneData_pl [java.text.resources]

 DateFormatZoneData_pt [java.text.resources]

 DateFormatZoneData_ro [java.text.resources]

 DateFormatZoneData_ru [java.text.resources]

 DateFormatZoneData_sh [java.text.resources]

 DateFormatZoneData_sk [java.text.resources]

 DateFormatZoneData_sl [java.text.resources]

 DateFormatZoneData_sq [java.text.resources]

 DateFormatZoneData_sr [java.text.resources]

 DateFormatZoneData_sv [java.text.resources]

 DateFormatZoneData_th [java.text.resources]

 DateFormatZoneData_tr [java.text.resources]

 DateFormatZoneData_uk [java.text.resources]

 DateFormatZoneData_zh [java.text.resources]

 DateFormatZoneData_zh_TW [java.text.resources]

 ListResourceBundle [java.util]

 LocaleElements [java.text.resources]

 LocaleElements_ar [java.text.resources]

 LocaleElements_be [java.text.resources]

 LocaleElements_bg [java.text.resources]

 LocaleElements_ca [java.text.resources]

 LocaleElements_cs [java.text.resources]

 LocaleElements_da [java.text.resources]

 LocaleElements_de [java.text.resources]

 LocaleElements_de_AT [java.text.resources]

 LocaleElements_de_AT_EURO [java.text.resources]

 LocaleElements_de_CH [java.text.resources]

 LocaleElements_de_DE_EURO [java.text.resources]

 LocaleElements_de_LU [java.text.resources]

 LocaleElements_de_LU_EURO [java.text.resources]

 LocaleElements_el [java.text.resources]

 LocaleElements_en [java.text.resources]

 LocaleElements_en_AU [java.text.resources]

 LocaleElements_en_CA [java.text.resources]

 LocaleElements_en_GB [java.text.resources]

 LocaleElements_en_IE [java.text.resources]

 LocaleElements_en_IE_EURO [java.text.resources]

 LocaleElements_en_NZ [java.text.resources]

 LocaleElements_en_ZA [java.text.resources]

 LocaleElements_es [java.text.resources]

 LocaleElements_es_AR [java.text.resources]

 LocaleElements_es_BO [java.text.resources]

 LocaleElements_es_CL [java.text.resources]

 LocaleElements_es_CO [java.text.resources]

 LocaleElements_es_CR [java.text.resources]

 LocaleElements_es_DO [java.text.resources]

 LocaleElements_es_EC [java.text.resources]

 LocaleElements_es_ES_EURO [java.text.resources]

 LocaleElements_es_GT [java.text.resources]

 LocaleElements_es_HN [java.text.resources]

 LocaleElements_es_MX [java.text.resources]

 LocaleElements_es_NI [java.text.resources]

 LocaleElements_es_PA [java.text.resources]

 LocaleElements_es_PE [java.text.resources]

 LocaleElements_es_PR [java.text.resources]

 LocaleElements_es_PY [java.text.resources]

 LocaleElements_es_SV [java.text.resources]

 LocaleElements_es_UY [java.text.resources]

 LocaleElements_es_VE [java.text.resources]

 LocaleElements_et [java.text.resources]

 LocaleElements_fi [java.text.resources]

 LocaleElements_fi_FI_EURO [java.text.resources]

 LocaleElements_fr [java.text.resources]

 LocaleElements_fr_BE [java.text.resources]

 LocaleElements_fr_BE_EURO [java.text.resources]

 LocaleElements_fr_CA [java.text.resources]

 LocaleElements_fr_CH [java.text.resources]

 LocaleElements_fr_FR_EURO [java.text.resources]

 LocaleElements_fr_LU [java.text.resources]

 LocaleElements_fr_LU_EURO [java.text.resources]

 LocaleElements_hr [java.text.resources]

 LocaleElements_hu [java.text.resources]

 LocaleElements_is [java.text.resources]

 LocaleElements_it [java.text.resources]

 LocaleElements_it_CH [java.text.resources]

 LocaleElements_it_IT_EURO [java.text.resources]

 LocaleElements_iw [java.text.resources]

 LocaleElements_ja [java.text.resources]

 LocaleElements_ko [java.text.resources]

 LocaleElements_lt [java.text.resources]

 LocaleElements_lv [java.text.resources]

 LocaleElements_mk [java.text.resources]

 LocaleElements_nl [java.text.resources]

 LocaleElements_nl_BE [java.text.resources]

 LocaleElements_nl_BE_EURO [java.text.resources]

 LocaleElements_nl_NL_EURO [java.text.resources]

 LocaleElements_no [java.text.resources]

 LocaleElements_no_NO_NY [java.text.resources]

 LocaleElements_pl [java.text.resources]

 LocaleElements_pt [java.text.resources]

 LocaleElements_pt_BR [java.text.resources]

 LocaleElements_pt_PT_EURO [java.text.resources]

 LocaleElements_ro [java.text.resources]

 LocaleElements_ru [java.text.resources]

 LocaleElements_sh [java.text.resources]

 LocaleElements_sk [java.text.resources]

 LocaleElements_sl [java.text.resources]

 LocaleElements_sq [java.text.resources]

 LocaleElements_sr [java.text.resources]

 LocaleElements_sv [java.text.resources]

 LocaleElements_th [java.text.resources]

 LocaleElements_tr [java.text.resources]

 LocaleElements_uk [java.text.resources]

 LocaleElements_zh [java.text.resources]

 LocaleElements_zh_TW [java.text.resources]

 PropertyResourceBundle [java.util]

 ResourceBundle [java.util]


getOffset method [java.util.SimpleTimeZone] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getOffset method [java.util.SimpleTimeZone]

Overloads:

 int getOffset( int era, int year, int month, int day, int dayOfWeek, int millis ) overrides getOffset method [java.util.TimeZone]

public int getOffset( int era, int year, int month, int day, int dayOfWeek, int millis )

Overrides TimeZone Gets offset, for current date, modified in case of daylight savings. This is the offset to add *to* UTC to get local time. Gets the time zone offset, for current date, modified in case of daylight savings. This is the offset to add *to* UTC to get local time. Assume that the start and end month are distinct. This method may return incorrect results for rules that start at the end of February (e.g., last Sunday in February) or the beginning of March (e.g., March 1).

Parameters

era

The era of the given date.

year

The year in the given date.

month

The month in the given date. Month is 0-based. e.g., 0 for January.

day

The day-in-month of the given date.

dayOfWeek

The day-of-week of the given date.

millis

The milliseconds in day in standard local time.

Return

The offset to add *to* GMT to get local time.

Throws

IllegalArgumentException

The era, month, day, dayOfWeek, or millis parameters are out of range.

Applies to

 SimpleTimeZone [java.util]


getOffset method [java.util.TimeZone] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getOffset method [java.util.TimeZone]

public abstract int getOffset( int era, int year, int month, int day, int dayOfWeek, int milliseconds )

Gets the time zone offset, for current date, modified in case of daylight savings. This is the offset to add *to* UTC to get local time.

Parameters

era

the era of the given date.

year

the year in the given date.

month

the month in the given date. Month is 0-based. e.g., 0 for January.

day

the day-in-month of the given date.

dayOfWeek

the day-of-week of the given date.

milliseconds

the millis in day in standard local time.

Return

The offset to add *to* GMT to get local time.

Applies to

 SimpleTimeZone [java.util]

 TimeZone [java.util]


getParameter method [java.applet.Applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getParameter method [java.applet.Applet]

public java.lang.String getParameter( java.lang.String name )

Returns the value of the named parameter in the HTML tag. For example, if this applet is specified as

<applet code="Clock" width=50 height=50>
<param name=Color value="blue">
</applet>

then a call to getParameter("Color") returns the value "blue".

The name argument is case insensitive.

Parameter

name

a parameter name.

Return

The value of the named parameter.

Applies to

 Applet [java.applet]


getParameter method [java.security.Signature] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getParameter method [java.security.Signature]

public final java.lang.Object getParameter( java.lang.String param ) throws java.security.InvalidParameterException

Gets the value of the specified algorithm parameter. This method supplies a general-purpose mechanism through which it is possible to get the various parameters of this object. A parameter may be any settable parameter for the algorithm, such as a parameter size, or a source of random bits for signature generation (if appropriate), or an indication of whether or not to perform a specific but optional computation. A uniform algorithm-specific naming scheme for each parameter is desirable but left unspecified at this time.

Parameter

param

the string name of the parameter.

Return

The object that represents the parameter value, or null if there is none.

Throws

InvalidParameterException

If param is an invalid parameter for this engine, or another exception occurs while trying to get this parameter.

Applies to

 Signature [java.security]


getPercentInstance method [java.text.NumberFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getPercentInstance method [java.text.NumberFormat]

public static java.text.NumberFormat getPercentInstance( java.util.Locale inLocale )

Returns a percentage format for the specified locale.

Return

No documentation supplied in JDK.

Applies to

 ChoiceFormat [java.text]

 DecimalFormat [java.text]

 NumberFormat [java.text]


getPreferredSize method [java.awt.TextArea] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getPreferredSize method [java.awt.TextArea]

public java.awt.Dimension getPreferredSize( int rows, int columns )

Determines the preferred size of a text area with the specified number of rows and columns.

Parameters

rows

the number of rows.

cols

the number of columns.

Return

The preferred dimensions required to display the text area with the specified number of rows and columns.

See also

preferredSize property [java.awt.Component]

Applies to

 TextArea [java.awt]


getPrintJob method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getPrintJob method [java.awt.Toolkit]

public abstract java.awt.PrintJob getPrintJob( java.awt.Frame frame, java.lang.String jobtitle, java.util.Properties props )

Gets a PrintJob object which is the result of initiating a print operation on the toolkit's platform.

Return

A PrintJob object, or null if the user cancelled the print job.

See also

PrintJob class [java.awt]

Applies to

 Toolkit [java.awt]


getProperty method [java.awt.Image] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getProperty method [java.awt.Image]

public abstract java.lang.Object getProperty( java.lang.String name, java.awt.image.ImageObserver observer )

Gets a property of this image by name.

Individual property names are defined by the various image formats. If a property is not defined for a particular image, this method returns the UndefinedProperty object.

If the properties for this image are not yet known, this method returns null, and the ImageObserver object is notified later.

The property name "comment" should be used to store an optional comment which can be presented to the application as a description of the image, its source, or its author.

Parameters

name

a property name.

observer

an object waiting for this image to be loaded.

Return

The value of the named property.

See also

ImageObserver interface [java.awt.image]

Applies to

 Image [java.awt]


getProperty method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getProperty method [java.awt.Toolkit]

public static java.lang.String getProperty( java.lang.String key, java.lang.String defaultValue )

Gets a property with the specified key and default. This method returns defaultValue if the property is not found.

Return

No documentation supplied in JDK.

Applies to

 Toolkit [java.awt]


getProperty method [java.lang.System] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getProperty method [java.lang.System]

Overloads:

 String getProperty( String key, String def )

 String getProperty( String key )

public static java.lang.String getProperty( java.lang.String key, java.lang.String def )

Gets the system property indicated by the specified key.

First, if there is a security manager, its checkPropertyAccess method is called with the key as its argument.

If there is no current set of system properties, a set of system properties is first created and initialized in the same manner as for the getProperties method.

Parameters

key

the name of the system property.

def

a default value.

Return

The string value of the system property, or the default value if there is no property with that key.

Throws

SecurityException

If the current thread cannot access the system properties or the specified property.

See also

checkPropertyAccess method [java.lang.SecurityManager]

properties property [java.lang.System]

public static java.lang.String getProperty( java.lang.String key )

Gets the system property indicated by the specified key.

First, if there is a security manager, its checkPropertyAccess method is called with the key as its argument. This may result in a system exception.

If there is no current set of system properties, a set of system properties is first created and initialized in the same manner as for the getProperties method.

Parameter

key

the name of the system property.

Return

The string value of the system property, or null if there is no property with that key.

Throws

SecurityException

If the current thread cannot access the system properties or the specified property.

See also

SecurityException class [java.lang]

checkPropertyAccess method [java.lang.SecurityManager]

properties property [java.lang.System]

Applies to

 System [java.lang]


getProperty method [java.security.Security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getProperty method [java.security.Security]

public static java.lang.String getProperty( java.lang.String key )

Gets a security property.

Parameter

key

the key of the property being retrieved.

Return

The valeu of the security property corresponding to key.

Applies to

 Security [java.security]


getProperty method [java.util.Properties] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getProperty method [java.util.Properties]

Overloads:

 String getProperty( String key )

 String getProperty( String key, String defaultValue )

public java.lang.String getProperty( java.lang.String key )

Searches for the property with the specified key in this property list. If the key is not found in this property list, the default property list, and its defaults, recursively, are then checked. The method returns null if the property is not found.

Parameter

key

the property key.

Return

The value in this property list with the specified key value.

public java.lang.String getProperty( java.lang.String key, java.lang.String defaultValue )

Searches for the property with the specified key in this property list. If the key is not found in this property list, the default property list, and its defaults, recursively, are then checked. The method returns the default value argument if the property is not found.

Parameters

key

the hashtable key.

defaultValue

a default value.

Return

The value in this property list with the specified key value.

Applies to

 Properties [java.util]

 Provider [java.security]


getProvider method [java.security.Security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getProvider method [java.security.Security]

public static java.security.Provider getProvider( java.lang.String name )

Returns the provider installed with the specified name, if any. Returns null if no provider with the speicified name is installed.

Parameter

name

the name of the provider to get.

Return

The provider of the specified name.

See also

removeProvider method [java.security.Security]

addProvider method [java.security.Security]

Applies to

 Security [java.security]


getReds method [java.awt.image.IndexColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getReds method [java.awt.image.IndexColorModel]

public final void getReds( byte[] r )

Copies the array of red color components into the given array.  Only the initial entries of the array as specified by getMapSize() are written.

Applies to

 IndexColorModel [java.awt.image]


getRegistry method [java.rmi.registry.LocateRegistry] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getRegistry method [java.rmi.registry.LocateRegistry]

Overloads:

 Registry getRegistry( String host, int port )

 Registry getRegistry( String host )

public static java.rmi.registry.Registry getRegistry( java.lang.String host, int port ) throws java.rmi.RemoteException, java.rmi.UnknownHostException

Returns the remote object Registry on the specified host at the specified port.  If port <= 0, the default Registry port number is used.  If the host String reference is null, the local host is used.

Return

No documentation supplied in JDK.

Throws

UnknownHostException

If the host is not known.

public static java.rmi.registry.Registry getRegistry( java.lang.String host ) throws java.rmi.RemoteException, java.rmi.UnknownHostException

Returns the remote object Registry on the specified host at a default (i.e., well-known) port number.  If the host String reference is null, the local host is used.

Return

No documentation supplied in JDK.

Applies to

 LocateRegistry [java.rmi.registry]


getRequestProperty method [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getRequestProperty method [java.net.URLConnection]

public java.lang.String getRequestProperty( java.lang.String key )

Returns the value of the named general request property for this connection.

Return

The value of the named general request property for this connection.

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


getResource method [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getResource method [java.lang.Class]

public java.net.URL getResource( java.lang.String name )

Finds a resource with the specified name. The rules for searching for resources associated with a given class are implemented by the class loader of the class.

The Class methods delegate to ClassLoader methods, after applying a naming convention: if the resource name starts with "/", it is used as is.  Otherwise, the name of the package is prepended, after converting "." to "/".

Parameter

name

the string representing the resource to be found.

Return

The URL object having the specified name, or null if no resource with the specified name is found.

See also

ClassLoader class [java.lang]

getResourceAsStream method [java.lang.Class]

Applies to

 Class [java.lang]


getResource method [java.lang.ClassLoader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getResource method [java.lang.ClassLoader]

public java.net.URL getResource( java.lang.String name )

Find a resource with a given name.  The return is a URL to the resource. Doing a getContent() on the URL may return an Image, an AudioClip, or an InputStream.

The class loader can choose what to do to locate the resource.

Parameter

name

the name of the resource, to be used as is.

Return

An InputStream on the resource, or null if not found.

Applies to

 ClassLoader [java.lang]


getResourceAsStream method [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getResourceAsStream method [java.lang.Class]

public java.io.InputStream getResourceAsStream( java.lang.String name )

Finds a resource with a given name.  Will return null if no resource with this name is found.  The rules for searching a resources associated with a given class are implemented by the ClassLoader of the class.

The Class methods delegate to ClassLoader methods, after applying a naming convention: if the resource name starts with "/", it is used as is.  Otherwise, the name of the package is prepended, after converting "." to "/".

Parameter

name

the string representing the resource to be found

Return

The InputStream object having the specified name, or null if no resource with the specified name is found.

See also

ClassLoader class [java.lang]

getResource method [java.lang.Class]

Applies to

 Class [java.lang]


getResourceAsStream method [java.lang.ClassLoader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getResourceAsStream method [java.lang.ClassLoader]

public java.io.InputStream getResourceAsStream( java.lang.String name )

Get an InputStream on a given resource.  Will return null if no resource with this name is found.

The class loader can choose what to do to locate the resource.

Parameter

name

the name of the resource, to be used as is.

Return

An InputStream on the resource, or null if not found.

Applies to

 ClassLoader [java.lang]


getScaledInstance method [java.awt.Image] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getScaledInstance method [java.awt.Image]

public java.awt.Image getScaledInstance( int width, int height, int hints )

Creates a scaled version of this image. A new Image object is returned which will render the image at the specified width and height by default.  The new Image object may be loaded asynchronously even if the original source image has already been loaded completely.  If either the width or height is a negative number then a value is substituted to maintain the aspect ratio of the original image dimensions.

Parameters

width

the width to which to scale the image.

height

the height to which to scale the image.

hints

flags to indicate the type of algorithm to use for image resampling.

Return

A scaled version of the image.

Applies to

 Image [java.awt]


getSecurityContext method [java.rmi.server.RMIClassLoader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getSecurityContext method [java.rmi.server.RMIClassLoader]

public static java.lang.Object getSecurityContext( java.lang.ClassLoader loader )

Returns the security context of the given class loader

Parameter

loader

a class loader from which to get the security context

Return

The security context (e.g., a URL).

Applies to

 RMIClassLoader [java.rmi.server]


getSentenceInstance method [java.text.BreakIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getSentenceInstance method [java.text.BreakIterator]

public static java.text.BreakIterator getSentenceInstance( java.util.Locale where )

Create BreakIterator for sentence-breaks using specified locale Returns an instance of a BreakIterator implementing sentence breaks.

Parameter

where

the local. If a specific SentenceBreak is not avaliable for the specified local, a default SentenceBreak is returned.

Return

A BreakIterator for sentence-breaks.

Applies to

 BreakIterator [java.text]


getShort method [java.lang.reflect.Array] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getShort method [java.lang.reflect.Array]

public static native short getShort( java.lang.Object array, int index ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

Returns the value of the indexed component in the specified array object, as a short.

Parameters

array

the array

index

the index

Return

The value of the indexed component in the specified array.

Throws

NullPointerException

If the specified object is null.

IllegalArgumentException

If the specified object is not an array, or if the indexed element cannot be converted to the return type by an identity or widening conversion.

ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array.

See also

get method [java.lang.reflect.Array]

Applies to

 Array [java.lang.reflect]


getShort method [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getShort method [java.lang.reflect.Field]

public native short getShort( java.lang.Object obj ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

Get the value of a field as a short on specified object.

Return

No documentation supplied in JDK.

Throws

IllegalAccessException

If the underlying constructor is inaccessible.

IllegalArgumentException

If the field value cannot be converted to the return type by a widening conversion.

See also

get method [java.lang.reflect.Field]

Applies to

 Field [java.lang.reflect]


getShortcutMenuItem method [java.awt.MenuBar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getShortcutMenuItem method [java.awt.MenuBar]

public java.awt.MenuItem getShortcutMenuItem( java.awt.MenuShortcut s )

Gets the instance of MenuItem associated with the specified MenuShortcut object, or null if none has been specified.

Parameter

s

the specified menu shortcut.

Return

No documentation supplied in JDK.

See also

MenuItem class [java.awt]

MenuShortcut class [java.awt]

Applies to

 MenuBar [java.awt]


getString method [java.util.ResourceBundle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getString method [java.util.ResourceBundle]

public final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

Get an object from a ResourceBundle.
Convenience method to save casting.

Parameter

key

see class description.

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData [java.text.resources]

 DateFormatZoneData_ar [java.text.resources]

 DateFormatZoneData_be [java.text.resources]

 DateFormatZoneData_bg [java.text.resources]

 DateFormatZoneData_ca [java.text.resources]

 DateFormatZoneData_cs [java.text.resources]

 DateFormatZoneData_da [java.text.resources]

 DateFormatZoneData_de [java.text.resources]

 DateFormatZoneData_de_AT [java.text.resources]

 DateFormatZoneData_de_CH [java.text.resources]

 DateFormatZoneData_el [java.text.resources]

 DateFormatZoneData_en [java.text.resources]

 DateFormatZoneData_en_CA [java.text.resources]

 DateFormatZoneData_en_GB [java.text.resources]

 DateFormatZoneData_en_IE [java.text.resources]

 DateFormatZoneData_es [java.text.resources]

 DateFormatZoneData_et [java.text.resources]

 DateFormatZoneData_fi [java.text.resources]

 DateFormatZoneData_fr [java.text.resources]

 DateFormatZoneData_fr_BE [java.text.resources]

 DateFormatZoneData_fr_CA [java.text.resources]

 DateFormatZoneData_fr_CH [java.text.resources]

 DateFormatZoneData_hr [java.text.resources]

 DateFormatZoneData_hu [java.text.resources]

 DateFormatZoneData_is [java.text.resources]

 DateFormatZoneData_it [java.text.resources]

 DateFormatZoneData_it_CH [java.text.resources]

 DateFormatZoneData_iw [java.text.resources]

 DateFormatZoneData_ja [java.text.resources]

 DateFormatZoneData_ko [java.text.resources]

 DateFormatZoneData_lt [java.text.resources]

 DateFormatZoneData_lv [java.text.resources]

 DateFormatZoneData_mk [java.text.resources]

 DateFormatZoneData_nl [java.text.resources]

 DateFormatZoneData_nl_BE [java.text.resources]

 DateFormatZoneData_no [java.text.resources]

 DateFormatZoneData_no_NO_NY [java.text.resources]

 DateFormatZoneData_pl [java.text.resources]

 DateFormatZoneData_pt [java.text.resources]

 DateFormatZoneData_ro [java.text.resources]

 DateFormatZoneData_ru [java.text.resources]

 DateFormatZoneData_sh [java.text.resources]

 DateFormatZoneData_sk [java.text.resources]

 DateFormatZoneData_sl [java.text.resources]

 DateFormatZoneData_sq [java.text.resources]

 DateFormatZoneData_sr [java.text.resources]

 DateFormatZoneData_sv [java.text.resources]

 DateFormatZoneData_th [java.text.resources]

 DateFormatZoneData_tr [java.text.resources]

 DateFormatZoneData_uk [java.text.resources]

 DateFormatZoneData_zh [java.text.resources]

 DateFormatZoneData_zh_TW [java.text.resources]

 ListResourceBundle [java.util]

 LocaleElements [java.text.resources]

 LocaleElements_ar [java.text.resources]

 LocaleElements_be [java.text.resources]

 LocaleElements_bg [java.text.resources]

 LocaleElements_ca [java.text.resources]

 LocaleElements_cs [java.text.resources]

 LocaleElements_da [java.text.resources]

 LocaleElements_de [java.text.resources]

 LocaleElements_de_AT [java.text.resources]

 LocaleElements_de_AT_EURO [java.text.resources]

 LocaleElements_de_CH [java.text.resources]

 LocaleElements_de_DE_EURO [java.text.resources]

 LocaleElements_de_LU [java.text.resources]

 LocaleElements_de_LU_EURO [java.text.resources]

 LocaleElements_el [java.text.resources]

 LocaleElements_en [java.text.resources]

 LocaleElements_en_AU [java.text.resources]

 LocaleElements_en_CA [java.text.resources]

 LocaleElements_en_GB [java.text.resources]

 LocaleElements_en_IE [java.text.resources]

 LocaleElements_en_IE_EURO [java.text.resources]

 LocaleElements_en_NZ [java.text.resources]

 LocaleElements_en_ZA [java.text.resources]

 LocaleElements_es [java.text.resources]

 LocaleElements_es_AR [java.text.resources]

 LocaleElements_es_BO [java.text.resources]

 LocaleElements_es_CL [java.text.resources]

 LocaleElements_es_CO [java.text.resources]

 LocaleElements_es_CR [java.text.resources]

 LocaleElements_es_DO [java.text.resources]

 LocaleElements_es_EC [java.text.resources]

 LocaleElements_es_ES_EURO [java.text.resources]

 LocaleElements_es_GT [java.text.resources]

 LocaleElements_es_HN [java.text.resources]

 LocaleElements_es_MX [java.text.resources]

 LocaleElements_es_NI [java.text.resources]

 LocaleElements_es_PA [java.text.resources]

 LocaleElements_es_PE [java.text.resources]

 LocaleElements_es_PR [java.text.resources]

 LocaleElements_es_PY [java.text.resources]

 LocaleElements_es_SV [java.text.resources]

 LocaleElements_es_UY [java.text.resources]

 LocaleElements_es_VE [java.text.resources]

 LocaleElements_et [java.text.resources]

 LocaleElements_fi [java.text.resources]

 LocaleElements_fi_FI_EURO [java.text.resources]

 LocaleElements_fr [java.text.resources]

 LocaleElements_fr_BE [java.text.resources]

 LocaleElements_fr_BE_EURO [java.text.resources]

 LocaleElements_fr_CA [java.text.resources]

 LocaleElements_fr_CH [java.text.resources]

 LocaleElements_fr_FR_EURO [java.text.resources]

 LocaleElements_fr_LU [java.text.resources]

 LocaleElements_fr_LU_EURO [java.text.resources]

 LocaleElements_hr [java.text.resources]

 LocaleElements_hu [java.text.resources]

 LocaleElements_is [java.text.resources]

 LocaleElements_it [java.text.resources]

 LocaleElements_it_CH [java.text.resources]

 LocaleElements_it_IT_EURO [java.text.resources]

 LocaleElements_iw [java.text.resources]

 LocaleElements_ja [java.text.resources]

 LocaleElements_ko [java.text.resources]

 LocaleElements_lt [java.text.resources]

 LocaleElements_lv [java.text.resources]

 LocaleElements_mk [java.text.resources]

 LocaleElements_nl [java.text.resources]

 LocaleElements_nl_BE [java.text.resources]

 LocaleElements_nl_BE_EURO [java.text.resources]

 LocaleElements_nl_NL_EURO [java.text.resources]

 LocaleElements_no [java.text.resources]

 LocaleElements_no_NO_NY [java.text.resources]

 LocaleElements_pl [java.text.resources]

 LocaleElements_pt [java.text.resources]

 LocaleElements_pt_BR [java.text.resources]

 LocaleElements_pt_PT_EURO [java.text.resources]

 LocaleElements_ro [java.text.resources]

 LocaleElements_ru [java.text.resources]

 LocaleElements_sh [java.text.resources]

 LocaleElements_sk [java.text.resources]

 LocaleElements_sl [java.text.resources]

 LocaleElements_sq [java.text.resources]

 LocaleElements_sr [java.text.resources]

 LocaleElements_sv [java.text.resources]

 LocaleElements_th [java.text.resources]

 LocaleElements_tr [java.text.resources]

 LocaleElements_uk [java.text.resources]

 LocaleElements_zh [java.text.resources]

 LocaleElements_zh_TW [java.text.resources]

 PropertyResourceBundle [java.util]

 ResourceBundle [java.util]


getStringArray method [java.util.ResourceBundle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getStringArray method [java.util.ResourceBundle]

public final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

Get an object from a ResourceBundle.
Convenience method to save casting.

Parameter

key

see class description.

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData [java.text.resources]

 DateFormatZoneData_ar [java.text.resources]

 DateFormatZoneData_be [java.text.resources]

 DateFormatZoneData_bg [java.text.resources]

 DateFormatZoneData_ca [java.text.resources]

 DateFormatZoneData_cs [java.text.resources]

 DateFormatZoneData_da [java.text.resources]

 DateFormatZoneData_de [java.text.resources]

 DateFormatZoneData_de_AT [java.text.resources]

 DateFormatZoneData_de_CH [java.text.resources]

 DateFormatZoneData_el [java.text.resources]

 DateFormatZoneData_en [java.text.resources]

 DateFormatZoneData_en_CA [java.text.resources]

 DateFormatZoneData_en_GB [java.text.resources]

 DateFormatZoneData_en_IE [java.text.resources]

 DateFormatZoneData_es [java.text.resources]

 DateFormatZoneData_et [java.text.resources]

 DateFormatZoneData_fi [java.text.resources]

 DateFormatZoneData_fr [java.text.resources]

 DateFormatZoneData_fr_BE [java.text.resources]

 DateFormatZoneData_fr_CA [java.text.resources]

 DateFormatZoneData_fr_CH [java.text.resources]

 DateFormatZoneData_hr [java.text.resources]

 DateFormatZoneData_hu [java.text.resources]

 DateFormatZoneData_is [java.text.resources]

 DateFormatZoneData_it [java.text.resources]

 DateFormatZoneData_it_CH [java.text.resources]

 DateFormatZoneData_iw [java.text.resources]

 DateFormatZoneData_ja [java.text.resources]

 DateFormatZoneData_ko [java.text.resources]

 DateFormatZoneData_lt [java.text.resources]

 DateFormatZoneData_lv [java.text.resources]

 DateFormatZoneData_mk [java.text.resources]

 DateFormatZoneData_nl [java.text.resources]

 DateFormatZoneData_nl_BE [java.text.resources]

 DateFormatZoneData_no [java.text.resources]

 DateFormatZoneData_no_NO_NY [java.text.resources]

 DateFormatZoneData_pl [java.text.resources]

 DateFormatZoneData_pt [java.text.resources]

 DateFormatZoneData_ro [java.text.resources]

 DateFormatZoneData_ru [java.text.resources]

 DateFormatZoneData_sh [java.text.resources]

 DateFormatZoneData_sk [java.text.resources]

 DateFormatZoneData_sl [java.text.resources]

 DateFormatZoneData_sq [java.text.resources]

 DateFormatZoneData_sr [java.text.resources]

 DateFormatZoneData_sv [java.text.resources]

 DateFormatZoneData_th [java.text.resources]

 DateFormatZoneData_tr [java.text.resources]

 DateFormatZoneData_uk [java.text.resources]

 DateFormatZoneData_zh [java.text.resources]

 DateFormatZoneData_zh_TW [java.text.resources]

 ListResourceBundle [java.util]

 LocaleElements [java.text.resources]

 LocaleElements_ar [java.text.resources]

 LocaleElements_be [java.text.resources]

 LocaleElements_bg [java.text.resources]

 LocaleElements_ca [java.text.resources]

 LocaleElements_cs [java.text.resources]

 LocaleElements_da [java.text.resources]

 LocaleElements_de [java.text.resources]

 LocaleElements_de_AT [java.text.resources]

 LocaleElements_de_AT_EURO [java.text.resources]

 LocaleElements_de_CH [java.text.resources]

 LocaleElements_de_DE_EURO [java.text.resources]

 LocaleElements_de_LU [java.text.resources]

 LocaleElements_de_LU_EURO [java.text.resources]

 LocaleElements_el [java.text.resources]

 LocaleElements_en [java.text.resources]

 LocaleElements_en_AU [java.text.resources]

 LocaleElements_en_CA [java.text.resources]

 LocaleElements_en_GB [java.text.resources]

 LocaleElements_en_IE [java.text.resources]

 LocaleElements_en_IE_EURO [java.text.resources]

 LocaleElements_en_NZ [java.text.resources]

 LocaleElements_en_ZA [java.text.resources]

 LocaleElements_es [java.text.resources]

 LocaleElements_es_AR [java.text.resources]

 LocaleElements_es_BO [java.text.resources]

 LocaleElements_es_CL [java.text.resources]

 LocaleElements_es_CO [java.text.resources]

 LocaleElements_es_CR [java.text.resources]

 LocaleElements_es_DO [java.text.resources]

 LocaleElements_es_EC [java.text.resources]

 LocaleElements_es_ES_EURO [java.text.resources]

 LocaleElements_es_GT [java.text.resources]

 LocaleElements_es_HN [java.text.resources]

 LocaleElements_es_MX [java.text.resources]

 LocaleElements_es_NI [java.text.resources]

 LocaleElements_es_PA [java.text.resources]

 LocaleElements_es_PE [java.text.resources]

 LocaleElements_es_PR [java.text.resources]

 LocaleElements_es_PY [java.text.resources]

 LocaleElements_es_SV [java.text.resources]

 LocaleElements_es_UY [java.text.resources]

 LocaleElements_es_VE [java.text.resources]

 LocaleElements_et [java.text.resources]

 LocaleElements_fi [java.text.resources]

 LocaleElements_fi_FI_EURO [java.text.resources]

 LocaleElements_fr [java.text.resources]

 LocaleElements_fr_BE [java.text.resources]

 LocaleElements_fr_BE_EURO [java.text.resources]

 LocaleElements_fr_CA [java.text.resources]

 LocaleElements_fr_CH [java.text.resources]

 LocaleElements_fr_FR_EURO [java.text.resources]

 LocaleElements_fr_LU [java.text.resources]

 LocaleElements_fr_LU_EURO [java.text.resources]

 LocaleElements_hr [java.text.resources]

 LocaleElements_hu [java.text.resources]

 LocaleElements_is [java.text.resources]

 LocaleElements_it [java.text.resources]

 LocaleElements_it_CH [java.text.resources]

 LocaleElements_it_IT_EURO [java.text.resources]

 LocaleElements_iw [java.text.resources]

 LocaleElements_ja [java.text.resources]

 LocaleElements_ko [java.text.resources]

 LocaleElements_lt [java.text.resources]

 LocaleElements_lv [java.text.resources]

 LocaleElements_mk [java.text.resources]

 LocaleElements_nl [java.text.resources]

 LocaleElements_nl_BE [java.text.resources]

 LocaleElements_nl_BE_EURO [java.text.resources]

 LocaleElements_nl_NL_EURO [java.text.resources]

 LocaleElements_no [java.text.resources]

 LocaleElements_no_NO_NY [java.text.resources]

 LocaleElements_pl [java.text.resources]

 LocaleElements_pt [java.text.resources]

 LocaleElements_pt_BR [java.text.resources]

 LocaleElements_pt_PT_EURO [java.text.resources]

 LocaleElements_ro [java.text.resources]

 LocaleElements_ru [java.text.resources]

 LocaleElements_sh [java.text.resources]

 LocaleElements_sk [java.text.resources]

 LocaleElements_sl [java.text.resources]

 LocaleElements_sq [java.text.resources]

 LocaleElements_sr [java.text.resources]

 LocaleElements_sv [java.text.resources]

 LocaleElements_th [java.text.resources]

 LocaleElements_tr [java.text.resources]

 LocaleElements_uk [java.text.resources]

 LocaleElements_zh [java.text.resources]

 LocaleElements_zh_TW [java.text.resources]

 PropertyResourceBundle [java.util]

 ResourceBundle [java.util]


getSystemResource method [java.lang.ClassLoader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getSystemResource method [java.lang.ClassLoader]

public static final java.net.URL getSystemResource( java.lang.String name )

Find a resource with a given name.  The return is a URL to the resource Doing a getContent() on the URL may return an Image, an AudioClip, or an InputStream.

The resource name may be any system resource (e.g. follows CLASSPATH order).

Parameter

name

the name of the resource, to be used as is.

Return

The URL on the resource, or null if not found.

Applies to

 ClassLoader [java.lang]


getSystemResourceAsStream method [java.lang.ClassLoader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getSystemResourceAsStream method [java.lang.ClassLoader]

public static final java.io.InputStream getSystemResourceAsStream( java.lang.String name )

Get an InputStream on a given resource..  Will return null if no resource with this name is found.

The resource name may be any system resource (e.g. follows CLASSPATH order).

Parameter

name

the name of the resource, to be used as is.

Return

An InputStream on the resource, or null if not found.

Applies to

 ClassLoader [java.lang]


getTimeInstance method [java.text.DateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getTimeInstance method [java.text.DateFormat]

public static final java.text.DateFormat getTimeInstance( int style, java.util.Locale aLocale )

Gets the time formatter with the given formatting style for the given locale.

Parameters

style

the given formatting style. For example, SHORT for "h:mm a" in the US locale.

inLocale

the given locale.

Return

A time formatter.

Applies to

 DateFormat [java.text]

 SimpleDateFormat [java.text]


getTimeZone method [java.util.TimeZone] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getTimeZone method [java.util.TimeZone]

public static synchronized java.util.TimeZone getTimeZone( java.lang.String ID )

Gets the TimeZone for the given ID.

Parameter

ID

the given ID.

Return

A TimeZone, or null if the given ID is not recognized.

Applies to

 SimpleTimeZone [java.util]

 TimeZone [java.util]


getTransferData method [java.awt.datatransfer.StringSelection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getTransferData method [java.awt.datatransfer.StringSelection]

public synchronized java.lang.Object getTransferData( java.awt.datatransfer.DataFlavor flavor ) throws java.awt.datatransfer.UnsupportedFlavorException, java.io.IOException

If the data was requested in the "java.lang.String" flavor, return the String representing the selection.

Parameter

flavor

the requested flavor for the data

Return

No documentation supplied in JDK.

Throws

UnsupportedFlavorException

If the requested data flavor is not supported in the "java.lang.String" flavor.

Applies to

 StringSelection [java.awt.datatransfer]


getType method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getType method [java.lang.Character]

public static int getType( char ch )

Returns a value indicating a character category.

Parameter

ch

the character to be tested.

Return

A value of type int, the character category.

Applies to

 Character [java.lang]


getValue method [java.beans.FeatureDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getValue method [java.beans.FeatureDescriptor]

public java.lang.Object getValue( java.lang.String attributeName )

Retrieve a named attribute with this feature.

Parameter

attributeName

The locale-independent name of the attribute

Return

The value of the attribute.  May be null if the attribute is unknown.

Applies to

 BeanDescriptor [java.beans]

 EventSetDescriptor [java.beans]

 FeatureDescriptor [java.beans]

 IndexedPropertyDescriptor [java.beans]

 MethodDescriptor [java.beans]

 ParameterDescriptor [java.beans]

 PropertyDescriptor [java.beans]


getWidth method [java.awt.Image] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getWidth method [java.awt.Image]

public abstract int getWidth( java.awt.image.ImageObserver observer )

Determines the width of the image. If the width is not yet known, this method returns -1 and the specified ImageObserver object is notified later.

Parameter

observer

an object waiting for the image to be loaded.

Return

The width of this image, or -1 if the width is not yet known.

See also

getHeight method [java.awt.Image]

ImageObserver interface [java.awt.image]

Applies to

 Image [java.awt]


getWordInstance method [java.text.BreakIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      getWordInstance method [java.text.BreakIterator]

public static java.text.BreakIterator getWordInstance( java.util.Locale where )

Create BreakIterator for word-breaks using specified locale. Returns an instance of a BreakIterator implementing word breaks. WordBreak is usefull for word selection (ex. double click)

Parameter

where

the local. If a specific WordBreak is not avaliable for the specified locale, a default WordBreak is returned.

Return

A BreakIterator for word-breaks.

Applies to

 BreakIterator [java.text]


gotFocus method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      gotFocus method [java.awt.Component]

public boolean gotFocus( java.awt.Event evt, java.lang.Object what )

Note: gotFocus has been deprecated. As of JDK version 1.1, replaced by processFocusEvent(FocusEvent).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


grabPixels method [java.awt.image.PixelGrabber] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      grabPixels method [java.awt.image.PixelGrabber]

Overloads:

 boolean grabPixels( long ms )

 boolean grabPixels( )

public synchronized boolean grabPixels( long ms ) throws java.lang.InterruptedException

Request the Image or ImageProducer to start delivering pixels and wait for all of the pixels in the rectangle of interest to be delivered or until the specified timeout has elapsed.

Parameter

ms

the number of milliseconds to wait for the image pixels to arrive before timing out

Return

True if the pixels were successfully grabbed, false on abort, error or timeout.

Throws

InterruptedException

Another thread has interrupted this thread.

public boolean grabPixels( ) throws java.lang.InterruptedException

Request the Image or ImageProducer to start delivering pixels and wait for all of the pixels in the rectangle of interest to be delivered.

Return

True if the pixels were successfully grabbed, false on abort, error or timeout.

Throws

InterruptedException

Another thread has interrupted this thread.

Applies to

 PixelGrabber [java.awt.image]


Graphics class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      Graphics class [java.awt]

Object

Graphics

Description

The Graphics class is the abstract base class for all graphics contexts that allow an application to draw onto components that are realized on various devices, as well as onto off-screen images.

A Graphics object encapsulates state information needed for the basic rendering operations that Java supports.  This state information includes the following properties:

•	The Component object on which to draw.

•	A translation origin for rendering and clipping coordinates.

•	The current clip.

•	The current color.

•	The current font.

•	The current logical pixel operation function (XOR or Paint).

•	The current XOR alternation color (see setXORMode).

Coordinates are infinitely thin and lie between the pixels of the output device. Operations which draw the outline of a figure operate by traversing an infinitely thin path between pixels with a pixel-sized pen that hangs down and to the right of the anchor point on the path. Operations which fill a figure operate by filling the interior of that infinitely thin path. Operations which render horizontal text render the ascending portion of character glyphs entirely above the baseline coordinate.

The graphics pen hangs down and to the right from the path it traverses. This has the following implications:

•	If you draw a figure that covers a given rectangle, that figure occupies one extra row of pixels on the right and bottom edges as compared to filling a figure that is bounded by that same rectangle.

•	If you draw a horizontal line along the same y coordinate as the baseline of a line of text, that line is drawn entirely below the text, except for any descenders.

All coordinates which appear as arguments to the methods of this Graphics object are considered relative to the translation origin of this Graphics object prior to the invocation of the method. All rendering operations modify only pixels which lie within the area bounded by both the current clip of the graphics context and the extents of the component used to create the Graphics object. All drawing or writing is done in the current color, using the current paint mode, and in the current font.

Specification

public abstract class Graphics extends java.lang.Object

Constructor

protected Graphics( )

Constructs a new Graphics object. This constructor is the default contructor for a graphics context.

Since Graphics is an abstract class, applications cannot call this constructor directly. Graphics contexts are obtained from other graphics contexts or are created by calling getGraphics on a component.

See also

create method [java.awt.Graphics]

graphics property [java.awt.Component]

Properties

  abstract java.awt.Shape getClip( )

  abstract void setClip( java.awt.Shape clip )

  abstract java.awt.Rectangle getClipBounds( )

  java.awt.Rectangle getClipRect( )

  abstract java.awt.Color getColor( )

  abstract void setColor( java.awt.Color c )

  abstract java.awt.Font getFont( )

  abstract void setFont( java.awt.Font font )

  java.awt.FontMetrics getFontMetrics( )

  abstract void setXORMode( java.awt.Color c1 )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  abstract void clearRect( int x, int y, int width, int height )

  abstract void clipRect( int x, int y, int width, int height )

  abstract void copyArea( int x, int y, int width, int height, int dx, int dy )

  abstract java.awt.Graphics create( )

  java.awt.Graphics create( int x, int y, int width, int height )

  abstract void dispose( )

  void draw3DRect( int x, int y, int width, int height, boolean raised )

  abstract void drawArc( int x, int y, int width, int height, int startAngle, int arcAngle )

  void drawBytes( byte[] data, int offset, int length, int x, int y )

  void drawChars( char[] data, int offset, int length, int x, int y )

  abstract boolean drawImage( java.awt.Image img, int x, int y, int width, int height, java.awt.Color bgcolor, java.awt.image.ImageObserver observer )

  abstract boolean drawImage( java.awt.Image img, int x, int y, int width, int height, java.awt.image.ImageObserver observer )

  abstract boolean drawImage( java.awt.Image img, int dx1, int dy1, int dx2, int dy2, int sx1, int sy1, int sx2, int sy2, java.awt.image.ImageObserver observer )

  abstract boolean drawImage( java.awt.Image img, int x, int y, java.awt.Color bgcolor, java.awt.image.ImageObserver observer )

  abstract boolean drawImage( java.awt.Image img, int dx1, int dy1, int dx2, int dy2, int sx1, int sy1, int sx2, int sy2, java.awt.Color bgcolor, java.awt.image.ImageObserver observer )

  abstract boolean drawImage( java.awt.Image img, int x, int y, java.awt.image.ImageObserver observer )

  abstract void drawLine( int x1, int y1, int x2, int y2 )

  abstract void drawOval( int x, int y, int width, int height )

  abstract void drawPolygon( int[] xPoints, int[] yPoints, int nPoints )

  void drawPolygon( java.awt.Polygon p )

  abstract void drawPolyline( int[] xPoints, int[] yPoints, int nPoints )

  void drawRect( int x, int y, int width, int height )

  abstract void drawRoundRect( int x, int y, int width, int height, int arcWidth, int arcHeight )

  abstract void drawString( java.lang.String str, int x, int y )

  void fill3DRect( int x, int y, int width, int height, boolean raised )

  abstract void fillArc( int x, int y, int width, int height, int startAngle, int arcAngle )

  abstract void fillOval( int x, int y, int width, int height )

  abstract void fillPolygon( int[] xPoints, int[] yPoints, int nPoints )

  void fillPolygon( java.awt.Polygon p )

  abstract void fillRect( int x, int y, int width, int height )

  abstract void fillRoundRect( int x, int y, int width, int height, int arcWidth, int arcHeight )

  void finalize( )

  abstract java.awt.FontMetrics getFontMetrics( java.awt.Font f )

  abstract void setClip( int x, int y, int width, int height )

  abstract void setPaintMode( )

  java.lang.String toString( )

  abstract void translate( int x, int y )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

See also

Component class [java.awt]

clipRect method [java.awt.Graphics]

color property [java.awt.Graphics]

setPaintMode method [java.awt.Graphics]

XORMode property [java.awt.Graphics]

font property [java.awt.Graphics]


graphics property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      graphics property [java.awt.Component]

public java.awt.Graphics getGraphics( )

Creates a graphics context for this component. This method will return null if this component is currently not on the screen.

Return

A graphics context for this component, or null if it has none.

See also

paint method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


graphics property [java.awt.Image] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      graphics property [java.awt.Image]

public abstract java.awt.Graphics getGraphics( )

Creates a graphics context for drawing to an off-screen image. This method can only be called for off-screen images.

Return

A graphics context to draw to the off-screen image.

See also

Graphics class [java.awt]

createImage method [java.awt.Component]

Applies to

 Image [java.awt]


graphics property [java.awt.PrintJob] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      graphics property [java.awt.PrintJob]

public abstract java.awt.Graphics getGraphics( )

Gets a Graphics object that will draw to the next page. The page is sent to the printer when the graphics object is disposed.  This graphics object will also implement the PrintGraphics interface.

Return

No documentation supplied in JDK.

See also

PrintGraphics interface [java.awt]

Applies to

 PrintJob [java.awt]


greatestMinimum property [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      greatestMinimum property [java.util.Calendar]

public abstract int getGreatestMinimum( int field )

Gets the highest minimum value for the given field if varies. Otherwise same as getMinimum(). For Gregorian, no difference.

Parameter

field

the given time field.

Return

The highest minimum value for the given time field.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


greatestMinimum property [java.util.GregorianCalendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      greatestMinimum property [java.util.GregorianCalendar]

Overloads:

  int getGreatestMinimum( int field ) overrides greatestMinimum property [java.util.Calendar]

public int getGreatestMinimum( int field )

Returns highest minimum value for the given field if varies. Otherwise same as getMinimum(). For Gregorian, no difference. Please see Calendar.getGreatestMinimum for descriptions on parameters and the return value.

Return

No documentation supplied in JDK.

Applies to

 GregorianCalendar [java.util]


green property [java.awt.Color] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      green property [java.awt.Color]

public int getGreen( )

Gets the green component of this color. The result is an integer in the range 0 to 255.

Return

The green component of this color.

See also

RGB property [java.awt.Color]

Applies to

 Color [java.awt]

 SystemColor [java.awt]


green property [java.awt.image.ColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      green property [java.awt.image.ColorModel]

public abstract int getGreen( int pixel )

The subclass must provide a function which provides the green color compoment for the specified pixel.

Return

The green color component ranging from 0 to 255.

Applies to

 ColorModel [java.awt.image]

 DirectColorModel [java.awt.image]

 IndexColorModel [java.awt.image]


green property [java.awt.image.DirectColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      green property [java.awt.image.DirectColorModel]

Overloads:

  int getGreen( int pixel ) overrides green property [java.awt.image.ColorModel]

public final int getGreen( int pixel )

Returns the green color compoment for the specified pixel in the range 0-255.

Return

No documentation supplied in JDK.

Applies to

 DirectColorModel [java.awt.image]


green property [java.awt.image.IndexColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      green property [java.awt.image.IndexColorModel]

Overloads:

  int getGreen( int pixel ) overrides green property [java.awt.image.ColorModel]

public final int getGreen( int pixel )

Returns the green color compoment for the specified pixel in the range 0-255.

Return

No documentation supplied in JDK.

Applies to

 IndexColorModel [java.awt.image]


greenMask property [java.awt.image.DirectColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      greenMask property [java.awt.image.DirectColorModel]

public final int getGreenMask( )

Returns the mask indicating which bits in a pixel contain the green color component.

Return

No documentation supplied in JDK.

Applies to

 DirectColorModel [java.awt.image]


GregorianCalendar class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      GregorianCalendar class [java.util]

Object

Calendar

GregorianCalendar

Description

GregorianCalendar is a concrete subclass of Calendar and provides the standard calendar used by most of the world.

The standard (Gregorian) calendar has 2 eras, BC and AD.

This implementation handles a single discontinuity, which corresponds by default to the date the Gregorian calendar was instituted (October 15, 1582 in some countries, later in others). This cutover date may be changed by the caller.

Prior to the institution of the Gregorian calendar, New Year's Day was March 25. To avoid confusion, this calendar always uses January 1. A manual adjustment may be made if desired for dates that are prior to the Gregorian changeover and which fall between January 1 and March 24.

Example:

// get the supported ids for GMT-08:00 (Pacific Standard Time)

String[] ids = TimeZone.getAvailableIDs(-8 * 60 * 60 * 1000);

// if no ids were returned, something is wrong. get out.

if (ids.length == 0)

   System.exit(0);

// begin output

System.out.println("Current Time");

// create a Pacific Standard Time time zone

SimpleTimeZone pdt = new SimpleTimeZone(-8 * 60 * 60 * 1000, ids[0]);

// set up rules for daylight savings time

pdt.setStartRule(Calendar.APRIL, 1, Calendar.SUNDAY, 2 * 60 * 60 * 1000);

pdt.setEndRule(Calendar.OCTOBER, -1, Calendar.SUNDAY, 2 * 60 * 60 * 1000);

// create a GregorianCalendar with the Pacific Daylight time zone

// and the current date and time

Calendar calendar = new GregorianCalendar(pdt);

Date trialTime = new Date();

calendar.setTime(trialTime);

// print out a bunch of interesting things

System.out.println("ERA: " + calendar.get(Calendar.ERA));

System.out.println("YEAR: " + calendar.get(Calendar.YEAR));

System.out.println("MONTH: " + calendar.get(Calendar.MONTH));

System.out.println("WEEK_OF_YEAR: " + calendar.get(Calendar.WEEK_OF_YEAR));

System.out.println("WEEK_OF_MONTH: " + calendar.get(Calendar.WEEK_OF_MONTH));

System.out.println("DATE: " + calendar.get(Calendar.DATE));

System.out.println("DAY_OF_MONTH: " + calendar.get(Calendar.DAY_OF_MONTH));

System.out.println("DAY_OF_YEAR: " + calendar.get(Calendar.DAY_OF_YEAR));

System.out.println("DAY_OF_WEEK: " + calendar.get(Calendar.DAY_OF_WEEK));

System.out.println("DAY_OF_WEEK_IN_MONTH: "

                  + calendar.get(Calendar.DAY_OF_WEEK_IN_MONTH));

System.out.println("AM_PM: " + calendar.get(Calendar.AM_PM));

System.out.println("HOUR: " + calendar.get(Calendar.HOUR));

System.out.println("HOUR_OF_DAY: " + calendar.get(Calendar.HOUR_OF_DAY));

System.out.println("MINUTE: " + calendar.get(Calendar.MINUTE));

System.out.println("SECOND: " + calendar.get(Calendar.SECOND));

System.out.println("MILLISECOND: " + calendar.get(Calendar.MILLISECOND));

System.out.println("ZONE_OFFSET: "

                  + (calendar.get(Calendar.ZONE_OFFSET)/(60*60*1000)));

System.out.println("DST_OFFSET: "

                  + (calendar.get(Calendar.DST_OFFSET)/(60*60*1000)));

System.out.println("Current Time, with hour reset to 3");

calendar.clear(Calendar.HOUR_OF_DAY); // so doesn't override

calendar.set(Calendar.HOUR, 3);

System.out.println("ERA: " + calendar.get(Calendar.ERA));

System.out.println("YEAR: " + calendar.get(Calendar.YEAR));

System.out.println("MONTH: " + calendar.get(Calendar.MONTH));

System.out.println("WEEK_OF_YEAR: " + calendar.get(Calendar.WEEK_OF_YEAR));

System.out.println("WEEK_OF_MONTH: " + calendar.get(Calendar.WEEK_OF_MONTH));

System.out.println("DATE: " + calendar.get(Calendar.DATE));

System.out.println("DAY_OF_MONTH: " + calendar.get(Calendar.DAY_OF_MONTH));

System.out.println("DAY_OF_YEAR: " + calendar.get(Calendar.DAY_OF_YEAR));

System.out.println("DAY_OF_WEEK: " + calendar.get(Calendar.DAY_OF_WEEK));

System.out.println("DAY_OF_WEEK_IN_MONTH: "

                  + calendar.get(Calendar.DAY_OF_WEEK_IN_MONTH));

System.out.println("AM_PM: " + calendar.get(Calendar.AM_PM));

System.out.println("HOUR: " + calendar.get(Calendar.HOUR));

System.out.println("HOUR_OF_DAY: " + calendar.get(Calendar.HOUR_OF_DAY));

System.out.println("MINUTE: " + calendar.get(Calendar.MINUTE));

System.out.println("SECOND: " + calendar.get(Calendar.SECOND));

System.out.println("MILLISECOND: " + calendar.get(Calendar.MILLISECOND));

System.out.println("ZONE_OFFSET: "

      + (calendar.get(Calendar.ZONE_OFFSET)/(60*60*1000))); // in hours

System.out.println("DST_OFFSET: "

      + (calendar.get(Calendar.DST_OFFSET)/(60*60*1000))); // in hours

Specification

public class GregorianCalendar extends java.util.Calendar

Constructors

public GregorianCalendar( )

Constructs a default GregorianCalendar using the current time in the default time zone with the default locale.

public GregorianCalendar( java.util.TimeZone zone )

Constructs a GregorianCalendar based on the current time in the given time zone with the default locale.

Parameter

zone

the given time zone.

public GregorianCalendar( java.util.Locale aLocale )

Constructs a GregorianCalendar based on the current time in the default time zone with the given locale.

Parameter

aLocale

the given locale.

public GregorianCalendar( java.util.TimeZone zone, java.util.Locale aLocale )

Constructs a GregorianCalendar based on the current time in the given time zone with the given locale.

Parameters

zone

the given time zone.

aLocale

the given locale.

public GregorianCalendar( int year, int month, int date )

Constructs a GregorianCalendar with the given date set in the default time zone with the default locale.

Parameters

year

the value used to set the YEAR time field in the calendar.

month

the value used to set the MONTH time field in the calendar. Month value is 0-based. e.g., 0 for January.

date

the value used to set the DATE time field in the calendar.

public GregorianCalendar( int year, int month, int date, int hour, int minute )

Constructs a GregorianCalendar with the given date and time set for the default time zone with the default locale.

Parameters

year

the value used to set the YEAR time field in the calendar.

month

the value used to set the MONTH time field in the calendar. Month value is 0-based. e.g., 0 for January.

date

the value used to set the DATE time field in the calendar.

hour

the value used to set the HOUR_OF_DAY time field in the calendar.

minute

the value used to set the MINUTE time field in the calendar.

public GregorianCalendar( int year, int month, int date, int hour, int minute, int second )

Constructs a GregorianCalendar with the given date and time set for the default time zone with the default locale.

Parameters

year

the value used to set the YEAR time field in the calendar.

month

the value used to set the MONTH time field in the calendar. Month value is 0-based. e.g., 0 for January.

date

the value used to set the DATE time field in the calendar.

hour

the value used to set the HOUR_OF_DAY time field in the calendar.

minute

the value used to set the MINUTE time field in the calendar.

second

the value used to set the SECOND time field in the calendar.

Variables

public static final int BC

Useful constant for GregorianCalendar.

public static final int AD

Useful constant for GregorianCalendar.

Properties

  int getGreatestMinimum( int field )

  final java.util.Date getGregorianChange( )

  void setGregorianChange( java.util.Date date )

  int getLeastMaximum( int field )

  int getMaximum( int field )

  int getMinimum( int field )

Inherited Properties

  static synchronized java.util.Locale[] getAvailableLocales( )

  native final java.lang.Class getClass( )

  int getFirstDayOfWeek( )

  void setFirstDayOfWeek( int value )

  static synchronized java.util.Calendar getInstance( )

  void setLenient( boolean lenient )

  boolean isLenient( )

  int getMinimalDaysInFirstWeek( )

  void setMinimalDaysInFirstWeek( int value )

  final java.util.Date getTime( )

  final void setTime( java.util.Date date )

  java.util.TimeZone getTimeZone( )

  void setTimeZone( java.util.TimeZone value )

Protected Properties

 protected long getTimeInMillis( )

 protected void setTimeInMillis( long millis )

Methods

  void add( int field, int amount )

  boolean after( java.lang.Object when )

  boolean before( java.lang.Object when )

  boolean equals( java.lang.Object obj )

  synchronized int hashCode( )

  boolean isLeapYear( int year )

  void roll( int field, boolean up )

Inherited Methods

  final void clear( )

  final void clear( int field )

  final int get( int field )

  static synchronized java.util.Calendar getInstance( java.util.TimeZone zone )

  static synchronized java.util.Calendar getInstance( java.util.Locale aLocale )

  static synchronized java.util.Calendar getInstance( java.util.TimeZone zone, java.util.Locale aLocale )

  final boolean isSet( int field )

  native final void notify( )

  native final void notifyAll( )

  final void set( int year, int month, int date, int hour, int minute )

  final void set( int year, int month, int date, int hour, int minute, int second )

  final void set( int field, int value )

  final void set( int year, int month, int date )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected void computeFields( )

 protected void computeTime( )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void complete( )

 protected void finalize( ) throws java.lang.Throwable

 protected final int internalGet( int field )

See also

Calendar class [java.util]

TimeZone class [java.util]


gregorianChange property [java.util.GregorianCalendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      gregorianChange property [java.util.GregorianCalendar]

public final java.util.Date getGregorianChange( )

Gets the Gregorian Calendar change date.  This is the point when the switch from Julian dates to Gregorian dates occurred. Default is 00:00:00 local time, October 15, 1582. Previous to this time and date will be Julian dates.

Return

The Gregorian cutover time for this calendar.

public void setGregorianChange( java.util.Date date )

Sets the GregorianCalendar change date. This is the point when the switch from Julian dates to Gregorian dates occurred. Default is 00:00:00 local time, October 15, 1582. Previous to this time and date will be Julian dates.

Parameter

date

the given Gregorian cutover date.

Applies to

 GregorianCalendar [java.util]


GridBagConstraints class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      GridBagConstraints class [java.awt]

Object

GridBagConstraints

Description

The GridBagConstraints class specifies constraints for components that are laid out using the GridBagLayout class.

Specification

public class GridBagConstraints extends java.lang.Object implements java.lang.Cloneable, java.io.Serializable

Constructor

public GridBagConstraints( )

Creates a GridBagConstraint object with all of its fields set to their default value.

Variables

public static final int RELATIVE

Specify that this component is the next-to-last component in its column or row (gridwidth, gridheight), or that this component be placed next to the previously added component (gridx, gridy).

public static final int REMAINDER

Specify that this component is the last component in its column or row.

public static final int NONE

Do not resize the component.

public static final int BOTH

Resize the component both horizontally and vertically.

public static final int HORIZONTAL

Resize the component horizontally but not vertically.

public static final int VERTICAL

Resize the component vertically but not horizontally.

public static final int CENTER

Put the component in the center of its display area.

public static final int NORTH

Put the component at the top of its display area, centered horizontally.

public static final int NORTHEAST

Put the component at the top-right corner of its display area.

public static final int EAST

Put the component on the right side of its display area, centered vertically.

public static final int SOUTHEAST

Put the component at the bottom-right corner of its display area.

public static final int SOUTH

Put the component at the bottom of its display area, centered horizontally.

public static final int SOUTHWEST

Put the component at the bottom-left corner of its display area.

public static final int WEST

Put the component on the left side of its display area, centered vertically.

public static final int NORTHWEST

Put the component at the top-left corner of its display area.

public int gridx

Specifies the cell at the left of the component's display area, where the leftmost cell has gridx = 0. The value RELATIVE specifies that the component be placed just to the right of the component that was added to the container just before this component was added.

The default value is RELATIVE.

public int gridy

Specifies the cell at the top of the component's display area, where the topmost cell has gridy = 0. The value RELATIVE specifies that the component be placed just below the component that was added to the container just before this component was added.

The default value is RELATIVE.

public int gridwidth

Specifies the number of cells in a row for the component's display area.

Use REMAINDER to specify that the component be the last one in its row. Use RELATIVE to specify that the component be the next-to-last one in its row.

The default value is 1.

public int gridheight

Specifies the number of cells in a column for the component's display area.

Use REMAINDER to specify that the component be the last one in its column. Use RELATIVE to specify that the component be the next-to-last one in its column.

The default value is 1.

public double weightx

Specifies how to distribute extra horizontal space.

The grid bag layout manager calculates the weight of a column to be the maximum weighty of all the components in a row. If the resulting layout is smaller horizontally than the area it needs to fill, the extra space is distributed to each column in proportion to its weight. A column that has a weight zero receives no extra space.

If all the weights are zero, all the extra space appears between the grids of the cell and the left and right edges.

The default value of this field is 0.

public double weighty

Specifies how to distribute extra vertical space.

The grid bag layout manager calculates the weight of a row to be the maximum weightx of all the components in a row. If the resulting layout is smaller vertically than the area it needs to fill, the extra space is distributed to each row in proportion to its weight. A row that has a weight of zero receives no extra space.

If all the weights are zero, all the extra space appears between the grids of the cell and the top and bottom edges.

The default value of this field is 0.

public int anchor

This field is used when the component is smaller than its display area. It determines where, within the display area, to place the component. Possible values are CENTER, NORTH, NORTHEAST, EAST, SOUTHEAST, SOUTH, SOUTHWEST, WEST, and NORTHWEST. The default value is CENTER.

public int fill

This field is used when the component's display area is larger than the component's requested size. It determines whether to resize the component, and if so, how.

The following values are valid for fill:

•	NONE: Do not resize the component.

•	HORIZONTAL: Make the component wide enough to fill its display area horizontally, but do not change its height.

•	VERTICAL: Make the component tall enough to fill its display area vertically, but do not change its width.

•	BOTH: Make the component fill its display area entirely.

The default value is NONE.

public java.awt.Insets insets

This field specifies the external padding of the component, the minimum amount of space between the component and the edges of its display area.

The default value is new Insets(0, 0, 0, 0).

public int ipadx

This field specifies the internal padding of the component, how much space to add to the minimum width of the component. The width of the component is at least its minimum width plus (ipadx * 2) pixels.

The default value is 0.

public int ipady

This field specifies the internal padding, that is, how much space to add to the minimum height of the component. The height of the component is at least its minimum height plus (ipady * 2) pixels.

The default value is 0.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.Object clone( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable

See also

GridBagLayout class [java.awt]


GridBagLayout class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      GridBagLayout class [java.awt]

Object

GridBagLayout

Description

The GridBagLayout class is a flexible layout manager that aligns components vertically and horizontally, without requiring that the components be of the same size. Each GridBagLayout object maintains a dynamic rectangular grid of cells, with each component occupying one or more cells, called its display area .

Each component managed by a grid bag layout is associated with an instance of GridBagConstraints that specifies how the component is laid out within its display area.

How a GridBagLayout object places a set of components depends on the GridBagConstraints object associated with each component, and on the minimum size and the preferred size of the components' containers.

To use a grid bag layout effectively, you must customize one or more of the GridBagConstraints objects that are associated with its components. You customize a GridBagConstraints object by setting one or more of its instance variables:

gridx, gridy

Specifies the cell at the upper left of the component's display area, where the upper-left-most cell has address gridx = 0, gridy = 0. Use GridBagConstraints.RELATIVE (the default value) to specify that the component be just placed just to the right of (for gridx) or just below (for gridy) the component that was added to the container just before this component was added.

gridwidth, gridheight

Specifies the number of cells in a row (for gridwidth) or column (for gridheight) in the component's display area. The default value is 1. Use GridBagConstraints.REMAINDER to specify that the component be the last one in its row (for gridwidth) or column (for gridheight). Use GridBagConstraints.RELATIVE to specify that the component be the next to last one in its row (for gridwidth) or column (for gridheight).

fill

Used when the component's display area is larger than the component's requested size to determine whether (and how) to resize the component. Possible values are GridBagConstraints.NONE (the default), GridBagConstraints.HORIZONTAL (make the component wide enough to fill its display area horizontally, but don't change its height), GridBagConstraints.VERTICAL (make the component tall enough to fill its display area vertically, but don't change its width), and GridBagConstraints.BOTH (make the component fill its display area entirely).

ipadx, ipady

Specifies the component's internal padding within the layout, how much to add to the minimum size of the component. The width of the component will be at least its minimum width plus (ipadx * 2) pixels (since the padding applies to both sides of the component). Similarly, the height of the component will be at least the minimum height plus (ipady * 2) pixels.

insets

Specifies the component's external padding, the minimum amount of space between the component and the edges of its display area.

anchor

Used when the component is smaller than its display area to determine where (within the display area) to place the component. Valid values are GridBagConstraints.CENTER (the default), GridBagConstraints.NORTH, GridBagConstraints.NORTHEAST, GridBagConstraints.EAST, GridBagConstraints.SOUTHEAST, GridBagConstraints.SOUTH, GridBagConstraints.SOUTHWEST, GridBagConstraints.WEST, and GridBagConstraints.NORTHWEST.

weightx, weighty

Used to determine how to distribute space, which is important for specifying resizing behavior. Unless you specify a weight for at least one component in a row (weightx) and column (weighty), all the components clump together in the center of their container. This is because when the weight is zero (the default), the GridBagLayout object puts any extra space between its grid of cells and the edges of the container.

The following figure shows ten components (all buttons) managed by a grid bag layout:

Each of the ten components has the fill field of its associated GridBagConstraints object set to GridBagConstraints.BOTH. In addition, the components have the following non-default constraints:

•	Button1, Button2, Button3: weightx = 1.0

•	Button4: weightx = 1.0, gridwidth = GridBagConstraints.REMAINDER

•	Button5: gridwidth = GridBagConstraints.REMAINDER

•	Button6: gridwidth = GridBagConstraints.RELATIVE

•	Button7: gridwidth = GridBagConstraints.REMAINDER

•	Button8: gridheight = 2, weighty = 1.0

•	Button9, Button 10: gridwidth = GridBagConstraints.REMAINDER

Here is the code that implements the example shown above:

import java.awt.*;

import java.util.*;

import java.applet.Applet;

public class GridBagEx1 extends Applet {

   protected void makebutton(String name,

                             GridBagLayout gridbag,

                             GridBagConstraints c) {

       Button button = new Button(name);

       gridbag.setConstraints(button, c);

       add(button);

   }

   public void init() {

       GridBagLayout gridbag = new GridBagLayout();

       GridBagConstraints c = new GridBagConstraints();

       setFont(new Font("Helvetica", Font.PLAIN, 14));

       setLayout(gridbag);

       c.fill = GridBagConstraints.BOTH;

       c.weightx = 1.0;

       makebutton("Button1", gridbag, c);

       makebutton("Button2", gridbag, c);

       makebutton("Button3", gridbag, c);

   	   c.gridwidth = GridBagConstraints.REMAINDER; //end row

       makebutton("Button4", gridbag, c);

       c.weightx = 0.0;	   //reset to the default

       makebutton("Button5", gridbag, c); //another row

   c.gridwidth = GridBagConstraints.RELATIVE; //next-to-last in row

       makebutton("Button6", gridbag, c);

   c.gridwidth = GridBagConstraints.REMAINDER; //end row

       makebutton("Button7", gridbag, c);

   c.gridwidth = 1;	   	   //reset to the default

   c.gridheight = 2;

       c.weighty = 1.0;

       makebutton("Button8", gridbag, c);

       c.weighty = 0.0;	   //reset to the default

   c.gridwidth = GridBagConstraints.REMAINDER; //end row

   c.gridheight = 1;	   //reset to the default

       makebutton("Button9", gridbag, c);

       makebutton("Button10", gridbag, c);

       setSize(300, 100);

   }

   public static void main(String args[]) {

   Frame f = new Frame("GridBag Layout Example");

   GridBagEx1 ex1 = new GridBagEx1();

   ex1.init();

   f.add("Center", ex1);

   f.pack();

   f.setSize(f.getPreferredSize());

   f.show();

   }

}

Specification

public class GridBagLayout extends java.lang.Object implements java.awt.LayoutManager2, java.io.Serializable

Constructor

public GridBagLayout( )

Creates a grid bag layout manager.

Variables

protected static final int MAXGRIDSIZE

The maximum number of grid positions (both horizontally and vertically) that can be laid out by the grid bag layout.

protected static final int MINSIZE

The smallest grid that can be laid out by the grid bag layout.

protected static final int PREFERREDSIZE

protected java.util.Hashtable comptable

protected java.awt.GridBagConstraints defaultConstraints

protected java.awt.GridBagLayoutInfo layoutInfo

public int[] columnWidths

public int[] rowHeights

public double[] columnWeights

public double[] rowWeights

Properties

  int[][] getLayoutDimensions( )

  java.awt.Point getLayoutOrigin( )

  double[][] getLayoutWeights( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void addLayoutComponent( java.lang.String name, java.awt.Component comp )

  void addLayoutComponent( java.awt.Component comp, java.lang.Object constraints )

  java.awt.GridBagConstraints getConstraints( java.awt.Component comp )

  float getLayoutAlignmentX( java.awt.Container parent )

  float getLayoutAlignmentY( java.awt.Container parent )

  void invalidateLayout( java.awt.Container target )

  void layoutContainer( java.awt.Container parent )

  java.awt.Point location( int x, int y )

  java.awt.Dimension maximumLayoutSize( java.awt.Container target )

  java.awt.Dimension minimumLayoutSize( java.awt.Container parent )

  java.awt.Dimension preferredLayoutSize( java.awt.Container parent )

  void removeLayoutComponent( java.awt.Component comp )

  void setConstraints( java.awt.Component comp, java.awt.GridBagConstraints constraints )

  java.lang.String toString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void AdjustForGravity( java.awt.GridBagConstraints constraints, java.awt.Rectangle r )

 protected void ArrangeGrid( java.awt.Container parent )

 protected java.awt.GridBagLayoutInfo GetLayoutInfo( java.awt.Container parent, int sizeflag )

 protected java.awt.Dimension GetMinSize( java.awt.Container parent, java.awt.GridBagLayoutInfo info )

 protected java.awt.GridBagConstraints lookupConstraints( java.awt.Component comp )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

GridBagConstraints class [java.awt]


GridLayout class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      GridLayout class [java.awt]

Object

GridLayout

Description

The GridLayout class is a layout manager that lays out a container's components in a rectangular grid.

The container is divided into equal-sized rectangles, and one component is placed in each rectangle.

For example, the following is an applet that lays out six buttons into three rows and two columns:

import java.awt.*;

import java.applet.Applet;

public class ButtonGrid extends Applet {

   public void init() {

       setLayout(new GridLayout(3,2));

       add(new Button("1"));

       add(new Button("2"));

       add(new Button("3"));

       add(new Button("4"));

       add(new Button("5"));

       add(new Button("6"));

   }

}

It produces the following output:

When both the number of rows and the number of columns have been set to non-zero values, either by a constructor or by the setRows and setColumns methods, the number of columns specified is ignored.  Instead, the number of columns is determined from the specified number or rows and the total number of components in the layout. So, for example, if three rows and two columns have been specified and nine components are added to the layout, then they will be displayed as three rows of three columns.  Specifying the number of columns affects the layout only when the number of rows is set to zero.

Specification

public class GridLayout extends java.lang.Object implements java.awt.LayoutManager, java.io.Serializable

Constructors

public GridLayout( )

Creates a grid layout with a default of one column per component, in a single row.

public GridLayout( int rows, int cols )

Creates a grid layout with the specified number of rows and columns. All components in the layout are given equal size.

One, but not both, of rows and cols can be zero, which means that any number of objects can be placed in a row or in a column.

Parameters

rows

the rows, with the value zero meaning any number of rows.

cols

the columns, with the value zero meaning any number of columns.

public GridLayout( int rows, int cols, int hgap, int vgap )

Creates a grid layout with the specified number of rows and columns. All components in the layout are given equal size.

In addition, the horizontal and vertical gaps are set to the specified values. Horizontal gaps are placed at the left and right edges, and between each of the columns. Vertical gaps are placed at the top and bottom edges, and between each of the rows.

One, but not both, of rows and cols can be zero, which means that any number of objects can be placed in a row or in a column.

Parameters

rows

the rows, with the value zero meaning any number of rows.

cols

the columns, with the value zero meaning any number of columns.

hgap

the horizontal gap.

vgap

the vertical gap.

Throws

IllegalArgumentException

If the of rows or cols is invalid.

Properties

  int getColumns( )

  void setColumns( int cols )

  int getHgap( )

  void setHgap( int hgap )

  int getRows( )

  void setRows( int rows )

  int getVgap( )

  void setVgap( int vgap )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void addLayoutComponent( java.lang.String name, java.awt.Component comp )

  void layoutContainer( java.awt.Container parent )

  java.awt.Dimension minimumLayoutSize( java.awt.Container parent )

  java.awt.Dimension preferredLayoutSize( java.awt.Container parent )

  void removeLayoutComponent( java.awt.Component comp )

  java.lang.String toString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


Group interface [java.security.acl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      Group interface [java.security.acl]

Description

This interface is used to represent a group of principals. (A principal represents an entity such as an individual user or a company).

Note that Group extends Principal. Thus, either a Principal or a Group can be passed as an argument to methods containing a Principal parameter. For example, you can add either a Principal or a Group to a Group object by calling the object's addMember method, passing it the Principal or Group.

Definition

public interface Group extends java.security.Principal

{

  // Methods

  public boolean addMember( java.security.Principal user );

  public boolean removeMember( java.security.Principal user );

  public boolean isMember( java.security.Principal member );

  public java.util.Enumeration members( );

}

Methods

public boolean addMember( java.security.Principal user )

Adds the specified member to the group.

Parameter

user

the principal to add to this group.

Return

True if the member was successfully added, false if the principal was already a member.

public boolean removeMember( java.security.Principal user )

Removes the specified member from the group.

Parameter

user

the principal to remove from this group.

Return

True if the principal was removed, or false if the principal was not a member.

public boolean isMember( java.security.Principal member )

Returns true if the passed principal is a member of the group. This method does a recursive search, so if a principal belongs to a group which is a member of this group, true is returned.

Parameter

member

the principal whose membership is to be checked.

Return

True if the principal is a member of this group, false otherwise.

public java.util.Enumeration members( )

Returns an enumeration of the members in the group. The returned objects can be instances of either Principal or Group (which is a subclass of Principal).

Return

An enumeration of the group members.


groupingSeparator property [java.text.DecimalFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      groupingSeparator property [java.text.DecimalFormatSymbols]

public char getGroupingSeparator( )

character used for thousands separator. Different for French, etc.

Return

No documentation supplied in JDK.

public void setGroupingSeparator( char groupingSeparator )

Applies to

 DecimalFormatSymbols [java.text]


groupingSize property [java.text.DecimalFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      groupingSize property [java.text.DecimalFormat]

public int getGroupingSize( )

Return the grouping size. Grouping size is the number of digits between grouping separators in the integer portion of a number.  For example, in the number "123,456.78", the grouping size is 3.

Return

No documentation supplied in JDK.

See also

groupingUsed property [java.text.NumberFormat]

groupingSeparator property [java.text.DecimalFormatSymbols]

public void setGroupingSize( int newValue )

Set the grouping size. Grouping size is the number of digits between grouping separators in the integer portion of a number.  For example, in the number "123,456.78", the grouping size is 3.

See also

groupingUsed property [java.text.NumberFormat]

groupingSeparator property [java.text.DecimalFormatSymbols]

Applies to

 DecimalFormat [java.text]


groupingUsed property [java.text.NumberFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      groupingUsed property [java.text.NumberFormat]

public void setGroupingUsed( boolean newValue )

Set whether or not grouping will be used in this format.

public boolean isGroupingUsed( )

Returns true if grouping is used in this format. For example, in the English locale, with grouping on, the number 1234567 might be formatted as "1,234,567". The grouping separator as well as the size of each group is locale dependant and is determined by sub-classes of NumberFormat.

Return

No documentation supplied in JDK.

Applies to

 ChoiceFormat [java.text]

 DecimalFormat [java.text]

 NumberFormat [java.text]


grow method [java.awt.Rectangle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      grow method [java.awt.Rectangle]

public void grow( int h, int v )

Grows the rectangle both horizontally and vertically.

This method modifies the rectangle so that it is h units larger on both the left and right side, and v units larger at both the top and bottom.

The new rectangle has (x - h, y - v) as its top-left corner, a width of width + 2h, and a height of height + 2v.

If negative values are supplied for h and v, the size of the rectangle decreases accordingly. The grow method does not check whether the resulting values of width and height are non-negative.

Parameters

h

the horizontal expansion.

v

the vertical expansion.

Applies to

 Rectangle [java.awt]


guessContentTypeFromName method [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      guessContentTypeFromName method [java.net.URLConnection]

protected static java.lang.String guessContentTypeFromName( java.lang.String fname )

Tries to determine the content type of an object, based on the specified "file" component of a URL. This is a convenience method that can be used by subclasses that override the getContentType method.

Parameter

fname

a filename.

Return

A guess as to what the content type of the object is, based upon its file name.

See also

contentType property [java.net.URLConnection]

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


guessContentTypeFromStream method [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      guessContentTypeFromStream method [java.net.URLConnection]

public static java.lang.String guessContentTypeFromStream( java.io.InputStream is ) throws java.io.IOException

Tries to determine the type of an input stream based on the characters at the beginning of the input stream. This method can be used by subclasses that override the getContentType method.

Ideally, this routine would not be needed. But many http servers return the incorrect content type; in addition, there are many nonstandard extensions. Direct inspection of the bytes to determine the content type is often more accurate than believing the content type claimed by the http server.

Parameter

is

an input stream that supports marks.

Return

A guess at the content type, or null if none can be determined.

Throws

IOException

If an I/O error occurs while reading the input stream.

See also

mark method [java.io.InputStream]

markSupported method [java.io.InputStream]

contentType property [java.net.URLConnection]

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


guiAvailable property [java.beans.Beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      guiAvailable property [java.beans.Beans]

public static void setGuiAvailable( boolean isGuiAvailable ) throws java.lang.SecurityException

Used to indicate whether of not we are running in an environment where GUI interaction is available.  Note that this method is security checked and is not available to (for example) untrusted applets.

Parameter

isGuiAvailable

True if GUI interaction is available.

public static boolean isGuiAvailable( )

No documentation supplied in JDK

Return

True if we are running in an environment where beans can assume that an interactive GUI is available, so they can pop up dialog boxes, etc.  This will normally return true in a windowing environment, and will normally return false in a server environment or if an application is running as part of a batch job.

Applies to

 Beans [java.beans]


GZIPInputStream class [java.util.zip] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      GZIPInputStream class [java.util.zip]

Object

InputStream

FilterInputStream

InflaterInputStream

GZIPInputStream

Description

This class implements a stream filter for reading compressed data in the GZIP format.

Specification

public class GZIPInputStream extends java.util.zip.InflaterInputStream

Constructors

public GZIPInputStream( java.io.InputStream in ) throws java.io.IOException

Creates a new input stream with a default buffer size.

Parameter

in

the input stream

Throws

IOException

If an I/O error has occurred.

public GZIPInputStream( java.io.InputStream in, int size ) throws java.io.IOException

Creates a new input stream with the specified buffer size.

Parameters

in

the input stream

size

the input buffer size

Throws

IOException

If an I/O error has occurred.

Variables

protected java.util.zip.CRC32 crc

CRC-32 for uncompressed data.

protected boolean eos

Indicates end of input stream.

public static final int GZIP_MAGIC

GZIP header magic number.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( ) throws java.io.IOException

  int read( byte[] buf, int off, int len ) throws java.io.IOException

Inherited Methods

  int available( ) throws java.io.IOException

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  synchronized void mark( int readlimit )

  boolean markSupported( )

  native final void notify( )

  native final void notifyAll( )

  int read( byte[] b ) throws java.io.IOException

  abstract int read( ) throws java.io.IOException

  synchronized void reset( ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void fill( ) throws java.io.IOException

 protected void finalize( ) throws java.lang.Throwable

See also

InflaterInputStream class [java.util.zip]


GZIPOutputStream class [java.util.zip] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     G
      GZIPOutputStream class [java.util.zip]

Object

OutputStream

FilterOutputStream

DeflaterOutputStream

GZIPOutputStream

Description

This class implements a stream filter for writing compressed data in the GZIP file format.

Specification

public class GZIPOutputStream extends java.util.zip.DeflaterOutputStream

Constructors

public GZIPOutputStream( java.io.OutputStream out ) throws java.io.IOException

Creates a new output stream with a default buffer size.

Parameter

out

the output stream

Throws

IOException

If an I/O error has occurred.

public GZIPOutputStream( java.io.OutputStream out, int size ) throws java.io.IOException

Creates a new output stream with the specified buffer size.

Parameters

out

the output stream

size

the output buffer size

Throws

IOException

If an I/O error has occurred.

Variables

protected java.util.zip.CRC32 crc

CRC-32 of uncompressed data.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( ) throws java.io.IOException

  void finish( ) throws java.io.IOException

  synchronized void write( byte[] buf, int off, int len ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  void flush( ) throws java.io.IOException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  void write( byte[] b ) throws java.io.IOException

  abstract void write( int b ) throws java.io.IOException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void deflate( ) throws java.io.IOException

 protected void finalize( ) throws java.lang.Throwable


H  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    H

 HAdjustable property [java.awt.ScrollPane]

 handleEvent method [java.awt.Component]

 handleGetObject method [java.util.ListResourceBundle]

 handleGetObject method [java.util.PropertyResourceBundle]

 handleGetObject method [java.util.ResourceBundle]

 hasChanged method [java.util.Observable]

 hashCode method [java.awt.Color]

 hashCode method [java.awt.Font]

 hashCode method [java.awt.Point]

 hashCode method [java.awt.Rectangle]

 hashCode method [java.io.File]

 hashCode method [java.lang.Boolean]

 hashCode method [java.lang.Byte]

 hashCode method [java.lang.Character]

 hashCode method [java.lang.Double]

 hashCode method [java.lang.Float]

 hashCode method [java.lang.Integer]

 hashCode method [java.lang.Long]

 hashCode method [java.lang.Object]

 hashCode method [java.lang.reflect.Constructor]

 hashCode method [java.lang.reflect.Field]

 hashCode method [java.lang.reflect.Method]

 hashCode method [java.lang.Short]

 hashCode method [java.lang.String]

 hashCode method [java.math.BigDecimal]

 hashCode method [java.math.BigInteger]

 hashCode method [java.net.InetAddress]

 hashCode method [java.net.URL]

 hashCode method [java.rmi.dgc.VMID]

 hashCode method [java.rmi.server.ObjID]

 hashCode method [java.rmi.server.RemoteObject]

 hashCode method [java.rmi.server.UID]

 hashCode method [java.security.Identity]

 hashCode method [java.text.ChoiceFormat]

 hashCode method [java.text.CollationKey]

 hashCode method [java.text.Collator]

 hashCode method [java.text.DateFormat]

 hashCode method [java.text.DateFormatSymbols]

 hashCode method [java.text.DecimalFormat]

 hashCode method [java.text.DecimalFormatSymbols]

 hashCode method [java.text.MessageFormat]

 hashCode method [java.text.NumberFormat]

 hashCode method [java.text.RuleBasedCollator]

 hashCode method [java.text.SimpleDateFormat]

 hashCode method [java.text.StringCharacterIterator]

 hashCode method [java.util.BitSet]

 hashCode method [java.util.Date]

 hashCode method [java.util.GregorianCalendar]

 hashCode method [java.util.Locale]

 hashCode method [java.util.SimpleTimeZone]

 Hashtable class [java.util]

 hasMoreElements method [java.util.StringTokenizer]

 hasMoreTokens method [java.util.StringTokenizer]

 headerField property [java.net.URLConnection]

 headerFieldKey property [java.net.URLConnection]

 height property [java.awt.FontMetrics]

 height property [java.awt.image.PixelGrabber]

 helpMenu property [java.awt.MenuBar]

 hgap property [java.awt.BorderLayout]

 hgap property [java.awt.CardLayout]

 hgap property [java.awt.FlowLayout]

 hgap property [java.awt.GridLayout]

 hidden property [java.beans.FeatureDescriptor]

 hide method [java.awt.Component]

 hints property [java.awt.image.AreaAveragingScaleFilter]

 hints property [java.awt.image.ImageFilter]

 hints property [java.awt.image.PixelGrabber]

 host property [java.net.URL]

 hostAddress property [java.net.InetAddress]

 hostName property [java.net.InetAddress]

 hours property [java.sql.Date]

 hours property [java.util.Date]

 HSBtoRGB method [java.awt.Color]

 HScrollbarHeight property [java.awt.ScrollPane]

 HttpURLConnection class [java.net]

 humanPresentableName property [java.awt.datatransfer.DataFlavor]


HAdjustable property [java.awt.ScrollPane] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      HAdjustable property [java.awt.ScrollPane]

public java.awt.Adjustable getHAdjustable( )

Returns the Adjustable object which represents the state of the horizontal scrollbar.  If the scrollbar display policy is "never", this method returns null.

Return

No documentation supplied in JDK.

Applies to

 ScrollPane [java.awt]


handleEvent method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      handleEvent method [java.awt.Component]

public boolean handleEvent( java.awt.Event evt )

Note: handleEvent has been deprecated. As of JDK version 1.1 replaced by processEvent(AWTEvent).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


handleGetObject method [java.util.ListResourceBundle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      handleGetObject method [java.util.ListResourceBundle]

Overloads:

 Object handleGetObject( String key ) overrides handleGetObject method [java.util.ResourceBundle]

public final java.lang.Object handleGetObject( java.lang.String key )

Override of ResourceBundle, same semantics

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData [java.text.resources]

 DateFormatZoneData_ar [java.text.resources]

 DateFormatZoneData_be [java.text.resources]

 DateFormatZoneData_bg [java.text.resources]

 DateFormatZoneData_ca [java.text.resources]

 DateFormatZoneData_cs [java.text.resources]

 DateFormatZoneData_da [java.text.resources]

 DateFormatZoneData_de [java.text.resources]

 DateFormatZoneData_de_AT [java.text.resources]

 DateFormatZoneData_de_CH [java.text.resources]

 DateFormatZoneData_el [java.text.resources]

 DateFormatZoneData_en [java.text.resources]

 DateFormatZoneData_en_CA [java.text.resources]

 DateFormatZoneData_en_GB [java.text.resources]

 DateFormatZoneData_en_IE [java.text.resources]

 DateFormatZoneData_es [java.text.resources]

 DateFormatZoneData_et [java.text.resources]

 DateFormatZoneData_fi [java.text.resources]

 DateFormatZoneData_fr [java.text.resources]

 DateFormatZoneData_fr_BE [java.text.resources]

 DateFormatZoneData_fr_CA [java.text.resources]

 DateFormatZoneData_fr_CH [java.text.resources]

 DateFormatZoneData_hr [java.text.resources]

 DateFormatZoneData_hu [java.text.resources]

 DateFormatZoneData_is [java.text.resources]

 DateFormatZoneData_it [java.text.resources]

 DateFormatZoneData_it_CH [java.text.resources]

 DateFormatZoneData_iw [java.text.resources]

 DateFormatZoneData_ja [java.text.resources]

 DateFormatZoneData_ko [java.text.resources]

 DateFormatZoneData_lt [java.text.resources]

 DateFormatZoneData_lv [java.text.resources]

 DateFormatZoneData_mk [java.text.resources]

 DateFormatZoneData_nl [java.text.resources]

 DateFormatZoneData_nl_BE [java.text.resources]

 DateFormatZoneData_no [java.text.resources]

 DateFormatZoneData_no_NO_NY [java.text.resources]

 DateFormatZoneData_pl [java.text.resources]

 DateFormatZoneData_pt [java.text.resources]

 DateFormatZoneData_ro [java.text.resources]

 DateFormatZoneData_ru [java.text.resources]

 DateFormatZoneData_sh [java.text.resources]

 DateFormatZoneData_sk [java.text.resources]

 DateFormatZoneData_sl [java.text.resources]

 DateFormatZoneData_sq [java.text.resources]

 DateFormatZoneData_sr [java.text.resources]

 DateFormatZoneData_sv [java.text.resources]

 DateFormatZoneData_th [java.text.resources]

 DateFormatZoneData_tr [java.text.resources]

 DateFormatZoneData_uk [java.text.resources]

 DateFormatZoneData_zh [java.text.resources]

 DateFormatZoneData_zh_TW [java.text.resources]

 ListResourceBundle [java.util]

 LocaleElements [java.text.resources]

 LocaleElements_ar [java.text.resources]

 LocaleElements_be [java.text.resources]

 LocaleElements_bg [java.text.resources]

 LocaleElements_ca [java.text.resources]

 LocaleElements_cs [java.text.resources]

 LocaleElements_da [java.text.resources]

 LocaleElements_de [java.text.resources]

 LocaleElements_de_AT [java.text.resources]

 LocaleElements_de_AT_EURO [java.text.resources]

 LocaleElements_de_CH [java.text.resources]

 LocaleElements_de_DE_EURO [java.text.resources]

 LocaleElements_de_LU [java.text.resources]

 LocaleElements_de_LU_EURO [java.text.resources]

 LocaleElements_el [java.text.resources]

 LocaleElements_en [java.text.resources]

 LocaleElements_en_AU [java.text.resources]

 LocaleElements_en_CA [java.text.resources]

 LocaleElements_en_GB [java.text.resources]

 LocaleElements_en_IE [java.text.resources]

 LocaleElements_en_IE_EURO [java.text.resources]

 LocaleElements_en_NZ [java.text.resources]

 LocaleElements_en_ZA [java.text.resources]

 LocaleElements_es [java.text.resources]

 LocaleElements_es_AR [java.text.resources]

 LocaleElements_es_BO [java.text.resources]

 LocaleElements_es_CL [java.text.resources]

 LocaleElements_es_CO [java.text.resources]

 LocaleElements_es_CR [java.text.resources]

 LocaleElements_es_DO [java.text.resources]

 LocaleElements_es_EC [java.text.resources]

 LocaleElements_es_ES_EURO [java.text.resources]

 LocaleElements_es_GT [java.text.resources]

 LocaleElements_es_HN [java.text.resources]

 LocaleElements_es_MX [java.text.resources]

 LocaleElements_es_NI [java.text.resources]

 LocaleElements_es_PA [java.text.resources]

 LocaleElements_es_PE [java.text.resources]

 LocaleElements_es_PR [java.text.resources]

 LocaleElements_es_PY [java.text.resources]

 LocaleElements_es_SV [java.text.resources]

 LocaleElements_es_UY [java.text.resources]

 LocaleElements_es_VE [java.text.resources]

 LocaleElements_et [java.text.resources]

 LocaleElements_fi [java.text.resources]

 LocaleElements_fi_FI_EURO [java.text.resources]

 LocaleElements_fr [java.text.resources]

 LocaleElements_fr_BE [java.text.resources]

 LocaleElements_fr_BE_EURO [java.text.resources]

 LocaleElements_fr_CA [java.text.resources]

 LocaleElements_fr_CH [java.text.resources]

 LocaleElements_fr_FR_EURO [java.text.resources]

 LocaleElements_fr_LU [java.text.resources]

 LocaleElements_fr_LU_EURO [java.text.resources]

 LocaleElements_hr [java.text.resources]

 LocaleElements_hu [java.text.resources]

 LocaleElements_is [java.text.resources]

 LocaleElements_it [java.text.resources]

 LocaleElements_it_CH [java.text.resources]

 LocaleElements_it_IT_EURO [java.text.resources]

 LocaleElements_iw [java.text.resources]

 LocaleElements_ja [java.text.resources]

 LocaleElements_ko [java.text.resources]

 LocaleElements_lt [java.text.resources]

 LocaleElements_lv [java.text.resources]

 LocaleElements_mk [java.text.resources]

 LocaleElements_nl [java.text.resources]

 LocaleElements_nl_BE [java.text.resources]

 LocaleElements_nl_BE_EURO [java.text.resources]

 LocaleElements_nl_NL_EURO [java.text.resources]

 LocaleElements_no [java.text.resources]

 LocaleElements_no_NO_NY [java.text.resources]

 LocaleElements_pl [java.text.resources]

 LocaleElements_pt [java.text.resources]

 LocaleElements_pt_BR [java.text.resources]

 LocaleElements_pt_PT_EURO [java.text.resources]

 LocaleElements_ro [java.text.resources]

 LocaleElements_ru [java.text.resources]

 LocaleElements_sh [java.text.resources]

 LocaleElements_sk [java.text.resources]

 LocaleElements_sl [java.text.resources]

 LocaleElements_sq [java.text.resources]

 LocaleElements_sr [java.text.resources]

 LocaleElements_sv [java.text.resources]

 LocaleElements_th [java.text.resources]

 LocaleElements_tr [java.text.resources]

 LocaleElements_uk [java.text.resources]

 LocaleElements_zh [java.text.resources]

 LocaleElements_zh_TW [java.text.resources]


handleGetObject method [java.util.PropertyResourceBundle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      handleGetObject method [java.util.PropertyResourceBundle]

Overloads:

 Object handleGetObject( String key ) overrides handleGetObject method [java.util.ResourceBundle]

public java.lang.Object handleGetObject( java.lang.String key )

Override of ResourceBundle, same semantics

Return

No documentation supplied in JDK.

Applies to

 PropertyResourceBundle [java.util]


handleGetObject method [java.util.ResourceBundle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      handleGetObject method [java.util.ResourceBundle]

protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

Get an object from a ResourceBundle. NOTE:  Subclasses must override.

Parameter

key

see class description.

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData [java.text.resources]

 DateFormatZoneData_ar [java.text.resources]

 DateFormatZoneData_be [java.text.resources]

 DateFormatZoneData_bg [java.text.resources]

 DateFormatZoneData_ca [java.text.resources]

 DateFormatZoneData_cs [java.text.resources]

 DateFormatZoneData_da [java.text.resources]

 DateFormatZoneData_de [java.text.resources]

 DateFormatZoneData_de_AT [java.text.resources]

 DateFormatZoneData_de_CH [java.text.resources]

 DateFormatZoneData_el [java.text.resources]

 DateFormatZoneData_en [java.text.resources]

 DateFormatZoneData_en_CA [java.text.resources]

 DateFormatZoneData_en_GB [java.text.resources]

 DateFormatZoneData_en_IE [java.text.resources]

 DateFormatZoneData_es [java.text.resources]

 DateFormatZoneData_et [java.text.resources]

 DateFormatZoneData_fi [java.text.resources]

 DateFormatZoneData_fr [java.text.resources]

 DateFormatZoneData_fr_BE [java.text.resources]

 DateFormatZoneData_fr_CA [java.text.resources]

 DateFormatZoneData_fr_CH [java.text.resources]

 DateFormatZoneData_hr [java.text.resources]

 DateFormatZoneData_hu [java.text.resources]

 DateFormatZoneData_is [java.text.resources]

 DateFormatZoneData_it [java.text.resources]

 DateFormatZoneData_it_CH [java.text.resources]

 DateFormatZoneData_iw [java.text.resources]

 DateFormatZoneData_ja [java.text.resources]

 DateFormatZoneData_ko [java.text.resources]

 DateFormatZoneData_lt [java.text.resources]

 DateFormatZoneData_lv [java.text.resources]

 DateFormatZoneData_mk [java.text.resources]

 DateFormatZoneData_nl [java.text.resources]

 DateFormatZoneData_nl_BE [java.text.resources]

 DateFormatZoneData_no [java.text.resources]

 DateFormatZoneData_no_NO_NY [java.text.resources]

 DateFormatZoneData_pl [java.text.resources]

 DateFormatZoneData_pt [java.text.resources]

 DateFormatZoneData_ro [java.text.resources]

 DateFormatZoneData_ru [java.text.resources]

 DateFormatZoneData_sh [java.text.resources]

 DateFormatZoneData_sk [java.text.resources]

 DateFormatZoneData_sl [java.text.resources]

 DateFormatZoneData_sq [java.text.resources]

 DateFormatZoneData_sr [java.text.resources]

 DateFormatZoneData_sv [java.text.resources]

 DateFormatZoneData_th [java.text.resources]

 DateFormatZoneData_tr [java.text.resources]

 DateFormatZoneData_uk [java.text.resources]

 DateFormatZoneData_zh [java.text.resources]

 DateFormatZoneData_zh_TW [java.text.resources]

 ListResourceBundle [java.util]

 LocaleElements [java.text.resources]

 LocaleElements_ar [java.text.resources]

 LocaleElements_be [java.text.resources]

 LocaleElements_bg [java.text.resources]

 LocaleElements_ca [java.text.resources]

 LocaleElements_cs [java.text.resources]

 LocaleElements_da [java.text.resources]

 LocaleElements_de [java.text.resources]

 LocaleElements_de_AT [java.text.resources]

 LocaleElements_de_AT_EURO [java.text.resources]

 LocaleElements_de_CH [java.text.resources]

 LocaleElements_de_DE_EURO [java.text.resources]

 LocaleElements_de_LU [java.text.resources]

 LocaleElements_de_LU_EURO [java.text.resources]

 LocaleElements_el [java.text.resources]

 LocaleElements_en [java.text.resources]

 LocaleElements_en_AU [java.text.resources]

 LocaleElements_en_CA [java.text.resources]

 LocaleElements_en_GB [java.text.resources]

 LocaleElements_en_IE [java.text.resources]

 LocaleElements_en_IE_EURO [java.text.resources]

 LocaleElements_en_NZ [java.text.resources]

 LocaleElements_en_ZA [java.text.resources]

 LocaleElements_es [java.text.resources]

 LocaleElements_es_AR [java.text.resources]

 LocaleElements_es_BO [java.text.resources]

 LocaleElements_es_CL [java.text.resources]

 LocaleElements_es_CO [java.text.resources]

 LocaleElements_es_CR [java.text.resources]

 LocaleElements_es_DO [java.text.resources]

 LocaleElements_es_EC [java.text.resources]

 LocaleElements_es_ES_EURO [java.text.resources]

 LocaleElements_es_GT [java.text.resources]

 LocaleElements_es_HN [java.text.resources]

 LocaleElements_es_MX [java.text.resources]

 LocaleElements_es_NI [java.text.resources]

 LocaleElements_es_PA [java.text.resources]

 LocaleElements_es_PE [java.text.resources]

 LocaleElements_es_PR [java.text.resources]

 LocaleElements_es_PY [java.text.resources]

 LocaleElements_es_SV [java.text.resources]

 LocaleElements_es_UY [java.text.resources]

 LocaleElements_es_VE [java.text.resources]

 LocaleElements_et [java.text.resources]

 LocaleElements_fi [java.text.resources]

 LocaleElements_fi_FI_EURO [java.text.resources]

 LocaleElements_fr [java.text.resources]

 LocaleElements_fr_BE [java.text.resources]

 LocaleElements_fr_BE_EURO [java.text.resources]

 LocaleElements_fr_CA [java.text.resources]

 LocaleElements_fr_CH [java.text.resources]

 LocaleElements_fr_FR_EURO [java.text.resources]

 LocaleElements_fr_LU [java.text.resources]

 LocaleElements_fr_LU_EURO [java.text.resources]

 LocaleElements_hr [java.text.resources]

 LocaleElements_hu [java.text.resources]

 LocaleElements_is [java.text.resources]

 LocaleElements_it [java.text.resources]

 LocaleElements_it_CH [java.text.resources]

 LocaleElements_it_IT_EURO [java.text.resources]

 LocaleElements_iw [java.text.resources]

 LocaleElements_ja [java.text.resources]

 LocaleElements_ko [java.text.resources]

 LocaleElements_lt [java.text.resources]

 LocaleElements_lv [java.text.resources]

 LocaleElements_mk [java.text.resources]

 LocaleElements_nl [java.text.resources]

 LocaleElements_nl_BE [java.text.resources]

 LocaleElements_nl_BE_EURO [java.text.resources]

 LocaleElements_nl_NL_EURO [java.text.resources]

 LocaleElements_no [java.text.resources]

 LocaleElements_no_NO_NY [java.text.resources]

 LocaleElements_pl [java.text.resources]

 LocaleElements_pt [java.text.resources]

 LocaleElements_pt_BR [java.text.resources]

 LocaleElements_pt_PT_EURO [java.text.resources]

 LocaleElements_ro [java.text.resources]

 LocaleElements_ru [java.text.resources]

 LocaleElements_sh [java.text.resources]

 LocaleElements_sk [java.text.resources]

 LocaleElements_sl [java.text.resources]

 LocaleElements_sq [java.text.resources]

 LocaleElements_sr [java.text.resources]

 LocaleElements_sv [java.text.resources]

 LocaleElements_th [java.text.resources]

 LocaleElements_tr [java.text.resources]

 LocaleElements_uk [java.text.resources]

 LocaleElements_zh [java.text.resources]

 LocaleElements_zh_TW [java.text.resources]

 PropertyResourceBundle [java.util]

 ResourceBundle [java.util]


hasChanged method [java.util.Observable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hasChanged method [java.util.Observable]

public synchronized boolean hasChanged( )

Tests if this object has changed.

Return

true if the setChanged method has been called more recently than the clearChanged method on this object; false otherwise.

See also

clearChanged method [java.util.Observable]

setChanged method [java.util.Observable]

Applies to

 Observable [java.util]


hashCode method [java.awt.Color] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.awt.Color]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Computes the hash code for this color.

Return

A hash code value for this object.

Applies to

 Color [java.awt]

 SystemColor [java.awt]


hashCode method [java.awt.Font] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.awt.Font]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Returns a hashcode for this font.

Return

A hashcode value for this font.

Applies to

 Font [java.awt]


hashCode method [java.awt.Point] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.awt.Point]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Returns the hashcode for this point.

Return

A hash code for this point.

Applies to

 Point [java.awt]


hashCode method [java.awt.Rectangle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.awt.Rectangle]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Returns the hashcode for this rectangle.

Return

The hashcode for this rectangle.

Applies to

 Rectangle [java.awt]


hashCode method [java.io.File] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.io.File]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Computes a hashcode for the file.

Return

A hash code value for this File object.

Applies to

 File [java.io]


hashCode method [java.lang.Boolean] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.lang.Boolean]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Returns a hash code for this Boolean.

Return

A hash code value for this object.

Applies to

 Boolean [java.lang]


hashCode method [java.lang.Byte] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.lang.Byte]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Returns a hashcode for this Byte.

Return

No documentation supplied in JDK.

Applies to

 Byte [java.lang]


hashCode method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.lang.Character]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Returns a hash code for this Character.

Return

A hash code value for this object.

Applies to

 Character [java.lang]


hashCode method [java.lang.Double] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.lang.Double]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Returns a hashcode for this Double.

Return

A hash code value for this object.

Applies to

 Double [java.lang]


hashCode method [java.lang.Float] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.lang.Float]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Returns a hashcode for this Float.

Return

A hash code value for this object.

Applies to

 Float [java.lang]


hashCode method [java.lang.Integer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.lang.Integer]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Returns a hashcode for this Integer.

Return

A hash code value for this object.

Applies to

 Integer [java.lang]


hashCode method [java.lang.Long] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.lang.Long]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Computes a hashcode for this Long.

Return

A hash code value for this object.

Applies to

 Long [java.lang]


hashCode method [java.lang.Object] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.lang.Object]

public native int hashCode( )

Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by java.util.Hashtable.

The general contract of hashCode is:

•	Whenever it is invoked on the same object more than once during an execution of a Java application, the hashCode method must consistently return the same integer. This integer need not remain consistent from one execution of an application to another execution of the same application.

•	If two objects are equal according to the equals method, then calling the hashCode method on each of the two objects must produce the same integer result.

Return

A hash code value for this object.

See also

equals method [java.lang.Object]

Hashtable class [java.util]

Applies to

 AbstractMethodError [java.lang]

 AccessException [java.rmi]

 AclNotFoundException [java.security.acl]

 ActionEvent [java.awt.event]

 AdjustmentEvent [java.awt.event]

 Adler32 [java.util.zip]

 AlreadyBoundException [java.rmi]

 Applet [java.applet]

 AreaAveragingScaleFilter [java.awt.image]

 ArithmeticException [java.lang]

 Array [java.lang.reflect]

 ArrayIndexOutOfBoundsException [java.lang]

 ArrayStoreException [java.lang]

 AWTError [java.awt]

 AWTEvent [java.awt]

 AWTEventMulticaster [java.awt]

 AWTException [java.awt]

 BeanDescriptor [java.beans]

 Beans [java.beans]

 BigDecimal [java.math]

 BigInteger [java.math]

 BindException [java.net]

 BitSet [java.util]

 Boolean [java.lang]

 BorderLayout [java.awt]

 BreakIterator [java.text]

 BufferedInputStream [java.io]

 BufferedOutputStream [java.io]

 BufferedReader [java.io]

 BufferedWriter [java.io]

 Button [java.awt]

 Byte [java.lang]

 ByteArrayInputStream [java.io]

 ByteArrayOutputStream [java.io]

 Calendar [java.util]

 Canvas [java.awt]

 CardLayout [java.awt]

 Character [java.lang]

 CharArrayReader [java.io]

 CharArrayWriter [java.io]

 CharConversionException [java.io]

 Checkbox [java.awt]

 CheckboxGroup [java.awt]

 CheckboxMenuItem [java.awt]

 CheckedInputStream [java.util.zip]

 CheckedOutputStream [java.util.zip]

 Choice [java.awt]

 ChoiceFormat [java.text]

 Class [java.lang]

 ClassCastException [java.lang]

 ClassCircularityError [java.lang]

 ClassFormatError [java.lang]

 ClassLoader [java.lang]

 ClassNotFoundException [java.lang]

 Clipboard [java.awt.datatransfer]

 CloneNotSupportedException [java.lang]

 CollationElementIterator [java.text]

 CollationKey [java.text]

 Collator [java.text]

 Color [java.awt]

 ColorModel [java.awt.image]

 Compiler [java.lang]

 Component [java.awt]

 ComponentAdapter [java.awt.event]

 ComponentEvent [java.awt.event]

 ConnectException [java.net]

 ConnectException [java.rmi]

 ConnectIOException [java.rmi]

 Constructor [java.lang.reflect]

 Container [java.awt]

 ContainerAdapter [java.awt.event]

 ContainerEvent [java.awt.event]

 ContentHandler [java.net]

 CRC32 [java.util.zip]

 CropImageFilter [java.awt.image]

 Cursor [java.awt]

 DataFlavor [java.awt.datatransfer]

 DataFormatException [java.util.zip]

 DatagramPacket [java.net]

 DatagramSocket [java.net]

 DatagramSocketImpl [java.net]

 DataInputStream [java.io]

 DataOutputStream [java.io]

 DataTruncation [java.sql]

 Date [java.sql]

 Date [java.util]

 DateFormat [java.text]

 DateFormatSymbols [java.text]

 DateFormatZoneData [java.text.resources]

 DateFormatZoneData_ar [java.text.resources]

 DateFormatZoneData_be [java.text.resources]

 DateFormatZoneData_bg [java.text.resources]

 DateFormatZoneData_ca [java.text.resources]

 DateFormatZoneData_cs [java.text.resources]

 DateFormatZoneData_da [java.text.resources]

 DateFormatZoneData_de [java.text.resources]

 DateFormatZoneData_de_AT [java.text.resources]

 DateFormatZoneData_de_CH [java.text.resources]

 DateFormatZoneData_el [java.text.resources]

 DateFormatZoneData_en [java.text.resources]

 DateFormatZoneData_en_CA [java.text.resources]

 DateFormatZoneData_en_GB [java.text.resources]

 DateFormatZoneData_en_IE [java.text.resources]

 DateFormatZoneData_es [java.text.resources]

 DateFormatZoneData_et [java.text.resources]

 DateFormatZoneData_fi [java.text.resources]

 DateFormatZoneData_fr [java.text.resources]

 DateFormatZoneData_fr_BE [java.text.resources]

 DateFormatZoneData_fr_CA [java.text.resources]

 DateFormatZoneData_fr_CH [java.text.resources]

 DateFormatZoneData_hr [java.text.resources]

 DateFormatZoneData_hu [java.text.resources]

 DateFormatZoneData_is [java.text.resources]

 DateFormatZoneData_it [java.text.resources]

 DateFormatZoneData_it_CH [java.text.resources]

 DateFormatZoneData_iw [java.text.resources]

 DateFormatZoneData_ja [java.text.resources]

 DateFormatZoneData_ko [java.text.resources]

 DateFormatZoneData_lt [java.text.resources]

 DateFormatZoneData_lv [java.text.resources]

 DateFormatZoneData_mk [java.text.resources]

 DateFormatZoneData_nl [java.text.resources]

 DateFormatZoneData_nl_BE [java.text.resources]

 DateFormatZoneData_no [java.text.resources]

 DateFormatZoneData_no_NO_NY [java.text.resources]

 DateFormatZoneData_pl [java.text.resources]

 DateFormatZoneData_pt [java.text.resources]

 DateFormatZoneData_ro [java.text.resources]

 DateFormatZoneData_ru [java.text.resources]

 DateFormatZoneData_sh [java.text.resources]

 DateFormatZoneData_sk [java.text.resources]

 DateFormatZoneData_sl [java.text.resources]

 DateFormatZoneData_sq [java.text.resources]

 DateFormatZoneData_sr [java.text.resources]

 DateFormatZoneData_sv [java.text.resources]

 DateFormatZoneData_th [java.text.resources]

 DateFormatZoneData_tr [java.text.resources]

 DateFormatZoneData_uk [java.text.resources]

 DateFormatZoneData_zh [java.text.resources]

 DateFormatZoneData_zh_TW [java.text.resources]

 DecimalFormat [java.text]

 DecimalFormatSymbols [java.text]

 Deflater [java.util.zip]

 DeflaterOutputStream [java.util.zip]

 Dialog [java.awt]

 Dictionary [java.util]

 DigestException [java.security]

 DigestInputStream [java.security]

 DigestOutputStream [java.security]

 Dimension [java.awt]

 DirectColorModel [java.awt.image]

 Double [java.lang]

 DriverManager [java.sql]

 DriverPropertyInfo [java.sql]

 EmptyStackException [java.util]

 EOFException [java.io]

 Error [java.lang]

 Event [java.awt]

 EventObject [java.util]

 EventQueue [java.awt]

 EventSetDescriptor [java.beans]

 Exception [java.lang]

 ExceptionInInitializerError [java.lang]

 ExportException [java.rmi.server]

 FeatureDescriptor [java.beans]

 Field [java.lang.reflect]

 FieldPosition [java.text]

 File [java.io]

 FileDescriptor [java.io]

 FileDialog [java.awt]

 FileInputStream [java.io]

 FileNotFoundException [java.io]

 FileOutputStream [java.io]

 FileReader [java.io]

 FileWriter [java.io]

 FilteredImageSource [java.awt.image]

 FilterInputStream [java.io]

 FilterOutputStream [java.io]

 FilterReader [java.io]

 FilterWriter [java.io]

 Float [java.lang]

 FlowLayout [java.awt]

 FocusAdapter [java.awt.event]

 FocusEvent [java.awt.event]

 Font [java.awt]

 FontMetrics [java.awt]

 Format [java.text]

 Frame [java.awt]

 Graphics [java.awt]

 GregorianCalendar [java.util]

 GridBagConstraints [java.awt]

 GridBagLayout [java.awt]

 GridLayout [java.awt]

 GZIPInputStream [java.util.zip]

 GZIPOutputStream [java.util.zip]

 Hashtable [java.util]

 HttpURLConnection [java.net]

 Identity [java.security]

 IdentityScope [java.security]

 IllegalAccessError [java.lang]

 IllegalAccessException [java.lang]

 IllegalArgumentException [java.lang]

 IllegalComponentStateException [java.awt]

 IllegalMonitorStateException [java.lang]

 IllegalStateException [java.lang]

 IllegalThreadStateException [java.lang]

 Image [java.awt]

 ImageFilter [java.awt.image]

 IncompatibleClassChangeError [java.lang]

 IndexColorModel [java.awt.image]

 IndexedPropertyDescriptor [java.beans]

 IndexOutOfBoundsException [java.lang]

 InetAddress [java.net]

 Inflater [java.util.zip]

 InflaterInputStream [java.util.zip]

 InputEvent [java.awt.event]

 InputStream [java.io]

 InputStreamReader [java.io]

 Insets [java.awt]

 InstantiationError [java.lang]

 InstantiationException [java.lang]

 Integer [java.lang]

 InternalError [java.lang]

 InterruptedException [java.lang]

 InterruptedIOException [java.io]

 IntrospectionException [java.beans]

 Introspector [java.beans]

 InvalidClassException [java.io]

 InvalidKeyException [java.security]

 InvalidObjectException [java.io]

 InvalidParameterException [java.security]

 InvocationTargetException [java.lang.reflect]

 IOException [java.io]

 ItemEvent [java.awt.event]

 KeyAdapter [java.awt.event]

 KeyEvent [java.awt.event]

 KeyException [java.security]

 KeyManagementException [java.security]

 KeyPair [java.security]

 KeyPairGenerator [java.security]

 Label [java.awt]

 LastOwnerException [java.security.acl]

 Lease [java.rmi.dgc]

 LineNumberInputStream [java.io]

 LineNumberReader [java.io]

 LinkageError [java.lang]

 List [java.awt]

 ListResourceBundle [java.util]

 Locale [java.util]

 LocaleData [java.text.resources]

 LocaleElements [java.text.resources]

 LocaleElements_ar [java.text.resources]

 LocaleElements_be [java.text.resources]

 LocaleElements_bg [java.text.resources]

 LocaleElements_ca [java.text.resources]

 LocaleElements_cs [java.text.resources]

 LocaleElements_da [java.text.resources]

 LocaleElements_de [java.text.resources]

 LocaleElements_de_AT [java.text.resources]

 LocaleElements_de_AT_EURO [java.text.resources]

 LocaleElements_de_CH [java.text.resources]

 LocaleElements_de_DE_EURO [java.text.resources]

 LocaleElements_de_LU [java.text.resources]

 LocaleElements_de_LU_EURO [java.text.resources]

 LocaleElements_el [java.text.resources]

 LocaleElements_en [java.text.resources]

 LocaleElements_en_AU [java.text.resources]

 LocaleElements_en_CA [java.text.resources]

 LocaleElements_en_GB [java.text.resources]

 LocaleElements_en_IE [java.text.resources]

 LocaleElements_en_IE_EURO [java.text.resources]

 LocaleElements_en_NZ [java.text.resources]

 LocaleElements_en_ZA [java.text.resources]

 LocaleElements_es [java.text.resources]

 LocaleElements_es_AR [java.text.resources]

 LocaleElements_es_BO [java.text.resources]

 LocaleElements_es_CL [java.text.resources]

 LocaleElements_es_CO [java.text.resources]

 LocaleElements_es_CR [java.text.resources]

 LocaleElements_es_DO [java.text.resources]

 LocaleElements_es_EC [java.text.resources]

 LocaleElements_es_ES_EURO [java.text.resources]

 LocaleElements_es_GT [java.text.resources]

 LocaleElements_es_HN [java.text.resources]

 LocaleElements_es_MX [java.text.resources]

 LocaleElements_es_NI [java.text.resources]

 LocaleElements_es_PA [java.text.resources]

 LocaleElements_es_PE [java.text.resources]

 LocaleElements_es_PR [java.text.resources]

 LocaleElements_es_PY [java.text.resources]

 LocaleElements_es_SV [java.text.resources]

 LocaleElements_es_UY [java.text.resources]

 LocaleElements_es_VE [java.text.resources]

 LocaleElements_et [java.text.resources]

 LocaleElements_fi [java.text.resources]

 LocaleElements_fi_FI_EURO [java.text.resources]

 LocaleElements_fr [java.text.resources]

 LocaleElements_fr_BE [java.text.resources]

 LocaleElements_fr_BE_EURO [java.text.resources]

 LocaleElements_fr_CA [java.text.resources]

 LocaleElements_fr_CH [java.text.resources]

 LocaleElements_fr_FR_EURO [java.text.resources]

 LocaleElements_fr_LU [java.text.resources]

 LocaleElements_fr_LU_EURO [java.text.resources]

 LocaleElements_hr [java.text.resources]

 LocaleElements_hu [java.text.resources]

 LocaleElements_is [java.text.resources]

 LocaleElements_it [java.text.resources]

 LocaleElements_it_CH [java.text.resources]

 LocaleElements_it_IT_EURO [java.text.resources]

 LocaleElements_iw [java.text.resources]

 LocaleElements_ja [java.text.resources]

 LocaleElements_ko [java.text.resources]

 LocaleElements_lt [java.text.resources]

 LocaleElements_lv [java.text.resources]

 LocaleElements_mk [java.text.resources]

 LocaleElements_nl [java.text.resources]

 LocaleElements_nl_BE [java.text.resources]

 LocaleElements_nl_BE_EURO [java.text.resources]

 LocaleElements_nl_NL_EURO [java.text.resources]

 LocaleElements_no [java.text.resources]

 LocaleElements_no_NO_NY [java.text.resources]

 LocaleElements_pl [java.text.resources]

 LocaleElements_pt [java.text.resources]

 LocaleElements_pt_BR [java.text.resources]

 LocaleElements_pt_PT_EURO [java.text.resources]

 LocaleElements_ro [java.text.resources]

 LocaleElements_ru [java.text.resources]

 LocaleElements_sh [java.text.resources]

 LocaleElements_sk [java.text.resources]

 LocaleElements_sl [java.text.resources]

 LocaleElements_sq [java.text.resources]

 LocaleElements_sr [java.text.resources]

 LocaleElements_sv [java.text.resources]

 LocaleElements_th [java.text.resources]

 LocaleElements_tr [java.text.resources]

 LocaleElements_uk [java.text.resources]

 LocaleElements_zh [java.text.resources]

 LocaleElements_zh_TW [java.text.resources]

 LocateRegistry [java.rmi.registry]

 LogStream [java.rmi.server]

 Long [java.lang]

 MalformedURLException [java.net]

 MarshalException [java.rmi]

 Math [java.lang]

 MediaTracker [java.awt]

 MemoryImageSource [java.awt.image]

 Menu [java.awt]

 MenuBar [java.awt]

 MenuComponent [java.awt]

 MenuItem [java.awt]

 MenuShortcut [java.awt]

 MessageDigest [java.security]

 MessageFormat [java.text]

 Method [java.lang.reflect]

 MethodDescriptor [java.beans]

 MissingResourceException [java.util]

 Modifier [java.lang.reflect]

 MouseAdapter [java.awt.event]

 MouseEvent [java.awt.event]

 MouseMotionAdapter [java.awt.event]

 MulticastSocket [java.net]

 Naming [java.rmi]

 NegativeArraySizeException [java.lang]

 NoClassDefFoundError [java.lang]

 NoRouteToHostException [java.net]

 NoSuchAlgorithmException [java.security]

 NoSuchElementException [java.util]

 NoSuchFieldError [java.lang]

 NoSuchFieldException [java.lang]

 NoSuchMethodError [java.lang]

 NoSuchMethodException [java.lang]

 NoSuchObjectException [java.rmi]

 NoSuchProviderException [java.security]

 NotActiveException [java.io]

 NotBoundException [java.rmi]

 NotOwnerException [java.security.acl]

 NotSerializableException [java.io]

 NullPointerException [java.lang]

 Number [java.lang]

 NumberFormat [java.text]

 NumberFormatException [java.lang]

 Object [java.lang]

 ObjectInputStream [java.io]

 ObjectOutputStream [java.io]

 ObjectStreamClass [java.io]

 ObjectStreamException [java.io]

 ObjID [java.rmi.server]

 Observable [java.util]

 Operation [java.rmi.server]

 OptionalDataException [java.io]

 OutOfMemoryError [java.lang]

 OutputStream [java.io]

 OutputStreamWriter [java.io]

 PaintEvent [java.awt.event]

 Panel [java.awt]

 ParameterDescriptor [java.beans]

 ParseException [java.text]

 ParsePosition [java.text]

 PipedInputStream [java.io]

 PipedOutputStream [java.io]

 PipedReader [java.io]

 PipedWriter [java.io]

 PixelGrabber [java.awt.image]

 Point [java.awt]

 Polygon [java.awt]

 PopupMenu [java.awt]

 PrintJob [java.awt]

 PrintStream [java.io]

 PrintWriter [java.io]

 Process [java.lang]

 Properties [java.util]

 PropertyChangeEvent [java.beans]

 PropertyChangeSupport [java.beans]

 PropertyDescriptor [java.beans]

 PropertyEditorManager [java.beans]

 PropertyEditorSupport [java.beans]

 PropertyResourceBundle [java.util]

 PropertyVetoException [java.beans]

 ProtocolException [java.net]

 Provider [java.security]

 ProviderException [java.security]

 PushbackInputStream [java.io]

 PushbackReader [java.io]

 Random [java.util]

 RandomAccessFile [java.io]

 Reader [java.io]

 Rectangle [java.awt]

 RemoteException [java.rmi]

 RemoteObject [java.rmi.server]

 RemoteServer [java.rmi.server]

 RemoteStub [java.rmi.server]

 ReplicateScaleFilter [java.awt.image]

 ResourceBundle [java.util]

 RGBImageFilter [java.awt.image]

 RMIClassLoader [java.rmi.server]

 RMISecurityException [java.rmi]

 RMISecurityManager [java.rmi]

 RMISocketFactory [java.rmi.server]

 RuleBasedCollator [java.text]

 Runtime [java.lang]

 RuntimeException [java.lang]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 SecureRandom [java.security]

 Security [java.security]

 SecurityException [java.lang]

 SecurityManager [java.lang]

 SequenceInputStream [java.io]

 ServerCloneException [java.rmi.server]

 ServerError [java.rmi]

 ServerException [java.rmi]

 ServerNotActiveException [java.rmi.server]

 ServerRuntimeException [java.rmi]

 ServerSocket [java.net]

 Short [java.lang]

 Signature [java.security]

 SignatureException [java.security]

 Signer [java.security]

 SimpleBeanInfo [java.beans]

 SimpleDateFormat [java.text]

 SimpleTimeZone [java.util]

 SkeletonMismatchException [java.rmi.server]

 SkeletonNotFoundException [java.rmi.server]

 Socket [java.net]

 SocketException [java.net]

 SocketImpl [java.net]

 SocketSecurityException [java.rmi.server]

 SQLException [java.sql]

 SQLWarning [java.sql]

 Stack [java.util]

 StackOverflowError [java.lang]

 StreamCorruptedException [java.io]

 StreamTokenizer [java.io]

 String [java.lang]

 StringBuffer [java.lang]

 StringBufferInputStream [java.io]

 StringCharacterIterator [java.text]

 StringIndexOutOfBoundsException [java.lang]

 StringReader [java.io]

 StringSelection [java.awt.datatransfer]

 StringTokenizer [java.util]

 StringWriter [java.io]

 StubNotFoundException [java.rmi]

 SyncFailedException [java.io]

 System [java.lang]

 SystemColor [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextEvent [java.awt.event]

 TextField [java.awt]

 Thread [java.lang]

 ThreadDeath [java.lang]

 ThreadGroup [java.lang]

 Throwable [java.lang]

 Time [java.sql]

 Timestamp [java.sql]

 TimeZone [java.util]

 Toolkit [java.awt]

 TooManyListenersException [java.util]

 Types [java.sql]

 UID [java.rmi.server]

 UnexpectedException [java.rmi]

 UnicastRemoteObject [java.rmi.server]

 UnknownError [java.lang]

 UnknownHostException [java.net]

 UnknownHostException [java.rmi]

 UnknownServiceException [java.net]

 UnmarshalException [java.rmi]

 UnsatisfiedLinkError [java.lang]

 UnsupportedEncodingException [java.io]

 UnsupportedFlavorException [java.awt.datatransfer]

 URL [java.net]

 URLConnection [java.net]

 URLEncoder [java.net]

 URLStreamHandler [java.net]

 UTFDataFormatException [java.io]

 Vector [java.util]

 VerifyError [java.lang]

 VetoableChangeSupport [java.beans]

 VirtualMachineError [java.lang]

 VMID [java.rmi.dgc]

 Void [java.lang]

 Window [java.awt]

 WindowAdapter [java.awt.event]

 WindowEvent [java.awt.event]

 WriteAbortedException [java.io]

 Writer [java.io]

 ZipEntry [java.util.zip]

 ZipException [java.util.zip]

 ZipFile [java.util.zip]

 ZipInputStream [java.util.zip]

 ZipOutputStream [java.util.zip]


hashCode method [java.lang.reflect.Constructor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.lang.reflect.Constructor]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Returns a hashcode for this Constructor. The hashcode is the same as the hashcode for the underlying constructor's declaring class name.

Return

No documentation supplied in JDK.

Applies to

 Constructor [java.lang.reflect]


hashCode method [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.lang.reflect.Field]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Returns a hashcode for this Field.  This is computed as the exclusive-or of the hashcodes for the underlying field's declaring class name and its name.

Return

No documentation supplied in JDK.

Applies to

 Field [java.lang.reflect]


hashCode method [java.lang.reflect.Method] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.lang.reflect.Method]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Returns a hashcode for this Method.  The hashcode is computed as the exclusive-or of the hashcodes for the underlying method's declaring class name and the method's name.

Return

No documentation supplied in JDK.

Applies to

 Method [java.lang.reflect]


hashCode method [java.lang.Short] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.lang.Short]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Returns a hashcode for this Short.

Return

No documentation supplied in JDK.

Applies to

 Short [java.lang]


hashCode method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.lang.String]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Returns a hashcode for this string.

Return

A hash code value for this object.

Applies to

 String [java.lang]


hashCode method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.math.BigDecimal]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Computes a hash code for this object.  Note that two BigDecimals that are numerically equal but differ in scale (e.g., 2.0, 2.00) will not generally have the same hash code.

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


hashCode method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.math.BigInteger]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Computes a hash code for this object.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


hashCode method [java.net.InetAddress] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.net.InetAddress]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Returns a hashcode for this IP address.

Return

A hash code value for this IP address.

Applies to

 InetAddress [java.net]


hashCode method [java.net.URL] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.net.URL]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Creates an integer suitable for hash table indexing.

Return

A hash code for this URL.

Applies to

 URL [java.net]


hashCode method [java.rmi.dgc.VMID] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.rmi.dgc.VMID]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Compute hash code for this VMID.

Return

No documentation supplied in JDK.

Applies to

 VMID [java.rmi.dgc]


hashCode method [java.rmi.server.ObjID] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.rmi.server.ObjID]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

The hashcode is the object number.

Return

No documentation supplied in JDK.

Applies to

 ObjID [java.rmi.server]


hashCode method [java.rmi.server.RemoteObject] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.rmi.server.RemoteObject]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Returns a hashcode for a remote object.  Two remote object stubs that refer to the same remote object will have the same hash code (in order to support remote objects as keys in hash tables).

Return

No documentation supplied in JDK.

See also

Hashtable class [java.util]

Applies to

 RemoteObject [java.rmi.server]

 RemoteServer [java.rmi.server]

 RemoteStub [java.rmi.server]

 UnicastRemoteObject [java.rmi.server]


hashCode method [java.rmi.server.UID] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.rmi.server.UID]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Applies to

 UID [java.rmi.server]


hashCode method [java.security.Identity] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.security.Identity]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Returns a hashcode for this identity.

Return

A hashcode for this identity.

Applies to

 Identity [java.security]

 IdentityScope [java.security]

 Signer [java.security]


hashCode method [java.text.ChoiceFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.text.ChoiceFormat]

Overloads:

 int hashCode( ) overrides hashCode method [java.text.NumberFormat]

public int hashCode( )

Generates a hash code for the message format object.

Return

No documentation supplied in JDK.

Applies to

 ChoiceFormat [java.text]


hashCode method [java.text.CollationKey] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.text.CollationKey]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Creates a hash code for this CollationKey. The hash value is calculated on the key itself, not the String from which the key was created.  Thus if x and y are CollationKeys, then x.hashCode(x) == y.hashCode() if x.equals(y) is true.  This allows language-sensitive comparison in a hash table. See the CollatinKey class description for an example.

Return

The hash value based on the string's collation order.

Applies to

 CollationKey [java.text]


hashCode method [java.text.Collator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.text.Collator]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public abstract int hashCode( )

Generates the hash code for this Collator.

Return

No documentation supplied in JDK.

Applies to

 Collator [java.text]

 RuleBasedCollator [java.text]


hashCode method [java.text.DateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.text.DateFormat]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Overrides hashCode

Return

No documentation supplied in JDK.

Applies to

 DateFormat [java.text]

 SimpleDateFormat [java.text]


hashCode method [java.text.DateFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.text.DateFormatSymbols]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Override hashCode. Generates a hash code for the DateFormatSymbols object.

Return

No documentation supplied in JDK.

Applies to

 DateFormatSymbols [java.text]


hashCode method [java.text.DecimalFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.text.DecimalFormat]

Overloads:

 int hashCode( ) overrides hashCode method [java.text.NumberFormat]

public int hashCode( )

Overrides hashCode

Return

No documentation supplied in JDK.

Applies to

 DecimalFormat [java.text]


hashCode method [java.text.DecimalFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.text.DecimalFormatSymbols]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Override hashCode

Return

No documentation supplied in JDK.

Applies to

 DecimalFormatSymbols [java.text]


hashCode method [java.text.MessageFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.text.MessageFormat]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Generates a hash code for the message format object.

Return

No documentation supplied in JDK.

Applies to

 MessageFormat [java.text]


hashCode method [java.text.NumberFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.text.NumberFormat]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Overrides hashCode

Return

No documentation supplied in JDK.

Applies to

 ChoiceFormat [java.text]

 DecimalFormat [java.text]

 NumberFormat [java.text]


hashCode method [java.text.RuleBasedCollator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.text.RuleBasedCollator]

Overloads:

 int hashCode( ) overrides hashCode method [java.text.Collator]

public int hashCode( )

Generates the hash code for the table-based collation object

Return

No documentation supplied in JDK.

Applies to

 RuleBasedCollator [java.text]


hashCode method [java.text.SimpleDateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.text.SimpleDateFormat]

Overloads:

 int hashCode( ) overrides hashCode method [java.text.DateFormat]

public int hashCode( )

Override hashCode. Generates the hash code for the SimpleDateFormat object

Return

No documentation supplied in JDK.

Applies to

 SimpleDateFormat [java.text]


hashCode method [java.text.StringCharacterIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.text.StringCharacterIterator]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Compute a hashcode for this enumeration

Return

A hash code.

Applies to

 StringCharacterIterator [java.text]


hashCode method [java.util.BitSet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.util.BitSet]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Gets the hashcode.

Return

No documentation supplied in JDK.

Applies to

 BitSet [java.util]


hashCode method [java.util.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.util.Date]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public int hashCode( )

Returns a hash code value for this object.

Return

A hash code value for this object.

Applies to

 Date [java.sql]

 Date [java.util]

 Time [java.sql]

 Timestamp [java.sql]


hashCode method [java.util.GregorianCalendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.util.GregorianCalendar]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public synchronized int hashCode( )

Override hashCode. Generates the hash code for the GregorianCalendar object

Return

No documentation supplied in JDK.

Applies to

 GregorianCalendar [java.util]


hashCode method [java.util.Locale] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.util.Locale]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public synchronized int hashCode( )

Override hashCode. Since Locales are often used in hashtables, caches the value for speed.

Return

No documentation supplied in JDK.

Applies to

 Locale [java.util]


hashCode method [java.util.SimpleTimeZone] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hashCode method [java.util.SimpleTimeZone]

Overloads:

 int hashCode( ) overrides hashCode method [java.lang.Object]

public synchronized int hashCode( )

Override hashCode. Generates the hash code for the SimpleDateFormat object

Return

No documentation supplied in JDK.

Applies to

 SimpleTimeZone [java.util]


Hashtable class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      Hashtable class [java.util]

Object

Dictionary

Hashtable

Description

This class implements a hashtable, which maps keys to values. Any non-null object can be used as a key or as a value.

To successfully store and retrieve objects from a hashtable, the objects used as keys must implement the hashCode method and the equals method.

An instance of Hashtable has two parameters that affect its efficiency: its capacity and its load factor . The load factor should be between 0.0 and 1.0. When the number of entries in the hashtable exceeds the product of the load factor and the current capacity, the capacity is increased by calling the rehash method. Larger load factors use memory more efficiently, at the expense of larger expected time per lookup.

If many entries are to be made into a Hashtable, creating it with a sufficiently large capacity may allow the entries to be inserted more efficiently than letting it perform automatic rehashing as needed to grow the table.

This example creates a hashtable of numbers. It uses the names of the numbers as keys:

   Hashtable numbers = new Hashtable();

   numbers.put("one", new Integer(1));

   numbers.put("two", new Integer(2));

   numbers.put("three", new Integer(3));

To retrieve a number, use the following code:

   Integer n = (Integer)numbers.get("two");

   if (n != null) {

       System.out.println("two = " + n);

   }

Specification

public class Hashtable extends java.util.Dictionary implements java.lang.Cloneable, java.io.Serializable

Constructors

public Hashtable( )

Constructs a new, empty hashtable with a default capacity and load factor.

public Hashtable( int initialCapacity )

Constructs a new, empty hashtable with the specified initial capacity and default load factor.

Parameter

initialCapacity

the initial capacity of the hashtable.

public Hashtable( int initialCapacity, float loadFactor )

Constructs a new, empty hashtable with the specified initial capacity and the specified load factor.

Parameters

initialCapacity

the initial capacity of the hashtable.

loadFactor

a number between 0.0 and 1.0.

Throws

IllegalArgumentException

If the initial capacity is less than or equal to zero, or if the load factor is less than or equal to zero.

Properties

  boolean isEmpty( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  synchronized void clear( )

  synchronized java.lang.Object clone( )

  synchronized boolean contains( java.lang.Object value )

  synchronized boolean containsKey( java.lang.Object key )

  synchronized java.util.Enumeration elements( )

  synchronized java.lang.Object get( java.lang.Object key )

  synchronized java.util.Enumeration keys( )

  synchronized java.lang.Object put( java.lang.Object key, java.lang.Object value )

  synchronized java.lang.Object remove( java.lang.Object key )

  int size( )

  synchronized java.lang.String toString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void rehash( )

 protected void finalize( ) throws java.lang.Throwable

See also

equals method [java.lang.Object]

hashCode method [java.lang.Object]

rehash method [java.util.Hashtable]


hasMoreElements method [java.util.StringTokenizer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hasMoreElements method [java.util.StringTokenizer]

public boolean hasMoreElements( )

Returns the same value as the hasMoreTokens method. It exists so that this class can implement the Enumeration interface.

Return

true if there are more tokens; false otherwise.

See also

Enumeration interface [java.util]

hasMoreTokens method [java.util.StringTokenizer]

Applies to

 StringTokenizer [java.util]


hasMoreTokens method [java.util.StringTokenizer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hasMoreTokens method [java.util.StringTokenizer]

public boolean hasMoreTokens( )

Tests if there are more tokens available from this tokenizer's string.

Return

true if there are more tokens available from this tokenizer's string; false otherwise.

Applies to

 StringTokenizer [java.util]


headerField property [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      headerField property [java.net.URLConnection]

public java.lang.String getHeaderField( int n )

Returns the value for the nth header field. It returns null if there are fewer than n fields.

This method can be used in conjunction with the getHeaderFieldKey method to iterate through all the headers in the message.

Parameter

n

an index.

Return

The value of the nth header field.

See also

headerFieldKey property [java.net.URLConnection]

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


headerFieldKey property [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      headerFieldKey property [java.net.URLConnection]

public java.lang.String getHeaderFieldKey( int n )

Returns the key for the nth header field.

Parameter

n

an index.

Return

The key for the nth header field, or null if there are fewer than n fields.

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


height property [java.awt.FontMetrics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      height property [java.awt.FontMetrics]

public int getHeight( )

Gets the standard height of a line of text in this font.  This is the distance between the baseline of adjacent lines of text. It is the sum of the leading + ascent + descent.  There is no guarantee that lines of text spaced at this distance will be disjoint; such lines may overlap if some characters overshoot either the standard ascent or the standard descent metric.

Return

The standard height of the font.

See also

leading property [java.awt.FontMetrics]

ascent property [java.awt.FontMetrics]

descent property [java.awt.FontMetrics]

Applies to

 FontMetrics [java.awt]


height property [java.awt.image.PixelGrabber] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      height property [java.awt.image.PixelGrabber]

public synchronized int getHeight( )

Get the height of the pixel buffer (after adjusting for image height). If no width was specified for the rectangle of pixels to grab then then this information will only be available after the image has delivered the dimensions.

Return

The final height used for the pixel buffer or -1 if the height is not yet known.

See also

status property [java.awt.image.PixelGrabber]

Applies to

 PixelGrabber [java.awt.image]


helpMenu property [java.awt.MenuBar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      helpMenu property [java.awt.MenuBar]

public java.awt.Menu getHelpMenu( )

Gets the help menu on the menu bar.

Return

The help menu on this menu bar.

public void setHelpMenu( java.awt.Menu m )

Sets the help menu on this menu bar to be the specified menu.

Parameter

m

the menu to be set as the help menu.

Applies to

 MenuBar [java.awt]


hgap property [java.awt.BorderLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hgap property [java.awt.BorderLayout]

public int getHgap( )

Returns the horizontal gap between components.

Return

No documentation supplied in JDK.

public void setHgap( int hgap )

Sets the horizontal gap between components.

Parameter

hgap

the horizontal gap between components

Applies to

 BorderLayout [java.awt]


hgap property [java.awt.CardLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hgap property [java.awt.CardLayout]

public int getHgap( )

Gets the horizontal gap between components.

Return

The horizontal gap between components.

See also

vgap property [java.awt.CardLayout]

public void setHgap( int hgap )

Sets the horizontal gap between components.

Parameter

hgap

the horizontal gap between components.

See also

vgap property [java.awt.CardLayout]

Applies to

 CardLayout [java.awt]


hgap property [java.awt.FlowLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hgap property [java.awt.FlowLayout]

public int getHgap( )

Gets the horizontal gap between components.

Return

The horizontal gap between components.

public void setHgap( int hgap )

Sets the horizontal gap between components.

Parameter

hgap

the horizontal gap between components

Applies to

 FlowLayout [java.awt]


hgap property [java.awt.GridLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hgap property [java.awt.GridLayout]

public int getHgap( )

Gets the horizontal gap between components.

Return

The horizontal gap between components.

public void setHgap( int hgap )

Sets the horizontal gap between components to the specified value.

Parameter

hgap

the horizontal gap between components.

Applies to

 GridLayout [java.awt]


hidden property [java.beans.FeatureDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hidden property [java.beans.FeatureDescriptor]

public void setHidden( boolean hidden )

The "hidden" flag is used to identify features that are intended only for tool use, and which should not be exposed to humans.

Parameter

hidden

True if this feature should be hidden from human users.

public boolean isHidden( )

The "hidden" flag is used to identify features that are intended only for tool use, and which should not be exposed to humans.

Return

True if this feature should be hidden from human users.

Applies to

 BeanDescriptor [java.beans]

 EventSetDescriptor [java.beans]

 FeatureDescriptor [java.beans]

 IndexedPropertyDescriptor [java.beans]

 MethodDescriptor [java.beans]

 ParameterDescriptor [java.beans]

 PropertyDescriptor [java.beans]


hide method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hide method [java.awt.Component]

public void hide( )

Note: hide has been deprecated. As of JDK version 1.1, replaced by setVisible(boolean).

No documentation supplied in JDK

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


hints property [java.awt.image.AreaAveragingScaleFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hints property [java.awt.image.AreaAveragingScaleFilter]

Overloads:

  void setHints( int hints ) overrides hints property [java.awt.image.ImageFilter]

public void setHints( int hints )

Detect if the data is being delivered with the necessary hints to allow the averaging algorithm to do its work.

See also

ImageConsumer interface [java.awt.image]

Applies to

 AreaAveragingScaleFilter [java.awt.image]


hints property [java.awt.image.ImageFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hints property [java.awt.image.ImageFilter]

public void setHints( int hints )

Filters the information provided in the setHints method of the ImageConsumer interface.

See also

ImageConsumer interface [java.awt.image]

Applies to

 AreaAveragingScaleFilter [java.awt.image]

 CropImageFilter [java.awt.image]

 ImageFilter [java.awt.image]

 ReplicateScaleFilter [java.awt.image]

 RGBImageFilter [java.awt.image]


hints property [java.awt.image.PixelGrabber] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hints property [java.awt.image.PixelGrabber]

public void setHints( int hints )

The setHints method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

Applies to

 PixelGrabber [java.awt.image]


host property [java.net.URL] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      host property [java.net.URL]

public java.lang.String getHost( )

Returns the host name of this URL, if applicable. For "file" protocol, this is an empty string.

Return

The host name of this URL.

Applies to

 URL [java.net]


hostAddress property [java.net.InetAddress] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hostAddress property [java.net.InetAddress]

public java.lang.String getHostAddress( )

Returns the IP address string "%d.%d.%d.%d"

Return

Raw IP address in a string format.

Applies to

 InetAddress [java.net]


hostName property [java.net.InetAddress] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hostName property [java.net.InetAddress]

public java.lang.String getHostName( )

Returns the fully qualified host name for this address. If the host is equal to null, then this address refers to any of the local machine's available network addresses.

Return

The fully qualified host name for this address.

Applies to

 InetAddress [java.net]


hours property [java.sql.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hours property [java.sql.Date]

Overloads:

  int getHours( ) overrides hours property [java.util.Date]

  void setHours( int i ) overrides hours property [java.util.Date]

public int getHours( )

public void setHours( int i )

Applies to

 Date [java.sql]


hours property [java.util.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      hours property [java.util.Date]

public int getHours( )

Note: getHours has been deprecated. As of JDK version 1.1, replaced by Calendar.get(Calendar.HOUR_OF_DAY).

Returns the hour represented by this date. The value returned is between 0 and 23, where 0 represents midnight.

Return

The hour represented by this date.

See also

Calendar class [java.util]

public void setHours( int hours )

Note: setHours has been deprecated. As of JDK version 1.1, replaced by Calendar.set(Calendar.HOUR_OF_DAY, int hours).

Note: setHours has been deprecated. As of JDK version 1.1, replaced by Calendar.set(Calendar.HOUR_OF_DAY, int hours).

Sets the hour of this date to the specified value.

Parameter

hours

the hour value.

See also

Calendar class [java.util]

Applies to

 Date [java.sql]

 Date [java.util]

 Time [java.sql]

 Timestamp [java.sql]


HSBtoRGB method [java.awt.Color] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      HSBtoRGB method [java.awt.Color]

public static int HSBtoRGB( float hue, float saturation, float brightness )

Converts the components of a color, as specified by the HSB model, to an equivalent set of values for the RGB model.

The integer that is returned by HSBtoRGB encodes the value of a color in bits 0-23 of an integer value, the same format used by the method getRGB. This integer can be supplied as an argument to the Color constructor that takes a single integer argument.

Parameters

hue

the hue component of the color.

saturation

the saturation of the color.

brightness

the brightness of the color.

Return

The RGB value of the color with the indicated hue, saturation, and brightness.

See also

RGB property [java.awt.Color]

Applies to

 Color [java.awt]

 SystemColor [java.awt]


HScrollbarHeight property [java.awt.ScrollPane] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      HScrollbarHeight property [java.awt.ScrollPane]

public int getHScrollbarHeight( )

Returns the height that would be occupied by a horizontal scrollbar, which is independent of whether it is currently displayed by the scroll pane or not.

Return

The height of a horizontal scrollbar in pixels.

Applies to

 ScrollPane [java.awt]


HttpURLConnection class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      HttpURLConnection class [java.net]

Object

URLConnection

HttpURLConnection

Description

A URLConnection with support for HTTP-specific features. See   the spec   for details.

Specification

public abstract class HttpURLConnection extends java.net.URLConnection

Constructor

protected HttpURLConnection( java.net.URL u )

Constructor for the URLStreamHandler.

Variables

protected java.lang.String method

.

protected int responseCode

.

protected java.lang.String responseMessage

.

public static final int HTTP_OK

2XX: generally "OK".

public static final int HTTP_CREATED

public static final int HTTP_ACCEPTED

public static final int HTTP_NOT_AUTHORITATIVE

public static final int HTTP_NO_CONTENT

public static final int HTTP_RESET

public static final int HTTP_PARTIAL

public static final int HTTP_MULT_CHOICE

3XX: relocation/redirect.

public static final int HTTP_MOVED_PERM

public static final int HTTP_MOVED_TEMP

public static final int HTTP_SEE_OTHER

public static final int HTTP_NOT_MODIFIED

public static final int HTTP_USE_PROXY

public static final int HTTP_BAD_REQUEST

4XX: client error.

public static final int HTTP_UNAUTHORIZED

public static final int HTTP_PAYMENT_REQUIRED

public static final int HTTP_FORBIDDEN

public static final int HTTP_NOT_FOUND

public static final int HTTP_BAD_METHOD

public static final int HTTP_NOT_ACCEPTABLE

public static final int HTTP_PROXY_AUTH

public static final int HTTP_CLIENT_TIMEOUT

public static final int HTTP_CONFLICT

public static final int HTTP_GONE

public static final int HTTP_LENGTH_REQUIRED

public static final int HTTP_PRECON_FAILED

public static final int HTTP_ENTITY_TOO_LARGE

public static final int HTTP_REQ_TOO_LONG

public static final int HTTP_UNSUPPORTED_TYPE

public static final int HTTP_SERVER_ERROR

5XX: server error.

public static final int HTTP_INTERNAL_ERROR

public static final int HTTP_BAD_GATEWAY

public static final int HTTP_UNAVAILABLE

public static final int HTTP_GATEWAY_TIMEOUT

public static final int HTTP_VERSION

Properties

  static boolean getFollowRedirects( )

  static void setFollowRedirects( boolean set )

  java.lang.String getRequestMethod( )

  void setRequestMethod( java.lang.String method ) throws java.net.ProtocolException

  int getResponseCode( ) throws java.io.IOException

  java.lang.String getResponseMessage( ) throws java.io.IOException

Inherited Properties

  boolean getAllowUserInteraction( )

  void setAllowUserInteraction( boolean allowuserinteraction )

  native final java.lang.Class getClass( )

  java.lang.Object getContent( ) throws java.io.IOException

  java.lang.String getContentEncoding( )

  static synchronized void setContentHandlerFactory( java.net.ContentHandlerFactory fac )

  int getContentLength( )

  java.lang.String getContentType( )

  long getDate( )

  static boolean getDefaultAllowUserInteraction( )

  static void setDefaultAllowUserInteraction( boolean defaultallowuserinteraction )

  boolean getDefaultUseCaches( )

  void setDefaultUseCaches( boolean defaultusecaches )

  boolean getDoInput( )

  void setDoInput( boolean doinput )

  boolean getDoOutput( )

  void setDoOutput( boolean dooutput )

  long getExpiration( )

  static java.net.FileNameMap getFileNameMap( )

  static void setFileNameMap( java.net.FileNameMap map )

  java.lang.String getHeaderField( int n )

  java.lang.String getHeaderFieldKey( int n )

  long getIfModifiedSince( )

  void setIfModifiedSince( long ifmodifiedsince )

  java.io.InputStream getInputStream( ) throws java.io.IOException

  long getLastModified( )

  java.io.OutputStream getOutputStream( ) throws java.io.IOException

  java.net.URL getURL( )

  boolean getUseCaches( )

  void setUseCaches( boolean usecaches )

Methods

  abstract void disconnect( )

  abstract boolean usingProxy( )

Inherited Methods

  abstract void connect( ) throws java.io.IOException

  boolean equals( java.lang.Object obj )

  static java.lang.String getDefaultRequestProperty( java.lang.String key )

  java.lang.String getHeaderField( java.lang.String name )

  long getHeaderFieldDate( java.lang.String name, long Default )

  int getHeaderFieldInt( java.lang.String name, int Default )

  java.lang.String getRequestProperty( java.lang.String key )

  static java.lang.String guessContentTypeFromStream( java.io.InputStream is ) throws java.io.IOException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  static void setDefaultRequestProperty( java.lang.String key, java.lang.String value )

  void setRequestProperty( java.lang.String key, java.lang.String value )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected static java.lang.String guessContentTypeFromName( java.lang.String fname )


humanPresentableName property [java.awt.datatransfer.DataFlavor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     H
      humanPresentableName property [java.awt.datatransfer.DataFlavor]

public java.lang.String getHumanPresentableName( )

Returns the human presentable name for the data foramt that this DataFlavor represents.  This name would be localized for different countries

Return

No documentation supplied in JDK.

public void setHumanPresentableName( java.lang.String humanPresentableName )

Sets the human presentable name for the data format that this DataFlavor represents. This name would be localized for different countries

Applies to

 DataFlavor [java.awt.datatransfer]


I  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    I

 icon property [java.beans.SimpleBeanInfo]

 iconImage property [java.awt.Frame]

 ID property [java.awt.AWTEvent]

 ID property [java.util.TimeZone]

 identities method [java.security.IdentityScope]

 Identity class [java.security]

 identityEquals method [java.security.Identity]

 identityHashCode method [java.lang.System]

 IdentityScope class [java.security]

 IEEEremainder method [java.lang.Math]

 ifModifiedSince property [java.net.URLConnection]

 IllegalAccessError class [java.lang]

 IllegalAccessException class [java.lang]

 IllegalArgumentException class [java.lang]

 IllegalComponentStateException class [java.awt]

 IllegalMonitorStateException class [java.lang]

 IllegalStateException class [java.lang]

 IllegalThreadStateException class [java.lang]

 Image class [java.awt]

 imageComplete method [java.awt.image.ImageFilter]

 imageComplete method [java.awt.image.PixelGrabber]

 ImageConsumer interface [java.awt.image]

 ImageFilter class [java.awt.image]

 ImageObserver interface [java.awt.image]

 ImageProducer interface [java.awt.image]

 imageUpdate method [java.awt.Component]

 implAccept method [java.net.ServerSocket]

 in property [java.lang.System]

 inCheck property [java.lang.SecurityManager]

 inClass method [java.lang.SecurityManager]

 inClassLoader method [java.lang.SecurityManager]

 IncompatibleClassChangeError class [java.lang]

 inDaylightTime method [java.util.SimpleTimeZone]

 inDaylightTime method [java.util.TimeZone]

 inDefaultEventSet property [java.beans.EventSetDescriptor]

 index property [java.sql.DataTruncation]

 index property [java.text.ParsePosition]

 index property [java.text.StringCharacterIterator]

 IndexColorModel class [java.awt.image]

 IndexedPropertyDescriptor class [java.beans]

 indexedPropertyType property [java.beans.IndexedPropertyDescriptor]

 indexedReadMethod property [java.beans.IndexedPropertyDescriptor]

 indexedWriteMethod property [java.beans.IndexedPropertyDescriptor]

 indexOf method [java.lang.String]

 indexOf method [java.util.Vector]

 IndexOutOfBoundsException class [java.lang]

 InetAddress class [java.net]

 inetAddress property [java.net.ServerSocket]

 inetAddress property [java.net.Socket]

 inetAddress property [java.net.SocketImpl]

 infinite property [java.lang.Double]

 infinite property [java.lang.Float]

 infinity property [java.text.DecimalFormatSymbols]

 inflate method [java.util.zip.Inflater]

 Inflater class [java.util.zip]

 InflaterInputStream class [java.util.zip]

 info property [java.security.Identity]

 info property [java.security.Provider]

 init method [java.applet.Applet]

 initialize method [java.security.KeyPairGenerator]

 initSign method [java.security.Signature]

 initVerify method [java.security.Signature]

 input property [java.util.zip.Deflater]

 input property [java.util.zip.Inflater]

 InputEvent class [java.awt.event]

 InputStream class [java.io]

 inputStream property [java.lang.Process]

 inputStream property [java.net.Socket]

 inputStream property [java.net.SocketImpl]

 inputStream property [java.net.URLConnection]

 InputStreamReader class [java.io]

 insert method [java.awt.Choice]

 insert method [java.awt.Menu]

 insert method [java.awt.TextArea]

 insert method [java.lang.StringBuffer]

 insertElementAt method [java.util.Vector]

 insertProviderAt method [java.security.Security]

 insertSeparator method [java.awt.Menu]

 insertText method [java.awt.TextArea]

 Insets class [java.awt]

 insets method [java.awt.Container]

 insets property [java.awt.Container]

 inside method [java.awt.Component]

 inside method [java.awt.Polygon]

 inside method [java.awt.Rectangle]

 instance property [java.text.Collator]

 instance property [java.text.DateFormat]

 instance property [java.text.NumberFormat]

 instance property [java.util.Calendar]

 instantiate method [java.beans.Beans]

 InstantiationError class [java.lang]

 InstantiationException class [java.lang]

 intBitsToFloat method [java.lang.Float]

 Integer class [java.lang]

 interface property [java.lang.Class]

 interface property [java.net.MulticastSocket]

 interfaces property [java.lang.Class]

 intern method [java.lang.String]

 InternalError class [java.lang]

 internalGet method [java.util.Calendar]

 interrupt method [java.lang.Thread]

 interrupted method [java.lang.Thread]

 interrupted property [java.lang.Thread]

 InterruptedException class [java.lang]

 InterruptedIOException class [java.io]

 intersection method [java.awt.Rectangle]

 intersects method [java.awt.Rectangle]

 IntrospectionException class [java.beans]

 Introspector class [java.beans]

 intValue method [java.lang.Byte]

 intValue method [java.lang.Double]

 intValue method [java.lang.Float]

 intValue method [java.lang.Integer]

 intValue method [java.lang.Long]

 intValue method [java.lang.Number]

 intValue method [java.lang.Short]

 intValue method [java.math.BigDecimal]

 intValue method [java.math.BigInteger]

 invalidate method [java.awt.Component]

 invalidate method [java.awt.Container]

 invalidateLayout method [java.awt.BorderLayout]

 invalidateLayout method [java.awt.CardLayout]

 invalidateLayout method [java.awt.GridBagLayout]

 InvalidClassException class [java.io]

 InvalidKeyException class [java.security]

 InvalidObjectException class [java.io]

 InvalidParameterException class [java.security]

 InvocationTargetException class [java.lang.reflect]

 invoke method [java.lang.reflect.Method]

 IOException class [java.io]

 isAbstract method [java.lang.reflect.Modifier]

 isAncestorOf method [java.awt.Container]

 isAssignableFrom method [java.lang.Class]

 isConsumer method [java.awt.image.FilteredImageSource]

 isConsumer method [java.awt.image.MemoryImageSource]

 isDataFlavorSupported method [java.awt.datatransfer.StringSelection]

 isDefined method [java.lang.Character]

 isDigit method [java.lang.Character]

 isEqual method [java.security.MessageDigest]

 isErrorID method [java.awt.MediaTracker]

 isFinal method [java.lang.reflect.Modifier]

 isIdentifierIgnorable method [java.lang.Character]

 isIndexSelected method [java.awt.List]

 isInfinite method [java.lang.Double]

 isInfinite method [java.lang.Float]

 isInstance method [java.lang.Class]

 isInstanceOf method [java.beans.Beans]

 isInterface method [java.lang.reflect.Modifier]

 isISOControl method [java.lang.Character]

 isJavaIdentifierPart method [java.lang.Character]

 isJavaIdentifierStart method [java.lang.Character]

 isJavaLetter method [java.lang.Character]

 isJavaLetterOrDigit method [java.lang.Character]

 isLeapYear method [java.util.GregorianCalendar]

 isLetter method [java.lang.Character]

 isLetterOrDigit method [java.lang.Character]

 isLowerCase method [java.lang.Character]

 isMimeTypeEqual method [java.awt.datatransfer.DataFlavor]

 isNaN method [java.lang.Double]

 isNaN method [java.lang.Float]

 isNative method [java.lang.reflect.Modifier]

 ISO3Country property [java.util.Locale]

 ISO3Language property [java.util.Locale]

 isPrivate method [java.lang.reflect.Modifier]

 isProbablePrime method [java.math.BigInteger]

 isProtected method [java.lang.reflect.Modifier]

 isPublic method [java.lang.reflect.Modifier]

 isSelected method [java.awt.List]

 isSet method [java.util.Calendar]

 isSpace method [java.lang.Character]

 isSpaceChar method [java.lang.Character]

 isStatic method [java.lang.reflect.Modifier]

 isSynchronized method [java.lang.reflect.Modifier]

 isTitleCase method [java.lang.Character]

 isTransient method [java.lang.reflect.Modifier]

 isUnicodeIdentifierPart method [java.lang.Character]

 isUnicodeIdentifierStart method [java.lang.Character]

 isUpperCase method [java.lang.Character]

 isVolatile method [java.lang.reflect.Modifier]

 isWhitespace method [java.lang.Character]

 italic property [java.awt.Font]

 item property [java.awt.Choice]

 item property [java.awt.event.ItemEvent]

 item property [java.awt.List]

 item property [java.awt.Menu]

 itemCount property [java.awt.Choice]

 itemCount property [java.awt.List]

 itemCount property [java.awt.Menu]

 ItemEvent class [java.awt.event]

 ItemEvent event [java.awt.Checkbox]

 ItemEvent event [java.awt.CheckboxMenuItem]

 ItemEvent event [java.awt.Choice]

 ItemEvent event [java.awt.List]

 ItemListener interface [java.awt.event]

 items property [java.awt.List]

 ItemSelectable interface [java.awt]

 itemSelectable property [java.awt.event.ItemEvent]

 itemStateChanged method [java.awt.AWTEventMulticaster]


icon property [java.beans.SimpleBeanInfo] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      icon property [java.beans.SimpleBeanInfo]

public java.awt.Image getIcon( int iconKind )

Claim there are no icons available.  You can override this if you want to provide icons for your bean.

Return

No documentation supplied in JDK.

Applies to

 SimpleBeanInfo [java.beans]


iconImage property [java.awt.Frame] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      iconImage property [java.awt.Frame]

public java.awt.Image getIconImage( )

Gets the icon image for this frame.

Return

The icon image for this frame, or null if this frame doesn't have an icon image.

public synchronized void setIconImage( java.awt.Image image )

Sets the image to display when this frame is iconized. Not all platforms support the concept of iconizing a window.

Parameter

image

the icon image to be displayed

Applies to

 Frame [java.awt]


ID property [java.awt.AWTEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      ID property [java.awt.AWTEvent]

public int getID( )

Returns the event type.

Return

No documentation supplied in JDK.

Applies to

 ActionEvent [java.awt.event]

 AdjustmentEvent [java.awt.event]

 AWTEvent [java.awt]

 ComponentEvent [java.awt.event]

 ContainerEvent [java.awt.event]

 FocusEvent [java.awt.event]

 InputEvent [java.awt.event]

 ItemEvent [java.awt.event]

 KeyEvent [java.awt.event]

 MouseEvent [java.awt.event]

 PaintEvent [java.awt.event]

 TextEvent [java.awt.event]

 WindowEvent [java.awt.event]


ID property [java.util.TimeZone] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      ID property [java.util.TimeZone]

public java.lang.String getID( )

Gets the ID of this time zone.

Return

The ID of this time zone.

public void setID( java.lang.String ID )

Sets the time zone ID. This does not change any other data in the time zone object.

Parameter

ID

the new time zone ID.

Applies to

 SimpleTimeZone [java.util]

 TimeZone [java.util]


identities method [java.security.IdentityScope] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      identities method [java.security.IdentityScope]

public abstract java.util.Enumeration identities( )

Returns an enumeration of all identities in this identity scope.

Return

An enumeration of all identities in this identity scope.

Applies to

 IdentityScope [java.security]


Identity class [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      Identity class [java.security]

Object

Identity

Description

This class represents identities: real-world objects such as people, companies or organizations whose identities can be authenticated using their public keys. Identities may also be more abstract (or concrete) constructs, such as daemon threads or smart cards.

All Identity objects have a name and a public key. Names are immutable. Identities may also be scoped. That is, if an Identity is specified to have a particular scope, then the name and public key of the Identity are unique within that scope.

An Identity also has a set of certificates (all certifying its own public key). The Principal names specified in these certificates need not be the same, only the key.

An Identity can be subclassed, to include postal and email addresses, telephone numbers, images of faces and logos, and so on.

Specification

public abstract class Identity extends java.lang.Object implements java.security.Principal, java.io.Serializable

Constructors

protected Identity( )

Constructor for serialization only.

public Identity( java.lang.String name )

Constructs an identity with the specified name and no scope.

Parameter

name

the identity name.

public Identity( java.lang.String name, java.security.IdentityScope scope ) throws java.security.KeyManagementException

Constructs an identity with the specified name and scope.

Parameters

name

the identity name.

scope

the scope of the identity.

Throws

KeyManagementException

If there is already an identity with the same name in the scope.

Properties

  java.lang.String getInfo( )

  void setInfo( java.lang.String info )

  final java.lang.String getName( )

  java.security.PublicKey getPublicKey( )

  void setPublicKey( java.security.PublicKey key ) throws java.security.KeyManagementException

  final java.security.IdentityScope getScope( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void addCertificate( java.security.Certificate certificate ) throws java.security.KeyManagementException

  java.security.Certificate[] certificates( )

  final boolean equals( java.lang.Object identity )

  int hashCode( )

  void removeCertificate( java.security.Certificate certificate ) throws java.security.KeyManagementException

  java.lang.String toString( boolean detailed )

  java.lang.String toString( )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected boolean identityEquals( java.security.Identity identity )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

IdentityScope class [java.security]

Signer class [java.security]

Principal interface [java.security]


identityEquals method [java.security.Identity] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      identityEquals method [java.security.Identity]

protected boolean identityEquals( java.security.Identity identity )

Tests for equality between the specified identity and this identity. This method should be overriden by subclasses to test for equality. The default behavior is to return true if the names and public keys are equal.

Parameter

identity

the identity to test for equality with this identity.

Return

True if the identities are considered equal, false otherwise.

See also

equals method [java.lang.Object]

Applies to

 Identity [java.security]

 IdentityScope [java.security]

 Signer [java.security]


identityHashCode method [java.lang.System] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      identityHashCode method [java.lang.System]

public static native int identityHashCode( java.lang.Object x )

Returns the same hashcode for the given object as would be returned by the default method hashCode(), whether or not the given object's class overrides hashCode(). The hashcode for the null reference is zero.

Return

No documentation supplied in JDK.

Applies to

 System [java.lang]


IdentityScope class [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      IdentityScope class [java.security]

Object

Identity

IdentityScope

Description

This class represents a scope for identities. It is an Identity itself, and therefore has a name and can have a scope. It can also optionally have a public key and associated certificates.

An IdentityScope can contain Identity objects of all kinds, including Signers. All types of Identity objects can be retrieved, added, and removed using the same methods. Note that it is possible, and in fact expected, that different types of identity scopes will apply different policies for their various operations on the various types of Identities.

There is a one-to-one mapping between keys and identities, and there can only be one copy of one key per scope. For example, suppose Acme Software, Inc is a software publisher known to a user. Suppose it is an Identity, that is, it has a public key, and a set of associated certificates. It is named in the scope using the name "Acme Software". No other named Identity in the scope has the same public  key. Of course, none has the same name as well.

Specification

public abstract class IdentityScope extends java.security.Identity

Constructors

protected IdentityScope( )

This constructor is used for serialization only and should not be used by subclasses.

public IdentityScope( java.lang.String name )

Constructs a new identity scope with the specified name.

Parameter

name

the scope name.

public IdentityScope( java.lang.String name, java.security.IdentityScope scope ) throws java.security.KeyManagementException

Constructs a new identity scope with the specified name and scope.

Parameters

name

the scope name.

scope

the scope for the new identity scope.

Throws

KeyManagementException

If there is already an identity with the same name in the scope.

Properties

  static java.security.IdentityScope getSystemScope( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getInfo( )

  void setInfo( java.lang.String info )

  final java.lang.String getName( )

  java.security.PublicKey getPublicKey( )

  void setPublicKey( java.security.PublicKey key ) throws java.security.KeyManagementException

  final java.security.IdentityScope getScope( )

Protected Properties

 protected static void setSystemScope( java.security.IdentityScope scope )

Methods

  abstract void addIdentity( java.security.Identity identity ) throws java.security.KeyManagementException

  java.security.Identity getIdentity( java.security.Principal principal )

  abstract java.security.Identity getIdentity( java.security.PublicKey key )

  abstract java.security.Identity getIdentity( java.lang.String name )

  abstract java.util.Enumeration identities( )

  abstract void removeIdentity( java.security.Identity identity ) throws java.security.KeyManagementException

  abstract int size( )

  java.lang.String toString( )

Inherited Methods

  void addCertificate( java.security.Certificate certificate ) throws java.security.KeyManagementException

  java.security.Certificate[] certificates( )

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void removeCertificate( java.security.Certificate certificate ) throws java.security.KeyManagementException

  java.lang.String toString( boolean detailed )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected boolean identityEquals( java.security.Identity identity )

See also

Identity class [java.security]

Signer class [java.security]

Principal interface [java.security]

Key interface [java.security]


IEEEremainder method [java.lang.Math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      IEEEremainder method [java.lang.Math]

public static native double IEEEremainder( double f1, double f2 )

Computes the remainder operation on two arguments as prescribed by the IEEE 754 standard. The remainder value is mathematically equal to f1 - f2 × n , where n is the mathematical integer closest to the exact mathematical value of the quotient f1/f2, and if two mathematical integers are equally close to f1/f2, then n is the integer that is even. If the remainder is zero, its sign is the same as the sign of the first argument.

Parameters

f1

the dividend.

f2

the divisor.

Return

The remainder when f1 is divided by f2.

Applies to

 Math [java.lang]


ifModifiedSince property [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      ifModifiedSince property [java.net.URLConnection]

public long getIfModifiedSince( )

Returns the value of this object's ifModifiedSince field.

Return

The value of this object's ifModifiedSince field.

public void setIfModifiedSince( long ifmodifiedsince )

Sets the value of the ifModifiedSince field of this URLConnection to the specified value.

Parameter

value

the new value.

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


IllegalAccessError class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      IllegalAccessError class [java.lang]

Object

Throwable

Error

LinkageError

IncompatibleClassChangeError

IllegalAccessError

Description

Thrown if an application attempts to access or modify a field, or to call a method that it does not have access to.

Normally, this error is caught by the compiler; this error can only occur at run time if the definition of a class has incompatibly changed.

Specification

public class IllegalAccessError extends java.lang.IncompatibleClassChangeError

Constructors

public IllegalAccessError( )

Constructs an IllegalAccessError with no detail message.

public IllegalAccessError( java.lang.String s )

Constructs an IllegalAccessError with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


IllegalAccessException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      IllegalAccessException class [java.lang]

Object

Throwable

Exception

IllegalAccessException

Description

Thrown when an application tries to load in a class through its string name using:

•	The forName method in class Class.

•	The findSystemClass method in class ClassLoader.

•	The loadClass method in class ClassLoader.

but the currently executing method does not have access to the definition of the specified class, because the class is not public and in another package.

An instance of this class can also be thrown when an application tries to create an instance of a class using the newInstance method in class Class, but the current method does not have access to the appropriate zero-argument constructor.

Specification

public class IllegalAccessException extends java.lang.Exception

Constructors

public IllegalAccessException( )

Constructs an IllegalAccessException without a detail message.

public IllegalAccessException( java.lang.String s )

Constructs an IllegalAccessException with a detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

forName method [java.lang.Class]

newInstance method [java.lang.Class]

findSystemClass method [java.lang.ClassLoader]

loadClass method [java.lang.ClassLoader]


IllegalArgumentException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      IllegalArgumentException class [java.lang]

Object

Throwable

Exception

RuntimeException

IllegalArgumentException

Description

Thrown to indicate that a method has been passed an illegal or inappropriate argument.

Specification

public class IllegalArgumentException extends java.lang.RuntimeException

Constructors

public IllegalArgumentException( )

Constructs an IllegalArgumentException with no detail message.

public IllegalArgumentException( java.lang.String s )

Constructs an IllegalArgumentException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

priority property [java.lang.Thread]


IllegalComponentStateException class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      IllegalComponentStateException class [java.awt]

Object

Throwable

Exception

RuntimeException

IllegalStateException

IllegalComponentStateException

Description

Signals that an AWT component is not in an appropriate state for the requested operation.

Specification

public class IllegalComponentStateException extends java.lang.IllegalStateException

Constructors

public IllegalComponentStateException( )

Constructs an IllegalComponentStateException with no detail message. A detail message is a String that describes this particular exception.

public IllegalComponentStateException( java.lang.String s )

Constructs an IllegalComponentStateException with the specified detail message.  A detail message is a String that describes this particular exception.

Parameter

s

the String that contains a detailed message

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


IllegalMonitorStateException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      IllegalMonitorStateException class [java.lang]

Object

Throwable

Exception

RuntimeException

IllegalMonitorStateException

Description

Thrown to indicate that a thread has attempted to wait on an object's monitor or to notify other threads waiting on an object's monitor without owning the specified monitor.

Specification

public class IllegalMonitorStateException extends java.lang.RuntimeException

Constructors

public IllegalMonitorStateException( )

Constructs an IllegalMonitorStateException with no detail message.

public IllegalMonitorStateException( java.lang.String s )

Constructs an IllegalMonitorStateException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

notify method [java.lang.Object]

notifyAll method [java.lang.Object]

wait method [java.lang.Object]


IllegalStateException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      IllegalStateException class [java.lang]

Object

Throwable

Exception

RuntimeException

IllegalStateException

Description

Signals that a method has been invoked at an illegal or inappropriate time.  In other words, the Java environment or Java application is not in an appropriate state for the requested operation.

Specification

public class IllegalStateException extends java.lang.RuntimeException

Constructors

public IllegalStateException( )

Constructs an IllegalStateException with no detail message. A detail message is a String that describes this particular exception.

public IllegalStateException( java.lang.String s )

Constructs an IllegalStateException with the specified detail message.  A detail message is a String that describes this particular exception.

Parameter

s

the String that contains a detailed message

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


IllegalThreadStateException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      IllegalThreadStateException class [java.lang]

Object

Throwable

Exception

RuntimeException

IllegalArgumentException

IllegalThreadStateException

Description

Thrown to indicate that a thread is not in an appropriate state for the requested operation. See, for example, the suspend and resume methods in class Thread.

Specification

public class IllegalThreadStateException extends java.lang.IllegalArgumentException

Constructors

public IllegalThreadStateException( )

Constructs an IllegalThreadStateException with no detail message.

public IllegalThreadStateException( java.lang.String s )

Constructs an IllegalThreadStateException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

resume method [java.lang.Thread]

suspend method [java.lang.Thread]


Image class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      Image class [java.awt]

Object

Image

Description

The abstract class Image is the superclass of all classes that represent graphical images. The image must be obtained in a platform-specific manner.

Specification

public abstract class Image extends java.lang.Object

Variables

public static final java.lang.Object UndefinedProperty

The UndefinedProperty object should be returned whenever a property which was not defined for a particular image is fetched.

public static final int SCALE_DEFAULT

Use the default image-scaling algorithm.

public static final int SCALE_FAST

Choose an image-scaling algorithm that gives higher priority to scaling speed than smoothness of the scaled image.

public static final int SCALE_SMOOTH

Choose an image-scaling algorithm that gives higher priority to image smoothness than scaling speed.

public static final int SCALE_REPLICATE

Use the image scaling algorithm embodied in the ReplicateScaleFilter class. The Image object is free to substitute a different filter that performs the same algorithm yet integrates more efficiently into the imaging infrastructure supplied by the toolkit.

public static final int SCALE_AREA_AVERAGING

Use the Area Averaging image scaling algorithm.  The image object is free to substitute a different filter that performs the same algorithm yet integrates more efficiently into the image infrastructure supplied by the toolkit.

Properties

  abstract java.awt.Graphics getGraphics( )

  abstract java.awt.image.ImageProducer getSource( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  abstract void flush( )

  abstract int getHeight( java.awt.image.ImageObserver observer )

  abstract java.lang.Object getProperty( java.lang.String name, java.awt.image.ImageObserver observer )

  java.awt.Image getScaledInstance( int width, int height, int hints )

  abstract int getWidth( java.awt.image.ImageObserver observer )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


imageComplete method [java.awt.image.ImageFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      imageComplete method [java.awt.image.ImageFilter]

public void imageComplete( int status )

Filters the information provided in the imageComplete method of the ImageConsumer interface.

See also

ImageConsumer interface [java.awt.image]

Applies to

 AreaAveragingScaleFilter [java.awt.image]

 CropImageFilter [java.awt.image]

 ImageFilter [java.awt.image]

 ReplicateScaleFilter [java.awt.image]

 RGBImageFilter [java.awt.image]


imageComplete method [java.awt.image.PixelGrabber] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      imageComplete method [java.awt.image.PixelGrabber]

public synchronized void imageComplete( int status )

The imageComplete method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

Applies to

 PixelGrabber [java.awt.image]


ImageConsumer interface [java.awt.image] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      ImageConsumer interface [java.awt.image]

Description

The interface for objects expressing interest in image data through the ImageProducer interfaces.  When a consumer is added to an image producer, the producer delivers all of the data about the image using the method calls defined in this interface.

Definition

public interface ImageConsumer

{

  // Variables

  public int RANDOMPIXELORDER;

  public int TOPDOWNLEFTRIGHT;

  public int COMPLETESCANLINES;

  public int SINGLEPASS;

  public int SINGLEFRAME;

  public int IMAGEERROR;

  public int SINGLEFRAMEDONE;

  public int STATICIMAGEDONE;

  public int IMAGEABORTED;

  // Properties

  public void setDimensions( int width, int height );

  public void setProperties( java.util.Hashtable props );

  public void setColorModel( java.awt.image.ColorModel model );

  public void setHints( int hintflags );

  // Methods

  public void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, byte[] pixels, int off, int scansize );

  public void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, int[] pixels, int off, int scansize );

  public void imageComplete( int status );

}

Variables

public int RANDOMPIXELORDER

The pixels will be delivered in a random order.  This tells the ImageConsumer not to use any optimizations that depend on the order of pixel delivery, which should be the default assumption in the absence of any call to the setHints method.

public int TOPDOWNLEFTRIGHT

The pixels will be delivered in top-down, left-to-right order.

public int COMPLETESCANLINES

The pixels will be delivered in (multiples of) complete scanlines at a time.

public int SINGLEPASS

The pixels will be delivered in a single pass.  Each pixel will appear in only one call to any of the setPixels methods.  An example of an image format which does not meet this criterion is a progressive JPEG image which defines pixels in multiple passes, each more refined than the previous.

public int SINGLEFRAME

The image contain a single static image.  The pixels will be defined in calls to the setPixels methods and then the imageComplete method will be called with the STATICIMAGEDONE flag after which no more image data will be delivered.  An example of an image type which would not meet these criteria would be the output of a video feed, or the representation of a 3D rendering being manipulated by the user.  The end of each frame in those types of images will be indicated by calling imageComplete with the SINGLEFRAMEDONE flag.

public int IMAGEERROR

An error was encountered while producing the image.

public int SINGLEFRAMEDONE

One frame of the image is complete but there are more frames to be delivered.

public int STATICIMAGEDONE

The image is complete and there are no more pixels or frames to be delivered.

public int IMAGEABORTED

The image creation process was deliberately aborted.

Properties

public void setDimensions( int width, int height )

The dimensions of the source image are reported using the setDimensions method call.

public void setProperties( java.util.Hashtable props )

Sets the extensible list of properties associated with this image.

public void setColorModel( java.awt.image.ColorModel model )

The ColorModel object used for the majority of the pixels reported using the setPixels method calls.  Note that each set of pixels delivered using setPixels contains its own ColorModel object, so no assumption should be made that this model will be the only one used in delivering pixel values.  A notable case where multiple ColorModel objects may be seen is a filtered image when for each set of pixels that it filters, the filter determines  whether the pixels can be sent on untouched, using the original ColorModel, or whether the pixels should be modified (filtered) and passed on using a ColorModel more convenient for the filtering process.

See also

ColorModel class [java.awt.image]

public void setHints( int hintflags )

The ImageProducer can deliver the pixels in any order, but the ImageConsumer may be able to scale or convert the pixels to the destination ColorModel more efficiently or with higher quality if it knows some information about how the pixels will be delivered up front.  The setHints method should be called before any calls to any of the setPixels methods with a bit mask of hints about the manner in which the pixels will be delivered. If the ImageProducer does not follow the guidelines for the indicated hint, the results are undefined.

Methods

public void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, byte[] pixels, int off, int scansize )

The pixels of the image are delivered using one or more calls to the setPixels method.  Each call specifies the location and size of the rectangle of source pixels that are contained in the array of pixels.  The specified ColorModel object should be used to convert the pixels into their corresponding color and alpha components.  Pixel (m,n) is stored in the pixels array at index (n * scansize + m + off).  The pixels delivered using this method are all stored as bytes.

See also

ColorModel class [java.awt.image]

public void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, int[] pixels, int off, int scansize )

The pixels of the image are delivered using one or more calls to the setPixels method.  Each call specifies the location and size of the rectangle of source pixels that are contained in the array of pixels.  The specified ColorModel object should be used to convert the pixels into their corresponding color and alpha components.  Pixel (m,n) is stored in the pixels array at index (n * scansize + m + off).  The pixels delivered using this method are all stored as ints.

See also

ColorModel class [java.awt.image]

public void imageComplete( int status )

The imageComplete method is called when the ImageProducer is finished delivering all of the pixels that the source image contains, or when a single frame of a multi-frame animation has been completed, or when an error in loading or producing the image has occured.  The ImageConsumer should remove itself from the list of consumers registered with the ImageProducer at this time, unless it is interested in successive frames.

See also

ImageProducer interface [java.awt.image]

Implemented by

ImageFilter [java.awt.image]	PixelGrabber [java.awt.image]

See also

ImageProducer interface [java.awt.image]


ImageFilter class [java.awt.image] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      ImageFilter class [java.awt.image]

Object

ImageFilter

Description

This class implements a filter for the set of interface methods that are used to deliver data from an ImageProducer to an ImageConsumer. It is meant to be used in conjunction with a FilteredImageSource object to produce filtered versions of existing images.  It is a base class that provides the calls needed to implement a "Null filter" which has no effect on the data being passed through.  Filters should subclass this class and override the methods which deal with the data that needs to be filtered and modify it as necessary.

Specification

public class ImageFilter extends java.lang.Object implements java.awt.image.ImageConsumer, java.lang.Cloneable

Variable

protected java.awt.image.ImageConsumer consumer

The consumer of the particular image data stream for which this instance of the ImageFilter is filtering data.  It is not initialized during the constructor, but rather during the getFilterInstance() method call when the FilteredImageSource is creating a unique instance of this object for a particular image data stream.

Properties

  void setColorModel( java.awt.image.ColorModel model )

  void setDimensions( int width, int height )

  void setHints( int hints )

  void setProperties( java.util.Hashtable props )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.Object clone( )

  java.awt.image.ImageFilter getFilterInstance( java.awt.image.ImageConsumer ic )

  void imageComplete( int status )

  void resendTopDownLeftRight( java.awt.image.ImageProducer ip )

  void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, byte[] pixels, int off, int scansize )

  void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, int[] pixels, int off, int scansize )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable

See also

FilteredImageSource class [java.awt.image]

ImageConsumer interface [java.awt.image]


ImageObserver interface [java.awt.image] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      ImageObserver interface [java.awt.image]

Description

An asynchronous update interface for receiving notifications about Image information as the Image is constructed.

Definition

public interface ImageObserver

{

  // Variables

  public static final int WIDTH;

  public static final int HEIGHT;

  public static final int PROPERTIES;

  public static final int SOMEBITS;

  public static final int FRAMEBITS;

  public static final int ALLBITS;

  public static final int ERROR;

  public static final int ABORT;

  // Methods

  public boolean imageUpdate( java.awt.Image img, int infoflags, int x, int y, int width, int height );

}

Variables

public static final int WIDTH

The width of the base image is now available and can be taken from the width argument to the imageUpdate callback method.

public static final int HEIGHT

The height of the base image is now available and can be taken from the height argument to the imageUpdate callback method.

public static final int PROPERTIES

The properties of the image are now available.

public static final int SOMEBITS

More pixels needed for drawing a scaled variation of the image are available.  The bounding box of the new pixels can be taken from the x, y, width, and height arguments to the imageUpdate callback method.

public static final int FRAMEBITS

Another complete frame of a multi-frame image which was previously drawn is now available to be drawn again.  The x, y, width, and height arguments to the imageUpdate callback method should be ignored.

public static final int ALLBITS

A static image which was previously drawn is now complete and can be drawn again in its final form.  The x, y, width, and height arguments to the imageUpdate callback method should be ignored.

public static final int ERROR

An image which was being tracked asynchronously has encountered an error.  No further information will become available and drawing the image will fail. As a convenience, the ABORT flag will be indicated at the same time to indicate that the image production was aborted.

public static final int ABORT

An image which was being tracked asynchronously was aborted before production was complete.  No more information will become available without further action to trigger another image production sequence. If the ERROR flag was not also set in this image update, then accessing any of the data in the image will restart the production again, probably from the beginning.

Methods

public boolean imageUpdate( java.awt.Image img, int infoflags, int x, int y, int width, int height )

This method is called when information about an image which was previously requested using an asynchronous interface becomes available.  Asynchronous interfaces are method calls such as getWidth(ImageObserver) and drawImage(img, x, y, ImageObserver) which take an ImageObserver object as an argument.  Those methods register the caller as interested either in information about the overall image itself (in the case of getWidth(ImageObserver)) or about an output version of an image (in the case of the drawImage(img, x, y, [w, h,] ImageObserver) call).

This method should return true if further updates are needed or false if the required information has been acquired.  The image which was being tracked is passed in using the img argument.  Various constants are combined to form the infoflags argument which indicates what information about the image is now available.  The interpretation of the x, y, width, and height arguments depends on the contents of the infoflags argument.

Return

No documentation supplied in JDK.

See also

drawImage method [java.awt.Graphics]

Implemented by

Component [java.awt]


ImageProducer interface [java.awt.image] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      ImageProducer interface [java.awt.image]

Description

The interface for objects which can produce the image data for Images. Each image contains an ImageProducer which is used to reconstruct the image whenever it is needed, for example, when a new size of the Image is scaled, or when the width or height of the Image is being requested.

Definition

public interface ImageProducer

{

  // Methods

  public void addConsumer( java.awt.image.ImageConsumer ic );

  public boolean isConsumer( java.awt.image.ImageConsumer ic );

  public void removeConsumer( java.awt.image.ImageConsumer ic );

  public void startProduction( java.awt.image.ImageConsumer ic );

  public void requestTopDownLeftRightResend( java.awt.image.ImageConsumer ic );

}

Methods

public void addConsumer( java.awt.image.ImageConsumer ic )

This method is used to register an ImageConsumer with the ImageProducer for access to the image data during a later reconstruction of the Image.  The ImageProducer may, at its discretion, start delivering the image data to the consumer using the ImageConsumer interface immediately, or when the next available image reconstruction is triggered by a call to the startProduction method.

See also

ImageProducer interface [java.awt.image]

public boolean isConsumer( java.awt.image.ImageConsumer ic )

This method determines if a given ImageConsumer object is currently registered with this ImageProducer as one of its consumers.

Return

No documentation supplied in JDK.

public void removeConsumer( java.awt.image.ImageConsumer ic )

This method removes the given ImageConsumer object from the list of consumers currently registered to receive image data.  It is not considered an error to remove a consumer that is not currently registered. The ImageProducer should stop sending data to this consumer as soon as is feasible.

public void startProduction( java.awt.image.ImageConsumer ic )

This method both registers the given ImageConsumer object as a consumer and starts an immediate reconstruction of the image data which will then be delivered to this consumer and any other consumer which may have already been registered with the producer.  This method differs from the addConsumer method in that a reproduction of the image data should be triggered as soon as possible.

See also

ImageProducer interface [java.awt.image]

public void requestTopDownLeftRightResend( java.awt.image.ImageConsumer ic )

This method is used by an ImageConsumer to request that the ImageProducer attempt to resend the image data one more time in TOPDOWNLEFTRIGHT order so that higher quality conversion algorithms which depend on receiving pixels in order can be used to produce a better output version of the image.  The ImageProducer is free to ignore this call if it cannot resend the data in that order.  If the data can be resent, then the ImageProducer should respond by executing the following minimum set of ImageConsumer method calls:

ic.setHints(TOPDOWNLEFTRIGHT | < otherhints >);

ic.setPixels(...);	// As many times as needed

ic.imageComplete();

See also

ImageConsumer interface [java.awt.image]

Implemented by

FilteredImageSource [java.awt.image]	MemoryImageSource [java.awt.image]

See also

ImageConsumer interface [java.awt.image]


imageUpdate method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      imageUpdate method [java.awt.Component]

public boolean imageUpdate( java.awt.Image img, int flags, int x, int y, int w, int h )

Repaints the component when the image has changed. This imageUpdate method of an ImageObserver is called when more information about an image which had been previously requested using an asynchronous routine such as the drawImage method of Graphics becomes available. See the definition of imageUpdate for more information on this method and its arguments.

The imageUpdate method of Component incrementally draws an image on the component as more of the bits of the image are available.

If the system property awt.image.incrementalDraw is missing or has the value true, the image is incrementally drawn, If the system property has any other value, then the image is not drawn until it has been completely loaded.

Also, if incremental drawing is in effect, the value of the system property awt.image.redrawrate is interpreted as an integer to give the maximum redraw rate, in milliseconds. If the system property is missing or cannot be interpreted as an integer, the redraw rate is once every 100ms.

The interpretation of the x, y, width, and height arguments depends on the value of the infoflags argument.

Parameters

img

the image being observed.

infoflags

see imageUpdate for more information.

x

the x coordinate.

y

the y coordinate.

width

the width.

height

the height.

Return

true if the flags indicate that the image is completely loaded; false otherwise.

See also

ImageObserver interface [java.awt.image]

drawImage method [java.awt.Graphics]

ImageObserver interface [java.awt.image]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


implAccept method [java.net.ServerSocket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      implAccept method [java.net.ServerSocket]

protected final void implAccept( java.net.Socket s ) throws java.io.IOException

Subclasses of ServerSocket use this method to override accept() to return their own subclass of socket.  So a FooServerSocket will typically hand this method an empty FooSocket().  On return from implAccept the FooSocket will be connected to a client.

Applies to

 ServerSocket [java.net]


in property [java.lang.System] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      in property [java.lang.System]

public static void setIn( java.io.InputStream in )

Reassigns the "standard" input stream.

Applies to

 System [java.lang]


inCheck property [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      inCheck property [java.lang.SecurityManager]

public boolean getInCheck( )

Tests if there is a security check in progress.

Return

The value of the inCheck field. This field should contain true if a security check is in progress; false otherwise.

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


inClass method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      inClass method [java.lang.SecurityManager]

protected boolean inClass( java.lang.String name )

Tests if the specified String is in this Class.

Parameter

name

the fully qualified name of the class.

Return

true if a method from a class with the specified name is on the execution stack; false otherwise.

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


inClassLoader method [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      inClassLoader method [java.lang.SecurityManager]

protected boolean inClassLoader( )

Tests if the current ClassLoader is equal to null.

Return

true if a method from a class defined using a class loader is on the execution stack.

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


IncompatibleClassChangeError class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      IncompatibleClassChangeError class [java.lang]

Object

Throwable

Error

LinkageError

IncompatibleClassChangeError

Description

Thrown when an incompatible class change has occurred to some class definition. The definition of some class, on which the currently executing method depends, has since changed.

Specification

public class IncompatibleClassChangeError extends java.lang.LinkageError

Constructors

public IncompatibleClassChangeError( )

Constructs an IncompatibleClassChangeError with no detail message.

public IncompatibleClassChangeError( java.lang.String s )

Constructs an IncompatibleClassChangeError with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


inDaylightTime method [java.util.SimpleTimeZone] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      inDaylightTime method [java.util.SimpleTimeZone]

Overloads:

 boolean inDaylightTime( Date date ) overrides inDaylightTime method [java.util.TimeZone]

public boolean inDaylightTime( java.util.Date date )

Overrides TimeZone Queries if the given date is in Daylight Savings Time.

Return

No documentation supplied in JDK.

Applies to

 SimpleTimeZone [java.util]


inDaylightTime method [java.util.TimeZone] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      inDaylightTime method [java.util.TimeZone]

public abstract boolean inDaylightTime( java.util.Date date )

Queries if the given date is in Daylight Savings Time in this time zone.

Parameter

date

the given Date.

Return

True if the given date is in Daylight Savings Time, false, otherwise.

Applies to

 SimpleTimeZone [java.util]

 TimeZone [java.util]


inDefaultEventSet property [java.beans.EventSetDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      inDefaultEventSet property [java.beans.EventSetDescriptor]

public void setInDefaultEventSet( boolean inDefaultEventSet )

Mark an event set as being in the "default" set (or not). By default this is true.

Parameter

unicast

True if the event set is unicast.

public boolean isInDefaultEventSet( )

Report if an event set is in the "default set".

Return

True if the event set is in the "default set".  Defaults to "true".

Applies to

 EventSetDescriptor [java.beans]


index property [java.sql.DataTruncation] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      index property [java.sql.DataTruncation]

public int getIndex( )

Get the index of the column or parameter that was truncated.

This may be -1 if the column or parameter index is unknown, in which case the "parameter" and "read" fields should be ignored.

Return

The index of the truncated paramter or column value.

Applies to

 DataTruncation [java.sql]


index property [java.text.ParsePosition] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      index property [java.text.ParsePosition]

public int getIndex( )

Retrieve the current parse position.  On input to a parse method, this is the index of the character at which parsing will begin; on output, it is the index of the character following the last character parsed.

Return

No documentation supplied in JDK.

public void setIndex( int index )

Set the current parse position.

Applies to

 ParsePosition [java.text]


index property [java.text.StringCharacterIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      index property [java.text.StringCharacterIterator]

public int getIndex( )

Return the current index.

Return

The current index.

Applies to

 StringCharacterIterator [java.text]


IndexColorModel class [java.awt.image] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      IndexColorModel class [java.awt.image]

Object

ColorModel

IndexColorModel

Description

A ColorModel class that specifies a translation from pixel values to alpha, red, green, and blue color components for pixels which represent indices into a fixed colormap.  An optional transparent pixel value can be supplied which indicates a completely transparent pixel, regardless of any alpha value recorded for that pixel value. This color model is similar to an X11 PseudoColor visual.

Many of the methods in this class are final.  The reason for this is that the underlying native graphics code makes assumptions about the layout and operation of this class and those assumptions are reflected in the implementations of the methods here that are marked final.  You can subclass this class for other reaons, but you cannot override or modify the behaviour of those methods.

Specification

public class IndexColorModel extends java.awt.image.ColorModel

Constructors

public IndexColorModel( int bits, int size, byte[] cmap, int start, boolean hasalpha )

Constructs an IndexColorModel from a single arrays of packed red, green, blue and optional alpha components.  The array must have enough values in it to fill all of the needed component arrays of the specified size.

Parameters

bits

The number of bits each pixel occupies.

size

The size of the color component arrays.

cmap

The array of color components.

start

The starting offset of the first color component.

hasalpha

Indicates whether alpha values are contained in the cmap array.

public IndexColorModel( int bits, int size, byte[] r, byte[] g, byte[] b )

Constructs an IndexColorModel from the given arrays of red, green, and blue components.  Pixels described by this color model will all have alpha components of 255 (fully opaque). All of the arrays specifying the color components must have at least the specified number of entries.

Parameters

bits

The number of bits each pixel occupies.

size

The size of the color component arrays.

r

The array of red color components.

g

The array of green color components.

b

The array of blue color components.

public IndexColorModel( int bits, int size, byte[] r, byte[] g, byte[] b, int trans )

Constructs an IndexColorModel from the given arrays of red, green, and blue components.  Pixels described by this color model will all have alpha components of 255 (fully opaque), except for the indicated transparent pixel.  All of the arrays specifying the color components must have at least the specified number of entries.

Parameters

bits

The number of bits each pixel occupies.

size

The size of the color component arrays.

r

The array of red color components.

g

The array of green color components.

b

The array of blue color components.

trans

The index of the transparent pixel.

public IndexColorModel( int bits, int size, byte[] r, byte[] g, byte[] b, byte[] a )

Constructs an IndexColorModel from the given arrays of red, green, blue and alpha components.  All of the arrays specifying the color components must have at least the specified number of entries.

Parameters

bits

The number of bits each pixel occupies.

size

The size of the color component arrays.

r

The array of red color components.

g

The array of green color components.

b

The array of blue color components.

a

The array of alpha value components.

public IndexColorModel( int bits, int size, byte[] cmap, int start, boolean hasalpha, int trans )

Constructs an IndexColorModel from a single arrays of packed red, green, blue and optional alpha components.  The specified transparent index represents a pixel which will be considered entirely transparent regardless of any alpha value specified for it.  The array must have enough values in it to fill all of the needed component arrays of the specified size.

Parameters

bits

The number of bits each pixel occupies.

size

The size of the color component arrays.

cmap

The array of color components.

start

The starting offset of the first color component.

hasalpha

Indicates whether alpha values are contained in the cmap array.

trans

The index of the fully transparent pixel.

Properties

  final int getAlpha( int pixel )

  final int getBlue( int pixel )

  final int getGreen( int pixel )

  final int getMapSize( )

  final int getRed( int pixel )

  final int getRGB( int pixel )

  final int getTransparentPixel( )

Inherited Properties

  native final java.lang.Class getClass( )

  int getPixelSize( )

  static java.awt.image.ColorModel getRGBdefault( )

Methods

  final void getAlphas( byte[] a )

  final void getBlues( byte[] b )

  final void getGreens( byte[] g )

  final void getReds( byte[] r )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

ColorModel class [java.awt.image]


IndexedPropertyDescriptor class [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      IndexedPropertyDescriptor class [java.beans]

Object

FeatureDescriptor

PropertyDescriptor

IndexedPropertyDescriptor

Description

An IndexedPropertyDescriptor describes a property that acts like an array and has an indexed read and/or indexed write method to access specific elements of the array.

An indexed property may also provide simple non-indexed read and write methods.  If these are present, they read and write arrays of the type returned by the indexed read method.

Specification

public class IndexedPropertyDescriptor extends java.beans.PropertyDescriptor

Constructors

public IndexedPropertyDescriptor( java.lang.String propertyName, java.lang.Class beanClass ) throws java.beans.IntrospectionException

This constructor constructs an IndexedPropertyDescriptor for a property that follows the standard Java conventions by having getFoo and setFoo accessor methods, for both indexed access and array access.

Thus if the argument name is "fred", it will assume that there is an indexed reader method "getFred", a non-indexed (array) reader method also called "getFred", an indexed writer method "setFred", and finally a non-indexed writer method "setFred".

Parameters

propertyName

The programmatic name of the property.

beanClass

The Class object for the target bean.

Throws

IntrospectionException

If an exception occurs during introspection.

public IndexedPropertyDescriptor( java.lang.String propertyName, java.lang.reflect.Method getter, java.lang.reflect.Method setter, java.lang.reflect.Method indexedGetter, java.lang.reflect.Method indexedSetter ) throws java.beans.IntrospectionException

This constructor takes the name of a simple property, and Method objects for reading and writing the property.

Parameters

propertyName

The programmatic name of the property.

getter

The method used for reading the property values as an array. May be null if the property is write-only or must be indexed.

setter

The method used for writing the property values as an array. May be null if the property is read-only or must be indexed.

indexedGetter

The method used for reading an indexed property value. May be null if the property is write-only.

indexedSetter

The method used for writing an indexed property value. May be null if the property is read-only.

Throws

IntrospectionException

If an exception occurs during introspection.

public IndexedPropertyDescriptor( java.lang.String propertyName, java.lang.Class beanClass, java.lang.String getterName, java.lang.String setterName, java.lang.String indexedGetterName, java.lang.String indexedSetterName ) throws java.beans.IntrospectionException

This constructor takes the name of a simple property, and method names for reading and writing the property, both indexed and non-indexed.

Parameters

propertyName

The programmatic name of the property.

beanClass

The Class object for the target bean.

getterName

The name of the method used for reading the property values as an array.  May be null if the property is write-only or must be indexed.

setterName

The name of the method used for writing the property values as an array.  May be null if the property is read-only or must be indexed.

indexedGetterName

The name of the method used for reading an indexed property value. May be null if the property is write-only.

indexedSetterName

The name of the method used for writing an indexed property value. May be null if the property is read-only.

Throws

IntrospectionException

If an exception occurs during introspection.

Properties

  java.lang.Class getIndexedPropertyType( )

  java.lang.reflect.Method getIndexedReadMethod( )

  java.lang.reflect.Method getIndexedWriteMethod( )

Inherited Properties

  void setBound( boolean bound )

  boolean isBound( )

  native final java.lang.Class getClass( )

  void setConstrained( boolean constrained )

  boolean isConstrained( )

  java.lang.String getDisplayName( )

  void setDisplayName( java.lang.String displayName )

  void setExpert( boolean expert )

  boolean isExpert( )

  void setHidden( boolean hidden )

  boolean isHidden( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.lang.Class getPropertyEditorClass( )

  void setPropertyEditorClass( java.lang.Class propertyEditorClass )

  java.lang.Class getPropertyType( )

  java.lang.reflect.Method getReadMethod( )

  java.lang.String getShortDescription( )

  void setShortDescription( java.lang.String text )

  java.lang.reflect.Method getWriteMethod( )

Inherited Methods

  java.util.Enumeration attributeNames( )

  boolean equals( java.lang.Object obj )

  java.lang.Object getValue( java.lang.String attributeName )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void setValue( java.lang.String attributeName, java.lang.Object value )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


indexedPropertyType property [java.beans.IndexedPropertyDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      indexedPropertyType property [java.beans.IndexedPropertyDescriptor]

public java.lang.Class getIndexedPropertyType( )

No documentation supplied in JDK

Return

The Java Class for the indexed properties type.  Note that the Class may describe a primitive Java type such as "int".

This is the type that will be returned by the indexedReadMethod.

Applies to

 IndexedPropertyDescriptor [java.beans]


indexedReadMethod property [java.beans.IndexedPropertyDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      indexedReadMethod property [java.beans.IndexedPropertyDescriptor]

public java.lang.reflect.Method getIndexedReadMethod( )

No documentation supplied in JDK

Return

The method that should be used to read an indexed property value. May return null if the property isn't indexed or is write-only.

Applies to

 IndexedPropertyDescriptor [java.beans]


indexedWriteMethod property [java.beans.IndexedPropertyDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      indexedWriteMethod property [java.beans.IndexedPropertyDescriptor]

public java.lang.reflect.Method getIndexedWriteMethod( )

No documentation supplied in JDK

Return

The method that should be used to write an indexed property value. May return null if the property isn't indexed or is read-only.

Applies to

 IndexedPropertyDescriptor [java.beans]


indexOf method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      indexOf method [java.lang.String]

Overloads:

 int indexOf( String str, int fromIndex )

 int indexOf( String str )

 int indexOf( int ch, int fromIndex )

 int indexOf( int ch )

public int indexOf( java.lang.String str, int fromIndex )

Returns the index within this string of the first occurrence of the specified substring, starting at the specified index.

Parameters

str

the substring to search for.

fromIndex

the index to start the search from.

Return

If the string argument occurs as a substring within this object at a starting index no smaller than fromIndex, then the index of the first character of the first such substring is returned. If it does not occur as a substring starting at fromIndex or beyond, -1 is returned.

public int indexOf( java.lang.String str )

Returns the index within this string of the first occurrence of the specified substring.

Parameter

str

any string.

Return

If the string argument occurs as a substring within this object, then the index of the first character of the first such substring is returned; if it does not occur as a substring, -1 is returned.

public int indexOf( int ch, int fromIndex )

Returns the index within this string of the first occurrence of the specified character, starting the search at the specified index.

Parameters

ch

a character.

fromIndex

the index to start the search from.

Return

The index of the first occurrence of the character in the character sequence represented by this object that is greater than or equal to fromIndex, or -1 if the character does not occur.

public int indexOf( int ch )

Returns the index within this string of the first occurrence of the specified character.

Parameter

ch

a character.

Return

The index of the first occurrence of the character in the character sequence represented by this object, or -1 if the character does not occur.

Applies to

 String [java.lang]


indexOf method [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      indexOf method [java.util.Vector]

Overloads:

 int indexOf( Object elem, int index )

 int indexOf( Object elem )

public final synchronized int indexOf( java.lang.Object elem, int index )

Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.

Parameters

elem

an object.

index

the index to start searching from.

Return

The index of the first occurrence of the object argument in this vector at position index or later in the vector; returns -1 if the object is not found.

See also

equals method [java.lang.Object]

public final int indexOf( java.lang.Object elem )

Searches for the first occurence of the given argument, testing for equality using the equals method.

Parameter

elem

an object.

Return

The index of the first occurrence of the argument in this vector; returns -1 if the object is not found.

See also

equals method [java.lang.Object]

Applies to

 Stack [java.util]

 Vector [java.util]


IndexOutOfBoundsException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      IndexOutOfBoundsException class [java.lang]

Object

Throwable

Exception

RuntimeException

IndexOutOfBoundsException

Description

Thrown to indicate that an index of some sort (such as to an array, to a string, or to a vector) is out of range.

Applications can subclass this class to indicate similar exceptions.

Specification

public class IndexOutOfBoundsException extends java.lang.RuntimeException

Constructors

public IndexOutOfBoundsException( )

Constructs an IndexOutOfBoundsException with no detail message.

public IndexOutOfBoundsException( java.lang.String s )

Constructs an IndexOutOfBoundsException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


InetAddress class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      InetAddress class [java.net]

Object

InetAddress

Description

This class represents an Internet Protocol (IP) address.

Applications should use the methods getLocalHost, getByName, or getAllByName to create a new InetAddress instance.

Specification

public final class InetAddress extends java.lang.Object implements java.io.Serializable

Properties

  byte[] getAddress( )

  java.lang.String getHostAddress( )

  java.lang.String getHostName( )

  static java.net.InetAddress getLocalHost( ) throws java.net.UnknownHostException

  boolean isMulticastAddress( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  boolean equals( java.lang.Object obj )

  static java.net.InetAddress[] getAllByName( java.lang.String host ) throws java.net.UnknownHostException

  static java.net.InetAddress getByName( java.lang.String host ) throws java.net.UnknownHostException

  int hashCode( )

  java.lang.String toString( )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

getAllByName method [java.net.InetAddress]

getByName method [java.net.InetAddress]

localHost property [java.net.InetAddress]


inetAddress property [java.net.ServerSocket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      inetAddress property [java.net.ServerSocket]

public java.net.InetAddress getInetAddress( )

Returns the local address of this server socket.

Return

The address to which this socket is connected, or null if the socket is not yet connected.

Applies to

 ServerSocket [java.net]


inetAddress property [java.net.Socket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      inetAddress property [java.net.Socket]

public java.net.InetAddress getInetAddress( )

Returns the address to which the socket is connected.

Return

The remote IP address to which this socket is connected.

Applies to

 Socket [java.net]


inetAddress property [java.net.SocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      inetAddress property [java.net.SocketImpl]

protected java.net.InetAddress getInetAddress( )

Returns the value of this socket's address field.

Return

The value of this socket's address field.

Applies to

 SocketImpl [java.net]


infinite property [java.lang.Double] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      infinite property [java.lang.Double]

public boolean isInfinite( )

Returns true if this Double value is infinitely large in magnitude.

Return

true if the value represented by this object is positive infinity or negative infinity; false otherwise.

Applies to

 Double [java.lang]


infinite property [java.lang.Float] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      infinite property [java.lang.Float]

public boolean isInfinite( )

Returns true if this Float value is infinitely large in magnitude.

Return

true if the value represented by this object is positive infinity or negative infinity; false otherwise.

Applies to

 Float [java.lang]


infinity property [java.text.DecimalFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      infinity property [java.text.DecimalFormatSymbols]

public java.lang.String getInfinity( )

character used to represent infinity. Almost always left unchanged.

Return

No documentation supplied in JDK.

public void setInfinity( java.lang.String infinity )

Applies to

 DecimalFormatSymbols [java.text]


inflate method [java.util.zip.Inflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      inflate method [java.util.zip.Inflater]

Overloads:

 int inflate( byte[] b )

 int inflate( byte[] b, int off, int len )

public int inflate( byte[] b ) throws java.util.zip.DataFormatException

Uncompresses bytes into specified buffer. Returns actual number of bytes uncompressed. A return value of 0 indicates that needsInput() or needsDictionary() should be called in order to determine if more input data or a preset dictionary is required. In the later case, getAdler() can be used to get the Adler-32 value of the dictionary required.

Parameter

b

the buffer for the uncompressed data

Return

The actual number of uncompressed bytes.

Throws

DataFormatException

If the compressed data format is invalid.

See also

needsInput method [java.util.zip.Inflater]

needsDictionary method [java.util.zip.Inflater]

public native synchronized int inflate( byte[] b, int off, int len ) throws java.util.zip.DataFormatException

Uncompresses bytes into specified buffer. Returns actual number of bytes uncompressed. A return value of 0 indicates that needsInput() or needsDictionary() should be called in order to determine if more input data or a preset dictionary is required. In the later case, getAdler() can be used to get the Adler-32 value of the dictionary required.

Parameters

b

the buffer for the uncompressed data

off

the start offset of the data

len

the maximum number of uncompressed bytes

Return

The actual number of uncompressed bytes.

Throws

DataFormatException

If the compressed data format is invalid.

See also

needsInput method [java.util.zip.Inflater]

needsDictionary method [java.util.zip.Inflater]

Applies to

 Inflater [java.util.zip]


Inflater class [java.util.zip] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      Inflater class [java.util.zip]

Object

Inflater

Description

This class provides support for general purpose decompression using the popular ZLIB compression library. The ZLIB compression library was initially developed as part of the PNG graphics standard and is not protected by patents. It is fully described in RFCs 1950, 1951, and 1952, which can be found at   http://info.internet.isi.edu:80/in-notes/rfc/files/   in the files rfc1950.txt (zlib format), rfc1951.txt (deflate format) and rfc1952.txt (gzip format).

Specification

public class Inflater extends java.lang.Object

Constructors

public Inflater( )

Creates a new decompressor.

public Inflater( boolean nowrap )

Creates a new decompressor. If the parameter 'nowrap' is true then the ZLIB header and checksum fields will not be used in order to support the compression format used by both GZIP and PKZIP.

Parameter

nowrap

if true then support GZIP compatible compression

Properties

  native synchronized int getAdler( )

  void setDictionary( byte[] b )

  void setInput( byte[] b )

  synchronized int getRemaining( )

  native synchronized int getTotalIn( )

  native synchronized int getTotalOut( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  native synchronized void end( )

  synchronized boolean finished( )

  int inflate( byte[] b ) throws java.util.zip.DataFormatException

  native synchronized int inflate( byte[] b, int off, int len ) throws java.util.zip.DataFormatException

  synchronized boolean needsDictionary( )

  synchronized boolean needsInput( )

  native synchronized void reset( )

  native synchronized void setDictionary( byte[] b, int off, int len )

  synchronized void setInput( byte[] b, int off, int len )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

See also

Deflater class [java.util.zip]


InflaterInputStream class [java.util.zip] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      InflaterInputStream class [java.util.zip]

Object

InputStream

FilterInputStream

InflaterInputStream

Description

This class implements a stream filter for uncompressing data in the "deflate" compression format. It is also used as the basis for other decompression filters, such as GZIPInputStream.

Specification

public class InflaterInputStream extends java.io.FilterInputStream

Constructors

public InflaterInputStream( java.io.InputStream in )

Creates a new input stream with a default decompressor and buffer size.

public InflaterInputStream( java.io.InputStream in, java.util.zip.Inflater inf )

Creates a new input stream with the specified decompressor and a default buffer size.

Parameters

in

the input stream

inf

the decompressor (inflater)

public InflaterInputStream( java.io.InputStream in, java.util.zip.Inflater inf, int size )

Creates a new input stream with the specified decompressor and buffer size.

Parameters

in

the input stream

inf

the decompressor (inflater)

size

the input buffer size

Variables

protected java.util.zip.Inflater inf

Decompressor for this stream.

protected byte[] buf

Input buffer for decompression.

protected int len

Length of input buffer.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  int read( byte[] b, int off, int len ) throws java.io.IOException

  int read( ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

Inherited Methods

  int available( ) throws java.io.IOException

  void close( ) throws java.io.IOException

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  synchronized void mark( int readlimit )

  boolean markSupported( )

  native final void notify( )

  native final void notifyAll( )

  int read( byte[] b ) throws java.io.IOException

  synchronized void reset( ) throws java.io.IOException

  java.lang.String toString( )

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void fill( ) throws java.io.IOException

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Inflater class [java.util.zip]


info property [java.security.Identity] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      info property [java.security.Identity]

public java.lang.String getInfo( )

Returns general information previously specified for this identity.

Return

General information about this identity.

public void setInfo( java.lang.String info )

Specifies a general information string for this identity.

Parameter

info

the information string.

Applies to

 Identity [java.security]

 IdentityScope [java.security]

 Signer [java.security]


info property [java.security.Provider] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      info property [java.security.Provider]

public java.lang.String getInfo( )

Returns a human-readable description of the provider and its services.  This may return an HTML page, with relevant links.

Return

A description of the provider and its services.

Applies to

 Provider [java.security]


init method [java.applet.Applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      init method [java.applet.Applet]

public void init( )

Called by the browser or applet viewer to inform this applet that it has been loaded into the system. It is always called before the first time that the start method is called.

A subclass of Applet should override this method if it has initialization to perform. For example, an applet with threads would use the init method to create the threads and the destroy method to kill them.

The implementation of this method provided by the Applet class does nothing.

See also

destroy method [java.applet.Applet]

start method [java.applet.Applet]

stop method [java.applet.Applet]

Applies to

 Applet [java.applet]


initialize method [java.security.KeyPairGenerator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      initialize method [java.security.KeyPairGenerator]

Overloads:

 void initialize( int strength )

 void initialize( int strength, SecureRandom random )

public void initialize( int strength )

Initializes the key pair generator for a certain strength using a system-provided source of randomness.

Parameter

strength

the strength of the key. This is an algorithm-specific metric, such as modulus length.

public abstract void initialize( int strength, java.security.SecureRandom random )

Initializes the key pair generator for a certain strength.

Parameters

strength

the strength of the key. This is an algorithm-specific metric, such as modulus length.

random

the source of randomness for this generator.

Applies to

 KeyPairGenerator [java.security]


initSign method [java.security.Signature] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      initSign method [java.security.Signature]

public final void initSign( java.security.PrivateKey privateKey ) throws java.security.InvalidKeyException

Initialize this object for signing. If this method is called again with a different argument, it negates the effect of this call.

Parameter

privateKey

the private key of the identity whose signature is going to be generated.

Throws

InvalidKeyException

If the key is invalid.

Applies to

 Signature [java.security]


initVerify method [java.security.Signature] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      initVerify method [java.security.Signature]

public final void initVerify( java.security.PublicKey publicKey ) throws java.security.InvalidKeyException

Initializes this object for verification. If this method is called again with a different argument, it negates the effect of this call.

Parameter

publicKey

the public key of the identity whose signature is going to be verified.

Throws

InvalidKeyException

If the key is invalid.

Applies to

 Signature [java.security]


input property [java.util.zip.Deflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      input property [java.util.zip.Deflater]

public void setInput( byte[] b )

Sets input data for compression. This should be called whenever needsInput() returns true indicating that more input data is required.

Parameter

b

the input data bytes

See also

needsInput method [java.util.zip.Deflater]

Applies to

 Deflater [java.util.zip]


input property [java.util.zip.Inflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      input property [java.util.zip.Inflater]

public void setInput( byte[] b )

Sets input data for decompression. Should be called whenever needsInput() returns true indicating that more input data is required.

Parameter

b

the input data bytes

See also

needsInput method [java.util.zip.Inflater]

Applies to

 Inflater [java.util.zip]


InputEvent class [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      InputEvent class [java.awt.event]

Object

EventObject

AWTEvent

ComponentEvent

InputEvent

Description

The root event class for all component-level input events. Input events are delivered to listeners before they are processed normally by the source where they originated. This allows listeners and component subclasses to "consume" the event so that the source will not process them in their default manner.  For example, consuming mousePressed events on a Button component will prevent the Button from being activated.

Specification

public abstract class InputEvent extends java.awt.event.ComponentEvent

Variables

public static final int SHIFT_MASK

The shift key modifier constant.

public static final int CTRL_MASK

The control key modifier constant.

public static final int META_MASK

The meta key modifier constant.

public static final int ALT_MASK

The alt key modifier constant.

public static final int BUTTON1_MASK

The mouse button1 modifier constant.

public static final int BUTTON2_MASK

The mouse button2 modifier constant.

public static final int BUTTON3_MASK

The mouse button3 modifier constant.

Properties

  boolean isAltDown( )

  boolean isConsumed( )

  boolean isControlDown( )

  boolean isMetaDown( )

  int getModifiers( )

  boolean isShiftDown( )

  long getWhen( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.awt.Component getComponent( )

  int getID( )

  java.lang.Object getSource( )

Methods

  void consume( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String paramString( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


InputStream class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      InputStream class [java.io]

Object

InputStream

Description

This abstract class is the superclass of all classes representing an input stream of bytes.

Applications that need to define a subclass of InputStream must always provide a method that returns the next byte of input.

Specification

public abstract class InputStream extends java.lang.Object

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  int available( ) throws java.io.IOException

  void close( ) throws java.io.IOException

  synchronized void mark( int readlimit )

  boolean markSupported( )

  abstract int read( ) throws java.io.IOException

  int read( byte[] b, int off, int len ) throws java.io.IOException

  int read( byte[] b ) throws java.io.IOException

  synchronized void reset( ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

BufferedInputStream class [java.io]

ByteArrayInputStream class [java.io]

DataInputStream class [java.io]

FilterInputStream class [java.io]

read method [java.io.InputStream]

OutputStream class [java.io]

PushbackInputStream class [java.io]


inputStream property [java.lang.Process] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      inputStream property [java.lang.Process]

public abstract java.io.InputStream getInputStream( )

Gets the input stream of the subprocess. This stream is usually buffered.

Return

The input stream connected to the normal output of the subprocess.

Applies to

 Process [java.lang]


inputStream property [java.net.Socket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      inputStream property [java.net.Socket]

public java.io.InputStream getInputStream( ) throws java.io.IOException

Returns an input stream for this socket.

Return

An input stream for reading bytes from this socket.

Throws

IOException

If an I/O error occurs when creating the input stream.

Applies to

 Socket [java.net]


inputStream property [java.net.SocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      inputStream property [java.net.SocketImpl]

protected abstract java.io.InputStream getInputStream( ) throws java.io.IOException

Returns an input stream for this socket.

Return

A stream for reading from this socket.

Throws

IOException

If an I/O error occurs when creating the input stream.

Applies to

 SocketImpl [java.net]


inputStream property [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      inputStream property [java.net.URLConnection]

public java.io.InputStream getInputStream( ) throws java.io.IOException

Returns an input stream that reads from this open connection.

Return

An input stream that reads from this open connection.

Throws

IOException

If an I/O error occurs while creating the input stream.

UnknownServiceException

If the protocol does not support input.

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


InputStreamReader class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      InputStreamReader class [java.io]

Object

Reader

InputStreamReader

Description

An InputStreamReader is a bridge from byte streams to character streams: It reads bytes and translates them into characters according to a specified character encoding.  The encoding that it uses may be specified by name, or the platform's default encoding may be accepted.

Each invocation of one of an InputStreamReader's read() methods may cause one or more bytes to be read from the underlying byte-input stream. For top efficiency, consider wrapping an InputStreamReader within a BufferedReader; for example,

BufferedReader in

 = new BufferedReader(new InputStreamReader(System.in));

Specification

public class InputStreamReader extends java.io.Reader

Constructors

public InputStreamReader( java.io.InputStream in )

Create an InputStreamReader that uses the default character encoding.

Parameter

in

An InputStream

public InputStreamReader( java.io.InputStream in, java.lang.String enc ) throws java.io.UnsupportedEncodingException

Create an InputStreamReader that uses the named character encoding.

Parameters

in

An InputStream

enc

Name of encoding to be used

Throws

UnsupportedEncodingException

If the named encoding is not supported.

Properties

  java.lang.String getEncoding( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( ) throws java.io.IOException

  int read( char[] cbuf, int off, int len ) throws java.io.IOException

  int read( ) throws java.io.IOException

  boolean ready( ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  void mark( int readAheadLimit ) throws java.io.IOException

  boolean markSupported( )

  native final void notify( )

  native final void notifyAll( )

  int read( char[] cbuf ) throws java.io.IOException

  void reset( ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

BufferedReader class [java.io]

InputStream class [java.io]


insert method [java.awt.Choice] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      insert method [java.awt.Choice]

public synchronized void insert( java.lang.String item, int index )

Inserts the item into this choice at the specified position.

Parameters

item

the item to be inserted

index

the position at which the item should be inserted

Throws

IllegalArgumentException

If index is less than 0.

Applies to

 Choice [java.awt]


insert method [java.awt.Menu] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      insert method [java.awt.Menu]

Overloads:

 void insert( String label, int index )

 void insert( MenuItem menuitem, int index )

public void insert( java.lang.String label, int index )

Inserts a menu item with the specified label into this menu at the specified position.

Parameters

label

the text on the item.

index

the position at which the menu item should be inserted.

See also

add method [java.awt.Menu]

public void insert( java.awt.MenuItem menuitem, int index )

Inserts a menu item into this menu at the specified position.

Parameters

menuitem

the menu item to be inserted.

index

the position at which the menu item should be inserted.

Throws

IllegalArgumentException

If the value of index is less than zero.

See also

add method [java.awt.Menu]

Applies to

 Menu [java.awt]

 PopupMenu [java.awt]


insert method [java.awt.TextArea] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      insert method [java.awt.TextArea]

public void insert( java.lang.String str, int pos )

Inserts the specified text at the specified position in this text area.

Parameters

str

the text to insert.

pos

the position at which to insert.

See also

text property [java.awt.TextComponent]

replaceRange method [java.awt.TextArea]

append method [java.awt.TextArea]

Applies to

 TextArea [java.awt]


insert method [java.lang.StringBuffer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      insert method [java.lang.StringBuffer]

Overloads:

 StringBuffer insert( int offset, float f )

 StringBuffer insert( int offset, double d )

 StringBuffer insert( int offset, int i )

 StringBuffer insert( int offset, Object obj )

 StringBuffer insert( int offset, String str )

 StringBuffer insert( int offset, long l )

 StringBuffer insert( int offset, char[] str )

 StringBuffer insert( int offset, boolean b )

 StringBuffer insert( int offset, char c )

public java.lang.StringBuffer insert( int offset, float f )

Inserts the string representation of the float argument into this string buffer.

The second argument is converted to a string as if by the method String.valueOf, and the characters of that string are then inserted into this string buffer at the indicated offset.

The offset argument must be greater than or equal to 0, and less than or equal to the length of this string buffer.

Parameters

offset

the offset.

b

a float.

Return

This string buffer.

Throws

StringIndexOutOfBoundsException

If the offset is invalid.

See also

valueOf method [java.lang.String]

length method [java.lang.StringBuffer]

public java.lang.StringBuffer insert( int offset, double d )

Inserts the string representation of the double argument into this string buffer.

The second argument is converted to a string as if by the method String.valueOf, and the characters of that string are then inserted into this string buffer at the indicated offset.

The offset argument must be greater than or equal to 0, and less than or equal to the length of this string buffer.

Parameters

offset

the offset.

b

a double.

Return

This string buffer.

Throws

StringIndexOutOfBoundsException

If the offset is invalid.

See also

valueOf method [java.lang.String]

length method [java.lang.StringBuffer]

public java.lang.StringBuffer insert( int offset, int i )

Inserts the string representation of the second int argument into this string buffer.

The second argument is converted to a string as if by the method String.valueOf, and the characters of that string are then inserted into this string buffer at the indicated offset.

The offset argument must be greater than or equal to 0, and less than or equal to the length of this string buffer.

Parameters

offset

the offset.

b

an int.

Return

This string buffer.

Throws

StringIndexOutOfBoundsException

If the offset is invalid.

See also

valueOf method [java.lang.String]

length method [java.lang.StringBuffer]

public synchronized java.lang.StringBuffer insert( int offset, java.lang.Object obj )

Inserts the string representation of the Object argument into this string buffer.

The second argument is converted to a string as if by the method String.valueOf, and the characters of that string are then inserted into this string buffer at the indicated offset.

The offset argument must be greater than or equal to 0, and less than or equal to the length of this string buffer.

Parameters

offset

the offset.

b

an Object.

Return

This string buffer.

Throws

StringIndexOutOfBoundsException

If the offset is invalid.

See also

valueOf method [java.lang.String]

length method [java.lang.StringBuffer]

public synchronized java.lang.StringBuffer insert( int offset, java.lang.String str )

Inserts the string into this string buffer.

The characters of the String argument are inserted, in order, into this string buffer at the indicated offset. The length of this string buffer is increased by the length of the argument.

The offset argument must be greater than or equal to 0, and less than or equal to the length of this string buffer.

Parameters

offset

the offset.

str

a string.

Return

This string buffer.

Throws

StringIndexOutOfBoundsException

If the offset is invalid.

See also

length method [java.lang.StringBuffer]

public java.lang.StringBuffer insert( int offset, long l )

Inserts the string representation of the long argument into this string buffer.

The second argument is converted to a string as if by the method String.valueOf, and the characters of that string are then inserted into this string buffer at the indicated offset.

The offset argument must be greater than or equal to 0, and less than or equal to the length of this string buffer.

Parameters

offset

the offset.

b

a long.

Return

This string buffer.

Throws

StringIndexOutOfBoundsException

If the offset is invalid.

See also

valueOf method [java.lang.String]

length method [java.lang.StringBuffer]

public synchronized java.lang.StringBuffer insert( int offset, char[] str )

Inserts the string representation of the char array argument into this string buffer.

The characters of the array argument are inserted into the contents of this string buffer at the position indicated by offset. The length of this string buffer increases by the length of the argument.

Parameters

offset

the offset.

ch

a character array.

Return

This string buffer.

Throws

StringIndexOutOfBoundsException

If the offset is invalid.

public java.lang.StringBuffer insert( int offset, boolean b )

Inserts the string representation of the boolean argument into this string buffer.

The second argument is converted to a string as if by the method String.valueOf, and the characters of that string are then inserted into this string buffer at the indicated offset.

The offset argument must be greater than or equal to 0, and less than or equal to the length of this string buffer.

Parameters

offset

the offset.

b

a boolean.

Return

This string buffer.

Throws

StringIndexOutOfBoundsException

If the offset is invalid.

See also

valueOf method [java.lang.String]

length method [java.lang.StringBuffer]

public synchronized java.lang.StringBuffer insert( int offset, char c )

Inserts the string representation of the char argument into this string buffer.

The second argument is inserted into the contents of this string buffer at the position indicated by offset. The length of this string buffer increases by one.

The offset argument must be greater than or equal to 0, and less than or equal to the length of this string buffer.

Parameters

offset

the offset.

ch

a char.

Return

This string buffer.

Throws

StringIndexOutOfBoundsException

If the offset is invalid.

See also

length method [java.lang.StringBuffer]

Applies to

 StringBuffer [java.lang]


insertElementAt method [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      insertElementAt method [java.util.Vector]

public final synchronized void insertElementAt( java.lang.Object obj, int index )

Inserts the specified object as a component in this vector at the specified index. Each component in this vector with an index greater or equal to the specified index is shifted upward to have an index one greater than the value it had previously.

The index must be a value greater than or equal to 0 and less than or equal to the current size of the vector.

Parameters

obj

the component to insert.

index

where to insert the new component.

Throws

ArrayIndexOutOfBoundsException

If the index was invalid.

See also

size method [java.util.Vector]

Applies to

 Stack [java.util]

 Vector [java.util]


insertProviderAt method [java.security.Security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      insertProviderAt method [java.security.Security]

public static int insertProviderAt( java.security.Provider provider, int position )

Adds a new provider, at a specified position. The position is the preference order in which providers are searched for requested algorithms. Note that it is not guaranteed that this preference will be respected. The position is 1-based, that is, 1 is most preferred, followed by 2, and so on. Sometimes it will be legal to add a provider, but only in the last position, in which case the position argument will be ignored.

If the given provider is installed at the requested position, the provider that used to be at that position, and all providers with a position greater than position, are shifted up one position (towards the end of the list of installed providers).

A provider cannot be added if it is already installed.

Parameters

provider

the provider to be added.

position

the preference position that the caller would like for this provider.

Return

The actual preference position in which the provider was added, or -1 if the provider was not added because it is already installed.

See also

getProvider method [java.security.Security]

removeProvider method [java.security.Security]

Applies to

 Security [java.security]


insertSeparator method [java.awt.Menu] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      insertSeparator method [java.awt.Menu]

public void insertSeparator( int index )

Inserts a separator at the specified position.

Parameter

index

the position at which the menu separator should be inserted.

Throws

IllegalArgumentException

If the value of index is less than 0.

See also

addSeparator method [java.awt.Menu]

Applies to

 Menu [java.awt]

 PopupMenu [java.awt]


insertText method [java.awt.TextArea] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      insertText method [java.awt.TextArea]

public synchronized void insertText( java.lang.String str, int pos )

Note: insertText has been deprecated. As of JDK version 1.1, replaced by insert(String, int).

No documentation supplied in JDK

Applies to

 TextArea [java.awt]


Insets class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      Insets class [java.awt]

Object

Insets

Description

An Insets object is a representation of the borders of a container. It specifies the space that a container must leave at each of its edges. The space can be a border, a blank space, or a title.

Specification

public class Insets extends java.lang.Object implements java.lang.Cloneable, java.io.Serializable

Constructor

public Insets( int top, int left, int bottom, int right )

Creates and initializes a new Insets object with the specified top, left, bottom, and right insets.

Parameters

top

the inset from the top.

left

the inset from the left.

bottom

the inset from the bottom.

right

the inset from the right.

Variables

public int top

The inset from the top.

public int left

The inset from the left.

public int bottom

The inset from the bottom.

public int right

The inset from the right.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.Object clone( )

  boolean equals( java.lang.Object obj )

  java.lang.String toString( )

Inherited Methods

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable

See also

LayoutManager interface [java.awt]

Container class [java.awt]


insets method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      insets method [java.awt.Container]

public java.awt.Insets insets( )

Note: insets has been deprecated. As of JDK version 1.1, replaced by getInsets().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


insets property [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      insets property [java.awt.Container]

public java.awt.Insets getInsets( )

Determines the insets of this container, which indicate the size of the container's border.

A Frame object, for example, has a top inset that corresponds to the height of the frame's title bar.

Return

The insets of this container.

See also

Insets class [java.awt]

LayoutManager interface [java.awt]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


inside method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      inside method [java.awt.Component]

public boolean inside( int x, int y )

Note: inside has been deprecated. As of JDK version 1.1,  replaced by contains(int, int).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


inside method [java.awt.Polygon] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      inside method [java.awt.Polygon]

public boolean inside( int x, int y )

Note: inside has been deprecated. As of JDK version 1.1, replaced by contains(int, int).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Polygon [java.awt]


inside method [java.awt.Rectangle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      inside method [java.awt.Rectangle]

public boolean inside( int x, int y )

Note: inside has been deprecated. As of JDK version 1.1, replaced by contains(int, int).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Rectangle [java.awt]


instance property [java.text.Collator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      instance property [java.text.Collator]

public static synchronized java.text.Collator getInstance( )

Gets the Collator for the current default locale. The default locale is determined by java.util.Locale.getDefault.

Return

The Collator for the default locale.(for example, en_US).

See also

default property [java.util.Locale]

Applies to

 Collator [java.text]

 RuleBasedCollator [java.text]


instance property [java.text.DateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      instance property [java.text.DateFormat]

public static final java.text.DateFormat getInstance( )

Get a default date/time formatter that uses the SHORT style for both the date and the time.

Return

No documentation supplied in JDK.

Applies to

 DateFormat [java.text]

 SimpleDateFormat [java.text]


instance property [java.text.NumberFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      instance property [java.text.NumberFormat]

public static final java.text.NumberFormat getInstance( )

Returns the default number format for the current default locale. The default format is one of the styles provided by the other factory methods: getNumberInstance, getCurrencyInstance or getPercentInstance. Exactly which one is locale dependant.

Return

No documentation supplied in JDK.

Applies to

 ChoiceFormat [java.text]

 DecimalFormat [java.text]

 NumberFormat [java.text]


instance property [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      instance property [java.util.Calendar]

public static synchronized java.util.Calendar getInstance( )

Gets a Calendar using the default timezone and locale.

Return

A Calendar.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


instantiate method [java.beans.Beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      instantiate method [java.beans.Beans]

public static java.lang.Object instantiate( java.lang.ClassLoader cls, java.lang.String beanName ) throws java.io.IOException, java.lang.ClassNotFoundException

Instantiate a bean.

The bean is created based on a name relative to a class-loader. This name should be a dot-separated name such as "a.b.c".

In Beans 1.0 the given name can indicate either a serialized object or a class.  Other mechanisms may be added in the future.  In beans 1.0 we first try to treat the beanName as a serialized object name then as a class name.

When using the beanName as a serialized object name we convert the given beanName to a resource pathname and add a trailing ".ser" suffix. We then try to load a serialized object from that resource.

For example, given a beanName of "x.y", Beans.instantiate would first try to read a serialized object from the resource "x/y.ser" and if that failed it would try to load the class "x.y" and create an instance of that class.

If the bean is a subtype of java.applet.Applet, then it is given some special initialization.  First, it is supplied with a default AppletStub and AppletContext.  Second, if it was instantiated from a classname the applet's "init" method is called.  (If the bean was deserialized this step is skipped.)

Note that for beans which are applets, it is the caller's responsiblity to call "start" on the applet.  For correct behaviour, this should be done after the applet has been added into a visible AWT container.

Note that applets created via beans.instantiate run in a slightly different environment than applets running inside browsers.  In particular, bean applets have no access to "parameters", so they may wish to provide property get/set methods to set parameter values.  We advise bean-applet developers to test their bean-applets against both the JDK appletviewer (for a reference browser environment) and the BDK BeanBox (for a reference bean container).

Parameters

classLoader

the class-loader from which we should create the bean.  If this is null, then the system class-loader is used.

beanName

the name of the bean within the class-loader. For example "sun.beanbox.foobah"

Return

No documentation supplied in JDK.

Throws

java.lang.ClassNotFoundException

If the class of a serialized object could not be found.

java.io.IOException

If an I/O error occurs.

Applies to

 Beans [java.beans]


InstantiationError class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      InstantiationError class [java.lang]

Object

Throwable

Error

LinkageError

IncompatibleClassChangeError

InstantiationError

Description

Thrown when an application tries to use the Java new construct to instantiate an abstract class or an interface.

Normally, this error is caught by the compiler; this error can only occur at run time if the definition of a class has incompatibly changed.

Specification

public class InstantiationError extends java.lang.IncompatibleClassChangeError

Constructors

public InstantiationError( )

Constructs an InstantiationError with no detail  message.

public InstantiationError( java.lang.String s )

Constructs an InstantiationError with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


InstantiationException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      InstantiationException class [java.lang]

Object

Throwable

Exception

InstantiationException

Description

Thrown when an application tries to create an instance of a class using the newInstance method in class Class, but the specified class object cannot be instantiated because it is an interface or is an abstract class.

Specification

public class InstantiationException extends java.lang.Exception

Constructors

public InstantiationException( )

Constructs an InstantiationException with no detail message.

public InstantiationException( java.lang.String s )

Constructs an InstantiationException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

newInstance method [java.lang.Class]


intBitsToFloat method [java.lang.Float] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      intBitsToFloat method [java.lang.Float]

public static native float intBitsToFloat( int bits )

Returns the single-float corresponding to a given bit represention. The argument is considered to be a representation of a floating-point value according to the IEEE 754 floating-point "single precision" bit layout.

If the argument is 0x7f800000, the result is positive infinity.

If the argument is 0xff800000, the result is negative infinity.

If the argument is any value in the range 0x7f800001 through 0x7f8fffff or in the range 0xff800001 through 0xff8fffff, the result is NaN. All IEEE 754 NaN values are, in effect, lumped together by the Java language into a single value.

Parameter

bits

an integer.

Return

The single-format floating-point value with the same bit pattern.

Applies to

 Float [java.lang]


Integer class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      Integer class [java.lang]

Object

Number

Integer

Description

The Integer class wraps a value of the primitive type int in an object. An object of type Integer contains a single field whose type is int.

In addition, this class provides several methods for converting an int to a String and a String to an int, as well as other constants and methods useful when dealing with an int.

Specification

public final class Integer extends java.lang.Number

Constructors

public Integer( int value )

Constructs a newly allocated Integer object that represents the primitive int argument.

Parameter

value

the value to be represented by the Integer.

public Integer( java.lang.String s ) throws java.lang.NumberFormatException

Constructs a newly allocated Integer object that represents the value represented by the string. The string is converted to an int value as if by the valueOf method.

Parameter

s

the String to be converted to an Integer.

Throws

NumberFormatException

If the String does not contain a parsable integer.

See also

valueOf method [java.lang.Integer]

Variables

public static final int MIN_VALUE

The smallest value of type int.

public static final int MAX_VALUE

The largest value of type int.

public static final java.lang.Class TYPE

The Class object representing the primitive type int.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  byte byteValue( )

  static java.lang.Integer decode( java.lang.String nm ) throws java.lang.NumberFormatException

  double doubleValue( )

  boolean equals( java.lang.Object obj )

  float floatValue( )

  static java.lang.Integer getInteger( java.lang.String nm, int val )

  static java.lang.Integer getInteger( java.lang.String nm, java.lang.Integer val )

  static java.lang.Integer getInteger( java.lang.String nm )

  int hashCode( )

  int intValue( )

  long longValue( )

  static int parseInt( java.lang.String s, int radix ) throws java.lang.NumberFormatException

  static int parseInt( java.lang.String s ) throws java.lang.NumberFormatException

  short shortValue( )

  static java.lang.String toBinaryString( int i )

  static java.lang.String toHexString( int i )

  static java.lang.String toOctalString( int i )

  java.lang.String toString( )

  static java.lang.String toString( int i, int radix )

  static java.lang.String toString( int i )

  static java.lang.Integer valueOf( java.lang.String s, int radix ) throws java.lang.NumberFormatException

  static java.lang.Integer valueOf( java.lang.String s ) throws java.lang.NumberFormatException

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


interface property [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      interface property [java.lang.Class]

public native boolean isInterface( )

Determines if the specified Class object represents an interface type.

Return

true if this object represents an interface; false otherwise.

Applies to

 Class [java.lang]


interface property [java.net.MulticastSocket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      interface property [java.net.MulticastSocket]

public java.net.InetAddress getInterface( ) throws java.net.SocketException

Retrieve the address of the network interface used for multicast packets.

Return

No documentation supplied in JDK.

public void setInterface( java.net.InetAddress inf ) throws java.net.SocketException

Set the outgoing network interface for multicast packets on this socket, to other than the system default.  Useful for multihomed hosts.

Applies to

 MulticastSocket [java.net]


interfaces property [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      interfaces property [java.lang.Class]

public native java.lang.Class[] getInterfaces( )

Determines the interfaces implemented by the class or interface represented by this object.

If this object represents a class, the return value is an array containing objects representing all interfaces implemented by the class. The order of the interface objects in the array corresponds to the order of the interface names in the implements clause of the declaration of the class represented by this object.

If this object represents an interface, the array contains objects representing all interfaces extended by the interface. The order of the interface objects in the array corresponds to the order of the interface names in the extends clause of the declaration of the interface represented by this object.

If the class or interface implements no interfaces, the method returns an array of length 0.

Return

An array of interfaces implemented by this class.

Applies to

 Class [java.lang]


intern method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      intern method [java.lang.String]

public native java.lang.String intern( )

Returns a canonical representation for the string object.

If s and t are strings such that s.equals(t), it is guaranteed that
s.intern() == t.intern().

Return

A string that has the same contents as this string, but is guaranteed to be from a pool of unique strings.

Applies to

 String [java.lang]


InternalError class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      InternalError class [java.lang]

Object

Throwable

Error

VirtualMachineError

InternalError

Description

Thrown to indicate some unexpected internal error has occurred in the Java Virtual Machine.

Specification

public class InternalError extends java.lang.VirtualMachineError

Constructors

public InternalError( )

Constructs an InternalError with no detail message.

public InternalError( java.lang.String s )

Constructs an InternalError with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


internalGet method [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      internalGet method [java.util.Calendar]

protected final int internalGet( int field )

Gets the value for a given time field. This is an internal fast time field value getter for the subclasses.

Parameter

field

the given time field.

Return

The value for the given time field.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


interrupt method [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      interrupt method [java.lang.Thread]

public void interrupt( )

Interrupts this thread.

Applies to

 Thread [java.lang]


interrupted method [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      interrupted method [java.lang.Thread]

public static boolean interrupted( )

Tests if the current thread has been interrupted. Note that interrupted is a static method, while isInterrupted is called on the current Thread instance.

Return

true if the current thread has been interrupted; false otherwise.

See also

interrupted property [java.lang.Thread]

Applies to

 Thread [java.lang]


interrupted property [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      interrupted property [java.lang.Thread]

public boolean isInterrupted( )

Tests if the current thread has been interrupted. Note that isInterrupted is called on the current Thread instance; by contrast, interrupted is a static method.

Return

true if this thread has been interrupted; false otherwise.

See also

interrupted method [java.lang.Thread]

Applies to

 Thread [java.lang]


InterruptedException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      InterruptedException class [java.lang]

Object

Throwable

Exception

InterruptedException

Description

Thrown when a thread is waiting, sleeping, or otherwise paused for a long time and another thread interrupts it using the interrupt  method in class Thread.

Specification

public class InterruptedException extends java.lang.Exception

Constructors

public InterruptedException( )

Constructs an InterruptedException with no detail  message.

public InterruptedException( java.lang.String s )

Constructs an InterruptedException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

wait method [java.lang.Object]

sleep method [java.lang.Thread]

interrupt method [java.lang.Thread]

interrupted method [java.lang.Thread]


InterruptedIOException class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      InterruptedIOException class [java.io]

Object

Throwable

Exception

IOException

InterruptedIOException

Description

Signals that an I/O operation has been interrupted.

Specification

public class InterruptedIOException extends java.io.IOException

Constructors

public InterruptedIOException( )

Constructs an InterruptedIOException with no detail message.

public InterruptedIOException( java.lang.String s )

Constructs an InterruptedIOException with the specified detail message.

Parameter

s

the detail message.

Variable

public int bytesTransferred

Reports how many bytes had been transferred as part of the I/O operation before it was interrupted.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

InputStream class [java.io]

OutputStream class [java.io]

interrupt method [java.lang.Thread]


intersection method [java.awt.Rectangle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      intersection method [java.awt.Rectangle]

public java.awt.Rectangle intersection( java.awt.Rectangle r )

Computes the intersection of this rectangle with the specified rectangle. Returns a new rectangle that represents the intersection of the two rectangles.

Parameter

r

a rectangle.

Return

The largest rectangle contained in both the specified rectangle and in this rectangle.

Applies to

 Rectangle [java.awt]


intersects method [java.awt.Rectangle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      intersects method [java.awt.Rectangle]

public boolean intersects( java.awt.Rectangle r )

Determines whether this rectangle and the specified rectangle intersect. Two rectangles intersect if their intersection is nonempty.

Parameter

r

a rectangle.

Return

true if the specified rectangle and this rectangle insersect; false otherwise.

Applies to

 Rectangle [java.awt]


IntrospectionException class [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      IntrospectionException class [java.beans]

Object

Throwable

Exception

IntrospectionException

Description

Thrown when an exception happens during Introspection.

Typical causes include not being able to map a string class name to a Class object, not being able to resolve a string method name, or specifying a method name that has the wrong type signature for its intended use.

Specification

public class IntrospectionException extends java.lang.Exception

Constructor

public IntrospectionException( java.lang.String mess )

No documentation supplied in JDK

Parameter

mess

Descriptive message

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


Introspector class [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      Introspector class [java.beans]

Object

Introspector

Description

The Introspector class provides a standard way for tools to learn about the properties, events, and methods supported by a target Java Bean.

For each of those three kinds of information, the Introspector will separately analyze the bean's class and superclasses looking for either explicit or implicit information and use that information to build a BeanInfo object that comprehensively describes the target bean.

For each class "Foo", explicit information may be available if there exists a corresponding "FooBeanInfo" class that provides a non-null value when queried for the information.   We first look for the BeanInfo class by taking the full package-qualified name of the target bean class and appending "BeanInfo" to form a new class name.  If this fails, then we take the final classname component of this name, and look for that class in each of the packages specified in the BeanInfo package search path.

Thus for a class such as "sun.xyz.OurButton" we would first look for a BeanInfo class called "sun.xyz.OurButtonBeanInfo" and if that failed we'd look in each package in the BeanInfo search path for an OurButtonBeanInfo class.  With the default search path, this would mean looking for "sun.beans.infos.OurButtonBeanInfo".

If a class provides explicit BeanInfo about itself then we add that to the BeanInfo information we obtained from analyzing any derived classes, but we regard the explicit information as being definitive for the current class and its base classes, and do not proceed any further up the superclass chain.

If we don't find explicit BeanInfo on a class, we use low-level reflection to study the methods of the class and apply standard design patterns to identify property accessors, event sources, or public methods.  We then proceed to analyze the class's superclass and add in the information from it (and possibly on up the superclass chain).

Specification

public class Introspector extends java.lang.Object

Properties

  static java.lang.String[] getBeanInfoSearchPath( )

  static void setBeanInfoSearchPath( java.lang.String[] path )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  static java.lang.String decapitalize( java.lang.String name )

  static java.beans.BeanInfo getBeanInfo( java.lang.Class beanClass, java.lang.Class stopClass ) throws java.beans.IntrospectionException

  static java.beans.BeanInfo getBeanInfo( java.lang.Class beanClass ) throws java.beans.IntrospectionException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


intValue method [java.lang.Byte] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      intValue method [java.lang.Byte]

Overloads:

 int intValue( ) overrides intValue method [java.lang.Number]

public int intValue( )

Returns the value of this Byte as an int.

Return

No documentation supplied in JDK.

Applies to

 Byte [java.lang]


intValue method [java.lang.Double] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      intValue method [java.lang.Double]

Overloads:

 int intValue( ) overrides intValue method [java.lang.Number]

public int intValue( )

Returns the integer value of this Double (by casting to an int).

Return

The double value represented by this object is converted to type int and the result of the conversion is returned.

Applies to

 Double [java.lang]


intValue method [java.lang.Float] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      intValue method [java.lang.Float]

Overloads:

 int intValue( ) overrides intValue method [java.lang.Number]

public int intValue( )

Returns the integer value of this Float (by casting to an int).

Return

The float value represented by this object converted to type int and the result of the conversion is returned.

Applies to

 Float [java.lang]


intValue method [java.lang.Integer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      intValue method [java.lang.Integer]

Overloads:

 int intValue( ) overrides intValue method [java.lang.Number]

public int intValue( )

Returns the value of this Integer as an int.

Return

The int value represented by this object.

Applies to

 Integer [java.lang]


intValue method [java.lang.Long] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      intValue method [java.lang.Long]

Overloads:

 int intValue( ) overrides intValue method [java.lang.Number]

public int intValue( )

Returns the value of this Long as an int.

Return

The long value represented by this object is converted to type int and the result of the conversion is returned.

Applies to

 Long [java.lang]


intValue method [java.lang.Number] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      intValue method [java.lang.Number]

public abstract int intValue( )

Returns the value of the specified number as an int. This may involve rounding.

Return

The numeric value represented by this object after conversion to type int.

Applies to

 BigDecimal [java.math]

 BigInteger [java.math]

 Byte [java.lang]

 Double [java.lang]

 Float [java.lang]

 Integer [java.lang]

 Long [java.lang]

 Number [java.lang]

 Short [java.lang]


intValue method [java.lang.Short] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      intValue method [java.lang.Short]

Overloads:

 int intValue( ) overrides intValue method [java.lang.Number]

public int intValue( )

Returns the value of this Short as an int.

Return

No documentation supplied in JDK.

Applies to

 Short [java.lang]


intValue method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      intValue method [java.math.BigDecimal]

Overloads:

 int intValue( ) overrides intValue method [java.lang.Number]

public int intValue( )

Converts this number to an int.  Standard narrowing primitive conversion as per The Java Language Specification.  In particular, note that any fractional part of this number will be truncated.

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


intValue method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      intValue method [java.math.BigInteger]

Overloads:

 int intValue( ) overrides intValue method [java.lang.Number]

public int intValue( )

Converts this number to an int.  Standard narrowing primitive conversion as per The Java Language Specification.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


invalidate method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      invalidate method [java.awt.Component]

public void invalidate( )

Invalidates this component.  This component and all parents above it are marked as needing to be laid out.  This method can be called often, so it needs to execute quickly.

See also

validate method [java.awt.Component]

doLayout method [java.awt.Component]

LayoutManager interface [java.awt]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


invalidate method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      invalidate method [java.awt.Container]

Overloads:

 void invalidate( ) overrides invalidate method [java.awt.Component]

public void invalidate( )

Invalidates the container.  The container and all parents above it are marked as needing to be laid out.  This method can be called often, so it needs to execute quickly.

See also

validate method [java.awt.Component]

layout method [java.awt.Component]

LayoutManager interface [java.awt]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


invalidateLayout method [java.awt.BorderLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      invalidateLayout method [java.awt.BorderLayout]

public void invalidateLayout( java.awt.Container target )

Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.

Applies to

 BorderLayout [java.awt]


invalidateLayout method [java.awt.CardLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      invalidateLayout method [java.awt.CardLayout]

public void invalidateLayout( java.awt.Container target )

Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.

Applies to

 CardLayout [java.awt]


invalidateLayout method [java.awt.GridBagLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      invalidateLayout method [java.awt.GridBagLayout]

public void invalidateLayout( java.awt.Container target )

Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.

Applies to

 GridBagLayout [java.awt]


InvalidClassException class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      InvalidClassException class [java.io]

Object

Throwable

Exception

IOException

ObjectStreamException

InvalidClassException

Description

Raised when the Serialization runtime detects a problem with a Class. The class may:

•	not match the serial version of the class in the stream

•	the class contains unknown datatypes

•	the class implements only one of writeObject or readObject methods

•	the class is not public

•	the class does not have an accessible no-arg constructor

Specification

public class InvalidClassException extends java.io.ObjectStreamException

Constructors

public InvalidClassException( java.lang.String reason )

Report a InvalidClassException for the specified reason.

public InvalidClassException( java.lang.String cname, java.lang.String reason )

No documentation supplied in JDK

Variable

public java.lang.String classname

.

Properties

  java.lang.String getMessage( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


InvalidKeyException class [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      InvalidKeyException class [java.security]

Object

Throwable

Exception

KeyException

InvalidKeyException

Description

This is the exception for invalid Keys (invalid encoding, wrong length, uninitialized, etc).

Specification

public class InvalidKeyException extends java.security.KeyException

Constructors

public InvalidKeyException( )

Constructs an InvalidKeyException with no detail message. A detail message is a String that describes this particular exception.

public InvalidKeyException( java.lang.String msg )

Constructs an InvalidKeyException with the specified detail message. A detail message is a String that describes this particular exception.

Parameter

msg

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


InvalidObjectException class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      InvalidObjectException class [java.io]

Object

Throwable

Exception

IOException

ObjectStreamException

InvalidObjectException

Description

Indicates that one or more deserialized objects failed validation tests.  The argument should be the reason for the failure.

Specification

public class InvalidObjectException extends java.io.ObjectStreamException

Constructor

public InvalidObjectException( java.lang.String reason )

Constructs an InvalidObjectException with a detail message. The argument should be the reason why the validation of the object failed.

See also

ObjectInputValidation interface [java.io]

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

ObjectInputValidation interface [java.io]


InvalidParameterException class [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      InvalidParameterException class [java.security]

Object

Throwable

Exception

RuntimeException

IllegalArgumentException

InvalidParameterException

Description

This exception is thrown when an invalid parameter is passed to a method.

Specification

public class InvalidParameterException extends java.lang.IllegalArgumentException

Constructors

public InvalidParameterException( )

Constructs an InvalidParameterException with no detail message. A detail message is a String that describes this particular exception.

public InvalidParameterException( java.lang.String msg )

Constructs an InvalidParameterException with the specified detail message.  A detail message is a String that describes this particular exception.

Parameter

msg

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


InvocationTargetException class [java.lang.reflect] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      InvocationTargetException class [java.lang.reflect]

Object

Throwable

Exception

InvocationTargetException

Description

InvocationTargetException is a checked exception that wraps an exception thrown by an invoked method or constructor.

Specification

public class InvocationTargetException extends java.lang.Exception

Constructors

protected InvocationTargetException( )

public InvocationTargetException( java.lang.Throwable target )

Constructs a InvocationTargetException with a target exception.

public InvocationTargetException( java.lang.Throwable target, java.lang.String s )

Constructs a InvocationTargetException with a target exception and a detail message.

Properties

  java.lang.Throwable getTargetException( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Method class [java.lang.reflect]

Constructor class [java.lang.reflect]


invoke method [java.lang.reflect.Method] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      invoke method [java.lang.reflect.Method]

public native java.lang.Object invoke( java.lang.Object obj, java.lang.Object[] args ) throws java.lang.IllegalAccessException, java.lang.IllegalArgumentException, java.lang.reflect.InvocationTargetException

Invokes the underlying method represented by this Method object, on the specified object with the specified parameters. Individual parameters are automatically unwrapped to match primitive formal parameters, and both primitive and reference parameters are subject to widening conversions as necessary. The value returned by the underlying method is automatically wrapped in an object if it has a primitive type.

Method invocation proceeds with the following steps, in order:

If the underlying method is static, then the specified object argument is ignored. It may be null.

Otherwise, the method is an instance method.  If the specified object argument is null, the invocation throws a NullPointerException.  Otherwise, if the specified object argument is not an instance of the class or interface declaring the underlying method, the invocation throws an IllegalArgumentException.

If this Method object enforces Java language access control and the underlying method is inaccessible, the invocation throws an IllegalAccessException.

If the number of actual parameters supplied via args is different from the number of formal parameters required by the underlying method, the invocation throws an IllegalArgumentException.

For each actual parameter in the supplied args array:

If the corresponding formal parameter has a primitive type, an unwrapping conversion is attempted to convert the object value to a value of a primitive type.  If this attempt fails, the invocation throws an IllegalArgumentException.

If, after possible unwrapping, the parameter value cannot be converted to the corresponding formal parameter type by an identity or widening conversion, the invocation throws an IllegalArgumentException.

If the underlying method is an instance method, it is invoked using dynamic method lookup as documented in The Java Language Specification, section 15.11.4.4; in particular, overriding based on the runtime type of the target object will occur.

If the underlying method is static, it is invoked as exactly the method on the declaring class.

Control transfers to the underlying method.  If the method completes abruptly by throwing an exception, the exception is placed in an InvocationTargetException and thrown in turn to the caller of invoke.

If the method completes normally, the value it returns is returned to the caller of invoke; if the value has a primitive type, it is first appropriately wrapped in an object. If the underlying method return type is void, the invocation returns null.

Return

No documentation supplied in JDK.

Throws

IllegalAccessException

If the underlying method is inaccessible.

IllegalArgumentException

If the number of actual and formal parameters differ, or if an unwrapping conversion fails.

InvocationTargetException

If the underlying method throws an exception.

NullPointerException

If the specified object is null.

Applies to

 Method [java.lang.reflect]


IOException class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      IOException class [java.io]

Object

Throwable

Exception

IOException

Description

Signals that an I/O exception of some sort has occurred.

Specification

public class IOException extends java.lang.Exception

Constructors

public IOException( )

Constructs an IOException with no detail message.

public IOException( java.lang.String s )

Constructs an IOException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

InputStream class [java.io]

OutputStream class [java.io]


isAbstract method [java.lang.reflect.Modifier] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isAbstract method [java.lang.reflect.Modifier]

public static boolean isAbstract( int mod )

Return true if the specifier integer includes the abstract modifier.

Return

No documentation supplied in JDK.

Applies to

 Modifier [java.lang.reflect]


isAncestorOf method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isAncestorOf method [java.awt.Container]

public boolean isAncestorOf( java.awt.Component c )

Checks if the component is contained in the component hierarchy of this container.

Parameter

c

the component

Return

true if it is an ancestor; true otherwise.

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


isAssignableFrom method [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isAssignableFrom method [java.lang.Class]

public native boolean isAssignableFrom( java.lang.Class cls )

Determines if the class or interface represented by this Class object is either the same as, or is a superclass or superinterface of, the class or interface represented by the specified Class parameter. It returns true if so, false otherwise. If this Class object represents a primitive type, returns true if the specified Class parameter is exactly this Class object, false otherwise.

Specifically, this method tests whether the type represented by the specified Class parameter can be converted to the type represented by this Class object via an identity conversion or via a widening reference conversion. See The Java Language Specification , sections 5.1.1 and 5.1.4 , for details.

Return

No documentation supplied in JDK.

Throws

NullPointerException

If the specified Class parameter is null.

Applies to

 Class [java.lang]


isConsumer method [java.awt.image.FilteredImageSource] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isConsumer method [java.awt.image.FilteredImageSource]

public synchronized boolean isConsumer( java.awt.image.ImageConsumer ic )

Determines whether an ImageConsumer is on the list of consumers currently interested in data for this image.

Return

True if the ImageConsumer is on the list; false otherwise.

See also

ImageConsumer interface [java.awt.image]

Applies to

 FilteredImageSource [java.awt.image]


isConsumer method [java.awt.image.MemoryImageSource] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isConsumer method [java.awt.image.MemoryImageSource]

public synchronized boolean isConsumer( java.awt.image.ImageConsumer ic )

Determine if an ImageConsumer is on the list of consumers currently interested in data for this image.

Return

True if the ImageConsumer is on the list; false otherwise.

See also

ImageConsumer interface [java.awt.image]

Applies to

 MemoryImageSource [java.awt.image]


isDataFlavorSupported method [java.awt.datatransfer.StringSelection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isDataFlavorSupported method [java.awt.datatransfer.StringSelection]

public boolean isDataFlavorSupported( java.awt.datatransfer.DataFlavor flavor )

Returns whether the requested flavor is supported by this object.

Parameter

flavor

the requested flavor for the data

Return

No documentation supplied in JDK.

Applies to

 StringSelection [java.awt.datatransfer]


isDefined method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isDefined method [java.lang.Character]

public static boolean isDefined( char ch )

Determines if a character has a defined meaning in Unicode. A character is defined if at least one of the following is true:

•	It has an entry in the Unicode attribute table.

•	Its value is in the range '\u3040' <= ch <= '\u9FA5'.

•	Its value is in the range '\uF900' <= ch <= '\uFA2D'.

Parameter

ch

the character to be tested

Return

true if the character has a defined meaning in Unicode; false otherwise.

See also

isDigit method [java.lang.Character]

isLetter method [java.lang.Character]

isLetterOrDigit method [java.lang.Character]

isLowerCase method [java.lang.Character]

isTitleCase method [java.lang.Character]

isUpperCase method [java.lang.Character]

Applies to

 Character [java.lang]


isDigit method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isDigit method [java.lang.Character]

public static boolean isDigit( char ch )

Determines if the specified character is a digit. A character is considered to be a digit if it is not in the range '\u2000' <= ch <= '\u2FFF' and its Unicode name contains the word "DIGIT". For a more complete specification that encompasses all Unicode characters that are defined as digits, see Gosling, Joy, and Steele, The Java Language Specification .

These are the ranges of Unicode characters that are considered digits:

0x0030 through 0x0039 	ISO-LATIN-1 digits ('0' through '9')

0x0660 through 0x0669  	Arabic-Indic digits

0x06F0 through 0x06F9 	Extended Arabic-Indic digits

0x0966 through 0x096F  	Devanagari digits

0x09E6 through 0x09EF  	Bengali digits

0x0A66 through 0x0A6F  	Gurmukhi digits

0x0AE6 through 0x0AEF  	Gujarati digits

0x0B66 through 0x0B6F  	Oriya digits

0x0BE7 through 0x0BEF  	Tamil digits

0x0C66 through 0x0C6F  	Telugu digits

0x0CE6 through 0x0CEF  	Kannada digits

0x0D66 through 0x0D6F  	Malayalam digits

0x0E50 through 0x0E59  	Thai digits

0x0ED0 through 0x0ED9  	Lao digits

0x0F20 through 0x0F29  	Tibetan digits

0xFF10 through 0xFF19  	Fullwidth digits

Parameter

ch

the character to be tested.

Return

true if the character is a digit; false otherwise.

See also

digit method [java.lang.Character]

forDigit method [java.lang.Character]

Applies to

 Character [java.lang]


isEqual method [java.security.MessageDigest] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isEqual method [java.security.MessageDigest]

public static boolean isEqual( byte[] digesta, byte[] digestb )

Compares two digests for equality. Does a simple byte compare.

Parameters

digesta

one of the digests to compare.

digestb

the other digest to compare.

Return

True if the digests are equal, false otherwise.

Applies to

 MessageDigest [java.security]


isErrorID method [java.awt.MediaTracker] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isErrorID method [java.awt.MediaTracker]

public synchronized boolean isErrorID( int id )

Checks the error status of all of the images tracked by this media tracker with the specified identifier.

Parameter

id

the identifier of the images to check.

Return

true if any of the images with the specified identifier had an error during loading; false otherwise.

See also

errorAny property [java.awt.MediaTracker]

errorsID property [java.awt.MediaTracker]

Applies to

 MediaTracker [java.awt]


isFinal method [java.lang.reflect.Modifier] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isFinal method [java.lang.reflect.Modifier]

public static boolean isFinal( int mod )

Return true if the specifier integer includes the final modifier.

Return

No documentation supplied in JDK.

Applies to

 Modifier [java.lang.reflect]


isIdentifierIgnorable method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isIdentifierIgnorable method [java.lang.Character]

public static boolean isIdentifierIgnorable( char ch )

Determines if the specified character should be regarded as an ignorable character in a Java identifier or a Unicode identifier. The following Unicode characters are ignorable in a Java identifier or a Unicode identifier:

0x0000 through 0x0008, 	ISO control characters that

0x000E through 0x001B, 	are not whitespace

and 0x007F through 0x009F

0x200C through 0x200F  	join controls

0x200A through 0x200E  	bidirectional controls

0x206A through 0x206F  	format controls

0xFEFF               	zero-width no-break space

Parameter

ch

the character to be tested.

Return

True if the character may be part of a Unicode identifier; false otherwise.

See also

isJavaIdentifierPart method [java.lang.Character]

isUnicodeIdentifierPart method [java.lang.Character]

Applies to

 Character [java.lang]


isIndexSelected method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isIndexSelected method [java.awt.List]

public boolean isIndexSelected( int index )

Determines if the specified item in this scrolling list is selected.

Parameter

index

the item to be checked.

Return

true if the specified item has been selected; false otherwise.

See also

select method [java.awt.List]

deselect method [java.awt.List]

Applies to

 List [java.awt]


isInfinite method [java.lang.Double] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isInfinite method [java.lang.Double]

public static boolean isInfinite( double v )

Returns true if the specified number is infinitely large in magnitude.

Parameter

v

the value to be tested.

Return

true if the value of the argument is positive infinity or negative infinity; false otherwise.

Applies to

 Double [java.lang]


isInfinite method [java.lang.Float] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isInfinite method [java.lang.Float]

public static boolean isInfinite( float v )

Returns true if the specified number is infinitely large in magnitude.

Parameter

v

the value to be tested.

Return

true if the argument is positive infinity or negative infinity; false otherwise.

Applies to

 Float [java.lang]


isInstance method [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isInstance method [java.lang.Class]

public native boolean isInstance( java.lang.Object obj )

This method is the dynamic equivalent of the Java language instanceof operator. The method returns true if the specified Object argument is non-null and can be cast to the reference type represented by this Class object without raising a ClassCastException. It returns false otherwise.

Specifically, if this Class object represents a declared class, returns true if the specified Object argument is an instance of the represented class (or of any of its subclasses); false otherwise. If this Class object represents an array class, returns true if the specified Object argument can be converted to an object of the array type by an identity conversion or by a widening reference conversion; false otherwise. If this Class object represents an interface, returns true if the class or any superclass of the specified Object argument implements this interface; false otherwise. If this Class object represents a primitive type, returns false.

Parameter

obj

The object to check

Return

No documentation supplied in JDK.

Applies to

 Class [java.lang]


isInstanceOf method [java.beans.Beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isInstanceOf method [java.beans.Beans]

public static boolean isInstanceOf( java.lang.Object bean, java.lang.Class targetType )

Check if a bean can be viewed as a given target type. The result will be true if the Beans.getInstanceof method can be used on the given bean to obtain an object that represents the specified targetType type view.

Parameters

bean

Bean from which we want to obtain a view.

targetType

The type of view wed like to get.

Return

"true" if the given bean supports the given targetType.

Applies to

 Beans [java.beans]


isInterface method [java.lang.reflect.Modifier] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isInterface method [java.lang.reflect.Modifier]

public static boolean isInterface( int mod )

Return true if the specifier integer includes the interface modifier.

Return

No documentation supplied in JDK.

Applies to

 Modifier [java.lang.reflect]


isISOControl method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isISOControl method [java.lang.Character]

public static boolean isISOControl( char ch )

Determines if the specified character is an ISO control character. A character is considered to be an ISO control character if its code is in the range \u0000 through \u001F or in the range \u007F through \u009F.

Parameter

ch

the character to be tested.

Return

True if the character is an ISO control character; false otherwise.

See also

isSpaceChar method [java.lang.Character]

isWhitespace method [java.lang.Character]

Applies to

 Character [java.lang]


isJavaIdentifierPart method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isJavaIdentifierPart method [java.lang.Character]

public static boolean isJavaIdentifierPart( char ch )

Determines if the specified character may be part of a Java identifier as other than the first character. A character may be part of a Java identifier if and only if it is one of the following:

•	 a letter

•	 a currency symbol (such as "$")

•	 a connecting punctuation character (such as "_").

•	 a digit

•	 a numeric letter (such as a Roman numeral character)

•	 a combining mark

•	 a non-spacing mark

•	 an ignorable control character

Parameter

ch

the character to be tested.

Return

True if the character may be part of a Unicode identifier; false otherwise.

See also

isIdentifierIgnorable method [java.lang.Character]

isJavaIdentifierStart method [java.lang.Character]

isLetterOrDigit method [java.lang.Character]

isUnicodeIdentifierPart method [java.lang.Character]

Applies to

 Character [java.lang]


isJavaIdentifierStart method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isJavaIdentifierStart method [java.lang.Character]

public static boolean isJavaIdentifierStart( char ch )

Determines if the specified character is permissible as the first character in a Java identifier. A character may start a Java identifier if and only if it is one of the following:

•	 a letter

•	 a currency symbol (such as "$")

•	 a connecting punctuation character (such as "_").

Parameter

ch

the character to be tested.

Return

True if the character may start a Java identifier; false otherwise.

See also

isJavaIdentifierPart method [java.lang.Character]

isLetter method [java.lang.Character]

isUnicodeIdentifierStart method [java.lang.Character]

Applies to

 Character [java.lang]


isJavaLetter method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isJavaLetter method [java.lang.Character]

public static boolean isJavaLetter( char ch )

Note: isJavaLetter has been deprecated. Replaced by isJavaIdentifierStart(char).

Determines if the specified character is a "Java" letter, that is, the character is permissible as the first character in an identifier in the Java language.

A character is considered to be a Java letter if and only if it is a letter, the ASCII dollar sign character '$', or the underscore character '_'.

Parameter

ch

the character to be tested.

Return

true if the character is a Java letter; false otherwise.

See also

isJavaIdentifierStart method [java.lang.Character]

isJavaLetterOrDigit method [java.lang.Character]

isLetter method [java.lang.Character]

isLetterOrDigit method [java.lang.Character]

isUnicodeIdentifierStart method [java.lang.Character]

Applies to

 Character [java.lang]


isJavaLetterOrDigit method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isJavaLetterOrDigit method [java.lang.Character]

public static boolean isJavaLetterOrDigit( char ch )

Note: isJavaLetterOrDigit has been deprecated. Replaced by isJavaIdentifierPart(char).

Determines if the specified character is a "Java" letter or digit, that is, the character is permissible as a non-initial character in an identifier in the Java language.

A character is considered to be a Java letter or digit if and only if it is a letter, a digit, the ASCII dollar sign character '$', or the underscore character '_'.

Parameter

ch

the character to be tested.

Return

true if the character is a Java letter or digit; false otherwise.

See also

isJavaIdentifierPart method [java.lang.Character]

isJavaLetter method [java.lang.Character]

isLetter method [java.lang.Character]

isLetterOrDigit method [java.lang.Character]

isUnicodeIdentifierPart method [java.lang.Character]

Applies to

 Character [java.lang]


isLeapYear method [java.util.GregorianCalendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isLeapYear method [java.util.GregorianCalendar]

public boolean isLeapYear( int year )

Determines if the given year is a leap year. Returns true if the given year is a leap year.

Parameter

year

the given year.

Return

True if the given year is a leap year; false otherwise.

Applies to

 GregorianCalendar [java.util]


isLetter method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isLetter method [java.lang.Character]

public static boolean isLetter( char ch )

Determines if the specified character is a letter. For a more complete specification that encompasses all Unicode characters, see Gosling, Joy, and Steele, The Java Language Specification .

A character is considered to be a letter if and only if it is specified to be a letter by the Unicode 2.0 standard (category "Lu", "Ll", "Lt", "Lm", or "Lo" in the Unicode specification data file).

Note that most ideographic characters are considered to be letters (category "Lo") for this purpose.

Note also that not all letters have case: many Unicode characters are letters but are neither uppercase nor lowercase nor titlecase.

Parameter

ch

the character to be tested.

Return

true if the character is a letter; false otherwise.

See also

isDigit method [java.lang.Character]

isJavaIdentifierStart method [java.lang.Character]

isJavaLetter method [java.lang.Character]

isJavaLetterOrDigit method [java.lang.Character]

isLetterOrDigit method [java.lang.Character]

isLowerCase method [java.lang.Character]

isTitleCase method [java.lang.Character]

isUnicodeIdentifierStart method [java.lang.Character]

isUpperCase method [java.lang.Character]

Applies to

 Character [java.lang]


isLetterOrDigit method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isLetterOrDigit method [java.lang.Character]

public static boolean isLetterOrDigit( char ch )

Determines if the specified character is a letter or digit. For a more complete specification that encompasses all Unicode characters, see Gosling, Joy, and Steele, The Java Language Specification .

A character is considered to be a letter if and only if it is specified to be a letter or a digit by the Unicode 2.0 standard (category "Lu", "Ll", "Lt", "Lm", "Lo", or "Nd" in the Unicode specification data file).  In other words, isLetterOrDigit is true of a character if and only if either isLetter is true of the character or isDigit is true of the character.

Parameter

ch

the character to be tested.

Return

true if the character is a letter or digit; false otherwise.

See also

isDigit method [java.lang.Character]

isJavaIdentifierPart method [java.lang.Character]

isJavaLetter method [java.lang.Character]

isJavaLetterOrDigit method [java.lang.Character]

isLetter method [java.lang.Character]

isUnicodeIdentifierPart method [java.lang.Character]

Applies to

 Character [java.lang]


isLowerCase method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isLowerCase method [java.lang.Character]

public static boolean isLowerCase( char ch )

Determines if the specified character is a lowercase character. A character is lowercase if it is not in the range '\u2000' through '\u2FFF', the Unicode attribute table does not specify a mapping to lowercase for the character, and at least one of the following is true:

•	The attribute table specifies a mapping to uppercase for the character.

•	The name for the character contains the words "SMALL LETTER".

•	The name for the character contains the words "SMALL LIGATURE".

A character is considered to be lowercase if and only if it is specified to be lowercase by the Unicode 2.0 standard (category "Ll" in the Unicode specification data file).

Of the ISO-LATIN-1 characters (character codes 0x0000 through 0x00FF), the following are lowercase:

a b c d e f g h i j k l m n o p q r s t u v w x y z

\u00DF \u00E0 \u00E1 \u00E2 \u00E3 \u00E4 \u00E5 \u00E6 \u00E7

\u00E8 \u00E9 \u00EA \u00EB \u00EC \u00ED \u00EE \u00EF \u00F0

\u00F1 \u00F2 \u00F3 \u00F4 \u00F5 \u00F6 \u00F8 \u00F9 \u00FA

\u00FB \u00FC \u00FD \u00FE \u00FF

Many other Unicode characters are lowercase, too.

Parameter

ch

the character to be tested.

Return

true if the character is lowercase; false otherwise.

See also

isTitleCase method [java.lang.Character]

toLowerCase method [java.lang.Character]

Applies to

 Character [java.lang]


isMimeTypeEqual method [java.awt.datatransfer.DataFlavor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isMimeTypeEqual method [java.awt.datatransfer.DataFlavor]

Overloads:

 boolean isMimeTypeEqual( String mimeType )

 boolean isMimeTypeEqual( DataFlavor dataFlavor )

public boolean isMimeTypeEqual( java.lang.String mimeType )

Is the string representation of the MIME type passed in equivalent to the MIME type of this DataFlavor.  This may involve adding default attributes for some MIME types (like adding charset=US-ASCII to text/plain MIME types that have no charset parameter specified)

Return

No documentation supplied in JDK.

public final boolean isMimeTypeEqual( java.awt.datatransfer.DataFlavor dataFlavor )

Convenience function equivalent to calling: isMimeTypeEqual(dataFlavor.getMimeType());

Return

No documentation supplied in JDK.

Applies to

 DataFlavor [java.awt.datatransfer]


isNaN method [java.lang.Double] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isNaN method [java.lang.Double]

public static boolean isNaN( double v )

Returns true if the specified number is the special Not-a-Number (NaN) value.

Parameter

v

the value to be tested.

Return

true if the value of the argument is NaN; false otherwise.

Applies to

 Double [java.lang]


isNaN method [java.lang.Float] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isNaN method [java.lang.Float]

public static boolean isNaN( float v )

Returns true if the specified number is the special Not-a-Number (NaN) value.

Parameter

v

the value to be tested.

Return

true if the argument is NaN; false otherwise.

Applies to

 Float [java.lang]


isNative method [java.lang.reflect.Modifier] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isNative method [java.lang.reflect.Modifier]

public static boolean isNative( int mod )

Return true if the specifier integer includes the native modifier.

Return

No documentation supplied in JDK.

Applies to

 Modifier [java.lang.reflect]


ISO3Country property [java.util.Locale] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      ISO3Country property [java.util.Locale]

public java.lang.String getISO3Country( ) throws java.util.MissingResourceException

Getter for the three-letter ISO country abbreviation of the locale.  Returns the empty string if the locale doesn't specify a country.

Return

No documentation supplied in JDK.

Throws

MissingResourceException

Throws MissingResourceException if the three-letter language abbreviation is not available for this locale.

Applies to

 Locale [java.util]


ISO3Language property [java.util.Locale] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      ISO3Language property [java.util.Locale]

public java.lang.String getISO3Language( ) throws java.util.MissingResourceException

Getter for the three-letter ISO language abbreviation of the locale.  Returns the empty string if the locale doesn't specify a language.

Return

No documentation supplied in JDK.

Throws

MissingResourceException

Throws MissingResourceException if the three-letter language abbreviation is not available for this locale.

Applies to

 Locale [java.util]


isPrivate method [java.lang.reflect.Modifier] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isPrivate method [java.lang.reflect.Modifier]

public static boolean isPrivate( int mod )

Return true if the specifier integer includes the private modifier.

Return

No documentation supplied in JDK.

Applies to

 Modifier [java.lang.reflect]


isProbablePrime method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isProbablePrime method [java.math.BigInteger]

public boolean isProbablePrime( int certainty )

Returns true if this BigInteger is probably prime, false if it's definitely composite.  The certainty parameter is a measure of the uncertainty that the caller is willing to tolerate: the method returns true if the probability that this number is is prime exceeds 1 - 1/2**certainty.  The execution time is proportional to the value of the certainty parameter.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


isProtected method [java.lang.reflect.Modifier] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isProtected method [java.lang.reflect.Modifier]

public static boolean isProtected( int mod )

Return true if the specifier integer includes the protected modifier.

Return

No documentation supplied in JDK.

Applies to

 Modifier [java.lang.reflect]


isPublic method [java.lang.reflect.Modifier] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isPublic method [java.lang.reflect.Modifier]

public static boolean isPublic( int mod )

Return true if the specified integer includes the public modifier.

Return

No documentation supplied in JDK.

Applies to

 Modifier [java.lang.reflect]


isSelected method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isSelected method [java.awt.List]

public boolean isSelected( int index )

Note: isSelected has been deprecated. As of JDK version 1.1, replaced by isIndexSelected(int).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 List [java.awt]


isSet method [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isSet method [java.util.Calendar]

public final boolean isSet( int field )

Determines if the given time field has a value set.

Return

True if the given time field has a value set; false otherwise.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


isSpace method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isSpace method [java.lang.Character]

public static boolean isSpace( char ch )

Note: isSpace has been deprecated. Replaced by isWhitespace(char).

Determines if the specified character is ISO-LATIN-1 white space. This method returns true for the following five characters only:

'\t'  	\u0009  	HORIZONTAL TABULATION

'\n'  	\u000A  	NEW LINE

'\f'  	\u000C  	FORM FEED

'\r'  	\u000D  	CARRIAGE RETURN

'  ' 	\u0020  	SPACE

Parameter

ch

the character to be tested.

Return

true if the character is ISO-LATIN-1 white space; false otherwise.

See also

isSpaceChar method [java.lang.Character]

isWhitespace method [java.lang.Character]

Applies to

 Character [java.lang]


isSpaceChar method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isSpaceChar method [java.lang.Character]

public static boolean isSpaceChar( char ch )

Determines if the specified character is a Unicode space character. A character is considered to be a space character if and only if it is specified to be a space character by the Unicode 2.0 standard (category "Zs", "Zl, or "Zp" in the Unicode specification data file).

Parameter

ch

the character to be tested.

Return

True if the character is a space character; false otherwise.

See also

isWhitespace method [java.lang.Character]

Applies to

 Character [java.lang]


isStatic method [java.lang.reflect.Modifier] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isStatic method [java.lang.reflect.Modifier]

public static boolean isStatic( int mod )

Return true if the specifier integer includes the static modifier.

Return

No documentation supplied in JDK.

Applies to

 Modifier [java.lang.reflect]


isSynchronized method [java.lang.reflect.Modifier] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isSynchronized method [java.lang.reflect.Modifier]

public static boolean isSynchronized( int mod )

Return true if the specifier integer includes the synchronized modifier.

Return

No documentation supplied in JDK.

Applies to

 Modifier [java.lang.reflect]


isTitleCase method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isTitleCase method [java.lang.Character]

public static boolean isTitleCase( char ch )

Determines if the specified character is a titlecase character. A character is considered to be titlecase if and only if it is specified to be titlecase by the Unicode 2.0 standard (category "Lt" in the Unicode specification data file).

The printed representations of four Unicode characters look like pairs of Latin letters. For example, there is an uppercase letter that looks like "LJ" and has a corresponding lowercase letter that looks like "lj". A third form, which looks like "Lj", is the appropriate form to use when rendering a word in lowercase with initial capitals, as for a book title.

These are the Unicode characters for which this method returns true:

•	LATIN CAPITAL LETTER D WITH SMALL LETTER Z WITH CARON

•	LATIN CAPITAL LETTER L WITH SMALL LETTER J

•	LATIN CAPITAL LETTER N WITH SMALL LETTER J

•	LATIN CAPITAL LETTER D WITH SMALL LETTER Z

Parameter

ch

the character to be tested.

Return

true if the character is titlecase; false otherwise.

See also

isLowerCase method [java.lang.Character]

isUpperCase method [java.lang.Character]

toTitleCase method [java.lang.Character]

Applies to

 Character [java.lang]


isTransient method [java.lang.reflect.Modifier] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isTransient method [java.lang.reflect.Modifier]

public static boolean isTransient( int mod )

Return true if the specifier integer includes the transient modifier.

Return

No documentation supplied in JDK.

Applies to

 Modifier [java.lang.reflect]


isUnicodeIdentifierPart method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isUnicodeIdentifierPart method [java.lang.Character]

public static boolean isUnicodeIdentifierPart( char ch )

Determines if the specified character may be part of a Unicode identifier as other than the first character. A character may be part of a Unicode identifier if and only if it is one of the following:

•	 a letter

•	 a connecting punctuation character (such as "_").

•	 a digit

•	 a numeric letter (such as a Roman numeral character)

•	 a combining mark

•	 a non-spacing mark

•	 an ignorable control character

Parameter

ch

the character to be tested.

Return

True if the character may be part of a Unicode identifier; false otherwise.

See also

isIdentifierIgnorable method [java.lang.Character]

isJavaIdentifierPart method [java.lang.Character]

isLetterOrDigit method [java.lang.Character]

isUnicodeIdentifierStart method [java.lang.Character]

Applies to

 Character [java.lang]


isUnicodeIdentifierStart method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isUnicodeIdentifierStart method [java.lang.Character]

public static boolean isUnicodeIdentifierStart( char ch )

Determines if the specified character is permissible as the first character in a Unicode identifier. A character may start a Unicode identifier if and only if it is a letter.

Parameter

ch

the character to be tested.

Return

True if the character may start a Unicode identifier; false otherwise.

See also

isJavaIdentifierStart method [java.lang.Character]

isLetter method [java.lang.Character]

isUnicodeIdentifierPart method [java.lang.Character]

Applies to

 Character [java.lang]


isUpperCase method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isUpperCase method [java.lang.Character]

public static boolean isUpperCase( char ch )

Determines if the specified character is an uppercase character. A character is uppercase if it is not in the range '\u2000' through '\u2FFF', the Unicode attribute table does not specify a mapping to uppercase for the character, and at least one of the following is true:

•	The attribute table specifies a mapping to lowercase for the character.

•	The name for the character contains the words "CAPITAL LETTER".

•	The name for the character contains the words "CAPITAL LIGATURE".

Of the ISO-LATIN-1 characters (character codes 0x0000 through 0x00FF), the following are uppercase:

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

\u00C0 \u00C1 \u00C2 \u00C3 \u00C4 \u00C5 \u00C6 \u00C7

\u00C8 \u00C9 \u00CA \u00CB \u00CC \u00CD \u00CE \u00CF \u00D0

\u00D1 \u00D2 \u00D3 \u00D4 \u00D5 \u00D6 \u00D8 \u00D9 \u00DA

\u00DB \u00DC \u00DD \u00DE

Many other Unicode characters are uppercase, too.

Parameter

ch

the character to be tested.

Return

true if the character is uppercase; false otherwise.

See also

isLowerCase method [java.lang.Character]

isTitleCase method [java.lang.Character]

toUpperCase method [java.lang.Character]

Applies to

 Character [java.lang]


isVolatile method [java.lang.reflect.Modifier] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isVolatile method [java.lang.reflect.Modifier]

public static boolean isVolatile( int mod )

Return true if the specifier integer includes the volatile modifier.

Return

No documentation supplied in JDK.

Applies to

 Modifier [java.lang.reflect]


isWhitespace method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      isWhitespace method [java.lang.Character]

public static boolean isWhitespace( char ch )

Determines if the specified character is white space according to Java. A character is considered to be a Java whitespace character if and only if it satisfies one of the following criteria:

•	It is a Unicode space separator (category "Zs"), but is not a no-break space (\u00A0 or \uFEFF).

•	It is a Unicode line separator (category "Zl").

•	It is a Unicode paragraph separator (category "Zp").

•	It is \u0009, HORIZONTAL TABULATION.

•	It is \u000A, LINE FEED.

•	It is \u000B, VERTICAL TABULATION.

•	It is \u000C, FORM FEED.

•	It is \u000D, CARRIAGE RETURN.

•	It is \u001C, FILE SEPARATOR.

•	It is \u001D, GROUP SEPARATOR.

•	It is \u001E, RECORD SEPARATOR.

•	It is \u001F, UNIT SEPARATOR.

Parameter

ch

the character to be tested.

Return

True if the character is a Java whitespace character; false otherwise.

See also

isSpaceChar method [java.lang.Character]

Applies to

 Character [java.lang]


italic property [java.awt.Font] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      italic property [java.awt.Font]

public boolean isItalic( )

Indicates whether the font's style is italic.

Return

true if the font is italic; false otherwise.

See also

style property [java.awt.Font]

Applies to

 Font [java.awt]


item property [java.awt.Choice] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      item property [java.awt.Choice]

public java.lang.String getItem( int index )

Gets the string at the specified index in this Choice menu.

Parameter

index

the index at which to begin.

Return

No documentation supplied in JDK.

See also

itemCount property [java.awt.Choice]

Applies to

 Choice [java.awt]


item property [java.awt.event.ItemEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      item property [java.awt.event.ItemEvent]

public java.lang.Object getItem( )

Returns the item where the event occurred.

Return

No documentation supplied in JDK.

Applies to

 ItemEvent [java.awt.event]


item property [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      item property [java.awt.List]

public java.lang.String getItem( int index )

Gets the item associated with the specified index.

Parameter

index

the position of the item.

Return

An item that is associated with the specified index.

See also

itemCount property [java.awt.List]

Applies to

 List [java.awt]


item property [java.awt.Menu] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      item property [java.awt.Menu]

public java.awt.MenuItem getItem( int index )

Gets the item located at the specified index of this menu.

Parameter

index

the position of the item to be returned.

Return

The item located at the specified index.

Applies to

 Menu [java.awt]

 PopupMenu [java.awt]


itemCount property [java.awt.Choice] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      itemCount property [java.awt.Choice]

public int getItemCount( )

Returns the number of items in this Choice menu.

Return

No documentation supplied in JDK.

See also

item property [java.awt.Choice]

Applies to

 Choice [java.awt]


itemCount property [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      itemCount property [java.awt.List]

public int getItemCount( )

Gets the number of items in the list.

Return

The number of items in the list.

See also

item property [java.awt.List]

Applies to

 List [java.awt]


itemCount property [java.awt.Menu] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      itemCount property [java.awt.Menu]

public int getItemCount( )

Get the number of items in this menu.

Return

The number of items in this menu.

Applies to

 Menu [java.awt]

 PopupMenu [java.awt]


ItemEvent class [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      ItemEvent class [java.awt.event]

Object

EventObject

AWTEvent

ItemEvent

Description

The item event emitted by ItemSelectable objects. This event is generated when an item is selected or de-selected.

Specification

public class ItemEvent extends java.awt.AWTEvent

Constructor

public ItemEvent( java.awt.ItemSelectable source, int id, java.lang.Object item, int stateChange )

Constructs a ItemSelectEvent object with the specified ItemSelectable source, type, item, and item select state.

Parameter

source

the ItemSelectable object where the event originated

Variables

public static final int ITEM_FIRST

Marks the first integer id for the range of item event ids.

public static final int ITEM_LAST

Marks the last integer id for the range of item event ids.

public static final int ITEM_STATE_CHANGED

The item state changed event type.

public static final int SELECTED

The item selected state change type.

public static final int DESELECTED

The item de-selected state change type.

Properties

  java.lang.Object getItem( )

  java.awt.ItemSelectable getItemSelectable( )

  int getStateChange( )

Inherited Properties

  native final java.lang.Class getClass( )

  int getID( )

  java.lang.Object getSource( )

Protected Properties

 protected boolean isConsumed( )

Methods

  java.lang.String paramString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void consume( )

 protected void finalize( ) throws java.lang.Throwable

See also

ItemSelectable interface [java.awt]

ItemListener interface [java.awt.event]


ItemEvent event [java.awt.Checkbox] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      ItemEvent event [java.awt.Checkbox]

public synchronized void addItemListener( java.awt.event.ItemListener l )

Adds the specified item listener to receive item events from this check box.

Parameter

l

the item listener.

See also

ItemEvent class [java.awt.event]

ItemListener interface [java.awt.event]

public synchronized void removeItemListener( java.awt.event.ItemListener l )

Removes the specified item listener so that the item listener no longer receives item events from this check box.

Parameter

l

the item listener.

See also

ItemEvent class [java.awt.event]

ItemListener interface [java.awt.event]

Applies to

 Checkbox [java.awt]


ItemEvent event [java.awt.CheckboxMenuItem] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      ItemEvent event [java.awt.CheckboxMenuItem]

public synchronized void addItemListener( java.awt.event.ItemListener l )

Adds the specified item listener to receive item events from this check box menu item.

Parameter

l

the item listener.

See also

ItemEvent class [java.awt.event]

ItemListener interface [java.awt.event]

ItemEvent event [java.awt.Choice]

public synchronized void removeItemListener( java.awt.event.ItemListener l )

Removes the specified item listener so that it no longer receives item events from this check box menu item.

Parameter

l

the item listener.

See also

ItemEvent class [java.awt.event]

ItemListener interface [java.awt.event]

ItemEvent event [java.awt.Choice]

Applies to

 CheckboxMenuItem [java.awt]


ItemEvent event [java.awt.Choice] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      ItemEvent event [java.awt.Choice]

public synchronized void addItemListener( java.awt.event.ItemListener l )

Adds the specified item listener to receive item events from this Choice menu.

Parameter

l

the item listener.

See also

ItemEvent class [java.awt.event]

ItemListener interface [java.awt.event]

public synchronized void removeItemListener( java.awt.event.ItemListener l )

Removes the specified item listener so that it no longer receives item events from this Choice menu.

Parameter

l

the item listener.

See also

ItemEvent class [java.awt.event]

ItemListener interface [java.awt.event]

Applies to

 Choice [java.awt]


ItemEvent event [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      ItemEvent event [java.awt.List]

public synchronized void addItemListener( java.awt.event.ItemListener l )

Adds the specified item listener to receive item events from this list.

Parameter

l

the item listener.

See also

ItemEvent class [java.awt.event]

ItemListener interface [java.awt.event]

public synchronized void removeItemListener( java.awt.event.ItemListener l )

Removes the specified item listener so that it no longer receives item events from this list.

Parameter

l

the item listener.

See also

ItemEvent class [java.awt.event]

ItemListener interface [java.awt.event]

Applies to

 List [java.awt]


ItemListener interface [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      ItemListener interface [java.awt.event]

Description

The listener interface for receiving item events.

Definition

public interface ItemListener extends java.util.EventListener

{

  // Methods

  public void itemStateChanged( java.awt.event.ItemEvent e );

}

Methods

public void itemStateChanged( java.awt.event.ItemEvent e )

Invoked when an item's state has been changed.

Implemented by

AWTEventMulticaster [java.awt]


items property [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      items property [java.awt.List]

public synchronized java.lang.String[] getItems( )

Gets the items in the list.

Return

A string array containing items of the list.

See also

select method [java.awt.List]

deselect method [java.awt.List]

isIndexSelected method [java.awt.List]

Applies to

 List [java.awt]


ItemSelectable interface [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      ItemSelectable interface [java.awt]

Description

The interface for objects which contain a set of items for which zero or more can be selected.

Definition

public interface ItemSelectable

{

  // Properties

  public java.lang.Object[] getSelectedObjects( );

  // Events

  public void addItemListener( java.awt.event.ItemListener l );

  public void removeItemListener( java.awt.event.ItemListener l );

}

Properties

public java.lang.Object[] getSelectedObjects( )

Returns the selected items or null if no items are selected.

Return

No documentation supplied in JDK.

Events

public void addItemListener( java.awt.event.ItemListener l )

Add a listener to recieve item events when the state of an item changes.

Parameter

l

the listener to recieve events

public void removeItemListener( java.awt.event.ItemListener l )

Removes an item listener.

Parameter

l

the listener being removed

Implemented by

Checkbox [java.awt]	CheckboxMenuItem [java.awt]	Choice [java.awt]	List [java.awt]


itemSelectable property [java.awt.event.ItemEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      itemSelectable property [java.awt.event.ItemEvent]

public java.awt.ItemSelectable getItemSelectable( )

Returns the ItemSelectable object where this event originated.

Return

No documentation supplied in JDK.

Applies to

 ItemEvent [java.awt.event]


itemStateChanged method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     I
      itemStateChanged method [java.awt.AWTEventMulticaster]

public void itemStateChanged( java.awt.event.ItemEvent e )

Handles the itemStateChanged event by invoking the itemStateChanged methods on listener-a and listener-b.

Parameter

e

the item event

Applies to

 AWTEventMulticaster [java.awt]


J  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    J

 java.applet package

 java.awt package

 java.awt.datatransfer package

 java.awt.event package

 java.awt.image package

 java.awt.peer package

 java.beans package

 java.io package

 java.lang package

 java.lang.reflect package

 java.math package

 java.net package

 java.rmi package

 java.rmi.dgc package

 java.rmi.registry package

 java.rmi.server package

 java.security package

 java.security.acl package

 java.security.interfaces package

 java.sql package

 java.text package

 java.text.resources package

 java.util package

 java.util.zip package

 javaInitializationString property [java.beans.PropertyEditorSupport]

 join method [java.lang.Thread]

 join method [java.net.DatagramSocketImpl]

 joinGroup method [java.net.MulticastSocket]


java.applet package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.applet package

Classes

 Applet

Interfaces

 AppletContext

 AppletStub

 AudioClip


java.awt package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.awt package

Classes

 AWTError

 AWTEvent

 AWTEventMulticaster

 BorderLayout

 Button

 Canvas

 CardLayout

 Checkbox

 CheckboxGroup

 CheckboxMenuItem

 Choice

 Color

 Component

 Container

 Cursor

 Dialog

 Dimension

 Event

 EventQueue

 FileDialog

 FlowLayout

 Font

 FontMetrics

 Frame

 Graphics

 GridBagConstraints

 GridBagLayout

 GridLayout

 Image

 Insets

 Label

 List

 MediaTracker

 Menu

 MenuBar

 MenuComponent

 MenuItem

 MenuShortcut

 Panel

 Point

 Polygon

 PopupMenu

 PrintJob

 Rectangle

 Scrollbar

 ScrollPane

 SystemColor

 TextArea

 TextComponent

 TextField

 Toolkit

 Window

Exceptions

 AWTException

 IllegalComponentStateException

Interfaces

 Adjustable

 ItemSelectable

 LayoutManager

 LayoutManager2

 MenuContainer

 PrintGraphics

 Shape


java.awt.datatransfer package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.awt.datatransfer package

Classes

 Clipboard

 DataFlavor

 StringSelection

Exceptions

 UnsupportedFlavorException

Interfaces

 ClipboardOwner

 Transferable


java.awt.event package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.awt.event package

Classes

 ActionEvent

 AdjustmentEvent

 ComponentAdapter

 ComponentEvent

 ContainerAdapter

 ContainerEvent

 FocusAdapter

 FocusEvent

 InputEvent

 ItemEvent

 KeyAdapter

 KeyEvent

 MouseAdapter

 MouseEvent

 MouseMotionAdapter

 PaintEvent

 TextEvent

 WindowAdapter

 WindowEvent

Interfaces

 ActionListener

 AdjustmentListener

 ComponentListener

 ContainerListener

 FocusListener

 ItemListener

 KeyListener

 MouseListener

 MouseMotionListener

 TextListener

 WindowListener


java.awt.image package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.awt.image package

Classes

 AreaAveragingScaleFilter

 ColorModel

 CropImageFilter

 DirectColorModel

 FilteredImageSource

 ImageFilter

 IndexColorModel

 MemoryImageSource

 PixelGrabber

 ReplicateScaleFilter

 RGBImageFilter

Interfaces

 ImageConsumer

 ImageObserver

 ImageProducer


java.awt.peer package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.awt.peer package

Interfaces

 ActiveEvent

 ButtonPeer

 CanvasPeer

 CheckboxMenuItemPeer

 CheckboxPeer

 ChoicePeer

 ComponentPeer

 ContainerPeer

 DialogPeer

 FileDialogPeer

 FontPeer

 FramePeer

 LabelPeer

 LightweightPeer

 ListPeer

 MenuBarPeer

 MenuComponentPeer

 MenuItemPeer

 MenuPeer

 PanelPeer

 PopupMenuPeer

 ScrollbarPeer

 ScrollPanePeer

 TextAreaPeer

 TextComponentPeer

 TextFieldPeer

 WindowPeer


java.beans package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.beans package

Classes

 BeanDescriptor

 Beans

 EventSetDescriptor

 FeatureDescriptor

 IndexedPropertyDescriptor

 Introspector

 MethodDescriptor

 ParameterDescriptor

 PropertyChangeEvent

 PropertyChangeSupport

 PropertyDescriptor

 PropertyEditorManager

 PropertyEditorSupport

 SimpleBeanInfo

 VetoableChangeSupport

Exceptions

 IntrospectionException

 PropertyVetoException

Interfaces

 BeanInfo

 Customizer

 PropertyChangeListener

 PropertyEditor

 VetoableChangeListener

 Visibility


java.io package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.io package

Classes

 BufferedInputStream

 BufferedOutputStream

 BufferedReader

 BufferedWriter

 ByteArrayInputStream

 ByteArrayOutputStream

 CharArrayReader

 CharArrayWriter

 DataInputStream

 DataOutputStream

 File

 FileDescriptor

 FileInputStream

 FileOutputStream

 FileReader

 FileWriter

 FilterInputStream

 FilterOutputStream

 FilterReader

 FilterWriter

 InputStream

 InputStreamReader

 LineNumberInputStream

 LineNumberReader

 ObjectInputStream

 ObjectOutputStream

 ObjectStreamClass

 OutputStream

 OutputStreamWriter

 PipedInputStream

 PipedOutputStream

 PipedReader

 PipedWriter

 PrintStream

 PrintWriter

 PushbackInputStream

 PushbackReader

 RandomAccessFile

 Reader

 SequenceInputStream

 StreamTokenizer

 StringBufferInputStream

 StringReader

 StringWriter

 Writer

Exceptions

 CharConversionException

 EOFException

 FileNotFoundException

 InterruptedIOException

 InvalidClassException

 InvalidObjectException

 IOException

 NotActiveException

 NotSerializableException

 ObjectStreamException

 OptionalDataException

 StreamCorruptedException

 SyncFailedException

 UnsupportedEncodingException

 UTFDataFormatException

 WriteAbortedException

Interfaces

 DataInput

 DataOutput

 Externalizable

 FilenameFilter

 ObjectInput

 ObjectInputValidation

 ObjectOutput

 Serializable


java.lang package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.lang package

Classes

 AbstractMethodError

 Boolean

 Byte

 Character

 Class

 ClassCircularityError

 ClassFormatError

 ClassLoader

 Compiler

 Double

 Error

 Exception

 ExceptionInInitializerError

 Float

 IllegalAccessError

 IncompatibleClassChangeError

 InstantiationError

 Integer

 InternalError

 LinkageError

 Long

 Math

 NoClassDefFoundError

 NoSuchFieldError

 NoSuchMethodError

 Number

 Object

 OutOfMemoryError

 Process

 Runtime

 SecurityManager

 Short

 StackOverflowError

 String

 StringBuffer

 System

 Thread

 ThreadDeath

 ThreadGroup

 Throwable

 UnknownError

 UnsatisfiedLinkError

 VerifyError

 VirtualMachineError

 Void

Exceptions

 ArithmeticException

 ArrayIndexOutOfBoundsException

 ArrayStoreException

 ClassCastException

 ClassNotFoundException

 CloneNotSupportedException

 IllegalAccessException

 IllegalArgumentException

 IllegalMonitorStateException

 IllegalStateException

 IllegalThreadStateException

 IndexOutOfBoundsException

 InstantiationException

 InterruptedException

 NegativeArraySizeException

 NoSuchFieldException

 NoSuchMethodException

 NullPointerException

 NumberFormatException

 RuntimeException

 SecurityException

 StringIndexOutOfBoundsException

Interfaces

 Cloneable

 Runnable


java.lang.reflect package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.lang.reflect package

Classes

 Array

 Constructor

 Field

 Method

 Modifier

Exceptions

 InvocationTargetException

Interfaces

 Member


java.math package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.math package

Classes

 BigDecimal

 BigInteger


java.net package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.net package

Classes

 ContentHandler

 DatagramPacket

 DatagramSocket

 DatagramSocketImpl

 HttpURLConnection

 InetAddress

 MulticastSocket

 ServerSocket

 Socket

 SocketImpl

 URL

 URLConnection

 URLEncoder

 URLStreamHandler

Exceptions

 BindException

 ConnectException

 MalformedURLException

 NoRouteToHostException

 ProtocolException

 SocketException

 UnknownHostException

 UnknownServiceException

Interfaces

 ContentHandlerFactory

 FileNameMap

 SocketImplFactory

 URLStreamHandlerFactory


java.rmi package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.rmi package

Classes

 Naming

 RMISecurityManager

Exceptions

 AccessException

 AlreadyBoundException

 ConnectException

 ConnectIOException

 MarshalException

 NoSuchObjectException

 NotBoundException

 RemoteException

 RMISecurityException

 ServerError

 ServerException

 ServerRuntimeException

 StubNotFoundException

 UnexpectedException

 UnknownHostException

 UnmarshalException

Interfaces

 Remote


java.rmi.dgc package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.rmi.dgc package

Classes

 Lease

 VMID

Interfaces

 DGC


java.rmi.registry package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.rmi.registry package

Classes

 LocateRegistry

Interfaces

 Registry

 RegistryHandler


java.rmi.server package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.rmi.server package

Classes

 LogStream

 ObjID

 Operation

 RemoteObject

 RemoteServer

 RemoteStub

 RMIClassLoader

 RMISocketFactory

 UID

 UnicastRemoteObject

Exceptions

 ExportException

 ServerCloneException

 ServerNotActiveException

 SkeletonMismatchException

 SkeletonNotFoundException

 SocketSecurityException

Interfaces

 LoaderHandler

 RemoteCall

 RemoteRef

 RMIFailureHandler

 ServerRef

 Skeleton

 Unreferenced


java.security package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.security package

Classes

 DigestInputStream

 DigestOutputStream

 Identity

 IdentityScope

 KeyPair

 KeyPairGenerator

 MessageDigest

 Provider

 SecureRandom

 Security

 Signature

 Signer

Exceptions

 DigestException

 InvalidKeyException

 InvalidParameterException

 KeyException

 KeyManagementException

 NoSuchAlgorithmException

 NoSuchProviderException

 ProviderException

 SignatureException

Interfaces

 Certificate

 Key

 Principal

 PrivateKey

 PublicKey


java.security.acl package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.security.acl package

Exceptions

 AclNotFoundException

 LastOwnerException

 NotOwnerException

Interfaces

 Acl

 AclEntry

 Group

 Owner

 Permission


java.security.interfaces package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.security.interfaces package

Interfaces

 DSAKey

 DSAKeyPairGenerator

 DSAParams

 DSAPrivateKey

 DSAPublicKey


java.sql package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.sql package

Classes

 Date

 DriverManager

 DriverPropertyInfo

 Time

 Timestamp

 Types

Exceptions

 DataTruncation

 SQLException

 SQLWarning

Interfaces

 CallableStatement

 Connection

 DatabaseMetaData

 Driver

 PreparedStatement

 ResultSet

 ResultSetMetaData

 Statement


java.text package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.text package

Classes

 BreakIterator

 ChoiceFormat

 CollationElementIterator

 CollationKey

 Collator

 DateFormat

 DateFormatSymbols

 DecimalFormat

 DecimalFormatSymbols

 FieldPosition

 Format

 MessageFormat

 NumberFormat

 ParsePosition

 RuleBasedCollator

 SimpleDateFormat

 StringCharacterIterator

Exceptions

 ParseException

Interfaces

 CharacterIterator


java.text.resources package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.text.resources package

Classes

 DateFormatZoneData

 DateFormatZoneData_ar

 DateFormatZoneData_be

 DateFormatZoneData_bg

 DateFormatZoneData_ca

 DateFormatZoneData_cs

 DateFormatZoneData_da

 DateFormatZoneData_de

 DateFormatZoneData_de_AT

 DateFormatZoneData_de_CH

 DateFormatZoneData_el

 DateFormatZoneData_en

 DateFormatZoneData_en_CA

 DateFormatZoneData_en_GB

 DateFormatZoneData_en_IE

 DateFormatZoneData_es

 DateFormatZoneData_et

 DateFormatZoneData_fi

 DateFormatZoneData_fr

 DateFormatZoneData_fr_BE

 DateFormatZoneData_fr_CA

 DateFormatZoneData_fr_CH

 DateFormatZoneData_hr

 DateFormatZoneData_hu

 DateFormatZoneData_is

 DateFormatZoneData_it

 DateFormatZoneData_it_CH

 DateFormatZoneData_iw

 DateFormatZoneData_ja

 DateFormatZoneData_ko

 DateFormatZoneData_lt

 DateFormatZoneData_lv

 DateFormatZoneData_mk

 DateFormatZoneData_nl

 DateFormatZoneData_nl_BE

 DateFormatZoneData_no

 DateFormatZoneData_no_NO_NY

 DateFormatZoneData_pl

 DateFormatZoneData_pt

 DateFormatZoneData_ro

 DateFormatZoneData_ru

 DateFormatZoneData_sh

 DateFormatZoneData_sk

 DateFormatZoneData_sl

 DateFormatZoneData_sq

 DateFormatZoneData_sr

 DateFormatZoneData_sv

 DateFormatZoneData_th

 DateFormatZoneData_tr

 DateFormatZoneData_uk

 DateFormatZoneData_zh

 DateFormatZoneData_zh_TW

 LocaleData

 LocaleElements

 LocaleElements_ar

 LocaleElements_be

 LocaleElements_bg

 LocaleElements_ca

 LocaleElements_cs

 LocaleElements_da

 LocaleElements_de

 LocaleElements_de_AT

 LocaleElements_de_AT_EURO

 LocaleElements_de_CH

 LocaleElements_de_DE_EURO

 LocaleElements_de_LU

 LocaleElements_de_LU_EURO

 LocaleElements_el

 LocaleElements_en

 LocaleElements_en_AU

 LocaleElements_en_CA

 LocaleElements_en_GB

 LocaleElements_en_IE

 LocaleElements_en_IE_EURO

 LocaleElements_en_NZ

 LocaleElements_en_ZA

 LocaleElements_es

 LocaleElements_es_AR

 LocaleElements_es_BO

 LocaleElements_es_CL

 LocaleElements_es_CO

 LocaleElements_es_CR

 LocaleElements_es_DO

 LocaleElements_es_EC

 LocaleElements_es_ES_EURO

 LocaleElements_es_GT

 LocaleElements_es_HN

 LocaleElements_es_MX

 LocaleElements_es_NI

 LocaleElements_es_PA

 LocaleElements_es_PE

 LocaleElements_es_PR

 LocaleElements_es_PY

 LocaleElements_es_SV

 LocaleElements_es_UY

 LocaleElements_es_VE

 LocaleElements_et

 LocaleElements_fi

 LocaleElements_fi_FI_EURO

 LocaleElements_fr

 LocaleElements_fr_BE

 LocaleElements_fr_BE_EURO

 LocaleElements_fr_CA

 LocaleElements_fr_CH

 LocaleElements_fr_FR_EURO

 LocaleElements_fr_LU

 LocaleElements_fr_LU_EURO

 LocaleElements_hr

 LocaleElements_hu

 LocaleElements_is

 LocaleElements_it

 LocaleElements_it_CH

 LocaleElements_it_IT_EURO

 LocaleElements_iw

 LocaleElements_ja

 LocaleElements_ko

 LocaleElements_lt

 LocaleElements_lv

 LocaleElements_mk

 LocaleElements_nl

 LocaleElements_nl_BE

 LocaleElements_nl_BE_EURO

 LocaleElements_nl_NL_EURO

 LocaleElements_no

 LocaleElements_no_NO_NY

 LocaleElements_pl

 LocaleElements_pt

 LocaleElements_pt_BR

 LocaleElements_pt_PT_EURO

 LocaleElements_ro

 LocaleElements_ru

 LocaleElements_sh

 LocaleElements_sk

 LocaleElements_sl

 LocaleElements_sq

 LocaleElements_sr

 LocaleElements_sv

 LocaleElements_th

 LocaleElements_tr

 LocaleElements_uk

 LocaleElements_zh

 LocaleElements_zh_TW


java.util package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.util package

Classes

 BitSet

 Calendar

 Date

 Dictionary

 EventObject

 GregorianCalendar

 Hashtable

 ListResourceBundle

 Locale

 Observable

 Properties

 PropertyResourceBundle

 Random

 ResourceBundle

 SimpleTimeZone

 Stack

 StringTokenizer

 TimeZone

 Vector

Exceptions

 EmptyStackException

 MissingResourceException

 NoSuchElementException

 TooManyListenersException

Interfaces

 Enumeration

 EventListener

 Observer


java.util.zip package (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      java.util.zip package

Classes

 Adler32

 CheckedInputStream

 CheckedOutputStream

 CRC32

 Deflater

 DeflaterOutputStream

 GZIPInputStream

 GZIPOutputStream

 Inflater

 InflaterInputStream

 ZipEntry

 ZipFile

 ZipInputStream

 ZipOutputStream

Exceptions

 DataFormatException

 ZipException

Interfaces

 Checksum


javaInitializationString property [java.beans.PropertyEditorSupport] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      javaInitializationString property [java.beans.PropertyEditorSupport]

public java.lang.String getJavaInitializationString( )

This method is intended for use when generating Java code to set the value of the property.  It should return a fragment of Java code that can be used to initialize a variable with the current property value.

Example results are "2", "new Color(127,127,34)", "Color.orange", etc.

Return

A fragment of Java code representing an initializer for the current value.

Applies to

 PropertyEditorSupport [java.beans]


join method [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      join method [java.lang.Thread]

Overloads:

 void join( long millis )

 void join( long millis, int nanos )

 void join( )

public final synchronized void join( long millis ) throws java.lang.InterruptedException

Waits at most millis milliseconds for this thread to die. A timeout of 0 means to wait forever.

Parameter

millis

the time to wait in milliseconds.

Throws

InterruptedException

If another thread has interrupted the current thread.

public final synchronized void join( long millis, int nanos ) throws java.lang.InterruptedException

Waits at most millis milliseconds plus nanos nanoseconds for this thread to die.

Parameters

millis

the time to wait in milliseconds.

nanos

0-999999 additional nanoseconds to wait.

Throws

IllegalArgumentException

If the value of millis is negative the value of nanos is not in the range 0-999999.

InterruptedException

If another thread has interrupted the current thread.

public final void join( ) throws java.lang.InterruptedException

Waits for this thread to die.

Throws

InterruptedException

If another thread has interrupted the current thread.

Applies to

 Thread [java.lang]


join method [java.net.DatagramSocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      join method [java.net.DatagramSocketImpl]

protected abstract void join( java.net.InetAddress inetaddr ) throws java.io.IOException

Join the multicast group.

Parameter

multicast

address to join.

Applies to

 DatagramSocketImpl [java.net]


joinGroup method [java.net.MulticastSocket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     J
      joinGroup method [java.net.MulticastSocket]

public void joinGroup( java.net.InetAddress mcastaddr ) throws java.io.IOException

Joins a multicast group.

Parameter

mcastaddr

is the multicast address to join

Throws

IOException

Is raised if there is an error joining or when address is not a multicast address.

Applies to

 MulticastSocket [java.net]


K  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    K

 Key interface [java.security]

 key property [java.awt.MenuShortcut]

 key property [java.util.MissingResourceException]

 KeyAdapter class [java.awt.event]

 keyChar property [java.awt.event.KeyEvent]

 keyCode property [java.awt.event.KeyEvent]

 keyDown method [java.awt.Component]

 KeyEvent class [java.awt.event]

 KeyEvent event [java.awt.Component]

 KeyException class [java.security]

 KeyListener interface [java.awt.event]

 KeyManagementException class [java.security]

 keyModifiersText property [java.awt.event.KeyEvent]

 KeyPair class [java.security]

 keyPair property [java.security.Signer]

 KeyPairGenerator class [java.security]

 keyPressed method [java.awt.AWTEventMulticaster]

 keyPressed method [java.awt.event.KeyAdapter]

 keyReleased method [java.awt.AWTEventMulticaster]

 keyReleased method [java.awt.event.KeyAdapter]

 keys method [java.util.Dictionary]

 keys method [java.util.Hashtable]

 keys property [java.util.ListResourceBundle]

 keys property [java.util.PropertyResourceBundle]

 keys property [java.util.ResourceBundle]

 keyText property [java.awt.event.KeyEvent]

 keyTyped method [java.awt.AWTEventMulticaster]

 keyTyped method [java.awt.event.KeyAdapter]

 keyUp method [java.awt.Component]


Key interface [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      Key interface [java.security]

Description

The Key interface is the top-level interface for all keys. It defines the functionality shared by all key objects. All keys have three characteristics:

•	An Algorithm

This is the key algorithm for that key. The key algorithm is usually an encryption or asymmetric operation algorithm (such as DSA or RSA), which will work with those algorithms and with related algorithms (such as MD5 with RSA, SHA-1 with RSA, Raw DSA, etc.) The name of the algorithm of a key is obtained using the getAlgorithm method.

•	An Encoded Form

This is an external encoded form for the key used when a standard representation of the key is needed outside the Java Virtual Machine, as when transmitting the key to some other party. The key is encoded according to a standard format (such as X.509 or PKCS#8), and is returned using the getEncoded method.

•	A Format

This is the name of the format of the encoded key. It is returned by the getFormat method.

Keys are generally obtained through key generators, certificates, or various Identity classes used to manage keys. There are no provisions in this release for the parsing of encoded keys and certificates.

Definition

public interface Key extends java.io.Serializable

{

  // Properties

  public java.lang.String getAlgorithm( );

  public java.lang.String getFormat( );

  public byte[] getEncoded( );

}

Properties

public java.lang.String getAlgorithm( )

Returns the standard algorithm name this key is for. For example, "DSA" would indicate that this key is a DSA key. Note that this method may return null, when the algorithm this key is for is unknown.

See Appendix A in the   Java Cryptography Architecture API Specification & Reference   for information about standard algorithm names.

Return

The name of the algorithm this key is for, or null if the algorithm this key is for is unknown.

public java.lang.String getFormat( )

Returns the format used to encode the key or null if the key does not support encoding.

Return

The format used to encode the key.

public byte[] getEncoded( )

Returns the encoded key.

Return

The encoded key, or null if the key does not support encoding.

See also

PublicKey interface [java.security]

PrivateKey interface [java.security]

KeyPair class [java.security]

KeyPairGenerator class [java.security]

Identity class [java.security]

IdentityScope class [java.security]

Signer class [java.security]


key property [java.awt.MenuShortcut] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      key property [java.awt.MenuShortcut]

public int getKey( )

Return the raw keycode of this MenuShortcut.

Return

No documentation supplied in JDK.

Applies to

 MenuShortcut [java.awt]


key property [java.util.MissingResourceException] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      key property [java.util.MissingResourceException]

public java.lang.String getKey( )

Gets parameter passed by constructor.

Return

No documentation supplied in JDK.

Applies to

 MissingResourceException [java.util]


KeyAdapter class [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      KeyAdapter class [java.awt.event]

Object

KeyAdapter

Description

The adapter which receives keyboard events. The methods in this class are empty;  this class is provided as a convenience for easily creating listeners by extending this class and overriding only the methods of interest.

Specification

public abstract class KeyAdapter extends java.lang.Object implements java.awt.event.KeyListener

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void keyPressed( java.awt.event.KeyEvent e )

  void keyReleased( java.awt.event.KeyEvent e )

  void keyTyped( java.awt.event.KeyEvent e )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


keyChar property [java.awt.event.KeyEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      keyChar property [java.awt.event.KeyEvent]

public char getKeyChar( )

Returns the character associated with the key in this event. If no valid Unicode character exists for this key event, keyChar is CHAR_UNDEFINED.

Return

No documentation supplied in JDK.

public void setKeyChar( char keyChar )

Applies to

 KeyEvent [java.awt.event]


keyCode property [java.awt.event.KeyEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      keyCode property [java.awt.event.KeyEvent]

public int getKeyCode( )

Returns the integer key-code associated with the key in this event. For KEY_TYPED events, keyCode is VK_UNDEFINED.

Return

No documentation supplied in JDK.

public void setKeyCode( int keyCode )

Applies to

 KeyEvent [java.awt.event]


keyDown method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      keyDown method [java.awt.Component]

public boolean keyDown( java.awt.Event evt, int key )

Note: keyDown has been deprecated. As of JDK version 1.1, replaced by processKeyEvent(KeyEvent).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


KeyEvent class [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      KeyEvent class [java.awt.event]

Object

EventObject

AWTEvent

ComponentEvent

InputEvent

KeyEvent

Description

The component-level keyboard event.

Specification

public class KeyEvent extends java.awt.event.InputEvent

Constructors

public KeyEvent( java.awt.Component source, int id, long when, int modifiers, int keyCode )

public KeyEvent( java.awt.Component source, int id, long when, int modifiers, int keyCode, char keyChar )

Constructs a KeyEvent object with the specified source component, type, modifiers, and key.

Parameter

source

the object where the event originated

Variables

public static final int KEY_FIRST

Marks the first integer id for the range of key event ids.

public static final int KEY_LAST

Marks the last integer id for the range of key event ids.

public static final int KEY_TYPED

The key typed event type.  This type is generated by a combination of a key press followed by a key release.

public static final int KEY_PRESSED

The key pressed event type.

public static final int KEY_RELEASED

The key released event type.

public static final int VK_ENTER

Virtual key codes.  These codes report which keyboard key has been pressed, rather than any character generated by one or more keys being pressed. For example, pressing the Shift key will cause a KEY_PRESSED event with a VK_SHIFT keyCode, while pressing the 'a' key will result in a VK_A keyCode.  After the 'a' key is released, a KEY_RELEASED event will be fired with VK_A, followed by a KEY_TYPED event with a keyChar value of 'A'.  Key combinations which do not result in characters, such as action keys like F1, will not generate KEY_TYPED events. Note: not all keyboards or systems are capable of generating all virtual key codes.  No attempt is made in Java to artificially generate these keys. WARNING:  aside from those keys where are defined by the Java language (VK_ENTER, VK_BACK_SPACE, and VK_TAB), do not rely on the values of these constants.  Sun reserves the right to change these values as needed to accomodate a wider range of keyboards in the future.

public static final int VK_BACK_SPACE

public static final int VK_TAB

public static final int VK_CANCEL

public static final int VK_CLEAR

public static final int VK_SHIFT

public static final int VK_CONTROL

public static final int VK_ALT

public static final int VK_PAUSE

public static final int VK_CAPS_LOCK

public static final int VK_ESCAPE

public static final int VK_SPACE

public static final int VK_PAGE_UP

public static final int VK_PAGE_DOWN

public static final int VK_END

public static final int VK_HOME

public static final int VK_LEFT

public static final int VK_UP

public static final int VK_RIGHT

public static final int VK_DOWN

public static final int VK_COMMA

public static final int VK_PERIOD

public static final int VK_SLASH

public static final int VK_0

VK_0 thru VK_9 are the same as ASCII '0' thru '9' (0x30 - 0x39).

public static final int VK_1

public static final int VK_2

public static final int VK_3

public static final int VK_4

public static final int VK_5

public static final int VK_6

public static final int VK_7

public static final int VK_8

public static final int VK_9

public static final int VK_SEMICOLON

public static final int VK_EQUALS

public static final int VK_A

VK_A thru VK_Z are the same as ASCII 'A' thru 'Z' (0x41 - 0x5A).

public static final int VK_B

public static final int VK_C

public static final int VK_D

public static final int VK_E

public static final int VK_F

public static final int VK_G

public static final int VK_H

public static final int VK_I

public static final int VK_J

public static final int VK_K

public static final int VK_L

public static final int VK_M

public static final int VK_N

public static final int VK_O

public static final int VK_P

public static final int VK_Q

public static final int VK_R

public static final int VK_S

public static final int VK_T

public static final int VK_U

public static final int VK_V

public static final int VK_W

public static final int VK_X

public static final int VK_Y

public static final int VK_Z

public static final int VK_OPEN_BRACKET

public static final int VK_BACK_SLASH

public static final int VK_CLOSE_BRACKET

public static final int VK_NUMPAD0

public static final int VK_NUMPAD1

public static final int VK_NUMPAD2

public static final int VK_NUMPAD3

public static final int VK_NUMPAD4

public static final int VK_NUMPAD5

public static final int VK_NUMPAD6

public static final int VK_NUMPAD7

public static final int VK_NUMPAD8

public static final int VK_NUMPAD9

public static final int VK_MULTIPLY

public static final int VK_ADD

public static final int VK_SEPARATER

public static final int VK_SUBTRACT

public static final int VK_DECIMAL

public static final int VK_DIVIDE

public static final int VK_F1

public static final int VK_F2

public static final int VK_F3

public static final int VK_F4

public static final int VK_F5

public static final int VK_F6

public static final int VK_F7

public static final int VK_F8

public static final int VK_F9

public static final int VK_F10

public static final int VK_F11

public static final int VK_F12

public static final int VK_DELETE

public static final int VK_NUM_LOCK

public static final int VK_SCROLL_LOCK

public static final int VK_PRINTSCREEN

public static final int VK_INSERT

public static final int VK_HELP

public static final int VK_META

public static final int VK_BACK_QUOTE

public static final int VK_QUOTE

public static final int VK_FINAL

For Asian Keyboard.

public static final int VK_CONVERT

public static final int VK_NONCONVERT

public static final int VK_ACCEPT

public static final int VK_MODECHANGE

public static final int VK_KANA

public static final int VK_KANJI

public static final int VK_UNDEFINED

KEY_TYPED events do not have a defined keyCode.

public static final char CHAR_UNDEFINED

KEY_PRESSED and KEY_RELEASED events which do not map to a valid Unicode character do not have a defined keyChar.

Properties

  boolean isActionKey( )

  char getKeyChar( )

  void setKeyChar( char keyChar )

  int getKeyCode( )

  void setKeyCode( int keyCode )

  static java.lang.String getKeyModifiersText( int modifiers )

  static java.lang.String getKeyText( int keyCode )

  void setModifiers( int modifiers )

Inherited Properties

  boolean isAltDown( )

  native final java.lang.Class getClass( )

  java.awt.Component getComponent( )

  boolean isControlDown( )

  int getID( )

  boolean isMetaDown( )

  boolean isShiftDown( )

  java.lang.Object getSource( )

  long getWhen( )

Protected Properties

 protected boolean isConsumed( )

Methods

  java.lang.String paramString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void consume( )

 protected void finalize( ) throws java.lang.Throwable


KeyEvent event [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      KeyEvent event [java.awt.Component]

public synchronized void addKeyListener( java.awt.event.KeyListener l )

Adds the specified key listener to receive key events from this component.

Parameter

l

the key listener.

See also

KeyEvent class [java.awt.event]

KeyListener interface [java.awt.event]

public synchronized void removeKeyListener( java.awt.event.KeyListener l )

Removes the specified key listener so that it no longer receives key events from this component.

Parameter

l

the key listener.

See also

KeyEvent class [java.awt.event]

KeyListener interface [java.awt.event]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


KeyException class [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      KeyException class [java.security]

Object

Throwable

Exception

KeyException

Description

This is the basic key exception.

Specification

public class KeyException extends java.lang.Exception

Constructors

public KeyException( )

Constructs a KeyException with no detail message. A detail message is a String that describes this particular exception.

public KeyException( java.lang.String msg )

Constructs a KeyException with the specified detail message. A detail message is a String that describes this particular exception.

Parameter

msg

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Key interface [java.security]

InvalidKeyException class [java.security]

KeyManagementException class [java.security]


KeyListener interface [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      KeyListener interface [java.awt.event]

Description

The listener interface for receiving keyboard events.

Definition

public interface KeyListener extends java.util.EventListener

{

  // Methods

  public void keyTyped( java.awt.event.KeyEvent e );

  public void keyPressed( java.awt.event.KeyEvent e );

  public void keyReleased( java.awt.event.KeyEvent e );

}

Methods

public void keyTyped( java.awt.event.KeyEvent e )

Invoked when a key has been typed. This event occurs when a key press is followed by a key release.

public void keyPressed( java.awt.event.KeyEvent e )

Invoked when a key has been pressed.

public void keyReleased( java.awt.event.KeyEvent e )

Invoked when a key has been released.

Implemented by

AWTEventMulticaster [java.awt]	KeyAdapter [java.awt.event]


KeyManagementException class [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      KeyManagementException class [java.security]

Object

Throwable

Exception

KeyException

KeyManagementException

Description

This is the general key management exception, for all operations dealing with key management. Subclasses could include:

•	KeyIDConflict

•	KeyAuthorizationFailureException

•	ExpiredKeyException

Specification

public class KeyManagementException extends java.security.KeyException

Constructors

public KeyManagementException( )

Constructs a KeyManagementException with no detail message. A detail message is a String that describes this particular exception.

public KeyManagementException( java.lang.String msg )

Constructs a KeyManagementException with the specified detail message. A detail message is a String that describes this particular exception.

Parameter

msg

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Key interface [java.security]

KeyException class [java.security]


keyModifiersText property [java.awt.event.KeyEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      keyModifiersText property [java.awt.event.KeyEvent]

public static java.lang.String getKeyModifiersText( int modifiers )

Returns a String describing the modifier key(s), such as "Shift", or "Ctrl+Shift".  These strings can be localized by changing the awt.properties file.

Return

No documentation supplied in JDK.

Applies to

 KeyEvent [java.awt.event]


KeyPair class [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      KeyPair class [java.security]

Object

KeyPair

Description

This class is a simple holder for a key pair (a public key and a private key). It does not enforce any security, and, when initialized, should be treated like a PrivateKey.

Specification

public final class KeyPair extends java.lang.Object

Constructor

public KeyPair( java.security.PublicKey publicKey, java.security.PrivateKey privateKey )

Constructs a key with the specified public key and private key.

Parameters

publicKey

the public key.

privateKey

the private key.

Properties

  java.security.PrivateKey getPrivate( )

  java.security.PublicKey getPublic( )

Inherited Properties

  native final java.lang.Class getClass( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

PublicKey interface [java.security]

PrivateKey interface [java.security]


keyPair property [java.security.Signer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      keyPair property [java.security.Signer]

public final void setKeyPair( java.security.KeyPair pair ) throws java.security.InvalidParameterException, java.security.KeyException

Sets the key pair (public key and private key) for this signer.

Parameter

pair

an initialized key pair.

Throws

InvalidParameterException

If the key pair is not properly initialized.

KeyException

If the key pair cannot be set for any other reason.

Applies to

 Signer [java.security]


KeyPairGenerator class [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      KeyPairGenerator class [java.security]

Object

KeyPairGenerator

Description

The KeyPairGenerator class is used to generate pairs of public and private keys. Key generators are constructed using the getInstance factory methods (static methods that return instances of a given class).

Key generation is an area that sometimes does not lend itself well to algorithm independence. For example, it is possible to generate a DSA key pair specifying key family parameters (p, q and g), while it is not possible to do so for an RSA key pair. That is, those parameters are applicable to DSA but not to RSA.

There are therefore two ways to generate a key pair: in an algorithm-independent manner, and in an algorithm-specific manner. The only difference between the two is the initialization of the object.

All key pair generators share the concepts of a "strength" and a source of randomness. The measure of strength is universally shared by all algorithms, though it is interpreted differently for different algorithms. The initialize method in this KeyPairGenerator class takes these two universally shared types of arguments.

Since no other parameters are specified when you call this algorithm-independent initialize method, all other values, such as algorithm parameters, public exponent, etc., are defaulted to standard values.

It is sometimes desirable to initialize a key pair generator object using algorithm-specific semantics. For example, you may want to initialize a DSA key generator for a given set of parameters p, q and g, or an RSA key generator for a given public exponent.

This is done through algorithm-specific standard interfaces. Rather than calling the algorithm-independent KeyPairGenerator initialize method, the key pair generator is cast to an algorithm-specific interface so that one of its specialized parameter initialization methods can be called. An example is the DSAKeyPairGenerator interface (from java.security.interfaces).

See  The KeyPairGenerator Class  in the "Java Cryptography Architecture API Specification & Reference" for more information and examples.

Specification

public abstract class KeyPairGenerator extends java.lang.Object

Constructor

protected KeyPairGenerator( java.lang.String algorithm )

Creates a KeyPairGenerator object for the specified algorithm.

Parameter

algorithm

the standard string name of the algorithm. See Appendix A in the   Java Cryptography Architecture API Specification & Reference   for information about standard algorithm names.

Properties

  java.lang.String getAlgorithm( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  abstract java.security.KeyPair generateKeyPair( )

  static java.security.KeyPairGenerator getInstance( java.lang.String algorithm, java.lang.String provider ) throws java.security.NoSuchAlgorithmException, java.security.NoSuchProviderException

  static java.security.KeyPairGenerator getInstance( java.lang.String algorithm ) throws java.security.NoSuchAlgorithmException

  abstract void initialize( int strength, java.security.SecureRandom random )

  void initialize( int strength )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

DSAKeyPairGenerator interface [java.security.interfaces]


keyPressed method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      keyPressed method [java.awt.AWTEventMulticaster]

public void keyPressed( java.awt.event.KeyEvent e )

Handles the keyPressed event by invoking the keyPressed methods on listener-a and listener-b.

Parameter

e

the key event

Applies to

 AWTEventMulticaster [java.awt]


keyPressed method [java.awt.event.KeyAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      keyPressed method [java.awt.event.KeyAdapter]

public void keyPressed( java.awt.event.KeyEvent e )

Applies to

 KeyAdapter [java.awt.event]


keyReleased method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      keyReleased method [java.awt.AWTEventMulticaster]

public void keyReleased( java.awt.event.KeyEvent e )

Handles the keyReleased event by invoking the keyReleased methods on listener-a and listener-b.

Parameter

e

the key event

Applies to

 AWTEventMulticaster [java.awt]


keyReleased method [java.awt.event.KeyAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      keyReleased method [java.awt.event.KeyAdapter]

public void keyReleased( java.awt.event.KeyEvent e )

Applies to

 KeyAdapter [java.awt.event]


keys method [java.util.Dictionary] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      keys method [java.util.Dictionary]

public abstract java.util.Enumeration keys( )

Returns an enumeration of the keys in this dictionary.

Return

An enumeration of the keys in this dictionary.

See also

elements method [java.util.Dictionary]

Enumeration interface [java.util]

Applies to

 Dictionary [java.util]

 Hashtable [java.util]

 Properties [java.util]

 Provider [java.security]


keys method [java.util.Hashtable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      keys method [java.util.Hashtable]

Overloads:

 Enumeration keys( ) overrides keys method [java.util.Dictionary]

public synchronized java.util.Enumeration keys( )

Returns an enumeration of the keys in this hashtable.

Return

An enumeration of the keys in this hashtable.

See also

Enumeration interface [java.util]

elements method [java.util.Dictionary]

Applies to

 Hashtable [java.util]

 Properties [java.util]

 Provider [java.security]


keys property [java.util.ListResourceBundle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      keys property [java.util.ListResourceBundle]

Overloads:

  Enumeration getKeys( ) overrides keys property [java.util.ResourceBundle]

public java.util.Enumeration getKeys( )

Implementation of ResourceBundle.getKeys.

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData [java.text.resources]

 DateFormatZoneData_ar [java.text.resources]

 DateFormatZoneData_be [java.text.resources]

 DateFormatZoneData_bg [java.text.resources]

 DateFormatZoneData_ca [java.text.resources]

 DateFormatZoneData_cs [java.text.resources]

 DateFormatZoneData_da [java.text.resources]

 DateFormatZoneData_de [java.text.resources]

 DateFormatZoneData_de_AT [java.text.resources]

 DateFormatZoneData_de_CH [java.text.resources]

 DateFormatZoneData_el [java.text.resources]

 DateFormatZoneData_en [java.text.resources]

 DateFormatZoneData_en_CA [java.text.resources]

 DateFormatZoneData_en_GB [java.text.resources]

 DateFormatZoneData_en_IE [java.text.resources]

 DateFormatZoneData_es [java.text.resources]

 DateFormatZoneData_et [java.text.resources]

 DateFormatZoneData_fi [java.text.resources]

 DateFormatZoneData_fr [java.text.resources]

 DateFormatZoneData_fr_BE [java.text.resources]

 DateFormatZoneData_fr_CA [java.text.resources]

 DateFormatZoneData_fr_CH [java.text.resources]

 DateFormatZoneData_hr [java.text.resources]

 DateFormatZoneData_hu [java.text.resources]

 DateFormatZoneData_is [java.text.resources]

 DateFormatZoneData_it [java.text.resources]

 DateFormatZoneData_it_CH [java.text.resources]

 DateFormatZoneData_iw [java.text.resources]

 DateFormatZoneData_ja [java.text.resources]

 DateFormatZoneData_ko [java.text.resources]

 DateFormatZoneData_lt [java.text.resources]

 DateFormatZoneData_lv [java.text.resources]

 DateFormatZoneData_mk [java.text.resources]

 DateFormatZoneData_nl [java.text.resources]

 DateFormatZoneData_nl_BE [java.text.resources]

 DateFormatZoneData_no [java.text.resources]

 DateFormatZoneData_no_NO_NY [java.text.resources]

 DateFormatZoneData_pl [java.text.resources]

 DateFormatZoneData_pt [java.text.resources]

 DateFormatZoneData_ro [java.text.resources]

 DateFormatZoneData_ru [java.text.resources]

 DateFormatZoneData_sh [java.text.resources]

 DateFormatZoneData_sk [java.text.resources]

 DateFormatZoneData_sl [java.text.resources]

 DateFormatZoneData_sq [java.text.resources]

 DateFormatZoneData_sr [java.text.resources]

 DateFormatZoneData_sv [java.text.resources]

 DateFormatZoneData_th [java.text.resources]

 DateFormatZoneData_tr [java.text.resources]

 DateFormatZoneData_uk [java.text.resources]

 DateFormatZoneData_zh [java.text.resources]

 DateFormatZoneData_zh_TW [java.text.resources]

 ListResourceBundle [java.util]

 LocaleElements [java.text.resources]

 LocaleElements_ar [java.text.resources]

 LocaleElements_be [java.text.resources]

 LocaleElements_bg [java.text.resources]

 LocaleElements_ca [java.text.resources]

 LocaleElements_cs [java.text.resources]

 LocaleElements_da [java.text.resources]

 LocaleElements_de [java.text.resources]

 LocaleElements_de_AT [java.text.resources]

 LocaleElements_de_AT_EURO [java.text.resources]

 LocaleElements_de_CH [java.text.resources]

 LocaleElements_de_DE_EURO [java.text.resources]

 LocaleElements_de_LU [java.text.resources]

 LocaleElements_de_LU_EURO [java.text.resources]

 LocaleElements_el [java.text.resources]

 LocaleElements_en [java.text.resources]

 LocaleElements_en_AU [java.text.resources]

 LocaleElements_en_CA [java.text.resources]

 LocaleElements_en_GB [java.text.resources]

 LocaleElements_en_IE [java.text.resources]

 LocaleElements_en_IE_EURO [java.text.resources]

 LocaleElements_en_NZ [java.text.resources]

 LocaleElements_en_ZA [java.text.resources]

 LocaleElements_es [java.text.resources]

 LocaleElements_es_AR [java.text.resources]

 LocaleElements_es_BO [java.text.resources]

 LocaleElements_es_CL [java.text.resources]

 LocaleElements_es_CO [java.text.resources]

 LocaleElements_es_CR [java.text.resources]

 LocaleElements_es_DO [java.text.resources]

 LocaleElements_es_EC [java.text.resources]

 LocaleElements_es_ES_EURO [java.text.resources]

 LocaleElements_es_GT [java.text.resources]

 LocaleElements_es_HN [java.text.resources]

 LocaleElements_es_MX [java.text.resources]

 LocaleElements_es_NI [java.text.resources]

 LocaleElements_es_PA [java.text.resources]

 LocaleElements_es_PE [java.text.resources]

 LocaleElements_es_PR [java.text.resources]

 LocaleElements_es_PY [java.text.resources]

 LocaleElements_es_SV [java.text.resources]

 LocaleElements_es_UY [java.text.resources]

 LocaleElements_es_VE [java.text.resources]

 LocaleElements_et [java.text.resources]

 LocaleElements_fi [java.text.resources]

 LocaleElements_fi_FI_EURO [java.text.resources]

 LocaleElements_fr [java.text.resources]

 LocaleElements_fr_BE [java.text.resources]

 LocaleElements_fr_BE_EURO [java.text.resources]

 LocaleElements_fr_CA [java.text.resources]

 LocaleElements_fr_CH [java.text.resources]

 LocaleElements_fr_FR_EURO [java.text.resources]

 LocaleElements_fr_LU [java.text.resources]

 LocaleElements_fr_LU_EURO [java.text.resources]

 LocaleElements_hr [java.text.resources]

 LocaleElements_hu [java.text.resources]

 LocaleElements_is [java.text.resources]

 LocaleElements_it [java.text.resources]

 LocaleElements_it_CH [java.text.resources]

 LocaleElements_it_IT_EURO [java.text.resources]

 LocaleElements_iw [java.text.resources]

 LocaleElements_ja [java.text.resources]

 LocaleElements_ko [java.text.resources]

 LocaleElements_lt [java.text.resources]

 LocaleElements_lv [java.text.resources]

 LocaleElements_mk [java.text.resources]

 LocaleElements_nl [java.text.resources]

 LocaleElements_nl_BE [java.text.resources]

 LocaleElements_nl_BE_EURO [java.text.resources]

 LocaleElements_nl_NL_EURO [java.text.resources]

 LocaleElements_no [java.text.resources]

 LocaleElements_no_NO_NY [java.text.resources]

 LocaleElements_pl [java.text.resources]

 LocaleElements_pt [java.text.resources]

 LocaleElements_pt_BR [java.text.resources]

 LocaleElements_pt_PT_EURO [java.text.resources]

 LocaleElements_ro [java.text.resources]

 LocaleElements_ru [java.text.resources]

 LocaleElements_sh [java.text.resources]

 LocaleElements_sk [java.text.resources]

 LocaleElements_sl [java.text.resources]

 LocaleElements_sq [java.text.resources]

 LocaleElements_sr [java.text.resources]

 LocaleElements_sv [java.text.resources]

 LocaleElements_th [java.text.resources]

 LocaleElements_tr [java.text.resources]

 LocaleElements_uk [java.text.resources]

 LocaleElements_zh [java.text.resources]

 LocaleElements_zh_TW [java.text.resources]


keys property [java.util.PropertyResourceBundle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      keys property [java.util.PropertyResourceBundle]

Overloads:

  Enumeration getKeys( ) overrides keys property [java.util.ResourceBundle]

public java.util.Enumeration getKeys( )

Implementation of ResourceBundle.getKeys.

Return

No documentation supplied in JDK.

Applies to

 PropertyResourceBundle [java.util]


keys property [java.util.ResourceBundle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      keys property [java.util.ResourceBundle]

public abstract java.util.Enumeration getKeys( )

Return an enumeration of the keys. NOTE:  Subclasses must override.

Return

No documentation supplied in JDK.

Applies to

 DateFormatZoneData [java.text.resources]

 DateFormatZoneData_ar [java.text.resources]

 DateFormatZoneData_be [java.text.resources]

 DateFormatZoneData_bg [java.text.resources]

 DateFormatZoneData_ca [java.text.resources]

 DateFormatZoneData_cs [java.text.resources]

 DateFormatZoneData_da [java.text.resources]

 DateFormatZoneData_de [java.text.resources]

 DateFormatZoneData_de_AT [java.text.resources]

 DateFormatZoneData_de_CH [java.text.resources]

 DateFormatZoneData_el [java.text.resources]

 DateFormatZoneData_en [java.text.resources]

 DateFormatZoneData_en_CA [java.text.resources]

 DateFormatZoneData_en_GB [java.text.resources]

 DateFormatZoneData_en_IE [java.text.resources]

 DateFormatZoneData_es [java.text.resources]

 DateFormatZoneData_et [java.text.resources]

 DateFormatZoneData_fi [java.text.resources]

 DateFormatZoneData_fr [java.text.resources]

 DateFormatZoneData_fr_BE [java.text.resources]

 DateFormatZoneData_fr_CA [java.text.resources]

 DateFormatZoneData_fr_CH [java.text.resources]

 DateFormatZoneData_hr [java.text.resources]

 DateFormatZoneData_hu [java.text.resources]

 DateFormatZoneData_is [java.text.resources]

 DateFormatZoneData_it [java.text.resources]

 DateFormatZoneData_it_CH [java.text.resources]

 DateFormatZoneData_iw [java.text.resources]

 DateFormatZoneData_ja [java.text.resources]

 DateFormatZoneData_ko [java.text.resources]

 DateFormatZoneData_lt [java.text.resources]

 DateFormatZoneData_lv [java.text.resources]

 DateFormatZoneData_mk [java.text.resources]

 DateFormatZoneData_nl [java.text.resources]

 DateFormatZoneData_nl_BE [java.text.resources]

 DateFormatZoneData_no [java.text.resources]

 DateFormatZoneData_no_NO_NY [java.text.resources]

 DateFormatZoneData_pl [java.text.resources]

 DateFormatZoneData_pt [java.text.resources]

 DateFormatZoneData_ro [java.text.resources]

 DateFormatZoneData_ru [java.text.resources]

 DateFormatZoneData_sh [java.text.resources]

 DateFormatZoneData_sk [java.text.resources]

 DateFormatZoneData_sl [java.text.resources]

 DateFormatZoneData_sq [java.text.resources]

 DateFormatZoneData_sr [java.text.resources]

 DateFormatZoneData_sv [java.text.resources]

 DateFormatZoneData_th [java.text.resources]

 DateFormatZoneData_tr [java.text.resources]

 DateFormatZoneData_uk [java.text.resources]

 DateFormatZoneData_zh [java.text.resources]

 DateFormatZoneData_zh_TW [java.text.resources]

 ListResourceBundle [java.util]

 LocaleElements [java.text.resources]

 LocaleElements_ar [java.text.resources]

 LocaleElements_be [java.text.resources]

 LocaleElements_bg [java.text.resources]

 LocaleElements_ca [java.text.resources]

 LocaleElements_cs [java.text.resources]

 LocaleElements_da [java.text.resources]

 LocaleElements_de [java.text.resources]

 LocaleElements_de_AT [java.text.resources]

 LocaleElements_de_AT_EURO [java.text.resources]

 LocaleElements_de_CH [java.text.resources]

 LocaleElements_de_DE_EURO [java.text.resources]

 LocaleElements_de_LU [java.text.resources]

 LocaleElements_de_LU_EURO [java.text.resources]

 LocaleElements_el [java.text.resources]

 LocaleElements_en [java.text.resources]

 LocaleElements_en_AU [java.text.resources]

 LocaleElements_en_CA [java.text.resources]

 LocaleElements_en_GB [java.text.resources]

 LocaleElements_en_IE [java.text.resources]

 LocaleElements_en_IE_EURO [java.text.resources]

 LocaleElements_en_NZ [java.text.resources]

 LocaleElements_en_ZA [java.text.resources]

 LocaleElements_es [java.text.resources]

 LocaleElements_es_AR [java.text.resources]

 LocaleElements_es_BO [java.text.resources]

 LocaleElements_es_CL [java.text.resources]

 LocaleElements_es_CO [java.text.resources]

 LocaleElements_es_CR [java.text.resources]

 LocaleElements_es_DO [java.text.resources]

 LocaleElements_es_EC [java.text.resources]

 LocaleElements_es_ES_EURO [java.text.resources]

 LocaleElements_es_GT [java.text.resources]

 LocaleElements_es_HN [java.text.resources]

 LocaleElements_es_MX [java.text.resources]

 LocaleElements_es_NI [java.text.resources]

 LocaleElements_es_PA [java.text.resources]

 LocaleElements_es_PE [java.text.resources]

 LocaleElements_es_PR [java.text.resources]

 LocaleElements_es_PY [java.text.resources]

 LocaleElements_es_SV [java.text.resources]

 LocaleElements_es_UY [java.text.resources]

 LocaleElements_es_VE [java.text.resources]

 LocaleElements_et [java.text.resources]

 LocaleElements_fi [java.text.resources]

 LocaleElements_fi_FI_EURO [java.text.resources]

 LocaleElements_fr [java.text.resources]

 LocaleElements_fr_BE [java.text.resources]

 LocaleElements_fr_BE_EURO [java.text.resources]

 LocaleElements_fr_CA [java.text.resources]

 LocaleElements_fr_CH [java.text.resources]

 LocaleElements_fr_FR_EURO [java.text.resources]

 LocaleElements_fr_LU [java.text.resources]

 LocaleElements_fr_LU_EURO [java.text.resources]

 LocaleElements_hr [java.text.resources]

 LocaleElements_hu [java.text.resources]

 LocaleElements_is [java.text.resources]

 LocaleElements_it [java.text.resources]

 LocaleElements_it_CH [java.text.resources]

 LocaleElements_it_IT_EURO [java.text.resources]

 LocaleElements_iw [java.text.resources]

 LocaleElements_ja [java.text.resources]

 LocaleElements_ko [java.text.resources]

 LocaleElements_lt [java.text.resources]

 LocaleElements_lv [java.text.resources]

 LocaleElements_mk [java.text.resources]

 LocaleElements_nl [java.text.resources]

 LocaleElements_nl_BE [java.text.resources]

 LocaleElements_nl_BE_EURO [java.text.resources]

 LocaleElements_nl_NL_EURO [java.text.resources]

 LocaleElements_no [java.text.resources]

 LocaleElements_no_NO_NY [java.text.resources]

 LocaleElements_pl [java.text.resources]

 LocaleElements_pt [java.text.resources]

 LocaleElements_pt_BR [java.text.resources]

 LocaleElements_pt_PT_EURO [java.text.resources]

 LocaleElements_ro [java.text.resources]

 LocaleElements_ru [java.text.resources]

 LocaleElements_sh [java.text.resources]

 LocaleElements_sk [java.text.resources]

 LocaleElements_sl [java.text.resources]

 LocaleElements_sq [java.text.resources]

 LocaleElements_sr [java.text.resources]

 LocaleElements_sv [java.text.resources]

 LocaleElements_th [java.text.resources]

 LocaleElements_tr [java.text.resources]

 LocaleElements_uk [java.text.resources]

 LocaleElements_zh [java.text.resources]

 LocaleElements_zh_TW [java.text.resources]

 PropertyResourceBundle [java.util]

 ResourceBundle [java.util]


keyText property [java.awt.event.KeyEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      keyText property [java.awt.event.KeyEvent]

public static java.lang.String getKeyText( int keyCode )

Returns a String describing the keyCode, such as "HOME", "F1" or "A". These strings can be localized by changing the awt.properties file.

Return

No documentation supplied in JDK.

Applies to

 KeyEvent [java.awt.event]


keyTyped method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      keyTyped method [java.awt.AWTEventMulticaster]

public void keyTyped( java.awt.event.KeyEvent e )

Handles the keyTyped event by invoking the keyTyped methods on listener-a and listener-b.

Parameter

e

the key event

Applies to

 AWTEventMulticaster [java.awt]


keyTyped method [java.awt.event.KeyAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      keyTyped method [java.awt.event.KeyAdapter]

public void keyTyped( java.awt.event.KeyEvent e )

Applies to

 KeyAdapter [java.awt.event]


keyUp method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     K
      keyUp method [java.awt.Component]

public boolean keyUp( java.awt.Event evt, int key )

Note: keyUp has been deprecated. As of JDK version 1.1, replaced by processKeyEvent(KeyEvent).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


L  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    L

 Label class [java.awt]

 label property [java.awt.Button]

 label property [java.awt.Checkbox]

 label property [java.awt.MenuItem]

 LabelPeer interface [java.awt.peer]

 language property [java.util.Locale]

 last method [java.awt.CardLayout]

 last method [java.text.BreakIterator]

 last method [java.text.StringCharacterIterator]

 lastElement method [java.util.Vector]

 lastIndexOf method [java.lang.String]

 lastIndexOf method [java.util.Vector]

 lastModified method [java.io.File]

 lastModified property [java.net.URLConnection]

 LastOwnerException class [java.security.acl]

 lastPageFirst method [java.awt.PrintJob]

 layout method [java.awt.Component]

 layout method [java.awt.Container]

 layout method [java.awt.ScrollPane]

 layout property [java.awt.Container]

 layout property [java.awt.ScrollPane]

 layoutContainer method [java.awt.BorderLayout]

 layoutContainer method [java.awt.CardLayout]

 layoutContainer method [java.awt.FlowLayout]

 layoutContainer method [java.awt.GridBagLayout]

 layoutContainer method [java.awt.GridLayout]

 layoutDimensions property [java.awt.GridBagLayout]

 LayoutManager interface [java.awt]

 LayoutManager2 interface [java.awt]

 layoutOrigin property [java.awt.GridBagLayout]

 layoutWeights property [java.awt.GridBagLayout]

 leading property [java.awt.FontMetrics]

 Lease class [java.rmi.dgc]

 leastMaximum property [java.util.Calendar]

 leastMaximum property [java.util.GregorianCalendar]

 leave method [java.net.DatagramSocketImpl]

 leaveGroup method [java.net.MulticastSocket]

 length method [java.io.File]

 length method [java.io.RandomAccessFile]

 length method [java.lang.String]

 length method [java.lang.StringBuffer]

 length property [java.lang.StringBuffer]

 length property [java.net.DatagramPacket]

 lenient property [java.text.DateFormat]

 lenient property [java.util.Calendar]

 level property [java.util.zip.Deflater]

 level property [java.util.zip.ZipOutputStream]

 LightweightPeer interface [java.awt.peer]

 limits property [java.text.ChoiceFormat]

 lineIncrement property [java.awt.Scrollbar]

 lineInstance property [java.text.BreakIterator]

 lineno method [java.io.StreamTokenizer]

 lineNumber property [java.io.LineNumberInputStream]

 lineNumber property [java.io.LineNumberReader]

 LineNumberInputStream class [java.io]

 LineNumberReader class [java.io]

 LinkageError class [java.lang]

 List class [java.awt]

 list method [java.awt.Component]

 list method [java.awt.Container]

 list method [java.io.File]

 list method [java.lang.ThreadGroup]

 list method [java.rmi.Naming]

 list method [java.util.Properties]

 listen method [java.net.SocketImpl]

 listenerMethodDescriptors property [java.beans.EventSetDescriptor]

 listenerMethods property [java.beans.EventSetDescriptor]

 listenerType property [java.beans.EventSetDescriptor]

 ListPeer interface [java.awt.peer]

 ListResourceBundle class [java.util]

 load method [java.lang.Runtime]

 load method [java.lang.System]

 load method [java.util.Properties]

 loadClass method [java.lang.ClassLoader]

 loadClass method [java.rmi.server.RMIClassLoader]

 LoaderHandler interface [java.rmi.server]

 loadImage method [java.beans.SimpleBeanInfo]

 loadLibrary method [java.lang.Runtime]

 loadLibrary method [java.lang.System]

 loadSystemColors method [java.awt.Toolkit]

 localAddress property [java.net.DatagramSocket]

 localAddress property [java.net.Socket]

 Locale class [java.util]

 locale property [java.applet.Applet]

 locale property [java.awt.Component]

 locale property [java.awt.Window]

 locale property [java.text.MessageFormat]

 LocaleData class [java.text.resources]

 LocaleElements class [java.text.resources]

 LocaleElements_ar class [java.text.resources]

 LocaleElements_be class [java.text.resources]

 LocaleElements_bg class [java.text.resources]

 LocaleElements_ca class [java.text.resources]

 LocaleElements_cs class [java.text.resources]

 LocaleElements_da class [java.text.resources]

 LocaleElements_de class [java.text.resources]

 LocaleElements_de_AT class [java.text.resources]

 LocaleElements_de_AT_EURO class [java.text.resources]

 LocaleElements_de_CH class [java.text.resources]

 LocaleElements_de_DE_EURO class [java.text.resources]

 LocaleElements_de_LU class [java.text.resources]

 LocaleElements_de_LU_EURO class [java.text.resources]

 LocaleElements_el class [java.text.resources]

 LocaleElements_en class [java.text.resources]

 LocaleElements_en_AU class [java.text.resources]

 LocaleElements_en_CA class [java.text.resources]

 LocaleElements_en_GB class [java.text.resources]

 LocaleElements_en_IE class [java.text.resources]

 LocaleElements_en_IE_EURO class [java.text.resources]

 LocaleElements_en_NZ class [java.text.resources]

 LocaleElements_en_ZA class [java.text.resources]

 LocaleElements_es class [java.text.resources]

 LocaleElements_es_AR class [java.text.resources]

 LocaleElements_es_BO class [java.text.resources]

 LocaleElements_es_CL class [java.text.resources]

 LocaleElements_es_CO class [java.text.resources]

 LocaleElements_es_CR class [java.text.resources]

 LocaleElements_es_DO class [java.text.resources]

 LocaleElements_es_EC class [java.text.resources]

 LocaleElements_es_ES_EURO class [java.text.resources]

 LocaleElements_es_GT class [java.text.resources]

 LocaleElements_es_HN class [java.text.resources]

 LocaleElements_es_MX class [java.text.resources]

 LocaleElements_es_NI class [java.text.resources]

 LocaleElements_es_PA class [java.text.resources]

 LocaleElements_es_PE class [java.text.resources]

 LocaleElements_es_PR class [java.text.resources]

 LocaleElements_es_PY class [java.text.resources]

 LocaleElements_es_SV class [java.text.resources]

 LocaleElements_es_UY class [java.text.resources]

 LocaleElements_es_VE class [java.text.resources]

 LocaleElements_et class [java.text.resources]

 LocaleElements_fi class [java.text.resources]

 LocaleElements_fi_FI_EURO class [java.text.resources]

 LocaleElements_fr class [java.text.resources]

 LocaleElements_fr_BE class [java.text.resources]

 LocaleElements_fr_BE_EURO class [java.text.resources]

 LocaleElements_fr_CA class [java.text.resources]

 LocaleElements_fr_CH class [java.text.resources]

 LocaleElements_fr_FR_EURO class [java.text.resources]

 LocaleElements_fr_LU class [java.text.resources]

 LocaleElements_fr_LU_EURO class [java.text.resources]

 LocaleElements_hr class [java.text.resources]

 LocaleElements_hu class [java.text.resources]

 LocaleElements_is class [java.text.resources]

 LocaleElements_it class [java.text.resources]

 LocaleElements_it_CH class [java.text.resources]

 LocaleElements_it_IT_EURO class [java.text.resources]

 LocaleElements_iw class [java.text.resources]

 LocaleElements_ja class [java.text.resources]

 LocaleElements_ko class [java.text.resources]

 LocaleElements_lt class [java.text.resources]

 LocaleElements_lv class [java.text.resources]

 LocaleElements_mk class [java.text.resources]

 LocaleElements_nl class [java.text.resources]

 LocaleElements_nl_BE class [java.text.resources]

 LocaleElements_nl_BE_EURO class [java.text.resources]

 LocaleElements_nl_NL_EURO class [java.text.resources]

 LocaleElements_no class [java.text.resources]

 LocaleElements_no_NO_NY class [java.text.resources]

 LocaleElements_pl class [java.text.resources]

 LocaleElements_pt class [java.text.resources]

 LocaleElements_pt_BR class [java.text.resources]

 LocaleElements_pt_PT_EURO class [java.text.resources]

 LocaleElements_ro class [java.text.resources]

 LocaleElements_ru class [java.text.resources]

 LocaleElements_sh class [java.text.resources]

 LocaleElements_sk class [java.text.resources]

 LocaleElements_sl class [java.text.resources]

 LocaleElements_sq class [java.text.resources]

 LocaleElements_sr class [java.text.resources]

 LocaleElements_sv class [java.text.resources]

 LocaleElements_th class [java.text.resources]

 LocaleElements_tr class [java.text.resources]

 LocaleElements_uk class [java.text.resources]

 LocaleElements_zh class [java.text.resources]

 LocaleElements_zh_TW class [java.text.resources]

 localHost property [java.net.InetAddress]

 localizedMessage property [java.lang.Throwable]

 localPatternChars property [java.text.DateFormatSymbols]

 localPort property [java.net.DatagramSocket]

 localPort property [java.net.DatagramSocketImpl]

 localPort property [java.net.ServerSocket]

 localPort property [java.net.Socket]

 localPort property [java.net.SocketImpl]

 locate method [java.awt.Component]

 locate method [java.awt.Container]

 LocateRegistry class [java.rmi.registry]

 location method [java.awt.Component]

 location method [java.awt.GridBagLayout]

 location property [java.awt.Component]

 location property [java.awt.Point]

 location property [java.awt.Rectangle]

 locationOnScreen property [java.awt.Component]

 log method [java.lang.Math]

 log method [java.rmi.server.LogStream]

 log property [java.rmi.server.RemoteServer]

 loginTimeout property [java.sql.DriverManager]

 LogStream class [java.rmi.server]

 logStream property [java.sql.DriverManager]

 Long class [java.lang]

 longBitsToDouble method [java.lang.Double]

 longValue method [java.lang.Byte]

 longValue method [java.lang.Double]

 longValue method [java.lang.Float]

 longValue method [java.lang.Integer]

 longValue method [java.lang.Long]

 longValue method [java.lang.Number]

 longValue method [java.lang.Short]

 longValue method [java.math.BigDecimal]

 longValue method [java.math.BigInteger]

 lookup method [java.io.ObjectStreamClass]

 lookup method [java.rmi.Naming]

 lookupConstraints method [java.awt.GridBagLayout]

 lostFocus method [java.awt.Component]

 lostOwnership method [java.awt.datatransfer.StringSelection]

 lowerCaseMode method [java.io.StreamTokenizer]

 lowestSetBit property [java.math.BigInteger]


Label class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      Label class [java.awt]

Object

Component

Label

Description

A Label object is a component for placing text in a container. A label displays a single line of read-only text. The text can be changed by the application, but a user cannot edit it directly.

For example, the code . . .

setLayout(new FlowLayout(FlowLayout.CENTER, 10, 10));

add(new Label("Hi There!"));

add(new Label("Another Label"));

produces the following label:

Specification

public class Label extends java.awt.Component

Constructors

public Label( )

Constructs an empty label.

public Label( java.lang.String text )

Constructs a new label with the specified string of text, left justified.

Parameter

text

the string that the label presents.

public Label( java.lang.String text, int alignment )

Constructs a new label that presents the specified string of text with the specified alignment.

Possible values for alignment are Label.LEFT, Label.RIGHT, and Label.CENTER.

Parameters

text

the string that the label presents.

alignment

the alignment value.

Variables

public static final int LEFT

Indicates that the label should be left justified.

public static final int CENTER

Indicates that the label should be centered.

public static final int RIGHT

Indicates that the label should be right justified.

Properties

  int getAlignment( )

  synchronized void setAlignment( int alignment )

  java.lang.String getText( )

  synchronized void setText( java.lang.String text )

Inherited Properties

  float getAlignmentX( )

  float getAlignmentY( )

  java.awt.Color getBackground( )

  void setBackground( java.awt.Color c )

  java.awt.Rectangle getBounds( )

  void setBounds( java.awt.Rectangle r )

  native final java.lang.Class getClass( )

  java.awt.image.ColorModel getColorModel( )

  java.awt.Cursor getCursor( )

  synchronized void setCursor( java.awt.Cursor cursor )

  void setEnabled( boolean b )

  boolean isEnabled( )

  boolean isFocusTraversable( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.awt.Color getForeground( )

  void setForeground( java.awt.Color c )

  java.awt.Graphics getGraphics( )

  java.util.Locale getLocale( )

  void setLocale( java.util.Locale l )

  java.awt.Point getLocation( )

  void setLocation( java.awt.Point p )

  void setLocation( int x, int y )

  java.awt.Point getLocationOnScreen( )

  java.awt.Dimension getMaximumSize( )

  java.awt.Dimension getMinimumSize( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.Container getParent( )

  java.awt.peer.ComponentPeer getPeer( )

  java.awt.Dimension getPreferredSize( )

  boolean isShowing( )

  java.awt.Dimension getSize( )

  void setSize( java.awt.Dimension d )

  void setSize( int width, int height )

  java.awt.Toolkit getToolkit( )

  final java.lang.Object getTreeLock( )

  boolean isValid( )

  void setVisible( boolean b )

  boolean isVisible( )

Methods

  void addNotify( )

Inherited Methods

  boolean action( java.awt.Event evt, java.lang.Object what )

  synchronized void add( java.awt.PopupMenu popup )

  java.awt.Rectangle bounds( )

  int checkImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean contains( java.awt.Point p )

  boolean contains( int x, int y )

  java.awt.Image createImage( java.awt.image.ImageProducer producer )

  java.awt.Image createImage( int width, int height )

  void deliverEvent( java.awt.Event e )

  void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  void doLayout( )

  void enable( boolean b )

  void enable( )

  boolean equals( java.lang.Object obj )

  java.awt.Component getComponentAt( java.awt.Point p )

  java.awt.Component getComponentAt( int x, int y )

  java.awt.FontMetrics getFontMetrics( java.awt.Font font )

  boolean gotFocus( java.awt.Event evt, java.lang.Object what )

  boolean handleEvent( java.awt.Event evt )

  native int hashCode( )

  void hide( )

  boolean imageUpdate( java.awt.Image img, int flags, int x, int y, int w, int h )

  boolean inside( int x, int y )

  void invalidate( )

  boolean keyDown( java.awt.Event evt, int key )

  boolean keyUp( java.awt.Event evt, int key )

  void layout( )

  void list( )

  void list( java.io.PrintStream out, int indent )

  void list( java.io.PrintStream out )

  void list( java.io.PrintWriter out, int indent )

  void list( java.io.PrintWriter out )

  java.awt.Component locate( int x, int y )

  java.awt.Point location( )

  boolean lostFocus( java.awt.Event evt, java.lang.Object what )

  java.awt.Dimension minimumSize( )

  boolean mouseDown( java.awt.Event evt, int x, int y )

  boolean mouseDrag( java.awt.Event evt, int x, int y )

  boolean mouseEnter( java.awt.Event evt, int x, int y )

  boolean mouseExit( java.awt.Event evt, int x, int y )

  boolean mouseMove( java.awt.Event evt, int x, int y )

  boolean mouseUp( java.awt.Event evt, int x, int y )

  void move( int x, int y )

  void nextFocus( )

  native final void notify( )

  native final void notifyAll( )

  void paint( java.awt.Graphics g )

  void paintAll( java.awt.Graphics g )

  boolean postEvent( java.awt.Event e )

  java.awt.Dimension preferredSize( )

  boolean prepareImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  void print( java.awt.Graphics g )

  void printAll( java.awt.Graphics g )

  synchronized void remove( java.awt.MenuComponent popup )

  void removeNotify( )

  void repaint( )

  void repaint( int x, int y, int width, int height )

  void repaint( long tm )

  void repaint( long tm, int x, int y, int width, int height )

  void requestFocus( )

  void reshape( int x, int y, int width, int height )

  void resize( java.awt.Dimension d )

  void resize( int width, int height )

  void setBounds( int x, int y, int width, int height )

  void show( boolean b )

  void show( )

  java.awt.Dimension size( )

  java.lang.String toString( )

  void transferFocus( )

  void update( java.awt.Graphics g )

  void validate( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected java.lang.String paramString( )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void finalize( ) throws java.lang.Throwable

 protected void processComponentEvent( java.awt.event.ComponentEvent e )

 protected void processEvent( java.awt.AWTEvent e )

 protected void processFocusEvent( java.awt.event.FocusEvent e )

 protected void processKeyEvent( java.awt.event.KeyEvent e )

 protected void processMouseEvent( java.awt.event.MouseEvent e )

 protected void processMouseMotionEvent( java.awt.event.MouseEvent e )

Inherited Events

  synchronized void addComponentListener( java.awt.event.ComponentListener l )

  synchronized void removeComponentListener( java.awt.event.ComponentListener l )

  synchronized void addFocusListener( java.awt.event.FocusListener l )

  synchronized void removeFocusListener( java.awt.event.FocusListener l )

  synchronized void addKeyListener( java.awt.event.KeyListener l )

  synchronized void removeKeyListener( java.awt.event.KeyListener l )

  synchronized void addMouseListener( java.awt.event.MouseListener l )

  synchronized void removeMouseListener( java.awt.event.MouseListener l )

  synchronized void addMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void removeMouseMotionListener( java.awt.event.MouseMotionListener l )


label property [java.awt.Button] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      label property [java.awt.Button]

public java.lang.String getLabel( )

Gets the label of this button.

Return

The button's label, or null if the button has no label.

public synchronized void setLabel( java.lang.String label )

Sets the button's label to be the specified string.

Parameter

label

the new label, or null if the button has no label.

Applies to

 Button [java.awt]


label property [java.awt.Checkbox] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      label property [java.awt.Checkbox]

public java.lang.String getLabel( )

Gets the label of this check box.

Return

The label of this check box, or null if this check box has no label.

public synchronized void setLabel( java.lang.String label )

Sets this check box's label to be the string argument.

Parameter

label

a string to set as the new label, or null for no label.

Applies to

 Checkbox [java.awt]


label property [java.awt.MenuItem] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      label property [java.awt.MenuItem]

public java.lang.String getLabel( )

Gets the label for this menu item.

Return

The label of this menu item, or null if this menu item has no label.

public synchronized void setLabel( java.lang.String label )

Sets the label for this menu item to the specified label.

Parameter

label

the new label, or null for no label.

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


LabelPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LabelPeer interface [java.awt.peer]

Definition

public interface LabelPeer extends java.awt.peer.ComponentPeer

{

  // Properties

  public void setText( java.lang.String label );

  public void setAlignment( int alignment );

}

Properties

public void setText( java.lang.String label )

public void setAlignment( int alignment )


language property [java.util.Locale] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      language property [java.util.Locale]

public java.lang.String getLanguage( )

Getter for programmatic name of field, an lowercased two-letter ISO-639 code.

Return

No documentation supplied in JDK.

See also

displayLanguage property [java.util.Locale]

Applies to

 Locale [java.util]


last method [java.awt.CardLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      last method [java.awt.CardLayout]

public void last( java.awt.Container parent )

Flips to the last card of the container.

Parameter

parent

the name of the parent container in which to do the layout.

See also

first method [java.awt.CardLayout]

Applies to

 CardLayout [java.awt]


last method [java.text.BreakIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      last method [java.text.BreakIterator]

public abstract int last( )

Return the last boundary. The iterator's current position is set to the last boundary.

Return

The character index of the last text boundary.

Applies to

 BreakIterator [java.text]


last method [java.text.StringCharacterIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      last method [java.text.StringCharacterIterator]

public char last( )

Set the position to getEndIndex() and return the character at that position.

Return

No documentation supplied in JDK.

Applies to

 StringCharacterIterator [java.text]


lastElement method [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      lastElement method [java.util.Vector]

public final synchronized java.lang.Object lastElement( )

Returns the last component of the vector.

Return

The last component of the vector, i.e., the component at index size() - 1.

Throws

NoSuchElementException

If this vector is empty.

Applies to

 Stack [java.util]

 Vector [java.util]


lastIndexOf method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      lastIndexOf method [java.lang.String]

Overloads:

 int lastIndexOf( int ch )

 int lastIndexOf( String str )

 int lastIndexOf( String str, int fromIndex )

 int lastIndexOf( int ch, int fromIndex )

public int lastIndexOf( int ch )

Returns the index within this string of the last occurrence of the specified character. The String is searched backwards starting at the last character.

Parameter

ch

a character.

Return

The index of the last occurrence of the character in the character sequence represented by this object, or -1 if the character does not occur.

public int lastIndexOf( java.lang.String str )

Returns the index within this string of the rightmost occurrence of the specified substring.  The rightmost empty string "" is considered to occur at the index value this.length().

Parameter

str

the substring to search for.

Return

If the string argument occurs one or more times as a substring within this object, then the index of the first character of the last such substring is returned. If it does not occur as a substring, -1 is returned.

public int lastIndexOf( java.lang.String str, int fromIndex )

Returns the index within this string of the last occurrence of the specified substring. The returned index indicates the start of the substring, and it must be equal to or less than fromIndex.

Parameters

str

the substring to search for.

fromIndex

the index to start the search from.

Return

If the string argument occurs one or more times as a substring within this object at a starting index no greater than fromIndex, then the index of the first character of the last such substring is returned. If it does not occur as a substring starting at fromIndex or earlier, -1 is returned.

public int lastIndexOf( int ch, int fromIndex )

Returns the index within this string of the last occurrence of the specified character, searching backward starting at the specified index.

Parameters

ch

a character.

fromIndex

the index to start the search from.

Return

The index of the last occurrence of the character in the character sequence represented by this object that is less than or equal to fromIndex, or -1 if the character does not occur before that point.

Applies to

 String [java.lang]


lastIndexOf method [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      lastIndexOf method [java.util.Vector]

Overloads:

 int lastIndexOf( Object elem )

 int lastIndexOf( Object elem, int index )

public final int lastIndexOf( java.lang.Object elem )

Returns the index of the last occurrence of the specified object in this vector.

Parameter

elem

the desired component.

Return

The index of the last occurrence of the specified object in this vector; returns -1 if the object is not found.

public final synchronized int lastIndexOf( java.lang.Object elem, int index )

Searches backwards for the specified object, starting from the specified index, and returns an index to it.

Parameters

elem

the desired component.

index

the index to start searching from.

Return

The index of the last occurrence of the specified object in this vector at position less than index in the vector; -1 if the object is not found.

Applies to

 Stack [java.util]

 Vector [java.util]


lastModified method [java.io.File] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      lastModified method [java.io.File]

public long lastModified( )

Returns the time that the file represented by this File object was last modified.

The return value is system dependent and should only be used to compare with other values returned by last modified. It should not be interpreted as an absolute time.

Return

The time the file specified by this object was last modified, or 0L if the specified file does not exist.

Throws

SecurityException

If a security manager exists, its checkRead method is called with the pathname of this File to see if the application is allowed read access to the file.

See also

path property [java.io.File]

checkRead method [java.lang.SecurityManager]

Applies to

 File [java.io]


lastModified property [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      lastModified property [java.net.URLConnection]

public long getLastModified( )

Returns the value of the last-modified header field. The result is the number of seconds since January 1, 1970 GMT.

Return

The date the resource referenced by this URLConnection was last modified, or 0 if not known.

See also

headerField property [java.net.URLConnection]

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


LastOwnerException class [java.security.acl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LastOwnerException class [java.security.acl]

Object

Throwable

Exception

LastOwnerException

Description

This is an exception that is thrown whenever an attempt is made to delete the last owner of an Access Control List.

Specification

public class LastOwnerException extends java.lang.Exception

Constructor

public LastOwnerException( )

Constructs a LastOwnerException.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Owner interface [java.security.acl]


lastPageFirst method [java.awt.PrintJob] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      lastPageFirst method [java.awt.PrintJob]

public abstract boolean lastPageFirst( )

Returns true if the last page will be printed first.

Return

No documentation supplied in JDK.

Applies to

 PrintJob [java.awt]


layout method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      layout method [java.awt.Component]

public void layout( )

Note: layout has been deprecated. As of JDK version 1.1, replaced by doLayout().

No documentation supplied in JDK

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


layout method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      layout method [java.awt.Container]

Overloads:

 void layout( ) overrides layout method [java.awt.Component]

public void layout( )

Note: layout has been deprecated. As of JDK version 1.1, replaced by doLayout().

No documentation supplied in JDK

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


layout method [java.awt.ScrollPane] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      layout method [java.awt.ScrollPane]

Overloads:

 void layout( ) overrides layout method [java.awt.Container]

public void layout( )

Note: layout has been deprecated. As of JDK version 1.1, replaced by doLayout().

No documentation supplied in JDK

Applies to

 ScrollPane [java.awt]


layout property [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      layout property [java.awt.Container]

public java.awt.LayoutManager getLayout( )

Gets the layout manager for this container.

Return

No documentation supplied in JDK.

See also

doLayout method [java.awt.Component]

public void setLayout( java.awt.LayoutManager mgr )

Sets the layout manager for this container.

Parameter

mgr

the specified layout manager

See also

doLayout method [java.awt.Component]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


layout property [java.awt.ScrollPane] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      layout property [java.awt.ScrollPane]

Overloads:

  void setLayout( LayoutManager mgr ) overrides layout property [java.awt.Container]

public final void setLayout( java.awt.LayoutManager mgr )

Sets the layout manager for this container.  This method is overridden to prevent the layout mgr from being set.

Parameter

mgr

the specified layout manager

Applies to

 ScrollPane [java.awt]


layoutContainer method [java.awt.BorderLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      layoutContainer method [java.awt.BorderLayout]

public void layoutContainer( java.awt.Container target )

Lays out the container argument using this border layout.

This method actually reshapes the components in the specified container in order to satisfy the constraints of this BorderLayout object. The North and Southcomponents, if any, are placed at the top and bottom of the container, respectively. The West and East components are then placed on the left and right, respectively. Finally, the Center object is placed in any remaining space in the middle.

Most applications do not call this method directly. This method is called when a container calls its doLayout method.

Parameter

target

the container in which to do the layout.

See also

Container class [java.awt]

doLayout method [java.awt.Component]

Applies to

 BorderLayout [java.awt]


layoutContainer method [java.awt.CardLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      layoutContainer method [java.awt.CardLayout]

public void layoutContainer( java.awt.Container parent )

Lays out the specified container using this card layout.

Each component in the parent container is reshaped to be the size of the container, minus space for surrounding insets, horizontal gaps, and vertical gaps.

Parameter

parent

the name of the parent container in which to do the layout.

See also

doLayout method [java.awt.Component]

Applies to

 CardLayout [java.awt]


layoutContainer method [java.awt.FlowLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      layoutContainer method [java.awt.FlowLayout]

public void layoutContainer( java.awt.Container target )

Lays out the container. This method lets each component take its preferred size by reshaping the components in the target container in order to satisfy the constraints of this FlowLayout object.

Parameter

target

the specified component being laid out.

See also

Container class [java.awt]

doLayout method [java.awt.Component]

Applies to

 FlowLayout [java.awt]


layoutContainer method [java.awt.GridBagLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      layoutContainer method [java.awt.GridBagLayout]

public void layoutContainer( java.awt.Container parent )

Lays out the specified container using this grid bag layout. This method reshapes components in the specified container in order to satisfy the contraints of this GridBagLayout object.

Most applications do not call this method directly.

Parameter

parent

the container in which to do the layout.

See also

Container class [java.awt]

doLayout method [java.awt.Component]

Applies to

 GridBagLayout [java.awt]


layoutContainer method [java.awt.GridLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      layoutContainer method [java.awt.GridLayout]

public void layoutContainer( java.awt.Container parent )

Lays out the specified container using this layout.

This method reshapes the components in the specified target container in order to satisfy the constraints of the GridLayout object.

The grid layout manager determines the size of individual components by dividing the free space in the container into equal-sized portions according to the number of rows and columns in the layout. The container's free space equals the container's size minus any insets and any specified horizontal or vertical gap. All components in a grid layout are given the same size.

Parameter

target

the container in which to do the layout.

See also

Container class [java.awt]

doLayout method [java.awt.Component]

Applies to

 GridLayout [java.awt]


layoutDimensions property [java.awt.GridBagLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      layoutDimensions property [java.awt.GridBagLayout]

public int[][] getLayoutDimensions( )

Determines column widths and row heights for the layout grid.

Most applications do not call this method directly.

Return

An array of two arrays, containing the widths of the layout columns and the heights of the layout rows.

Applies to

 GridBagLayout [java.awt]


LayoutManager interface [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LayoutManager interface [java.awt]

Description

Defines the interface for classes that know how to layout Containers.

Definition

public interface LayoutManager

{

  // Methods

  public void addLayoutComponent( java.lang.String name, java.awt.Component comp );

  public void removeLayoutComponent( java.awt.Component comp );

  public java.awt.Dimension preferredLayoutSize( java.awt.Container parent );

  public java.awt.Dimension minimumLayoutSize( java.awt.Container parent );

  public void layoutContainer( java.awt.Container parent );

}

Methods

public void addLayoutComponent( java.lang.String name, java.awt.Component comp )

Adds the specified component with the specified name to the layout.

Parameters

name

the component name

comp

the component to be added

public void removeLayoutComponent( java.awt.Component comp )

Removes the specified component from the layout.

Parameter

comp

the component ot be removed

public java.awt.Dimension preferredLayoutSize( java.awt.Container parent )

Calculates the preferred size dimensions for the specified panel given the components in the specified parent container.

Parameter

parent

the component to be laid out

Return

No documentation supplied in JDK.

See also

LayoutManager interface [java.awt]

public java.awt.Dimension minimumLayoutSize( java.awt.Container parent )

Calculates the minimum size dimensions for the specified panel given the components in the specified parent container.

Parameter

parent

the component to be laid out

Return

No documentation supplied in JDK.

See also

LayoutManager interface [java.awt]

public void layoutContainer( java.awt.Container parent )

Lays out the container in the specified panel.

Parameter

parent

the component which needs to be laid out

Implemented by

FlowLayout [java.awt]	GridLayout [java.awt]

See also

Container class [java.awt]


LayoutManager2 interface [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LayoutManager2 interface [java.awt]

Description

Defines an interface for classes that know how to layout Containers based on a layout constraints object. This interface extends the LayoutManager interface to deal with layouts explicitly in terms of constraint objects that specify how and where components should be added to the layout.

This minimal extension to LayoutManager is intended for tool providers who wish to the creation of constraint-based layouts. It does not yet provide full, general support for custom constraint-based layout managers.

Definition

public interface LayoutManager2 extends java.awt.LayoutManager

{

  // Methods

  public void addLayoutComponent( java.awt.Component comp, java.lang.Object constraints );

  public java.awt.Dimension maximumLayoutSize( java.awt.Container target );

  public float getLayoutAlignmentX( java.awt.Container target );

  public float getLayoutAlignmentY( java.awt.Container target );

  public void invalidateLayout( java.awt.Container target );

}

Methods

public void addLayoutComponent( java.awt.Component comp, java.lang.Object constraints )

Adds the specified component to the layout, using the specified constraint object.

Parameters

comp

the component to be added

constraints

where/how the component is added to the layout.

public java.awt.Dimension maximumLayoutSize( java.awt.Container target )

Returns the maximum size of this component.

Return

No documentation supplied in JDK.

See also

minimumSize property [java.awt.Component]

preferredSize property [java.awt.Component]

LayoutManager interface [java.awt]

public float getLayoutAlignmentX( java.awt.Container target )

Returns the alignment along the x axis.  This specifies how the component would like to be aligned relative to other components.  The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

Return

No documentation supplied in JDK.

public float getLayoutAlignmentY( java.awt.Container target )

Returns the alignment along the y axis.  This specifies how the component would like to be aligned relative to other components.  The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

Return

No documentation supplied in JDK.

public void invalidateLayout( java.awt.Container target )

Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.

Implemented by

BorderLayout [java.awt]	CardLayout [java.awt]	GridBagLayout [java.awt]

See also

LayoutManager interface [java.awt]

Container class [java.awt]


layoutOrigin property [java.awt.GridBagLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      layoutOrigin property [java.awt.GridBagLayout]

public java.awt.Point getLayoutOrigin( )

Determines the origin of the layout grid. Most applications do not call this method directly.

Return

The origin of the cell in the top-left corner of the layout grid.

Applies to

 GridBagLayout [java.awt]


layoutWeights property [java.awt.GridBagLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      layoutWeights property [java.awt.GridBagLayout]

public double[][] getLayoutWeights( )

Determines the weights of the layout grid's columns and rows. Weights are used to calculate how much a given column or row stretches beyond its preferred size, if the layout has extra room to fill.

Most applications do not call this method directly.

Return

An array of two arrays, representing the horizontal weights of the layout columns and the vertical weights of the layout rows.

Applies to

 GridBagLayout [java.awt]


leading property [java.awt.FontMetrics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      leading property [java.awt.FontMetrics]

public int getLeading( )

Determines the standard leading of the font described by this font metric. The standard leading (interline spacing) is the logical amount of space to be reserved between the descent of one line of text and the ascent of the next line. The height metric is calculated to include this extra space.

Return

The standard leading of the font.

See also

height property [java.awt.FontMetrics]

ascent property [java.awt.FontMetrics]

descent property [java.awt.FontMetrics]

Applies to

 FontMetrics [java.awt]


Lease class [java.rmi.dgc] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      Lease class [java.rmi.dgc]

Object

Lease

Description

A lease contains a unique VM identifier and a lease duration. A Lease object is used to request and grant leases to remote object references.

Specification

public final class Lease extends java.lang.Object implements java.io.Serializable

Constructor

public Lease( java.rmi.dgc.VMID id, long duration )

Constructs a lease with a specific VMID and lease duration. The vmid may be null.

Properties

  long getValue( )

  java.rmi.dgc.VMID getVMID( )

Inherited Properties

  native final java.lang.Class getClass( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


leastMaximum property [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      leastMaximum property [java.util.Calendar]

public abstract int getLeastMaximum( int field )

Gets the lowest maximum value for the given field if varies. Otherwise same as getMaximum(). e.g., for Gregorian DAY_OF_MONTH, 28.

Parameter

field

the given time field.

Return

The lowest maximum value for the given time field.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


leastMaximum property [java.util.GregorianCalendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      leastMaximum property [java.util.GregorianCalendar]

Overloads:

  int getLeastMaximum( int field ) overrides leastMaximum property [java.util.Calendar]

public int getLeastMaximum( int field )

Returns lowest maximum value for the given field if varies. Otherwise same as getMaximum(). For Gregorian DAY_OF_MONTH, 28 Please see Calendar.getLeastMaximum for descriptions on parameters and the return value.

Return

No documentation supplied in JDK.

Applies to

 GregorianCalendar [java.util]


leave method [java.net.DatagramSocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      leave method [java.net.DatagramSocketImpl]

protected abstract void leave( java.net.InetAddress inetaddr ) throws java.io.IOException

Leave the multicast group.

Parameter

multicast

address to leave.

Applies to

 DatagramSocketImpl [java.net]


leaveGroup method [java.net.MulticastSocket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      leaveGroup method [java.net.MulticastSocket]

public void leaveGroup( java.net.InetAddress mcastaddr ) throws java.io.IOException

Leave a multicast group.

Parameter

mcastaddr

is the multicast address to leave

Throws

IOException

Is raised if there is an error leaving or when address is not a multicast address.

Applies to

 MulticastSocket [java.net]


length method [java.io.File] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      length method [java.io.File]

public long length( )

Returns the length of the file represented by this File object.

Return

The length, in bytes, of the file specified by this object, or 0L if the specified file does not exist.

Throws

SecurityException

If a security manager exists, its checkRead method is called with the pathname of this File to see if the application is allowed read access to the file.

See also

path property [java.io.File]

checkRead method [java.lang.SecurityManager]

Applies to

 File [java.io]


length method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      length method [java.io.RandomAccessFile]

public native long length( ) throws java.io.IOException

Returns the length of this file.

Return

The length of this file.

Throws

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


length method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      length method [java.lang.String]

public int length( )

Returns the length of this string. The length is equal to the number of 16-bit Unicode characters in the string.

Return

The length of the sequence of characters represented by this object.

Applies to

 String [java.lang]


length method [java.lang.StringBuffer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      length method [java.lang.StringBuffer]

public int length( )

Returns the length (character count) of this string buffer.

Return

The number of characters in this string buffer.

Applies to

 StringBuffer [java.lang]


length property [java.lang.StringBuffer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      length property [java.lang.StringBuffer]

public synchronized void setLength( int newLength )

Sets the length of this String buffer. If the newLength argument is less than the current length of the string buffer, the string buffer is truncated to contain exactly the number of characters given by the newLength argument.

If the newLength argument is greater than or equal to the current length, sufficient null characters ('\u0000') are appended to the string buffer so that length becomes the newLength argument.

The newLength argument must be greater than or equal to 0.

Parameter

newLength

the new length of the buffer.

Throws

StringIndexOutOfBoundsException

If the newLength argument is invalid.

See also

length method [java.lang.StringBuffer]

Applies to

 StringBuffer [java.lang]


length property [java.net.DatagramPacket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      length property [java.net.DatagramPacket]

public synchronized int getLength( )

Returns the length of the data to be sent or the length of the data received.

Return

The length of the data to be sent or the length of the data received.

public synchronized void setLength( int ilength )

No documentation supplied in JDK

Applies to

 DatagramPacket [java.net]


lenient property [java.text.DateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      lenient property [java.text.DateFormat]

public void setLenient( boolean lenient )

Specify whether or not date/time parsing is to be lenient.  With lenient parsing, the parser may use heuristics to interpret inputs that do not precisely match this object's format.  With strict parsing, inputs must match this object's format.

See also

lenient property [java.util.Calendar]

public boolean isLenient( )

Tell whether date/time parsing is to be lenient.

Return

No documentation supplied in JDK.

Applies to

 DateFormat [java.text]

 SimpleDateFormat [java.text]


lenient property [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      lenient property [java.util.Calendar]

public void setLenient( boolean lenient )

Specify whether or not date/time interpretation is to be lenient.  With lenient interpretation, a date such as "February 942, 1996" will be treated as being equivalent to the 941st day after February 1, 1996. With strict interpretation, such dates will cause an exception to be thrown.

See also

lenient property [java.text.DateFormat]

public boolean isLenient( )

Tell whether date/time interpretation is to be lenient.

Return

No documentation supplied in JDK.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


level property [java.util.zip.Deflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      level property [java.util.zip.Deflater]

public synchronized void setLevel( int level )

Sets the current compression level to the specified value.

Parameter

level

the new compression level (0-9)

Throws

IllegalArgumentException

If the compression level is invalid.

Applies to

 Deflater [java.util.zip]


level property [java.util.zip.ZipOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      level property [java.util.zip.ZipOutputStream]

public void setLevel( int level )

Sets the compression level for subsequent entries which are DEFLATED. The default setting is DEFAULT_COMPRESSION.

Parameter

level

the compression level (0-9)

Throws

IllegalArgumentException

If the compression level is invalid.

Applies to

 ZipOutputStream [java.util.zip]


LightweightPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LightweightPeer interface [java.awt.peer]

Description

The LightweightPeer interface marks a component as depending upon a native container so window related events can be routed to the component.  Since this only applies to components and their extensions, this interface extends ComponentPeer.

Definition

public interface LightweightPeer extends java.awt.peer.ComponentPeer

{

}


limits property [java.text.ChoiceFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      limits property [java.text.ChoiceFormat]

public double[] getLimits( )

Get the limits passed in the constructor.

Return

The limits.

Applies to

 ChoiceFormat [java.text]


lineIncrement property [java.awt.Scrollbar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      lineIncrement property [java.awt.Scrollbar]

public int getLineIncrement( )

Note: getLineIncrement has been deprecated. As of JDK version 1.1, replaced by getUnitIncrement().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

public synchronized void setLineIncrement( int v )

Note: setLineIncrement has been deprecated. As of JDK version 1.1, replaced by setUnitIncrement(int).

Note: setLineIncrement has been deprecated. As of JDK version 1.1, replaced by setUnitIncrement(int).

No documentation supplied in JDK

Applies to

 Scrollbar [java.awt]


lineInstance property [java.text.BreakIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      lineInstance property [java.text.BreakIterator]

public static java.text.BreakIterator getLineInstance( )

Create BreakIterator for line-breaks using default locale. Returns an instance of a BreakIterator implementing line breaks. Line breaks are logically possible line breaks, actual line breaks are usually determined based on display width. LineBreak is useful for word wrapping text.

Return

A BreakIterator for line-breaks.

See also

default property [java.util.Locale]

Applies to

 BreakIterator [java.text]


lineno method [java.io.StreamTokenizer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      lineno method [java.io.StreamTokenizer]

public int lineno( )

Return the current line number.

Return

The current line number of this stream tokenizer.

Applies to

 StreamTokenizer [java.io]


lineNumber property [java.io.LineNumberInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      lineNumber property [java.io.LineNumberInputStream]

public int getLineNumber( )

Returns the current line number.

Return

The current line number.

public void setLineNumber( int lineNumber )

Sets the line number to the specified argument.

Parameter

lineNumber

the new line number.

Applies to

 LineNumberInputStream [java.io]


lineNumber property [java.io.LineNumberReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      lineNumber property [java.io.LineNumberReader]

public int getLineNumber( )

Get the current line number.

Return

No documentation supplied in JDK.

public void setLineNumber( int lineNumber )

Set the current line number.

Applies to

 LineNumberReader [java.io]


LineNumberInputStream class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LineNumberInputStream class [java.io]

Object

InputStream

FilterInputStream

LineNumberInputStream

Note: LineNumberInputStream has been deprecated. This class incorrectly assumes that bytes adequately represent characters.  As of JDK 1.1, the preferred way to operate on character streams is via the new character-stream classes, which include a class for counting line numbers.

Description

This class is an input stream filter that provides the added functionality of keeping track of the current line number.

A line is a sequence of bytes ending with a carriage return character ('\r'), a newline character ('\n'), or a carriage return character followed immediately by a linefeed character. In all three cases, the line terminating character(s) are returned as a single newline character.

The line number begins at 0, and is incremented by 1 when a read returns a newline character.

Specification

public class LineNumberInputStream extends java.io.FilterInputStream

Constructor

public LineNumberInputStream( java.io.InputStream in )

Constructs a newline number input stream that reads its input from the specified input stream.

Parameter

in

the underlying input stream.

Properties

  int getLineNumber( )

  void setLineNumber( int lineNumber )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  int available( ) throws java.io.IOException

  void mark( int readlimit )

  int read( ) throws java.io.IOException

  int read( byte[] b, int off, int len ) throws java.io.IOException

  void reset( ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

Inherited Methods

  void close( ) throws java.io.IOException

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  boolean markSupported( )

  native final void notify( )

  native final void notifyAll( )

  int read( byte[] b ) throws java.io.IOException

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

LineNumberReader class [java.io]


LineNumberReader class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LineNumberReader class [java.io]

Object

Reader

BufferedReader

LineNumberReader

Description

A buffered character-input stream that keeps track of line numbers.  A line is considered to be terminated by any one of a line feed ('\n'), a carriage return ('\r'), or a carriage return followed immediately by a linefeed.

Specification

public class LineNumberReader extends java.io.BufferedReader

Constructors

public LineNumberReader( java.io.Reader in )

Create a new line-numbering reader, using the default input-buffer size.

public LineNumberReader( java.io.Reader in, int sz )

Create a new line-numbering reader, reading characters into a buffer of the given size.

Properties

  int getLineNumber( )

  void setLineNumber( int lineNumber )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void mark( int readAheadLimit ) throws java.io.IOException

  int read( char[] cbuf, int off, int len ) throws java.io.IOException

  int read( ) throws java.io.IOException

  java.lang.String readLine( ) throws java.io.IOException

  void reset( ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

Inherited Methods

  abstract void close( ) throws java.io.IOException

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  boolean markSupported( )

  native final void notify( )

  native final void notifyAll( )

  int read( char[] cbuf ) throws java.io.IOException

  boolean ready( ) throws java.io.IOException

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


LinkageError class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LinkageError class [java.lang]

Object

Throwable

Error

LinkageError

Description

Subclasses of LinkageError indicate that a class has some dependency on another class; however, the latter class has incompatibly changed after the compilation of the former class.

Specification

public class LinkageError extends java.lang.Error

Constructors

public LinkageError( )

Constructs a LinkageError with no detail message.

public LinkageError( java.lang.String s )

Constructs a LinkageError with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


List class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      List class [java.awt]

Object

Component

List

Description

The List component presents the user with a scrolling list of text items. The list can be set up so that the user can choose either one item or multiple items.

For example, the code . . .

List lst = new List(4, false);

lst.add("Mercury");

lst.add("Venus");

lst.add("Earth");

lst.add("JavaSoft");

lst.add("Mars");

lst.add("Jupiter");

lst.add("Saturn");

lst.add("Uranus");

lst.add("Neptune");

lst.add("Pluto");

cnt.add(lst);

where cnt is a container, produces the following scrolling list:

Clicking on an item that isn't selected selects it. Clicking on an item that is already selected deselects it. In the preceding example, only one item from the scrolling list can be selected at a time, since the second argument when creating the new scrolling list is false. Selecting an item causes any other selected item to be automatically deselected.

Beginning with Java 1.1, the Abstract Window Toolkit sends the List object all mouse, keyboard, and focus events that occur over it. (The old AWT event model is being maintained only for backwards compatibility, and its use is discouraged.)

When an item is selected or deselected, AWT sends an instance of ItemEvent to the list. When the user double-clicks on an item in a scrolling list, AWT sends an instance of ActionEvent to the list following the item event. AWT also generates an action event when the user presses the return key while an item in the list is selected.

If an application wants to perform some action based on an item in this list being selected or activated, it should implement ItemListener or ActionListener as appropriate and register the new listener to receive events from this list.

For multiple-selection scrolling lists, it is considered a better user interface to use an external gesture (such as clicking on a button) to trigger the action.

Specification

public class List extends java.awt.Component implements java.awt.ItemSelectable

Constructors

public List( )

Creates a new scrolling list. Initially there are no visible lines, and only one item can be selected from the list.

public List( int rows )

Creates a new scrolling list initialized with the specified number of visible lines. By default, multiple selections are not allowed.

Parameter

rows

the number of items to show.

public List( int rows, boolean multipleMode )

Creates a new scrolling list initialized to display the specified number of rows. If the value of multipleMode is true, then the user can select multiple items from the list. If it is false, only one item at a time can be selected.

Parameters

rows

the number of items to show.

multipleMode

if true, then multiple selections are allowed; otherwise, only one item can be selected at a time.

Properties

  java.lang.String getItem( int index )

  int getItemCount( )

  synchronized java.lang.String[] getItems( )

  java.awt.Dimension getMinimumSize( )

  java.awt.Dimension getMinimumSize( int rows )

  void setMultipleMode( boolean b )

  boolean isMultipleMode( )

  synchronized void setMultipleSelections( boolean b )

  java.awt.Dimension getPreferredSize( )

  java.awt.Dimension getPreferredSize( int rows )

  int getRows( )

  synchronized int getSelectedIndex( )

  synchronized int[] getSelectedIndexes( )

  synchronized java.lang.String getSelectedItem( )

  synchronized java.lang.String[] getSelectedItems( )

  java.lang.Object[] getSelectedObjects( )

  int getVisibleIndex( )

Inherited Properties

  float getAlignmentX( )

  float getAlignmentY( )

  java.awt.Color getBackground( )

  void setBackground( java.awt.Color c )

  java.awt.Rectangle getBounds( )

  void setBounds( java.awt.Rectangle r )

  native final java.lang.Class getClass( )

  java.awt.image.ColorModel getColorModel( )

  java.awt.Cursor getCursor( )

  synchronized void setCursor( java.awt.Cursor cursor )

  void setEnabled( boolean b )

  boolean isEnabled( )

  boolean isFocusTraversable( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.awt.Color getForeground( )

  void setForeground( java.awt.Color c )

  java.awt.Graphics getGraphics( )

  java.util.Locale getLocale( )

  void setLocale( java.util.Locale l )

  java.awt.Point getLocation( )

  void setLocation( java.awt.Point p )

  void setLocation( int x, int y )

  java.awt.Point getLocationOnScreen( )

  java.awt.Dimension getMaximumSize( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.Container getParent( )

  java.awt.peer.ComponentPeer getPeer( )

  boolean isShowing( )

  java.awt.Dimension getSize( )

  void setSize( java.awt.Dimension d )

  void setSize( int width, int height )

  java.awt.Toolkit getToolkit( )

  final java.lang.Object getTreeLock( )

  boolean isValid( )

  void setVisible( boolean b )

  boolean isVisible( )

Methods

  void add( java.lang.String item )

  void add( java.lang.String item, int index )

  void addItem( java.lang.String item )

  synchronized void addItem( java.lang.String item, int index )

  void addNotify( )

  boolean allowsMultipleSelections( )

  synchronized void clear( )

  int countItems( )

  void delItem( int position )

  synchronized void delItems( int start, int end )

  synchronized void deselect( int index )

  boolean isIndexSelected( int index )

  boolean isSelected( int index )

  synchronized void makeVisible( int index )

  java.awt.Dimension minimumSize( int rows )

  java.awt.Dimension minimumSize( )

  java.awt.Dimension preferredSize( )

  java.awt.Dimension preferredSize( int rows )

  synchronized void remove( java.lang.String item )

  void remove( int position )

  void removeAll( )

  void removeNotify( )

  synchronized void replaceItem( java.lang.String newValue, int index )

  void select( int index )

Inherited Methods

  boolean action( java.awt.Event evt, java.lang.Object what )

  synchronized void add( java.awt.PopupMenu popup )

  java.awt.Rectangle bounds( )

  int checkImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean contains( int x, int y )

  boolean contains( java.awt.Point p )

  java.awt.Image createImage( int width, int height )

  java.awt.Image createImage( java.awt.image.ImageProducer producer )

  void deliverEvent( java.awt.Event e )

  void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  void doLayout( )

  void enable( )

  void enable( boolean b )

  boolean equals( java.lang.Object obj )

  java.awt.Component getComponentAt( java.awt.Point p )

  java.awt.Component getComponentAt( int x, int y )

  java.awt.FontMetrics getFontMetrics( java.awt.Font font )

  boolean gotFocus( java.awt.Event evt, java.lang.Object what )

  boolean handleEvent( java.awt.Event evt )

  native int hashCode( )

  void hide( )

  boolean imageUpdate( java.awt.Image img, int flags, int x, int y, int w, int h )

  boolean inside( int x, int y )

  void invalidate( )

  boolean keyDown( java.awt.Event evt, int key )

  boolean keyUp( java.awt.Event evt, int key )

  void layout( )

  void list( java.io.PrintWriter out )

  void list( java.io.PrintWriter out, int indent )

  void list( java.io.PrintStream out )

  void list( java.io.PrintStream out, int indent )

  void list( )

  java.awt.Component locate( int x, int y )

  java.awt.Point location( )

  boolean lostFocus( java.awt.Event evt, java.lang.Object what )

  boolean mouseDown( java.awt.Event evt, int x, int y )

  boolean mouseDrag( java.awt.Event evt, int x, int y )

  boolean mouseEnter( java.awt.Event evt, int x, int y )

  boolean mouseExit( java.awt.Event evt, int x, int y )

  boolean mouseMove( java.awt.Event evt, int x, int y )

  boolean mouseUp( java.awt.Event evt, int x, int y )

  void move( int x, int y )

  void nextFocus( )

  native final void notify( )

  native final void notifyAll( )

  void paint( java.awt.Graphics g )

  void paintAll( java.awt.Graphics g )

  boolean postEvent( java.awt.Event e )

  boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean prepareImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  void print( java.awt.Graphics g )

  void printAll( java.awt.Graphics g )

  synchronized void remove( java.awt.MenuComponent popup )

  void repaint( )

  void repaint( int x, int y, int width, int height )

  void repaint( long tm )

  void repaint( long tm, int x, int y, int width, int height )

  void requestFocus( )

  void reshape( int x, int y, int width, int height )

  void resize( java.awt.Dimension d )

  void resize( int width, int height )

  void setBounds( int x, int y, int width, int height )

  void show( boolean b )

  void show( )

  java.awt.Dimension size( )

  java.lang.String toString( )

  void transferFocus( )

  void update( java.awt.Graphics g )

  void validate( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected java.lang.String paramString( )

 protected void processActionEvent( java.awt.event.ActionEvent e )

 protected void processEvent( java.awt.AWTEvent e )

 protected void processItemEvent( java.awt.event.ItemEvent e )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void finalize( ) throws java.lang.Throwable

 protected void processComponentEvent( java.awt.event.ComponentEvent e )

 protected void processFocusEvent( java.awt.event.FocusEvent e )

 protected void processKeyEvent( java.awt.event.KeyEvent e )

 protected void processMouseEvent( java.awt.event.MouseEvent e )

 protected void processMouseMotionEvent( java.awt.event.MouseEvent e )

Events

  synchronized void addActionListener( java.awt.event.ActionListener l )

  synchronized void removeActionListener( java.awt.event.ActionListener l )

  synchronized void addItemListener( java.awt.event.ItemListener l )

  synchronized void removeItemListener( java.awt.event.ItemListener l )

Inherited Events

  synchronized void addComponentListener( java.awt.event.ComponentListener l )

  synchronized void removeComponentListener( java.awt.event.ComponentListener l )

  synchronized void addFocusListener( java.awt.event.FocusListener l )

  synchronized void removeFocusListener( java.awt.event.FocusListener l )

  synchronized void addKeyListener( java.awt.event.KeyListener l )

  synchronized void removeKeyListener( java.awt.event.KeyListener l )

  synchronized void addMouseListener( java.awt.event.MouseListener l )

  synchronized void removeMouseListener( java.awt.event.MouseListener l )

  synchronized void addMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void removeMouseMotionListener( java.awt.event.MouseMotionListener l )

See also

ItemEvent class [java.awt.event]

ItemListener interface [java.awt.event]

ActionEvent class [java.awt.event]

ActionListener interface [java.awt.event]


list method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      list method [java.awt.Component]

Overloads:

 void list( )

 void list( PrintStream out, int indent )

 void list( PrintStream out )

 void list( PrintWriter out, int indent )

 void list( PrintWriter out )

public void list( )

Prints a listing of this component to the standard system output stream System.out.

public void list( java.io.PrintStream out, int indent )

Prints out a list, starting at the specified indention, to the specified print stream.

Parameters

out

a print stream.

indent

number of spaces to indent.

See also

println method [java.io.PrintStream]

public void list( java.io.PrintStream out )

Prints a listing of this component to the specified output stream.

Parameter

out

a print stream.

public void list( java.io.PrintWriter out, int indent )

Prints out a list, starting at the specified indention, to the specified print writer.

Parameters

out

The print writer to print to.

indent

The number of spaces to indent.

See also

println method [java.io.PrintStream]

public void list( java.io.PrintWriter out )

Prints a listing to the specified print writer.

Parameter

out

The print writer to print to.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


list method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      list method [java.awt.Container]

Overloads:

 void list( PrintStream out, int indent ) overrides list method [java.awt.Component]

 void list( PrintWriter out, int indent ) overrides list method [java.awt.Component]

Inherited overloads:

 void list( )

 void list( PrintStream out )

 void list( PrintWriter out )

public void list( java.io.PrintStream out, int indent )

Prints a listing of this container to the specified output stream. The listing starts at the specified indentation.

Parameters

out

a print stream.

indent

the number of spaces to indent.

See also

list method [java.awt.Component]

public void list( java.io.PrintWriter out, int indent )

Prints out a list, starting at the specified indention, to the specified print writer.

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


list method [java.io.File] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      list method [java.io.File]

Overloads:

 String[] list( FilenameFilter filter )

 String[] list( )

public java.lang.String[] list( java.io.FilenameFilter filter )

Returns a list of the files in the directory specified by this File that satisfy the specified filter.

Parameter

filter

a filename filter.

Return

An array of file names in the specified directory. This list does not include the current directory or the parent directory ("." and ".." on Unix systems).

Throws

SecurityException

If a security manager exists, its checkRead method is called with the pathname of this File to see if the application is allowed read access to the file.

See also

path property [java.io.File]

FilenameFilter interface [java.io]

checkRead method [java.lang.SecurityManager]

public java.lang.String[] list( )

Returns a list of the files in the directory specified by this File object.

Return

An array of file names in the specified directory. This list does not include the current directory or the parent directory ("." and ".." on Unix systems).

Throws

SecurityException

If a security manager exists, its checkRead method is called with the pathname of this File to see if the application is allowed read access to the file.

See also

path property [java.io.File]

checkRead method [java.lang.SecurityManager]

Applies to

 File [java.io]


list method [java.lang.ThreadGroup] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      list method [java.lang.ThreadGroup]

public void list( )

Prints information about this thread group to the standard output. This method is useful only for debugging.

Applies to

 ThreadGroup [java.lang]


list method [java.rmi.Naming] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      list method [java.rmi.Naming]

public static java.lang.String[] list( java.lang.String name ) throws java.rmi.RemoteException, java.net.MalformedURLException, java.rmi.UnknownHostException

Returns an array of strings of the URLs in the registry. The array contains a snapshot of the names present in the registry.

Return

No documentation supplied in JDK.

Throws

RemoteException

If registry could not be contacted.

Applies to

 Naming [java.rmi]


list method [java.util.Properties] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      list method [java.util.Properties]

Overloads:

 void list( PrintWriter out )

 void list( PrintStream out )

public void list( java.io.PrintWriter out )

Prints this property list out to the specified output stream. This method is useful for debugging.

Parameter

out

an output stream.

public void list( java.io.PrintStream out )

Prints this property list out to the specified output stream. This method is useful for debugging.

Parameter

out

an output stream.

Applies to

 Properties [java.util]

 Provider [java.security]


listen method [java.net.SocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      listen method [java.net.SocketImpl]

protected abstract void listen( int backlog ) throws java.io.IOException

Sets the maximum queue length for incoming connection indications (a request to connect) to the count argument. If a connection indication arrives when the queue is full, the connection is refused.

Parameter

backlog

the maximum length of the queue.

Throws

IOException

If an I/O error occurs when creating the queue.

Applies to

 SocketImpl [java.net]


listenerMethodDescriptors property [java.beans.EventSetDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      listenerMethodDescriptors property [java.beans.EventSetDescriptor]

public java.beans.MethodDescriptor[] getListenerMethodDescriptors( )

No documentation supplied in JDK

Return

An array of MethodDescriptor objects for the target methods within the target listener interface that will get called when events are fired.

Applies to

 EventSetDescriptor [java.beans]


listenerMethods property [java.beans.EventSetDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      listenerMethods property [java.beans.EventSetDescriptor]

public java.lang.reflect.Method[] getListenerMethods( )

No documentation supplied in JDK

Return

An array of Method objects for the target methods within the target listener interface that will get called when events are fired.

Applies to

 EventSetDescriptor [java.beans]


listenerType property [java.beans.EventSetDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      listenerType property [java.beans.EventSetDescriptor]

public java.lang.Class getListenerType( )

No documentation supplied in JDK

Return

The Class object for the target interface that will get invoked when the event is fired.

Applies to

 EventSetDescriptor [java.beans]


ListPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      ListPeer interface [java.awt.peer]

Definition

public interface ListPeer extends java.awt.peer.ComponentPeer

{

  // Properties

  public int[] getSelectedIndexes( );

  public void setMultipleMode( boolean b );

  public java.awt.Dimension getPreferredSize( int rows );

  public java.awt.Dimension getMinimumSize( int rows );

  public void setMultipleSelections( boolean v );

  // Methods

  public void add( java.lang.String item, int index );

  public void delItems( int start, int end );

  public void removeAll( );

  public void select( int index );

  public void deselect( int index );

  public void makeVisible( int index );

  public void addItem( java.lang.String item, int index );

  public void clear( );

  public java.awt.Dimension preferredSize( int v );

  public java.awt.Dimension minimumSize( int v );

}

Properties

public int[] getSelectedIndexes( )

public void setMultipleMode( boolean b )

public java.awt.Dimension getPreferredSize( int rows )

public java.awt.Dimension getMinimumSize( int rows )

public void setMultipleSelections( boolean v )

DEPRECATED:  Replaced by setMultipleMode(boolean).

Methods

public void add( java.lang.String item, int index )

public void delItems( int start, int end )

public void removeAll( )

public void select( int index )

public void deselect( int index )

public void makeVisible( int index )

public void addItem( java.lang.String item, int index )

DEPRECATED:  Replaced by add(String, int).

public void clear( )

DEPRECATED:  Replaced by removeAll().

public java.awt.Dimension preferredSize( int v )

DEPRECATED:  Replaced by getPreferredSize(int).

Return

No documentation supplied in JDK.

public java.awt.Dimension minimumSize( int v )

DEPRECATED:  Replaced by getMinimumSize(int).

Return

No documentation supplied in JDK.


ListResourceBundle class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      ListResourceBundle class [java.util]

Object

ResourceBundle

ListResourceBundle

Description

ListResourceBundle is a abstract subclass of ResourceBundle that manages resources for a locale in a convenient and easy to use list. See ResourceBundle for more information about resource bundles in general.

Subclasses must override getContents and provide an array, where each item in the array is a pair of objects. The first element of each pair is a String key, and the second is the value associated with that key.

In the following example, the keys are of the form "s1"... The actual keys are entirely up to your choice, so long as they are the same as the keys you use in your program to retrieve the objects from the bundle. Keys are case-sensitive. MyResource is the default version of the bundle family, and MyResource_fr is the french version:

//====================

class MyResource extends ListResourceBundle {

public Object[][] getContents() {

    return contents;

}

static final Object[][] contents = {

// LOCALIZE THIS

    {"s1", "3"},        // starting value in choice field

    {"s2", "MyDisk"},    // starting value in string field

    {"s3", "3 Mar 96"}, // starting value in date field

    {"s4", "The disk '{1}' contained {0} on {2}."}, // initial pattern

    {"s5", "0"},        // first choice number

    {"s6", "no files"}, // first choice value

    {"s7", "1"},        // second choice number

    {"s8", "one file"}, // second choice value

    {"s9", "2"},        // third choice number

    {"s10", "{0}|3 files"}, // third choice value

    {"s11", "format threw an exception: {0}"},  // generic exception message

    {"s12", "ERROR"},   // what to show in field in case of error

    {"s14", "Result"},  // label for formatted stuff

    {"s13", "Dialog"},  // standard font

    {"s15", "Pattern"}, // label for standard pattern

    {"s16", new Dimension(1,5)} // real object, not just string

// END OF MATERIAL TO LOCALIZE

};

}

//====================

class MyResource_fr  extends ListResourceBundle {

public Object[][] getContents() {

    return contents;

}

static final Object[][] contents = {

// LOCALIZE THIS

    {"s1", "3"},        // starting value in choice field

    {"s2", "MonDisk"},  // starting value in string field

    {"s3", "3 Mar 96"}, // starting value in date field

    {"s4", "Le disk '{1}' a {0} a {2}."},   // initial pattern

    {"s5", "0"},        // first choice number

    {"s6", "pas de files"}, // first choice value

    {"s7", "1"},        // second choice number

    {"s8", "une file"}, // second choice value

    {"s9", "2"},        // third choice number

    {"s10", "{0}|3 files"}, // third choice value

    {"s11", "Le format a jete une exception: {0}"}, // generic exception message

    {"s12", "ERROR"},   // what to show in field in case of error

    {"s14", "Resulte"}, // label for formatted stuff

    {"s13", "Dialogue"},    // standard font

    {"s15", "Pattern"}, // label for standard pattern

    {"s16", new Dimension(1,3)} // real object, not just string

// END OF MATERIAL TO LOCALIZE

};

}

Specification

public abstract class ListResourceBundle extends java.util.ResourceBundle

Properties

  java.util.Enumeration getKeys( )

Inherited Properties

  native final java.lang.Class getClass( )

Protected Properties

 protected abstract java.lang.Object[][] getContents( )

 protected void setParent( java.util.ResourceBundle parent )

Methods

  final java.lang.Object handleGetObject( java.lang.String key )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

ResourceBundle class [java.util]

PropertyResourceBundle class [java.util]


load method [java.lang.Runtime] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      load method [java.lang.Runtime]

public synchronized void load( java.lang.String filename )

Loads the specified filename as a dynamic library. The filename argument must be a complete pathname. From java_g it will automagically insert "_g" before the ".so" (for example Runtime.getRuntime().load("/home/avh/lib/libX11.so");).

If there is a security manager, its checkLink method is called with the filename as its argument. This may result in a security exception.

Parameter

filename

the file to load.

Throws

SecurityException

If the current thread cannot load the specified dynamic library.

UnsatisfiedLinkError

If the file does not exist.

See also

runtime property [java.lang.Runtime]

SecurityException class [java.lang]

checkLink method [java.lang.SecurityManager]

Applies to

 Runtime [java.lang]


load method [java.lang.System] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      load method [java.lang.System]

public static void load( java.lang.String filename )

Loads the specified filename as a dynamic library. The filename argument must be a complete pathname.

This method calls the load method in class Runtime.

Parameter

filename

the file to load.

Throws

SecurityException

If the current thread cannot load the specified dynamic library.

UnsatisfiedLinkError

If the file does not exist.

See also

load method [java.lang.Runtime]

Applies to

 System [java.lang]


load method [java.util.Properties] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      load method [java.util.Properties]

public synchronized void load( java.io.InputStream in ) throws java.io.IOException

Reads a property list from an input stream.

Parameter

in

the input stream.

Throws

IOException

If an error occurred when reading from the input stream.

Applies to

 Properties [java.util]

 Provider [java.security]


loadClass method [java.lang.ClassLoader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      loadClass method [java.lang.ClassLoader]

Overloads:

 Class loadClass( String name )

 Class loadClass( String name, boolean resolve )

public java.lang.Class loadClass( java.lang.String name ) throws java.lang.ClassNotFoundException

Requests the class loader to load and resolve a class with the specified name. The loadClass method is called by the Java Virtual Machine when a class loaded by a class loader first references another class. Every subclass of class ClassLoader must define this method.

Class loaders should use a hashtable or other cache to avoid defining classes with the same name multiple times.

Parameter

name

the name of the desired Class.

Return

The resulting Class, or null if it was not found.

Throws

ClassNotFoundException

If the class loader cannot find a definition for the class.

protected abstract java.lang.Class loadClass( java.lang.String name, boolean resolve ) throws java.lang.ClassNotFoundException

Resolves the specified name to a Class. The method loadClass() is called by the virtual machine.

If the resolve flag is true, the method should call the resolveClass method on the resulting class object.

As an abstract method, loadClass() must be defined in a subclass of ClassLoader. By using a Hashtable, you can avoid loading the same Class more than once.

Parameters

name

the name of the desired Class.

resolve

true if the Class needs to be resolved.

Return

The resulting Class, or null if it was not found.

Throws

ClassNotFoundException

If the class loader cannot find a definition for the class.

See also

Hashtable class [java.util]

Applies to

 ClassLoader [java.lang]


loadClass method [java.rmi.server.RMIClassLoader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      loadClass method [java.rmi.server.RMIClassLoader]

Overloads:

 Class loadClass( String name )

 Class loadClass( URL codebase, String name )

public static java.lang.Class loadClass( java.lang.String name ) throws java.net.MalformedURLException, java.lang.ClassNotFoundException

Load a class from the URL specified in the java.rmi.server.codebase property.

Parameter

name

the name of the class to load

Return

The Class object representing the loaded class.

Throws

MalformedURLException

The system property java.rmi.server.codebase does not contain a valid URL.

ClassNotFoundException

A definition for the class could not be found at the codebase URL.

public static java.lang.Class loadClass( java.net.URL codebase, java.lang.String name ) throws java.net.MalformedURLException, java.lang.ClassNotFoundException

Load a class from a URL.

Parameters

codebase

the URL from which to load the class

name

the name of the class to load

Return

The Class object representing the loaded class.

Throws

MalformedURLException

The codebase paramater was null.

ClassNotFoundException

A definition for the class could not be found at the specified URL.

Applies to

 RMIClassLoader [java.rmi.server]


LoaderHandler interface [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LoaderHandler interface [java.rmi.server]

Definition

public interface LoaderHandler

{

  // Variables

  public static final java.lang.String packagePrefix;

  // Methods

  public java.lang.Class loadClass( java.lang.String name ) throws java.net.MalformedURLException, java.lang.ClassNotFoundException;

  public java.lang.Class loadClass( java.net.URL codebase, java.lang.String name ) throws java.net.MalformedURLException, java.lang.ClassNotFoundException;

  public java.lang.Object getSecurityContext( java.lang.ClassLoader loader );

}

Variable

public static final java.lang.String packagePrefix

Find loader handler package prefix: assumes that the implementation of the LoaderHandler class is located in the package defined by the prefix.

Methods

public java.lang.Class loadClass( java.lang.String name ) throws java.net.MalformedURLException, java.lang.ClassNotFoundException

Load class using java.rmi.server.codebase property.

Return

No documentation supplied in JDK.

Throws

java.lang.ClassNotFoundException

If the class could not be found.

java.net.MalformedURLException

If the URL is malformed.

public java.lang.Class loadClass( java.net.URL codebase, java.lang.String name ) throws java.net.MalformedURLException, java.lang.ClassNotFoundException

Load class from codebase URL specified.

Return

No documentation supplied in JDK.

Throws

java.lang.ClassNotFoundException

If the class could not be found.

java.net.MalformedURLException

If the URL is malformed.

public java.lang.Object getSecurityContext( java.lang.ClassLoader loader )

Returns the security context of the given class loader (e.g., a URL)

Return

No documentation supplied in JDK.


loadImage method [java.beans.SimpleBeanInfo] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      loadImage method [java.beans.SimpleBeanInfo]

public java.awt.Image loadImage( java.lang.String resourceName )

This is a utility method to help in loading icon images. It takes the name of a resource file associated with the current object's class file and loads an image object from that file.  Typically images will be GIFs.

Parameter

resourceName

A pathname relative to the directory holding the class file of the current class.  For example, "wombat.gif".

Return

An image object.  May be null if the load failed.

Applies to

 SimpleBeanInfo [java.beans]


loadLibrary method [java.lang.Runtime] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      loadLibrary method [java.lang.Runtime]

public synchronized void loadLibrary( java.lang.String libname )

Loads the dynamic library with the specified library name. The mapping from a library name to a specific filename is done in a system-specific manner.

First, if there is a security manager, its checkLink method is called with the filename as its argument. This may result in a security exception.

If this method is called more than once with the same library name, the second and subsequent calls are ignored.

Parameter

libname

the name of the library.

Throws

SecurityException

If the current thread cannot load the specified dynamic library.

UnsatisfiedLinkError

If the library does not exist.

See also

SecurityException class [java.lang]

checkLink method [java.lang.SecurityManager]

Applies to

 Runtime [java.lang]


loadLibrary method [java.lang.System] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      loadLibrary method [java.lang.System]

public static void loadLibrary( java.lang.String libname )

Loads the system library specified by the libname argument. The manner in which a library name is mapped to the actual system library is system dependent.

Parameter

libname

the name of the library.

Throws

SecurityException

If the current thread cannot load the specified dynamic library.

UnsatisfiedLinkError

If the library does not exist.

See also

loadLibrary method [java.lang.Runtime]

Applies to

 System [java.lang]


loadSystemColors method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      loadSystemColors method [java.awt.Toolkit]

protected void loadSystemColors( int[] systemColors )

Fills in the integer array that is supplied as an argument with the current system color values.

This method is called by the method updateSystemColors in the SystemColor class.

Parameter

an

integer array.

Applies to

 Toolkit [java.awt]


localAddress property [java.net.DatagramSocket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      localAddress property [java.net.DatagramSocket]

public java.net.InetAddress getLocalAddress( )

Gets the local address to which the socket is bound.

Return

No documentation supplied in JDK.

Applies to

 DatagramSocket [java.net]

 MulticastSocket [java.net]


localAddress property [java.net.Socket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      localAddress property [java.net.Socket]

public java.net.InetAddress getLocalAddress( )

Gets the local address to which the socket is bound.

Return

No documentation supplied in JDK.

Applies to

 Socket [java.net]


Locale class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      Locale class [java.util]

Object

Locale

Description

A Locale object represents a specific geographical, political, or cultural region. An operation that requires a Locale to perform its task is called locale-sensitive and uses the Locale to tailor information for the user. For example, displaying a number is a locale-sensitive operation--the number should be formatted according to the customs/conventions of the user's native country, region, or culture.

You create a Locale object using one of the two constructors in this class:

Locale(String language, String country)

Locale(String language, String country, String variant)

 The first argument to both constructors is a valid ISO Language Code. These codes are the lower-case two-letter codes as defined by ISO-639. You can find a full list of these codes at a number of sites, such as:
  http://www.ics.uci.edu/pub/ietf/http/related/iso639.txt

The second argument to both constructors is a valid ISO Country Code. These codes are the upper-case two-letter codes as defined by ISO-3166. You can find a full list of these codes at a number of sites, such as:
  http://www.chemie.fu-berlin.de/diverse/doc/ISO_3166.html

The second constructor requires a third argument--the Variant. The Variant codes are vendor and browser-specific. For example, use WIN for Windows, MAC for Macintosh, and POSIX for POSIX. Where there are two variants, separate them with an underscore, and put the most important one first. For example, a Traditional Spanish collation might be referenced, with "ES", "ES", "Traditional_WIN".

Because a Locale object is just an identifier for a region, no validity check is performed when you construct a Locale. If you want to see whether particular resources are available for the Locale you construct, you must query those resources. For example, ask the NumberFormat for the locales it supports using its getAvailableLocales method.
Note: When you ask for a resource for a particular locale, you get back the best available match, not necessarily precisely what you asked for. For more information, look at ResourceBundle.

The Locale class provides a number of convenient constants that you can use to create Locale objects for commonly used locales. For example, the following creates a Locale object for the United States:

Locale.US

Once you've created a Locale you can query it for information about itself. Use getCountry to get the ISO Country Code and getLanguage to get the ISO Language Code. You can use getDisplayCountry to get the name of the country suitable for displaying to the user. Similarly, you can use getDisplayLanguage to get the name of the language suitable for displaying to the user. Interestingly, the getDisplayXXX methods are themselves locale-sensitive and have two versions: one that uses the default locale and one that uses the locale specified as an argument.

The JDK provides a number of classes that perform locale-sensitive operations. For example, the NumberFormat class formats numbers, currency, or percentages in a locale-sensitive manner. Classes such as NumberFormat have a number of convenience methods for creating a default object of that type. For example, the NumberFormat class provides these three convenience methods for creating a default NumberFormat object:

NumberFormat.getInstance()

NumberFormat.getCurrencyInstance()

NumberFormat.getPercentInstance()

 These methods have two variants; one with an explicit locale and one without; the latter using the default locale.

NumberFormat.getInstance(myLocale)

NumberFormat.getCurrencyInstance(myLocale)

NumberFormat.getPercentInstance(myLocale)

 A Locale is the mechanism for identifying the kind of object (NumberFormat) that you would like to get. The locale is just a mechanism for identifying objects, not a container for the objects themselves.

Each class that performs locale-sensitive operations allows you to get all the available objects of that type. You can sift through these objects by language, country, or variant, and use the display names to present a menu to the user. For example, you can create a menu of all the collation objects suitable for a given language. Such classes must implement these three class methods:

public static Locale[] getAvailableLocales()

public static String getDisplayName(Locale objectLocale,

                                   Locale displayLocale)

public static final String getDisplayName(Locale objectLocale)

   // getDisplayName will throw MissingResourceException if the locale

   // is not one of the available locales.

Specification

public final class Locale extends java.lang.Object implements java.lang.Cloneable, java.io.Serializable

Constructors

public Locale( java.lang.String language, java.lang.String country )

Construct a locale from language, country. NOTE:  ISO 639 is not a stable standard; some of the language codes it defines (specifically iw, ji, and in) have changed.  This constructor accepts both the old codes (iw, ji, and in) and the new codes (he, yi, and id), but all other API on Locale will return only the OLD codes.

Parameters

language

lowercase two-letter ISO-639 code.

country

uppercase two-letter ISO-3166 code.

public Locale( java.lang.String language, java.lang.String country, java.lang.String variant )

Construct a locale from language, country, variant. NOTE:  ISO 639 is not a stable standard; some of the language codes it defines (specifically iw, ji, and in) have changed.  This constructor accepts both the old codes (iw, ji, and in) and the new codes (he, yi, and id), but all other API on Locale will return only the OLD codes.

Parameters

language

lowercase two-letter ISO-639 code.

country

uppercase two-letter ISO-3166 code.

variant

vendor and browser specific code. See class description.

Variables

public static final java.util.Locale ENGLISH

Useful constant for language.

public static final java.util.Locale FRENCH

Useful constant for language.

public static final java.util.Locale GERMAN

Useful constant for language.

public static final java.util.Locale ITALIAN

Useful constant for language.

public static final java.util.Locale JAPANESE

Useful constant for language.

public static final java.util.Locale KOREAN

Useful constant for language.

public static final java.util.Locale CHINESE

Useful constant for language.

public static final java.util.Locale SIMPLIFIED_CHINESE

Useful constant for language.

public static final java.util.Locale TRADITIONAL_CHINESE

Useful constant for language.

public static final java.util.Locale FRANCE

Useful constant for country.

public static final java.util.Locale GERMANY

Useful constant for country.

public static final java.util.Locale ITALY

Useful constant for country.

public static final java.util.Locale JAPAN

Useful constant for country.

public static final java.util.Locale KOREA

Useful constant for country.

public static final java.util.Locale CHINA

Useful constant for country.

public static final java.util.Locale PRC

Useful constant for country.

public static final java.util.Locale TAIWAN

Useful constant for country.

public static final java.util.Locale UK

Useful constant for country.

public static final java.util.Locale US

Useful constant for country.

public static final java.util.Locale CANADA

Useful constant for country.

public static final java.util.Locale CANADA_FRENCH

Useful constant for country.

Properties

  java.lang.String getCountry( )

  static java.util.Locale getDefault( )

  static synchronized void setDefault( java.util.Locale newLocale )

  final java.lang.String getDisplayCountry( )

  final java.lang.String getDisplayLanguage( )

  final java.lang.String getDisplayName( )

  final java.lang.String getDisplayVariant( )

  java.lang.String getISO3Country( ) throws java.util.MissingResourceException

  java.lang.String getISO3Language( ) throws java.util.MissingResourceException

  java.lang.String getLanguage( )

  java.lang.String getVariant( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.Object clone( )

  boolean equals( java.lang.Object obj )

  java.lang.String getDisplayCountry( java.util.Locale inLocale )

  java.lang.String getDisplayLanguage( java.util.Locale inLocale )

  java.lang.String getDisplayName( java.util.Locale inLocale )

  java.lang.String getDisplayVariant( java.util.Locale inLocale )

  synchronized int hashCode( )

  final java.lang.String toString( )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable

See also

ResourceBundle class [java.util]

Format class [java.text]

NumberFormat class [java.text]


locale property [java.applet.Applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      locale property [java.applet.Applet]

Overloads:

  Locale getLocale( ) overrides locale property [java.awt.Component]

public java.util.Locale getLocale( )

Gets the Locale for the applet, if it has been set. If no Locale has been set, then the default Locale is returned.

Return

[Needs to be documented!].

Applies to

 Applet [java.applet]


locale property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      locale property [java.awt.Component]

public java.util.Locale getLocale( )

Gets the locale of this component.

Return

This component's locale. If this component does not have a locale, the locale of its parent is returned.

Throws

IllegalComponentStateException

If the Component does not have its own locale and has not yet been added to a containment hierarchy such that the locale can be determined from the containing parent.

public void setLocale( java.util.Locale l )

Sets the locale of this component.

Parameter

l

The locale to become this components locale.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


locale property [java.awt.Window] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      locale property [java.awt.Window]

Overloads:

  Locale getLocale( ) overrides locale property [java.awt.Component]

public java.util.Locale getLocale( )

Gets the Locale object that is associated with this window, if the locale has been set. If no locale has been set, then the default locale is returned.

Return

The locale that is set for this window.

See also

Locale class [java.util]

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Window [java.awt]


locale property [java.text.MessageFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      locale property [java.text.MessageFormat]

public java.util.Locale getLocale( )

Gets the locale. This locale is used for fetching default number or date format information.

Return

No documentation supplied in JDK.

public void setLocale( java.util.Locale theLocale )

Constructs with the specified pattern and formats for the arguments in that pattern.

Applies to

 MessageFormat [java.text]


LocaleData class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleData class [java.text.resources]

Object

LocaleData

Description

This class used to be the base class for all of the LocaleElements classes.  This has been changed so that all of the LocaleElements classes descend from ListResourceBundle. This class now exists only to allow a way to get the list of available resources.  Even this will be changing in the future.

Specification

public class LocaleData extends java.lang.Object

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  static java.util.Locale[] getAvailableLocales( java.lang.String key )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


LocaleElements class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_ar class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_ar class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_ar

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_ar extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_be class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_be class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_be

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_be extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_bg class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_bg class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_bg

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_bg extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_ca class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_ca class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_ca

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_ca extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_cs class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_cs class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_cs

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_cs extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_da class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_da class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_da

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_da extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_de class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_de class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_de

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_de extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_de_AT class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_de_AT class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_de_AT

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_de_AT extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_de_AT_EURO class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_de_AT_EURO class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_de_AT_EURO

Specification

public class LocaleElements_de_AT_EURO extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_de_CH class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_de_CH class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_de_CH

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_de_CH extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_de_DE_EURO class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_de_DE_EURO class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_de_DE_EURO

Specification

public class LocaleElements_de_DE_EURO extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_de_LU class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_de_LU class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_de_LU

Description

Table of Java supplied standard locale elements Created 19 May 1998

Specification

public class LocaleElements_de_LU extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_de_LU_EURO class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_de_LU_EURO class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_de_LU_EURO

Specification

public class LocaleElements_de_LU_EURO extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_el class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_el class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_el

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_el extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_en class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_en class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_en

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_en extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_en_AU class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_en_AU class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_en_AU

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_en_AU extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_en_CA class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_en_CA class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_en_CA

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_en_CA extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_en_GB class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_en_GB class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_en_GB

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_en_GB extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_en_IE class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_en_IE class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_en_IE

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_en_IE extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_en_IE_EURO class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_en_IE_EURO class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_en_IE_EURO

Specification

public class LocaleElements_en_IE_EURO extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_en_NZ class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_en_NZ class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_en_NZ

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_en_NZ extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_en_ZA class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_en_ZA class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_en_ZA

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_en_ZA extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_es class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_es class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_es

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_es extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_es_AR class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_es_AR class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_es_AR

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_es_AR extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_es_BO class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_es_BO class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_es_BO

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_es_BO extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_es_CL class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_es_CL class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_es_CL

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_es_CL extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_es_CO class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_es_CO class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_es_CO

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_es_CO extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_es_CR class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_es_CR class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_es_CR

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_es_CR extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_es_DO class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_es_DO class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_es_DO

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_es_DO extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_es_EC class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_es_EC class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_es_EC

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_es_EC extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_es_ES_EURO class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_es_ES_EURO class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_es_ES_EURO

Specification

public class LocaleElements_es_ES_EURO extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_es_GT class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_es_GT class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_es_GT

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_es_GT extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_es_HN class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_es_HN class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_es_HN

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_es_HN extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_es_MX class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_es_MX class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_es_MX

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_es_MX extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_es_NI class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_es_NI class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_es_NI

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_es_NI extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_es_PA class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_es_PA class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_es_PA

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_es_PA extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_es_PE class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_es_PE class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_es_PE

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_es_PE extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_es_PR class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_es_PR class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_es_PR

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_es_PR extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_es_PY class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_es_PY class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_es_PY

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_es_PY extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_es_SV class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_es_SV class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_es_SV

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_es_SV extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_es_UY class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_es_UY class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_es_UY

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_es_UY extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_es_VE class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_es_VE class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_es_VE

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_es_VE extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_et class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_et class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_et

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_et extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_fi class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_fi class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_fi

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_fi extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_fi_FI_EURO class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_fi_FI_EURO class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_fi_FI_EURO

Specification

public class LocaleElements_fi_FI_EURO extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_fr class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_fr class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_fr

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_fr extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_fr_BE class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_fr_BE class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_fr_BE

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_fr_BE extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_fr_BE_EURO class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_fr_BE_EURO class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_fr_BE_EURO

Specification

public class LocaleElements_fr_BE_EURO extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_fr_CA class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_fr_CA class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_fr_CA

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_fr_CA extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_fr_CH class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_fr_CH class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_fr_CH

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_fr_CH extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_fr_FR_EURO class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_fr_FR_EURO class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_fr_FR_EURO

Specification

public class LocaleElements_fr_FR_EURO extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_fr_LU class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_fr_LU class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_fr_LU

Description

Table of Java supplied standard locale elements Created 19 May 1998

Specification

public class LocaleElements_fr_LU extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_fr_LU_EURO class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_fr_LU_EURO class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_fr_LU_EURO

Specification

public class LocaleElements_fr_LU_EURO extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_hr class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_hr class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_hr

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_hr extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_hu class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_hu class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_hu

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_hu extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_is class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_is class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_is

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_is extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_it class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_it class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_it

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_it extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_it_CH class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_it_CH class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_it_CH

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_it_CH extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_it_IT_EURO class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_it_IT_EURO class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_it_IT_EURO

Specification

public class LocaleElements_it_IT_EURO extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_iw class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_iw class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_iw

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_iw extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_ja class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_ja class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_ja

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_ja extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_ko class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_ko class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_ko

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_ko extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_lt class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_lt class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_lt

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_lt extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_lv class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_lv class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_lv

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_lv extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_mk class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_mk class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_mk

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_mk extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_nl class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_nl class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_nl

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_nl extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_nl_BE class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_nl_BE class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_nl_BE

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_nl_BE extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_nl_BE_EURO class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_nl_BE_EURO class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_nl_BE_EURO

Specification

public class LocaleElements_nl_BE_EURO extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_nl_NL_EURO class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_nl_NL_EURO class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_nl_NL_EURO

Specification

public class LocaleElements_nl_NL_EURO extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_no class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_no class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_no

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_no extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_no_NO_NY class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_no_NO_NY class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_no_NO_NY

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_no_NO_NY extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_pl class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_pl class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_pl

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_pl extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_pt class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_pt class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_pt

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_pt extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_pt_BR class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_pt_BR class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_pt_BR

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_pt_BR extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_pt_PT_EURO class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_pt_PT_EURO class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_pt_PT_EURO

Specification

public class LocaleElements_pt_PT_EURO extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_ro class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_ro class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_ro

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_ro extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_ru class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_ru class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_ru

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_ru extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_sh class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_sh class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_sh

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_sh extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_sk class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_sk class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_sk

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_sk extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_sl class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_sl class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_sl

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_sl extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_sq class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_sq class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_sq

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_sq extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_sr class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_sr class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_sr

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_sr extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_sv class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_sv class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_sv

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_sv extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_th class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_th class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_th

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_th extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_tr class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_tr class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_tr

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_tr extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_uk class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_uk class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_uk

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_uk extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_zh class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_zh class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_zh

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_zh extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


LocaleElements_zh_TW class [java.text.resources] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocaleElements_zh_TW class [java.text.resources]

Object

ResourceBundle

ListResourceBundle

LocaleElements_zh_TW

Description

Table of Java supplied standard locale elements automatically generated by java LocaleTool LocaleElements.java Date Created: Wed Aug 21 15:47:57  1996 Locale Elements and Patterns:  last update 10/23/96

Specification

public class LocaleElements_zh_TW extends java.util.ListResourceBundle

Properties

  java.lang.Object[][] getContents( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract java.util.Enumeration getKeys( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException


localHost property [java.net.InetAddress] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      localHost property [java.net.InetAddress]

public static java.net.InetAddress getLocalHost( ) throws java.net.UnknownHostException

Returns the local host.

Return

The IP address of the local host.

Throws

UnknownHostException

If no IP address for the host could be found.

Applies to

 InetAddress [java.net]


localizedMessage property [java.lang.Throwable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      localizedMessage property [java.lang.Throwable]

public java.lang.String getLocalizedMessage( )

Creates a localized description of this Throwable. Subclasses may override this method in order to produce a locale-specific message.  For subclasses that do not override this method, the default implementation returns the same result as getMessage().

Return

No documentation supplied in JDK.

Applies to

 AbstractMethodError [java.lang]

 AccessException [java.rmi]

 AclNotFoundException [java.security.acl]

 AlreadyBoundException [java.rmi]

 ArithmeticException [java.lang]

 ArrayIndexOutOfBoundsException [java.lang]

 ArrayStoreException [java.lang]

 AWTError [java.awt]

 AWTException [java.awt]

 BindException [java.net]

 CharConversionException [java.io]

 ClassCastException [java.lang]

 ClassCircularityError [java.lang]

 ClassFormatError [java.lang]

 ClassNotFoundException [java.lang]

 CloneNotSupportedException [java.lang]

 ConnectException [java.net]

 ConnectException [java.rmi]

 ConnectIOException [java.rmi]

 DataFormatException [java.util.zip]

 DataTruncation [java.sql]

 DigestException [java.security]

 EmptyStackException [java.util]

 EOFException [java.io]

 Error [java.lang]

 Exception [java.lang]

 ExceptionInInitializerError [java.lang]

 ExportException [java.rmi.server]

 FileNotFoundException [java.io]

 IllegalAccessError [java.lang]

 IllegalAccessException [java.lang]

 IllegalArgumentException [java.lang]

 IllegalComponentStateException [java.awt]

 IllegalMonitorStateException [java.lang]

 IllegalStateException [java.lang]

 IllegalThreadStateException [java.lang]

 IncompatibleClassChangeError [java.lang]

 IndexOutOfBoundsException [java.lang]

 InstantiationError [java.lang]

 InstantiationException [java.lang]

 InternalError [java.lang]

 InterruptedException [java.lang]

 InterruptedIOException [java.io]

 IntrospectionException [java.beans]

 InvalidClassException [java.io]

 InvalidKeyException [java.security]

 InvalidObjectException [java.io]

 InvalidParameterException [java.security]

 InvocationTargetException [java.lang.reflect]

 IOException [java.io]

 KeyException [java.security]

 KeyManagementException [java.security]

 LastOwnerException [java.security.acl]

 LinkageError [java.lang]

 MalformedURLException [java.net]

 MarshalException [java.rmi]

 MissingResourceException [java.util]

 NegativeArraySizeException [java.lang]

 NoClassDefFoundError [java.lang]

 NoRouteToHostException [java.net]

 NoSuchAlgorithmException [java.security]

 NoSuchElementException [java.util]

 NoSuchFieldError [java.lang]

 NoSuchFieldException [java.lang]

 NoSuchMethodError [java.lang]

 NoSuchMethodException [java.lang]

 NoSuchObjectException [java.rmi]

 NoSuchProviderException [java.security]

 NotActiveException [java.io]

 NotBoundException [java.rmi]

 NotOwnerException [java.security.acl]

 NotSerializableException [java.io]

 NullPointerException [java.lang]

 NumberFormatException [java.lang]

 ObjectStreamException [java.io]

 OptionalDataException [java.io]

 OutOfMemoryError [java.lang]

 ParseException [java.text]

 PropertyVetoException [java.beans]

 ProtocolException [java.net]

 ProviderException [java.security]

 RemoteException [java.rmi]

 RMISecurityException [java.rmi]

 RuntimeException [java.lang]

 SecurityException [java.lang]

 ServerCloneException [java.rmi.server]

 ServerError [java.rmi]

 ServerException [java.rmi]

 ServerNotActiveException [java.rmi.server]

 ServerRuntimeException [java.rmi]

 SignatureException [java.security]

 SkeletonMismatchException [java.rmi.server]

 SkeletonNotFoundException [java.rmi.server]

 SocketException [java.net]

 SocketSecurityException [java.rmi.server]

 SQLException [java.sql]

 SQLWarning [java.sql]

 StackOverflowError [java.lang]

 StreamCorruptedException [java.io]

 StringIndexOutOfBoundsException [java.lang]

 StubNotFoundException [java.rmi]

 SyncFailedException [java.io]

 ThreadDeath [java.lang]

 Throwable [java.lang]

 TooManyListenersException [java.util]

 UnexpectedException [java.rmi]

 UnknownError [java.lang]

 UnknownHostException [java.net]

 UnknownHostException [java.rmi]

 UnknownServiceException [java.net]

 UnmarshalException [java.rmi]

 UnsatisfiedLinkError [java.lang]

 UnsupportedEncodingException [java.io]

 UnsupportedFlavorException [java.awt.datatransfer]

 UTFDataFormatException [java.io]

 VerifyError [java.lang]

 VirtualMachineError [java.lang]

 WriteAbortedException [java.io]

 ZipException [java.util.zip]


localPatternChars property [java.text.DateFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      localPatternChars property [java.text.DateFormatSymbols]

public java.lang.String getLocalPatternChars( )

Gets localized date-time pattern characters. For example: 'u', 't', etc.

Return

The localized date-time pattern characters.

public void setLocalPatternChars( java.lang.String newLocalPatternChars )

Sets localized date-time pattern characters. For example: 'u', 't', etc.

Parameter

newLocalPatternChars

the new localized date-time pattern characters.

Applies to

 DateFormatSymbols [java.text]


localPort property [java.net.DatagramSocket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      localPort property [java.net.DatagramSocket]

public int getLocalPort( )

Returns the port number on the local host to which this socket is bound.

Return

The port number on the local host to which this socket is bound.

Applies to

 DatagramSocket [java.net]

 MulticastSocket [java.net]


localPort property [java.net.DatagramSocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      localPort property [java.net.DatagramSocketImpl]

protected int getLocalPort( )

Get the local port.

Return

No documentation supplied in JDK.

Applies to

 DatagramSocketImpl [java.net]


localPort property [java.net.ServerSocket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      localPort property [java.net.ServerSocket]

public int getLocalPort( )

Returns the port on which this socket is listening.

Return

The port number to which this socket is listening.

Applies to

 ServerSocket [java.net]


localPort property [java.net.Socket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      localPort property [java.net.Socket]

public int getLocalPort( )

Returns the local port to which this socket is bound.

Return

The local port number to which this socket is connected.

Applies to

 Socket [java.net]


localPort property [java.net.SocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      localPort property [java.net.SocketImpl]

protected int getLocalPort( )

Returns the value of this socket's localport field.

Return

The value of this socket's localport field.

Applies to

 SocketImpl [java.net]


locate method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      locate method [java.awt.Component]

public java.awt.Component locate( int x, int y )

Note: locate has been deprecated. As of JDK version 1.1, replaced by getComponentAt(int, int).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


locate method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      locate method [java.awt.Container]

Overloads:

 Component locate( int x, int y ) overrides locate method [java.awt.Component]

public java.awt.Component locate( int x, int y )

Note: locate has been deprecated. As of JDK version 1.1, replaced by getComponentAt(int, int).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


LocateRegistry class [java.rmi.registry] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LocateRegistry class [java.rmi.registry]

Object

LocateRegistry

Description

This class is used to obtain the bootstrap Registry on a particular host (including your local host). The following example demonstrates usage (minus exception handling):
Server wishes to make itself available to others:
SomeService service = ...; // remote object for service
Registry registry = LocateRegistry.getRegistry();
registry.bind("I Serve", service);
The client wishes to make requests of the above service:
Registry registry = LocateRegistry.getRegistry("foo.services.com");
SomeService service = (SomeService)registry.lookup("I Serve");
service.requestService(...);

Specification

public final class LocateRegistry extends java.lang.Object

Properties

  static java.rmi.registry.Registry getRegistry( ) throws java.rmi.RemoteException

  static java.rmi.registry.Registry getRegistry( int port ) throws java.rmi.RemoteException

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  static java.rmi.registry.Registry createRegistry( int port ) throws java.rmi.RemoteException

  static java.rmi.registry.Registry getRegistry( java.lang.String host, int port ) throws java.rmi.RemoteException, java.rmi.UnknownHostException

  static java.rmi.registry.Registry getRegistry( java.lang.String host ) throws java.rmi.RemoteException, java.rmi.UnknownHostException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Registry interface [java.rmi.registry]


location method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      location method [java.awt.Component]

public java.awt.Point location( )

Note: location has been deprecated. As of JDK version 1.1, replaced by getLocation().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


location method [java.awt.GridBagLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      location method [java.awt.GridBagLayout]

public java.awt.Point location( int x, int y )

Determines which cell in the layout grid contains the point specified by (x, y). Each cell is identified by its column index (ranging from 0 to the number of columns minus 1) and its row index (ranging from 0 to the number of rows minus 1).

If the (x, y) point lies outside the grid, the following rules are used. The column index is returned as zero if x lies to the left of the layout, and as the number of columns if x lies to the right of the layout. The row index is returned as zero if y lies above the layout, and as the number of rows if y lies below the layout.

Parameters

x

the x coordinate of a point.

y

the y coordinate of a point.

Return

An ordered pair of indexes that indicate which cell in the layout grid contains the point (x , y ).

Applies to

 GridBagLayout [java.awt]


location property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      location property [java.awt.Component]

public java.awt.Point getLocation( )

Gets the location of this component in the form of a point specifying the component's top-left corner. The location will be relative to the parent's coordinate space.

Return

An instance of Point representing the top-left corner of the component's bounds in the coordinate space of the component's parent.

See also

locationOnScreen property [java.awt.Component]

public void setLocation( java.awt.Point p )

Moves this component to a new location. The top-left corner of the new location is specified by point p. Point p is given in the parent's coordinate space.

Parameter

p

The point defining the top-left corner of the new location, given in the coordinate space of this component's parent.

See also

bounds property [java.awt.Component]

public void setLocation( int x, int y )

Moves this component to a new location. The top-left corner of the new location is specified by the x and y parameters in the coordinate space of this component's parent.

Parameters

x

The x -coordinate of the new locations top-left corner in the parent's coordinate space.

y

The y -coordinate of the new locations top-left corner in the parent's coordinate space.

See also

bounds property [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


location property [java.awt.Point] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      location property [java.awt.Point]

public java.awt.Point getLocation( )

Returns the location of this point. This method is included for completeness, to parallel the getLocation method of Component.

Return

A copy of this point, at the same location.

See also

location property [java.awt.Component]

public void setLocation( java.awt.Point p )

Sets the location of the point to the specificed location. This method is included for completeness, to parallel the setLocation method of Component.

Parameter

p

a point, the new location for this point.

See also

location property [java.awt.Component]

public void setLocation( int x, int y )

Changes the point to have the specificed location.

This method is included for completeness, to parallel the setLocation method of Component. Its behavior is identical with move(int, int).

Parameters

x

the x coordinate of the new location.

y

the y coordinate of the new location.

See also

location property [java.awt.Component]

move method [java.awt.Point]

Applies to

 Point [java.awt]


location property [java.awt.Rectangle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      location property [java.awt.Rectangle]

public java.awt.Point getLocation( )

Returns the location of this rectangle.

This method is included for completeness, to parallel the getLocation method of Component.

Return

No documentation supplied in JDK.

See also

location property [java.awt.Component]

public void setLocation( java.awt.Point p )

Moves the rectangle to the specified location.

This method is included for completeness, to parallel the setLocation method of Component.

Parameter

p

the new location for the point.

See also

location property [java.awt.Component]

public void setLocation( int x, int y )

Moves the rectangle to the specified location.

This method is included for completeness, to parallel the setLocation method of Component.

Parameters

x

the x coordinate of the new location.

y

the y coordinate of the new location.

See also

location property [java.awt.Component]

Applies to

 Rectangle [java.awt]


locationOnScreen property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      locationOnScreen property [java.awt.Component]

public java.awt.Point getLocationOnScreen( )

Gets the location of this component in the form of a point specifying the component's top-left corner in the screen's coordinate space.

Return

An instance of Point representing the top-left corner of the component's bounds in the coordinate space of the screen.

See also

location property [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


log method [java.lang.Math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      log method [java.lang.Math]

public static native double log( double a )

Returns the natural logarithm (base e ) of a double value.

Parameter

a

a number greater than 0.0.

Return

The value ln a, the natural logarithm of a.

Applies to

 Math [java.lang]


log method [java.rmi.server.LogStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      log method [java.rmi.server.LogStream]

public static java.rmi.server.LogStream log( java.lang.String name )

Return the LogStream identified by the given name.  If a log corresponding to "name" does not exist, a log using the default stream is created.

Return

No documentation supplied in JDK.

Applies to

 LogStream [java.rmi.server]


log property [java.rmi.server.RemoteServer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      log property [java.rmi.server.RemoteServer]

public static java.io.PrintStream getLog( )

Returns stream for the RMI call log.

Return

No documentation supplied in JDK.

public static void setLog( java.io.OutputStream out )

Log RMI calls to the output stream out . If out is null, call logging is turned off.

Applies to

 RemoteServer [java.rmi.server]

 UnicastRemoteObject [java.rmi.server]


loginTimeout property [java.sql.DriverManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      loginTimeout property [java.sql.DriverManager]

public static int getLoginTimeout( )

Get the maximum time in seconds that all drivers can wait when attempting to log in to a database.

Return

The driver login time limit.

public static void setLoginTimeout( int seconds )

Set the maximum time in seconds that all drivers can wait when attempting to log in to a database.

Parameter

seconds

the driver login time limit

Applies to

 DriverManager [java.sql]


LogStream class [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      LogStream class [java.rmi.server]

Object

OutputStream

FilterOutputStream

PrintStream

LogStream

Description

LogStream presents a mechanism for logging errors that are of possible interest to those monitoring the system.

Specification

public class LogStream extends java.io.PrintStream

Variables

public static final int SILENT

Constants for logging levels.

public static final int BRIEF

public static final int VERBOSE

Properties

  static synchronized java.io.PrintStream getDefaultStream( )

  static synchronized void setDefaultStream( java.io.PrintStream newDefault )

  synchronized java.io.OutputStream getOutputStream( )

  synchronized void setOutputStream( java.io.OutputStream out )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  static java.rmi.server.LogStream log( java.lang.String name )

  static int parseLevel( java.lang.String s )

  java.lang.String toString( )

  void write( byte[] b, int off, int len )

  void write( int b )

Inherited Methods

  boolean checkError( )

  void close( ) throws java.io.IOException

  boolean equals( java.lang.Object obj )

  void flush( ) throws java.io.IOException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void print( char[] s )

  void print( int i )

  void print( char c )

  void print( boolean b )

  void print( double d )

  void print( java.lang.String s )

  void print( long l )

  void print( float f )

  void print( java.lang.Object obj )

  void println( long x )

  void println( int x )

  void println( char[] x )

  void println( char x )

  void println( java.lang.String x )

  void println( boolean x )

  void println( java.lang.Object x )

  void println( )

  void println( double x )

  void println( float x )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  void write( byte[] b ) throws java.io.IOException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected void setError( )


logStream property [java.sql.DriverManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      logStream property [java.sql.DriverManager]

public static java.io.PrintStream getLogStream( )

Get the logging/tracing PrintStream that is used by the DriverManager and all drivers.

Return

The logging/tracing PrintStream; if disabled, is null.

public static void setLogStream( java.io.PrintStream out )

Set the logging/tracing PrintStream that is used by the DriverManager and all drivers.

Parameter

out

the new logging/tracing PrintStream; to disable, set to null

Applies to

 DriverManager [java.sql]


Long class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      Long class [java.lang]

Object

Number

Long

Description

The Long class wraps a value of the primitive type long in an object. An object of type Long contains a single field whose type is long.

In addition, this class provides several methods for converting a long to a String and a String to a long, as well as other constants and methods useful when dealing with a long.

Specification

public final class Long extends java.lang.Number

Constructors

public Long( long value )

Constructs a newly allocated Long object that represents the primitive long argument.

Parameter

value

the value to be represented by the Long.

public Long( java.lang.String s ) throws java.lang.NumberFormatException

Constructs a newly allocated Long object that represents the value represented by the string. The string is converted to an long value as if by the valueOf method.

Parameter

s

the string to be converted to a Long.

Throws

NumberFormatException

If the String does not contain a parsable long integer.

See also

valueOf method [java.lang.Long]

Variables

public static final long MIN_VALUE

The smallest value of type long.

public static final long MAX_VALUE

The largest value of type long.

public static final java.lang.Class TYPE

The Class object representing the primitive type long.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  byte byteValue( )

  double doubleValue( )

  boolean equals( java.lang.Object obj )

  float floatValue( )

  static java.lang.Long getLong( java.lang.String nm, java.lang.Long val )

  static java.lang.Long getLong( java.lang.String nm, long val )

  static java.lang.Long getLong( java.lang.String nm )

  int hashCode( )

  int intValue( )

  long longValue( )

  static long parseLong( java.lang.String s, int radix ) throws java.lang.NumberFormatException

  static long parseLong( java.lang.String s ) throws java.lang.NumberFormatException

  short shortValue( )

  static java.lang.String toBinaryString( long i )

  static java.lang.String toHexString( long i )

  static java.lang.String toOctalString( long i )

  java.lang.String toString( )

  static java.lang.String toString( long i )

  static java.lang.String toString( long i, int radix )

  static java.lang.Long valueOf( java.lang.String s ) throws java.lang.NumberFormatException

  static java.lang.Long valueOf( java.lang.String s, int radix ) throws java.lang.NumberFormatException

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


longBitsToDouble method [java.lang.Double] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      longBitsToDouble method [java.lang.Double]

public static native double longBitsToDouble( long bits )

Returns the double-float corresponding to a given bit represention. The argument is considered to be a representation of a floating-point value according to the IEEE 754 floating-point "double precision" bit layout. That floating-point value is returned as the result.

If the argument is 0x7f80000000000000L, the result is positive infinity.

If the argument is 0xff80000000000000L, the result is negative infinity.

If the argument is any value in the range 0x7ff0000000000001L through 0x7fffffffffffffffL or in the range 0xfff0000000000001L through 0xffffffffffffffffL, the result is NaN. All IEEE 754 NaN values are, in effect, lumped together by the Java language into a single value.

Parameter

bits

any long integer.

Return

The double floating-point value with the same bit pattern.

Applies to

 Double [java.lang]


longValue method [java.lang.Byte] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      longValue method [java.lang.Byte]

Overloads:

 long longValue( ) overrides longValue method [java.lang.Number]

public long longValue( )

Returns the value of this Byte as a long.

Return

No documentation supplied in JDK.

Applies to

 Byte [java.lang]


longValue method [java.lang.Double] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      longValue method [java.lang.Double]

Overloads:

 long longValue( ) overrides longValue method [java.lang.Number]

public long longValue( )

Returns the long value of this Double (by casting to a long).

Return

The double value represented by this object is converted to type long and the result of the conversion is returned.

Applies to

 Double [java.lang]


longValue method [java.lang.Float] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      longValue method [java.lang.Float]

Overloads:

 long longValue( ) overrides longValue method [java.lang.Number]

public long longValue( )

Returns the long value of this Float (by casting to a long).

Return

The float value represented by this object is converted to type long and the result of the conversion is returned.

Applies to

 Float [java.lang]


longValue method [java.lang.Integer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      longValue method [java.lang.Integer]

Overloads:

 long longValue( ) overrides longValue method [java.lang.Number]

public long longValue( )

Returns the value of this Integer as a long.

Return

The int value represented by this object that is converted to type long and the result of the conversion is returned.

Applies to

 Integer [java.lang]


longValue method [java.lang.Long] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      longValue method [java.lang.Long]

Overloads:

 long longValue( ) overrides longValue method [java.lang.Number]

public long longValue( )

Returns the value of this Long as a long.

Return

The long value represented by this object.

Applies to

 Long [java.lang]


longValue method [java.lang.Number] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      longValue method [java.lang.Number]

public abstract long longValue( )

Returns the value of the specified number as a long. This may involve rounding.

Return

The numeric value represented by this object after conversion to type long.

Applies to

 BigDecimal [java.math]

 BigInteger [java.math]

 Byte [java.lang]

 Double [java.lang]

 Float [java.lang]

 Integer [java.lang]

 Long [java.lang]

 Number [java.lang]

 Short [java.lang]


longValue method [java.lang.Short] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      longValue method [java.lang.Short]

Overloads:

 long longValue( ) overrides longValue method [java.lang.Number]

public long longValue( )

Returns the value of this Short as a long.

Return

No documentation supplied in JDK.

Applies to

 Short [java.lang]


longValue method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      longValue method [java.math.BigDecimal]

Overloads:

 long longValue( ) overrides longValue method [java.lang.Number]

public long longValue( )

Converts this number to a long.  Standard narrowing primitive conversion as per The Java Language Specification.  In particular, note that any fractional part of this number will be truncated.

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


longValue method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      longValue method [java.math.BigInteger]

Overloads:

 long longValue( ) overrides longValue method [java.lang.Number]

public long longValue( )

Converts this number to a long.  Standard narrowing primitive conversion as per The Java Language Specification.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


lookup method [java.io.ObjectStreamClass] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      lookup method [java.io.ObjectStreamClass]

public static java.io.ObjectStreamClass lookup( java.lang.Class cl )

Find the descriptor for a class that can be serialized.  Null is returned if the specified class does not implement java.io.Serializable or java.io.Externalizable.

Return

No documentation supplied in JDK.

Applies to

 ObjectStreamClass [java.io]


lookup method [java.rmi.Naming] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      lookup method [java.rmi.Naming]

public static java.rmi.Remote lookup( java.lang.String name ) throws java.rmi.NotBoundException, java.net.MalformedURLException, java.rmi.UnknownHostException, java.rmi.RemoteException

Returns the remote object for the URL.

Return

No documentation supplied in JDK.

Throws

RemoteException

If registry could not be contacted.

NotBoundException

If name is not currently bound.

Applies to

 Naming [java.rmi]


lookupConstraints method [java.awt.GridBagLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      lookupConstraints method [java.awt.GridBagLayout]

protected java.awt.GridBagConstraints lookupConstraints( java.awt.Component comp )

Retrieves the constraints for the specified component. The return value is not a copy, but is the actual GridBagConstraints object used by the layout mechanism.

Parameter

comp

the component to be queried

Return

The contraints for the specified component.

Applies to

 GridBagLayout [java.awt]


lostFocus method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      lostFocus method [java.awt.Component]

public boolean lostFocus( java.awt.Event evt, java.lang.Object what )

Note: lostFocus has been deprecated. As of JDK version 1.1, replaced by processFocusEvent(FocusEvent).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


lostOwnership method [java.awt.datatransfer.StringSelection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      lostOwnership method [java.awt.datatransfer.StringSelection]

public void lostOwnership( java.awt.datatransfer.Clipboard clipboard, java.awt.datatransfer.Transferable contents )

Applies to

 StringSelection [java.awt.datatransfer]


lowerCaseMode method [java.io.StreamTokenizer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      lowerCaseMode method [java.io.StreamTokenizer]

public void lowerCaseMode( boolean fl )

Determines whether or not word token are automatically lowercased. If the flag argument is true, then the value in the sval field is lowercased whenever a word token is returned (the ttype field has the value TT_WORD by the nextToken method of this tokenizer.

If the flag argument is false, then the sval field is not modified.

Parameter

fl

true indicates that all word tokens should be lowercased.

See also

nextToken method [java.io.StreamTokenizer]

Applies to

 StreamTokenizer [java.io]


lowestSetBit property [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     L
      lowestSetBit property [java.math.BigInteger]

public int getLowestSetBit( )

Returns the index of the rightmost (lowest-order) one bit in this number (i.e., the number of zero bits to the right of the rightmost one bit).  Returns -1 if this number contains no one bits. (Computes (this==0? -1 : log2(this & -this)).)

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


M  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    M

 makeVisible method [java.awt.List]

 MalformedURLException class [java.net]

 mapSize property [java.awt.image.IndexColorModel]

 mark method [java.io.BufferedInputStream]

 mark method [java.io.BufferedReader]

 mark method [java.io.ByteArrayInputStream]

 mark method [java.io.CharArrayReader]

 mark method [java.io.FilterInputStream]

 mark method [java.io.FilterReader]

 mark method [java.io.InputStream]

 mark method [java.io.LineNumberInputStream]

 mark method [java.io.LineNumberReader]

 mark method [java.io.Reader]

 mark method [java.io.StringReader]

 markSupported method [java.io.BufferedInputStream]

 markSupported method [java.io.BufferedReader]

 markSupported method [java.io.ByteArrayInputStream]

 markSupported method [java.io.CharArrayReader]

 markSupported method [java.io.FilterInputStream]

 markSupported method [java.io.FilterReader]

 markSupported method [java.io.InputStream]

 markSupported method [java.io.PushbackInputStream]

 markSupported method [java.io.PushbackReader]

 markSupported method [java.io.Reader]

 markSupported method [java.io.StringReader]

 MarshalException class [java.rmi]

 Math class [java.lang]

 max method [java.lang.Math]

 max method [java.math.BigDecimal]

 max method [java.math.BigInteger]

 maxAdvance property [java.awt.FontMetrics]

 maxAscent property [java.awt.FontMetrics]

 maxDecent property [java.awt.FontMetrics]

 maxDescent property [java.awt.FontMetrics]

 maximum property [java.awt.Scrollbar]

 maximum property [java.util.Calendar]

 maximum property [java.util.GregorianCalendar]

 maximumFractionDigits property [java.text.NumberFormat]

 maximumIntegerDigits property [java.text.NumberFormat]

 maximumLayoutSize method [java.awt.BorderLayout]

 maximumLayoutSize method [java.awt.CardLayout]

 maximumLayoutSize method [java.awt.GridBagLayout]

 maximumSize property [java.awt.Component]

 maximumSize property [java.awt.Container]

 maxPriority property [java.lang.ThreadGroup]

 MediaTracker class [java.awt]

 Member interface [java.lang.reflect]

 MemoryImageSource class [java.awt.image]

 Menu class [java.awt]

 menu property [java.awt.MenuBar]

 MenuBar class [java.awt]

 menuBar property [java.awt.Frame]

 MenuBarPeer interface [java.awt.peer]

 MenuComponent class [java.awt]

 MenuComponentPeer interface [java.awt.peer]

 MenuContainer interface [java.awt]

 menuCount property [java.awt.MenuBar]

 MenuItem class [java.awt]

 MenuItemPeer interface [java.awt.peer]

 MenuPeer interface [java.awt.peer]

 MenuShortcut class [java.awt]

 menuShortcutKeyMask property [java.awt.Toolkit]

 message property [java.io.InvalidClassException]

 message property [java.io.WriteAbortedException]

 message property [java.lang.Throwable]

 message property [java.rmi.RemoteException]

 message property [java.rmi.server.ServerCloneException]

 MessageDigest class [java.security]

 messageDigest property [java.security.DigestInputStream]

 messageDigest property [java.security.DigestOutputStream]

 MessageFormat class [java.text]

 metaDown method [java.awt.Event]

 metaDown property [java.awt.event.InputEvent]

 Method class [java.lang.reflect]

 method property [java.beans.MethodDescriptor]

 method property [java.util.zip.ZipEntry]

 method property [java.util.zip.ZipOutputStream]

 MethodDescriptor class [java.beans]

 methodDescriptors property [java.beans.SimpleBeanInfo]

 methods property [java.lang.Class]

 mimeType property [java.awt.datatransfer.DataFlavor]

 min method [java.lang.Math]

 min method [java.math.BigDecimal]

 min method [java.math.BigInteger]

 minimalDaysInFirstWeek property [java.util.Calendar]

 minimum property [java.awt.Scrollbar]

 minimum property [java.util.Calendar]

 minimum property [java.util.GregorianCalendar]

 minimumFractionDigits property [java.text.NumberFormat]

 minimumIntegerDigits property [java.text.NumberFormat]

 minimumLayoutSize method [java.awt.BorderLayout]

 minimumLayoutSize method [java.awt.CardLayout]

 minimumLayoutSize method [java.awt.FlowLayout]

 minimumLayoutSize method [java.awt.GridBagLayout]

 minimumLayoutSize method [java.awt.GridLayout]

 minimumSize method [java.awt.Component]

 minimumSize method [java.awt.Container]

 minimumSize method [java.awt.List]

 minimumSize method [java.awt.TextArea]

 minimumSize method [java.awt.TextField]

 minimumSize property [java.awt.Component]

 minimumSize property [java.awt.Container]

 minimumSize property [java.awt.List]

 minimumSize property [java.awt.TextArea]

 minimumSize property [java.awt.TextField]

 minusSign property [java.text.DecimalFormatSymbols]

 minutes property [java.sql.Date]

 minutes property [java.util.Date]

 MissingResourceException class [java.util]

 mkdir method [java.io.File]

 mkdirs method [java.io.File]

 mod method [java.math.BigInteger]

 modal property [java.awt.Dialog]

 mode property [java.awt.FileDialog]

 Modifier class [java.lang.reflect]

 modifiers property [java.awt.event.ActionEvent]

 modifiers property [java.awt.event.InputEvent]

 modifiers property [java.awt.event.KeyEvent]

 modifiers property [java.lang.Class]

 modifiers property [java.lang.reflect.Constructor]

 modifiers property [java.lang.reflect.Field]

 modifiers property [java.lang.reflect.Method]

 modInverse method [java.math.BigInteger]

 modPow method [java.math.BigInteger]

 month property [java.sql.Time]

 month property [java.util.Date]

 months property [java.text.DateFormatSymbols]

 MouseAdapter class [java.awt.event]

 mouseClicked method [java.awt.AWTEventMulticaster]

 mouseClicked method [java.awt.event.MouseAdapter]

 mouseDown method [java.awt.Component]

 mouseDrag method [java.awt.Component]

 mouseDragged method [java.awt.AWTEventMulticaster]

 mouseDragged method [java.awt.event.MouseMotionAdapter]

 mouseEnter method [java.awt.Component]

 mouseEntered method [java.awt.AWTEventMulticaster]

 mouseEntered method [java.awt.event.MouseAdapter]

 MouseEvent class [java.awt.event]

 MouseEvent event [java.awt.Component]

 mouseExit method [java.awt.Component]

 mouseExited method [java.awt.AWTEventMulticaster]

 mouseExited method [java.awt.event.MouseAdapter]

 MouseListener interface [java.awt.event]

 MouseMotionAdapter class [java.awt.event]

 MouseMotionEvent event [java.awt.Component]

 MouseMotionListener interface [java.awt.event]

 mouseMove method [java.awt.Component]

 mouseMoved method [java.awt.AWTEventMulticaster]

 mouseMoved method [java.awt.event.MouseMotionAdapter]

 mousePressed method [java.awt.AWTEventMulticaster]

 mousePressed method [java.awt.event.MouseAdapter]

 mouseReleased method [java.awt.AWTEventMulticaster]

 mouseReleased method [java.awt.event.MouseAdapter]

 mouseUp method [java.awt.Component]

 move method [java.awt.Component]

 move method [java.awt.Point]

 move method [java.awt.Rectangle]

 movePointLeft method [java.math.BigDecimal]

 movePointRight method [java.math.BigDecimal]

 multicastAddress property [java.net.InetAddress]

 MulticastSocket class [java.net]

 multipleMode property [java.awt.List]

 multipleSelections property [java.awt.List]

 multiplier property [java.text.DecimalFormat]

 multiply method [java.math.BigDecimal]

 multiply method [java.math.BigInteger]


makeVisible method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      makeVisible method [java.awt.List]

public synchronized void makeVisible( int index )

Makes the item at the specified index visible.

Parameter

index

the position of the item.

See also

visibleIndex property [java.awt.List]

Applies to

 List [java.awt]


MalformedURLException class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MalformedURLException class [java.net]

Object

Throwable

Exception

IOException

MalformedURLException

Description

Thrown to indicate that a malformed URL has occurred. Either no legal protocol could be found in a specification string or the string could not be parsed.

Specification

public class MalformedURLException extends java.io.IOException

Constructors

public MalformedURLException( )

Constructs a MalformedURLException with no detail message.

public MalformedURLException( java.lang.String msg )

Constructs a MalformedURLException with the specified detail message.

Parameter

msg

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


mapSize property [java.awt.image.IndexColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mapSize property [java.awt.image.IndexColorModel]

public final int getMapSize( )

Returns the size of the color component arrays in this IndexColorModel.

Return

No documentation supplied in JDK.

Applies to

 IndexColorModel [java.awt.image]


mark method [java.io.BufferedInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mark method [java.io.BufferedInputStream]

Overloads:

 void mark( int readlimit ) overrides mark method [java.io.FilterInputStream]

public synchronized void mark( int readlimit )

Marks the current position in this input stream. A subsequent call to the reset method repositions the stream at the last marked position so that subsequent reads re-read the same bytes.

The readlimit argument tells the input stream to allow that many bytes to be read before the mark position gets invalidated.

Parameter

readlimit

the maximum limit of bytes that can be read before the mark position becomes invalid.

See also

reset method [java.io.BufferedInputStream]

Applies to

 BufferedInputStream [java.io]


mark method [java.io.BufferedReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mark method [java.io.BufferedReader]

Overloads:

 void mark( int readAheadLimit ) overrides mark method [java.io.Reader]

public void mark( int readAheadLimit ) throws java.io.IOException

Mark the present position in the stream.  Subsequent calls to reset() will attempt to reposition the stream to this point.

Parameter

readAheadLimit

Limit on the number of characters that may be read while still preserving the mark.  After reading this many characters, attempting to reset the stream may fail.  A limit value larger than the size of the input buffer will cause a new buffer to be allocated whose size is no smaller than limit.  Therefore large values should be used with care.

Throws

IllegalArgumentException

If readAheadLimit is < 0.

IOException

If an I/O error occurs.

Applies to

 BufferedReader [java.io]

 LineNumberReader [java.io]


mark method [java.io.ByteArrayInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mark method [java.io.ByteArrayInputStream]

Overloads:

 void mark( int markpos ) overrides mark method [java.io.InputStream]

public void mark( int markpos )

Set the current marked position in the stream. ByteArrayInputStreams are marked at position zero by default when constructed.  They may be marked at another position within the buffer by this method.

Applies to

 ByteArrayInputStream [java.io]


mark method [java.io.CharArrayReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mark method [java.io.CharArrayReader]

Overloads:

 void mark( int readAheadLimit ) overrides mark method [java.io.Reader]

public void mark( int readAheadLimit ) throws java.io.IOException

Mark the present position in the stream.  Subsequent calls to reset() will reposition the stream to this point.

Parameter

readAheadLimit

Limit on the number of characters that may be read while still preserving the mark.  Because the stream's input comes from a character array, there is no actual limit; hence this argument is ignored.

Throws

IOException

If an I/O error occurs.

Applies to

 CharArrayReader [java.io]


mark method [java.io.FilterInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mark method [java.io.FilterInputStream]

Overloads:

 void mark( int readlimit ) overrides mark method [java.io.InputStream]

public synchronized void mark( int readlimit )

Marks the current position in this input stream. A subsequent call to the reset method repositions this stream at the last marked position so that subsequent reads re-read the same bytes.

The readlimit argument tells this input stream to allow that many bytes to be read before the mark position gets invalidated.

The mark method of FilterInputStream calls the mark method of its underlying input stream with the readlimit argument.

Parameter

readlimit

the maximum limit of bytes that can be read before the mark position becomes invalid.

See also

reset method [java.io.FilterInputStream]

Applies to

 BufferedInputStream [java.io]

 CheckedInputStream [java.util.zip]

 DataInputStream [java.io]

 DigestInputStream [java.security]

 FilterInputStream [java.io]

 GZIPInputStream [java.util.zip]

 InflaterInputStream [java.util.zip]

 LineNumberInputStream [java.io]

 PushbackInputStream [java.io]

 ZipInputStream [java.util.zip]


mark method [java.io.FilterReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mark method [java.io.FilterReader]

Overloads:

 void mark( int readAheadLimit ) overrides mark method [java.io.Reader]

public void mark( int readAheadLimit ) throws java.io.IOException

Mark the present position in the stream.

Throws

IOException

If an I/O error occurs.

Applies to

 FilterReader [java.io]

 PushbackReader [java.io]


mark method [java.io.InputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mark method [java.io.InputStream]

public synchronized void mark( int readlimit )

Marks the current position in this input stream. A subsequent call to the reset method repositions this stream at the last marked position so that subsequent reads re-read the same bytes.

The readlimit arguments tells this input stream to allow that many bytes to be read before the mark position gets invalidated.

The mark method of InputStream does nothing.

Parameter

readlimit

the maximum limit of bytes that can be read before the mark position becomes invalid.

See also

reset method [java.io.InputStream]

Applies to

 BufferedInputStream [java.io]

 ByteArrayInputStream [java.io]

 CheckedInputStream [java.util.zip]

 DataInputStream [java.io]

 DigestInputStream [java.security]

 FileInputStream [java.io]

 FilterInputStream [java.io]

 GZIPInputStream [java.util.zip]

 InflaterInputStream [java.util.zip]

 InputStream [java.io]

 LineNumberInputStream [java.io]

 ObjectInputStream [java.io]

 PipedInputStream [java.io]

 PushbackInputStream [java.io]

 SequenceInputStream [java.io]

 StringBufferInputStream [java.io]

 ZipInputStream [java.util.zip]


mark method [java.io.LineNumberInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mark method [java.io.LineNumberInputStream]

Overloads:

 void mark( int readlimit ) overrides mark method [java.io.FilterInputStream]

public void mark( int readlimit )

Marks the current position in this input stream. A subsequent call to the reset method repositions this stream at the last marked position so that subsequent reads re-read the same bytes.

The mark method of LineNumberInputStream remembers the current line number in a private variable, and then calls the mark method of the underlying input stream.

Parameter

readlimit

the maximum limit of bytes that can be read before the mark position becomes invalid.

See also

reset method [java.io.FilterInputStream]

Applies to

 LineNumberInputStream [java.io]


mark method [java.io.LineNumberReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mark method [java.io.LineNumberReader]

Overloads:

 void mark( int readAheadLimit ) overrides mark method [java.io.BufferedReader]

public void mark( int readAheadLimit ) throws java.io.IOException

Mark the present position in the stream.  Subsequent calls to reset() will attempt to reposition the stream to this point, and will also reset the line number appropriately.

Parameter

readAheadLimit

Limit on the number of characters that may be read while still preserving the mark.  After reading this many characters, attempting to reset the stream may fail.

Throws

IOException

If an I/O error occurs.

Applies to

 LineNumberReader [java.io]


mark method [java.io.Reader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mark method [java.io.Reader]

public void mark( int readAheadLimit ) throws java.io.IOException

Mark the present position in the stream.  Subsequent calls to reset() will attempt to reposition the stream to this point.  Not all character-input streams support the mark() operation.

Parameter

readAheadLimit

Limit on the number of characters that may be read while still preserving the mark.  After reading this many characters, attempting to reset the stream may fail.

Throws

IOException

If the stream does not support mark(), or if some other I/O error occurs.

Applies to

 BufferedReader [java.io]

 CharArrayReader [java.io]

 FileReader [java.io]

 FilterReader [java.io]

 InputStreamReader [java.io]

 LineNumberReader [java.io]

 PipedReader [java.io]

 PushbackReader [java.io]

 Reader [java.io]

 StringReader [java.io]


mark method [java.io.StringReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mark method [java.io.StringReader]

Overloads:

 void mark( int readAheadLimit ) overrides mark method [java.io.Reader]

public void mark( int readAheadLimit ) throws java.io.IOException

Mark the present position in the stream.  Subsequent calls to reset() will reposition the stream to this point.

Parameter

readAheadLimit

Limit on the number of characters that may be read while still preserving the mark.  Because the stream's input comes from a string, there is no actual limit, so this argument is ignored.

Throws

IOException

If an I/O error occurs.

Applies to

 StringReader [java.io]


markSupported method [java.io.BufferedInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      markSupported method [java.io.BufferedInputStream]

Overloads:

 boolean markSupported( ) overrides markSupported method [java.io.FilterInputStream]

public boolean markSupported( )

Tests if this input stream supports the mark and reset methods. The markSupported method of BufferedInputStream returns true.

Return

A boolean indicating if this stream type supports the mark and reset methods.

See also

mark method [java.io.InputStream]

reset method [java.io.InputStream]

Applies to

 BufferedInputStream [java.io]


markSupported method [java.io.BufferedReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      markSupported method [java.io.BufferedReader]

Overloads:

 boolean markSupported( ) overrides markSupported method [java.io.Reader]

public boolean markSupported( )

Tell whether this stream supports the mark() operation, which it does.

Return

No documentation supplied in JDK.

Applies to

 BufferedReader [java.io]

 LineNumberReader [java.io]


markSupported method [java.io.ByteArrayInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      markSupported method [java.io.ByteArrayInputStream]

Overloads:

 boolean markSupported( ) overrides markSupported method [java.io.InputStream]

public boolean markSupported( )

Tests if ByteArrayInputStream supports mark/reset.

Return

No documentation supplied in JDK.

Applies to

 ByteArrayInputStream [java.io]


markSupported method [java.io.CharArrayReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      markSupported method [java.io.CharArrayReader]

Overloads:

 boolean markSupported( ) overrides markSupported method [java.io.Reader]

public boolean markSupported( )

Tell whether this stream supports the mark() operation, which it does.

Return

No documentation supplied in JDK.

Applies to

 CharArrayReader [java.io]


markSupported method [java.io.FilterInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      markSupported method [java.io.FilterInputStream]

Overloads:

 boolean markSupported( ) overrides markSupported method [java.io.InputStream]

public boolean markSupported( )

Tests if this input stream supports the mark and reset methods. The markSupported method of FilterInputStream calls the markSupported method of its underlying input stream and returns whatever value that method returns.

Return

true if this stream type supports the mark and reset method; false otherwise.

See also

mark method [java.io.InputStream]

reset method [java.io.InputStream]

Applies to

 BufferedInputStream [java.io]

 CheckedInputStream [java.util.zip]

 DataInputStream [java.io]

 DigestInputStream [java.security]

 FilterInputStream [java.io]

 GZIPInputStream [java.util.zip]

 InflaterInputStream [java.util.zip]

 LineNumberInputStream [java.io]

 PushbackInputStream [java.io]

 ZipInputStream [java.util.zip]


markSupported method [java.io.FilterReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      markSupported method [java.io.FilterReader]

Overloads:

 boolean markSupported( ) overrides markSupported method [java.io.Reader]

public boolean markSupported( )

Tell whether this stream supports the mark() operation.

Return

No documentation supplied in JDK.

Applies to

 FilterReader [java.io]

 PushbackReader [java.io]


markSupported method [java.io.InputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      markSupported method [java.io.InputStream]

public boolean markSupported( )

Tests if this input stream supports the mark and reset methods. The markSupported method of InputStream returns false.

Return

true if this true type supports the mark and reset method; false otherwise.

See also

mark method [java.io.InputStream]

reset method [java.io.InputStream]

Applies to

 BufferedInputStream [java.io]

 ByteArrayInputStream [java.io]

 CheckedInputStream [java.util.zip]

 DataInputStream [java.io]

 DigestInputStream [java.security]

 FileInputStream [java.io]

 FilterInputStream [java.io]

 GZIPInputStream [java.util.zip]

 InflaterInputStream [java.util.zip]

 InputStream [java.io]

 LineNumberInputStream [java.io]

 ObjectInputStream [java.io]

 PipedInputStream [java.io]

 PushbackInputStream [java.io]

 SequenceInputStream [java.io]

 StringBufferInputStream [java.io]

 ZipInputStream [java.util.zip]


markSupported method [java.io.PushbackInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      markSupported method [java.io.PushbackInputStream]

Overloads:

 boolean markSupported( ) overrides markSupported method [java.io.FilterInputStream]

public boolean markSupported( )

Tests if this input stream supports the mark and reset methods, which it does not.

Return

false, since this class does not support the mark and reset methods.

See also

mark method [java.io.InputStream]

reset method [java.io.InputStream]

Applies to

 PushbackInputStream [java.io]


markSupported method [java.io.PushbackReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      markSupported method [java.io.PushbackReader]

Overloads:

 boolean markSupported( ) overrides markSupported method [java.io.FilterReader]

public boolean markSupported( )

Tell whether this stream supports the mark() operation, which it does not.

Return

No documentation supplied in JDK.

Applies to

 PushbackReader [java.io]


markSupported method [java.io.Reader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      markSupported method [java.io.Reader]

public boolean markSupported( )

Tell whether this stream supports the mark() operation.

Return

No documentation supplied in JDK.

Applies to

 BufferedReader [java.io]

 CharArrayReader [java.io]

 FileReader [java.io]

 FilterReader [java.io]

 InputStreamReader [java.io]

 LineNumberReader [java.io]

 PipedReader [java.io]

 PushbackReader [java.io]

 Reader [java.io]

 StringReader [java.io]


markSupported method [java.io.StringReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      markSupported method [java.io.StringReader]

Overloads:

 boolean markSupported( ) overrides markSupported method [java.io.Reader]

public boolean markSupported( )

Tell whether this stream supports the mark() operation, which it does.

Return

No documentation supplied in JDK.

Applies to

 StringReader [java.io]


MarshalException class [java.rmi] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MarshalException class [java.rmi]

Object

Throwable

Exception

IOException

RemoteException

MarshalException

Specification

public class MarshalException extends java.rmi.RemoteException

Constructors

public MarshalException( java.lang.String s )

Create a new marshal exception with a descriptive string.

public MarshalException( java.lang.String s, java.lang.Exception ex )

Create a new marshal exception with a descriptive string and an exception.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


Math class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      Math class [java.lang]

Object

Math

Description

The class Math contains methods for performing basic numeric operations such as the elementary exponential, logarithm, square root, and trigonometric functions.

To help ensure portability of Java programs, the definitions of many of the numeric functions in this package require that they produce the same results as certain published algorithms. These algorithms are available from the well-known network library netlib as the package "Freely Distributable Math Library" (fdlibm). These algorithms, which are written in the C programming language, are then to be understood as executed with all floating-point operations following the rules of Java floating-point arithmetic.

The network library may be found on the World Wide Web at

http://netlib.att.com/

then perform a keyword search for "fdlibm".

The Java math library is defined with respect to the version of fdlibm dated January 4, 1995. Where fdlibm provides more than one definition for a function (such as acos), use the "IEEE 754 core function" version (residing in a file whose name begins with the letter e).

Specification

public final class Math extends java.lang.Object

Variables

public static final double E

The double value that is closer than any other to e, the base of the natural logarithms.

public static final double PI

The double value that is closer than any other to pi , the ratio of the circumference of a circle to its diameter.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  static float abs( float a )

  static double abs( double a )

  static long abs( long a )

  static int abs( int a )

  static native double acos( double a )

  static native double asin( double a )

  static native double atan( double a )

  static native double atan2( double a, double b )

  static native double ceil( double a )

  static native double cos( double a )

  static native double exp( double a )

  static native double floor( double a )

  static native double IEEEremainder( double f1, double f2 )

  static native double log( double a )

  static double max( double a, double b )

  static long max( long a, long b )

  static float max( float a, float b )

  static int max( int a, int b )

  static double min( double a, double b )

  static float min( float a, float b )

  static int min( int a, int b )

  static long min( long a, long b )

  static native double pow( double a, double b )

  static synchronized double random( )

  static native double rint( double a )

  static int round( float a )

  static long round( double a )

  static native double sin( double a )

  static native double sqrt( double a )

  static native double tan( double a )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


max method [java.lang.Math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      max method [java.lang.Math]

Overloads:

 int max( int a, int b )

 float max( float a, float b )

 double max( double a, double b )

 long max( long a, long b )

public static int max( int a, int b )

Returns the greater of two int values.

Parameters

a

an int value.

b

an int value.

Return

The larger of a and b.

public static float max( float a, float b )

Returns the greater of two float values.  If either value is NaN, then the result is NaN.  Unlike the the numerical comparison operators, this method considers negative zero to be strictly smaller than positive zero.

Parameters

a

a float value.

b

a float value.

Return

The larger of a and b.

public static double max( double a, double b )

Returns the greater of two double values.  If either value is NaN, then the result is NaN.  Unlike the the numerical comparison operators, this method considers negative zero to be strictly smaller than positive zero.

Parameters

a

a double value.

b

a double value.

Return

The larger of a and b.

public static long max( long a, long b )

Returns the greater of two long values.

Parameters

a

a long value.

b

a long value.

Return

The larger of a and b.

Applies to

 Math [java.lang]


max method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      max method [java.math.BigDecimal]

public java.math.BigDecimal max( java.math.BigDecimal val )

Returns the BigDecimal whose value is the greater of this and val. If the values are equal (as defined by the compareTo operator), either may be returned.

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


max method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      max method [java.math.BigInteger]

public java.math.BigInteger max( java.math.BigInteger val )

Returns the BigInteger whose value is the greater of this and val. If the values are equal, either may be returned.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


maxAdvance property [java.awt.FontMetrics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      maxAdvance property [java.awt.FontMetrics]

public int getMaxAdvance( )

Gets the maximum advance width of any character in this Font. The advance width is the amount by which the current point is moved from one character to the next in a line of text.

Return

The maximum advance width of any character in the font, or -1 if the maximum advance width is not known.

Applies to

 FontMetrics [java.awt]


maxAscent property [java.awt.FontMetrics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      maxAscent property [java.awt.FontMetrics]

public int getMaxAscent( )

Determines the maximum ascent of the font described by this font metric. No character extends further above the font's baseline than this height.

Return

The maximum ascent of any character in the font.

See also

ascent property [java.awt.FontMetrics]

Applies to

 FontMetrics [java.awt]


maxDecent property [java.awt.FontMetrics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      maxDecent property [java.awt.FontMetrics]

public int getMaxDecent( )

Note: getMaxDecent has been deprecated. As of JDK version 1.1.1, replaced by getMaxDescent().

For backward compatibility only.

Return

No documentation supplied in JDK.

See also

maxDescent property [java.awt.FontMetrics]

Applies to

 FontMetrics [java.awt]


maxDescent property [java.awt.FontMetrics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      maxDescent property [java.awt.FontMetrics]

public int getMaxDescent( )

Determines the maximum descent of the font described by this font metric. No character extends further below the font's baseline than this height.

Return

The maximum descent of any character in the font.

See also

descent property [java.awt.FontMetrics]

Applies to

 FontMetrics [java.awt]


maximum property [java.awt.Scrollbar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      maximum property [java.awt.Scrollbar]

public int getMaximum( )

Gets the maximum value of this scroll bar.

Return

The maximum value of this scroll bar.

See also

value property [java.awt.Scrollbar]

minimum property [java.awt.Scrollbar]

public void setMaximum( int newMaximum )

Sets the maximum value of this scroll bar.

Normally, a program should change a scroll bar's maximum value only by calling setValues. The setValues method simultaneously and synchronously sets the minimum, maximum, visible amount, and value properties of a scroll bar, so that they are mutually consistent.

Parameter

newMaximum

the new maximum value for this scroll bar.

Applies to

 Scrollbar [java.awt]


maximum property [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      maximum property [java.util.Calendar]

public abstract int getMaximum( int field )

Gets the maximum value for the given time field. e.g. for Gregorian DAY_OF_MONTH, 31.

Parameter

field

the given time field.

Return

The maximum value for the given time field.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


maximum property [java.util.GregorianCalendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      maximum property [java.util.GregorianCalendar]

Overloads:

  int getMaximum( int field ) overrides maximum property [java.util.Calendar]

public int getMaximum( int field )

Returns maximum value for the given field. e.g. for Gregorian DAY_OF_MONTH, 31 Please see Calendar.getMaximum for descriptions on parameters and the return value.

Return

No documentation supplied in JDK.

Applies to

 GregorianCalendar [java.util]


maximumFractionDigits property [java.text.NumberFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      maximumFractionDigits property [java.text.NumberFormat]

public int getMaximumFractionDigits( )

Returns the maximum number of digits allowed in the fraction portion of a number.

Return

No documentation supplied in JDK.

public void setMaximumFractionDigits( int newValue )

Sets the maximum number of digits allowed in the fraction portion of a number. maximumFractionDigits must be >= minimumFractionDigits.  If the new value for maximumFractionDigits is less than the current value of minimumFractionDigits, then minimumFractionDigits will also be set to the new value.

Applies to

 ChoiceFormat [java.text]

 DecimalFormat [java.text]

 NumberFormat [java.text]


maximumIntegerDigits property [java.text.NumberFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      maximumIntegerDigits property [java.text.NumberFormat]

public int getMaximumIntegerDigits( )

Returns the maximum number of digits allowed in the integer portion of a number.

Return

No documentation supplied in JDK.

public void setMaximumIntegerDigits( int newValue )

Sets the maximum number of digits allowed in the integer portion of a number. maximumIntegerDigits must be >= minimumIntegerDigits.  If the new value for maximumIntegerDigits is less than the current value of minimumIntegerDigits, then minimumIntegerDigits will also be set to the new value.

Applies to

 ChoiceFormat [java.text]

 DecimalFormat [java.text]

 NumberFormat [java.text]


maximumLayoutSize method [java.awt.BorderLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      maximumLayoutSize method [java.awt.BorderLayout]

public java.awt.Dimension maximumLayoutSize( java.awt.Container target )

Returns the maximum dimensions for this layout given the components in the specified target container.

Parameter

target

the component which needs to be laid out

Return

No documentation supplied in JDK.

See also

Container class [java.awt]

minimumLayoutSize method [java.awt.BorderLayout]

preferredLayoutSize method [java.awt.BorderLayout]

Applies to

 BorderLayout [java.awt]


maximumLayoutSize method [java.awt.CardLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      maximumLayoutSize method [java.awt.CardLayout]

public java.awt.Dimension maximumLayoutSize( java.awt.Container target )

Returns the maximum dimensions for this layout given the components in the specified target container.

Parameter

target

the component which needs to be laid out

Return

No documentation supplied in JDK.

See also

Container class [java.awt]

minimumLayoutSize method [java.awt.CardLayout]

preferredLayoutSize method [java.awt.CardLayout]

Applies to

 CardLayout [java.awt]


maximumLayoutSize method [java.awt.GridBagLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      maximumLayoutSize method [java.awt.GridBagLayout]

public java.awt.Dimension maximumLayoutSize( java.awt.Container target )

Returns the maximum dimensions for this layout given the components in the specified target container.

Parameter

target

the component which needs to be laid out

Return

No documentation supplied in JDK.

See also

Container class [java.awt]

minimumLayoutSize method [java.awt.GridBagLayout]

preferredLayoutSize method [java.awt.GridBagLayout]

Applies to

 GridBagLayout [java.awt]


maximumSize property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      maximumSize property [java.awt.Component]

public java.awt.Dimension getMaximumSize( )

Gets the maximum size of this component.

Return

A dimension object indicating this component's maximum size.

See also

minimumSize property [java.awt.Component]

preferredSize property [java.awt.Component]

LayoutManager interface [java.awt]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


maximumSize property [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      maximumSize property [java.awt.Container]

Overloads:

  Dimension getMaximumSize( ) overrides maximumSize property [java.awt.Component]

public java.awt.Dimension getMaximumSize( )

Returns the maximum size of this container.

Return

No documentation supplied in JDK.

See also

preferredSize property [java.awt.Component]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


maxPriority property [java.lang.ThreadGroup] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      maxPriority property [java.lang.ThreadGroup]

public final int getMaxPriority( )

Returns the maximum priority of this thread group. Threads that are part of this group cannot have a higher priority than the maximum priority.

Return

The maximum priority that a thread in this thread group can have.

public final void setMaxPriority( int pri )

Sets the maximum priority of the group.

First, the checkAccess method of this thread group is called with no arguments; this may result in a security exception.

Threads in the thread group that already have a higher priority are not affected.

Parameter

pri

the new priority of the thread group.

Throws

SecurityException

If the current thread cannot modify this thread group.

See also

SecurityException class [java.lang]

checkAccess method [java.lang.ThreadGroup]

Applies to

 ThreadGroup [java.lang]


MediaTracker class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MediaTracker class [java.awt]

Object

MediaTracker

Description

The MediaTracker class is a utility class to track the status of a number of media objects. Media objects could include audio clips as well as images, though currently only images are supported.

To use a media tracker, create an instance of MediaTracker and call its addImage method for each image to be tracked. In addition, each image can be assigned a unique identifier. This identifier controls the priority order in which the images are fetched. It can also be used to identify unique subsets of the images that can be waited on independently. Images with a lower ID are loaded in preference to those with a higher ID number.

Here is an example:

import java.applet.Applet;

import java.awt.Color;

import java.awt.Image;

import java.awt.Graphics;

import java.awt.MediaTracker;

public class ImageBlaster extends Applet implements Runnable {

MediaTracker tracker;

Image bg;

Image anim[] = new Image[5];

int index;

Thread animator;

// Get the images for the background (id == 0)

// and the animation frames (id == 1)

    // and add them to the MediaTracker

public void init() {

    tracker = new MediaTracker(this);

    bg = getImage(getDocumentBase(),

                "images/background.gif");

    tracker.addImage(bg, 0);

    for (int i = 0; i < 5; i++) {

anim[i] = getImage(getDocumentBase(),

                    "images/anim"+i+".gif");

tracker.addImage(anim[i], 1);

    }

}

// Start the animation thread.

public void start() {

    animator = new Thread(this);

    animator.start();

}

// Stop the animation thread.

public void stop() {

    animator.stop();

    animator = null;

}

// Run the animation thread.

// First wait for the background image to fully load

    // and paint.  Then wait for all of the animation

// frames to finish loading. Finally, loop and

// increment the animation frame index.

public void run() {

    try {

tracker.waitForID(0);

tracker.waitForID(1);

    } catch (InterruptedException e) {

return;

    }

    Thread me = Thread.currentThread();

    while (animator == me) {

try {

    Thread.sleep(100);

} catch (InterruptedException e) {

    break;

}

synchronized (this) {

    index++;

    if (index >= anim.length) {

index = 0;

    }

}

repaint();

    }

}

// The background image fills the frame so we

// don't need to clear the applet on repaints.

    // Just call the paint method.

public void update(Graphics g) {

    paint(g);

}

// Paint a large red rectangle if there are any errors

// loading the images.  Otherwise always paint the

// background so that it appears incrementally as it

    // is loading.  Finally, only paint the current animation

// frame if all of the frames (id == 1) are done loading,

// so that we don't get partial animations.

public void paint(Graphics g) {

    if ((tracker.statusAll(false) & MediaTracker.ERRORED) != 0) {

g.setColor(Color.red);

g.fillRect(0, 0, size().width, size().height);

return;

    }

    g.drawImage(bg, 0, 0, this);

    if (tracker.statusID(1, false) == MediaTracker.COMPLETE) {

g.drawImage(anim[index], 10, 10, this);

    }

}

}

Specification

public class MediaTracker extends java.lang.Object implements java.io.Serializable

Constructor

public MediaTracker( java.awt.Component comp )

Creates a media tracker to track images for a given component.

Parameter

comp

the component on which the images will eventually be drawn.

Variables

public static final int LOADING

Flag indicating some media is currently being loaded.

public static final int ABORTED

Flag indicating that the downloading of some media was aborted.

public static final int ERRORED

Flag indicating that the downloading of some media encountered an error.

public static final int COMPLETE

Flag indicating that the downloading of media was completed successfully.

Properties

  synchronized boolean isErrorAny( )

  synchronized java.lang.Object[] getErrorsAny( )

  synchronized java.lang.Object[] getErrorsID( int id )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  synchronized void addImage( java.awt.Image image, int id, int w, int h )

  void addImage( java.awt.Image image, int id )

  boolean checkAll( )

  boolean checkAll( boolean load )

  boolean checkID( int id )

  boolean checkID( int id, boolean load )

  synchronized boolean isErrorID( int id )

  synchronized void removeImage( java.awt.Image image, int id, int width, int height )

  synchronized void removeImage( java.awt.Image image, int id )

  synchronized void removeImage( java.awt.Image image )

  int statusAll( boolean load )

  int statusID( int id, boolean load )

  synchronized boolean waitForAll( long ms ) throws java.lang.InterruptedException

  void waitForAll( ) throws java.lang.InterruptedException

  void waitForID( int id ) throws java.lang.InterruptedException

  synchronized boolean waitForID( int id, long ms ) throws java.lang.InterruptedException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


Member interface [java.lang.reflect] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      Member interface [java.lang.reflect]

Description

Member is an interface that reflects identifying information about a single member (a field or a method) or a constructor.

Definition

public interface Member

{

  // Variables

  public static final int PUBLIC;

  public static final int DECLARED;

  // Properties

  public java.lang.Class getDeclaringClass( );

  public java.lang.String getName( );

  public int getModifiers( );

}

Variables

public static final int PUBLIC

Identifies the set of all public members of a class or interface, including inherited members.

public static final int DECLARED

Identifies the set of declared members of a class or interface. Inherited members are not included.

Properties

public java.lang.Class getDeclaringClass( )

Returns the Class object representing the class or interface that declares the member or constructor represented by this Member.

Return

No documentation supplied in JDK.

public java.lang.String getName( )

Returns the simple name of the underlying member or constructor represented by this Member.

Return

No documentation supplied in JDK.

public int getModifiers( )

Returns the Java language modifiers for the member or constructor represented by this Member, as an integer.  The Modifier class should be used to decode the modifiers in the integer.

Return

No documentation supplied in JDK.

See also

Modifier class [java.lang.reflect]

Implemented by

Constructor [java.lang.reflect]	Field [java.lang.reflect]	Method [java.lang.reflect]

See also

Class class [java.lang]

Field class [java.lang.reflect]

Method class [java.lang.reflect]

Constructor class [java.lang.reflect]


MemoryImageSource class [java.awt.image] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MemoryImageSource class [java.awt.image]

Object

MemoryImageSource

Description

This class is an implementation of the ImageProducer interface which uses an array to produce pixel values for an Image.  Here is an example which calculates a 100x100 image representing a fade from black to blue along the X axis and a fade from black to red along the Y axis:

int w = 100;

int h = 100;

int pix[] = new int[w * h];

int index = 0;

for (int y = 0; y < h; y++) {

    int red = (y * 255) / (h - 1);

    for (int x = 0; x < w; x++) {

int blue = (x * 255) / (w - 1);

pix[index++] = (255 << 24) | (red << 16) | blue;

    }

}

Image img = createImage(new MemoryImageSource(w, h, pix, 0, w));

The MemoryImageSource is also capable of managing a memory image which varies over time to allow animation or custom rendering.  Here is an example showing how to set up the animation source and signal changes in the data (adapted from the MemoryAnimationSourceDemo by Garth Dickie):

int pixels[];

MemoryImageSource source;

public void init() {

    int width = 50;

    int height = 50;

    int size = width * height;

    pixels = new int[size];

    int value = getBackground().getRGB();

    for (int i = 0; i < size; i++) {

pixels[i] = value;

    }

    source = new MemoryImageSource(width, height, pixels, 0, width);

    source.setAnimated(true);

    image = createImage(source);

}

public void run() {

    Thread me = Thread.currentThread( );

    me.setPriority(Thread.MIN_PRIORITY);

    while (true) {

try {

    thread.sleep(10);

} catch( InterruptedException e ) {

    return;

}

// Modify the values in the pixels array at (x, y, w, h)

// Send the new data to the interested ImageConsumers

source.newPixels(x, y, w, h);

    }

}

Specification

public class MemoryImageSource extends java.lang.Object implements java.awt.image.ImageProducer

Constructors

public MemoryImageSource( int w, int h, int[] pix, int off, int scan )

Constructs an ImageProducer object which uses an array of integers in the default RGB ColorModel to produce data for an Image object.

See also

createImage method [java.awt.Component]

RGBdefault property [java.awt.image.ColorModel]

public MemoryImageSource( int w, int h, java.awt.image.ColorModel cm, int[] pix, int off, int scan )

Constructs an ImageProducer object which uses an array of integers to produce data for an Image object.

See also

createImage method [java.awt.Component]

public MemoryImageSource( int w, int h, int[] pix, int off, int scan, java.util.Hashtable props )

Constructs an ImageProducer object which uses an array of integers in the default RGB ColorModel to produce data for an Image object.

See also

createImage method [java.awt.Component]

RGBdefault property [java.awt.image.ColorModel]

public MemoryImageSource( int w, int h, java.awt.image.ColorModel cm, byte[] pix, int off, int scan )

Constructs an ImageProducer object which uses an array of bytes to produce data for an Image object.

See also

createImage method [java.awt.Component]

public MemoryImageSource( int w, int h, java.awt.image.ColorModel cm, int[] pix, int off, int scan, java.util.Hashtable props )

Constructs an ImageProducer object which uses an array of integers to produce data for an Image object.

See also

createImage method [java.awt.Component]

public MemoryImageSource( int w, int h, java.awt.image.ColorModel cm, byte[] pix, int off, int scan, java.util.Hashtable props )

Constructs an ImageProducer object which uses an array of bytes to produce data for an Image object.

See also

createImage method [java.awt.Component]

Properties

  synchronized void setAnimated( boolean animated )

  synchronized void setFullBufferUpdates( boolean fullbuffers )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  synchronized void addConsumer( java.awt.image.ImageConsumer ic )

  synchronized boolean isConsumer( java.awt.image.ImageConsumer ic )

  synchronized void newPixels( int x, int y, int w, int h, boolean framenotify )

  synchronized void newPixels( byte[] newpix, java.awt.image.ColorModel newmodel, int offset, int scansize )

  synchronized void newPixels( int x, int y, int w, int h )

  void newPixels( )

  synchronized void newPixels( int[] newpix, java.awt.image.ColorModel newmodel, int offset, int scansize )

  synchronized void removeConsumer( java.awt.image.ImageConsumer ic )

  void requestTopDownLeftRightResend( java.awt.image.ImageConsumer ic )

  void startProduction( java.awt.image.ImageConsumer ic )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

ImageProducer interface [java.awt.image]


Menu class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      Menu class [java.awt]

Object

MenuComponent

MenuItem

Menu

Description

A Menu object is a pull-down menu component that is deployed from a menu bar.

A menu can optionally be a tear-off menu. A tear-off menu can be opened and dragged away from its parent menu bar or menu. It remains on the screen after the mouse button has been released. The mechanism for tearing off a menu is platform dependent, since the look and feel of the tear-off menu is determined by its peer. On platforms that do not support tear-off menus, the tear-off property is ignored.

Each item in a menu must belong to the MenuItem class. It can be an instance of MenuItem, a submenu (an instance of Menu), or a check box (an instance of CheckboxMenuItem).

Specification

public class Menu extends java.awt.MenuItem implements java.awt.MenuContainer

Constructors

public Menu( )

Constructs a new menu with an empty label. This menu is not a tear-off menu.

public Menu( java.lang.String label )

Constructs a new menu with the specified label. This menu is not a tear-off menu.

Parameter

label

the menus label in the menu bar, or in another menu of which this menu is a submenu.

public Menu( java.lang.String label, boolean tearOff )

Constructs a new menu with the specified label. If the value of tearOff is true, the menu can be torn off.

Tear-off functionality may not be supported by all implementations of AWT.  If a particular implementation doesn't support tear-off menus, this value is silently ignored.

Parameters

label

the menus label in the menu bar, or in another menu of which this menu is a submenu.

tearOff

if true, the menu is a tear-off menu.

Properties

  java.awt.MenuItem getItem( int index )

  int getItemCount( )

  boolean isTearOff( )

Inherited Properties

  java.lang.String getActionCommand( )

  void setActionCommand( java.lang.String command )

  native final java.lang.Class getClass( )

  synchronized void setEnabled( boolean b )

  boolean isEnabled( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.lang.String getLabel( )

  synchronized void setLabel( java.lang.String label )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.MenuContainer getParent( )

  java.awt.peer.MenuComponentPeer getPeer( )

  java.awt.MenuShortcut getShortcut( )

  void setShortcut( java.awt.MenuShortcut s )

Protected Properties

 protected final java.lang.Object getTreeLock( )

Methods

  java.awt.MenuItem add( java.awt.MenuItem mi )

  void add( java.lang.String label )

  void addNotify( )

  void addSeparator( )

  int countItems( )

  void insert( java.lang.String label, int index )

  void insert( java.awt.MenuItem menuitem, int index )

  void insertSeparator( int index )

  java.lang.String paramString( )

  void remove( java.awt.MenuComponent item )

  void remove( int index )

  void removeAll( )

  void removeNotify( )

Inherited Methods

  void deleteShortcut( )

  synchronized void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  void enable( boolean b )

  synchronized void enable( )

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  boolean postEvent( java.awt.Event evt )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void finalize( ) throws java.lang.Throwable

 protected void processActionEvent( java.awt.event.ActionEvent e )

 protected void processEvent( java.awt.AWTEvent e )

Inherited Events

  synchronized void addActionListener( java.awt.event.ActionListener l )

  synchronized void removeActionListener( java.awt.event.ActionListener l )

See also

MenuItem class [java.awt]

CheckboxMenuItem class [java.awt]


menu property [java.awt.MenuBar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      menu property [java.awt.MenuBar]

public java.awt.Menu getMenu( int i )

Gets the specified menu.

Parameter

i

the index position of the menu to be returned.

Return

The menu at the specified index of this menu bar.

Applies to

 MenuBar [java.awt]


MenuBar class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MenuBar class [java.awt]

Object

MenuComponent

MenuBar

Description

The MenuBar class encapsulates the platform's concept of a menu bar bound to a frame. In order to associate the menu bar with a Frame object, call the frame's setMenuBar method.

 This is what a menu bar might look like:

A menu bar handles keyboard shortcuts for menu items, passing them along to its child menus. (Keyboard shortcuts, which are optional, provide the user with an alternative to the mouse for invoking a menu item and the action that is associated with it.) Each menu item can maintain an instance of MenuShortcut. The MenuBar class defines several methods, shortCuts and getShortcutMenuItem that retrieve information about the shortcuts a given menu bar is managing.

Specification

public class MenuBar extends java.awt.MenuComponent implements java.awt.MenuContainer

Constructor

public MenuBar( )

Creates a new menu bar.

Properties

  java.awt.Menu getHelpMenu( )

  void setHelpMenu( java.awt.Menu m )

  java.awt.Menu getMenu( int i )

  int getMenuCount( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.MenuContainer getParent( )

  java.awt.peer.MenuComponentPeer getPeer( )

Protected Properties

 protected final java.lang.Object getTreeLock( )

Methods

  java.awt.Menu add( java.awt.Menu m )

  void addNotify( )

  int countMenus( )

  void deleteShortcut( java.awt.MenuShortcut s )

  java.awt.MenuItem getShortcutMenuItem( java.awt.MenuShortcut s )

  void remove( java.awt.MenuComponent m )

  void remove( int index )

  void removeNotify( )

  synchronized java.util.Enumeration shortcuts( )

Inherited Methods

  final void dispatchEvent( java.awt.AWTEvent e )

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  boolean postEvent( java.awt.Event evt )

  java.lang.String toString( )

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected java.lang.String paramString( )

 protected void processEvent( java.awt.AWTEvent e )

See also

Frame class [java.awt]

menuBar property [java.awt.Frame]

Menu class [java.awt]

MenuItem class [java.awt]

MenuShortcut class [java.awt]


menuBar property [java.awt.Frame] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      menuBar property [java.awt.Frame]

public java.awt.MenuBar getMenuBar( )

Gets the menu bar for this frame.

Return

The menu bar for this frame, or null if this frame doesn't have a menu bar.

public void setMenuBar( java.awt.MenuBar mb )

Sets the menu bar for this frame to the specified menu bar.

Parameter

mb

the menu bar being set

Applies to

 Frame [java.awt]


MenuBarPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MenuBarPeer interface [java.awt.peer]

Definition

public interface MenuBarPeer extends java.awt.peer.MenuComponentPeer

{

  // Methods

  public void addMenu( java.awt.Menu m );

  public void delMenu( int index );

  public void addHelpMenu( java.awt.Menu m );

}

Methods

public void addMenu( java.awt.Menu m )

public void delMenu( int index )

public void addHelpMenu( java.awt.Menu m )


MenuComponent class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MenuComponent class [java.awt]

Object

MenuComponent

Description

The abstract class MenuComponent is the superclass of all menu-related components. In this respect, the class MenuComponent is analogous to the abstract superclass Component for AWT components.

Menu components receive and process AWT events, just as components do, through the method processEvent.

Specification

public abstract class MenuComponent extends java.lang.Object implements java.io.Serializable

Properties

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.MenuContainer getParent( )

  java.awt.peer.MenuComponentPeer getPeer( )

Inherited Properties

  native final java.lang.Class getClass( )

Protected Properties

 protected final java.lang.Object getTreeLock( )

Methods

  final void dispatchEvent( java.awt.AWTEvent e )

  boolean postEvent( java.awt.Event evt )

  void removeNotify( )

  java.lang.String toString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected java.lang.String paramString( )

 protected void processEvent( java.awt.AWTEvent e )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


MenuComponentPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MenuComponentPeer interface [java.awt.peer]

Definition

public interface MenuComponentPeer

{

  // Methods

  public void dispose( );

}

Methods

public void dispose( )


MenuContainer interface [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MenuContainer interface [java.awt]

Description

The super class of all menu related containers.

Definition

public interface MenuContainer

{

  // Properties

  public java.awt.Font getFont( );

  // Methods

  public void remove( java.awt.MenuComponent comp );

  public boolean postEvent( java.awt.Event evt );

}

Properties

public java.awt.Font getFont( )

Methods

public void remove( java.awt.MenuComponent comp )

public boolean postEvent( java.awt.Event evt )

Note: postEvent has been deprecated. As of JDK version 1.1 replaced by dispatchEvent(AWTEvent).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Implemented by

Component [java.awt]	Frame [java.awt]	Menu [java.awt]	MenuBar [java.awt]


menuCount property [java.awt.MenuBar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      menuCount property [java.awt.MenuBar]

public int getMenuCount( )

Gets the number of menus on the menu bar.

Return

The number of menus on the menu bar.

Applies to

 MenuBar [java.awt]


MenuItem class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MenuItem class [java.awt]

Object

MenuComponent

MenuItem

Description

All items in a menu must belong to the class MenuItem, or one of its subclasses.

The default MenuItem object embodies a simple labeled menu item.

This picture of a menu bar shows five menu items:

The first two items are simple menu items, labeled "Basic" and "Simple". Following these two items is a separator, which is itself a menu item, created with the label "-". Next is an instance of CheckboxMenuItem labeled "Check". The final menu item is a submenu labeled "More Examples", and this submenu is an instance of Menu.

When a menu item is selected, AWT sends an action event to the menu item. Since the event is an instance of ActionEvent, the processEvent method examines the event and passes it along to processActionEvent. The latter method redirects the event to any ActionListener objects that have registered an interest in action events generated by this menu item.

Note that the subclass Menu overrides this behavior and does not send any event to the frame until one of its subitems is selected.

Specification

public class MenuItem extends java.awt.MenuComponent

Constructors

public MenuItem( )

Constructs a new MenuItem with an empty label and no keyboard shortcut.

public MenuItem( java.lang.String label )

Constructs a new MenuItem with the specified label and no keyboard shortcut. Note that use of "-" in a label is reserved to indicate a separator between menu items. By default, all menu items except for separators are enabled.

Parameter

label

the label for this menu item.

public MenuItem( java.lang.String label, java.awt.MenuShortcut s )

Create a menu item with an associated keyboard shortcut. Note that use of "-" in a label is reserved to indicate a separator between menu items. By default, all menu items except for separators are enabled.

Parameters

label

the label for this menu item.

s

the instance of MenuShortcut associated with this menu item.

Properties

  java.lang.String getActionCommand( )

  void setActionCommand( java.lang.String command )

  synchronized void setEnabled( boolean b )

  boolean isEnabled( )

  java.lang.String getLabel( )

  synchronized void setLabel( java.lang.String label )

  java.awt.MenuShortcut getShortcut( )

  void setShortcut( java.awt.MenuShortcut s )

Inherited Properties

  native final java.lang.Class getClass( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.MenuContainer getParent( )

  java.awt.peer.MenuComponentPeer getPeer( )

Protected Properties

 protected final java.lang.Object getTreeLock( )

Methods

  void addNotify( )

  void deleteShortcut( )

  synchronized void disable( )

  void enable( boolean b )

  synchronized void enable( )

  java.lang.String paramString( )

Inherited Methods

  final void dispatchEvent( java.awt.AWTEvent e )

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  boolean postEvent( java.awt.Event evt )

  void removeNotify( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void processActionEvent( java.awt.event.ActionEvent e )

 protected void processEvent( java.awt.AWTEvent e )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

Events

  synchronized void addActionListener( java.awt.event.ActionListener l )

  synchronized void removeActionListener( java.awt.event.ActionListener l )


MenuItemPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MenuItemPeer interface [java.awt.peer]

Definition

public interface MenuItemPeer extends java.awt.peer.MenuComponentPeer

{

  // Properties

  public void setLabel( java.lang.String label );

  public void setEnabled( boolean b );

  // Methods

  public void enable( );

  public void disable( );

}

Properties

public void setLabel( java.lang.String label )

public void setEnabled( boolean b )

Methods

public void enable( )

DEPRECATED:  Replaced by setEnabled(boolean).

public void disable( )

DEPRECATED:  Replaced by setEnabled(boolean).


MenuPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MenuPeer interface [java.awt.peer]

Definition

public interface MenuPeer extends java.awt.peer.MenuItemPeer

{

  // Methods

  public void addSeparator( );

  public void addItem( java.awt.MenuItem item );

  public void delItem( int index );

}

Methods

public void addSeparator( )

public void addItem( java.awt.MenuItem item )

public void delItem( int index )


MenuShortcut class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MenuShortcut class [java.awt]

Object

MenuShortcut

Description

A class which represents a keyboard accelerator for a MenuItem.

Specification

public class MenuShortcut extends java.lang.Object implements java.io.Serializable

Constructors

public MenuShortcut( int key )

Constructs a new MenuShortcut for the specified key.

Parameter

key

the raw keycode for this MenuShortcut, as would be returned in the keyCode field of a KeyEvent if this key were pressed. *

public MenuShortcut( int key, boolean useShiftModifier )

Constructs a new MenuShortcut for the specified key.

Parameters

key

the raw keycode for this MenuShortcut, as would be returned in the keyCode field of a KeyEvent if this key were pressed.

useShiftModifier

indicates whether this MenuShortcut is invoked with the SHIFT key down. *

Properties

  int getKey( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  boolean equals( java.awt.MenuShortcut s )

  java.lang.String toString( )

  boolean usesShiftModifier( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected java.lang.String paramString( )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


menuShortcutKeyMask property [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      menuShortcutKeyMask property [java.awt.Toolkit]

public int getMenuShortcutKeyMask( )

Determines which modifier key is the appropriate accelerator key for menu shortcuts.

Menu shortcuts, which are embodied in the MenuShortcut class, are handled by the MenuBar class.

By default, this method returns Event.CTRL_MASK. Toolkit implementations should override this method if the Control key isn't the correct key for accelerators.

Return

The modifier mask on the Event class that is used for menu shortcuts on this toolkit.

See also

MenuBar class [java.awt]

MenuShortcut class [java.awt]

Applies to

 Toolkit [java.awt]


message property [java.io.InvalidClassException] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      message property [java.io.InvalidClassException]

Overloads:

  String getMessage( ) overrides message property [java.lang.Throwable]

public java.lang.String getMessage( )

Produce the message, include the classname if present.

Return

No documentation supplied in JDK.

Applies to

 InvalidClassException [java.io]


message property [java.io.WriteAbortedException] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      message property [java.io.WriteAbortedException]

Overloads:

  String getMessage( ) overrides message property [java.lang.Throwable]

public java.lang.String getMessage( )

Produce the message, include the message from the nested exception if there is one.

Return

No documentation supplied in JDK.

Applies to

 WriteAbortedException [java.io]


message property [java.lang.Throwable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      message property [java.lang.Throwable]

public java.lang.String getMessage( )

Returns the detail message of this throwable object.

Return

The detail message of this Throwable, or null if this Throwable does not have a detail message.

Applies to

 AbstractMethodError [java.lang]

 AccessException [java.rmi]

 AclNotFoundException [java.security.acl]

 AlreadyBoundException [java.rmi]

 ArithmeticException [java.lang]

 ArrayIndexOutOfBoundsException [java.lang]

 ArrayStoreException [java.lang]

 AWTError [java.awt]

 AWTException [java.awt]

 BindException [java.net]

 CharConversionException [java.io]

 ClassCastException [java.lang]

 ClassCircularityError [java.lang]

 ClassFormatError [java.lang]

 ClassNotFoundException [java.lang]

 CloneNotSupportedException [java.lang]

 ConnectException [java.net]

 ConnectException [java.rmi]

 ConnectIOException [java.rmi]

 DataFormatException [java.util.zip]

 DataTruncation [java.sql]

 DigestException [java.security]

 EmptyStackException [java.util]

 EOFException [java.io]

 Error [java.lang]

 Exception [java.lang]

 ExceptionInInitializerError [java.lang]

 ExportException [java.rmi.server]

 FileNotFoundException [java.io]

 IllegalAccessError [java.lang]

 IllegalAccessException [java.lang]

 IllegalArgumentException [java.lang]

 IllegalComponentStateException [java.awt]

 IllegalMonitorStateException [java.lang]

 IllegalStateException [java.lang]

 IllegalThreadStateException [java.lang]

 IncompatibleClassChangeError [java.lang]

 IndexOutOfBoundsException [java.lang]

 InstantiationError [java.lang]

 InstantiationException [java.lang]

 InternalError [java.lang]

 InterruptedException [java.lang]

 InterruptedIOException [java.io]

 IntrospectionException [java.beans]

 InvalidClassException [java.io]

 InvalidKeyException [java.security]

 InvalidObjectException [java.io]

 InvalidParameterException [java.security]

 InvocationTargetException [java.lang.reflect]

 IOException [java.io]

 KeyException [java.security]

 KeyManagementException [java.security]

 LastOwnerException [java.security.acl]

 LinkageError [java.lang]

 MalformedURLException [java.net]

 MarshalException [java.rmi]

 MissingResourceException [java.util]

 NegativeArraySizeException [java.lang]

 NoClassDefFoundError [java.lang]

 NoRouteToHostException [java.net]

 NoSuchAlgorithmException [java.security]

 NoSuchElementException [java.util]

 NoSuchFieldError [java.lang]

 NoSuchFieldException [java.lang]

 NoSuchMethodError [java.lang]

 NoSuchMethodException [java.lang]

 NoSuchObjectException [java.rmi]

 NoSuchProviderException [java.security]

 NotActiveException [java.io]

 NotBoundException [java.rmi]

 NotOwnerException [java.security.acl]

 NotSerializableException [java.io]

 NullPointerException [java.lang]

 NumberFormatException [java.lang]

 ObjectStreamException [java.io]

 OptionalDataException [java.io]

 OutOfMemoryError [java.lang]

 ParseException [java.text]

 PropertyVetoException [java.beans]

 ProtocolException [java.net]

 ProviderException [java.security]

 RemoteException [java.rmi]

 RMISecurityException [java.rmi]

 RuntimeException [java.lang]

 SecurityException [java.lang]

 ServerCloneException [java.rmi.server]

 ServerError [java.rmi]

 ServerException [java.rmi]

 ServerNotActiveException [java.rmi.server]

 ServerRuntimeException [java.rmi]

 SignatureException [java.security]

 SkeletonMismatchException [java.rmi.server]

 SkeletonNotFoundException [java.rmi.server]

 SocketException [java.net]

 SocketSecurityException [java.rmi.server]

 SQLException [java.sql]

 SQLWarning [java.sql]

 StackOverflowError [java.lang]

 StreamCorruptedException [java.io]

 StringIndexOutOfBoundsException [java.lang]

 StubNotFoundException [java.rmi]

 SyncFailedException [java.io]

 ThreadDeath [java.lang]

 Throwable [java.lang]

 TooManyListenersException [java.util]

 UnexpectedException [java.rmi]

 UnknownError [java.lang]

 UnknownHostException [java.net]

 UnknownHostException [java.rmi]

 UnknownServiceException [java.net]

 UnmarshalException [java.rmi]

 UnsatisfiedLinkError [java.lang]

 UnsupportedEncodingException [java.io]

 UnsupportedFlavorException [java.awt.datatransfer]

 UTFDataFormatException [java.io]

 VerifyError [java.lang]

 VirtualMachineError [java.lang]

 WriteAbortedException [java.io]

 ZipException [java.util.zip]


message property [java.rmi.RemoteException] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      message property [java.rmi.RemoteException]

Overloads:

  String getMessage( ) overrides message property [java.lang.Throwable]

public java.lang.String getMessage( )

Produce the message, include the message from the nested exception if there is one.

Return

No documentation supplied in JDK.

Applies to

 AccessException [java.rmi]

 ConnectException [java.rmi]

 ConnectIOException [java.rmi]

 ExportException [java.rmi.server]

 MarshalException [java.rmi]

 NoSuchObjectException [java.rmi]

 RemoteException [java.rmi]

 ServerError [java.rmi]

 ServerException [java.rmi]

 ServerRuntimeException [java.rmi]

 SkeletonMismatchException [java.rmi.server]

 SkeletonNotFoundException [java.rmi.server]

 SocketSecurityException [java.rmi.server]

 StubNotFoundException [java.rmi]

 UnexpectedException [java.rmi]

 UnknownHostException [java.rmi]

 UnmarshalException [java.rmi]


message property [java.rmi.server.ServerCloneException] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      message property [java.rmi.server.ServerCloneException]

Overloads:

  String getMessage( ) overrides message property [java.lang.Throwable]

public java.lang.String getMessage( )

Produce the message, include the message from the nested exception if there is one.

Return

No documentation supplied in JDK.

Applies to

 ServerCloneException [java.rmi.server]


MessageDigest class [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MessageDigest class [java.security]

Object

MessageDigest

Description

This MessageDigest class provides the functionality of a message digest algorithm, such as MD5 or SHA. Message digests are secure one-way hash functions that take arbitrary-sized data and output a fixed-length hash value.

Like other algorithm-based classes in Java Security, MessageDigest has two major components:

Message Digest API (Application Program Interface)

This is the interface of methods called by applications needing message digest services. The API consists of all public methods.

Message Digest SPI (Service Provider Interface)

This is the interface implemented by providers that supply specific algorithms. It consists of all methods whose names are prefixed by engine . Each such method is called by a correspondingly-named public API method. For example, the engineReset method is called by the reset method. The SPI methods are abstract; providers must supply a concrete implementation.

A MessageDigest object starts out initialized. The data is processed through it using the update methods. At any point reset can be called to reset the digest. Once all the data to be updated has been updated, one of the digest methods should be called to complete the hash computation.

The digest method can be called once for a given number of updates. After digest has been called, the MessageDigest object is reset to its initialized state.

Implementations are free to implement the Cloneable interface, and doing so will let client applications test cloneability using instanceof Cloneable before cloning:

MessageDigest md = MessageDigest.getInstance("SHA");

if (md instanceof Cloneable) {

   md.update(toChapter1);

   MessageDigest tc1 = md.clone();

   byte[] toChapter1Digest = tc1.digest;

   md.update(toChapter2);

   ...etc.

} else {

   throw new DigestException("couldn't make digest of partial content");

}

Note that if a given implementation is not cloneable, it is still possible to compute intermediate digests by instantiating several instances, if the number of digests is known in advance.

Specification

public abstract class MessageDigest extends java.lang.Object

Constructor

protected MessageDigest( java.lang.String algorithm )

Creates a message digest with the specified algorithm name.

Parameter

algorithm

the standard name of the digest algorithm. See Appendix A in the   Java Cryptography Architecture API Specification & Reference   for information about standard algorithm names.

Properties

  final java.lang.String getAlgorithm( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

  byte[] digest( )

  byte[] digest( byte[] input )

  static java.security.MessageDigest getInstance( java.lang.String algorithm, java.lang.String provider ) throws java.security.NoSuchAlgorithmException, java.security.NoSuchProviderException

  static java.security.MessageDigest getInstance( java.lang.String algorithm ) throws java.security.NoSuchAlgorithmException

  static boolean isEqual( byte[] digesta, byte[] digestb )

  void reset( )

  java.lang.String toString( )

  void update( byte[] input )

  void update( byte[] input, int offset, int len )

  void update( byte input )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected abstract byte[] engineDigest( )

 protected abstract void engineReset( )

 protected abstract void engineUpdate( byte input )

 protected abstract void engineUpdate( byte[] input, int offset, int len )

 protected void finalize( ) throws java.lang.Throwable

See also

DigestInputStream class [java.security]

DigestOutputStream class [java.security]


messageDigest property [java.security.DigestInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      messageDigest property [java.security.DigestInputStream]

public java.security.MessageDigest getMessageDigest( )

Returns the message digest associated with this stream.

Return

The message digest associated with this stream.

public void setMessageDigest( java.security.MessageDigest digest )

Associates the specified message digest with this stream.

Parameter

digest

the message digest to be associated with this stream.

Applies to

 DigestInputStream [java.security]


messageDigest property [java.security.DigestOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      messageDigest property [java.security.DigestOutputStream]

public java.security.MessageDigest getMessageDigest( )

Returns the message digest associated with this stream.

Return

The message digest associated with this stream.

public void setMessageDigest( java.security.MessageDigest digest )

Associates the specified message digest with this stream.

Parameter

digest

the message digest to be associated with this stream.

Applies to

 DigestOutputStream [java.security]


MessageFormat class [java.text] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MessageFormat class [java.text]

Object

Format

MessageFormat

Description

MessageFormat provides a means to produce concatenated messages in language-neutral way. Use this to construct messages displayed for end users.

MessageFormat takes a set of objects, formats them, then inserts the formatted strings into the pattern at the appropriate places.

Note: MessageFormat differs from the other Format classes in that you create a MessageFormat object with one of its constructors (not with a getInstance style factory method). The factory methods aren't necessary because MessageFormat doesn't require any complex setup for a given locale. In fact, MessageFormat doesn't implement any locale specific behavior at all. It just needs to be set up on a sentence by sentence basis.

Here are some examples of usage:

Object[] arguments = {

   new Integer(7),

   new Date(System.currentTimeMillis()),

   "a disturbance in the Force"

};

String result = MessageFormat.format(

   "At {1,time} on {1,date}, there was {2} on planet {0,number,integer}.",

   arguments);

<output>: At 12:30 PM on Jul 3, 2053, there was a disturbance

         in the Force on planet 7.

 Typically, the message format will come from resources, and the arguments will be dynamically set at runtime.

Example 2:

Object[] testArgs = {new Long(3), "MyDisk"};

MessageFormat form = new MessageFormat(

   "The disk \"{1}\" contains {0} file(s).");

System.out.println(form.format(testArgs));

// output, with different testArgs

<output>: The disk "MyDisk" contains 0 file(s).

<output>: The disk "MyDisk" contains 1 file(s).

<output>: The disk "MyDisk" contains 1,273 file(s).

The pattern is of the form:

messageFormatPattern := string ( "{" messageFormatElement "}" string )*

messageFormatElement := argument { "," elementFormat }

elementFormat := "time" { "," datetimeStyle }

              | "date" { "," datetimeStyle }

              | "number" { "," numberStyle }

              | "choice" { "," choiceStyle }

datetimeStyle := "short"

                | "medium"

                | "long"

                | "full"

                | dateFormatPattern

numberStyle := "currency"

             | "percent"

             | "integer"

             | numberFormatPattern

choiceStyle := choiceFormatPattern

 If there is no elementFormat, then the argument must be a string, which is substituted. If there is no dateTimeStyle or numberStyle, then the default format is used (for example, NumberFormat.getInstance, DateFormat.getTimeInstance, or DateFormat.getInstance).

In strings, single quotes can be used to quote the "{" (curly brace) if necessary. A real single quote is represented by ''. Inside a messageFormatElement, quotes are not removed. For example, {1,number,$'#',##} will produce a number format with the pound-sign quoted, with a result such as: "$#31,45".

If a pattern is used, then unquoted braces in the pattern, if any, must match: that is, "ab {0} de" and "ab '}' de" are ok, but "ab {0'}' de" and "ab } de" are not.

The argument is a number from 0 to 9, which corresponds to the arguments presented in an array to be formatted.

It is ok to have unused arguments in the array. With missing arguments or arguments that are not of the right class for the specified format, a ParseException is thrown. First, format checks to see if a Format object has been specified for the argument with the setFormats method. If so, then format uses that Format object to format the argument. Otherwise, the argument is formatted based on the object's type. If the argument is a Number, then format uses NumberFormat.getInstance to format the argument; if the argument is a Date, then format uses DateFormat.getDateTimeInstance to format the argument. Otherwise, it uses the toString method.

For more sophisticated patterns, you can use a ChoiceFormat to get output such as:

MessageFormat form = new MessageFormat("The disk \"{1}\" contains {0}.");

double[] filelimits = {0,1,2};

String[] filepart = {"no files","one file","{0,number} files"};

ChoiceFormat fileform = new ChoiceFormat(filelimits, filepart);

form.setFormat(1,fileform); // NOT zero, see below

Object[] testArgs = {new Long(12373), "MyDisk"};

System.out.println(form.format(testArgs));

// output, with different testArgs

output: The disk "MyDisk" contains no files.

output: The disk "MyDisk" contains one file.

output: The disk "MyDisk" contains 1,273 files.

 You can either do this programmatically, as in the above example, or by using a pattern (see ChoiceFormat for more information) as in:

form.applyPattern(

  "There {0,choice,0#are no files|1#is one file|1#are {0,number,integer} files}.");

Note: As we see above, the string produced by a ChoiceFormat in MessageFormat is treated specially; occurances of '{' are used to indicated subformats, and cause recursion. If you create both a MessageFormat and ChoiceFormat programmatically (instead of using the string patterns), then be careful not to produce a format that recurses on itself, which will cause an infinite loop.

Note: formats are numbered by order of variable in the string. This is not the same as the argument numbering! For example: with "abc{2}def{3}ghi{0}...",

•	format0 affects the first variable {2}

•	format1 affects the second variable {3}

•	format2 affects the second variable {0}

•	and so on.

You can use setLocale followed by applyPattern (and then possibly setFormat) to re-initialize a MessageFormat with a different locale.

Specification

public class MessageFormat extends java.text.Format

Constructor

public MessageFormat( java.lang.String pattern )

Constructs with the specified pattern.

See also

applyPattern method [java.text.MessageFormat]

Properties

  void setFormat( int variable, java.text.Format newFormat )

  java.text.Format[] getFormats( )

  void setFormats( java.text.Format[] newFormats )

  java.util.Locale getLocale( )

  void setLocale( java.util.Locale theLocale )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void applyPattern( java.lang.String newPattern )

  java.lang.Object clone( )

  boolean equals( java.lang.Object obj )

  final java.lang.StringBuffer format( java.lang.Object source, java.lang.StringBuffer result, java.text.FieldPosition ignore )

  final java.lang.StringBuffer format( java.lang.Object[] source, java.lang.StringBuffer result, java.text.FieldPosition ignore )

  static java.lang.String format( java.lang.String pattern, java.lang.Object[] arguments )

  int hashCode( )

  java.lang.Object[] parse( java.lang.String source, java.text.ParsePosition status )

  java.lang.Object[] parse( java.lang.String source ) throws java.text.ParseException

  java.lang.Object parseObject( java.lang.String text, java.text.ParsePosition status )

  java.lang.String toPattern( )

Inherited Methods

  final java.lang.String format( java.lang.Object obj )

  native final void notify( )

  native final void notifyAll( )

  java.lang.Object parseObject( java.lang.String source ) throws java.text.ParseException

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable

See also

Locale class [java.util]

Format class [java.text]

NumberFormat class [java.text]

DecimalFormat class [java.text]

ChoiceFormat class [java.text]


metaDown method [java.awt.Event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      metaDown method [java.awt.Event]

public boolean metaDown( )

Checks if the Meta key is down.

Return

true if the key is down; false otherwise.

See also

shiftDown method [java.awt.Event]

controlDown method [java.awt.Event]

Applies to

 Event [java.awt]


metaDown property [java.awt.event.InputEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      metaDown property [java.awt.event.InputEvent]

public boolean isMetaDown( )

Returns whether or not the Meta modifier is down on this event.

Return

No documentation supplied in JDK.

Applies to

 InputEvent [java.awt.event]

 KeyEvent [java.awt.event]

 MouseEvent [java.awt.event]


Method class [java.lang.reflect] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      Method class [java.lang.reflect]

Object

Method

Description

A Method provides information about, and access to, a single method on a class or interface.  The reflected method may be a class method or an instance method (including an abstract method).

A Method permits widening conversions to occur when matching the actual parameters to invokewith the underlying method's formal parameters, but it throws an IllegalArgumentException if a narrowing conversion would occur.

Specification

public final class Method extends java.lang.Object implements java.lang.reflect.Member

Properties

  java.lang.Class getDeclaringClass( )

  java.lang.Class[] getExceptionTypes( )

  native int getModifiers( )

  java.lang.String getName( )

  java.lang.Class[] getParameterTypes( )

  java.lang.Class getReturnType( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  boolean equals( java.lang.Object obj )

  int hashCode( )

  native java.lang.Object invoke( java.lang.Object obj, java.lang.Object[] args ) throws java.lang.IllegalAccessException, java.lang.IllegalArgumentException, java.lang.reflect.InvocationTargetException

  java.lang.String toString( )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Member interface [java.lang.reflect]

Class class [java.lang]

methods property [java.lang.Class]

getMethod method [java.lang.Class]

declaredMethods property [java.lang.Class]

getDeclaredMethod method [java.lang.Class]


method property [java.beans.MethodDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      method property [java.beans.MethodDescriptor]

public java.lang.reflect.Method getMethod( )

No documentation supplied in JDK

Return

The low-level description of the method.

Applies to

 MethodDescriptor [java.beans]


method property [java.util.zip.ZipEntry] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      method property [java.util.zip.ZipEntry]

public int getMethod( )

Returns the compression method of the entry, or -1 if not specified.

Return

No documentation supplied in JDK.

public void setMethod( int method )

Sets the compression method for the entry.

Parameter

method

the compression method, either STORED or DEFLATED

Throws

IllegalArgumentException

If the specified compression method is invalid.

Applies to

 ZipEntry [java.util.zip]


method property [java.util.zip.ZipOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      method property [java.util.zip.ZipOutputStream]

public void setMethod( int method )

Sets the default compression method for subsequent entries. This default will be used whenever the compression method is not specified for an individual ZIP file entry, and is initially set to DEFLATED.

Parameter

method

the default compression method

Throws

IllegalArgumentException

If the specified compression method is invalid.

Applies to

 ZipOutputStream [java.util.zip]


MethodDescriptor class [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MethodDescriptor class [java.beans]

Object

FeatureDescriptor

MethodDescriptor

Description

A MethodDescriptor describes a particular method that a Java Bean supports for external access from other components.

Specification

public class MethodDescriptor extends java.beans.FeatureDescriptor

Constructors

public MethodDescriptor( java.lang.reflect.Method method )

No documentation supplied in JDK

Parameter

method

The low-level method information.

public MethodDescriptor( java.lang.reflect.Method method, java.beans.ParameterDescriptor[] parameterDescriptors )

No documentation supplied in JDK

Parameters

method

The low-level method information.

parameterDescriptors

Descriptive information for each of the method's parameters.

Properties

  java.lang.reflect.Method getMethod( )

  java.beans.ParameterDescriptor[] getParameterDescriptors( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getDisplayName( )

  void setDisplayName( java.lang.String displayName )

  void setExpert( boolean expert )

  boolean isExpert( )

  void setHidden( boolean hidden )

  boolean isHidden( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.lang.String getShortDescription( )

  void setShortDescription( java.lang.String text )

Inherited Methods

  java.util.Enumeration attributeNames( )

  boolean equals( java.lang.Object obj )

  java.lang.Object getValue( java.lang.String attributeName )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void setValue( java.lang.String attributeName, java.lang.Object value )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


methodDescriptors property [java.beans.SimpleBeanInfo] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      methodDescriptors property [java.beans.SimpleBeanInfo]

public java.beans.MethodDescriptor[] getMethodDescriptors( )

Deny knowledge of methods. You can override this if you wish to provide explicit method info.

Return

No documentation supplied in JDK.

Applies to

 SimpleBeanInfo [java.beans]


methods property [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      methods property [java.lang.Class]

public java.lang.reflect.Method[] getMethods( ) throws java.lang.SecurityException

Returns an array containing Method objects reflecting all the public member methods of the class or interface represented by this Class object, including those declared by the class or interface and and those inherited from superclasses and superinterfaces. Returns an array of length 0 if the class or interface has no public member methods.

See The Java Language Specification , sections 8.2 and 8.4.

Return

No documentation supplied in JDK.

Throws

SecurityException

If access to the information is denied.

See also

Method class [java.lang.reflect]

Applies to

 Class [java.lang]


mimeType property [java.awt.datatransfer.DataFlavor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mimeType property [java.awt.datatransfer.DataFlavor]

public java.lang.String getMimeType( )

Returns the MIME type string for this DataFlavor

Return

No documentation supplied in JDK.

Applies to

 DataFlavor [java.awt.datatransfer]


min method [java.lang.Math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      min method [java.lang.Math]

Overloads:

 double min( double a, double b )

 float min( float a, float b )

 int min( int a, int b )

 long min( long a, long b )

public static double min( double a, double b )

Returns the smaller of two double values.  If either value is NaN, then the result is NaN.  Unlike the the numerical comparison operators, this method considers negative zero to be strictly smaller than positive zero.

Parameters

a

a double value.

b

a double value.

Return

The smaller of a and b.

public static float min( float a, float b )

Returns the smaller of two float values.  If either value is NaN, then the result is NaN.  Unlike the the numerical comparison operators, this method considers negative zero to be strictly smaller than positive zero.

Parameters

a

a float value.

b

a float value.

Return

The smaller of a and b..

public static int min( int a, int b )

Returns the smaller of two int values.

Parameters

a

an int value.

b

an int value.

Return

The smaller of a and b.

public static long min( long a, long b )

Returns the smaller of two long values.

Parameters

a

a long value.

b

a long value.

Return

The smaller of a and b.

Applies to

 Math [java.lang]


min method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      min method [java.math.BigDecimal]

public java.math.BigDecimal min( java.math.BigDecimal val )

Returns the BigDecimal whose value is the lesser of this and val. If the values are equal (as defined by the compareTo operator), either may be returned.

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


min method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      min method [java.math.BigInteger]

public java.math.BigInteger min( java.math.BigInteger val )

Returns the BigInteger whose value is the lesser of this and val. If the values are equal, either may be returned.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


minimalDaysInFirstWeek property [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minimalDaysInFirstWeek property [java.util.Calendar]

public int getMinimalDaysInFirstWeek( )

Gets what the minimal days required in the first week of the year are; e.g., if the first week is defined as one that contains the first day of the first month of a year, getMinimalDaysInFirstWeek returns 1. If the minimal days required must be a full week, getMinimalDaysInFirstWeek returns 7.

Return

The minimal days required in the first week of the year.

public void setMinimalDaysInFirstWeek( int value )

Sets what the minimal days required in the first week of the year are; For example, if the first week is defined as one that contains the first day of the first month of a year, call the method with value 1. If it must be a full week, use value 7.

Parameter

value

the given minimal days required in the first week of the year.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


minimum property [java.awt.Scrollbar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minimum property [java.awt.Scrollbar]

public int getMinimum( )

Gets the minimum value of this scroll bar.

Return

The minimum value of this scroll bar.

See also

value property [java.awt.Scrollbar]

maximum property [java.awt.Scrollbar]

public void setMinimum( int newMinimum )

Sets the minimum value of this scroll bar.

Normally, a program should change a scroll bar's minimum value only by calling setValues. The setValues method simultaneously and synchronously sets the minimum, maximum, visible amount, and value properties of a scroll bar, so that they are mutually consistent.

Parameter

newMinimum

the new minimum value for this scroll bar.

See also

setValues method [java.awt.Scrollbar]

maximum property [java.awt.Scrollbar]

Applies to

 Scrollbar [java.awt]


minimum property [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minimum property [java.util.Calendar]

public abstract int getMinimum( int field )

Gets the minimum value for the given time field. e.g., for Gregorian DAY_OF_MONTH, 1.

Parameter

field

the given time field.

Return

The minimum value for the given time field.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


minimum property [java.util.GregorianCalendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minimum property [java.util.GregorianCalendar]

Overloads:

  int getMinimum( int field ) overrides minimum property [java.util.Calendar]

public int getMinimum( int field )

Returns minimum value for the given field. e.g. for Gregorian DAY_OF_MONTH, 1 Please see Calendar.getMinimum for descriptions on parameters and the return value.

Return

No documentation supplied in JDK.

Applies to

 GregorianCalendar [java.util]


minimumFractionDigits property [java.text.NumberFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minimumFractionDigits property [java.text.NumberFormat]

public int getMinimumFractionDigits( )

Returns the minimum number of digits allowed in the fraction portion of a number.

Return

No documentation supplied in JDK.

public void setMinimumFractionDigits( int newValue )

Sets the minimum number of digits allowed in the fraction portion of a number. minimumFractionDigits must be <= maximumFractionDigits.  If the new value for minimumFractionDigits exceeds the current value of maximumFractionDigits, then maximumIntegerDigits will also be set to the new value

Applies to

 ChoiceFormat [java.text]

 DecimalFormat [java.text]

 NumberFormat [java.text]


minimumIntegerDigits property [java.text.NumberFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minimumIntegerDigits property [java.text.NumberFormat]

public int getMinimumIntegerDigits( )

Returns the minimum number of digits allowed in the integer portion of a number.

Return

No documentation supplied in JDK.

public void setMinimumIntegerDigits( int newValue )

Sets the minimum number of digits allowed in the integer portion of a number. minimumIntegerDigits must be <= maximumIntegerDigits.  If the new value for minimumIntegerDigits exceeds the current value of maximumIntegerDigits, then maximumIntegerDigits will also be set to the new value

Applies to

 ChoiceFormat [java.text]

 DecimalFormat [java.text]

 NumberFormat [java.text]


minimumLayoutSize method [java.awt.BorderLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minimumLayoutSize method [java.awt.BorderLayout]

public java.awt.Dimension minimumLayoutSize( java.awt.Container target )

Determines the minimum size of the target container using this layout manager.

This method is called when a container calls its getMinimumSize method. Most applications do not call this method directly.

Parameter

target

the container in which to do the layout.

Return

The minimum dimensions needed to lay out the subcomponents of the specified container.

See also

Container class [java.awt]

preferredLayoutSize method [java.awt.BorderLayout]

minimumSize property [java.awt.Component]

Applies to

 BorderLayout [java.awt]


minimumLayoutSize method [java.awt.CardLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minimumLayoutSize method [java.awt.CardLayout]

public java.awt.Dimension minimumLayoutSize( java.awt.Container parent )

Calculates the minimum size for the specified panel.

Parameter

parent

the name of the parent container in which to do the layout.

Return

The minimum dimensions required to lay out the subcomponents of the specified container.

See also

doLayout method [java.awt.Component]

preferredLayoutSize method [java.awt.CardLayout]

Applies to

 CardLayout [java.awt]


minimumLayoutSize method [java.awt.FlowLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minimumLayoutSize method [java.awt.FlowLayout]

public java.awt.Dimension minimumLayoutSize( java.awt.Container target )

Returns the minimum dimensions needed to layout the components contained in the specified target container.

Parameter

target

the component which needs to be laid out

Return

The minimum dimensions to lay out the subcomponents of the specified container.

See also

preferredLayoutSize method [java.awt.FlowLayout]

Container class [java.awt]

doLayout method [java.awt.Component]

Applies to

 FlowLayout [java.awt]


minimumLayoutSize method [java.awt.GridBagLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minimumLayoutSize method [java.awt.GridBagLayout]

public java.awt.Dimension minimumLayoutSize( java.awt.Container parent )

Determines the minimum size of the target container using this grid bag layout.

Most applications do not call this method directly.

Parameter

target

the container in which to do the layout.

Return

No documentation supplied in JDK.

See also

doLayout method [java.awt.Component]

Applies to

 GridBagLayout [java.awt]


minimumLayoutSize method [java.awt.GridLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minimumLayoutSize method [java.awt.GridLayout]

public java.awt.Dimension minimumLayoutSize( java.awt.Container parent )

Determines the minimum size of the container argument using this grid layout.

The minimum width of a grid layout is the largest minimum width of any of the widths in the container times the number of columns, plus the horizontal padding times the number of columns plus one, plus the left and right insets of the target container.

The minimum height of a grid layout is the largest minimum height of any of the widths in the container times the number of rows, plus the vertical padding times the number of rows plus one, plus the top and left insets of the target container.

Parameter

target

the container in which to do the layout.

Return

The minimum dimensions needed to lay out the subcomponents of the specified container.

See also

preferredLayoutSize method [java.awt.GridLayout]

doLayout method [java.awt.Component]

Applies to

 GridLayout [java.awt]


minimumSize method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minimumSize method [java.awt.Component]

public java.awt.Dimension minimumSize( )

Note: minimumSize has been deprecated. As of JDK version 1.1, replaced by getMinimumSize().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


minimumSize method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minimumSize method [java.awt.Container]

Overloads:

 Dimension minimumSize( ) overrides minimumSize method [java.awt.Component]

public java.awt.Dimension minimumSize( )

Note: minimumSize has been deprecated. As of JDK version 1.1, replaced by getMinimumSize().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


minimumSize method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minimumSize method [java.awt.List]

Overloads:

 Dimension minimumSize( ) overrides minimumSize method [java.awt.Component]

 Dimension minimumSize( int rows )

public java.awt.Dimension minimumSize( )

Note: minimumSize has been deprecated. As of JDK version 1.1, replaced by getMinimumSize().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

public java.awt.Dimension minimumSize( int rows )

Note: minimumSize has been deprecated. As of JDK version 1.1, replaced by getMinimumSize(int).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 List [java.awt]


minimumSize method [java.awt.TextArea] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minimumSize method [java.awt.TextArea]

Overloads:

 Dimension minimumSize( ) overrides minimumSize method [java.awt.Component]

 Dimension minimumSize( int rows, int columns )

public java.awt.Dimension minimumSize( )

Note: minimumSize has been deprecated. As of JDK version 1.1, replaced by getMinimumSize().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

public java.awt.Dimension minimumSize( int rows, int columns )

Note: minimumSize has been deprecated. As of JDK version 1.1, replaced by getMinimumSize(int, int).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 TextArea [java.awt]


minimumSize method [java.awt.TextField] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minimumSize method [java.awt.TextField]

Overloads:

 Dimension minimumSize( ) overrides minimumSize method [java.awt.Component]

 Dimension minimumSize( int columns )

public java.awt.Dimension minimumSize( )

Note: minimumSize has been deprecated. As of JDK version 1.1, replaced by getMinimumSize().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

public java.awt.Dimension minimumSize( int columns )

Note: minimumSize has been deprecated. As of JDK version 1.1, replaced by getMinimumSize(int).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 TextField [java.awt]


minimumSize property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minimumSize property [java.awt.Component]

public java.awt.Dimension getMinimumSize( )

Gets the mininimum size of this component.

Return

A dimension object indicating this component's minimum size.

See also

preferredSize property [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


minimumSize property [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minimumSize property [java.awt.Container]

Overloads:

  Dimension getMinimumSize( ) overrides minimumSize property [java.awt.Component]

public java.awt.Dimension getMinimumSize( )

Returns the minimum size of this container.

Return

An instance of Dimension that represents the minimum size of this container.

See also

preferredSize property [java.awt.Component]

layout property [java.awt.Container]

LayoutManager interface [java.awt]

minimumSize property [java.awt.Component]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


minimumSize property [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minimumSize property [java.awt.List]

Overloads:

  Dimension getMinimumSize( ) overrides minimumSize property [java.awt.Component]

  Dimension getMinimumSize( int rows ) overrides minimumSize property [java.awt.Component]

public java.awt.Dimension getMinimumSize( )

Determines the minimum size of this scrolling list.

Return

The minimum dimensions needed to display this scrolling list.

See also

minimumSize property [java.awt.Component]

public java.awt.Dimension getMinimumSize( int rows )

Gets the minumum dimensions for a list with the specified number of rows.

Parameter

rows

number of rows in the list.

Return

The minimum dimensions for displaying this scrolling list.

See also

minimumSize property [java.awt.Component]

Applies to

 List [java.awt]


minimumSize property [java.awt.TextArea] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minimumSize property [java.awt.TextArea]

Overloads:

  Dimension getMinimumSize( ) overrides minimumSize property [java.awt.Component]

public java.awt.Dimension getMinimumSize( )

Determines the minimum size of this text area.

Return

The preferred dimensions needed for this text area.

See also

preferredSize property [java.awt.Component]

Applies to

 TextArea [java.awt]


minimumSize property [java.awt.TextField] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minimumSize property [java.awt.TextField]

Overloads:

  Dimension getMinimumSize( ) overrides minimumSize property [java.awt.Component]

  Dimension getMinimumSize( int columns ) overrides minimumSize property [java.awt.Component]

public java.awt.Dimension getMinimumSize( )

Gets the minumum dimensions for this text field.

Return

The minimum dimensions for displaying this text field.

public java.awt.Dimension getMinimumSize( int columns )

Gets the minumum dimensions for a text field with the specified number of columns.

Parameter

columns

the number of columns in this text field.

Return

No documentation supplied in JDK.

Applies to

 TextField [java.awt]


minusSign property [java.text.DecimalFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minusSign property [java.text.DecimalFormatSymbols]

public char getMinusSign( )

character used to represent minus sign. If no explicit negative format is specified, one is formed by prefixing minusSign to the positive format.

Return

No documentation supplied in JDK.

public void setMinusSign( char minusSign )

Applies to

 DecimalFormatSymbols [java.text]


minutes property [java.sql.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minutes property [java.sql.Date]

Overloads:

  int getMinutes( ) overrides minutes property [java.util.Date]

  void setMinutes( int i ) overrides minutes property [java.util.Date]

public int getMinutes( )

public void setMinutes( int i )

Applies to

 Date [java.sql]


minutes property [java.util.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      minutes property [java.util.Date]

public int getMinutes( )

Note: getMinutes has been deprecated. As of JDK version 1.1, replaced by Calendar.get(Calendar.MINUTE).

Returns the number of minutes past the hour represented by this date. The value returned is between 0 and 59.

Return

The number of minutes past the hour represented by this date.

See also

Calendar class [java.util]

public void setMinutes( int minutes )

Note: setMinutes has been deprecated. As of JDK version 1.1, replaced by Calendar.set(Calendar.MINUTE, int minutes).

Note: setMinutes has been deprecated. As of JDK version 1.1, replaced by Calendar.set(Calendar.MINUTE, int minutes).

Sets the minutes of this date to the specified value.

Parameter

minutes

the value of the minutes.

See also

Calendar class [java.util]

Applies to

 Date [java.sql]

 Date [java.util]

 Time [java.sql]

 Timestamp [java.sql]


MissingResourceException class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MissingResourceException class [java.util]

Object

Throwable

Exception

RuntimeException

MissingResourceException

Description

Signals that a resource is missing.

Specification

public class MissingResourceException extends java.lang.RuntimeException

Constructor

public MissingResourceException( java.lang.String s, java.lang.String className, java.lang.String key )

Constructs a MissingResourceException with the specified information. A detail message is a String that describes this particular exception.

Parameters

s

the detail message

classname

the name of the resource class

key

the key for the missing resource.

Properties

  java.lang.String getClassName( )

  java.lang.String getKey( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

ResourceBundle class [java.util]


mkdir method [java.io.File] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mkdir method [java.io.File]

public boolean mkdir( )

Creates a directory whose pathname is specified by this File object.

Return

true if the directory could be created; false otherwise.

Throws

SecurityException

If a security manager exists, its checkWrite method is called with the pathname of this File to see if the application is allowed write access to the file.

See also

path property [java.io.File]

checkWrite method [java.lang.SecurityManager]

Applies to

 File [java.io]


mkdirs method [java.io.File] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mkdirs method [java.io.File]

public boolean mkdirs( )

Creates a directory whose pathname is specified by this File object, including any necessary parent directories.

Return

true if the directory (or directories) could be created; false otherwise.

Throws

SecurityException

If a security manager exists, its checkWrite method is called with the pathname of each of the directories that is to be created, before any of the directories are created.

See also

path property [java.io.File]

checkWrite method [java.lang.SecurityManager]

Applies to

 File [java.io]


mod method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mod method [java.math.BigInteger]

public java.math.BigInteger mod( java.math.BigInteger m )

Returns a BigInteger whose value is this mod m. Throws an ArithmeticException if m <= 0.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


modal property [java.awt.Dialog] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      modal property [java.awt.Dialog]

public void setModal( boolean b )

Specifies whether this dialog is modal.  A modal Dialog grabs all the input to the parent frame from the user.

public boolean isModal( )

Indicates whether the dialog is modal. A modal dialog grabs all input from the user.

Return

true if this dialog window is modal; false otherwise.

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]


mode property [java.awt.FileDialog] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mode property [java.awt.FileDialog]

public int getMode( )

Indicates whether this file dialog box is for loading from a file or for saving to a file.

Return

The mode of this file dialog window, either FileDialog.LOAD or FileDialog.SAVE.

public void setMode( int mode )

Sets the mode of the file dialog.

Parameter

mode

the mode for this file dialog, either FileDialog.LOAD or FileDialog.SAVE.

Throws

IllegalArgumentException

If an illegal file dialog mode is used.

Applies to

 FileDialog [java.awt]


Modifier class [java.lang.reflect] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      Modifier class [java.lang.reflect]

Object

Modifier

Description

The Modifier class provides static methods and constants to decode class and member access modifiers.

Specification

public class Modifier extends java.lang.Object

Variables

public static final int PUBLIC

public static final int PRIVATE

public static final int PROTECTED

public static final int STATIC

public static final int FINAL

public static final int SYNCHRONIZED

public static final int VOLATILE

public static final int TRANSIENT

public static final int NATIVE

public static final int INTERFACE

public static final int ABSTRACT

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  static boolean isAbstract( int mod )

  static boolean isFinal( int mod )

  static boolean isInterface( int mod )

  static boolean isNative( int mod )

  static boolean isPrivate( int mod )

  static boolean isProtected( int mod )

  static boolean isPublic( int mod )

  static boolean isStatic( int mod )

  static boolean isSynchronized( int mod )

  static boolean isTransient( int mod )

  static boolean isVolatile( int mod )

  static java.lang.String toString( int mod )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Member interface [java.lang.reflect]


modifiers property [java.awt.event.ActionEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      modifiers property [java.awt.event.ActionEvent]

public int getModifiers( )

Returns the modifiers held down during this action event.

Return

No documentation supplied in JDK.

Applies to

 ActionEvent [java.awt.event]


modifiers property [java.awt.event.InputEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      modifiers property [java.awt.event.InputEvent]

public int getModifiers( )

Returns the modifiers flag for this event.

Return

No documentation supplied in JDK.

Applies to

 InputEvent [java.awt.event]

 KeyEvent [java.awt.event]

 MouseEvent [java.awt.event]


modifiers property [java.awt.event.KeyEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      modifiers property [java.awt.event.KeyEvent]

Overloads:

  void setModifiers( int modifiers ) overrides modifiers property [java.awt.event.InputEvent]

public void setModifiers( int modifiers )

Note: setModifiers has been deprecated. , as of JDK1.1.4.

Note: setModifiers has been deprecated. , as of JDK1.1.4.

Change the modifiers for a KeyEvent.

NOTE:  use of this method is not recommended, because many AWT implementations do not recognize modifier changes.  This is especially true for KEY_TYPED events where the shift modifier is changed.

Applies to

 KeyEvent [java.awt.event]


modifiers property [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      modifiers property [java.lang.Class]

public native int getModifiers( )

Returns the Java language modifiers for this class or interface, encoded in an integer. The modifiers consist of the Java Virtual Machine's constants for public, protected, private, final, and interface; they should be decoded using the methods of class Modifier.

The modifier encodings are defined in The Java Virtual Machine Specification , table 4.1.

Return

No documentation supplied in JDK.

See also

Modifier class [java.lang.reflect]

Applies to

 Class [java.lang]


modifiers property [java.lang.reflect.Constructor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      modifiers property [java.lang.reflect.Constructor]

public native int getModifiers( )

Returns the Java language modifiers for the constructor represented by this Constructor object, as an integer. The Modifier class should be used to decode the modifiers.

Return

No documentation supplied in JDK.

See also

Modifier class [java.lang.reflect]

Applies to

 Constructor [java.lang.reflect]


modifiers property [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      modifiers property [java.lang.reflect.Field]

public native int getModifiers( )

Returns the Java language modifiers for the field represented by this Field object, as an integer. The Modifier class should be used to decode the modifiers.

Return

No documentation supplied in JDK.

See also

Modifier class [java.lang.reflect]

Applies to

 Field [java.lang.reflect]


modifiers property [java.lang.reflect.Method] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      modifiers property [java.lang.reflect.Method]

public native int getModifiers( )

Returns the Java language modifiers for the method represented by this Method object, as an integer. The Modifier class should be used to decode the modifiers.

Return

No documentation supplied in JDK.

See also

Modifier class [java.lang.reflect]

Applies to

 Method [java.lang.reflect]


modInverse method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      modInverse method [java.math.BigInteger]

public java.math.BigInteger modInverse( java.math.BigInteger m ) throws java.lang.ArithmeticException

Returns modular multiplicative inverse of this, mod m.  Throws an ArithmeticException if m <= 0 or this has no multiplicative inverse mod m (i.e., gcd(this, m) != 1).

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


modPow method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      modPow method [java.math.BigInteger]

public java.math.BigInteger modPow( java.math.BigInteger exponent, java.math.BigInteger m )

Returns a BigInteger whose value is (this ** exponent) mod m.  (If exponent == 1, the returned value is (this mod m).  If exponent < 0, the returned value is the modular multiplicative inverse of (this ** -exponent).)  Throws an ArithmeticException if m <= 0.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


month property [java.sql.Time] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      month property [java.sql.Time]

Overloads:

  int getMonth( ) overrides month property [java.util.Date]

  void setMonth( int i ) overrides month property [java.util.Date]

public int getMonth( )

public void setMonth( int i )

Applies to

 Time [java.sql]


month property [java.util.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      month property [java.util.Date]

public int getMonth( )

Note: getMonth has been deprecated. As of JDK version 1.1, replaced by Calendar.get(Calendar.MONTH).

Returns the month represented by this date. The value returned is between 0 and 11, with the value 0 representing January.

Return

The month represented by this date.

See also

Calendar class [java.util]

public void setMonth( int month )

Note: setMonth has been deprecated. As of JDK version 1.1, replaced by Calendar.set(Calendar.MONTH, int month).

Note: setMonth has been deprecated. As of JDK version 1.1, replaced by Calendar.set(Calendar.MONTH, int month).

Sets the month of this date to the specified value.

Parameter

month

the month value between 0-11.

See also

Calendar class [java.util]

Applies to

 Date [java.sql]

 Date [java.util]

 Time [java.sql]

 Timestamp [java.sql]


months property [java.text.DateFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      months property [java.text.DateFormatSymbols]

public java.lang.String[] getMonths( )

Gets month strings. For example: "January", "February", etc.

Return

The month strings.

public void setMonths( java.lang.String[] newMonths )

Sets month strings. For example: "January", "February", etc.

Parameter

newMonths

the new month strings.

Applies to

 DateFormatSymbols [java.text]


MouseAdapter class [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MouseAdapter class [java.awt.event]

Object

MouseAdapter

Description

The adapter which receives mouse events. The methods in this class are empty;  this class is provided as a convenience for easily creating listeners by extending this class and overriding only the methods of interest.

Specification

public abstract class MouseAdapter extends java.lang.Object implements java.awt.event.MouseListener

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void mouseClicked( java.awt.event.MouseEvent e )

  void mouseEntered( java.awt.event.MouseEvent e )

  void mouseExited( java.awt.event.MouseEvent e )

  void mousePressed( java.awt.event.MouseEvent e )

  void mouseReleased( java.awt.event.MouseEvent e )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


mouseClicked method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mouseClicked method [java.awt.AWTEventMulticaster]

public void mouseClicked( java.awt.event.MouseEvent e )

Handles the mouseClicked event by invoking the mouseClicked methods on listener-a and listener-b.

Parameter

e

the mouse event

Applies to

 AWTEventMulticaster [java.awt]


mouseClicked method [java.awt.event.MouseAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mouseClicked method [java.awt.event.MouseAdapter]

public void mouseClicked( java.awt.event.MouseEvent e )

Applies to

 MouseAdapter [java.awt.event]


mouseDown method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mouseDown method [java.awt.Component]

public boolean mouseDown( java.awt.Event evt, int x, int y )

Note: mouseDown has been deprecated. As of JDK version 1.1, replaced by processMouseEvent(MouseEvent).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


mouseDrag method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mouseDrag method [java.awt.Component]

public boolean mouseDrag( java.awt.Event evt, int x, int y )

Note: mouseDrag has been deprecated. As of JDK version 1.1, replaced by processMouseMotionEvent(MouseEvent).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


mouseDragged method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mouseDragged method [java.awt.AWTEventMulticaster]

public void mouseDragged( java.awt.event.MouseEvent e )

Handles the mouseDragged event by invoking the mouseDragged methods on listener-a and listener-b.

Parameter

e

the mouse event

Applies to

 AWTEventMulticaster [java.awt]


mouseDragged method [java.awt.event.MouseMotionAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mouseDragged method [java.awt.event.MouseMotionAdapter]

public void mouseDragged( java.awt.event.MouseEvent e )

Applies to

 MouseMotionAdapter [java.awt.event]


mouseEnter method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mouseEnter method [java.awt.Component]

public boolean mouseEnter( java.awt.Event evt, int x, int y )

Note: mouseEnter has been deprecated. As of JDK version 1.1, replaced by processMouseEvent(MouseEvent).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


mouseEntered method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mouseEntered method [java.awt.AWTEventMulticaster]

public void mouseEntered( java.awt.event.MouseEvent e )

Handles the mouseEntered event by invoking the mouseEntered methods on listener-a and listener-b.

Parameter

e

the mouse event

Applies to

 AWTEventMulticaster [java.awt]


mouseEntered method [java.awt.event.MouseAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mouseEntered method [java.awt.event.MouseAdapter]

public void mouseEntered( java.awt.event.MouseEvent e )

Applies to

 MouseAdapter [java.awt.event]


MouseEvent class [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MouseEvent class [java.awt.event]

Object

EventObject

AWTEvent

ComponentEvent

InputEvent

MouseEvent

Description

The mouse event.

Specification

public class MouseEvent extends java.awt.event.InputEvent

Constructor

public MouseEvent( java.awt.Component source, int id, long when, int modifiers, int x, int y, int clickCount, boolean popupTrigger )

Constructs a MouseEvent object with the specified source component, type, modifiers, coordinates, and click count.

Parameter

source

the object where the event originated

Variables

public static final int MOUSE_FIRST

Marks the first integer id for the range of mouse event ids.

public static final int MOUSE_LAST

Marks the last integer id for the range of mouse event ids.

public static final int MOUSE_CLICKED

The mouse clicked event type.

public static final int MOUSE_PRESSED

The mouse pressed event type.

public static final int MOUSE_RELEASED

The mouse released event type.

public static final int MOUSE_MOVED

The mouse moved event type.

public static final int MOUSE_ENTERED

The mouse entered event type.

public static final int MOUSE_EXITED

The mouse exited event type.

public static final int MOUSE_DRAGGED

The mouse dragged event type.

Properties

  int getClickCount( )

  java.awt.Point getPoint( )

  boolean isPopupTrigger( )

  int getX( )

  int getY( )

Inherited Properties

  boolean isAltDown( )

  native final java.lang.Class getClass( )

  java.awt.Component getComponent( )

  boolean isControlDown( )

  int getID( )

  boolean isMetaDown( )

  int getModifiers( )

  boolean isShiftDown( )

  java.lang.Object getSource( )

  long getWhen( )

Protected Properties

 protected boolean isConsumed( )

Methods

  java.lang.String paramString( )

  synchronized void translatePoint( int x, int y )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void consume( )

 protected void finalize( ) throws java.lang.Throwable


MouseEvent event [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MouseEvent event [java.awt.Component]

public synchronized void addMouseListener( java.awt.event.MouseListener l )

Adds the specified mouse listener to receive mouse events from this component.

Parameter

l

the mouse listener.

See also

MouseEvent class [java.awt.event]

MouseListener interface [java.awt.event]

public synchronized void removeMouseListener( java.awt.event.MouseListener l )

Removes the specified mouse listener so that it no longer receives mouse events from this component.

Parameter

l

the mouse listener.

See also

MouseEvent class [java.awt.event]

MouseListener interface [java.awt.event]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


mouseExit method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mouseExit method [java.awt.Component]

public boolean mouseExit( java.awt.Event evt, int x, int y )

Note: mouseExit has been deprecated. As of JDK version 1.1, replaced by processMouseEvent(MouseEvent).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


mouseExited method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mouseExited method [java.awt.AWTEventMulticaster]

public void mouseExited( java.awt.event.MouseEvent e )

Handles the mouseExited event by invoking the mouseExited methods on listener-a and listener-b.

Parameter

e

the mouse event

Applies to

 AWTEventMulticaster [java.awt]


mouseExited method [java.awt.event.MouseAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mouseExited method [java.awt.event.MouseAdapter]

public void mouseExited( java.awt.event.MouseEvent e )

Applies to

 MouseAdapter [java.awt.event]


MouseListener interface [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MouseListener interface [java.awt.event]

Description

The listener interface for receiving mouse events on a component.

Definition

public interface MouseListener extends java.util.EventListener

{

  // Methods

  public void mouseClicked( java.awt.event.MouseEvent e );

  public void mousePressed( java.awt.event.MouseEvent e );

  public void mouseReleased( java.awt.event.MouseEvent e );

  public void mouseEntered( java.awt.event.MouseEvent e );

  public void mouseExited( java.awt.event.MouseEvent e );

}

Methods

public void mouseClicked( java.awt.event.MouseEvent e )

Invoked when the mouse has been clicked on a component.

public void mousePressed( java.awt.event.MouseEvent e )

Invoked when a mouse button has been pressed on a component.

public void mouseReleased( java.awt.event.MouseEvent e )

Invoked when a mouse button has been released on a component.

public void mouseEntered( java.awt.event.MouseEvent e )

Invoked when the mouse enters a component.

public void mouseExited( java.awt.event.MouseEvent e )

Invoked when the mouse exits a component.

Implemented by

AWTEventMulticaster [java.awt]	MouseAdapter [java.awt.event]


MouseMotionAdapter class [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MouseMotionAdapter class [java.awt.event]

Object

MouseMotionAdapter

Description

The adapter which receives mouse motion events. The methods in this class are empty;  this class is provided as a convenience for easily creating listeners by extending this class and overriding only the methods of interest.

Specification

public abstract class MouseMotionAdapter extends java.lang.Object implements java.awt.event.MouseMotionListener

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void mouseDragged( java.awt.event.MouseEvent e )

  void mouseMoved( java.awt.event.MouseEvent e )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


MouseMotionEvent event [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MouseMotionEvent event [java.awt.Component]

public synchronized void addMouseMotionListener( java.awt.event.MouseMotionListener l )

Adds the specified mouse motion listener to receive mouse motion events from this component.

Parameter

l

the mouse motion listener.

See also

MouseMotionListener interface [java.awt.event]

public synchronized void removeMouseMotionListener( java.awt.event.MouseMotionListener l )

Removes the specified mouse motion listener so that it no longer receives mouse motion events from this component.

Parameter

l

the mouse motion listener.

See also

MouseMotionListener interface [java.awt.event]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


MouseMotionListener interface [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MouseMotionListener interface [java.awt.event]

Description

The listener interface for receiving mouse motion events on a component.

Definition

public interface MouseMotionListener extends java.util.EventListener

{

  // Methods

  public void mouseDragged( java.awt.event.MouseEvent e );

  public void mouseMoved( java.awt.event.MouseEvent e );

}

Methods

public void mouseDragged( java.awt.event.MouseEvent e )

Invoked when a mouse button is pressed on a component and then dragged.  Mouse drag events will continue to be delivered to the component where the first originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

public void mouseMoved( java.awt.event.MouseEvent e )

Invoked when the mouse button has been moved on a component (with no buttons no down).

Implemented by

AWTEventMulticaster [java.awt]	MouseMotionAdapter [java.awt.event]


mouseMove method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mouseMove method [java.awt.Component]

public boolean mouseMove( java.awt.Event evt, int x, int y )

Note: mouseMove has been deprecated. As of JDK version 1.1, replaced by processMouseMotionEvent(MouseEvent).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


mouseMoved method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mouseMoved method [java.awt.AWTEventMulticaster]

public void mouseMoved( java.awt.event.MouseEvent e )

Handles the mouseMoved event by invoking the mouseMoved methods on listener-a and listener-b.

Parameter

e

the mouse event

Applies to

 AWTEventMulticaster [java.awt]


mouseMoved method [java.awt.event.MouseMotionAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mouseMoved method [java.awt.event.MouseMotionAdapter]

public void mouseMoved( java.awt.event.MouseEvent e )

Applies to

 MouseMotionAdapter [java.awt.event]


mousePressed method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mousePressed method [java.awt.AWTEventMulticaster]

public void mousePressed( java.awt.event.MouseEvent e )

Handles the mousePressed event by invoking the mousePressed methods on listener-a and listener-b.

Parameter

e

the mouse event

Applies to

 AWTEventMulticaster [java.awt]


mousePressed method [java.awt.event.MouseAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mousePressed method [java.awt.event.MouseAdapter]

public void mousePressed( java.awt.event.MouseEvent e )

Applies to

 MouseAdapter [java.awt.event]


mouseReleased method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mouseReleased method [java.awt.AWTEventMulticaster]

public void mouseReleased( java.awt.event.MouseEvent e )

Handles the mouseReleased event by invoking the mouseReleased methods on listener-a and listener-b.

Parameter

e

the mouse event

Applies to

 AWTEventMulticaster [java.awt]


mouseReleased method [java.awt.event.MouseAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mouseReleased method [java.awt.event.MouseAdapter]

public void mouseReleased( java.awt.event.MouseEvent e )

Applies to

 MouseAdapter [java.awt.event]


mouseUp method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      mouseUp method [java.awt.Component]

public boolean mouseUp( java.awt.Event evt, int x, int y )

Note: mouseUp has been deprecated. As of JDK version 1.1, replaced by processMouseEvent(MouseEvent).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


move method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      move method [java.awt.Component]

public void move( int x, int y )

Note: move has been deprecated. As of JDK version 1.1,  replaced by setLocation(int, int).

No documentation supplied in JDK

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


move method [java.awt.Point] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      move method [java.awt.Point]

public void move( int x, int y )

Moves this point to the specificed location in the (x , y ) coordinate plane. This method is identical with setLocation(int, int).

Parameters

x

the x coordinate of the new location.

y

the y coordinate of the new location.

See also

location property [java.awt.Component]

Applies to

 Point [java.awt]


move method [java.awt.Rectangle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      move method [java.awt.Rectangle]

public void move( int x, int y )

Note: move has been deprecated. As of JDK version 1.1, replaced by setLocation(int, int).

No documentation supplied in JDK

Applies to

 Rectangle [java.awt]


movePointLeft method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      movePointLeft method [java.math.BigDecimal]

public java.math.BigDecimal movePointLeft( int n )

Returns a BigDecimal which is equivalent to this one with the decimal point moved n places to the left.  If n is non-negative, the call merely adds n to the scale.  If n is negative, the call is equivalent to movePointRight(-n).  (The BigDecimal returned by this call has value (this * 10**-n) and scale MAX(this.scale()+n, 0).)

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


movePointRight method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      movePointRight method [java.math.BigDecimal]

public java.math.BigDecimal movePointRight( int n )

Moves the decimal point the specified number of places to the right. If this number's scale is >= n, the call merely subtracts n from the scale; otherwise, it sets the scale to zero, and multiplies the integer value by 10 ** (n - this.scale).  If n is negative, the call is equivalent to movePointLeft(-n). (The BigDecimal returned by this call has value (this * 10**n) and scale MAX(this.scale()-n, 0).)

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


multicastAddress property [java.net.InetAddress] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      multicastAddress property [java.net.InetAddress]

public boolean isMulticastAddress( )

Utility routine to check if the InetAddress is a IP multicast address. IP multicast address is a Class D address i.e first four bits of the address are 1110.

Return

No documentation supplied in JDK.

Applies to

 InetAddress [java.net]


MulticastSocket class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      MulticastSocket class [java.net]

Object

DatagramSocket

MulticastSocket

Description

The multicast datagram socket class is useful for sending and receiving IP multicast packets.  A MulticastSocket is a (UDP) DatagramSocket, with additional capabilities for joining "groups" of other multicast hosts on the internet.

A multicast group is specified by a class D IP address, those in the range 224.0.0.1 to 239.255.255.255, inclusive, and by a standard UDP port number.  One would join a multicast group by first creating a MulticastSocket with the desired port, then invoking the joinGroup(InetAddress groupAddr) method:

// join a Multicast group and send the group salutations

...

byte[] msg = {'H', 'e', 'l', 'l', 'o'};

InetAddress group = InetAddress.getByName("228.5.6.7");

MulticastSocket s = new MulticastSocket(6789);

s.joinGroup(group);

DatagramPacket hi = new DatagramPacket(msg, msg.length,

                           group, 6789);

s.send(hi);

// get their responses!

byte[] buf = new byte[1000];

DatagramPacket recv = new DatagramPacket(buf, buf.length);

s.receive(recv);

...

// OK, I'm done talking - leave the group...

s.leaveGroup(group);

When one sends a message to a multicast group, all subscribing recipients to that host and port receive the message (within the time-to-live range of the packet, see below).  The socket needn't be a member of the multicast group to send messages to it.

When a socket subscribes to a multicast group/port, it receives datagrams sent by other hosts to the group/port, as do all other members of the group and port.  A socket relinquishes membership in a group by the leaveGroup(InetAddress addr) method.  Multiple MulticastSocket's may subscribe to a multicast group and port concurrently, and they will all receive group datagrams.

Currently applets are not allowed ot use multicast sockets.

Specification

public class MulticastSocket extends java.net.DatagramSocket

Constructors

public MulticastSocket( ) throws java.io.IOException

Create a multicast socket.

public MulticastSocket( int port ) throws java.io.IOException

Create a multicast socket and bind it to a specific port.

Parameter

local

port to use

Properties

  java.net.InetAddress getInterface( ) throws java.net.SocketException

  void setInterface( java.net.InetAddress inf ) throws java.net.SocketException

  byte getTTL( ) throws java.io.IOException

  void setTTL( byte ttl ) throws java.io.IOException

Inherited Properties

  native final java.lang.Class getClass( )

  java.net.InetAddress getLocalAddress( )

  int getLocalPort( )

  synchronized int getSoTimeout( ) throws java.net.SocketException

  synchronized void setSoTimeout( int timeout ) throws java.net.SocketException

Methods

  void joinGroup( java.net.InetAddress mcastaddr ) throws java.io.IOException

  void leaveGroup( java.net.InetAddress mcastaddr ) throws java.io.IOException

  synchronized void send( java.net.DatagramPacket p, byte ttl ) throws java.io.IOException

Inherited Methods

  void close( )

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  synchronized void receive( java.net.DatagramPacket p ) throws java.io.IOException

  void send( java.net.DatagramPacket p ) throws java.io.IOException

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


multipleMode property [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      multipleMode property [java.awt.List]

public void setMultipleMode( boolean b )

Sets the flag that determines whether this list allows multiple selections.

Parameter

b

if true then multiple selections are allowed; otherwise, only one item from the list can be selected at once.

public boolean isMultipleMode( )

Determines whether this list allows multiple selections.

Return

true if this list allows multiple selections; otherwise, false.

Applies to

 List [java.awt]


multipleSelections property [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      multipleSelections property [java.awt.List]

public synchronized void setMultipleSelections( boolean b )

Note: setMultipleSelections has been deprecated. As of JDK version 1.1, replaced by setMultipleMode(boolean).

Note: setMultipleSelections has been deprecated. As of JDK version 1.1, replaced by setMultipleMode(boolean).

No documentation supplied in JDK

Applies to

 List [java.awt]


multiplier property [java.text.DecimalFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      multiplier property [java.text.DecimalFormat]

public int getMultiplier( )

Get the multiplier for use in percent, permill, etc. For a percentage, set the suffixes to have "%" and the multiplier to be 100. (For Arabic, use arabic percent symbol). For a permill, set the suffixes to have "\u2031" and the multiplier to be 1000.

Examples: with 100, 1.23 -> "123", and "123" -> 1.23

Return

No documentation supplied in JDK.

public void setMultiplier( int newValue )

Set the multiplier for use in percent, permill, etc. For a percentage, set the suffixes to have "%" and the multiplier to be 100. (For Arabic, use arabic percent symbol). For a permill, set the suffixes to have "\u2031" and the multiplier to be 1000.

Examples: with 100, 1.23 -> "123", and "123" -> 1.23

Applies to

 DecimalFormat [java.text]


multiply method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      multiply method [java.math.BigDecimal]

public java.math.BigDecimal multiply( java.math.BigDecimal val )

Returns a BigDecimal whose value is (this * val), and whose scale is this.scale() + val.scale.

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


multiply method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     M
      multiply method [java.math.BigInteger]

public java.math.BigInteger multiply( java.math.BigInteger val )

Returns a BigInteger whose value is (this * val).

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


N  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    N

 name property [java.awt.Component]

 name property [java.awt.datatransfer.Clipboard]

 name property [java.awt.Font]

 name property [java.awt.MenuComponent]

 name property [java.beans.FeatureDescriptor]

 name property [java.io.File]

 name property [java.io.ObjectStreamClass]

 name property [java.lang.Class]

 name property [java.lang.reflect.Constructor]

 name property [java.lang.reflect.Field]

 name property [java.lang.reflect.Method]

 name property [java.lang.Thread]

 name property [java.lang.ThreadGroup]

 name property [java.security.Identity]

 name property [java.security.Provider]

 name property [java.util.zip.ZipEntry]

 name property [java.util.zip.ZipFile]

 Naming class [java.rmi]

 naN property [java.lang.Double]

 naN property [java.lang.Float]

 naN property [java.text.DecimalFormatSymbols]

 nanos property [java.sql.Timestamp]

 needsDictionary method [java.util.zip.Inflater]

 needsInput method [java.util.zip.Deflater]

 needsInput method [java.util.zip.Inflater]

 negate method [java.math.BigDecimal]

 negate method [java.math.BigInteger]

 NegativeArraySizeException class [java.lang]

 negativePrefix property [java.text.DecimalFormat]

 negativeSuffix property [java.text.DecimalFormat]

 newInstance method [java.lang.Class]

 newInstance method [java.lang.reflect.Array]

 newInstance method [java.lang.reflect.Constructor]

 newLine method [java.io.BufferedWriter]

 newPixels method [java.awt.image.MemoryImageSource]

 newValue property [java.beans.PropertyChangeEvent]

 next method [java.awt.CardLayout]

 next method [java.security.SecureRandom]

 next method [java.text.BreakIterator]

 next method [java.text.CollationElementIterator]

 next method [java.text.StringCharacterIterator]

 next method [java.util.Random]

 nextBytes method [java.security.SecureRandom]

 nextBytes method [java.util.Random]

 nextDouble method [java.text.ChoiceFormat]

 nextDouble method [java.util.Random]

 nextElement method [java.util.StringTokenizer]

 nextEntry property [java.util.zip.ZipInputStream]

 nextEvent property [java.awt.EventQueue]

 nextException property [java.sql.SQLException]

 nextFloat method [java.util.Random]

 nextFocus method [java.awt.Component]

 nextGaussian method [java.util.Random]

 nextInt method [java.util.Random]

 nextLong method [java.util.Random]

 nextToken method [java.io.StreamTokenizer]

 nextToken method [java.util.StringTokenizer]

 nextWarning property [java.sql.SQLWarning]

 NoClassDefFoundError class [java.lang]

 normalizeMimeType method [java.awt.datatransfer.DataFlavor]

 normalizeMimeTypeParameter method [java.awt.datatransfer.DataFlavor]

 NoRouteToHostException class [java.net]

 NoSuchAlgorithmException class [java.security]

 NoSuchElementException class [java.util]

 NoSuchFieldError class [java.lang]

 NoSuchFieldException class [java.lang]

 NoSuchMethodError class [java.lang]

 NoSuchMethodException class [java.lang]

 NoSuchObjectException class [java.rmi]

 NoSuchProviderException class [java.security]

 not method [java.math.BigInteger]

 NotActiveException class [java.io]

 NotBoundException class [java.rmi]

 notify method [java.lang.Object]

 notifyAll method [java.lang.Object]

 notifyObservers method [java.util.Observable]

 NotOwnerException class [java.security.acl]

 NotSerializableException class [java.io]

 NullPointerException class [java.lang]

 Number class [java.lang]

 NumberFormat class [java.text]

 numberFormat property [java.text.DateFormat]

 NumberFormatException class [java.lang]

 numberInstance property [java.text.NumberFormat]


name property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      name property [java.awt.Component]

public java.lang.String getName( )

Gets the name of the component.

Return

This component's name.

public void setName( java.lang.String name )

Sets the name of the component to the specified string.

Parameter

name

The string that is to be this component's name.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


name property [java.awt.datatransfer.Clipboard] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      name property [java.awt.datatransfer.Clipboard]

public java.lang.String getName( )

Returns the name of this clipboard object.

Return

No documentation supplied in JDK.

Applies to

 Clipboard [java.awt.datatransfer]


name property [java.awt.Font] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      name property [java.awt.Font]

public java.lang.String getName( )

Gets the logical name of the font.

Return

A string, the logical name of the font.

See also

family property [java.awt.Font]

Applies to

 Font [java.awt]


name property [java.awt.MenuComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      name property [java.awt.MenuComponent]

public java.lang.String getName( )

Gets the name of the menu component.

Return

The name of the menu component.

public void setName( java.lang.String name )

Sets the name of the component to the specified string.

Parameter

name

the name of the menu component.

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuBar [java.awt]

 MenuComponent [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


name property [java.beans.FeatureDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      name property [java.beans.FeatureDescriptor]

public java.lang.String getName( )

No documentation supplied in JDK

Return

The programmatic name of the property/method/event.

public void setName( java.lang.String name )

No documentation supplied in JDK

Parameter

name

The programmatic name of the property/method/event

Applies to

 BeanDescriptor [java.beans]

 EventSetDescriptor [java.beans]

 FeatureDescriptor [java.beans]

 IndexedPropertyDescriptor [java.beans]

 MethodDescriptor [java.beans]

 ParameterDescriptor [java.beans]

 PropertyDescriptor [java.beans]


name property [java.io.File] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      name property [java.io.File]

public java.lang.String getName( )

Returns the name of the file represented by this object. The name is everything in the pathame after the last occurrence of the separator character.

Return

The name of the file (without any directory components) represented by this File object.

See also

path property [java.io.File]

Applies to

 File [java.io]


name property [java.io.ObjectStreamClass] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      name property [java.io.ObjectStreamClass]

public java.lang.String getName( )

The name of the class described by this descriptor.

Return

No documentation supplied in JDK.

Applies to

 ObjectStreamClass [java.io]


name property [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      name property [java.lang.Class]

public native java.lang.String getName( )

Returns the fully-qualified name of the type (class, interface, array, or primitive) represented by this Class object, as a String.

Return

The fully qualified name of the class or interface represented by this object.

Applies to

 Class [java.lang]


name property [java.lang.reflect.Constructor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      name property [java.lang.reflect.Constructor]

public java.lang.String getName( )

Returns the name of this constructor, as a string.  This is always the same as the name of the constructor's declaring class.

Return

No documentation supplied in JDK.

Applies to

 Constructor [java.lang.reflect]


name property [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      name property [java.lang.reflect.Field]

public java.lang.String getName( )

Returns the name of the field represented by this Field object.

Return

No documentation supplied in JDK.

Applies to

 Field [java.lang.reflect]


name property [java.lang.reflect.Method] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      name property [java.lang.reflect.Method]

public java.lang.String getName( )

Returns the name of the method represented by this Method object, as a String.

Return

No documentation supplied in JDK.

Applies to

 Method [java.lang.reflect]


name property [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      name property [java.lang.Thread]

public final java.lang.String getName( )

Returns this thread's name.

Return

This thread's name.

public final void setName( java.lang.String name )

Changes the name of this thread to be equal to the argument name.

First the checkAccess method of this thread is called with no arguments. This may result in throwing a SecurityException.

Parameter

name

the new name for this thread.

Throws

SecurityException

If the current thread cannot modify this thread.

See also

checkAccess method [java.lang.Thread]

Applies to

 Thread [java.lang]


name property [java.lang.ThreadGroup] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      name property [java.lang.ThreadGroup]

public final java.lang.String getName( )

Returns the name of this thread group.

Return

The name of this thread group.

Applies to

 ThreadGroup [java.lang]


name property [java.security.Identity] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      name property [java.security.Identity]

public final java.lang.String getName( )

Returns this identity's name.

Return

The name of this identity.

Applies to

 Identity [java.security]

 IdentityScope [java.security]

 Signer [java.security]


name property [java.security.Provider] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      name property [java.security.Provider]

public java.lang.String getName( )

Returns the name of this provider.

Return

The name of this provider.

Applies to

 Provider [java.security]


name property [java.util.zip.ZipEntry] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      name property [java.util.zip.ZipEntry]

public java.lang.String getName( )

Returns the name of the entry.

Return

No documentation supplied in JDK.

Applies to

 ZipEntry [java.util.zip]


name property [java.util.zip.ZipFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      name property [java.util.zip.ZipFile]

public java.lang.String getName( )

Returns the path name of the ZIP file.

Return

No documentation supplied in JDK.

Applies to

 ZipFile [java.util.zip]


Naming class [java.rmi] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      Naming class [java.rmi]

Object

Naming

Description

This is the bootstrap mechanism for obtaining references to remote objects based on Uniform Resource Locator (URL) syntax.  The URL for a remote object is specified using the usual host, port and name:
rmi://host:port/name
host = host name of registry  (defaults to current host)
port = port number of registry (defaults to the registry port number)
 name = name for remote object

Specification

public final class Naming extends java.lang.Object

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  static void bind( java.lang.String name, java.rmi.Remote obj ) throws java.rmi.AlreadyBoundException, java.net.MalformedURLException, java.rmi.UnknownHostException, java.rmi.RemoteException

  static java.lang.String[] list( java.lang.String name ) throws java.rmi.RemoteException, java.net.MalformedURLException, java.rmi.UnknownHostException

  static java.rmi.Remote lookup( java.lang.String name ) throws java.rmi.NotBoundException, java.net.MalformedURLException, java.rmi.UnknownHostException, java.rmi.RemoteException

  static void rebind( java.lang.String name, java.rmi.Remote obj ) throws java.rmi.RemoteException, java.net.MalformedURLException, java.rmi.UnknownHostException

  static void unbind( java.lang.String name ) throws java.rmi.RemoteException, java.rmi.NotBoundException, java.net.MalformedURLException, java.rmi.UnknownHostException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


naN property [java.lang.Double] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      naN property [java.lang.Double]

public boolean isNaN( )

Returns true if this Double value is the special Not-a-Number (NaN) value.

Return

true if the value represented by this object is NaN; false otherwise.

Applies to

 Double [java.lang]


naN property [java.lang.Float] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      naN property [java.lang.Float]

public boolean isNaN( )

Returns true if this Float value is Not-a-Number (NaN).

Return

true if the value represented by this object is NaN; false otherwise.

Applies to

 Float [java.lang]


naN property [java.text.DecimalFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      naN property [java.text.DecimalFormatSymbols]

public java.lang.String getNaN( )

character used to represent NaN. Almost always left unchanged.

Return

No documentation supplied in JDK.

public void setNaN( java.lang.String NaN )

Applies to

 DecimalFormatSymbols [java.text]


nanos property [java.sql.Timestamp] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      nanos property [java.sql.Timestamp]

public int getNanos( )

Get the Timestamp's nanos value

Return

The Timestamp's fractional seconds component.

public void setNanos( int n )

Set the Timestamp's nanos value

Parameter

n

the new fractional seconds component

Applies to

 Timestamp [java.sql]


needsDictionary method [java.util.zip.Inflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      needsDictionary method [java.util.zip.Inflater]

public synchronized boolean needsDictionary( )

Returns true if a preset dictionary is needed for decompression.

Return

No documentation supplied in JDK.

Applies to

 Inflater [java.util.zip]


needsInput method [java.util.zip.Deflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      needsInput method [java.util.zip.Deflater]

public boolean needsInput( )

Returns true if the input data buffer is empty and setInput() should be called in order to provide more input.

Return

No documentation supplied in JDK.

Applies to

 Deflater [java.util.zip]


needsInput method [java.util.zip.Inflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      needsInput method [java.util.zip.Inflater]

public synchronized boolean needsInput( )

Returns true if no data remains in the input buffer. This can be used to determine if #setInput should be called in order to provide more input.

Return

No documentation supplied in JDK.

Applies to

 Inflater [java.util.zip]


negate method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      negate method [java.math.BigDecimal]

public java.math.BigDecimal negate( )

Returns a BigDecimal whose value is -1 * this, and whose scale is this.scale().

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


negate method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      negate method [java.math.BigInteger]

public java.math.BigInteger negate( )

Returns a BigInteger whose value is (-1 * this).

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


NegativeArraySizeException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      NegativeArraySizeException class [java.lang]

Object

Throwable

Exception

RuntimeException

NegativeArraySizeException

Description

Thrown if an application tries to create an array with negative size.

Specification

public class NegativeArraySizeException extends java.lang.RuntimeException

Constructors

public NegativeArraySizeException( )

Constructs a NegativeArraySizeException with no detail message.

public NegativeArraySizeException( java.lang.String s )

Constructs a NegativeArraySizeException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


negativePrefix property [java.text.DecimalFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      negativePrefix property [java.text.DecimalFormat]

public java.lang.String getNegativePrefix( )

Get the negative prefix.

Examples: -123, ($123) (with negative suffix), sFr-123

Return

No documentation supplied in JDK.

public void setNegativePrefix( java.lang.String newValue )

Set the negative prefix.

Examples: -123, ($123) (with negative suffix), sFr-123

Applies to

 DecimalFormat [java.text]


negativeSuffix property [java.text.DecimalFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      negativeSuffix property [java.text.DecimalFormat]

public java.lang.String getNegativeSuffix( )

Get the negative suffix.

Examples: -123%, ($123) (with positive suffixes)

Return

No documentation supplied in JDK.

public void setNegativeSuffix( java.lang.String newValue )

Set the positive suffix.

Examples: 123%

Applies to

 DecimalFormat [java.text]


newInstance method [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      newInstance method [java.lang.Class]

public native java.lang.Object newInstance( ) throws java.lang.InstantiationException, java.lang.IllegalAccessException

Creates a new instance of a class.

Return

A newly allocated instance of the class represented by this object. This is done exactly as if by a new expression with an empty argument list.

Throws

IllegalAccessException

If the class or initializer is not accessible.

InstantiationException

If an application tries to instantiate an abstract class or an interface, or if the instantiation fails for some other reason.

Applies to

 Class [java.lang]


newInstance method [java.lang.reflect.Array] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      newInstance method [java.lang.reflect.Array]

Overloads:

 Object newInstance( Class componentType, int length )

 Object newInstance( Class componentType, int[] dimensions )

public static java.lang.Object newInstance( java.lang.Class componentType, int length ) throws java.lang.NegativeArraySizeException

Creates a new array with the specified component type and length. The effect is that of the equivalent array creation expression:

  new componentType[length]

Parameters

componentType

the Class object representing the component type of the new array

length

the length of the new array

Return

The new array.

Throws

NullPointerException

If the specified componentType parameter is null.

NegativeArraySizeException

If the specified length is negative.

public static java.lang.Object newInstance( java.lang.Class componentType, int[] dimensions ) throws java.lang.IllegalArgumentException, java.lang.NegativeArraySizeException

Creates a new array with the specified component type and dimensions.

The effect is that of the equivalent array creation expression:

  new componentType[dimensions[0]][dimensions[1]]...

Parameters

componentType

the Class object representing the component type of the new array

dimensions

an array of ints representing the dimensions of the new array

Return

The new array.

Throws

NullPointerException

If the specified componentType argument is null.

IllegalArgumentException

If the specified dimensions argument is a zero-dimensional array, or if the number of requested dimensions exceeds the limit on the number of array dimensions supported by the implementation (typically 255).

NegativeArraySizeException

If any of the components in the specified dimension argument is negative.

Applies to

 Array [java.lang.reflect]


newInstance method [java.lang.reflect.Constructor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      newInstance method [java.lang.reflect.Constructor]

public native java.lang.Object newInstance( java.lang.Object[] initargs ) throws java.lang.InstantiationException, java.lang.IllegalAccessException, java.lang.IllegalArgumentException, java.lang.reflect.InvocationTargetException

Uses the constructor represented by this Constructor object to create and initialize a new instance of the constructor's declaring class, with the specified initialization parameters. Individual parameters are automatically unwrapped to match primitive formal parameters, and both primitive and reference parameters are subject to widening conversions as necessary. Returns the newly created and initialized object.

Creation proceeds with the following steps, in order:

If the class that declares the underlying constructor represents an abstract class, the creation throws an InstantiationException.

If this Constructor object enforces Java language access control and the underlying constructor is inaccessible, the creation throws an IllegalAccessException.

If the number of actual parameters supplied via initargs is different from the number of formal parameters required by the underlying constructor, the creation throws an IllegalArgumentException.

A new instance of the constructor's declaring class is created, and its fields are initialized to their default initial values.

For each actual parameter in the supplied initargs array:

If the corresponding formal parameter has a primitive type, an unwrapping conversion is attempted to convert the object value to a value of the primitive type.  If this attempt fails, the creation throws an IllegalArgumentException.

If, after possible unwrapping, the parameter value cannot be converted to the corresponding formal parameter type by an identity or widening conversion, the creation throws an IllegalArgumentException.

Control transfers to the underlying constructor to initialize the new instance.  If the constructor completes abruptly by throwing an exception, the exception is placed in an InvocationTargetException and thrown in turn to the caller of newInstance.

If the constructor completes normally, returns the newly created and initialized instance.

Return

No documentation supplied in JDK.

Throws

IllegalAccessException

If the underlying constructor is inaccessible.

IllegalArgumentException

If the number of actual and formal parameters differ, or if an unwrapping conversion fails.

InstantiationException

If the class that declares the underlying constructor represents an abstract class.

InvocationTargetException

If the underlying constructor throws an exception.

Applies to

 Constructor [java.lang.reflect]


newLine method [java.io.BufferedWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      newLine method [java.io.BufferedWriter]

public void newLine( ) throws java.io.IOException

Write a line separator.  The line separator string is defined by the system property line.separator, and is not necessarily a single newline ('\n') character.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedWriter [java.io]


newPixels method [java.awt.image.MemoryImageSource] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      newPixels method [java.awt.image.MemoryImageSource]

Overloads:

 void newPixels( int x, int y, int w, int h )

 void newPixels( )

 void newPixels( byte[] newpix, ColorModel newmodel, int offset, int scansize )

 void newPixels( int[] newpix, ColorModel newmodel, int offset, int scansize )

 void newPixels( int x, int y, int w, int h, boolean framenotify )

public synchronized void newPixels( int x, int y, int w, int h )

Send a rectangular region of the buffer of pixels to any ImageConsumers that are currently interested in the data for this image and notify them that an animation frame is complete. This method only has effect if the animation flag has been turned on through the setAnimated() method. If the full buffer update flag was turned on with the setFullBufferUpdates() method then the rectangle parameters will be ignored and the entire buffer will always be sent.

Parameters

x

the x coordinate of the upper left corner of the rectangle of pixels to be sent

y

the y coordinate of the upper left corner of the rectangle of pixels to be sent

w

the width of the rectangle of pixels to be sent

h

the height of the rectangle of pixels to be sent

See also

ImageConsumer interface [java.awt.image]

animated property [java.awt.image.MemoryImageSource]

fullBufferUpdates property [java.awt.image.MemoryImageSource]

public void newPixels( )

Send a whole new buffer of pixels to any ImageConsumers that are currently interested in the data for this image and notify them that an animation frame is complete. This method only has effect if the animation flag has been turned on through the setAnimated() method.

See also

ImageConsumer interface [java.awt.image]

animated property [java.awt.image.MemoryImageSource]

public synchronized void newPixels( byte[] newpix, java.awt.image.ColorModel newmodel, int offset, int scansize )

Change to a new byte array to hold the pixels for this image. If the animation flag has been turned on through the setAnimated() method, then the new pixels will be immediately delivered to any ImageConsumers that are currently interested in the data for this image.

See also

animated property [java.awt.image.MemoryImageSource]

public synchronized void newPixels( int[] newpix, java.awt.image.ColorModel newmodel, int offset, int scansize )

Change to a new int array to hold the pixels for this image. If the animation flag has been turned on through the setAnimated() method, then the new pixels will be immediately delivered to any ImageConsumers that are currently interested in the data for this image.

See also

animated property [java.awt.image.MemoryImageSource]

public synchronized void newPixels( int x, int y, int w, int h, boolean framenotify )

Send a rectangular region of the buffer of pixels to any ImageConsumers that are currently interested in the data for this image. If the framenotify parameter is true then the consumers are also notified that an animation frame is complete. This method only has effect if the animation flag has been turned on through the setAnimated() method. If the full buffer update flag was turned on with the setFullBufferUpdates() method then the rectangle parameters will be ignored and the entire buffer will always be sent.

Parameters

x

the x coordinate of the upper left corner of the rectangle of pixels to be sent

y

the y coordinate of the upper left corner of the rectangle of pixels to be sent

w

the width of the rectangle of pixels to be sent

h

the height of the rectangle of pixels to be sent

framenotify

true if the consumers should be sent a SINGLEFRAMEDONE notification

See also

ImageConsumer interface [java.awt.image]

animated property [java.awt.image.MemoryImageSource]

fullBufferUpdates property [java.awt.image.MemoryImageSource]

Applies to

 MemoryImageSource [java.awt.image]


newValue property [java.beans.PropertyChangeEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      newValue property [java.beans.PropertyChangeEvent]

public java.lang.Object getNewValue( )

No documentation supplied in JDK

Return

The new value for the property, expressed as an Object. May be null if multiple properties have changed.

Applies to

 PropertyChangeEvent [java.beans]


next method [java.awt.CardLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      next method [java.awt.CardLayout]

public void next( java.awt.Container parent )

Flips to the next card of the specified container. If the currently visible card is the last one, this method flips to the first card in the layout.

Parameter

parent

the name of the parent container in which to do the layout.

See also

previous method [java.awt.CardLayout]

Applies to

 CardLayout [java.awt]


next method [java.security.SecureRandom] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      next method [java.security.SecureRandom]

Overloads:

 int next( int numBits ) overrides next method [java.util.Random]

protected final int next( int numBits )

Generates an integer containing the user-specified number of pseudo-random bits (right justified, with leading zeros).  This method overrides a java.util.Random method, and serves to provide a source of random bits to all of the methods inherited from that class (for example, nextInt, nextLong, and nextFloat).

Parameter

numBits

number of pseudo-random bits to be generated, where 0 <= numBits <= 32.

Return

No documentation supplied in JDK.

Applies to

 SecureRandom [java.security]


next method [java.text.BreakIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      next method [java.text.BreakIterator]

Overloads:

 int next( )

 int next( int n )

public abstract int next( )

Return the boundary following the current boundary.

Return

The character index of the next text boundary or DONE if all boundaries have been returned.  Equivalent to next(1).

public abstract int next( int n )

Return the nth boundary from the current boundary

Parameter

n

which boundary to return. A value of 0 does nothing.  Negative values move to previous boundaries and positive values move to later boundaries.

Return

The index of the nth boundary from the current position.

Applies to

 BreakIterator [java.text]


next method [java.text.CollationElementIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      next method [java.text.CollationElementIterator]

public int next( )

Get the ordering priority of the next character in the string.

Return

The next character's ordering.  Returns NULLORDER if the end of string is reached.

Applies to

 CollationElementIterator [java.text]


next method [java.text.StringCharacterIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      next method [java.text.StringCharacterIterator]

public char next( )

Increment the iterator's index by one and return the character at the new index.  If the resulting index is greater or equal to getEndIndex(), the current index is reset to getEndIndex() and a value of DONE is returned.

Return

The character at the new position or DONE if the current position is off the end of the text.

Applies to

 StringCharacterIterator [java.text]


next method [java.util.Random] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      next method [java.util.Random]

protected synchronized int next( int bits )

Generates the next pseudorandom number. Subclass should override this, as this is used by all other methods.

Parameter

bits

random bits

Return

The next pseudorandom value from this random number generator's sequence.

Applies to

 Random [java.util]

 SecureRandom [java.security]


nextBytes method [java.security.SecureRandom] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      nextBytes method [java.security.SecureRandom]

Overloads:

 void nextBytes( byte[] result ) overrides nextBytes method [java.util.Random]

public synchronized void nextBytes( byte[] result )

Generates a user-specified number of random bytes.  This method is used as the basis of all random entities returned by this class (except seed bytes).  Thus, it may be overridden to change the behavior of the class.

Parameter

bytes

the array to be filled in with random bytes.

Applies to

 SecureRandom [java.security]


nextBytes method [java.util.Random] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      nextBytes method [java.util.Random]

public void nextBytes( byte[] bytes )

Generates a user specified number of random bytes.

Applies to

 Random [java.util]

 SecureRandom [java.security]


nextDouble method [java.text.ChoiceFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      nextDouble method [java.text.ChoiceFormat]

Overloads:

 double nextDouble( double d )

 double nextDouble( double d, boolean positive )

public static final double nextDouble( double d )

Finds the least double greater than d. If NaN, returns same value.

Used to make half-open intervals.

Return

No documentation supplied in JDK.

See also

previousDouble method [java.text.ChoiceFormat]

public static double nextDouble( double d, boolean positive )

Applies to

 ChoiceFormat [java.text]


nextDouble method [java.util.Random] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      nextDouble method [java.util.Random]

public double nextDouble( )

Returns the next pseudorandom, uniformly distributed double value between 0.0 and 1.0 from this random number generator's sequence.

Return

The next pseudorandom, uniformly distributed double value between 0.0 and 1.0 from this random number generator's sequence.

Applies to

 Random [java.util]

 SecureRandom [java.security]


nextElement method [java.util.StringTokenizer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      nextElement method [java.util.StringTokenizer]

public java.lang.Object nextElement( )

Returns the same value as the nextToken method, except that its declared return value is Object rather than String. It exists so that this class can implement the Enumeration interface.

Return

The next token in the string.

Throws

NoSuchElementException

If there are no more tokens in this tokenizer's string.

See also

Enumeration interface [java.util]

nextToken method [java.util.StringTokenizer]

Applies to

 StringTokenizer [java.util]


nextEntry property [java.util.zip.ZipInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      nextEntry property [java.util.zip.ZipInputStream]

public java.util.zip.ZipEntry getNextEntry( ) throws java.io.IOException

Reads the next ZIP file entry and positions stream at the beginning of the entry data.

Return

No documentation supplied in JDK.

Throws

ZipException

If a ZIP file error has occurred.

IOException

If an I/O error has occurred.

Applies to

 ZipInputStream [java.util.zip]


nextEvent property [java.awt.EventQueue] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      nextEvent property [java.awt.EventQueue]

public synchronized java.awt.AWTEvent getNextEvent( ) throws java.lang.InterruptedException

Remove an event from the queue and return it.  This method will block until an event has been posted by another thread.

Return

The next AWTEvent.

Throws

InterruptedException

If another thread has interrupted this thread.

Applies to

 EventQueue [java.awt]


nextException property [java.sql.SQLException] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      nextException property [java.sql.SQLException]

public java.sql.SQLException getNextException( )

Get the exception chained to this one.

Return

The next SQLException in the chain, null if none.

public synchronized void setNextException( java.sql.SQLException ex )

Add an SQLException to the end of the chain.

Parameter

ex

the new end of the SQLException chain

Applies to

 DataTruncation [java.sql]

 SQLException [java.sql]

 SQLWarning [java.sql]


nextFloat method [java.util.Random] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      nextFloat method [java.util.Random]

public float nextFloat( )

Returns the next pseudorandom, uniformly distributed float value between 0.0 and 1.0 from this random number generator's sequence.

Return

The next pseudorandom, uniformly distributed float value between 0.0 and 1.0 from this random number generator's sequence.

Applies to

 Random [java.util]

 SecureRandom [java.security]


nextFocus method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      nextFocus method [java.awt.Component]

public void nextFocus( )

Note: nextFocus has been deprecated. As of JDK version 1.1, replaced by transferFocus().

No documentation supplied in JDK

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


nextGaussian method [java.util.Random] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      nextGaussian method [java.util.Random]

public synchronized double nextGaussian( )

Returns the next pseudorandom, Gaussian ("normally") distributed double value with mean 0.0 and standard deviation 1.0 from this random number generator's sequence.

Return

The next pseudorandom, Gaussian ("normally") distributed double value with mean 0.0 and standard deviation 1.0 from this random number generator's sequence.

Applies to

 Random [java.util]

 SecureRandom [java.security]


nextInt method [java.util.Random] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      nextInt method [java.util.Random]

public int nextInt( )

Returns the next pseudorandom, uniformly distributed int value from this random number generator's sequence.

Return

The next pseudorandom, uniformly distributed int value from this random number generator's sequence.

Applies to

 Random [java.util]

 SecureRandom [java.security]


nextLong method [java.util.Random] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      nextLong method [java.util.Random]

public long nextLong( )

Returns the next pseudorandom, uniformly distributed long value from this random number generator's sequence.

Return

The next pseudorandom, uniformly distributed long value from this random number generator's sequence.

Applies to

 Random [java.util]

 SecureRandom [java.security]


nextToken method [java.io.StreamTokenizer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      nextToken method [java.io.StreamTokenizer]

public int nextToken( ) throws java.io.IOException

Parses the next token from the input stream of this tokenizer. The type of the next token is returned in the ttype field. Additional information about the token may be in the nval field or the sval field of this tokenizer.

Typical clients of this class first set up the syntax tables and then sit in a loop calling nextToken to parse successive tokens until TT_EOF is returned.

Return

The value of the ttype field.

Throws

IOException

If an I/O error occurs.

Applies to

 StreamTokenizer [java.io]


nextToken method [java.util.StringTokenizer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      nextToken method [java.util.StringTokenizer]

Overloads:

 String nextToken( String delim )

 String nextToken( )

public java.lang.String nextToken( java.lang.String delim )

Returns the next token in this string tokenizer's string. The new delimiter set remains the default after this call.

Parameter

delim

the new delimiters.

Return

The next token, after switching to the new delimiter set.

Throws

NoSuchElementException

If there are no more tokens in this tokenizer's string.

public java.lang.String nextToken( )

Returns the next token from this string tokenizer.

Return

The next token from this string tokenizer.

Throws

NoSuchElementException

If there are no more tokens in this tokenizer's string.

Applies to

 StringTokenizer [java.util]


nextWarning property [java.sql.SQLWarning] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      nextWarning property [java.sql.SQLWarning]

public java.sql.SQLWarning getNextWarning( )

Get the warning chained to this one

Return

The next SQLException in the chain, null if none.

public void setNextWarning( java.sql.SQLWarning w )

Add an SQLWarning to the end of the chain.

Parameter

w

the new end of the SQLException chain

Applies to

 DataTruncation [java.sql]

 SQLWarning [java.sql]


NoClassDefFoundError class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      NoClassDefFoundError class [java.lang]

Object

Throwable

Error

LinkageError

NoClassDefFoundError

Description

Thrown if the Java Virtual Machine or a classloader tries to load in the definition of a class (as part of a normal method call or as part of creating a new instance using the new expression) and no definition of the class could be found.

The searched-for class definition existed when the currently executing class was compiled, but the definition can no longer be found.

Specification

public class NoClassDefFoundError extends java.lang.LinkageError

Constructors

public NoClassDefFoundError( )

Constructs a NoClassDefFoundError with no detail message.

public NoClassDefFoundError( java.lang.String s )

Constructs a NoClassDefFoundError with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


normalizeMimeType method [java.awt.datatransfer.DataFlavor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      normalizeMimeType method [java.awt.datatransfer.DataFlavor]

protected java.lang.String normalizeMimeType( java.lang.String mimeType )

Called for each MIME type string to give DataFlavor subtypes the opportunity to change how the normalization of MIME types is accomplished. One possible use would be to add default parameter/value pairs in cases where none are present in the MIME type string passed in

Return

No documentation supplied in JDK.

Applies to

 DataFlavor [java.awt.datatransfer]


normalizeMimeTypeParameter method [java.awt.datatransfer.DataFlavor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      normalizeMimeTypeParameter method [java.awt.datatransfer.DataFlavor]

protected java.lang.String normalizeMimeTypeParameter( java.lang.String parameterName, java.lang.String parameterValue )

Called on DataFlavor for every MIME Type parameter to allow DataFlavor subclasses to handle special parameters like the text/plain charset parameters, whose values are case insensitive.  (MIME type parameter values are supposed to be case sensitive.

This method is called for each parameter name/value pair and should return the normalized representation of the parameterValue

Return

No documentation supplied in JDK.

Applies to

 DataFlavor [java.awt.datatransfer]


NoRouteToHostException class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      NoRouteToHostException class [java.net]

Object

Throwable

Exception

IOException

SocketException

NoRouteToHostException

Description

Signals that an error occurred while attempting to connect a socket to a remote address and port.  Typically, the remote host cannot be reached because of an intervening firewall, or if an intermediate router is down.

Specification

public class NoRouteToHostException extends java.net.SocketException

Constructors

public NoRouteToHostException( )

Construct a new NoRouteToHostException with no detailed message.

public NoRouteToHostException( java.lang.String msg )

Constructs a new NoRouteToHostException with the specified detail message as to why the remote host cannot be reached. A detail message is a String that gives a specific description of this error.

Parameter

msg

the detail message

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


NoSuchAlgorithmException class [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      NoSuchAlgorithmException class [java.security]

Object

Throwable

Exception

NoSuchAlgorithmException

Description

This exception is thrown when a particular cryptographic algorithm is requested but is not available in the environment.

Specification

public class NoSuchAlgorithmException extends java.lang.Exception

Constructors

public NoSuchAlgorithmException( )

Constructs a NoSuchAlgorithmException with no detail message. A detail message is a String that describes this particular exception.

public NoSuchAlgorithmException( java.lang.String msg )

Constructs a NoSuchAlgorithmException with the specified detail message. A detail message is a String that describes this particular exception, which may, for example, specify which algorithm is not available.

Parameter

msg

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


NoSuchElementException class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      NoSuchElementException class [java.util]

Object

Throwable

Exception

RuntimeException

NoSuchElementException

Description

Thrown by the nextElement method of an Enumeration to indicate that there are no more elements in the enumeration.

Specification

public class NoSuchElementException extends java.lang.RuntimeException

Constructors

public NoSuchElementException( )

Constructs a NoSuchElementException with no detail message.

public NoSuchElementException( java.lang.String s )

Constructs a NoSuchElementException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Enumeration interface [java.util]


NoSuchFieldError class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      NoSuchFieldError class [java.lang]

Object

Throwable

Error

LinkageError

IncompatibleClassChangeError

NoSuchFieldError

Description

Thrown if an application tries to access or modify a specified field of an object, and that object no longer has that field.

Normally, this error is caught by the compiler; this error can only occur at run time if the definition of a class has incompatibly changed.

Specification

public class NoSuchFieldError extends java.lang.IncompatibleClassChangeError

Constructors

public NoSuchFieldError( )

Constructs a NoSuchFieldException with no detail  message.

public NoSuchFieldError( java.lang.String s )

Constructs a NoSuchFieldException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


NoSuchFieldException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      NoSuchFieldException class [java.lang]

Object

Throwable

Exception

NoSuchFieldException

Description

Signals that the class doesn't have a field of a specified name.

Specification

public class NoSuchFieldException extends java.lang.Exception

Constructors

public NoSuchFieldException( )

Constructor.

public NoSuchFieldException( java.lang.String s )

Constructor with a detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


NoSuchMethodError class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      NoSuchMethodError class [java.lang]

Object

Throwable

Error

LinkageError

IncompatibleClassChangeError

NoSuchMethodError

Description

Thrown if an application tries to call a specified method of a class (either static or instance), and that class no longer has a definition of that method.

Normally, this error is caught by the compiler; this error can only occur at run time if the definition of a class has incompatibly changed.

Specification

public class NoSuchMethodError extends java.lang.IncompatibleClassChangeError

Constructors

public NoSuchMethodError( )

public NoSuchMethodError( java.lang.String s )

Constructs a NoSuchMethodException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


NoSuchMethodException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      NoSuchMethodException class [java.lang]

Object

Throwable

Exception

NoSuchMethodException

Description

Thrown when a particular method cannot be found.

Specification

public class NoSuchMethodException extends java.lang.Exception

Constructors

public NoSuchMethodException( )

Constructs a NoSuchMethodException without a detail message.

public NoSuchMethodException( java.lang.String s )

Constructs a NoSuchMethodException with a detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


NoSuchObjectException class [java.rmi] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      NoSuchObjectException class [java.rmi]

Object

Throwable

Exception

IOException

RemoteException

NoSuchObjectException

Specification

public class NoSuchObjectException extends java.rmi.RemoteException

Constructor

public NoSuchObjectException( java.lang.String s )

Create a new NoSuchObjectException with a description.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


NoSuchProviderException class [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      NoSuchProviderException class [java.security]

Object

Throwable

Exception

NoSuchProviderException

Description

This exception is thrown when a particular security provider is requested but is not available in the environment.

Specification

public class NoSuchProviderException extends java.lang.Exception

Constructors

public NoSuchProviderException( )

Constructs a NoSuchProviderException with no detail message. A detail message is a String that describes this particular exception.

public NoSuchProviderException( java.lang.String msg )

Constructs a NoSuchProviderException with the specified detail message. A detail message is a String that describes this particular exception.

Parameter

msg

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


not method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      not method [java.math.BigInteger]

public java.math.BigInteger not( )

Returns a BigInteger whose value is (~this).  (This method returns a negative value iff this number is non-negative.)

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


NotActiveException class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      NotActiveException class [java.io]

Object

Throwable

Exception

IOException

ObjectStreamException

NotActiveException

Description

The NotActiveException is thrown when serialization or deserialization is not active.

Specification

public class NotActiveException extends java.io.ObjectStreamException

Constructors

public NotActiveException( )

Constructor to create a new NotActiveException with no reason.

public NotActiveException( java.lang.String reason )

Constructor to create a new NotActiveException with the reason given.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


NotBoundException class [java.rmi] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      NotBoundException class [java.rmi]

Object

Throwable

Exception

NotBoundException

Specification

public class NotBoundException extends java.lang.Exception

Constructors

public NotBoundException( )

public NotBoundException( java.lang.String s )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


notify method [java.lang.Object] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      notify method [java.lang.Object]

public native final void notify( )

Wakes up a single thread that is waiting on this object's monitor. A thread waits on an object's monitor by calling one of the wait methods.

This method should only be called by a thread that is the owner of this object's monitor. A thread becomes the owner of the object's monitor in one of three ways:

•	By executing a synchronized instance method of that object.

•	By executing the body of a synchronized statement that synchronizes on the object.

•	For objects of type Class, by executing a synchronized static method of that class.

Only one thread at a time can own an object's monitor.

Throws

IllegalMonitorStateException

If the current thread is not the owner of this object's monitor.

See also

notifyAll method [java.lang.Object]

wait method [java.lang.Object]

Applies to

 AbstractMethodError [java.lang]

 AccessException [java.rmi]

 AclNotFoundException [java.security.acl]

 ActionEvent [java.awt.event]

 AdjustmentEvent [java.awt.event]

 Adler32 [java.util.zip]

 AlreadyBoundException [java.rmi]

 Applet [java.applet]

 AreaAveragingScaleFilter [java.awt.image]

 ArithmeticException [java.lang]

 Array [java.lang.reflect]

 ArrayIndexOutOfBoundsException [java.lang]

 ArrayStoreException [java.lang]

 AWTError [java.awt]

 AWTEvent [java.awt]

 AWTEventMulticaster [java.awt]

 AWTException [java.awt]

 BeanDescriptor [java.beans]

 Beans [java.beans]

 BigDecimal [java.math]

 BigInteger [java.math]

 BindException [java.net]

 BitSet [java.util]

 Boolean [java.lang]

 BorderLayout [java.awt]

 BreakIterator [java.text]

 BufferedInputStream [java.io]

 BufferedOutputStream [java.io]

 BufferedReader [java.io]

 BufferedWriter [java.io]

 Button [java.awt]

 Byte [java.lang]

 ByteArrayInputStream [java.io]

 ByteArrayOutputStream [java.io]

 Calendar [java.util]

 Canvas [java.awt]

 CardLayout [java.awt]

 Character [java.lang]

 CharArrayReader [java.io]

 CharArrayWriter [java.io]

 CharConversionException [java.io]

 Checkbox [java.awt]

 CheckboxGroup [java.awt]

 CheckboxMenuItem [java.awt]

 CheckedInputStream [java.util.zip]

 CheckedOutputStream [java.util.zip]

 Choice [java.awt]

 ChoiceFormat [java.text]

 Class [java.lang]

 ClassCastException [java.lang]

 ClassCircularityError [java.lang]

 ClassFormatError [java.lang]

 ClassLoader [java.lang]

 ClassNotFoundException [java.lang]

 Clipboard [java.awt.datatransfer]

 CloneNotSupportedException [java.lang]

 CollationElementIterator [java.text]

 CollationKey [java.text]

 Collator [java.text]

 Color [java.awt]

 ColorModel [java.awt.image]

 Compiler [java.lang]

 Component [java.awt]

 ComponentAdapter [java.awt.event]

 ComponentEvent [java.awt.event]

 ConnectException [java.net]

 ConnectException [java.rmi]

 ConnectIOException [java.rmi]

 Constructor [java.lang.reflect]

 Container [java.awt]

 ContainerAdapter [java.awt.event]

 ContainerEvent [java.awt.event]

 ContentHandler [java.net]

 CRC32 [java.util.zip]

 CropImageFilter [java.awt.image]

 Cursor [java.awt]

 DataFlavor [java.awt.datatransfer]

 DataFormatException [java.util.zip]

 DatagramPacket [java.net]

 DatagramSocket [java.net]

 DatagramSocketImpl [java.net]

 DataInputStream [java.io]

 DataOutputStream [java.io]

 DataTruncation [java.sql]

 Date [java.sql]

 Date [java.util]

 DateFormat [java.text]

 DateFormatSymbols [java.text]

 DateFormatZoneData [java.text.resources]

 DateFormatZoneData_ar [java.text.resources]

 DateFormatZoneData_be [java.text.resources]

 DateFormatZoneData_bg [java.text.resources]

 DateFormatZoneData_ca [java.text.resources]

 DateFormatZoneData_cs [java.text.resources]

 DateFormatZoneData_da [java.text.resources]

 DateFormatZoneData_de [java.text.resources]

 DateFormatZoneData_de_AT [java.text.resources]

 DateFormatZoneData_de_CH [java.text.resources]

 DateFormatZoneData_el [java.text.resources]

 DateFormatZoneData_en [java.text.resources]

 DateFormatZoneData_en_CA [java.text.resources]

 DateFormatZoneData_en_GB [java.text.resources]

 DateFormatZoneData_en_IE [java.text.resources]

 DateFormatZoneData_es [java.text.resources]

 DateFormatZoneData_et [java.text.resources]

 DateFormatZoneData_fi [java.text.resources]

 DateFormatZoneData_fr [java.text.resources]

 DateFormatZoneData_fr_BE [java.text.resources]

 DateFormatZoneData_fr_CA [java.text.resources]

 DateFormatZoneData_fr_CH [java.text.resources]

 DateFormatZoneData_hr [java.text.resources]

 DateFormatZoneData_hu [java.text.resources]

 DateFormatZoneData_is [java.text.resources]

 DateFormatZoneData_it [java.text.resources]

 DateFormatZoneData_it_CH [java.text.resources]

 DateFormatZoneData_iw [java.text.resources]

 DateFormatZoneData_ja [java.text.resources]

 DateFormatZoneData_ko [java.text.resources]

 DateFormatZoneData_lt [java.text.resources]

 DateFormatZoneData_lv [java.text.resources]

 DateFormatZoneData_mk [java.text.resources]

 DateFormatZoneData_nl [java.text.resources]

 DateFormatZoneData_nl_BE [java.text.resources]

 DateFormatZoneData_no [java.text.resources]

 DateFormatZoneData_no_NO_NY [java.text.resources]

 DateFormatZoneData_pl [java.text.resources]

 DateFormatZoneData_pt [java.text.resources]

 DateFormatZoneData_ro [java.text.resources]

 DateFormatZoneData_ru [java.text.resources]

 DateFormatZoneData_sh [java.text.resources]

 DateFormatZoneData_sk [java.text.resources]

 DateFormatZoneData_sl [java.text.resources]

 DateFormatZoneData_sq [java.text.resources]

 DateFormatZoneData_sr [java.text.resources]

 DateFormatZoneData_sv [java.text.resources]

 DateFormatZoneData_th [java.text.resources]

 DateFormatZoneData_tr [java.text.resources]

 DateFormatZoneData_uk [java.text.resources]

 DateFormatZoneData_zh [java.text.resources]

 DateFormatZoneData_zh_TW [java.text.resources]

 DecimalFormat [java.text]

 DecimalFormatSymbols [java.text]

 Deflater [java.util.zip]

 DeflaterOutputStream [java.util.zip]

 Dialog [java.awt]

 Dictionary [java.util]

 DigestException [java.security]

 DigestInputStream [java.security]

 DigestOutputStream [java.security]

 Dimension [java.awt]

 DirectColorModel [java.awt.image]

 Double [java.lang]

 DriverManager [java.sql]

 DriverPropertyInfo [java.sql]

 EmptyStackException [java.util]

 EOFException [java.io]

 Error [java.lang]

 Event [java.awt]

 EventObject [java.util]

 EventQueue [java.awt]

 EventSetDescriptor [java.beans]

 Exception [java.lang]

 ExceptionInInitializerError [java.lang]

 ExportException [java.rmi.server]

 FeatureDescriptor [java.beans]

 Field [java.lang.reflect]

 FieldPosition [java.text]

 File [java.io]

 FileDescriptor [java.io]

 FileDialog [java.awt]

 FileInputStream [java.io]

 FileNotFoundException [java.io]

 FileOutputStream [java.io]

 FileReader [java.io]

 FileWriter [java.io]

 FilteredImageSource [java.awt.image]

 FilterInputStream [java.io]

 FilterOutputStream [java.io]

 FilterReader [java.io]

 FilterWriter [java.io]

 Float [java.lang]

 FlowLayout [java.awt]

 FocusAdapter [java.awt.event]

 FocusEvent [java.awt.event]

 Font [java.awt]

 FontMetrics [java.awt]

 Format [java.text]

 Frame [java.awt]

 Graphics [java.awt]

 GregorianCalendar [java.util]

 GridBagConstraints [java.awt]

 GridBagLayout [java.awt]

 GridLayout [java.awt]

 GZIPInputStream [java.util.zip]

 GZIPOutputStream [java.util.zip]

 Hashtable [java.util]

 HttpURLConnection [java.net]

 Identity [java.security]

 IdentityScope [java.security]

 IllegalAccessError [java.lang]

 IllegalAccessException [java.lang]

 IllegalArgumentException [java.lang]

 IllegalComponentStateException [java.awt]

 IllegalMonitorStateException [java.lang]

 IllegalStateException [java.lang]

 IllegalThreadStateException [java.lang]

 Image [java.awt]

 ImageFilter [java.awt.image]

 IncompatibleClassChangeError [java.lang]

 IndexColorModel [java.awt.image]

 IndexedPropertyDescriptor [java.beans]

 IndexOutOfBoundsException [java.lang]

 InetAddress [java.net]

 Inflater [java.util.zip]

 InflaterInputStream [java.util.zip]

 InputEvent [java.awt.event]

 InputStream [java.io]

 InputStreamReader [java.io]

 Insets [java.awt]

 InstantiationError [java.lang]

 InstantiationException [java.lang]

 Integer [java.lang]

 InternalError [java.lang]

 InterruptedException [java.lang]

 InterruptedIOException [java.io]

 IntrospectionException [java.beans]

 Introspector [java.beans]

 InvalidClassException [java.io]

 InvalidKeyException [java.security]

 InvalidObjectException [java.io]

 InvalidParameterException [java.security]

 InvocationTargetException [java.lang.reflect]

 IOException [java.io]

 ItemEvent [java.awt.event]

 KeyAdapter [java.awt.event]

 KeyEvent [java.awt.event]

 KeyException [java.security]

 KeyManagementException [java.security]

 KeyPair [java.security]

 KeyPairGenerator [java.security]

 Label [java.awt]

 LastOwnerException [java.security.acl]

 Lease [java.rmi.dgc]

 LineNumberInputStream [java.io]

 LineNumberReader [java.io]

 LinkageError [java.lang]

 List [java.awt]

 ListResourceBundle [java.util]

 Locale [java.util]

 LocaleData [java.text.resources]

 LocaleElements [java.text.resources]

 LocaleElements_ar [java.text.resources]

 LocaleElements_be [java.text.resources]

 LocaleElements_bg [java.text.resources]

 LocaleElements_ca [java.text.resources]

 LocaleElements_cs [java.text.resources]

 LocaleElements_da [java.text.resources]

 LocaleElements_de [java.text.resources]

 LocaleElements_de_AT [java.text.resources]

 LocaleElements_de_AT_EURO [java.text.resources]

 LocaleElements_de_CH [java.text.resources]

 LocaleElements_de_DE_EURO [java.text.resources]

 LocaleElements_de_LU [java.text.resources]

 LocaleElements_de_LU_EURO [java.text.resources]

 LocaleElements_el [java.text.resources]

 LocaleElements_en [java.text.resources]

 LocaleElements_en_AU [java.text.resources]

 LocaleElements_en_CA [java.text.resources]

 LocaleElements_en_GB [java.text.resources]

 LocaleElements_en_IE [java.text.resources]

 LocaleElements_en_IE_EURO [java.text.resources]

 LocaleElements_en_NZ [java.text.resources]

 LocaleElements_en_ZA [java.text.resources]

 LocaleElements_es [java.text.resources]

 LocaleElements_es_AR [java.text.resources]

 LocaleElements_es_BO [java.text.resources]

 LocaleElements_es_CL [java.text.resources]

 LocaleElements_es_CO [java.text.resources]

 LocaleElements_es_CR [java.text.resources]

 LocaleElements_es_DO [java.text.resources]

 LocaleElements_es_EC [java.text.resources]

 LocaleElements_es_ES_EURO [java.text.resources]

 LocaleElements_es_GT [java.text.resources]

 LocaleElements_es_HN [java.text.resources]

 LocaleElements_es_MX [java.text.resources]

 LocaleElements_es_NI [java.text.resources]

 LocaleElements_es_PA [java.text.resources]

 LocaleElements_es_PE [java.text.resources]

 LocaleElements_es_PR [java.text.resources]

 LocaleElements_es_PY [java.text.resources]

 LocaleElements_es_SV [java.text.resources]

 LocaleElements_es_UY [java.text.resources]

 LocaleElements_es_VE [java.text.resources]

 LocaleElements_et [java.text.resources]

 LocaleElements_fi [java.text.resources]

 LocaleElements_fi_FI_EURO [java.text.resources]

 LocaleElements_fr [java.text.resources]

 LocaleElements_fr_BE [java.text.resources]

 LocaleElements_fr_BE_EURO [java.text.resources]

 LocaleElements_fr_CA [java.text.resources]

 LocaleElements_fr_CH [java.text.resources]

 LocaleElements_fr_FR_EURO [java.text.resources]

 LocaleElements_fr_LU [java.text.resources]

 LocaleElements_fr_LU_EURO [java.text.resources]

 LocaleElements_hr [java.text.resources]

 LocaleElements_hu [java.text.resources]

 LocaleElements_is [java.text.resources]

 LocaleElements_it [java.text.resources]

 LocaleElements_it_CH [java.text.resources]

 LocaleElements_it_IT_EURO [java.text.resources]

 LocaleElements_iw [java.text.resources]

 LocaleElements_ja [java.text.resources]

 LocaleElements_ko [java.text.resources]

 LocaleElements_lt [java.text.resources]

 LocaleElements_lv [java.text.resources]

 LocaleElements_mk [java.text.resources]

 LocaleElements_nl [java.text.resources]

 LocaleElements_nl_BE [java.text.resources]

 LocaleElements_nl_BE_EURO [java.text.resources]

 LocaleElements_nl_NL_EURO [java.text.resources]

 LocaleElements_no [java.text.resources]

 LocaleElements_no_NO_NY [java.text.resources]

 LocaleElements_pl [java.text.resources]

 LocaleElements_pt [java.text.resources]

 LocaleElements_pt_BR [java.text.resources]

 LocaleElements_pt_PT_EURO [java.text.resources]

 LocaleElements_ro [java.text.resources]

 LocaleElements_ru [java.text.resources]

 LocaleElements_sh [java.text.resources]

 LocaleElements_sk [java.text.resources]

 LocaleElements_sl [java.text.resources]

 LocaleElements_sq [java.text.resources]

 LocaleElements_sr [java.text.resources]

 LocaleElements_sv [java.text.resources]

 LocaleElements_th [java.text.resources]

 LocaleElements_tr [java.text.resources]

 LocaleElements_uk [java.text.resources]

 LocaleElements_zh [java.text.resources]

 LocaleElements_zh_TW [java.text.resources]

 LocateRegistry [java.rmi.registry]

 LogStream [java.rmi.server]

 Long [java.lang]

 MalformedURLException [java.net]

 MarshalException [java.rmi]

 Math [java.lang]

 MediaTracker [java.awt]

 MemoryImageSource [java.awt.image]

 Menu [java.awt]

 MenuBar [java.awt]

 MenuComponent [java.awt]

 MenuItem [java.awt]

 MenuShortcut [java.awt]

 MessageDigest [java.security]

 MessageFormat [java.text]

 Method [java.lang.reflect]

 MethodDescriptor [java.beans]

 MissingResourceException [java.util]

 Modifier [java.lang.reflect]

 MouseAdapter [java.awt.event]

 MouseEvent [java.awt.event]

 MouseMotionAdapter [java.awt.event]

 MulticastSocket [java.net]

 Naming [java.rmi]

 NegativeArraySizeException [java.lang]

 NoClassDefFoundError [java.lang]

 NoRouteToHostException [java.net]

 NoSuchAlgorithmException [java.security]

 NoSuchElementException [java.util]

 NoSuchFieldError [java.lang]

 NoSuchFieldException [java.lang]

 NoSuchMethodError [java.lang]

 NoSuchMethodException [java.lang]

 NoSuchObjectException [java.rmi]

 NoSuchProviderException [java.security]

 NotActiveException [java.io]

 NotBoundException [java.rmi]

 NotOwnerException [java.security.acl]

 NotSerializableException [java.io]

 NullPointerException [java.lang]

 Number [java.lang]

 NumberFormat [java.text]

 NumberFormatException [java.lang]

 Object [java.lang]

 ObjectInputStream [java.io]

 ObjectOutputStream [java.io]

 ObjectStreamClass [java.io]

 ObjectStreamException [java.io]

 ObjID [java.rmi.server]

 Observable [java.util]

 Operation [java.rmi.server]

 OptionalDataException [java.io]

 OutOfMemoryError [java.lang]

 OutputStream [java.io]

 OutputStreamWriter [java.io]

 PaintEvent [java.awt.event]

 Panel [java.awt]

 ParameterDescriptor [java.beans]

 ParseException [java.text]

 ParsePosition [java.text]

 PipedInputStream [java.io]

 PipedOutputStream [java.io]

 PipedReader [java.io]

 PipedWriter [java.io]

 PixelGrabber [java.awt.image]

 Point [java.awt]

 Polygon [java.awt]

 PopupMenu [java.awt]

 PrintJob [java.awt]

 PrintStream [java.io]

 PrintWriter [java.io]

 Process [java.lang]

 Properties [java.util]

 PropertyChangeEvent [java.beans]

 PropertyChangeSupport [java.beans]

 PropertyDescriptor [java.beans]

 PropertyEditorManager [java.beans]

 PropertyEditorSupport [java.beans]

 PropertyResourceBundle [java.util]

 PropertyVetoException [java.beans]

 ProtocolException [java.net]

 Provider [java.security]

 ProviderException [java.security]

 PushbackInputStream [java.io]

 PushbackReader [java.io]

 Random [java.util]

 RandomAccessFile [java.io]

 Reader [java.io]

 Rectangle [java.awt]

 RemoteException [java.rmi]

 RemoteObject [java.rmi.server]

 RemoteServer [java.rmi.server]

 RemoteStub [java.rmi.server]

 ReplicateScaleFilter [java.awt.image]

 ResourceBundle [java.util]

 RGBImageFilter [java.awt.image]

 RMIClassLoader [java.rmi.server]

 RMISecurityException [java.rmi]

 RMISecurityManager [java.rmi]

 RMISocketFactory [java.rmi.server]

 RuleBasedCollator [java.text]

 Runtime [java.lang]

 RuntimeException [java.lang]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 SecureRandom [java.security]

 Security [java.security]

 SecurityException [java.lang]

 SecurityManager [java.lang]

 SequenceInputStream [java.io]

 ServerCloneException [java.rmi.server]

 ServerError [java.rmi]

 ServerException [java.rmi]

 ServerNotActiveException [java.rmi.server]

 ServerRuntimeException [java.rmi]

 ServerSocket [java.net]

 Short [java.lang]

 Signature [java.security]

 SignatureException [java.security]

 Signer [java.security]

 SimpleBeanInfo [java.beans]

 SimpleDateFormat [java.text]

 SimpleTimeZone [java.util]

 SkeletonMismatchException [java.rmi.server]

 SkeletonNotFoundException [java.rmi.server]

 Socket [java.net]

 SocketException [java.net]

 SocketImpl [java.net]

 SocketSecurityException [java.rmi.server]

 SQLException [java.sql]

 SQLWarning [java.sql]

 Stack [java.util]

 StackOverflowError [java.lang]

 StreamCorruptedException [java.io]

 StreamTokenizer [java.io]

 String [java.lang]

 StringBuffer [java.lang]

 StringBufferInputStream [java.io]

 StringCharacterIterator [java.text]

 StringIndexOutOfBoundsException [java.lang]

 StringReader [java.io]

 StringSelection [java.awt.datatransfer]

 StringTokenizer [java.util]

 StringWriter [java.io]

 StubNotFoundException [java.rmi]

 SyncFailedException [java.io]

 System [java.lang]

 SystemColor [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextEvent [java.awt.event]

 TextField [java.awt]

 Thread [java.lang]

 ThreadDeath [java.lang]

 ThreadGroup [java.lang]

 Throwable [java.lang]

 Time [java.sql]

 Timestamp [java.sql]

 TimeZone [java.util]

 Toolkit [java.awt]

 TooManyListenersException [java.util]

 Types [java.sql]

 UID [java.rmi.server]

 UnexpectedException [java.rmi]

 UnicastRemoteObject [java.rmi.server]

 UnknownError [java.lang]

 UnknownHostException [java.net]

 UnknownHostException [java.rmi]

 UnknownServiceException [java.net]

 UnmarshalException [java.rmi]

 UnsatisfiedLinkError [java.lang]

 UnsupportedEncodingException [java.io]

 UnsupportedFlavorException [java.awt.datatransfer]

 URL [java.net]

 URLConnection [java.net]

 URLEncoder [java.net]

 URLStreamHandler [java.net]

 UTFDataFormatException [java.io]

 Vector [java.util]

 VerifyError [java.lang]

 VetoableChangeSupport [java.beans]

 VirtualMachineError [java.lang]

 VMID [java.rmi.dgc]

 Void [java.lang]

 Window [java.awt]

 WindowAdapter [java.awt.event]

 WindowEvent [java.awt.event]

 WriteAbortedException [java.io]

 Writer [java.io]

 ZipEntry [java.util.zip]

 ZipException [java.util.zip]

 ZipFile [java.util.zip]

 ZipInputStream [java.util.zip]

 ZipOutputStream [java.util.zip]


notifyAll method [java.lang.Object] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      notifyAll method [java.lang.Object]

public native final void notifyAll( )

Wakes up all threads that are waiting on this object's monitor. A thread waits on an object's monitor by calling one of the wait methods.

This method should only be called by a thread that is the owner of this object's monitor. See the notify method for a description of the ways in which a thread can become the owner of a monitor.

Throws

IllegalMonitorStateException

If the current thread is not the owner of this object's monitor.

See also

notify method [java.lang.Object]

wait method [java.lang.Object]

Applies to

 AbstractMethodError [java.lang]

 AccessException [java.rmi]

 AclNotFoundException [java.security.acl]

 ActionEvent [java.awt.event]

 AdjustmentEvent [java.awt.event]

 Adler32 [java.util.zip]

 AlreadyBoundException [java.rmi]

 Applet [java.applet]

 AreaAveragingScaleFilter [java.awt.image]

 ArithmeticException [java.lang]

 Array [java.lang.reflect]

 ArrayIndexOutOfBoundsException [java.lang]

 ArrayStoreException [java.lang]

 AWTError [java.awt]

 AWTEvent [java.awt]

 AWTEventMulticaster [java.awt]

 AWTException [java.awt]

 BeanDescriptor [java.beans]

 Beans [java.beans]

 BigDecimal [java.math]

 BigInteger [java.math]

 BindException [java.net]

 BitSet [java.util]

 Boolean [java.lang]

 BorderLayout [java.awt]

 BreakIterator [java.text]

 BufferedInputStream [java.io]

 BufferedOutputStream [java.io]

 BufferedReader [java.io]

 BufferedWriter [java.io]

 Button [java.awt]

 Byte [java.lang]

 ByteArrayInputStream [java.io]

 ByteArrayOutputStream [java.io]

 Calendar [java.util]

 Canvas [java.awt]

 CardLayout [java.awt]

 Character [java.lang]

 CharArrayReader [java.io]

 CharArrayWriter [java.io]

 CharConversionException [java.io]

 Checkbox [java.awt]

 CheckboxGroup [java.awt]

 CheckboxMenuItem [java.awt]

 CheckedInputStream [java.util.zip]

 CheckedOutputStream [java.util.zip]

 Choice [java.awt]

 ChoiceFormat [java.text]

 Class [java.lang]

 ClassCastException [java.lang]

 ClassCircularityError [java.lang]

 ClassFormatError [java.lang]

 ClassLoader [java.lang]

 ClassNotFoundException [java.lang]

 Clipboard [java.awt.datatransfer]

 CloneNotSupportedException [java.lang]

 CollationElementIterator [java.text]

 CollationKey [java.text]

 Collator [java.text]

 Color [java.awt]

 ColorModel [java.awt.image]

 Compiler [java.lang]

 Component [java.awt]

 ComponentAdapter [java.awt.event]

 ComponentEvent [java.awt.event]

 ConnectException [java.net]

 ConnectException [java.rmi]

 ConnectIOException [java.rmi]

 Constructor [java.lang.reflect]

 Container [java.awt]

 ContainerAdapter [java.awt.event]

 ContainerEvent [java.awt.event]

 ContentHandler [java.net]

 CRC32 [java.util.zip]

 CropImageFilter [java.awt.image]

 Cursor [java.awt]

 DataFlavor [java.awt.datatransfer]

 DataFormatException [java.util.zip]

 DatagramPacket [java.net]

 DatagramSocket [java.net]

 DatagramSocketImpl [java.net]

 DataInputStream [java.io]

 DataOutputStream [java.io]

 DataTruncation [java.sql]

 Date [java.sql]

 Date [java.util]

 DateFormat [java.text]

 DateFormatSymbols [java.text]

 DateFormatZoneData [java.text.resources]

 DateFormatZoneData_ar [java.text.resources]

 DateFormatZoneData_be [java.text.resources]

 DateFormatZoneData_bg [java.text.resources]

 DateFormatZoneData_ca [java.text.resources]

 DateFormatZoneData_cs [java.text.resources]

 DateFormatZoneData_da [java.text.resources]

 DateFormatZoneData_de [java.text.resources]

 DateFormatZoneData_de_AT [java.text.resources]

 DateFormatZoneData_de_CH [java.text.resources]

 DateFormatZoneData_el [java.text.resources]

 DateFormatZoneData_en [java.text.resources]

 DateFormatZoneData_en_CA [java.text.resources]

 DateFormatZoneData_en_GB [java.text.resources]

 DateFormatZoneData_en_IE [java.text.resources]

 DateFormatZoneData_es [java.text.resources]

 DateFormatZoneData_et [java.text.resources]

 DateFormatZoneData_fi [java.text.resources]

 DateFormatZoneData_fr [java.text.resources]

 DateFormatZoneData_fr_BE [java.text.resources]

 DateFormatZoneData_fr_CA [java.text.resources]

 DateFormatZoneData_fr_CH [java.text.resources]

 DateFormatZoneData_hr [java.text.resources]

 DateFormatZoneData_hu [java.text.resources]

 DateFormatZoneData_is [java.text.resources]

 DateFormatZoneData_it [java.text.resources]

 DateFormatZoneData_it_CH [java.text.resources]

 DateFormatZoneData_iw [java.text.resources]

 DateFormatZoneData_ja [java.text.resources]

 DateFormatZoneData_ko [java.text.resources]

 DateFormatZoneData_lt [java.text.resources]

 DateFormatZoneData_lv [java.text.resources]

 DateFormatZoneData_mk [java.text.resources]

 DateFormatZoneData_nl [java.text.resources]

 DateFormatZoneData_nl_BE [java.text.resources]

 DateFormatZoneData_no [java.text.resources]

 DateFormatZoneData_no_NO_NY [java.text.resources]

 DateFormatZoneData_pl [java.text.resources]

 DateFormatZoneData_pt [java.text.resources]

 DateFormatZoneData_ro [java.text.resources]

 DateFormatZoneData_ru [java.text.resources]

 DateFormatZoneData_sh [java.text.resources]

 DateFormatZoneData_sk [java.text.resources]

 DateFormatZoneData_sl [java.text.resources]

 DateFormatZoneData_sq [java.text.resources]

 DateFormatZoneData_sr [java.text.resources]

 DateFormatZoneData_sv [java.text.resources]

 DateFormatZoneData_th [java.text.resources]

 DateFormatZoneData_tr [java.text.resources]

 DateFormatZoneData_uk [java.text.resources]

 DateFormatZoneData_zh [java.text.resources]

 DateFormatZoneData_zh_TW [java.text.resources]

 DecimalFormat [java.text]

 DecimalFormatSymbols [java.text]

 Deflater [java.util.zip]

 DeflaterOutputStream [java.util.zip]

 Dialog [java.awt]

 Dictionary [java.util]

 DigestException [java.security]

 DigestInputStream [java.security]

 DigestOutputStream [java.security]

 Dimension [java.awt]

 DirectColorModel [java.awt.image]

 Double [java.lang]

 DriverManager [java.sql]

 DriverPropertyInfo [java.sql]

 EmptyStackException [java.util]

 EOFException [java.io]

 Error [java.lang]

 Event [java.awt]

 EventObject [java.util]

 EventQueue [java.awt]

 EventSetDescriptor [java.beans]

 Exception [java.lang]

 ExceptionInInitializerError [java.lang]

 ExportException [java.rmi.server]

 FeatureDescriptor [java.beans]

 Field [java.lang.reflect]

 FieldPosition [java.text]

 File [java.io]

 FileDescriptor [java.io]

 FileDialog [java.awt]

 FileInputStream [java.io]

 FileNotFoundException [java.io]

 FileOutputStream [java.io]

 FileReader [java.io]

 FileWriter [java.io]

 FilteredImageSource [java.awt.image]

 FilterInputStream [java.io]

 FilterOutputStream [java.io]

 FilterReader [java.io]

 FilterWriter [java.io]

 Float [java.lang]

 FlowLayout [java.awt]

 FocusAdapter [java.awt.event]

 FocusEvent [java.awt.event]

 Font [java.awt]

 FontMetrics [java.awt]

 Format [java.text]

 Frame [java.awt]

 Graphics [java.awt]

 GregorianCalendar [java.util]

 GridBagConstraints [java.awt]

 GridBagLayout [java.awt]

 GridLayout [java.awt]

 GZIPInputStream [java.util.zip]

 GZIPOutputStream [java.util.zip]

 Hashtable [java.util]

 HttpURLConnection [java.net]

 Identity [java.security]

 IdentityScope [java.security]

 IllegalAccessError [java.lang]

 IllegalAccessException [java.lang]

 IllegalArgumentException [java.lang]

 IllegalComponentStateException [java.awt]

 IllegalMonitorStateException [java.lang]

 IllegalStateException [java.lang]

 IllegalThreadStateException [java.lang]

 Image [java.awt]

 ImageFilter [java.awt.image]

 IncompatibleClassChangeError [java.lang]

 IndexColorModel [java.awt.image]

 IndexedPropertyDescriptor [java.beans]

 IndexOutOfBoundsException [java.lang]

 InetAddress [java.net]

 Inflater [java.util.zip]

 InflaterInputStream [java.util.zip]

 InputEvent [java.awt.event]

 InputStream [java.io]

 InputStreamReader [java.io]

 Insets [java.awt]

 InstantiationError [java.lang]

 InstantiationException [java.lang]

 Integer [java.lang]

 InternalError [java.lang]

 InterruptedException [java.lang]

 InterruptedIOException [java.io]

 IntrospectionException [java.beans]

 Introspector [java.beans]

 InvalidClassException [java.io]

 InvalidKeyException [java.security]

 InvalidObjectException [java.io]

 InvalidParameterException [java.security]

 InvocationTargetException [java.lang.reflect]

 IOException [java.io]

 ItemEvent [java.awt.event]

 KeyAdapter [java.awt.event]

 KeyEvent [java.awt.event]

 KeyException [java.security]

 KeyManagementException [java.security]

 KeyPair [java.security]

 KeyPairGenerator [java.security]

 Label [java.awt]

 LastOwnerException [java.security.acl]

 Lease [java.rmi.dgc]

 LineNumberInputStream [java.io]

 LineNumberReader [java.io]

 LinkageError [java.lang]

 List [java.awt]

 ListResourceBundle [java.util]

 Locale [java.util]

 LocaleData [java.text.resources]

 LocaleElements [java.text.resources]

 LocaleElements_ar [java.text.resources]

 LocaleElements_be [java.text.resources]

 LocaleElements_bg [java.text.resources]

 LocaleElements_ca [java.text.resources]

 LocaleElements_cs [java.text.resources]

 LocaleElements_da [java.text.resources]

 LocaleElements_de [java.text.resources]

 LocaleElements_de_AT [java.text.resources]

 LocaleElements_de_AT_EURO [java.text.resources]

 LocaleElements_de_CH [java.text.resources]

 LocaleElements_de_DE_EURO [java.text.resources]

 LocaleElements_de_LU [java.text.resources]

 LocaleElements_de_LU_EURO [java.text.resources]

 LocaleElements_el [java.text.resources]

 LocaleElements_en [java.text.resources]

 LocaleElements_en_AU [java.text.resources]

 LocaleElements_en_CA [java.text.resources]

 LocaleElements_en_GB [java.text.resources]

 LocaleElements_en_IE [java.text.resources]

 LocaleElements_en_IE_EURO [java.text.resources]

 LocaleElements_en_NZ [java.text.resources]

 LocaleElements_en_ZA [java.text.resources]

 LocaleElements_es [java.text.resources]

 LocaleElements_es_AR [java.text.resources]

 LocaleElements_es_BO [java.text.resources]

 LocaleElements_es_CL [java.text.resources]

 LocaleElements_es_CO [java.text.resources]

 LocaleElements_es_CR [java.text.resources]

 LocaleElements_es_DO [java.text.resources]

 LocaleElements_es_EC [java.text.resources]

 LocaleElements_es_ES_EURO [java.text.resources]

 LocaleElements_es_GT [java.text.resources]

 LocaleElements_es_HN [java.text.resources]

 LocaleElements_es_MX [java.text.resources]

 LocaleElements_es_NI [java.text.resources]

 LocaleElements_es_PA [java.text.resources]

 LocaleElements_es_PE [java.text.resources]

 LocaleElements_es_PR [java.text.resources]

 LocaleElements_es_PY [java.text.resources]

 LocaleElements_es_SV [java.text.resources]

 LocaleElements_es_UY [java.text.resources]

 LocaleElements_es_VE [java.text.resources]

 LocaleElements_et [java.text.resources]

 LocaleElements_fi [java.text.resources]

 LocaleElements_fi_FI_EURO [java.text.resources]

 LocaleElements_fr [java.text.resources]

 LocaleElements_fr_BE [java.text.resources]

 LocaleElements_fr_BE_EURO [java.text.resources]

 LocaleElements_fr_CA [java.text.resources]

 LocaleElements_fr_CH [java.text.resources]

 LocaleElements_fr_FR_EURO [java.text.resources]

 LocaleElements_fr_LU [java.text.resources]

 LocaleElements_fr_LU_EURO [java.text.resources]

 LocaleElements_hr [java.text.resources]

 LocaleElements_hu [java.text.resources]

 LocaleElements_is [java.text.resources]

 LocaleElements_it [java.text.resources]

 LocaleElements_it_CH [java.text.resources]

 LocaleElements_it_IT_EURO [java.text.resources]

 LocaleElements_iw [java.text.resources]

 LocaleElements_ja [java.text.resources]

 LocaleElements_ko [java.text.resources]

 LocaleElements_lt [java.text.resources]

 LocaleElements_lv [java.text.resources]

 LocaleElements_mk [java.text.resources]

 LocaleElements_nl [java.text.resources]

 LocaleElements_nl_BE [java.text.resources]

 LocaleElements_nl_BE_EURO [java.text.resources]

 LocaleElements_nl_NL_EURO [java.text.resources]

 LocaleElements_no [java.text.resources]

 LocaleElements_no_NO_NY [java.text.resources]

 LocaleElements_pl [java.text.resources]

 LocaleElements_pt [java.text.resources]

 LocaleElements_pt_BR [java.text.resources]

 LocaleElements_pt_PT_EURO [java.text.resources]

 LocaleElements_ro [java.text.resources]

 LocaleElements_ru [java.text.resources]

 LocaleElements_sh [java.text.resources]

 LocaleElements_sk [java.text.resources]

 LocaleElements_sl [java.text.resources]

 LocaleElements_sq [java.text.resources]

 LocaleElements_sr [java.text.resources]

 LocaleElements_sv [java.text.resources]

 LocaleElements_th [java.text.resources]

 LocaleElements_tr [java.text.resources]

 LocaleElements_uk [java.text.resources]

 LocaleElements_zh [java.text.resources]

 LocaleElements_zh_TW [java.text.resources]

 LocateRegistry [java.rmi.registry]

 LogStream [java.rmi.server]

 Long [java.lang]

 MalformedURLException [java.net]

 MarshalException [java.rmi]

 Math [java.lang]

 MediaTracker [java.awt]

 MemoryImageSource [java.awt.image]

 Menu [java.awt]

 MenuBar [java.awt]

 MenuComponent [java.awt]

 MenuItem [java.awt]

 MenuShortcut [java.awt]

 MessageDigest [java.security]

 MessageFormat [java.text]

 Method [java.lang.reflect]

 MethodDescriptor [java.beans]

 MissingResourceException [java.util]

 Modifier [java.lang.reflect]

 MouseAdapter [java.awt.event]

 MouseEvent [java.awt.event]

 MouseMotionAdapter [java.awt.event]

 MulticastSocket [java.net]

 Naming [java.rmi]

 NegativeArraySizeException [java.lang]

 NoClassDefFoundError [java.lang]

 NoRouteToHostException [java.net]

 NoSuchAlgorithmException [java.security]

 NoSuchElementException [java.util]

 NoSuchFieldError [java.lang]

 NoSuchFieldException [java.lang]

 NoSuchMethodError [java.lang]

 NoSuchMethodException [java.lang]

 NoSuchObjectException [java.rmi]

 NoSuchProviderException [java.security]

 NotActiveException [java.io]

 NotBoundException [java.rmi]

 NotOwnerException [java.security.acl]

 NotSerializableException [java.io]

 NullPointerException [java.lang]

 Number [java.lang]

 NumberFormat [java.text]

 NumberFormatException [java.lang]

 Object [java.lang]

 ObjectInputStream [java.io]

 ObjectOutputStream [java.io]

 ObjectStreamClass [java.io]

 ObjectStreamException [java.io]

 ObjID [java.rmi.server]

 Observable [java.util]

 Operation [java.rmi.server]

 OptionalDataException [java.io]

 OutOfMemoryError [java.lang]

 OutputStream [java.io]

 OutputStreamWriter [java.io]

 PaintEvent [java.awt.event]

 Panel [java.awt]

 ParameterDescriptor [java.beans]

 ParseException [java.text]

 ParsePosition [java.text]

 PipedInputStream [java.io]

 PipedOutputStream [java.io]

 PipedReader [java.io]

 PipedWriter [java.io]

 PixelGrabber [java.awt.image]

 Point [java.awt]

 Polygon [java.awt]

 PopupMenu [java.awt]

 PrintJob [java.awt]

 PrintStream [java.io]

 PrintWriter [java.io]

 Process [java.lang]

 Properties [java.util]

 PropertyChangeEvent [java.beans]

 PropertyChangeSupport [java.beans]

 PropertyDescriptor [java.beans]

 PropertyEditorManager [java.beans]

 PropertyEditorSupport [java.beans]

 PropertyResourceBundle [java.util]

 PropertyVetoException [java.beans]

 ProtocolException [java.net]

 Provider [java.security]

 ProviderException [java.security]

 PushbackInputStream [java.io]

 PushbackReader [java.io]

 Random [java.util]

 RandomAccessFile [java.io]

 Reader [java.io]

 Rectangle [java.awt]

 RemoteException [java.rmi]

 RemoteObject [java.rmi.server]

 RemoteServer [java.rmi.server]

 RemoteStub [java.rmi.server]

 ReplicateScaleFilter [java.awt.image]

 ResourceBundle [java.util]

 RGBImageFilter [java.awt.image]

 RMIClassLoader [java.rmi.server]

 RMISecurityException [java.rmi]

 RMISecurityManager [java.rmi]

 RMISocketFactory [java.rmi.server]

 RuleBasedCollator [java.text]

 Runtime [java.lang]

 RuntimeException [java.lang]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 SecureRandom [java.security]

 Security [java.security]

 SecurityException [java.lang]

 SecurityManager [java.lang]

 SequenceInputStream [java.io]

 ServerCloneException [java.rmi.server]

 ServerError [java.rmi]

 ServerException [java.rmi]

 ServerNotActiveException [java.rmi.server]

 ServerRuntimeException [java.rmi]

 ServerSocket [java.net]

 Short [java.lang]

 Signature [java.security]

 SignatureException [java.security]

 Signer [java.security]

 SimpleBeanInfo [java.beans]

 SimpleDateFormat [java.text]

 SimpleTimeZone [java.util]

 SkeletonMismatchException [java.rmi.server]

 SkeletonNotFoundException [java.rmi.server]

 Socket [java.net]

 SocketException [java.net]

 SocketImpl [java.net]

 SocketSecurityException [java.rmi.server]

 SQLException [java.sql]

 SQLWarning [java.sql]

 Stack [java.util]

 StackOverflowError [java.lang]

 StreamCorruptedException [java.io]

 StreamTokenizer [java.io]

 String [java.lang]

 StringBuffer [java.lang]

 StringBufferInputStream [java.io]

 StringCharacterIterator [java.text]

 StringIndexOutOfBoundsException [java.lang]

 StringReader [java.io]

 StringSelection [java.awt.datatransfer]

 StringTokenizer [java.util]

 StringWriter [java.io]

 StubNotFoundException [java.rmi]

 SyncFailedException [java.io]

 System [java.lang]

 SystemColor [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextEvent [java.awt.event]

 TextField [java.awt]

 Thread [java.lang]

 ThreadDeath [java.lang]

 ThreadGroup [java.lang]

 Throwable [java.lang]

 Time [java.sql]

 Timestamp [java.sql]

 TimeZone [java.util]

 Toolkit [java.awt]

 TooManyListenersException [java.util]

 Types [java.sql]

 UID [java.rmi.server]

 UnexpectedException [java.rmi]

 UnicastRemoteObject [java.rmi.server]

 UnknownError [java.lang]

 UnknownHostException [java.net]

 UnknownHostException [java.rmi]

 UnknownServiceException [java.net]

 UnmarshalException [java.rmi]

 UnsatisfiedLinkError [java.lang]

 UnsupportedEncodingException [java.io]

 UnsupportedFlavorException [java.awt.datatransfer]

 URL [java.net]

 URLConnection [java.net]

 URLEncoder [java.net]

 URLStreamHandler [java.net]

 UTFDataFormatException [java.io]

 Vector [java.util]

 VerifyError [java.lang]

 VetoableChangeSupport [java.beans]

 VirtualMachineError [java.lang]

 VMID [java.rmi.dgc]

 Void [java.lang]

 Window [java.awt]

 WindowAdapter [java.awt.event]

 WindowEvent [java.awt.event]

 WriteAbortedException [java.io]

 Writer [java.io]

 ZipEntry [java.util.zip]

 ZipException [java.util.zip]

 ZipFile [java.util.zip]

 ZipInputStream [java.util.zip]

 ZipOutputStream [java.util.zip]


notifyObservers method [java.util.Observable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      notifyObservers method [java.util.Observable]

Overloads:

 void notifyObservers( Object arg )

 void notifyObservers( )

public void notifyObservers( java.lang.Object arg )

If this object has changed, as indicated by the hasChanged method, then notify all of its observers and then call the clearChanged method to indicate that this object has no longer changed.

Each observer has its update method called with two arguments: this observable object and the arg argument.

Parameter

arg

any object.

See also

clearChanged method [java.util.Observable]

hasChanged method [java.util.Observable]

Observer interface [java.util]

public void notifyObservers( )

If this object has changed, as indicated by the hasChanged method, then notify all of its observers and then call the clearChanged method to indicate that this object has no longer changed.

Each observer has its update method called with two arguments: this observable object and null.

See also

clearChanged method [java.util.Observable]

hasChanged method [java.util.Observable]

Observer interface [java.util]

Applies to

 Observable [java.util]


NotOwnerException class [java.security.acl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      NotOwnerException class [java.security.acl]

Object

Throwable

Exception

NotOwnerException

Description

This is an exception that is thrown whenever the modification of an object (such as an Access Control List) is only allowed to be done by an owner of the object, but the Principal attempting the modification is not an owner.

Specification

public class NotOwnerException extends java.lang.Exception

Constructor

public NotOwnerException( )

Constructs a NotOwnerException.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


NotSerializableException class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      NotSerializableException class [java.io]

Object

Throwable

Exception

IOException

ObjectStreamException

NotSerializableException

Description

Raised by a class or the serialization runtime when a class may not be serialized. The argument should be the name of the class.

Specification

public class NotSerializableException extends java.io.ObjectStreamException

Constructors

public NotSerializableException( )

No documentation supplied in JDK

public NotSerializableException( java.lang.String classname )

No documentation supplied in JDK

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


NullPointerException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      NullPointerException class [java.lang]

Object

Throwable

Exception

RuntimeException

NullPointerException

Description

Thrown when an application attempts to use null in a case where an object is required. These include:

•	Calling the instance method of a null object.

•	Accessing or modifying the field of a null object.

•	Taking the length of null as if it were an array.

•	Accessing or modifying the slots of null as if it were an array.

•	Throwing null as if it were a Throwable value.

Applications should throw instances of this class to indicate other illegal uses of the null object.

Specification

public class NullPointerException extends java.lang.RuntimeException

Constructors

public NullPointerException( )

Constructs a NullPointerException with no detail message.

public NullPointerException( java.lang.String s )

Constructs a NullPointerException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


Number class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      Number class [java.lang]

Object

Number

Description

The abstract class Number is the superclass of classes Byte, Double, Float, Integer, Long, and Short.

Subclasses of Number must provide methods to convert the represented numeric value to byte, double, float, int, long, and short.

Specification

public abstract class Number extends java.lang.Object implements java.io.Serializable

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  byte byteValue( )

  abstract double doubleValue( )

  abstract float floatValue( )

  abstract int intValue( )

  abstract long longValue( )

  short shortValue( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Byte class [java.lang]

Double class [java.lang]

Float class [java.lang]

Integer class [java.lang]

Long class [java.lang]

Short class [java.lang]


NumberFormat class [java.text] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      NumberFormat class [java.text]

Object

Format

NumberFormat

Description

NumberFormat is the abstract base class for all number formats. This class provides the interface for formatting and parsing numbers. NumberFormat also provides methods for determining which locales have number formats, and what their names are.

NumberFormat helps you to format and parse numbers for any locale. Your code can be completely independent of the locale conventions for decimal points, thousands-separators, or even the particular decimal digits used, or whether the number format is even decimal.

To format a number for the current Locale, use one of the factory class methods:

myString = NumberFormat.getInstance().format(myNumber);

 If you are formatting multiple numbers, it is more efficient to get the format and use it multiple times so that the system doesn't have to fetch the information about the local language and country conventions multiple times.

NumberFormat nf = NumberFormat.getInstance();

for (int i = 0; i < a.length; ++i) {

   output.println(nf.format(myNumber[i]) + "; ");

}

 To format a number for a different Locale, specify it in the call to getInstance.

NumberFormat nf = NumberFormat.getInstance(Locale.FRENCH);

 You can also use a NumberFormat to parse numbers:

myNumber = nf.parse(myString);

 Use getInstance or getNumberInstance to get the normal number format. Use getCurrencyInstance to get the currency number format. And use getPercentInstance to get a format for displaying percentages. With this format, a fraction like 0.53 is displayed as 53%.

You can also control the display of numbers with such methods as setMinimumFractionDigits. If you want even more control over the format or parsing, or want to give your users more control, you can try casting the NumberFormat you get from the factory methods to a DecimalNumberFormat. This will work for the vast majority of locales; just remember to put it in a try block in case you encounter an unusual one.

NumberFormat and DecimalFormat are designed such that some controls work for formatting and others work for parsing.  The following is the detailed description for each these control methods,

setParseIntegerOnly : only affects parsing, e.g. if true,  "3456.78" -> 3456 (and leaves the parse position just after index 6) if false, "3456.78" -> 3456.78 (and leaves the parse position just after index 8) This is independent of formatting.  If you want to not show a decimal point where there might be no digits after the decimal point, use setDecimalSeparatorAlwaysShown.

setDecimalSeparatorAlwaysShown : only affects formatting, and only where there might be no digits after the decimal point, such as with a pattern like "#,##0.##", e.g., if true,  3456.00 -> "3,456." if false, 3456.00 -> "3456" This is independent of parsing.  If you want parsing to stop at the decimal point, use setParseIntegerOnly.

You can also use forms of the parse and format methods with ParsePosition and FieldPosition to allow you to:

•	progressively parse through pieces of a string

•	align the decimal point and other areas

For example, you can align numbers in two ways:

•	If you are using a monospaced font with spacing for alignment, you can pass the FieldPosition in your format call, with field = INTEGER_FIELD. On output, getEndIndex will be set to the offset between the last character of the integer and the decimal. Add (desiredSpaceCount - getEndIndex) spaces at the front of the string.

•	If you are using proportional fonts, instead of padding with spaces, measure the width of the string in pixels from the start to getEndIndex. Then move the pen by (desiredPixelWidth - widthToAlignmentPoint) before drawing the text. It also works where there is no decimal, but possibly additional characters at the end, e.g. with parentheses in negative numbers: "(12)" for -12.

Specification

public abstract class NumberFormat extends java.text.Format implements java.lang.Cloneable

Variables

public static final int INTEGER_FIELD

Field constant used to construct a FieldPosition object. Signifies that the position of the integer part of a formatted number should be returned.

public static final int FRACTION_FIELD

Field constant used to construct a FieldPosition object. Signifies that the position of the fraction part of a formatted number should be returned.

Properties

  static java.util.Locale[] getAvailableLocales( )

  static final java.text.NumberFormat getCurrencyInstance( )

  void setGroupingUsed( boolean newValue )

  boolean isGroupingUsed( )

  static final java.text.NumberFormat getInstance( )

  int getMaximumFractionDigits( )

  void setMaximumFractionDigits( int newValue )

  int getMaximumIntegerDigits( )

  void setMaximumIntegerDigits( int newValue )

  int getMinimumFractionDigits( )

  void setMinimumFractionDigits( int newValue )

  int getMinimumIntegerDigits( )

  void setMinimumIntegerDigits( int newValue )

  static final java.text.NumberFormat getNumberInstance( )

  void setParseIntegerOnly( boolean value )

  boolean isParseIntegerOnly( )

  static final java.text.NumberFormat getPercentInstance( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.Object clone( )

  boolean equals( java.lang.Object obj )

  abstract java.lang.StringBuffer format( long number, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos )

  abstract java.lang.StringBuffer format( double number, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos )

  final java.lang.String format( long number )

  final java.lang.String format( double number )

  final java.lang.StringBuffer format( java.lang.Object number, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos )

  static java.text.NumberFormat getCurrencyInstance( java.util.Locale inLocale )

  static java.text.NumberFormat getInstance( java.util.Locale inLocale )

  static java.text.NumberFormat getNumberInstance( java.util.Locale inLocale )

  static java.text.NumberFormat getPercentInstance( java.util.Locale inLocale )

  int hashCode( )

  java.lang.Number parse( java.lang.String text ) throws java.text.ParseException

  abstract java.lang.Number parse( java.lang.String text, java.text.ParsePosition parsePosition )

  final java.lang.Object parseObject( java.lang.String source, java.text.ParsePosition parsePosition )

Inherited Methods

  final java.lang.String format( java.lang.Object obj )

  native final void notify( )

  native final void notifyAll( )

  java.lang.Object parseObject( java.lang.String source ) throws java.text.ParseException

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable

See also

DecimalFormat class [java.text]

ChoiceFormat class [java.text]


numberFormat property [java.text.DateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      numberFormat property [java.text.DateFormat]

public java.text.NumberFormat getNumberFormat( )

Gets the number formatter which this date/time formatter uses to format and parse a time.

Return

The number formatter which this date/time formatter uses.

public void setNumberFormat( java.text.NumberFormat newNumberFormat )

Allows you to set the number formatter.

Parameter

newNumberFormat

the given new NumberFormat.

Applies to

 DateFormat [java.text]

 SimpleDateFormat [java.text]


NumberFormatException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      NumberFormatException class [java.lang]

Object

Throwable

Exception

RuntimeException

IllegalArgumentException

NumberFormatException

Description

Thrown to indicate that the application has attempted to convert a string to one of the numeric types, but that the string does not have the appropriate format.

Specification

public class NumberFormatException extends java.lang.IllegalArgumentException

Constructors

public NumberFormatException( )

Constructs a NumberFormatException with no detail message.

public NumberFormatException( java.lang.String s )

Constructs a NumberFormatException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

toString method [java.lang.Integer]


numberInstance property [java.text.NumberFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     N
      numberInstance property [java.text.NumberFormat]

public static final java.text.NumberFormat getNumberInstance( )

Returns a general-purpose number format for the current default locale.

Return

No documentation supplied in JDK.

Applies to

 ChoiceFormat [java.text]

 DecimalFormat [java.text]

 NumberFormat [java.text]


O  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    O

 Object class [java.lang]

 ObjectInput interface [java.io]

 ObjectInputStream class [java.io]

 ObjectInputValidation interface [java.io]

 ObjectOutput interface [java.io]

 ObjectOutputStream class [java.io]

 ObjectStreamClass class [java.io]

 ObjectStreamException class [java.io]

 ObjID class [java.rmi.server]

 Observable class [java.util]

 Observer interface [java.util]

 oldValue property [java.beans.PropertyChangeEvent]

 on method [java.security.DigestInputStream]

 on method [java.security.DigestOutputStream]

 openConnection method [java.net.URL]

 openConnection method [java.net.URLStreamHandler]

 openStream method [java.net.URL]

 Operation class [java.rmi.server]

 operation property [java.rmi.server.Operation]

 OptionalDataException class [java.io]

 or method [java.math.BigInteger]

 or method [java.util.BitSet]

 ordinaryChar method [java.io.StreamTokenizer]

 ordinaryChars method [java.io.StreamTokenizer]

 orientation property [java.awt.Scrollbar]

 out property [java.lang.System]

 OutOfMemoryError class [java.lang]

 OutputStream class [java.io]

 outputStream property [java.lang.Process]

 outputStream property [java.net.Socket]

 outputStream property [java.net.SocketImpl]

 outputStream property [java.net.URLConnection]

 outputStream property [java.rmi.server.LogStream]

 OutputStreamWriter class [java.io]

 Owner interface [java.security.acl]


Object class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      Object class [java.lang]

Object

Description

Class Object is the root of the class hierarchy. Every class has Object as a superclass. All objects, including arrays, implement the methods of this class.

Specification

public class Object

Properties

  native final java.lang.Class getClass( )

Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Class class [java.lang]


ObjectInput interface [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      ObjectInput interface [java.io]

Description

ObjectInput extends the DataInput interface to include the reading of objects. DataInput includes methods for the input of primitive types, ObjectInput extends that interface to include objects, arrays, and Strings.

Definition

public interface ObjectInput extends java.io.DataInput

{

  // Methods

  public java.lang.Object readObject( ) throws java.lang.ClassNotFoundException, java.io.IOException;

  public int read( ) throws java.io.IOException;

  public int read( byte[] b ) throws java.io.IOException;

  public int read( byte[] b, int off, int len ) throws java.io.IOException;

  public long skip( long n ) throws java.io.IOException;

  public int available( ) throws java.io.IOException;

  public void close( ) throws java.io.IOException;

}

Methods

public java.lang.Object readObject( ) throws java.lang.ClassNotFoundException, java.io.IOException

Read and return an object. The class that implements this interface defines where the object is "read" from.

Return

No documentation supplied in JDK.

Throws

java.lang.ClassNotFoundException

If the class of a serialized object cannot be found.

IOException

If any of the usual Input/Output related exceptions occur.

public int read( ) throws java.io.IOException

Reads a byte of data. This method will block if no input is available.

Return

The byte read, or -1 if the end of the stream is reached.

Throws

IOException

If an I/O error has occurred.

public int read( byte[] b ) throws java.io.IOException

Reads into an array of bytes.  This method will block until some input is available.

Parameter

b

the buffer into which the data is read

Return

The actual number of bytes read, -1 is returned when the end of the stream is reached.

Throws

IOException

If an I/O error has occurred.

public int read( byte[] b, int off, int len ) throws java.io.IOException

Reads into an array of bytes.  This method will block until some input is available.

Parameters

b

the buffer into which the data is read

off

the start offset of the data

len

the maximum number of bytes read

Return

The actual number of bytes read, -1 is returned when the end of the stream is reached.

Throws

IOException

If an I/O error has occurred.

public long skip( long n ) throws java.io.IOException

Skips n bytes of input.

Parameter

n

the number of bytes to be skipped

Return

The actual number of bytes skipped.

Throws

IOException

If an I/O error has occurred.

public int available( ) throws java.io.IOException

Returns the number of bytes that can be read without blocking.

Return

The number of available bytes.

public void close( ) throws java.io.IOException

Closes the input stream. Must be called to release any resources associated with the stream.

Throws

IOException

If an I/O error has occurred.

Implemented by

ObjectInputStream [java.io]

See also

InputStream class [java.io]

ObjectOutputStream class [java.io]

ObjectInputStream class [java.io]


ObjectInputStream class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      ObjectInputStream class [java.io]

Object

InputStream

ObjectInputStream

Description

An ObjectInputStream deserializes primitive data and objects previously written using an ObjectOutputStream. ObjectOutputStream and ObjectInputStream can provide an application with persistent storage for graphs of objects when used with a FileOutputStream and FileInputStream respectively. ObjectInputStream is used to recover those objects previously serialized. Other uses include passing objects between hosts using a socket stream or for marshaling and unmarshaling arguments and parameters in a remote communication system.

ObjectInputStream ensures that the types of all objects in the graph created from the stream match the classes present in the Java Virtual Machine.  Classes are loaded as required using the standard mechanisms.

Only objects that support the java.io.Serializable or java.io.Externalizable interface can be read from streams. The method readObject is used to read an object from the stream.  Java's safe casting should be used to get the desired type.  In Java, strings and arrays are objects and are treated as objects during serialization. When read they need to be cast to the expected type.

Primitive data types can be read from the stream using the appropriate method on DataInput.

The default deserialization mechanism for objects restores the contents of each field to the value and type it had when it was written. Fields declared as transient or static are ignored by the deserialization process.  References to other objects cause those objects to be read from the stream as necessary.  Graphs of objects are restored correctly using a reference sharing mechanism.  New objects are always allocated when deserializing, which prevents existing objects from being overwritten.

Reading an object is analogous to running the constructors of a new object.  Memory is allocated for the object and initialized to zero (NULL).  No-arg constructors are invoked for the non-serializable classes and then the fields of the serializable classes are restored from the stream starting with the serializable class closest to java.lang.object and finishing with the object's most specifiec class.

For example to read from a stream as written by the example in ObjectOutputStream:

FileInputStream istream = new FileInputStream("t.tmp");

ObjectInputStream p = new ObjectInputStream(istream);

int i = p.readInt();

String today = (String)p.readObject();

Date date = (Date)p.readObject();

istream.close();

Classes control how they are serialized by implementing either the java.io.Serializable or java.io.Externalizable interfaces.

Implementing the Serializable interface allows object serialization to save and restore the entire state of the object and it allows classes to evolve between the time the stream is written and the time it is read.  It automatically traverses references between objects, saving and restoring entire graphs. Serializable classes that require special handling during the serialization and deserialization process should implement both of these methods:

private void writeObject(java.io.ObjectOutputStream stream)

   throws IOException;

private void readObject(java.io.ObjectInputStream stream)

   throws IOException, ClassNotFoundException;

The readObject method is responsible for reading and restoring the state of the object for its particular class using data written to the stream by the corresponding writeObject method.  The method does not need to concern itself with the state belonging to its superclasses or subclasses.  State is restored by reading data from the ObjectInputStream for the individual fields and making assignments to the appropriate fields of the object.  Reading primitive data types is supported by DataInput.

Serialization does not read or assign values to the fields of any object that does not implement the java.io.Serializable interface. Subclasses of Objects that are not serializable can be serializable. In this case the non-serializable class must have a no-arg constructor to allow its fields to be initialized.  In this case it is the responsibility of the subclass to save and restore the state of the non-serializable class. It is frequently the case that the fields of that class are accessible (public, package, or protected) or that there are get and set methods that can be used to restore the state.

Any exception that occurs while deserializing an object will be caught by the ObjectInputStream and abort the reading process.

Implementing the Externalizable interface allows the object to assume complete control over the contents and format of the object's serialized form.  The methods of the Externalizable interface, writeExternal and readExternal, are called to save and restore the objects state.  When implemented by a class they can write and read their own state using all of the methods of ObjectOutput and ObjectInput.  It is the responsibility of the objects to handle any versioning that occurs.

Specification

public class ObjectInputStream extends java.io.InputStream implements java.io.ObjectInput, java.io.ObjectStreamConstants

Constructor

public ObjectInputStream( java.io.InputStream in ) throws java.io.IOException, java.io.StreamCorruptedException

Create an ObjectInputStream that reads from the specified InputStream. The stream header containing the magic number and version number are read from the stream and verified. This method will block until the corresponding ObjectOutputStream has written and flushed the header.

Throws

StreamCorruptedException

The version or magic number are incorrect.

IOException

An exception occurred in the underlying stream.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  int available( ) throws java.io.IOException

  void close( ) throws java.io.IOException

  final void defaultReadObject( ) throws java.io.IOException, java.lang.ClassNotFoundException, java.io.NotActiveException

  int read( ) throws java.io.IOException

  int read( byte[] data, int offset, int length ) throws java.io.IOException

  boolean readBoolean( ) throws java.io.IOException

  byte readByte( ) throws java.io.IOException

  char readChar( ) throws java.io.IOException

  double readDouble( ) throws java.io.IOException

  float readFloat( ) throws java.io.IOException

  void readFully( byte[] data, int offset, int size ) throws java.io.IOException

  void readFully( byte[] data ) throws java.io.IOException

  int readInt( ) throws java.io.IOException

  java.lang.String readLine( ) throws java.io.IOException

  long readLong( ) throws java.io.IOException

  final java.lang.Object readObject( ) throws java.io.OptionalDataException, java.lang.ClassNotFoundException, java.io.IOException

  short readShort( ) throws java.io.IOException

  int readUnsignedByte( ) throws java.io.IOException

  int readUnsignedShort( ) throws java.io.IOException

  java.lang.String readUTF( ) throws java.io.IOException

  synchronized void registerValidation( java.io.ObjectInputValidation obj, int prio ) throws java.io.NotActiveException, java.io.InvalidObjectException

  int skipBytes( int len ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  synchronized void mark( int readlimit )

  boolean markSupported( )

  native final void notify( )

  native final void notifyAll( )

  int read( byte[] b ) throws java.io.IOException

  synchronized void reset( ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected final boolean enableResolveObject( boolean enable ) throws java.lang.SecurityException

 protected void readStreamHeader( ) throws java.io.IOException, java.io.StreamCorruptedException

 protected java.lang.Class resolveClass( java.io.ObjectStreamClass v ) throws java.io.IOException, java.lang.ClassNotFoundException

 protected java.lang.Object resolveObject( java.lang.Object obj ) throws java.io.IOException

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

DataInput interface [java.io]

ObjectOutputStream class [java.io]

Serializable interface [java.io]


ObjectInputValidation interface [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      ObjectInputValidation interface [java.io]

Description

Callback interface to allow validation of objects within a graph. Allows an object to be called when a complete graph of objects has been deserialized.

Definition

public interface ObjectInputValidation

{

  // Methods

  public void validateObject( ) throws java.io.InvalidObjectException;

}

Methods

public void validateObject( ) throws java.io.InvalidObjectException

Validates the object

Throws

InvalidObjectException

If the object cannot validate itself.

See also

ObjectInputStream class [java.io]

registerValidation method [java.io.ObjectInputStream]


ObjectOutput interface [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      ObjectOutput interface [java.io]

Description

ObjectOutput extends the DataOutput interface to include writing of objects. DataOutput includes methods for output of primitive types, ObjectOutput extends that interface to include objects, arrays, and Strings.

Definition

public interface ObjectOutput extends java.io.DataOutput

{

  // Methods

  public void writeObject( java.lang.Object obj ) throws java.io.IOException;

  public void write( int b ) throws java.io.IOException;

  public void write( byte[] b ) throws java.io.IOException;

  public void write( byte[] b, int off, int len ) throws java.io.IOException;

  public void flush( ) throws java.io.IOException;

  public void close( ) throws java.io.IOException;

}

Methods

public void writeObject( java.lang.Object obj ) throws java.io.IOException

Write an object to the underlying storage or stream.  The class that implements this interface defines how the object is written.

Throws

IOException

Any of the usual Input/Output related exceptions.

public void write( int b ) throws java.io.IOException

Writes a byte. This method will block until the byte is actually written.

Parameter

b

the byte

Throws

IOException

If an I/O error has occurred.

public void write( byte[] b ) throws java.io.IOException

Writes an array of bytes. This method will block until the bytes are actually written.

Parameter

b

the data to be written

Throws

IOException

If an I/O error has occurred.

public void write( byte[] b, int off, int len ) throws java.io.IOException

Writes a sub array of bytes.

Parameters

b

the data to be written

off

the start offset in the data

len

the number of bytes that are written

Throws

IOException

If an I/O error has occurred.

public void flush( ) throws java.io.IOException

Flushes the stream. This will write any buffered output bytes.

Throws

IOException

If an I/O error has occurred.

public void close( ) throws java.io.IOException

Closes the stream. This method must be called to release any resources associated with the stream.

Throws

IOException

If an I/O error has occurred.

Implemented by

ObjectOutputStream [java.io]

See also

InputStream class [java.io]

ObjectOutputStream class [java.io]

ObjectInputStream class [java.io]


ObjectOutputStream class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      ObjectOutputStream class [java.io]

Object

OutputStream

ObjectOutputStream

Description

An ObjectOutputStream writes primitive data types and graphs of Java objects to an OutputStream.  The objects can be read (reconstituted) using an ObjectInputStream. Persistent storage of objects can be accomplished by using a file for the stream. If the stream is a network socket stream, the objects can be reconsituted on another host or in another process.

Only objects that support the java.io.Serializable interface can be written to streams. The class of each serializable object is encoded including the class name and signature of the class, the values of the object's fields and arrays, and the closure of any other objects referenced from the initial objects.

The method writeObject is used to write an object to the stream.  Any object, including Strings and arrays, is written with writeObject. Multiple objects or primitives can be written to the stream.  The objects must be read back from the corresponding ObjectInputstream with the same types and in the same order as they were written.

Primitive data types can also be written to the stream using the appropriate methods from DataOutput. Strings can also be written using the writeUTF method.

The default serialization mechanism for an object writes the class of the object, the class signature, and the values of all non-transient and non-static fields.  References to other objects (except in transient or static fields) cause those objects to be written also. Multiple references to a single object are encoded using a reference sharing mechanism so that graphs of objects can be restored to the same shape as when the original was written.

For example to write an object that can be read by the example in ObjectInputStream:

FileOutputStream ostream = new FileOutputStream("t.tmp");

ObjectOutputStream p = new ObjectOutputStream(ostream);

p.writeInt(12345);

p.writeObject("Today");

p.writeObject(new Date());

p.flush();

ostream.close();

Classes that require special handling during the serialization and deserialization process must implement special methods with these exact signatures:

private void readObject(java.io.ObjectInputStream stream)

   throws IOException, ClassNotFoundException;

private void writeObject(java.io.ObjectOutputStream stream)

   throws IOException

The writeObject method is responsible for writing the state of the object for its particular class so that the corresponding readObject method can restore it. The method does not need to concern itself with the state belonging to the object's superclasses or subclasses. State is saved by writing the individual fields to the ObjectOutputStream using the writeObject method or by using the methods for primitive data types supported by DataOutput.

Serialization does not write out the fields of any object that does not implement the java.io.Serializable interface.  Subclasses of Objects that are not serializable can be serializable. In this case the non-serializable class must have a no-arg constructor to allow its fields to be initialized.  In this case it is the responsibility of the subclass to save and restore the state of the non-serializable class. It is frequently the case that the fields of that class are accessible (public, package, or protected) or that there are get and set methods that can be used to restore the state.

Serialization of an object can be prevented by implementing writeObject and readObject methods that throw the NotSerializableException. The exception will be caught by the ObjectOutputStream and abort the serialization process. Implementing the Externalizable interface allows the object to assume complete control over the contents and format of the object's serialized form.  The methods of the Externalizable interface, writeExternal and readExternal, are called to save and restore the objects state.  When implemented by a class they can write and read their own state using all of the methods of ObjectOutput and ObjectInput.  It is the responsibility of the objects to handle any versioning that occurs.

Specification

public class ObjectOutputStream extends java.io.OutputStream implements java.io.ObjectOutput, java.io.ObjectStreamConstants

Constructor

public ObjectOutputStream( java.io.OutputStream out ) throws java.io.IOException

Creates an ObjectOutputStream that writes to the specified OutputStream. The stream header is written to the stream. The caller may want to call flush immediately so that the corresponding ObjectInputStream can read the header immediately.

Throws

IOException

Any exception thrown by the underlying OutputStream.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( ) throws java.io.IOException

  final void defaultWriteObject( ) throws java.io.IOException

  void flush( ) throws java.io.IOException

  void reset( ) throws java.io.IOException

  void write( byte[] b, int off, int len ) throws java.io.IOException

  void write( int data ) throws java.io.IOException

  void write( byte[] b ) throws java.io.IOException

  void writeBoolean( boolean data ) throws java.io.IOException

  void writeByte( int data ) throws java.io.IOException

  void writeBytes( java.lang.String data ) throws java.io.IOException

  void writeChar( int data ) throws java.io.IOException

  void writeChars( java.lang.String data ) throws java.io.IOException

  void writeDouble( double data ) throws java.io.IOException

  void writeFloat( float data ) throws java.io.IOException

  void writeInt( int data ) throws java.io.IOException

  void writeLong( long data ) throws java.io.IOException

  final void writeObject( java.lang.Object obj ) throws java.io.IOException

  void writeShort( int data ) throws java.io.IOException

  void writeUTF( java.lang.String data ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected void annotateClass( java.lang.Class cl ) throws java.io.IOException

 protected void drain( ) throws java.io.IOException

 protected final boolean enableReplaceObject( boolean enable ) throws java.lang.SecurityException

 protected java.lang.Object replaceObject( java.lang.Object obj ) throws java.io.IOException

 protected void writeStreamHeader( ) throws java.io.IOException

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

DataOutput interface [java.io]

ObjectInputStream class [java.io]

Serializable interface [java.io]

Externalizable interface [java.io]


ObjectStreamClass class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      ObjectStreamClass class [java.io]

Object

ObjectStreamClass

Description

A ObjectStreamClass describes a class that can be serialized to a stream or a class that was serialized to a stream.  It contains the name and the serialVersionUID of the class.
The ObjectStreamClass for a specific class loaded in this Java VM can be found using the lookup method.

Specification

public class ObjectStreamClass extends java.lang.Object implements java.io.Serializable

Properties

  java.lang.String getName( )

  long getSerialVersionUID( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.Class forClass( )

  static java.io.ObjectStreamClass lookup( java.lang.Class cl )

  java.lang.String toString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


ObjectStreamException class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      ObjectStreamException class [java.io]

Object

Throwable

Exception

IOException

ObjectStreamException

Description

Superclass of all exceptions specific to Object Stream classes.

Specification

public abstract class ObjectStreamException extends java.io.IOException

Constructors

protected ObjectStreamException( )

Create an ObjectStreamException.

protected ObjectStreamException( java.lang.String classname )

Create an ObjectStreamException with the specified argument.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


ObjID class [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      ObjID class [java.rmi.server]

Object

ObjID

Description

The class ObjID is used to identify remote objects uniquely in a VM over time. Each identifier contains an object number and an address space identifier that is unique with respect to a specific host. An object identifier is assigned to a remote object when it is exported.

Specification

public final class ObjID extends java.lang.Object implements java.io.Serializable

Constructors

public ObjID( )

Generate unique object identifier.

public ObjID( int num )

Generate a "well-known" object ID.  An object ID generated via this constructor will not clash with any object IDs generated via the default constructor.

Parameter

num

a unique well-known object number

Variables

public static final int REGISTRY_ID

Well-known id for the registry.

public static final int DGC_ID

Well-known id for the distributed garbage collector.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  boolean equals( java.lang.Object obj )

  int hashCode( )

  static java.rmi.server.ObjID read( java.io.ObjectInput in ) throws java.io.IOException

  java.lang.String toString( )

  void write( java.io.ObjectOutput out ) throws java.io.IOException

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


Observable class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      Observable class [java.util]

Object

Observable

Description

This class represents an observable object, or "data" in the model-view paradigm. It can be subclassed to represent an object that the application wants to have observed.

An observable object can have one or more observers. After an observable instance changes, an application calling the Observable's notifyObservers method causes all of its observers to be notified of the change by a call to their update method.

Specification

public class Observable extends java.lang.Object

Constructor

public Observable( )

Construct an Observable with zero Observers *

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  synchronized void addObserver( java.util.Observer o )

  synchronized int countObservers( )

  synchronized void deleteObserver( java.util.Observer o )

  synchronized void deleteObservers( )

  synchronized boolean hasChanged( )

  void notifyObservers( java.lang.Object arg )

  void notifyObservers( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected synchronized void clearChanged( )

 protected synchronized void setChanged( )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

notifyObservers method [java.util.Observable]

Observer interface [java.util]


Observer interface [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      Observer interface [java.util]

Description

A class can implement the Observer interface when it wants to be informed of changes in observable objects.

Definition

public interface Observer

{

  // Methods

  public void update( java.util.Observable o, java.lang.Object arg );

}

Methods

public void update( java.util.Observable o, java.lang.Object arg )

This method is called whenever the observed object is changed. An application calls an observable object's notifyObservers method  to have all the object's observers notified of the change.

Parameters

o

the observable object.

arg

an argument passed to the notifyObservers method.

See also

Observable class [java.util]


oldValue property [java.beans.PropertyChangeEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      oldValue property [java.beans.PropertyChangeEvent]

public java.lang.Object getOldValue( )

No documentation supplied in JDK

Return

The old value for the property, expressed as an Object. May be null if multiple properties have changed.

Applies to

 PropertyChangeEvent [java.beans]


on method [java.security.DigestInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      on method [java.security.DigestInputStream]

public void on( boolean on )

Turns the digest function on or off. The default is on.  When it is on, a call to read results in an update on the message digest.  But when it is off, the message digest is not updated.

Parameter

on

true to turn the digest function on, false to turn it off.

Applies to

 DigestInputStream [java.security]


on method [java.security.DigestOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      on method [java.security.DigestOutputStream]

public void on( boolean on )

Turns the digest function on or off. The default is on.  When it is on, a call to write results in an update on the message digest.  But when it is off, the message digest is not updated.

Parameter

on

true to turn the digest function on, false to turn it off.

Applies to

 DigestOutputStream [java.security]


openConnection method [java.net.URL] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      openConnection method [java.net.URL]

public java.net.URLConnection openConnection( ) throws java.io.IOException

Returns a URLConnection object that represents a connection to the remote object referred to by the URL.

If there is not already an open connection, the connection is opened by calling the openConnection method of the protocol handler for this URL.

Return

A URLConnection to the URL.

Throws

IOException

If an I/O exception occurs.

See also

URLConnection class [java.net]

openConnection method [java.net.URLStreamHandler]

Applies to

 URL [java.net]


openConnection method [java.net.URLStreamHandler] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      openConnection method [java.net.URLStreamHandler]

protected abstract java.net.URLConnection openConnection( java.net.URL u ) throws java.io.IOException

Opens a connection to the object referenced by the URL argument. This method should be overridden by a subclass.

Parameter

u

the URL that this connects to.

Return

A URLConnection object for the URL.

Throws

IOException

If an I/O error occurs while opening the connection.

Applies to

 URLStreamHandler [java.net]


openStream method [java.net.URL] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      openStream method [java.net.URL]

public final java.io.InputStream openStream( ) throws java.io.IOException

Opens a connection to this URL and returns an InputStream for reading from that connection. This method is a shorthand for:

openConnection().getInputStream()

Return

An input stream for reading from the URL connection.

Throws

IOException

If an I/O exception occurs.

Applies to

 URL [java.net]


Operation class [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      Operation class [java.rmi.server]

Object

Operation

Description

Operation holds a description of a Java method.

Specification

public class Operation extends java.lang.Object

Constructor

public Operation( java.lang.String op )

Creates a new Operation object.

Properties

  java.lang.String getOperation( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.String toString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


operation property [java.rmi.server.Operation] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      operation property [java.rmi.server.Operation]

public java.lang.String getOperation( )

Returns the name of the method.

Return

No documentation supplied in JDK.

Applies to

 Operation [java.rmi.server]


OptionalDataException class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      OptionalDataException class [java.io]

Object

Throwable

Exception

IOException

ObjectStreamException

OptionalDataException

Description

Unexpected data appeared in an ObjectInputStream trying to read an Object. This exception occurs when the stream contains primitive data instead of the object expected by readObject. The eof flag in the exception is true to indicate that no more primitive data is available. The count field contains the number of bytes available to read.

Specification

public class OptionalDataException extends java.io.ObjectStreamException

Variables

public int length

The number of bytes of primitive data available to be read in the current buffer.

public boolean eof

True if there is no more data in the buffered part of the stream.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


or method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      or method [java.math.BigInteger]

public java.math.BigInteger or( java.math.BigInteger val )

Returns a BigInteger whose value is (this | val).  (This method returns a negative number iff either this or val is negative.)

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


or method [java.util.BitSet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      or method [java.util.BitSet]

public void or( java.util.BitSet set )

Logically ORs this bit set with the specified set of bits.

Parameter

set

the bit set to be ORed with

Applies to

 BitSet [java.util]


ordinaryChar method [java.io.StreamTokenizer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      ordinaryChar method [java.io.StreamTokenizer]

public void ordinaryChar( int ch )

Specifies that the character argument is "ordinary" in this tokenizer. It removes any special significance the character has as a comment character, word component, string delimiter, white space, or number character. When such a character is encountered by the parser, the parser treates it as a single-character token and sets ttype field to the character value.

Parameter

ch

the character.

Applies to

 StreamTokenizer [java.io]


ordinaryChars method [java.io.StreamTokenizer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      ordinaryChars method [java.io.StreamTokenizer]

public void ordinaryChars( int low, int hi )

Specifies that all characters c in the range low <= c  <= high are "ordinary" in this tokenizer. See the ordinaryChar method for more information on a character being ordinary.

Parameters

low

the low end of the range.

hi

the high end of the range.

See also

ordinaryChar method [java.io.StreamTokenizer]

Applies to

 StreamTokenizer [java.io]


orientation property [java.awt.Scrollbar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      orientation property [java.awt.Scrollbar]

public int getOrientation( )

Determines the orientation of this scroll bar.

Return

The orientation of this scroll bar, either Scrollbar.HORIZONTAL or Scrollbar.VERTICAL.

public void setOrientation( int orientation )

Sets the orientation for this scroll bar.

Parameter

the

orientation of this scroll bar, either Scrollbar.HORIZONTAL or Scrollbar.VERTICAL.

Throws

IllegalArgumentException

If the value supplied for orientation is not a legal value.

Applies to

 Scrollbar [java.awt]


out property [java.lang.System] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      out property [java.lang.System]

public static void setOut( java.io.PrintStream out )

Reassigns the "standard" output stream.

Applies to

 System [java.lang]


OutOfMemoryError class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      OutOfMemoryError class [java.lang]

Object

Throwable

Error

VirtualMachineError

OutOfMemoryError

Description

Thrown when the Java Virtual Machine cannot allocate an object because it is out of memory, and no more memory could be made available by the garbage collector.

Specification

public class OutOfMemoryError extends java.lang.VirtualMachineError

Constructors

public OutOfMemoryError( )

Constructs an OutOfMemoryError with no detail message.

public OutOfMemoryError( java.lang.String s )

Constructs an OutOfMemoryError with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


OutputStream class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      OutputStream class [java.io]

Object

OutputStream

Description

This abstract class is the superclass of all classes representing an output stream of bytes.

Applications that need to define a subclass of OutputStream must always provide at least a method that writes one byte of output.

Specification

public abstract class OutputStream extends java.lang.Object

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( ) throws java.io.IOException

  void flush( ) throws java.io.IOException

  abstract void write( int b ) throws java.io.IOException

  void write( byte[] b, int off, int len ) throws java.io.IOException

  void write( byte[] b ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

BufferedOutputStream class [java.io]

ByteArrayOutputStream class [java.io]

DataOutputStream class [java.io]

FilterOutputStream class [java.io]

InputStream class [java.io]

write method [java.io.OutputStream]


outputStream property [java.lang.Process] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      outputStream property [java.lang.Process]

public abstract java.io.OutputStream getOutputStream( )

Gets the output stream of the subprocess. This stream is usually buffered.

Return

The output stream connected to the normal input of the subprocess.

Applies to

 Process [java.lang]


outputStream property [java.net.Socket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      outputStream property [java.net.Socket]

public java.io.OutputStream getOutputStream( ) throws java.io.IOException

Returns an output stream for this socket.

Return

An output stream for writing bytes to this socket.

Throws

IOException

If an I/O error occurs when creating the output stream.

Applies to

 Socket [java.net]


outputStream property [java.net.SocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      outputStream property [java.net.SocketImpl]

protected abstract java.io.OutputStream getOutputStream( ) throws java.io.IOException

Returns an output stream for this socket.

Return

An output stream for writing to this socket.

Throws

IOException

If an I/O error occurs when creating the output stream.

Applies to

 SocketImpl [java.net]


outputStream property [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      outputStream property [java.net.URLConnection]

public java.io.OutputStream getOutputStream( ) throws java.io.IOException

Returns an output stream that writes to this connection.

Return

An output stream that writes to this connection.

Throws

IOException

If an I/O error occurs while creating the output stream.

UnknownServiceException

If the protocol does not support output.

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


outputStream property [java.rmi.server.LogStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      outputStream property [java.rmi.server.LogStream]

public synchronized java.io.OutputStream getOutputStream( )

Return the current stream to which output from this log is sent.

Return

No documentation supplied in JDK.

public synchronized void setOutputStream( java.io.OutputStream out )

Set the stream to which output from this log is sent.

Applies to

 LogStream [java.rmi.server]


OutputStreamWriter class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      OutputStreamWriter class [java.io]

Object

Writer

OutputStreamWriter

Description

Write characters to an output stream, translating characters into bytes according to a specified character encoding.  Each OutputStreamWriter incorporates its own CharToByteConverter, and is thus a bridge from character streams to byte streams.

The encoding used by an OutputStreamWriter may be specified by name, by providing a CharToByteConverter, or by accepting the default encoding, which is defined by the system property file.encoding.

Each invocation of a write() method causes the encoding converter to be invoked on the given character(s).  The resulting bytes are accumulated in a buffer before being written to the underlying output stream.  The size of this buffer may be specified, but by default it is large enough for most purposes.  Note that the characters passed to the write() methods are not buffered.  For top efficiency, consider wrapping an OutputStreamWriter within a BufferedWriter so as to avoid frequent converter invocations.  For example,

Writer out

 = new BufferedWriter(new OutputStreamWriter(System.out));

Specification

public class OutputStreamWriter extends java.io.Writer

Constructors

public OutputStreamWriter( java.io.OutputStream out )

Create an OutputStreamWriter that uses the default character encoding.

Parameter

out

An OutputStream

public OutputStreamWriter( java.io.OutputStream out, java.lang.String enc ) throws java.io.UnsupportedEncodingException

Create an OutputStreamWriter that uses the named character encoding.

Parameters

out

An OutputStream

enc

Name of the encoding to be used

Throws

UnsupportedEncodingException

If the named encoding is not supported.

Properties

  java.lang.String getEncoding( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( ) throws java.io.IOException

  void flush( ) throws java.io.IOException

  void write( char[] cbuf, int off, int len ) throws java.io.IOException

  void write( java.lang.String str, int off, int len ) throws java.io.IOException

  void write( int c ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  void write( char[] cbuf ) throws java.io.IOException

  void write( java.lang.String str ) throws java.io.IOException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

BufferedWriter class [java.io]

OutputStream class [java.io]


Owner interface [java.security.acl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     O
      Owner interface [java.security.acl]

Description

Interface for managing owners of Access Control Lists (ACLs) or ACL configurations. (Note that the Acl interface in the java.security.acl  package extends this Owner interface.) The initial owner Principal should be specified as an argument to the constructor of the class implementing this interface.

Definition

public interface Owner

{

  // Methods

  public boolean addOwner( java.security.Principal caller, java.security.Principal owner ) throws java.security.acl.NotOwnerException;

  public boolean deleteOwner( java.security.Principal caller, java.security.Principal owner ) throws java.security.acl.NotOwnerException, java.security.acl.LastOwnerException;

  public boolean isOwner( java.security.Principal owner );

}

Methods

public boolean addOwner( java.security.Principal caller, java.security.Principal owner ) throws java.security.acl.NotOwnerException

Adds an owner. Only owners can modify ACL contents. The caller principal must be an owner of the ACL in order to invoke this method. That is, only an owner can add another owner. The initial owner is configured at ACL construction time.

Parameters

caller

the principal invoking this method. It must be an owner of the ACL.

owner

the owner that should be added to the list of owners.

Return

True if successful, false if owner is already an owner.

Throws

NotOwnerException

If the caller principal is not an owner of the ACL.

public boolean deleteOwner( java.security.Principal caller, java.security.Principal owner ) throws java.security.acl.NotOwnerException, java.security.acl.LastOwnerException

Deletes an owner. If this is the last owner in the ACL, an exception is raised.

The caller principal must be an owner of the ACL in order to invoke this method.

Parameters

caller

the principal invoking this method. It must be an owner of the ACL.

owner

the owner to be removed from the list of owners.

Return

True if the owner is removed, false if the owner is not part of the list of owners.

Throws

NotOwnerException

If the caller principal is not an owner of the ACL.

LastOwnerException

If there is only one owner left, so that deleteOwner would leave the ACL owner-less.

public boolean isOwner( java.security.Principal owner )

Returns true if the given principal is an owner of the ACL.

Parameter

owner

the principal to be checked to determine whether or not it is an owner.

Return

True if the passed principal is in the list of owners, false if not.

See also

Acl interface [java.security.acl]


P  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    P

 pack method [java.awt.Window]

 pageDimension property [java.awt.PrintJob]

 pageIncrement property [java.awt.Scrollbar]

 pageResolution property [java.awt.PrintJob]

 paint method [java.awt.Canvas]

 paint method [java.awt.Component]

 paint method [java.awt.Container]

 paintable property [java.beans.PropertyEditorSupport]

 paintAll method [java.awt.Component]

 paintComponents method [java.awt.Container]

 PaintEvent class [java.awt.event]

 paintValue method [java.beans.PropertyEditorSupport]

 Panel class [java.awt]

 PanelPeer interface [java.awt.peer]

 parameter property [java.sql.DataTruncation]

 ParameterDescriptor class [java.beans]

 parameterDescriptors property [java.beans.MethodDescriptor]

 parameterInfo property [java.applet.Applet]

 parameterTypes property [java.lang.reflect.Constructor]

 parameterTypes property [java.lang.reflect.Method]

 paramString method [java.awt.AWTEvent]

 paramString method [java.awt.Button]

 paramString method [java.awt.Checkbox]

 paramString method [java.awt.CheckboxMenuItem]

 paramString method [java.awt.Choice]

 paramString method [java.awt.Component]

 paramString method [java.awt.Container]

 paramString method [java.awt.Dialog]

 paramString method [java.awt.event.ActionEvent]

 paramString method [java.awt.event.AdjustmentEvent]

 paramString method [java.awt.event.ComponentEvent]

 paramString method [java.awt.event.ContainerEvent]

 paramString method [java.awt.event.FocusEvent]

 paramString method [java.awt.event.ItemEvent]

 paramString method [java.awt.event.KeyEvent]

 paramString method [java.awt.event.MouseEvent]

 paramString method [java.awt.event.PaintEvent]

 paramString method [java.awt.event.TextEvent]

 paramString method [java.awt.event.WindowEvent]

 paramString method [java.awt.Event]

 paramString method [java.awt.FileDialog]

 paramString method [java.awt.Frame]

 paramString method [java.awt.Label]

 paramString method [java.awt.List]

 paramString method [java.awt.Menu]

 paramString method [java.awt.MenuComponent]

 paramString method [java.awt.MenuItem]

 paramString method [java.awt.MenuShortcut]

 paramString method [java.awt.Scrollbar]

 paramString method [java.awt.ScrollPane]

 paramString method [java.awt.TextArea]

 paramString method [java.awt.TextComponent]

 paramString method [java.awt.TextField]

 parent property [java.awt.Component]

 parent property [java.awt.MenuComponent]

 parent property [java.io.File]

 parent property [java.lang.ThreadGroup]

 parent property [java.util.ResourceBundle]

 parentOf method [java.lang.ThreadGroup]

 parse method [java.text.ChoiceFormat]

 parse method [java.text.DateFormat]

 parse method [java.text.DecimalFormat]

 parse method [java.text.MessageFormat]

 parse method [java.text.NumberFormat]

 parse method [java.text.SimpleDateFormat]

 parse method [java.util.Date]

 parseByte method [java.lang.Byte]

 ParseException class [java.text]

 parseInt method [java.lang.Integer]

 parseIntegerOnly property [java.text.NumberFormat]

 parseLevel method [java.rmi.server.LogStream]

 parseLong method [java.lang.Long]

 parseNumbers method [java.io.StreamTokenizer]

 parseObject method [java.text.DateFormat]

 parseObject method [java.text.Format]

 parseObject method [java.text.MessageFormat]

 parseObject method [java.text.NumberFormat]

 ParsePosition class [java.text]

 parseShort method [java.lang.Short]

 parseURL method [java.net.URLStreamHandler]

 path property [java.io.File]

 patternSeparator property [java.text.DecimalFormatSymbols]

 peek method [java.net.DatagramSocketImpl]

 peek method [java.util.Stack]

 peekEvent method [java.awt.EventQueue]

 peer property [java.awt.Component]

 peer property [java.awt.Font]

 peer property [java.awt.MenuComponent]

 percent property [java.text.DecimalFormatSymbols]

 percentInstance property [java.text.NumberFormat]

 perMill property [java.text.DecimalFormatSymbols]

 Permission interface [java.security.acl]

 PipedInputStream class [java.io]

 PipedOutputStream class [java.io]

 PipedReader class [java.io]

 PipedWriter class [java.io]

 PixelGrabber class [java.awt.image]

 pixels property [java.awt.image.PixelGrabber]

 pixelSize property [java.awt.image.ColorModel]

 plain property [java.awt.Font]

 play method [java.applet.Applet]

 Point class [java.awt]

 point property [java.awt.event.MouseEvent]

 Polygon class [java.awt]

 pop method [java.util.Stack]

 PopupMenu class [java.awt]

 PopupMenuPeer interface [java.awt.peer]

 popupTrigger property [java.awt.event.MouseEvent]

 port property [java.net.DatagramPacket]

 port property [java.net.Socket]

 port property [java.net.SocketImpl]

 port property [java.net.URL]

 positivePrefix property [java.text.DecimalFormat]

 positiveSuffix property [java.text.DecimalFormat]

 postEvent method [java.awt.Component]

 postEvent method [java.awt.EventQueue]

 postEvent method [java.awt.MenuComponent]

 postEvent method [java.awt.Window]

 pow method [java.lang.Math]

 pow method [java.math.BigInteger]

 predefinedCursor property [java.awt.Cursor]

 preferredLayoutSize method [java.awt.BorderLayout]

 preferredLayoutSize method [java.awt.CardLayout]

 preferredLayoutSize method [java.awt.FlowLayout]

 preferredLayoutSize method [java.awt.GridBagLayout]

 preferredLayoutSize method [java.awt.GridLayout]

 preferredSize method [java.awt.Component]

 preferredSize method [java.awt.Container]

 preferredSize method [java.awt.List]

 preferredSize method [java.awt.TextArea]

 preferredSize method [java.awt.TextField]

 preferredSize property [java.awt.Component]

 preferredSize property [java.awt.Container]

 preferredSize property [java.awt.List]

 preferredSize property [java.awt.TextArea]

 preferredSize property [java.awt.TextField]

 PreparedStatement interface [java.sql]

 prepareImage method [java.awt.Component]

 prepareImage method [java.awt.Toolkit]

 previous method [java.awt.CardLayout]

 previous method [java.text.BreakIterator]

 previous method [java.text.StringCharacterIterator]

 previousDouble method [java.text.ChoiceFormat]

 primaryOrder method [java.text.CollationElementIterator]

 primitive property [java.lang.Class]

 Principal interface [java.security]

 print method [java.awt.Component]

 print method [java.awt.Container]

 print method [java.io.PrintStream]

 print method [java.io.PrintWriter]

 printAll method [java.awt.Component]

 printComponents method [java.awt.Container]

 printComponents method [java.awt.ScrollPane]

 PrintGraphics interface [java.awt]

 PrintJob class [java.awt]

 println method [java.io.PrintStream]

 println method [java.io.PrintWriter]

 println method [java.sql.DriverManager]

 printStackTrace method [java.lang.Throwable]

 PrintStream class [java.io]

 PrintWriter class [java.io]

 priority property [java.lang.Thread]

 private property [java.security.KeyPair]

 PrivateKey interface [java.security]

 privateKey property [java.security.Signer]

 Process class [java.lang]

 processActionEvent method [java.awt.Button]

 processActionEvent method [java.awt.List]

 processActionEvent method [java.awt.MenuItem]

 processActionEvent method [java.awt.TextField]

 processAdjustmentEvent method [java.awt.Scrollbar]

 processComponentEvent method [java.awt.Component]

 processContainerEvent method [java.awt.Container]

 processEvent method [java.awt.Button]

 processEvent method [java.awt.Checkbox]

 processEvent method [java.awt.CheckboxMenuItem]

 processEvent method [java.awt.Choice]

 processEvent method [java.awt.Component]

 processEvent method [java.awt.Container]

 processEvent method [java.awt.List]

 processEvent method [java.awt.MenuComponent]

 processEvent method [java.awt.MenuItem]

 processEvent method [java.awt.Scrollbar]

 processEvent method [java.awt.TextComponent]

 processEvent method [java.awt.TextField]

 processEvent method [java.awt.Window]

 processFocusEvent method [java.awt.Component]

 processItemEvent method [java.awt.Checkbox]

 processItemEvent method [java.awt.CheckboxMenuItem]

 processItemEvent method [java.awt.Choice]

 processItemEvent method [java.awt.List]

 processKeyEvent method [java.awt.Component]

 processMouseEvent method [java.awt.Component]

 processMouseMotionEvent method [java.awt.Component]

 processTextEvent method [java.awt.TextComponent]

 processWindowEvent method [java.awt.Window]

 propagationId property [java.beans.PropertyChangeEvent]

 Properties class [java.util]

 properties property [java.awt.image.CropImageFilter]

 properties property [java.awt.image.ImageFilter]

 properties property [java.awt.image.PixelGrabber]

 properties property [java.awt.image.ReplicateScaleFilter]

 properties property [java.lang.System]

 PropertyChangeEvent class [java.beans]

 PropertyChangeEvent event [java.beans.PropertyChangeSupport]

 PropertyChangeEvent event [java.beans.PropertyEditorSupport]

 propertyChangeEvent property [java.beans.PropertyVetoException]

 PropertyChangeListener interface [java.beans]

 PropertyChangeSupport class [java.beans]

 PropertyDescriptor class [java.beans]

 propertyDescriptors property [java.beans.SimpleBeanInfo]

 PropertyEditor interface [java.beans]

 propertyEditorClass property [java.beans.PropertyDescriptor]

 PropertyEditorManager class [java.beans]

 PropertyEditorSupport class [java.beans]

 propertyName property [java.beans.PropertyChangeEvent]

 propertyNames method [java.util.Properties]

 PropertyResourceBundle class [java.util]

 propertyType property [java.beans.PropertyDescriptor]

 PropertyVetoException class [java.beans]

 protocol property [java.net.URL]

 ProtocolException class [java.net]

 Provider class [java.security]

 ProviderException class [java.security]

 providers property [java.security.Security]

 public property [java.security.KeyPair]

 PublicKey interface [java.security]

 publicKey property [java.security.Identity]

 push method [java.util.Stack]

 pushBack method [java.io.StreamTokenizer]

 PushbackInputStream class [java.io]

 PushbackReader class [java.io]

 put method [java.util.Dictionary]

 put method [java.util.Hashtable]

 putNextEntry method [java.util.zip.ZipOutputStream]


pack method [java.awt.Window] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      pack method [java.awt.Window]

public void pack( )

Causes subcomponents of this window to be laid out at their preferred size.

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Window [java.awt]


pageDimension property [java.awt.PrintJob] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      pageDimension property [java.awt.PrintJob]

public abstract java.awt.Dimension getPageDimension( )

Returns the dimensions of the page in pixels. The resolution of the page is chosen so that it is similar to the screen resolution.

Return

No documentation supplied in JDK.

Applies to

 PrintJob [java.awt]


pageIncrement property [java.awt.Scrollbar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      pageIncrement property [java.awt.Scrollbar]

public int getPageIncrement( )

Note: getPageIncrement has been deprecated. As of JDK version 1.1, replaced by getBlockIncrement().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

public synchronized void setPageIncrement( int v )

Note: setPageIncrement has been deprecated. As of JDK version 1.1, replaced by setBlockIncrement().

Note: setPageIncrement has been deprecated. As of JDK version 1.1, replaced by setBlockIncrement().

No documentation supplied in JDK

Applies to

 Scrollbar [java.awt]


pageResolution property [java.awt.PrintJob] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      pageResolution property [java.awt.PrintJob]

public abstract int getPageResolution( )

Returns the resolution of the page in pixels per inch. Note that this doesn't have to correspond to the physical resolution of the printer.

Return

No documentation supplied in JDK.

Applies to

 PrintJob [java.awt]


paint method [java.awt.Canvas] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paint method [java.awt.Canvas]

Overloads:

 void paint( Graphics g ) overrides paint method [java.awt.Component]

public void paint( java.awt.Graphics g )

This method is called to repaint this canvas. Most applications that subclass Canvas should override this method in order to perform some useful operation.

The paint method provided by Canvas redraws this canvas's rectangle in the background color.

The graphics context's origin (0, 0) is the top-left corner of this canvas. Its clipping region is the area of the context.

Parameter

g

the graphics context.

See also

Graphics class [java.awt]

Applies to

 Canvas [java.awt]


paint method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paint method [java.awt.Component]

public void paint( java.awt.Graphics g )

Paints this component.  This method is called when the contents of the component should be painted in response to the component first being shown or damage needing repair.  The clip rectangle in the Graphics parameter will be set to the area which needs to be painted.

Parameter

g

The graphics context to use for painting.

See also

update method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


paint method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paint method [java.awt.Container]

Overloads:

 void paint( Graphics g ) overrides paint method [java.awt.Component]

public void paint( java.awt.Graphics g )

Paints the container.  This forwards the paint to any lightweight components that are children of this container.  If this method is reimplemented, super.paint(g) should be called so that lightweight components are properly rendered.  If a child component is entirely clipped by the current clipping setting in g, paint() will not be forwarded to that child.

Parameter

g

the specified Graphics window

See also

update method [java.awt.Component]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


paintable property [java.beans.PropertyEditorSupport] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paintable property [java.beans.PropertyEditorSupport]

public boolean isPaintable( )

No documentation supplied in JDK

Return

True if the class will honor the paintValue method.

Applies to

 PropertyEditorSupport [java.beans]


paintAll method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paintAll method [java.awt.Component]

public void paintAll( java.awt.Graphics g )

Paints this component and all of its subcomponents.

The origin of the graphics context, its (0, 0) coordinate point, is the top-left corner of this component. The clipping region of the graphics context is the bounding rectangle of this component.

Parameter

g

the graphics context to use for painting.

See also

paint method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


paintComponents method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paintComponents method [java.awt.Container]

public void paintComponents( java.awt.Graphics g )

Paints each of the components in this container.

Parameter

g

the graphics context.

See also

paint method [java.awt.Component]

paintAll method [java.awt.Component]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


PaintEvent class [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PaintEvent class [java.awt.event]

Object

EventObject

AWTEvent

ComponentEvent

PaintEvent

Description

The component-level paint event. This event is a special type which is used to ensure that paint/update method calls are serialized along with the other events delivered from the event queue.  This event is not designed to be used with the Event Listener model; programs should continue to override paint/update methods in order render themselves properly.

Specification

public class PaintEvent extends java.awt.event.ComponentEvent

Constructor

public PaintEvent( java.awt.Component source, int id, java.awt.Rectangle updateRect )

Constructs a PaintEvent object with the specified source component and type.

Parameter

source

the object where the event originated

Variables

public static final int PAINT_FIRST

Marks the first integer id for the range of paint event ids.

public static final int PAINT_LAST

Marks the last integer id for the range of paint event ids.

public static final int PAINT

The paint event type.

public static final int UPDATE

The update event type.

Properties

  java.awt.Rectangle getUpdateRect( )

  void setUpdateRect( java.awt.Rectangle updateRect )

Inherited Properties

  native final java.lang.Class getClass( )

  java.awt.Component getComponent( )

  int getID( )

  java.lang.Object getSource( )

Protected Properties

 protected boolean isConsumed( )

Methods

  java.lang.String paramString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void consume( )

 protected void finalize( ) throws java.lang.Throwable


paintValue method [java.beans.PropertyEditorSupport] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paintValue method [java.beans.PropertyEditorSupport]

public void paintValue( java.awt.Graphics gfx, java.awt.Rectangle box )

Paint a representation of the value into a given area of screen real estate.  Note that the propertyEditor is responsible for doing its own clipping so that it fits into the given rectangle.

If the PropertyEditor doesn't honor paint requests (see isPaintable) this method should be a silent noop.

Parameters

gfx

Graphics object to paint into.

box

Rectangle within graphics object into which we should paint.

Applies to

 PropertyEditorSupport [java.beans]


Panel class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      Panel class [java.awt]

Object

Component

Container

Panel

Description

Panel is the simplest container class. A panel provides space in which an application can attach any other component, including other panels.

The default layout manager for a panel is the FlowLayout layout manager.

Specification

public class Panel extends java.awt.Container

Constructors

public Panel( )

Creates a new panel using the default layout manager. The default layout manager for all panels is the FlowLayout class.

public Panel( java.awt.LayoutManager layout )

Creates a new panel with the specified layout manager.

Parameter

layout

the layout manager for this panel.

Inherited Properties

  float getAlignmentX( )

  float getAlignmentY( )

  java.awt.Color getBackground( )

  void setBackground( java.awt.Color c )

  java.awt.Rectangle getBounds( )

  void setBounds( java.awt.Rectangle r )

  native final java.lang.Class getClass( )

  java.awt.image.ColorModel getColorModel( )

  java.awt.Component getComponent( int n )

  int getComponentCount( )

  java.awt.Component[] getComponents( )

  java.awt.Cursor getCursor( )

  synchronized void setCursor( java.awt.Cursor cursor )

  void setEnabled( boolean b )

  boolean isEnabled( )

  boolean isFocusTraversable( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.awt.Color getForeground( )

  void setForeground( java.awt.Color c )

  java.awt.Graphics getGraphics( )

  java.awt.Insets getInsets( )

  java.awt.LayoutManager getLayout( )

  void setLayout( java.awt.LayoutManager mgr )

  java.util.Locale getLocale( )

  void setLocale( java.util.Locale l )

  java.awt.Point getLocation( )

  void setLocation( java.awt.Point p )

  void setLocation( int x, int y )

  java.awt.Point getLocationOnScreen( )

  java.awt.Dimension getMaximumSize( )

  java.awt.Dimension getMinimumSize( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.Container getParent( )

  java.awt.peer.ComponentPeer getPeer( )

  java.awt.Dimension getPreferredSize( )

  boolean isShowing( )

  java.awt.Dimension getSize( )

  void setSize( java.awt.Dimension d )

  void setSize( int width, int height )

  java.awt.Toolkit getToolkit( )

  final java.lang.Object getTreeLock( )

  boolean isValid( )

  void setVisible( boolean b )

  boolean isVisible( )

Methods

  void addNotify( )

Inherited Methods

  boolean action( java.awt.Event evt, java.lang.Object what )

  synchronized void add( java.awt.PopupMenu popup )

  void add( java.awt.Component comp, java.lang.Object constraints, int index )

  java.awt.Component add( java.awt.Component comp )

  java.awt.Component add( java.awt.Component comp, int index )

  void add( java.awt.Component comp, java.lang.Object constraints )

  java.awt.Component add( java.lang.String name, java.awt.Component comp )

  java.awt.Rectangle bounds( )

  int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  int checkImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  boolean contains( java.awt.Point p )

  boolean contains( int x, int y )

  int countComponents( )

  java.awt.Image createImage( java.awt.image.ImageProducer producer )

  java.awt.Image createImage( int width, int height )

  void deliverEvent( java.awt.Event e )

  void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  void doLayout( )

  void enable( )

  void enable( boolean b )

  boolean equals( java.lang.Object obj )

  java.awt.Component getComponentAt( java.awt.Point p )

  java.awt.Component getComponentAt( int x, int y )

  java.awt.FontMetrics getFontMetrics( java.awt.Font font )

  boolean gotFocus( java.awt.Event evt, java.lang.Object what )

  boolean handleEvent( java.awt.Event evt )

  native int hashCode( )

  void hide( )

  boolean imageUpdate( java.awt.Image img, int flags, int x, int y, int w, int h )

  java.awt.Insets insets( )

  boolean inside( int x, int y )

  void invalidate( )

  boolean isAncestorOf( java.awt.Component c )

  boolean keyDown( java.awt.Event evt, int key )

  boolean keyUp( java.awt.Event evt, int key )

  void layout( )

  void list( java.io.PrintStream out )

  void list( java.io.PrintStream out, int indent )

  void list( java.io.PrintWriter out, int indent )

  void list( java.io.PrintWriter out )

  void list( )

  java.awt.Component locate( int x, int y )

  java.awt.Point location( )

  boolean lostFocus( java.awt.Event evt, java.lang.Object what )

  java.awt.Dimension minimumSize( )

  boolean mouseDown( java.awt.Event evt, int x, int y )

  boolean mouseDrag( java.awt.Event evt, int x, int y )

  boolean mouseEnter( java.awt.Event evt, int x, int y )

  boolean mouseExit( java.awt.Event evt, int x, int y )

  boolean mouseMove( java.awt.Event evt, int x, int y )

  boolean mouseUp( java.awt.Event evt, int x, int y )

  void move( int x, int y )

  void nextFocus( )

  native final void notify( )

  native final void notifyAll( )

  void paint( java.awt.Graphics g )

  void paintAll( java.awt.Graphics g )

  void paintComponents( java.awt.Graphics g )

  boolean postEvent( java.awt.Event e )

  java.awt.Dimension preferredSize( )

  boolean prepareImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  void print( java.awt.Graphics g )

  void printAll( java.awt.Graphics g )

  void printComponents( java.awt.Graphics g )

  synchronized void remove( java.awt.MenuComponent popup )

  void remove( int index )

  void remove( java.awt.Component comp )

  void removeAll( )

  void removeNotify( )

  void repaint( long tm, int x, int y, int width, int height )

  void repaint( long tm )

  void repaint( int x, int y, int width, int height )

  void repaint( )

  void requestFocus( )

  void reshape( int x, int y, int width, int height )

  void resize( java.awt.Dimension d )

  void resize( int width, int height )

  void setBounds( int x, int y, int width, int height )

  void show( )

  void show( boolean b )

  java.awt.Dimension size( )

  java.lang.String toString( )

  void transferFocus( )

  void update( java.awt.Graphics g )

  void validate( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void addImpl( java.awt.Component comp, java.lang.Object constraints, int index )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void finalize( ) throws java.lang.Throwable

 protected java.lang.String paramString( )

 protected void processComponentEvent( java.awt.event.ComponentEvent e )

 protected void processContainerEvent( java.awt.event.ContainerEvent e )

 protected void processEvent( java.awt.AWTEvent e )

 protected void processFocusEvent( java.awt.event.FocusEvent e )

 protected void processKeyEvent( java.awt.event.KeyEvent e )

 protected void processMouseEvent( java.awt.event.MouseEvent e )

 protected void processMouseMotionEvent( java.awt.event.MouseEvent e )

 protected void validateTree( )

Inherited Events

  synchronized void addComponentListener( java.awt.event.ComponentListener l )

  synchronized void removeComponentListener( java.awt.event.ComponentListener l )

  synchronized void addContainerListener( java.awt.event.ContainerListener l )

  synchronized void removeContainerListener( java.awt.event.ContainerListener l )

  synchronized void addFocusListener( java.awt.event.FocusListener l )

  synchronized void removeFocusListener( java.awt.event.FocusListener l )

  synchronized void addKeyListener( java.awt.event.KeyListener l )

  synchronized void removeKeyListener( java.awt.event.KeyListener l )

  synchronized void addMouseListener( java.awt.event.MouseListener l )

  synchronized void removeMouseListener( java.awt.event.MouseListener l )

  synchronized void addMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void removeMouseMotionListener( java.awt.event.MouseMotionListener l )

See also

FlowLayout class [java.awt]


PanelPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PanelPeer interface [java.awt.peer]

Definition

public interface PanelPeer extends java.awt.peer.ContainerPeer

{

}


parameter property [java.sql.DataTruncation] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parameter property [java.sql.DataTruncation]

public boolean getParameter( )

Is this a truncated parameter value?

Return

True if the value was a parameter; false if it was a column value.

Applies to

 DataTruncation [java.sql]


ParameterDescriptor class [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      ParameterDescriptor class [java.beans]

Object

FeatureDescriptor

ParameterDescriptor

Description

The ParameterDescriptor class allows bean implementors to provide additional information on each of their parameters, beyond the low level type information provided by the java.lang.reflect.Method class.

Currently all our state comes from the FeatureDescriptor base class.

Specification

public class ParameterDescriptor extends java.beans.FeatureDescriptor

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getDisplayName( )

  void setDisplayName( java.lang.String displayName )

  void setExpert( boolean expert )

  boolean isExpert( )

  void setHidden( boolean hidden )

  boolean isHidden( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.lang.String getShortDescription( )

  void setShortDescription( java.lang.String text )

Inherited Methods

  java.util.Enumeration attributeNames( )

  boolean equals( java.lang.Object obj )

  java.lang.Object getValue( java.lang.String attributeName )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void setValue( java.lang.String attributeName, java.lang.Object value )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


parameterDescriptors property [java.beans.MethodDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parameterDescriptors property [java.beans.MethodDescriptor]

public java.beans.ParameterDescriptor[] getParameterDescriptors( )

No documentation supplied in JDK

Return

The locale-independent names of the parameters.  May return a null array if the parameter names aren't known.

Applies to

 MethodDescriptor [java.beans]


parameterInfo property [java.applet.Applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parameterInfo property [java.applet.Applet]

public java.lang.String[][] getParameterInfo( )

Returns information about the parameters than are understood by this applet. An applet should override this method to return an array of Strings describing these parameters.

Each element of the array should be a set of three Strings containing the name, the type, and a description. For example:

String pinfo[][] = {

 {"fps",    "1-10",    "frames per second"},

 {"repeat", "boolean", "repeat image loop"},

 {"imgs",   "url",     "images directory"}

};

The implementation of this method provided by the Applet class returns null.

Return

An array describing the parameters this applet looks for.

Applies to

 Applet [java.applet]


parameterTypes property [java.lang.reflect.Constructor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parameterTypes property [java.lang.reflect.Constructor]

public java.lang.Class[] getParameterTypes( )

Returns an array of Class objects that represent the formal parameter types, in declaration order, of the constructor represented by this Constructor object.  Returns an array of length 0 if the underlying constructor takes no parameters.

Return

No documentation supplied in JDK.

Applies to

 Constructor [java.lang.reflect]


parameterTypes property [java.lang.reflect.Method] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parameterTypes property [java.lang.reflect.Method]

public java.lang.Class[] getParameterTypes( )

Returns an array of Class objects that represent the formal parameter types, in declaration order, of the method represented by this Method object.  Returns an array of length 0 if the underlying method takes no parameters.

Return

No documentation supplied in JDK.

Applies to

 Method [java.lang.reflect]


paramString method [java.awt.AWTEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.AWTEvent]

public java.lang.String paramString( )

Applies to

 ActionEvent [java.awt.event]

 AdjustmentEvent [java.awt.event]

 AWTEvent [java.awt]

 ComponentEvent [java.awt.event]

 ContainerEvent [java.awt.event]

 FocusEvent [java.awt.event]

 InputEvent [java.awt.event]

 ItemEvent [java.awt.event]

 KeyEvent [java.awt.event]

 MouseEvent [java.awt.event]

 PaintEvent [java.awt.event]

 TextEvent [java.awt.event]

 WindowEvent [java.awt.event]


paramString method [java.awt.Button] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.Button]

Overloads:

 String paramString( ) overrides paramString method [java.awt.Component]

protected java.lang.String paramString( )

Returns the parameter string representing the state of this button. This string is useful for debugging.

Return

The parameter string of this button.

Applies to

 Button [java.awt]


paramString method [java.awt.Checkbox] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.Checkbox]

Overloads:

 String paramString( ) overrides paramString method [java.awt.Component]

protected java.lang.String paramString( )

Returns the parameter string representing the state of this check box. This string is useful for debugging.

Return

The parameter string of this check box.

Applies to

 Checkbox [java.awt]


paramString method [java.awt.CheckboxMenuItem] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.CheckboxMenuItem]

Overloads:

 String paramString( ) overrides paramString method [java.awt.MenuItem]

public java.lang.String paramString( )

Returns the parameter string representing the state of this check box menu item. This string is useful for debugging.

Return

The parameter string of this check box menu item.

Applies to

 CheckboxMenuItem [java.awt]


paramString method [java.awt.Choice] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.Choice]

Overloads:

 String paramString( ) overrides paramString method [java.awt.Component]

protected java.lang.String paramString( )

Returns the parameter string representing the state of this choice menu. This string is useful for debugging.

Return

The parameter string of this Choice menu.

Applies to

 Choice [java.awt]


paramString method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.Component]

protected java.lang.String paramString( )

Returns the parameter string representing the state of this component. This string is useful for debugging.

Return

The parameter string of this component.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


paramString method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.Container]

Overloads:

 String paramString( ) overrides paramString method [java.awt.Component]

protected java.lang.String paramString( )

Returns the parameter string representing the state of this container. This string is useful for debugging.

Return

The parameter string of this container.

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


paramString method [java.awt.Dialog] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.Dialog]

Overloads:

 String paramString( ) overrides paramString method [java.awt.Container]

protected java.lang.String paramString( )

Returns the parameter string representing the state of this dialog window. This string is useful for debugging.

Return

The parameter string of this dialog window.

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]


paramString method [java.awt.event.ActionEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.event.ActionEvent]

Overloads:

 String paramString( ) overrides paramString method [java.awt.AWTEvent]

public java.lang.String paramString( )

Applies to

 ActionEvent [java.awt.event]


paramString method [java.awt.event.AdjustmentEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.event.AdjustmentEvent]

Overloads:

 String paramString( ) overrides paramString method [java.awt.AWTEvent]

public java.lang.String paramString( )

Applies to

 AdjustmentEvent [java.awt.event]


paramString method [java.awt.event.ComponentEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.event.ComponentEvent]

Overloads:

 String paramString( ) overrides paramString method [java.awt.AWTEvent]

public java.lang.String paramString( )

Applies to

 ComponentEvent [java.awt.event]

 ContainerEvent [java.awt.event]

 FocusEvent [java.awt.event]

 InputEvent [java.awt.event]

 KeyEvent [java.awt.event]

 MouseEvent [java.awt.event]

 PaintEvent [java.awt.event]

 WindowEvent [java.awt.event]


paramString method [java.awt.event.ContainerEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.event.ContainerEvent]

Overloads:

 String paramString( ) overrides paramString method [java.awt.event.ComponentEvent]

public java.lang.String paramString( )

Applies to

 ContainerEvent [java.awt.event]


paramString method [java.awt.event.FocusEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.event.FocusEvent]

Overloads:

 String paramString( ) overrides paramString method [java.awt.event.ComponentEvent]

public java.lang.String paramString( )

Applies to

 FocusEvent [java.awt.event]


paramString method [java.awt.event.ItemEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.event.ItemEvent]

Overloads:

 String paramString( ) overrides paramString method [java.awt.AWTEvent]

public java.lang.String paramString( )

Applies to

 ItemEvent [java.awt.event]


paramString method [java.awt.event.KeyEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.event.KeyEvent]

Overloads:

 String paramString( ) overrides paramString method [java.awt.event.ComponentEvent]

public java.lang.String paramString( )

Applies to

 KeyEvent [java.awt.event]


paramString method [java.awt.event.MouseEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.event.MouseEvent]

Overloads:

 String paramString( ) overrides paramString method [java.awt.event.ComponentEvent]

public java.lang.String paramString( )

Applies to

 MouseEvent [java.awt.event]


paramString method [java.awt.event.PaintEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.event.PaintEvent]

Overloads:

 String paramString( ) overrides paramString method [java.awt.event.ComponentEvent]

public java.lang.String paramString( )

Applies to

 PaintEvent [java.awt.event]


paramString method [java.awt.event.TextEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.event.TextEvent]

Overloads:

 String paramString( ) overrides paramString method [java.awt.AWTEvent]

public java.lang.String paramString( )

Applies to

 TextEvent [java.awt.event]


paramString method [java.awt.event.WindowEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.event.WindowEvent]

Overloads:

 String paramString( ) overrides paramString method [java.awt.event.ComponentEvent]

public java.lang.String paramString( )

Applies to

 WindowEvent [java.awt.event]


paramString method [java.awt.Event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.Event]

protected java.lang.String paramString( )

Returns the parameter string representing this event. This string is useful for debugging.

Return

The parameter string of this event.

Applies to

 Event [java.awt]


paramString method [java.awt.FileDialog] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.FileDialog]

Overloads:

 String paramString( ) overrides paramString method [java.awt.Dialog]

protected java.lang.String paramString( )

Returns the parameter string representing the state of this file dialog window. This string is useful for debugging.

Return

The parameter string of this file dialog window.

Applies to

 FileDialog [java.awt]


paramString method [java.awt.Frame] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.Frame]

Overloads:

 String paramString( ) overrides paramString method [java.awt.Container]

protected java.lang.String paramString( )

Returns the parameter String of this Frame.

Return

No documentation supplied in JDK.

Applies to

 Frame [java.awt]


paramString method [java.awt.Label] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.Label]

Overloads:

 String paramString( ) overrides paramString method [java.awt.Component]

protected java.lang.String paramString( )

Returns the parameter string representing the state of this label. This string is useful for debugging.

Return

The parameter string of this label.

Applies to

 Label [java.awt]


paramString method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.List]

Overloads:

 String paramString( ) overrides paramString method [java.awt.Component]

protected java.lang.String paramString( )

Returns the parameter string representing the state of this scrolling list. This string is useful for debugging.

Return

The parameter string of this scrolling list.

Applies to

 List [java.awt]


paramString method [java.awt.Menu] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.Menu]

Overloads:

 String paramString( ) overrides paramString method [java.awt.MenuItem]

public java.lang.String paramString( )

Gets the parameter string representing the state of this menu. This string is useful for debugging.

Return

No documentation supplied in JDK.

Applies to

 Menu [java.awt]

 PopupMenu [java.awt]


paramString method [java.awt.MenuComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.MenuComponent]

protected java.lang.String paramString( )

Returns the parameter string representing the state of this menu component. This string is useful for debugging.

Return

The parameter string of this menu component.

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuBar [java.awt]

 MenuComponent [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


paramString method [java.awt.MenuItem] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.MenuItem]

Overloads:

 String paramString( ) overrides paramString method [java.awt.MenuComponent]

public java.lang.String paramString( )

Returns the parameter string representing the state of this menu item. This string is useful for debugging.

Return

The parameter string of this menu item.

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


paramString method [java.awt.MenuShortcut] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.MenuShortcut]

protected java.lang.String paramString( )

Applies to

 MenuShortcut [java.awt]


paramString method [java.awt.Scrollbar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.Scrollbar]

Overloads:

 String paramString( ) overrides paramString method [java.awt.Component]

protected java.lang.String paramString( )

Returns the parameter string representing the state of this scroll bar. This string is useful for debugging.

Return

The parameter string of this scroll bar.

Applies to

 Scrollbar [java.awt]


paramString method [java.awt.ScrollPane] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.ScrollPane]

Overloads:

 String paramString( ) overrides paramString method [java.awt.Container]

public java.lang.String paramString( )

Applies to

 ScrollPane [java.awt]


paramString method [java.awt.TextArea] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.TextArea]

Overloads:

 String paramString( ) overrides paramString method [java.awt.TextComponent]

protected java.lang.String paramString( )

Returns the parameter string representing the state of this text area. This string is useful for debugging.

Return

The parameter string of this text area.

Applies to

 TextArea [java.awt]


paramString method [java.awt.TextComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.TextComponent]

Overloads:

 String paramString( ) overrides paramString method [java.awt.Component]

protected java.lang.String paramString( )

Returns the parameter string representing the state of this text component. This string is useful for debugging.

Return

The parameter string of this text component.

Applies to

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]


paramString method [java.awt.TextField] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      paramString method [java.awt.TextField]

Overloads:

 String paramString( ) overrides paramString method [java.awt.TextComponent]

protected java.lang.String paramString( )

Returns the parameter string representing the state of this text field. This string is useful for debugging.

Return

The parameter string of this text field.

Applies to

 TextField [java.awt]


parent property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parent property [java.awt.Component]

public java.awt.Container getParent( )

Gets the parent of this component.

Return

The parent container of this component.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


parent property [java.awt.MenuComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parent property [java.awt.MenuComponent]

public java.awt.MenuContainer getParent( )

Returns the parent container for this menu component.

Return

The menu component containing this menu component, or null if this menu component is the outermost component, the menu bar itself.

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuBar [java.awt]

 MenuComponent [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


parent property [java.io.File] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parent property [java.io.File]

public java.lang.String getParent( )

Returns the parent part of the pathname of this File object, or null if the name has no parent part.  The parent part is generally everything leading up to the last occurrence of the separator character, although the precise definition is system dependent.  On UNIX, for example, the parent part of "/usr/lib" is "/usr", whose parent part is "/", which in turn has no parent.  On Windows platforms, the parent part of "c:\java" is "c:\", which in turn has no parent.

Return

No documentation supplied in JDK.

See also

path property [java.io.File]

canonicalPath property [java.io.File]

Applies to

 File [java.io]


parent property [java.lang.ThreadGroup] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parent property [java.lang.ThreadGroup]

public final java.lang.ThreadGroup getParent( )

Returns the parent of this thread group.

Return

The parent of this thread group. The top-level thread group is the only thread group whose parent is null.

Applies to

 ThreadGroup [java.lang]


parent property [java.util.ResourceBundle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parent property [java.util.ResourceBundle]

protected void setParent( java.util.ResourceBundle parent )

Set the parent bundle of this bundle.  The parent bundle is searched by getObject when this bundle does not contain a particular resource.

Parameter

parent

this bundles parent bundle.

Applies to

 DateFormatZoneData [java.text.resources]

 DateFormatZoneData_ar [java.text.resources]

 DateFormatZoneData_be [java.text.resources]

 DateFormatZoneData_bg [java.text.resources]

 DateFormatZoneData_ca [java.text.resources]

 DateFormatZoneData_cs [java.text.resources]

 DateFormatZoneData_da [java.text.resources]

 DateFormatZoneData_de [java.text.resources]

 DateFormatZoneData_de_AT [java.text.resources]

 DateFormatZoneData_de_CH [java.text.resources]

 DateFormatZoneData_el [java.text.resources]

 DateFormatZoneData_en [java.text.resources]

 DateFormatZoneData_en_CA [java.text.resources]

 DateFormatZoneData_en_GB [java.text.resources]

 DateFormatZoneData_en_IE [java.text.resources]

 DateFormatZoneData_es [java.text.resources]

 DateFormatZoneData_et [java.text.resources]

 DateFormatZoneData_fi [java.text.resources]

 DateFormatZoneData_fr [java.text.resources]

 DateFormatZoneData_fr_BE [java.text.resources]

 DateFormatZoneData_fr_CA [java.text.resources]

 DateFormatZoneData_fr_CH [java.text.resources]

 DateFormatZoneData_hr [java.text.resources]

 DateFormatZoneData_hu [java.text.resources]

 DateFormatZoneData_is [java.text.resources]

 DateFormatZoneData_it [java.text.resources]

 DateFormatZoneData_it_CH [java.text.resources]

 DateFormatZoneData_iw [java.text.resources]

 DateFormatZoneData_ja [java.text.resources]

 DateFormatZoneData_ko [java.text.resources]

 DateFormatZoneData_lt [java.text.resources]

 DateFormatZoneData_lv [java.text.resources]

 DateFormatZoneData_mk [java.text.resources]

 DateFormatZoneData_nl [java.text.resources]

 DateFormatZoneData_nl_BE [java.text.resources]

 DateFormatZoneData_no [java.text.resources]

 DateFormatZoneData_no_NO_NY [java.text.resources]

 DateFormatZoneData_pl [java.text.resources]

 DateFormatZoneData_pt [java.text.resources]

 DateFormatZoneData_ro [java.text.resources]

 DateFormatZoneData_ru [java.text.resources]

 DateFormatZoneData_sh [java.text.resources]

 DateFormatZoneData_sk [java.text.resources]

 DateFormatZoneData_sl [java.text.resources]

 DateFormatZoneData_sq [java.text.resources]

 DateFormatZoneData_sr [java.text.resources]

 DateFormatZoneData_sv [java.text.resources]

 DateFormatZoneData_th [java.text.resources]

 DateFormatZoneData_tr [java.text.resources]

 DateFormatZoneData_uk [java.text.resources]

 DateFormatZoneData_zh [java.text.resources]

 DateFormatZoneData_zh_TW [java.text.resources]

 ListResourceBundle [java.util]

 LocaleElements [java.text.resources]

 LocaleElements_ar [java.text.resources]

 LocaleElements_be [java.text.resources]

 LocaleElements_bg [java.text.resources]

 LocaleElements_ca [java.text.resources]

 LocaleElements_cs [java.text.resources]

 LocaleElements_da [java.text.resources]

 LocaleElements_de [java.text.resources]

 LocaleElements_de_AT [java.text.resources]

 LocaleElements_de_AT_EURO [java.text.resources]

 LocaleElements_de_CH [java.text.resources]

 LocaleElements_de_DE_EURO [java.text.resources]

 LocaleElements_de_LU [java.text.resources]

 LocaleElements_de_LU_EURO [java.text.resources]

 LocaleElements_el [java.text.resources]

 LocaleElements_en [java.text.resources]

 LocaleElements_en_AU [java.text.resources]

 LocaleElements_en_CA [java.text.resources]

 LocaleElements_en_GB [java.text.resources]

 LocaleElements_en_IE [java.text.resources]

 LocaleElements_en_IE_EURO [java.text.resources]

 LocaleElements_en_NZ [java.text.resources]

 LocaleElements_en_ZA [java.text.resources]

 LocaleElements_es [java.text.resources]

 LocaleElements_es_AR [java.text.resources]

 LocaleElements_es_BO [java.text.resources]

 LocaleElements_es_CL [java.text.resources]

 LocaleElements_es_CO [java.text.resources]

 LocaleElements_es_CR [java.text.resources]

 LocaleElements_es_DO [java.text.resources]

 LocaleElements_es_EC [java.text.resources]

 LocaleElements_es_ES_EURO [java.text.resources]

 LocaleElements_es_GT [java.text.resources]

 LocaleElements_es_HN [java.text.resources]

 LocaleElements_es_MX [java.text.resources]

 LocaleElements_es_NI [java.text.resources]

 LocaleElements_es_PA [java.text.resources]

 LocaleElements_es_PE [java.text.resources]

 LocaleElements_es_PR [java.text.resources]

 LocaleElements_es_PY [java.text.resources]

 LocaleElements_es_SV [java.text.resources]

 LocaleElements_es_UY [java.text.resources]

 LocaleElements_es_VE [java.text.resources]

 LocaleElements_et [java.text.resources]

 LocaleElements_fi [java.text.resources]

 LocaleElements_fi_FI_EURO [java.text.resources]

 LocaleElements_fr [java.text.resources]

 LocaleElements_fr_BE [java.text.resources]

 LocaleElements_fr_BE_EURO [java.text.resources]

 LocaleElements_fr_CA [java.text.resources]

 LocaleElements_fr_CH [java.text.resources]

 LocaleElements_fr_FR_EURO [java.text.resources]

 LocaleElements_fr_LU [java.text.resources]

 LocaleElements_fr_LU_EURO [java.text.resources]

 LocaleElements_hr [java.text.resources]

 LocaleElements_hu [java.text.resources]

 LocaleElements_is [java.text.resources]

 LocaleElements_it [java.text.resources]

 LocaleElements_it_CH [java.text.resources]

 LocaleElements_it_IT_EURO [java.text.resources]

 LocaleElements_iw [java.text.resources]

 LocaleElements_ja [java.text.resources]

 LocaleElements_ko [java.text.resources]

 LocaleElements_lt [java.text.resources]

 LocaleElements_lv [java.text.resources]

 LocaleElements_mk [java.text.resources]

 LocaleElements_nl [java.text.resources]

 LocaleElements_nl_BE [java.text.resources]

 LocaleElements_nl_BE_EURO [java.text.resources]

 LocaleElements_nl_NL_EURO [java.text.resources]

 LocaleElements_no [java.text.resources]

 LocaleElements_no_NO_NY [java.text.resources]

 LocaleElements_pl [java.text.resources]

 LocaleElements_pt [java.text.resources]

 LocaleElements_pt_BR [java.text.resources]

 LocaleElements_pt_PT_EURO [java.text.resources]

 LocaleElements_ro [java.text.resources]

 LocaleElements_ru [java.text.resources]

 LocaleElements_sh [java.text.resources]

 LocaleElements_sk [java.text.resources]

 LocaleElements_sl [java.text.resources]

 LocaleElements_sq [java.text.resources]

 LocaleElements_sr [java.text.resources]

 LocaleElements_sv [java.text.resources]

 LocaleElements_th [java.text.resources]

 LocaleElements_tr [java.text.resources]

 LocaleElements_uk [java.text.resources]

 LocaleElements_zh [java.text.resources]

 LocaleElements_zh_TW [java.text.resources]

 PropertyResourceBundle [java.util]

 ResourceBundle [java.util]


parentOf method [java.lang.ThreadGroup] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parentOf method [java.lang.ThreadGroup]

public final boolean parentOf( java.lang.ThreadGroup g )

Tests if this thread group is either the thread group argument or one of its ancestor thread groups.

Parameter

g

a thread group.

Return

true if this thread group is the thread group argument or one of its ancestor thread groups; false otherwise.

Applies to

 ThreadGroup [java.lang]


parse method [java.text.ChoiceFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parse method [java.text.ChoiceFormat]

Overloads:

 Number parse( String text, ParsePosition status ) overrides parse method [java.text.NumberFormat]

Inherited overloads:

 Number parse( String text )

public java.lang.Number parse( java.lang.String text, java.text.ParsePosition status )

Applies to

 ChoiceFormat [java.text]


parse method [java.text.DateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parse method [java.text.DateFormat]

Overloads:

 Date parse( String text )

 Date parse( String text, ParsePosition pos )

public java.util.Date parse( java.lang.String text ) throws java.text.ParseException

Parse a date/time string.

Return

No documentation supplied in JDK.

Throws

ParseException

If the given string cannot be parsed as a date.

public abstract java.util.Date parse( java.lang.String text, java.text.ParsePosition pos )

Parse a date/time string according to the given parse position.  For example, a time text "07/10/96 4:5 PM, PDT" will be parsed into a Date that is equivalent to Date(837039928046).

By default, parsing is lenient: If the input is not in the form used by this object's format method but can still be parsed as a date, then the parse succeeds.  Clients may insist on strict adherence to the format by calling setLenient(false).

Parameters

text

The date/time string to be parsed

pos

On input, the position at which to start parsing; on output, the position at which parsing terminated, or the start position if the parse failed.

Return

A Date, or null if the input could not be parsed.

See also

lenient property [java.text.DateFormat]

Applies to

 DateFormat [java.text]

 SimpleDateFormat [java.text]


parse method [java.text.DecimalFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parse method [java.text.DecimalFormat]

Overloads:

 Number parse( String text, ParsePosition parsePosition ) overrides parse method [java.text.NumberFormat]

Inherited overloads:

 Number parse( String text )

public java.lang.Number parse( java.lang.String text, java.text.ParsePosition parsePosition )

Applies to

 DecimalFormat [java.text]


parse method [java.text.MessageFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parse method [java.text.MessageFormat]

Overloads:

 Object[] parse( String source, ParsePosition status )

 Object[] parse( String source )

public java.lang.Object[] parse( java.lang.String source, java.text.ParsePosition status )

Parses the string.

Caveats: The parse may fail in a number of circumstances. For example:

•	If one of the arguments does not occur in the pattern.

•	If the format of an argument is loses information, such as with a choice format where a large number formats to "many".

•	Does not yet handle recursion (where the substituted strings contain {n} references.)

•	Will not always find a match (or the correct match) if some part of the parse is ambiguous. For example, if the pattern "{1},{2}" is used with the string arguments {"a,b", "c"}, it will format as "a,b,c". When the result is parsed, it will return {"a", "b,c"}.

•	If a single argument is formatted twice in the string, then the later parse wins.

Return

No documentation supplied in JDK.

public java.lang.Object[] parse( java.lang.String source ) throws java.text.ParseException

Parses the string. Does not yet handle recursion (where the substituted strings contain {n} references.)

Return

No documentation supplied in JDK.

Throws

ParseException

If the string cant be parsed.

Applies to

 MessageFormat [java.text]


parse method [java.text.NumberFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parse method [java.text.NumberFormat]

Overloads:

 Number parse( String text )

 Number parse( String text, ParsePosition parsePosition )

public java.lang.Number parse( java.lang.String text ) throws java.text.ParseException

Convenience method.

Return

No documentation supplied in JDK.

Throws

ParseException

If the specified string is invalid.

See also

format method [java.text.Format]

public abstract java.lang.Number parse( java.lang.String text, java.text.ParsePosition parsePosition )

Returns a Long if possible (e.g. within range [Long.MIN_VALUE, Long.MAX_VALUE], and with no decimals), otherwise a Double. If IntegerOnly is set, will stop at a decimal point (or equivalent; e.g. for rational numbers "1 2/3", will stop after the 1). Does not throw an exception; if no object can be parsed, index is unchanged!

Return

No documentation supplied in JDK.

See also

parseIntegerOnly property [java.text.NumberFormat]

parseObject method [java.text.Format]

Applies to

 ChoiceFormat [java.text]

 DecimalFormat [java.text]

 NumberFormat [java.text]


parse method [java.text.SimpleDateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parse method [java.text.SimpleDateFormat]

Overloads:

 Date parse( String text, ParsePosition pos ) overrides parse method [java.text.DateFormat]

Inherited overloads:

 Date parse( String text )

public java.util.Date parse( java.lang.String text, java.text.ParsePosition pos )

Overrides DateFormat

Return

No documentation supplied in JDK.

Applies to

 SimpleDateFormat [java.text]


parse method [java.util.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parse method [java.util.Date]

public static long parse( java.lang.String s )

Note: parse has been deprecated. As of JDK version 1.1, replaced by DateFormat.parse(String s).

Given a string representing a time, parse it and return the time value. This method recognizes most standard syntaxes.

It accepts many syntaxes; in particular, it recognizes the IETF standard date syntax: "Sat, 12 Aug 1995 13:30:00 GMT". It also understands the continental U.S. time-zone abbreviations, but for general use, a time-zone offset should be used: "Sat, 12 Aug 1995 13:30:00 GMT+0430" (4 hours, 30 minutes west of the Greenwich meridian). If no time zone is specified, the local time zone is assumed. GMT and UTC are considered equivalent.

Parameter

s

a string to be parsed as a date.

Return

The number of milliseconds since January 1, 1970, 00:00:00 GMT represented by the string argument.

See also

DateFormat class [java.text]

Applies to

 Date [java.sql]

 Date [java.util]

 Time [java.sql]

 Timestamp [java.sql]


parseByte method [java.lang.Byte] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parseByte method [java.lang.Byte]

Overloads:

 byte parseByte( String s, int radix )

 byte parseByte( String s )

public static byte parseByte( java.lang.String s, int radix ) throws java.lang.NumberFormatException

Assuming the specified String represents a byte, returns that byte's value. Throws an exception if the String cannot be parsed as a byte.

Parameters

s

the String containing the byte

radix

the radix to be used

Return

No documentation supplied in JDK.

Throws

NumberFormatException

If the String does not contain a parsable byte.

public static byte parseByte( java.lang.String s ) throws java.lang.NumberFormatException

Assuming the specified String represents a byte, returns that byte's value. Throws an exception if the String cannot be parsed as a byte.  The radix is assumed to be 10.

Parameter

s

the String containing the byte

Return

No documentation supplied in JDK.

Throws

NumberFormatException

If the string does not contain a parsable byte.

Applies to

 Byte [java.lang]


ParseException class [java.text] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      ParseException class [java.text]

Object

Throwable

Exception

ParseException

Description

Signals that an error has been has been reached unexpectedly while parsing.

Specification

public class ParseException extends java.lang.Exception

Constructor

public ParseException( java.lang.String s, int errorOffset )

Constructs a ParseException with the specified detail message and offset. A detail message is a String that describes this particular exception.

Parameters

s

the detail message

errorOffset

the position where the error is found while parsing.

Properties

  int getErrorOffset( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


parseInt method [java.lang.Integer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parseInt method [java.lang.Integer]

Overloads:

 int parseInt( String s, int radix )

 int parseInt( String s )

public static int parseInt( java.lang.String s, int radix ) throws java.lang.NumberFormatException

Parses the string argument as a signed integer in the radix specified by the second argument. The characters in the string must all be digits of the specified radix (as determined by whether Character.digit returns a nonnegative value), except that the first character may be an ASCII minus sign '-' to indicate a negative value. The resulting integer value is returned.

Parameters

s

the String containing the integer.

radix

the radix to be used.

Return

The integer represented by the string argument in the specified radix.

Throws

NumberFormatException

If the string does not contain a parsable integer.

public static int parseInt( java.lang.String s ) throws java.lang.NumberFormatException

Parses the string argument as a signed decimal integer. The characters in the string must all be decimal digits, except that the first character may be an ASCII minus sign '-' to indicate a negative value.

Parameter

s

a string.

Return

The integer represented by the argument in decimal.

Throws

NumberFormatException

If the string does not contain a parsable integer.

Applies to

 Integer [java.lang]


parseIntegerOnly property [java.text.NumberFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parseIntegerOnly property [java.text.NumberFormat]

public void setParseIntegerOnly( boolean value )

Sets whether or not numbers should be parsed as integers only.

public boolean isParseIntegerOnly( )

Returns true if this format will parse numbers as integers only. For example in the English locale, with ParseIntegerOnly true, the string "1234." would be parsed as the integer value 1234 and parsing would stop at the "." character.  Of course, the exact format accepted by the parse operation is locale dependant and determined by sub-classes of NumberFormat.

Return

No documentation supplied in JDK.

Applies to

 ChoiceFormat [java.text]

 DecimalFormat [java.text]

 NumberFormat [java.text]


parseLevel method [java.rmi.server.LogStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parseLevel method [java.rmi.server.LogStream]

public static int parseLevel( java.lang.String s )

Convert a string name of a logging level to its internal integer representation.

Return

No documentation supplied in JDK.

Applies to

 LogStream [java.rmi.server]


parseLong method [java.lang.Long] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parseLong method [java.lang.Long]

Overloads:

 long parseLong( String s, int radix )

 long parseLong( String s )

public static long parseLong( java.lang.String s, int radix ) throws java.lang.NumberFormatException

Parses the string argument as a signed long in the radix specified by the second argument. The characters in the string must all be digits of the specified radix (as determined by whether Character.digit returns a nonnegative value), except that the first character may be an ASCII minus sign '-' to indicate a negative value. The resulting long value is returned.

Parameters

s

the String containing the long.

radix

the radix to be used.

Return

The long represented by the string argument in the specified radix.

Throws

NumberFormatException

If the string does not contain a parsable integer.

public static long parseLong( java.lang.String s ) throws java.lang.NumberFormatException

Parses the string argument as a signed decimal long. The characters in the string must all be decimal digits, except that the first character may be an ASCII minus sign '-' to indicate a negative value.

Parameter

s

a string.

Return

The long represented by the argument in decimal.

Throws

NumberFormatException

If the string does not contain a parsable long.

Applies to

 Long [java.lang]


parseNumbers method [java.io.StreamTokenizer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parseNumbers method [java.io.StreamTokenizer]

public void parseNumbers( )

Specifies that numbers should be parsed by this tokenizer. The syntax table of this tokenizer is modified so that each of the twelve characters:

0 1 2 3 4 5 6 7 8 9 . -

has the "numeric" attribute.

When the parser encounters a word token that has the format of a double precision floating-point number, it treats the token as a number rather than a word, by setting the the ttype field to the value TT_NUMBER and putting the numeric value of the token into the nval field.

Applies to

 StreamTokenizer [java.io]


parseObject method [java.text.DateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parseObject method [java.text.DateFormat]

Overloads:

 Object parseObject( String source, ParsePosition pos ) overrides parseObject method [java.text.Format]

Inherited overloads:

 Object parseObject( String source )

public java.lang.Object parseObject( java.lang.String source, java.text.ParsePosition pos )

Parse a date/time string into an Object.  This convenience method simply calls parse(String, ParsePosition).

Return

No documentation supplied in JDK.

See also

parse method [java.text.DateFormat]

Applies to

 DateFormat [java.text]

 SimpleDateFormat [java.text]


parseObject method [java.text.Format] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parseObject method [java.text.Format]

Overloads:

 Object parseObject( String source )

 Object parseObject( String source, ParsePosition status )

public java.lang.Object parseObject( java.lang.String source ) throws java.text.ParseException

Parses a string to produce an object.

Return

No documentation supplied in JDK.

Throws

ParseException

If the specified string is invalid.

public abstract java.lang.Object parseObject( java.lang.String source, java.text.ParsePosition status )

Parses a string to produce an object. Subclasses will typically implement for particular object, such as:

     String format (Number obj);

     String format (long obj);

     String format (double obj);

     Number parse (String str);

Parameter

ParsePosition

Input-Output parameter.

Before calling, set status.index to the offset you want to start parsing at in the source. After calling, status.index is the end of the text you parsed. If error occurs, index is unchanged.

When parsing, leading whitespace is discarded (with successful parse), while trailing whitespace is left as is.

Example: Parsing "_12_xy" (where _ represents a space) for a number, with index == 0 will result in the number 12, with status.index updated to 3 (just before the second space). Parsing a second time will result in a ParseException since "xy" is not a number, and leave index at 3.

Subclasses will typically supply specific parse methods that return different types of values. Since methods can't overload on return types, these will typically be named "parse", while this polymorphic method will always be called parseObject. Any parse method that does not take a status should throw ParseException when no text in the required format is at the start position.

Return

Object parsed from string. In case of error, returns null.

See also

ParsePosition class [java.text]

Applies to

 ChoiceFormat [java.text]

 DateFormat [java.text]

 DecimalFormat [java.text]

 Format [java.text]

 MessageFormat [java.text]

 NumberFormat [java.text]

 SimpleDateFormat [java.text]


parseObject method [java.text.MessageFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parseObject method [java.text.MessageFormat]

Overloads:

 Object parseObject( String text, ParsePosition status ) overrides parseObject method [java.text.Format]

Inherited overloads:

 Object parseObject( String source )

public java.lang.Object parseObject( java.lang.String text, java.text.ParsePosition status )

Parses the string. Does not yet handle recursion (where the substituted strings contain %n references.)

Return

No documentation supplied in JDK.

Applies to

 MessageFormat [java.text]


parseObject method [java.text.NumberFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parseObject method [java.text.NumberFormat]

Overloads:

 Object parseObject( String source, ParsePosition parsePosition ) overrides parseObject method [java.text.Format]

Inherited overloads:

 Object parseObject( String source )

public final java.lang.Object parseObject( java.lang.String source, java.text.ParsePosition parsePosition )

Applies to

 ChoiceFormat [java.text]

 DecimalFormat [java.text]

 NumberFormat [java.text]


ParsePosition class [java.text] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      ParsePosition class [java.text]

Object

ParsePosition

Description

ParsePosition is a simple class used by Format and its subclasses to keep track of the current position during parsing. The parseObject method in the various Format classes requires a ParsePosition object as an argument.

By design, as you parse through a string with different formats, you can use the same ParsePosition, since the index parameter records the current position.

Specification

public class ParsePosition extends java.lang.Object

Constructor

public ParsePosition( int index )

Create a new ParsePosition with the given initial index.

Properties

  int getIndex( )

  void setIndex( int index )

Inherited Properties

  native final java.lang.Class getClass( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


parseShort method [java.lang.Short] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parseShort method [java.lang.Short]

Overloads:

 short parseShort( String s, int radix )

 short parseShort( String s )

public static short parseShort( java.lang.String s, int radix ) throws java.lang.NumberFormatException

Assuming the specified String represents a short, returns that short's value. Throws an exception if the String cannot be parsed as a short.

Parameters

s

the String containing the short

radix

the radix to be used

Return

No documentation supplied in JDK.

Throws

NumberFormatException

If the String does not contain a parsable short.

public static short parseShort( java.lang.String s ) throws java.lang.NumberFormatException

Assuming the specified String represents a short, returns that short's value. Throws an exception if the String cannot be parsed as a short.  The radix is assumed to be 10.

Parameter

s

the String containing the short

Return

No documentation supplied in JDK.

Throws

NumberFormatException

If the string does not contain a parsable short.

Applies to

 Short [java.lang]


parseURL method [java.net.URLStreamHandler] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      parseURL method [java.net.URLStreamHandler]

protected void parseURL( java.net.URL u, java.lang.String spec, int start, int limit )

Parses the string representation of a URL into a URL object.

If there is any inherited context, then it has already been copied into the URL argument.

The parseURL method of URLStreamHandler parses the string representation as if it were an http specification. Most URL protocol families have a similar parsing. A stream protocol handler for a protocol that has a different syntax must override this routine.

If the file component of the URL argument contains a question mark (as with CGI HTTP URLs), the context is considered to be the URL's file component up to the first / before the question mark, not including the question mark or the directory before it. For example, if the URL was:

    http://www.foo.com/dir/cgi-bin?foo=bar/baz

and the spec argument was

    quux.html

the resulting URL would be:

    http://www.foo.com/dir/quux.html

.

Parameters

u

the URL to receive the result of parsing the spec.

spec

the String representing the URL that must be parsed.

start

the character index at which to begin parsing. This is just past the ':' (if there is one) that specifies the determination of the protocol name.

limit

the character position to stop parsing at. This is the end of the string or the position of the "#" character, if present. All information after the sharp sign indicates an anchor.

Applies to

 URLStreamHandler [java.net]


path property [java.io.File] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      path property [java.io.File]

public java.lang.String getPath( )

Returns the pathname of the file represented by this object.

Return

The pathname represented by this File object.

Applies to

 File [java.io]


patternSeparator property [java.text.DecimalFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      patternSeparator property [java.text.DecimalFormatSymbols]

public char getPatternSeparator( )

character used to separate positive and negative subpatterns in a pattern.

Return

No documentation supplied in JDK.

public void setPatternSeparator( char patternSeparator )

Applies to

 DecimalFormatSymbols [java.text]


peek method [java.net.DatagramSocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      peek method [java.net.DatagramSocketImpl]

protected abstract int peek( java.net.InetAddress i ) throws java.io.IOException

Peek at the packet to see who it is from.

Parameter

return

the address which the packet came from.

Return

No documentation supplied in JDK.

Applies to

 DatagramSocketImpl [java.net]


peek method [java.util.Stack] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      peek method [java.util.Stack]

public synchronized java.lang.Object peek( )

Looks at the object at the top of this stack without removing it from the stack.

Return

The object at the top of this stack.

Throws

EmptyStackException

If this stack is empty.

Applies to

 Stack [java.util]


peekEvent method [java.awt.EventQueue] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      peekEvent method [java.awt.EventQueue]

Overloads:

 AWTEvent peekEvent( int id )

 AWTEvent peekEvent( )

public synchronized java.awt.AWTEvent peekEvent( int id )

public synchronized java.awt.AWTEvent peekEvent( )

Return the first event without removing it.

Return

The first event, which is either an instance of java.awt.Event or java.awt.AWTEvent.

Applies to

 EventQueue [java.awt]


peer property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      peer property [java.awt.Component]

public java.awt.peer.ComponentPeer getPeer( )

Note: getPeer has been deprecated. As of JDK version 1.1, programs should not directly manipulate peers.

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


peer property [java.awt.Font] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      peer property [java.awt.Font]

public java.awt.peer.FontPeer getPeer( )

Gets the peer of the font.

Return

The peer of the font.

Applies to

 Font [java.awt]


peer property [java.awt.MenuComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      peer property [java.awt.MenuComponent]

public java.awt.peer.MenuComponentPeer getPeer( )

Note: getPeer has been deprecated. As of JDK version 1.1, programs should not directly manipulate peers.

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuBar [java.awt]

 MenuComponent [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


percent property [java.text.DecimalFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      percent property [java.text.DecimalFormatSymbols]

public char getPercent( )

character used for percent sign. Different for Arabic, etc.

Return

No documentation supplied in JDK.

public void setPercent( char percent )

Applies to

 DecimalFormatSymbols [java.text]


percentInstance property [java.text.NumberFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      percentInstance property [java.text.NumberFormat]

public static final java.text.NumberFormat getPercentInstance( )

Returns a percentage format for the current default locale.

Return

No documentation supplied in JDK.

Applies to

 ChoiceFormat [java.text]

 DecimalFormat [java.text]

 NumberFormat [java.text]


perMill property [java.text.DecimalFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      perMill property [java.text.DecimalFormatSymbols]

public char getPerMill( )

character used for mille percent sign. Different for Arabic, etc.

Return

No documentation supplied in JDK.

public void setPerMill( char perMill )

Applies to

 DecimalFormatSymbols [java.text]


Permission interface [java.security.acl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      Permission interface [java.security.acl]

Description

This interface represents a permission, such as that used to grant a particular type of access to a resource.

Definition

public interface Permission

{

  // Methods

  public boolean equals( java.lang.Object another );

  public java.lang.String toString( );

}

Methods

public boolean equals( java.lang.Object another )

Returns true if the object passed matches the permission represented in this interface.

Parameter

another

the Permission object to compare with.

Return

True if the Permission objects are equal, false otherwise.

public java.lang.String toString( )

Prints a string representation of this permission.

Return

The string representation of the permission.


PipedInputStream class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PipedInputStream class [java.io]

Object

InputStream

PipedInputStream

Description

A piped input stream is the receiving end of a communications pipe. Two threads can communicate by having one thread send data through a piped output stream and having the other thread read the data through a piped input stream.

Specification

public class PipedInputStream extends java.io.InputStream

Constructors

public PipedInputStream( )

Creates a piped input stream that is not yet connected to a piped output stream. It must be connected to a piped output stream, either by the receiver or the sender, before being used.

See also

connect method [java.io.PipedInputStream]

connect method [java.io.PipedOutputStream]

public PipedInputStream( java.io.PipedOutputStream src ) throws java.io.IOException

Creates a piped input stream connected to the specified piped output stream.

Parameter

src

the stream to connect to.

Throws

IOException

If an I/O error occurs.

Variables

protected static final int PIPE_SIZE

.

protected byte[] buffer

The circular buffer into which incoming data is placed.

protected int in

.

protected int out

.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  synchronized int available( ) throws java.io.IOException

  void close( ) throws java.io.IOException

  void connect( java.io.PipedOutputStream src ) throws java.io.IOException

  synchronized int read( ) throws java.io.IOException

  synchronized int read( byte[] b, int off, int len ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  synchronized void mark( int readlimit )

  boolean markSupported( )

  native final void notify( )

  native final void notifyAll( )

  int read( byte[] b ) throws java.io.IOException

  synchronized void reset( ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected synchronized void receive( int b ) throws java.io.IOException

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

PipedOutputStream class [java.io]


PipedOutputStream class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PipedOutputStream class [java.io]

Object

OutputStream

PipedOutputStream

Description

A piped output stream is the sending end of a communications pipe. Two threads can communicate by having one thread send data through a piped output stream and having the other thread read the data through a piped input stream.

Specification

public class PipedOutputStream extends java.io.OutputStream

Constructors

public PipedOutputStream( )

Creates a piped output stream that is not yet connected to a piped input stream. It must be connected to a piped input stream, either by the receiver or the sender, before being used.

See also

connect method [java.io.PipedInputStream]

connect method [java.io.PipedOutputStream]

public PipedOutputStream( java.io.PipedInputStream snk ) throws java.io.IOException

Creates a piped output stream connected to the specified piped input stream.

Parameter

snk

The piped input stream to connect to.

Throws

IOException

If an I/O error occurs.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( ) throws java.io.IOException

  void connect( java.io.PipedInputStream snk ) throws java.io.IOException

  synchronized void flush( ) throws java.io.IOException

  void write( byte[] b, int off, int len ) throws java.io.IOException

  void write( int b ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  void write( byte[] b ) throws java.io.IOException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

PipedInputStream class [java.io]


PipedReader class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PipedReader class [java.io]

Object

Reader

PipedReader

Description

Piped character-input streams.

Specification

public class PipedReader extends java.io.Reader

Constructors

public PipedReader( )

Create a reader that is not yet connected to a piped writer.

public PipedReader( java.io.PipedWriter src ) throws java.io.IOException

Create a reader for the specified piped character-output stream.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( ) throws java.io.IOException

  void connect( java.io.PipedWriter src ) throws java.io.IOException

  int read( char[] cbuf, int off, int len ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  void mark( int readAheadLimit ) throws java.io.IOException

  boolean markSupported( )

  native final void notify( )

  native final void notifyAll( )

  int read( ) throws java.io.IOException

  int read( char[] cbuf ) throws java.io.IOException

  boolean ready( ) throws java.io.IOException

  void reset( ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


PipedWriter class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PipedWriter class [java.io]

Object

Writer

PipedWriter

Description

Piped character-output streams.

Specification

public class PipedWriter extends java.io.Writer

Constructors

public PipedWriter( )

Create a writer that is not yet connected to a piped reader.

public PipedWriter( java.io.PipedReader sink ) throws java.io.IOException

Create a writer for the specified piped character-input stream.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( ) throws java.io.IOException

  void connect( java.io.PipedReader sink ) throws java.io.IOException

  void flush( ) throws java.io.IOException

  void write( char[] cbuf, int off, int len ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  void write( java.lang.String str ) throws java.io.IOException

  void write( java.lang.String str, int off, int len ) throws java.io.IOException

  void write( int c ) throws java.io.IOException

  void write( char[] cbuf ) throws java.io.IOException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


PixelGrabber class [java.awt.image] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PixelGrabber class [java.awt.image]

Object

PixelGrabber

Description

The PixelGrabber class implements an ImageConsumer which can be attached to an Image or ImageProducer object to retrieve a subset of the pixels in that image.  Here is an example:

public void handlesinglepixel(int x, int y, int pixel) {

int alpha = (pixel >> 24) & 0xff;

int red   = (pixel >> 16) & 0xff;

int green = (pixel >>  8) & 0xff;

int blue  = (pixel      ) & 0xff;

// Deal with the pixel as necessary...

}

public void handlepixels(Image img, int x, int y, int w, int h) {

int[] pixels = new int[w * h];

PixelGrabber pg = new PixelGrabber(img, x, y, w, h, pixels, 0, w);

try {

    pg.grabPixels();

} catch (InterruptedException e) {

    System.err.println("interrupted waiting for pixels!");

    return;

}

if ((pg.getStatus() & ImageObserver.ABORT) != 0) {

    System.err.println("image fetch aborted or errored");

    return;

}

for (int j = 0; j < h; j++) {

    for (int i = 0; i < w; i++) {

handlesinglepixel(x+i, y+j, pixels[j * w + i]);

    }

}

}

Specification

public class PixelGrabber extends java.lang.Object implements java.awt.image.ImageConsumer

Constructors

public PixelGrabber( java.awt.Image img, int x, int y, int w, int h, boolean forceRGB )

Create a PixelGrabber object to grab the (x, y, w, h) rectangular section of pixels from the specified image.  The pixels are accumulated in the original ColorModel if the same ColorModel is used for every call to setPixels, otherwise the pixels are accumulated in the default RGB ColorModel.  If the forceRGB parameter is true, then the pixels will be accumulated in the default RGB ColorModel anywya.  A buffer is allocated by the PixelGrabber to hold the pixels in either case.  If (w < 0) or (h < 0), then they will default to the remaining width and height of the source data when that information is delivered.

Parameters

img

the image to retrieve the image data from

x

the x coordinate of the upper left corner of the rectangle of pixels to retrieve from the image, relative to the default (unscaled) size of the image

y

the y coordinate of the upper left corner of the rectangle of pixels to retrieve from the image

w

the width of the rectangle of pixels to retrieve

h

the height of the rectangle of pixels to retrieve

forceRGB

true if the pixels should always be converted to the default RGB ColorModel

public PixelGrabber( java.awt.Image img, int x, int y, int w, int h, int[] pix, int off, int scansize )

Create a PixelGrabber object to grab the (x, y, w, h) rectangular section of pixels from the specified image into the given array. The pixels are stored into the array in the default RGB ColorModel. The RGB data for pixel (i, j) where (i, j) is inside the rectangle (x, y, w, h) is stored in the array at pix[(j - y) * scansize + (i - x) + off].

Parameters

img

the image to retrieve pixels from

x

the x coordinate of the upper left corner of the rectangle of pixels to retrieve from the image, relative to the default (unscaled) size of the image

y

the y coordinate of the upper left corner of the rectangle of pixels to retrieve from the image

w

the width of the rectangle of pixels to retrieve

h

the height of the rectangle of pixels to retrieve

pix

the array of integers which are to be used to hold the RGB pixels retrieved from the image

off

the offset into the array of where to store the first pixel

scansize

the distance from one row of pixels to the next in the array

See also

RGBdefault property [java.awt.image.ColorModel]

public PixelGrabber( java.awt.image.ImageProducer ip, int x, int y, int w, int h, int[] pix, int off, int scansize )

Create a PixelGrabber object to grab the (x, y, w, h) rectangular section of pixels from the image produced by the specified ImageProducer into the given array. The pixels are stored into the array in the default RGB ColorModel. The RGB data for pixel (i, j) where (i, j) is inside the rectangle (x, y, w, h) is stored in the array at pix[(j - y) * scansize + (i - x) + off].

Parameters

img

the image to retrieve pixels from

x

the x coordinate of the upper left corner of the rectangle of pixels to retrieve from the image, relative to the default (unscaled) size of the image

y

the y coordinate of the upper left corner of the rectangle of pixels to retrieve from the image

w

the width of the rectangle of pixels to retrieve

h

the height of the rectangle of pixels to retrieve

pix

the array of integers which are to be used to hold the RGB pixels retrieved from the image

off

the offset into the array of where to store the first pixel

scansize

the distance from one row of pixels to the next in the array

See also

RGBdefault property [java.awt.image.ColorModel]

Properties

  synchronized java.awt.image.ColorModel getColorModel( )

  void setColorModel( java.awt.image.ColorModel model )

  void setDimensions( int width, int height )

  synchronized int getHeight( )

  void setHints( int hints )

  synchronized java.lang.Object getPixels( )

  void setProperties( java.util.Hashtable props )

  synchronized int getStatus( )

  synchronized int getWidth( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  synchronized void abortGrabbing( )

  synchronized boolean grabPixels( long ms ) throws java.lang.InterruptedException

  boolean grabPixels( ) throws java.lang.InterruptedException

  synchronized void imageComplete( int status )

  void setPixels( int srcX, int srcY, int srcW, int srcH, java.awt.image.ColorModel model, byte[] pixels, int srcOff, int srcScan )

  void setPixels( int srcX, int srcY, int srcW, int srcH, java.awt.image.ColorModel model, int[] pixels, int srcOff, int srcScan )

  synchronized void startGrabbing( )

  synchronized int status( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

RGBdefault property [java.awt.image.ColorModel]


pixels property [java.awt.image.PixelGrabber] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      pixels property [java.awt.image.PixelGrabber]

public synchronized java.lang.Object getPixels( )

Get the pixel buffer.  If the PixelGrabber was not constructed with an explicit pixel buffer to hold the pixels then this method will return null until the size and format of the image data is known. Since the PixelGrabber may fall back on accumulating the data in the default RGB ColorModel at any time if the source image uses more than one ColorModel to deliver the data, the array object returned by this method may change over time until the image grab is complete.

Return

Either a byte array or an int array.

See also

status property [java.awt.image.PixelGrabber]

Applies to

 PixelGrabber [java.awt.image]


pixelSize property [java.awt.image.ColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      pixelSize property [java.awt.image.ColorModel]

public int getPixelSize( )

Returns the number of bits per pixel described by this ColorModel.

Return

No documentation supplied in JDK.

Applies to

 ColorModel [java.awt.image]

 DirectColorModel [java.awt.image]

 IndexColorModel [java.awt.image]


plain property [java.awt.Font] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      plain property [java.awt.Font]

public boolean isPlain( )

Indicates whether the font's style is plain.

Return

true if the font is neither bold nor italic; false otherwise.

See also

style property [java.awt.Font]

Applies to

 Font [java.awt]


play method [java.applet.Applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      play method [java.applet.Applet]

Overloads:

 void play( URL url )

 void play( URL url, String name )

public void play( java.net.URL url )

Plays the audio clip at the specified absolute URL. Nothing happens if the audio clip cannot be found.

Parameter

url

an absolute URL giving the location of the audio clip.

public void play( java.net.URL url, java.lang.String name )

Plays the audio clip given the URL and a specifier that is relative to it. Nothing happens if the audio clip cannot be found.

Parameters

url

an absolute URL giving the base location of the audio clip.

name

the location of the audio clip, relative to the url argument.

Applies to

 Applet [java.applet]


Point class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      Point class [java.awt]

Object

Point

Description

The Point class represents a location in a two-dimensional (x , y ) coordinate space.

Specification

public class Point extends java.lang.Object implements java.io.Serializable

Constructors

public Point( )

Constructs and initializes a point at the origin (0, 0) of the coordinate space.

Parameters

x

the x coordinate.

y

the y coordinate.

public Point( java.awt.Point p )

Constructs and initializes a point with the same location as the specified Point object.

Parameter

p

a point.

public Point( int x, int y )

Constructs and initializes a point at the specified (x , y ) location in the coordinate space.

Parameters

x

the x coordinate.

y

the y coordinate.

Variables

public int x

The x coordinate.

public int y

The y coordinate.

Properties

  java.awt.Point getLocation( )

  void setLocation( java.awt.Point p )

  void setLocation( int x, int y )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  boolean equals( java.lang.Object obj )

  int hashCode( )

  void move( int x, int y )

  java.lang.String toString( )

  void translate( int x, int y )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


point property [java.awt.event.MouseEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      point property [java.awt.event.MouseEvent]

public java.awt.Point getPoint( )

Returns the x,y position of the event relative to the source component.

Return

No documentation supplied in JDK.

Applies to

 MouseEvent [java.awt.event]


Polygon class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      Polygon class [java.awt]

Object

Polygon

Description

The Polygon class encapsulates a description of a closed, two-dimensional region within a coordinate space. This region is bounded by an arbitrary number of line segments, each of which is one side of the polygon. Internally, a polygon comprises of a list of (x , y ) coordinate pairs, where each pair defines a vertex of the polygon, and two successive pairs are the endpoints of a line that is a side of the polygon. The first and final pairs of (x , y ) points are joined by a line segment that closes the polygon.

Specification

public class Polygon extends java.lang.Object implements java.awt.Shape, java.io.Serializable

Constructors

public Polygon( )

Creates an empty polygon.

public Polygon( int[] xpoints, int[] ypoints, int npoints )

Constructs and initializes a polygon from the specified parameters.

Parameters

xpoints

an array of x coordinates.

ypoints

an array of y coordinates.

npoints

the total number of points in the polygon.

Throws

NegativeArraySizeException

If the value of npoints is negative.

Variables

public int npoints

The total number of points.

public int[] xpoints

The array of x coordinates.

public int[] ypoints

The array of y coordinates.

protected java.awt.Rectangle bounds

Properties

  java.awt.Rectangle getBoundingBox( )

  java.awt.Rectangle getBounds( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void addPoint( int x, int y )

  boolean contains( int x, int y )

  boolean contains( java.awt.Point p )

  boolean inside( int x, int y )

  void translate( int deltaX, int deltaY )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


pop method [java.util.Stack] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      pop method [java.util.Stack]

public synchronized java.lang.Object pop( )

Removes the object at the top of this stack and returns that object as the value of this function.

Return

The object at the top of this stack.

Throws

EmptyStackException

If this stack is empty.

Applies to

 Stack [java.util]


PopupMenu class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PopupMenu class [java.awt]

Object

MenuComponent

MenuItem

Menu

PopupMenu

Description

A class that implements a menu which can be dynamically popped up at a specified position within a component.

Specification

public class PopupMenu extends java.awt.Menu

Constructors

public PopupMenu( )

Creates a new popup menu.

public PopupMenu( java.lang.String label )

Creates a new popup menu with the specified name.

Parameter

label

the title string for the popup menu

Inherited Properties

  java.lang.String getActionCommand( )

  void setActionCommand( java.lang.String command )

  native final java.lang.Class getClass( )

  synchronized void setEnabled( boolean b )

  boolean isEnabled( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.awt.MenuItem getItem( int index )

  int getItemCount( )

  java.lang.String getLabel( )

  synchronized void setLabel( java.lang.String label )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.MenuContainer getParent( )

  java.awt.peer.MenuComponentPeer getPeer( )

  java.awt.MenuShortcut getShortcut( )

  void setShortcut( java.awt.MenuShortcut s )

  boolean isTearOff( )

Protected Properties

 protected final java.lang.Object getTreeLock( )

Methods

  void addNotify( )

  void show( java.awt.Component origin, int x, int y )

Inherited Methods

  java.awt.MenuItem add( java.awt.MenuItem mi )

  void add( java.lang.String label )

  void addSeparator( )

  int countItems( )

  void deleteShortcut( )

  synchronized void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  void enable( boolean b )

  synchronized void enable( )

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  void insert( java.awt.MenuItem menuitem, int index )

  void insert( java.lang.String label, int index )

  void insertSeparator( int index )

  native final void notify( )

  native final void notifyAll( )

  boolean postEvent( java.awt.Event evt )

  void remove( int index )

  void remove( java.awt.MenuComponent item )

  void removeAll( )

  void removeNotify( )

  java.lang.String toString( )

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void finalize( ) throws java.lang.Throwable

 protected java.lang.String paramString( )

 protected void processActionEvent( java.awt.event.ActionEvent e )

 protected void processEvent( java.awt.AWTEvent e )

Inherited Events

  synchronized void addActionListener( java.awt.event.ActionListener l )

  synchronized void removeActionListener( java.awt.event.ActionListener l )


PopupMenuPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PopupMenuPeer interface [java.awt.peer]

Definition

public interface PopupMenuPeer extends java.awt.peer.MenuPeer

{

  // Methods

  public void show( java.awt.Event e );

}

Methods

public void show( java.awt.Event e )


popupTrigger property [java.awt.event.MouseEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      popupTrigger property [java.awt.event.MouseEvent]

public boolean isPopupTrigger( )

Returns whether or not this mouse event is the popup-menu trigger event for the platform.

Return

No documentation supplied in JDK.

Applies to

 MouseEvent [java.awt.event]


port property [java.net.DatagramPacket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      port property [java.net.DatagramPacket]

public synchronized int getPort( )

Returns the port number on the remote host to which this datagram is being sent or from which the datagram was received.

Return

The port number on the remote host to which this datagram is being sent or from which the datagram was received.

public synchronized void setPort( int iport )

No documentation supplied in JDK

Applies to

 DatagramPacket [java.net]


port property [java.net.Socket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      port property [java.net.Socket]

public int getPort( )

Returns the remote port to which this socket is connected.

Return

The remote port number to which this socket is connected.

Applies to

 Socket [java.net]


port property [java.net.SocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      port property [java.net.SocketImpl]

protected int getPort( )

Returns the value of this socket's port field.

Return

The value of this socket's port field.

Applies to

 SocketImpl [java.net]


port property [java.net.URL] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      port property [java.net.URL]

public int getPort( )

Returns the port number of this URL. Returns -1 if the port is not set.

Return

The port number.

Applies to

 URL [java.net]


positivePrefix property [java.text.DecimalFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      positivePrefix property [java.text.DecimalFormat]

public java.lang.String getPositivePrefix( )

Get the positive prefix.

Examples: +123, $123, sFr123

Return

No documentation supplied in JDK.

public void setPositivePrefix( java.lang.String newValue )

Set the positive prefix.

Examples: +123, $123, sFr123

Applies to

 DecimalFormat [java.text]


positiveSuffix property [java.text.DecimalFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      positiveSuffix property [java.text.DecimalFormat]

public java.lang.String getPositiveSuffix( )

Get the positive suffix.

Example: 123%

Return

No documentation supplied in JDK.

public void setPositiveSuffix( java.lang.String newValue )

Set the positive suffix.

Example: 123%

Applies to

 DecimalFormat [java.text]


postEvent method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      postEvent method [java.awt.Component]

public boolean postEvent( java.awt.Event e )

Note: postEvent has been deprecated. As of JDK version 1.1, replaced by dispatchEvent(AWTEvent).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


postEvent method [java.awt.EventQueue] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      postEvent method [java.awt.EventQueue]

public synchronized void postEvent( java.awt.AWTEvent theEvent )

Post a 1.1-style event to the EventQueue.

Parameter

theEvent

an instance of java.awt.AWTEvent, or a subclass of it.

Applies to

 EventQueue [java.awt]


postEvent method [java.awt.MenuComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      postEvent method [java.awt.MenuComponent]

public boolean postEvent( java.awt.Event evt )

Note: postEvent has been deprecated. As of JDK version 1.1, replaced by dispatchEvent(AWTEvent).

Posts the specified event to the menu. This method is part of the Java 1.0 event system and it is maintained only for backwards compatibility. Its use is discouraged, and it may not be supported in the future.

Parameter

evt

the event which is to take place

Return

No documentation supplied in JDK.

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuBar [java.awt]

 MenuComponent [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


postEvent method [java.awt.Window] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      postEvent method [java.awt.Window]

Overloads:

 boolean postEvent( Event e ) overrides postEvent method [java.awt.Component]

public boolean postEvent( java.awt.Event e )

Note: postEvent has been deprecated. As of JDK version 1.1 replaced by dispatchEvent(AWTEvent).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Window [java.awt]


pow method [java.lang.Math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      pow method [java.lang.Math]

public static native double pow( double a, double b )

Returns of value of the first argument raised to the power of the second argument.

If (a == 0.0), then b must be greater than 0.0; otherwise an exception is thrown. An exception also will occur if (a <= 0.0) and b is not equal to a whole number.

Parameters

a

a double value.

b

a double value.

Return

The value ab.

Throws

ArithmeticException

If (a == 0.0) and (b <= 0.0), or if (a <= 0.0) and b is not equal to a whole number.

Applies to

 Math [java.lang]


pow method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      pow method [java.math.BigInteger]

public java.math.BigInteger pow( int exponent ) throws java.lang.ArithmeticException

Returns a BigInteger whose value is (this ** exponent).  Throws an ArithmeticException if exponent < 0 (as the operation would yield a non-integer value). Note that exponent is an integer rather than a BigInteger.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


predefinedCursor property [java.awt.Cursor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      predefinedCursor property [java.awt.Cursor]

public static java.awt.Cursor getPredefinedCursor( int type )

Returns a cursor object with the specified predefined type.

Parameter

type

the type of predefined cursor

Return

No documentation supplied in JDK.

Applies to

 Cursor [java.awt]


preferredLayoutSize method [java.awt.BorderLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      preferredLayoutSize method [java.awt.BorderLayout]

public java.awt.Dimension preferredLayoutSize( java.awt.Container target )

Determines the preferred size of the target container using this layout manager, based on the components in the container.

Most applications do not call this method directly. This method is called when a container calls its getPreferredSize method.

Parameter

target

the container in which to do the layout.

Return

The preferred dimensions to lay out the subcomponents of the specified container.

See also

Container class [java.awt]

minimumLayoutSize method [java.awt.BorderLayout]

preferredSize property [java.awt.Component]

Applies to

 BorderLayout [java.awt]


preferredLayoutSize method [java.awt.CardLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      preferredLayoutSize method [java.awt.CardLayout]

public java.awt.Dimension preferredLayoutSize( java.awt.Container parent )

Determines the preferred size of the container argument using this card layout.

Parameter

parent

the name of the parent container.

Return

The preferred dimensions to lay out the subcomponents of the specified container.

See also

preferredSize property [java.awt.Component]

minimumLayoutSize method [java.awt.CardLayout]

Applies to

 CardLayout [java.awt]


preferredLayoutSize method [java.awt.FlowLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      preferredLayoutSize method [java.awt.FlowLayout]

public java.awt.Dimension preferredLayoutSize( java.awt.Container target )

Returns the preferred dimensions for this layout given the components in the specified target container.

Parameter

target

the component which needs to be laid out

Return

The preferred dimensions to lay out the subcomponents of the specified container.

See also

Container class [java.awt]

minimumLayoutSize method [java.awt.FlowLayout]

preferredSize property [java.awt.Component]

Applies to

 FlowLayout [java.awt]


preferredLayoutSize method [java.awt.GridBagLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      preferredLayoutSize method [java.awt.GridBagLayout]

public java.awt.Dimension preferredLayoutSize( java.awt.Container parent )

Determines the preferred size of the target container using this grid bag layout.

Most applications do not call this method directly.

Parameter

target

the container in which to do the layout.

Return

No documentation supplied in JDK.

See also

preferredSize property [java.awt.Component]

Applies to

 GridBagLayout [java.awt]


preferredLayoutSize method [java.awt.GridLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      preferredLayoutSize method [java.awt.GridLayout]

public java.awt.Dimension preferredLayoutSize( java.awt.Container parent )

Determines the preferred size of the container argument using this grid layout.

The preferred width of a grid layout is the largest preferred width of any of the widths in the container times the number of columns, plus the horizontal padding times the number of columns plus one, plus the left and right insets of the target container.

The preferred height of a grid layout is the largest preferred height of any of the widths in the container times the number of rows, plus the vertical padding times the number of rows plus one, plus the top and left insets of the target container.

Parameter

target

the container in which to do the layout.

Return

The preferred dimensions to lay out the subcomponents of the specified container.

See also

minimumLayoutSize method [java.awt.GridLayout]

preferredSize property [java.awt.Component]

Applies to

 GridLayout [java.awt]


preferredSize method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      preferredSize method [java.awt.Component]

public java.awt.Dimension preferredSize( )

Note: preferredSize has been deprecated. As of JDK version 1.1, replaced by getPreferredSize().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


preferredSize method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      preferredSize method [java.awt.Container]

Overloads:

 Dimension preferredSize( ) overrides preferredSize method [java.awt.Component]

public java.awt.Dimension preferredSize( )

Note: preferredSize has been deprecated. As of JDK version 1.1, replaced by getPreferredSize().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


preferredSize method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      preferredSize method [java.awt.List]

Overloads:

 Dimension preferredSize( int rows )

 Dimension preferredSize( ) overrides preferredSize method [java.awt.Component]

public java.awt.Dimension preferredSize( int rows )

Note: preferredSize has been deprecated. As of JDK version 1.1, replaced by getPreferredSize(int).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

public java.awt.Dimension preferredSize( )

Note: preferredSize has been deprecated. As of JDK version 1.1, replaced by getPreferredSize().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 List [java.awt]


preferredSize method [java.awt.TextArea] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      preferredSize method [java.awt.TextArea]

Overloads:

 Dimension preferredSize( int rows, int columns )

 Dimension preferredSize( ) overrides preferredSize method [java.awt.Component]

public java.awt.Dimension preferredSize( int rows, int columns )

Note: preferredSize has been deprecated. As of JDK version 1.1, replaced by getPreferredSize(int, int).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

public java.awt.Dimension preferredSize( )

Note: preferredSize has been deprecated. As of JDK version 1.1, replaced by getPreferredSize().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 TextArea [java.awt]


preferredSize method [java.awt.TextField] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      preferredSize method [java.awt.TextField]

Overloads:

 Dimension preferredSize( int columns )

 Dimension preferredSize( ) overrides preferredSize method [java.awt.Component]

public java.awt.Dimension preferredSize( int columns )

Note: preferredSize has been deprecated. As of JDK version 1.1, replaced by getPreferredSize(int).

No documentation supplied in JDK

Return

No documentation supplied in JDK.

public java.awt.Dimension preferredSize( )

Note: preferredSize has been deprecated. As of JDK version 1.1, replaced by getPreferredSize().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 TextField [java.awt]


preferredSize property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      preferredSize property [java.awt.Component]

public java.awt.Dimension getPreferredSize( )

Gets the preferred size of this component.

Return

A dimension object indicating this component's preferred size.

See also

minimumSize property [java.awt.Component]

LayoutManager interface [java.awt]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


preferredSize property [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      preferredSize property [java.awt.Container]

Overloads:

  Dimension getPreferredSize( ) overrides preferredSize property [java.awt.Component]

public java.awt.Dimension getPreferredSize( )

Returns the preferred size of this container.

Return

An instance of Dimension that represents the preferred size of this container.

See also

minimumSize property [java.awt.Component]

layout property [java.awt.Container]

LayoutManager interface [java.awt]

preferredSize property [java.awt.Component]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


preferredSize property [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      preferredSize property [java.awt.List]

Overloads:

  Dimension getPreferredSize( ) overrides preferredSize property [java.awt.Component]

  Dimension getPreferredSize( int rows ) overrides preferredSize property [java.awt.Component]

public java.awt.Dimension getPreferredSize( )

Gets the preferred size of this scrolling list.

Return

The preferred dimensions for displaying this scrolling list.

See also

preferredSize property [java.awt.Component]

public java.awt.Dimension getPreferredSize( int rows )

Gets the preferred dimensions for a list with the specified number of rows.

Parameter

rows

number of rows in the list.

Return

The preferred dimensions for displaying this scrolling list.

See also

preferredSize property [java.awt.Component]

Applies to

 List [java.awt]


preferredSize property [java.awt.TextArea] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      preferredSize property [java.awt.TextArea]

Overloads:

  Dimension getPreferredSize( ) overrides preferredSize property [java.awt.Component]

public java.awt.Dimension getPreferredSize( )

Determines the preferred size of this text area.

Return

The preferred dimensions needed for this text area.

See also

preferredSize property [java.awt.Component]

Applies to

 TextArea [java.awt]


preferredSize property [java.awt.TextField] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      preferredSize property [java.awt.TextField]

Overloads:

  Dimension getPreferredSize( ) overrides preferredSize property [java.awt.Component]

  Dimension getPreferredSize( int columns ) overrides preferredSize property [java.awt.Component]

public java.awt.Dimension getPreferredSize( )

Gets the preferred size of this text field.

Return

The preferred dimensions for displaying this text field.

public java.awt.Dimension getPreferredSize( int columns )

Gets the preferred size of this text field with the specified number of columns.

Parameter

columns

the number of columns in this text field.

Return

The preferred dimensions for displaying this text field.

Applies to

 TextField [java.awt]


PreparedStatement interface [java.sql] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PreparedStatement interface [java.sql]

Description

A SQL statement is pre-compiled and stored in a PreparedStatement object. This object can then be used to efficiently execute this statement multiple times.

Note: The setXXX methods for setting IN parameter values must specify types that are compatible with the defined SQL type of the input parameter. For instance, if the IN parameter has SQL type Integer then setInt should be used.

If arbitrary parameter type conversions are required then the setObject method should be used with a target SQL type.

Definition

public interface PreparedStatement extends java.sql.Statement

{

  // Properties

  public void setNull( int parameterIndex, int sqlType ) throws java.sql.SQLException;

  public void setBoolean( int parameterIndex, boolean x ) throws java.sql.SQLException;

  public void setByte( int parameterIndex, byte x ) throws java.sql.SQLException;

  public void setShort( int parameterIndex, short x ) throws java.sql.SQLException;

  public void setInt( int parameterIndex, int x ) throws java.sql.SQLException;

  public void setLong( int parameterIndex, long x ) throws java.sql.SQLException;

  public void setFloat( int parameterIndex, float x ) throws java.sql.SQLException;

  public void setDouble( int parameterIndex, double x ) throws java.sql.SQLException;

  public void setBigDecimal( int parameterIndex, java.math.BigDecimal x ) throws java.sql.SQLException;

  public void setString( int parameterIndex, java.lang.String x ) throws java.sql.SQLException;

  public void setBytes( int parameterIndex, byte[] x ) throws java.sql.SQLException;

  public void setDate( int parameterIndex, java.sql.Date x ) throws java.sql.SQLException;

  public void setTime( int parameterIndex, java.sql.Time x ) throws java.sql.SQLException;

  public void setTimestamp( int parameterIndex, java.sql.Timestamp x ) throws java.sql.SQLException;

  public void setObject( int parameterIndex, java.lang.Object x ) throws java.sql.SQLException;

  // Methods

  public java.sql.ResultSet executeQuery( ) throws java.sql.SQLException;

  public int executeUpdate( ) throws java.sql.SQLException;

  public void setAsciiStream( int parameterIndex, java.io.InputStream x, int length ) throws java.sql.SQLException;

  public void setUnicodeStream( int parameterIndex, java.io.InputStream x, int length ) throws java.sql.SQLException;

  public void setBinaryStream( int parameterIndex, java.io.InputStream x, int length ) throws java.sql.SQLException;

  public void clearParameters( ) throws java.sql.SQLException;

  public void setObject( int parameterIndex, java.lang.Object x, int targetSqlType, int scale ) throws java.sql.SQLException;

  public void setObject( int parameterIndex, java.lang.Object x, int targetSqlType ) throws java.sql.SQLException;

  public boolean execute( ) throws java.sql.SQLException;

}

Properties

public void setNull( int parameterIndex, int sqlType ) throws java.sql.SQLException

Set a parameter to SQL NULL.

Note: You must specify the parameter's SQL type.

Parameters

parameterIndex

the first parameter is 1, the second is 2, ...

sqlType

SQL type code defined by java.sql.Types

Throws

SQLException

If a database-access error occurs.

public void setBoolean( int parameterIndex, boolean x ) throws java.sql.SQLException

Set a parameter to a Java boolean value.  The driver converts this to a SQL BIT value when it sends it to the database.

Parameters

parameterIndex

the first parameter is 1, the second is 2, ...

x

the parameter value

Throws

SQLException

If a database-access error occurs.

public void setByte( int parameterIndex, byte x ) throws java.sql.SQLException

Set a parameter to a Java byte value.  The driver converts this to a SQL TINYINT value when it sends it to the database.

Parameters

parameterIndex

the first parameter is 1, the second is 2, ...

x

the parameter value

Throws

SQLException

If a database-access error occurs.

public void setShort( int parameterIndex, short x ) throws java.sql.SQLException

Set a parameter to a Java short value.  The driver converts this to a SQL SMALLINT value when it sends it to the database.

Parameters

parameterIndex

the first parameter is 1, the second is 2, ...

x

the parameter value

Throws

SQLException

If a database-access error occurs.

public void setInt( int parameterIndex, int x ) throws java.sql.SQLException

Set a parameter to a Java int value.  The driver converts this to a SQL INTEGER value when it sends it to the database.

Parameters

parameterIndex

the first parameter is 1, the second is 2, ...

x

the parameter value

Throws

SQLException

If a database-access error occurs.

public void setLong( int parameterIndex, long x ) throws java.sql.SQLException

Set a parameter to a Java long value.  The driver converts this to a SQL BIGINT value when it sends it to the database.

Parameters

parameterIndex

the first parameter is 1, the second is 2, ...

x

the parameter value

Throws

SQLException

If a database-access error occurs.

public void setFloat( int parameterIndex, float x ) throws java.sql.SQLException

Set a parameter to a Java float value.  The driver converts this to a SQL FLOAT value when it sends it to the database.

Parameters

parameterIndex

the first parameter is 1, the second is 2, ...

x

the parameter value

Throws

SQLException

If a database-access error occurs.

public void setDouble( int parameterIndex, double x ) throws java.sql.SQLException

Set a parameter to a Java double value.  The driver converts this to a SQL DOUBLE value when it sends it to the database.

Parameters

parameterIndex

the first parameter is 1, the second is 2, ...

x

the parameter value

Throws

SQLException

If a database-access error occurs.

public void setBigDecimal( int parameterIndex, java.math.BigDecimal x ) throws java.sql.SQLException

Set a parameter to a java.lang.BigDecimal value. The driver converts this to a SQL NUMERIC value when it sends it to the database.

Parameters

parameterIndex

the first parameter is 1, the second is 2, ...

x

the parameter value

Throws

SQLException

If a database-access error occurs.

public void setString( int parameterIndex, java.lang.String x ) throws java.sql.SQLException

Set a parameter to a Java String value.  The driver converts this to a SQL VARCHAR or LONGVARCHAR value (depending on the arguments size relative to the driver's limits on VARCHARs) when it sends it to the database.

Parameters

parameterIndex

the first parameter is 1, the second is 2, ...

x

the parameter value

Throws

SQLException

If a database-access error occurs.

public void setBytes( int parameterIndex, byte[] x ) throws java.sql.SQLException

Set a parameter to a Java array of bytes.  The driver converts this to a SQL VARBINARY or LONGVARBINARY (depending on the argument's size relative to the driver's limits on VARBINARYs) when it sends it to the database.

Parameters

parameterIndex

the first parameter is 1, the second is 2, ...

x

the parameter value

Throws

SQLException

If a database-access error occurs.

public void setDate( int parameterIndex, java.sql.Date x ) throws java.sql.SQLException

Set a parameter to a java.sql.Date value.  The driver converts this to a SQL DATE value when it sends it to the database.

Parameters

parameterIndex

the first parameter is 1, the second is 2, ...

x

the parameter value

Throws

SQLException

If a database-access error occurs.

public void setTime( int parameterIndex, java.sql.Time x ) throws java.sql.SQLException

Set a parameter to a java.sql.Time value.  The driver converts this to a SQL TIME value when it sends it to the database.

Parameters

parameterIndex

the first parameter is 1, the second is 2, ...

x

the parameter value

Throws

SQLException

If a database-access error occurs.

public void setTimestamp( int parameterIndex, java.sql.Timestamp x ) throws java.sql.SQLException

Set a parameter to a java.sql.Timestamp value.  The driver converts this to a SQL TIMESTAMP value when it sends it to the database.

Parameters

parameterIndex

the first parameter is 1, the second is 2, ...

x

the parameter value

Throws

SQLException

If a database-access error occurs.

public void setObject( int parameterIndex, java.lang.Object x ) throws java.sql.SQLException

Set the value of a parameter using an object; use the java.lang equivalent objects for integral values.

The JDBC specification specifies a standard mapping from Java Object types to SQL types.  The given argument java object will be converted to the corresponding SQL type before being sent to the database.

Note that this method may be used to pass datatabase specific abstract data types, by using a Driver specific Java type.

Parameters

parameterIndex

The first parameter is 1, the second is 2, ...

x

The object containing the input parameter value

Throws

SQLException

If a database-access error occurs.

Methods

public java.sql.ResultSet executeQuery( ) throws java.sql.SQLException

A prepared SQL query is executed and its ResultSet is returned.

Return

A ResultSet that contains the data produced by the query; never null.

Throws

SQLException

If a database-access error occurs.

public int executeUpdate( ) throws java.sql.SQLException

Execute a SQL INSERT, UPDATE or DELETE statement. In addition, SQL statements that return nothing such as SQL DDL statements can be executed.

Return

Either the row count for INSERT, UPDATE or DELETE; or 0 for SQL statements that return nothing.

Throws

SQLException

If a database-access error occurs.

public void setAsciiStream( int parameterIndex, java.io.InputStream x, int length ) throws java.sql.SQLException

When a very large ASCII value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.InputStream. JDBC will read the data from the stream as needed, until it reaches end-of-file.  The JDBC driver will do any necessary conversion from ASCII to the database char format.

Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

Parameters

parameterIndex

the first parameter is 1, the second is 2, ...

x

the java input stream which contains the ASCII parameter value

length

the number of bytes in the stream

Throws

SQLException

If a database-access error occurs.

public void setUnicodeStream( int parameterIndex, java.io.InputStream x, int length ) throws java.sql.SQLException

When a very large UNICODE value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.InputStream. JDBC will read the data from the stream as needed, until it reaches end-of-file.  The JDBC driver will do any necessary conversion from UNICODE to the database char format.

Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

Parameters

parameterIndex

the first parameter is 1, the second is 2, ...

x

the java input stream which contains the UNICODE parameter value

length

the number of bytes in the stream

Throws

SQLException

If a database-access error occurs.

public void setBinaryStream( int parameterIndex, java.io.InputStream x, int length ) throws java.sql.SQLException

When a very large binary value is input to a LONGVARBINARY parameter, it may be more practical to send it via a java.io.InputStream. JDBC will read the data from the stream as needed, until it reaches end-of-file.

Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

Parameters

parameterIndex

the first parameter is 1, the second is 2, ...

x

the java input stream which contains the binary parameter value

length

the number of bytes in the stream

Throws

SQLException

If a database-access error occurs.

public void clearParameters( ) throws java.sql.SQLException

In general, parameter values remain in force for repeated use of a Statement. Setting a parameter value automatically clears its previous value.  However, in some cases it is useful to immediately release the resources used by the current parameter values; this can be done by calling clearParameters.

Throws

SQLException

If a database-access error occurs.

public void setObject( int parameterIndex, java.lang.Object x, int targetSqlType, int scale ) throws java.sql.SQLException

Set the value of a parameter using an object; use the java.lang equivalent objects for integral values.

The given Java object will be converted to the targetSqlType before being sent to the database.

Note that this method may be used to pass datatabase- specific abstract data types. This is done by using a Driver- specific Java type and using a targetSqlType of java.sql.types.OTHER.

Parameters

parameterIndex

The first parameter is 1, the second is 2, ...

x

The object containing the input parameter value

targetSqlType

The SQL type (as defined in java.sql.Types) to be sent to the database. The scale argument may further qualify this type.

scale

For java.sql.Types.DECIMAL or java.sql.Types.NUMERIC types this is the number of digits after the decimal.  For all other types this value will be ignored,

Throws

SQLException

If a database-access error occurs.

See also

Types class [java.sql]

public void setObject( int parameterIndex, java.lang.Object x, int targetSqlType ) throws java.sql.SQLException

This method is like setObject above, but assumes a scale of zero.

Throws

SQLException

If a database-access error occurs.

public boolean execute( ) throws java.sql.SQLException

Some prepared statements return multiple results; the execute method handles these complex statements as well as the simpler form of statements handled by executeQuery and executeUpdate.

Return

No documentation supplied in JDK.

Throws

SQLException

If a database-access error occurs.

See also

Statement interface [java.sql]

See also

Connection interface [java.sql]

ResultSet interface [java.sql]


prepareImage method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      prepareImage method [java.awt.Component]

Overloads:

 boolean prepareImage( Image image, int width, int height, ImageObserver observer )

 boolean prepareImage( Image image, ImageObserver observer )

public boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

Prepares an image for rendering on this component at the specified width and height.

The image data is downloaded asynchronously in another thread, and an appropriately scaled screen representation of the image is generated.

Parameters

image

the instance of Image for which to prepare a screen representation.

width

the width of the desired screen representation.

height

the height of the desired screen representation.

observer

the ImageObserver object to be notified as the image is being prepared.

Return

true if the image has already been fully prepared; false otherwise.

See also

ImageObserver interface [java.awt.image]

public boolean prepareImage( java.awt.Image image, java.awt.image.ImageObserver observer )

Prepares an image for rendering on this component.  The image data is downloaded asynchronously in another thread and the appropriate screen representation of the image is generated.

Parameters

image

the Image for which to prepare a screen representation.

observer

the ImageObserver object to be notified as the image is being prepared.

Return

true if the image has already been fully prepared; false otherwise.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


prepareImage method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      prepareImage method [java.awt.Toolkit]

public abstract boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

Prepares an image for rendering.

If the values of the width and height arguments are both -1, this method prepares the image for rendering on the default screen; otherwise, this method prepares an image for rendering on the default screen at the specified width and height.

The image data is downloaded asynchronously in another thread, and an appropriately scaled screen representation of the image is generated.

This method is called by components prepareImage methods.

Information on the flags returned by this method can be found with the definition of the ImageObserver interface.

Parameters

image

the image for which to prepare a screen representation.

width

the width of the desired screen representation, or -1.

height

the height of the desired screen representation, or -1.

observer

the ImageObserver object to be notified as the image is being prepared.

Return

true if the image has already been fully prepared; false otherwise.

See also

prepareImage method [java.awt.Component]

ImageObserver interface [java.awt.image]

Applies to

 Toolkit [java.awt]


previous method [java.awt.CardLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      previous method [java.awt.CardLayout]

public void previous( java.awt.Container parent )

Flips to the previous card of the specified container. If the currently visible card is the first one, this method flips to the last card in the layout.

Parameter

parent

the name of the parent container in which to do the layout.

See also

next method [java.awt.CardLayout]

Applies to

 CardLayout [java.awt]


previous method [java.text.BreakIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      previous method [java.text.BreakIterator]

public abstract int previous( )

Return the boundary preceding the current boundary.

Return

The character index of the previous text boundary or DONE if all boundaries have been returned.

Applies to

 BreakIterator [java.text]


previous method [java.text.StringCharacterIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      previous method [java.text.StringCharacterIterator]

public char previous( )

Decrement the iterator's index by one and return the character at the new index.  If the resulting index is less than getBeginIndex(), the current index is reset to getBeginIndex() and a value of DONE is returned.

Return

The character at the new position or DONE if the current position is off the end of the text.

Applies to

 StringCharacterIterator [java.text]


previousDouble method [java.text.ChoiceFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      previousDouble method [java.text.ChoiceFormat]

public static final double previousDouble( double d )

Finds the greatest double less than d. If NaN, returns same value.

Return

No documentation supplied in JDK.

See also

nextDouble method [java.text.ChoiceFormat]

Applies to

 ChoiceFormat [java.text]


primaryOrder method [java.text.CollationElementIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      primaryOrder method [java.text.CollationElementIterator]

public static final int primaryOrder( int order )

Get the primary order of a collation order.

Parameter

order

the collation order

Return

The primary order of a collation order.

Applies to

 CollationElementIterator [java.text]


primitive property [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      primitive property [java.lang.Class]

public native boolean isPrimitive( )

Determines if the specified Class object represents a primitive Java type.

There are nine predefined Class objects to represent the eight primitive Java types and void.  These are created by the Java Virtual Machine, and have the same names as the primitive types that they represent, namely boolean, byte, char, short, int, long, float, and double, and void.

These objects may only be accessed via the following public static final variables, and are the only Class objects for which this method returns true.

Return

No documentation supplied in JDK.

Applies to

 Class [java.lang]


Principal interface [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      Principal interface [java.security]

Description

This interface represents a principal. A principal can be an individual, a corporation, a program thread; anything which can have an identity. See the  ACL white paper  for more information.

Definition

public interface Principal

{

  // Properties

  public java.lang.String getName( );

  // Methods

  public boolean equals( java.lang.Object another );

  public java.lang.String toString( );

  public int hashCode( );

}

Properties

public java.lang.String getName( )

Returns the name of this principal.

Return

The name of this principal.

Methods

public boolean equals( java.lang.Object another )

Compares this principal to the specified object.  Returns true if the object passed in matches the principal represented by the implementation of this interface.

Parameter

another

the principal to compare with.

Return

True if the principal passed in is the same as that encapsulated by this principal, false otherwise.

public java.lang.String toString( )

Returns a string representation of this principal.

Return

A string representation of this principal.

public int hashCode( )

Returns a hashcode for this principal.

Return

A hashcode for this principal.

Implemented by

Identity [java.security]

See also

Identity class [java.security]

Certificate interface [java.security]

Acl interface [java.security.acl]

Group interface [java.security.acl]


print method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      print method [java.awt.Component]

public void print( java.awt.Graphics g )

Prints this component. Applications should override this method for components that must do special processing before being printed or should be printed differently than they are painted.

The default implementation of this method calls the paint method.

The origin of the graphics context, its (0, 0) coordinate point, is the top-left corner of this component. The clipping region of the graphics context is the bounding rectangle of this component.

Parameter

g

the graphics context to use for printing.

See also

paint method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


print method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      print method [java.awt.Container]

Overloads:

 void print( Graphics g ) overrides print method [java.awt.Component]

public void print( java.awt.Graphics g )

Prints the container.  This forwards the print to any lightweight components that are children of this container.  If this method is reimplemented, super.print(g) should be called so that lightweight components are properly rendered.  If a child component is entirely clipped by the current clipping setting in g, print() will not be forwarded to that child.

Parameter

g

the specified Graphics window

See also

update method [java.awt.Component]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


print method [java.io.PrintStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      print method [java.io.PrintStream]

Overloads:

 void print( char[] s )

 void print( int i )

 void print( char c )

 void print( boolean b )

 void print( double d )

 void print( String s )

 void print( long l )

 void print( float f )

 void print( Object obj )

public void print( char[] s )

Print an array of characters.  The characters are converted into bytes according to the platform's default character encoding.

Parameter

s

The array of chars to be printed

public void print( int i )

Print an integer.  The string printed is the same as that returned by the toString method of the Integer class when invoked on the given int value.

Parameter

i

The int to be printed

See also

toString method [java.lang.Integer]

public void print( char c )

Print a character.  The character is translated into one or more bytes according to the platform's default character encoding.

Parameter

c

The char to be printed

public void print( boolean b )

Print a boolean value.  If the given value is true, then the string "true" is written to the underlying output stream; otherwise, the string "false" is written.

Parameter

b

The boolean to be printed

public void print( double d )

Print a double-precision floating-point number.  The string printed is the same as that returned by the toString method of the Double class when invoked on the given double value.

Parameter

d

The double to be printed

See also

toString method [java.lang.Double]

public void print( java.lang.String s )

Print a string.  If the argument is null, the string "null" is written to the underlying output stream. Otherwise, the string's characters are converted into bytes according to the platform's default character encoding.

Parameter

s

The String to be printed

public void print( long l )

Print a long integer.  The string printed is the same as that returned by the toString method of the Long class when invoked on the given long value.

Parameter

l

The long to be printed

See also

toString method [java.lang.Long]

public void print( float f )

Print a floating-point number.  The string printed is the same as that returned by the toString method of the Float class when invoked on the given float value.

Parameter

f

The float to be printed

See also

toString method [java.lang.Float]

public void print( java.lang.Object obj )

Print an object.  The string printed is the same as that returned by the given object's toString method.

Parameter

obj

The Object to be printed

See also

toString method [java.lang.Object]

Applies to

 LogStream [java.rmi.server]

 PrintStream [java.io]


print method [java.io.PrintWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      print method [java.io.PrintWriter]

Overloads:

 void print( Object obj )

 void print( String s )

 void print( char[] s )

 void print( char c )

 void print( double d )

 void print( float f )

 void print( long l )

 void print( boolean b )

 void print( int i )

public void print( java.lang.Object obj )

Print an object. *

public void print( java.lang.String s )

Print a String. *

public void print( char[] s )

Print an array of chracters. *

public void print( char c )

Print a character. *

public void print( double d )

Print a double. *

public void print( float f )

Print a float. *

public void print( long l )

Print a long. *

public void print( boolean b )

Print a boolean. *

public void print( int i )

Print an integer. *

Applies to

 PrintWriter [java.io]


printAll method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      printAll method [java.awt.Component]

public void printAll( java.awt.Graphics g )

Prints this component and all of its subcomponents.

The origin of the graphics context, its (0, 0) coordinate point, is the top-left corner of this component. The clipping region of the graphics context is the bounding rectangle of this component.

Parameter

g

the graphics context to use for printing.

See also

print method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


printComponents method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      printComponents method [java.awt.Container]

public void printComponents( java.awt.Graphics g )

Prints each of the components in this container.

Parameter

g

the graphics context.

See also

print method [java.awt.Component]

printAll method [java.awt.Component]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


printComponents method [java.awt.ScrollPane] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      printComponents method [java.awt.ScrollPane]

Overloads:

 void printComponents( Graphics g ) overrides printComponents method [java.awt.Container]

public void printComponents( java.awt.Graphics g )

Prints the component in this scroll pane.

Parameter

g

the specified Graphics window

See also

print method [java.awt.Component]

printAll method [java.awt.Component]

Applies to

 ScrollPane [java.awt]


PrintGraphics interface [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PrintGraphics interface [java.awt]

Description

An abstract class which provides a print graphics context for a page.

Definition

public interface PrintGraphics

{

  // Properties

  public java.awt.PrintJob getPrintJob( );

}

Properties

public java.awt.PrintJob getPrintJob( )

Returns the PrintJob object from which this PrintGraphics object originated.

Return

No documentation supplied in JDK.


PrintJob class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PrintJob class [java.awt]

Object

PrintJob

Description

An abstract class which initiates and executes a print job. It provides access to a print graphics object which renders to an appropriate print device.

Specification

public abstract class PrintJob extends java.lang.Object

Properties

  abstract java.awt.Graphics getGraphics( )

  abstract java.awt.Dimension getPageDimension( )

  abstract int getPageResolution( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  abstract void end( )

  void finalize( )

  abstract boolean lastPageFirst( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

See also

getPrintJob method [java.awt.Toolkit]


println method [java.io.PrintStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      println method [java.io.PrintStream]

Overloads:

 void println( Object x )

 void println( )

 void println( double x )

 void println( float x )

 void println( long x )

 void println( int x )

 void println( char[] x )

 void println( char x )

 void println( String x )

 void println( boolean x )

public void println( java.lang.Object x )

Print an Object, and then finish the line.

See also

print method [java.io.PrintStream]

public void println( )

Finish the current line by writing a line separator.  The line separator string is defined by the system property line.separator, and is not necessarily a single newline character ('\n').

public void println( double x )

Print a double, and then finish the line.

See also

print method [java.io.PrintStream]

public void println( float x )

Print a float, and then finish the line.

See also

print method [java.io.PrintStream]

public void println( long x )

Print a long, and then finish the line.

See also

print method [java.io.PrintStream]

public void println( int x )

Print an integer, and then finish the line.

See also

print method [java.io.PrintStream]

public void println( char[] x )

Print an array of characters, and then finish the line.

See also

print method [java.io.PrintStream]

public void println( char x )

Print a character, and then finish the line.

See also

print method [java.io.PrintStream]

public void println( java.lang.String x )

Print a String, and then finish the line.

See also

print method [java.io.PrintStream]

public void println( boolean x )

Print a boolean, and then finish the line.

See also

print method [java.io.PrintStream]

Applies to

 LogStream [java.rmi.server]

 PrintStream [java.io]


println method [java.io.PrintWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      println method [java.io.PrintWriter]

Overloads:

 void println( long x )

 void println( float x )

 void println( double x )

 void println( char[] x )

 void println( Object x )

 void println( String x )

 void println( )

 void println( boolean x )

 void println( char x )

 void println( int x )

public void println( long x )

Print a long, and then finish the line. *

public void println( float x )

Print a float, and then finish the line. *

public void println( double x )

Print a double, and then finish the line. *

public void println( char[] x )

Print an array of characters, and then finish the line. *

public void println( java.lang.Object x )

Print an Object, and then finish the line. *

public void println( java.lang.String x )

Print a String, and then finish the line. *

public void println( )

Finish the line. *

public void println( boolean x )

Print a boolean, and then finish the line. *

public void println( char x )

Print a character, and then finish the line. *

public void println( int x )

Print an integer, and then finish the line. *

Applies to

 PrintWriter [java.io]


println method [java.sql.DriverManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      println method [java.sql.DriverManager]

public static void println( java.lang.String message )

Print a message to the current JDBC log stream

Parameter

message

a log or tracing message

Applies to

 DriverManager [java.sql]


printStackTrace method [java.lang.Throwable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      printStackTrace method [java.lang.Throwable]

Overloads:

 void printStackTrace( PrintStream s )

 void printStackTrace( )

 void printStackTrace( PrintWriter s )

public void printStackTrace( java.io.PrintStream s )

Prints this Throwable and its backtrace to the specified print stream.

public void printStackTrace( )

Prints this Throwable and its backtrace to the standard error stream.

public void printStackTrace( java.io.PrintWriter s )

Prints this Throwable and its backtrace to the specified print writer.

Applies to

 AbstractMethodError [java.lang]

 AccessException [java.rmi]

 AclNotFoundException [java.security.acl]

 AlreadyBoundException [java.rmi]

 ArithmeticException [java.lang]

 ArrayIndexOutOfBoundsException [java.lang]

 ArrayStoreException [java.lang]

 AWTError [java.awt]

 AWTException [java.awt]

 BindException [java.net]

 CharConversionException [java.io]

 ClassCastException [java.lang]

 ClassCircularityError [java.lang]

 ClassFormatError [java.lang]

 ClassNotFoundException [java.lang]

 CloneNotSupportedException [java.lang]

 ConnectException [java.net]

 ConnectException [java.rmi]

 ConnectIOException [java.rmi]

 DataFormatException [java.util.zip]

 DataTruncation [java.sql]

 DigestException [java.security]

 EmptyStackException [java.util]

 EOFException [java.io]

 Error [java.lang]

 Exception [java.lang]

 ExceptionInInitializerError [java.lang]

 ExportException [java.rmi.server]

 FileNotFoundException [java.io]

 IllegalAccessError [java.lang]

 IllegalAccessException [java.lang]

 IllegalArgumentException [java.lang]

 IllegalComponentStateException [java.awt]

 IllegalMonitorStateException [java.lang]

 IllegalStateException [java.lang]

 IllegalThreadStateException [java.lang]

 IncompatibleClassChangeError [java.lang]

 IndexOutOfBoundsException [java.lang]

 InstantiationError [java.lang]

 InstantiationException [java.lang]

 InternalError [java.lang]

 InterruptedException [java.lang]

 InterruptedIOException [java.io]

 IntrospectionException [java.beans]

 InvalidClassException [java.io]

 InvalidKeyException [java.security]

 InvalidObjectException [java.io]

 InvalidParameterException [java.security]

 InvocationTargetException [java.lang.reflect]

 IOException [java.io]

 KeyException [java.security]

 KeyManagementException [java.security]

 LastOwnerException [java.security.acl]

 LinkageError [java.lang]

 MalformedURLException [java.net]

 MarshalException [java.rmi]

 MissingResourceException [java.util]

 NegativeArraySizeException [java.lang]

 NoClassDefFoundError [java.lang]

 NoRouteToHostException [java.net]

 NoSuchAlgorithmException [java.security]

 NoSuchElementException [java.util]

 NoSuchFieldError [java.lang]

 NoSuchFieldException [java.lang]

 NoSuchMethodError [java.lang]

 NoSuchMethodException [java.lang]

 NoSuchObjectException [java.rmi]

 NoSuchProviderException [java.security]

 NotActiveException [java.io]

 NotBoundException [java.rmi]

 NotOwnerException [java.security.acl]

 NotSerializableException [java.io]

 NullPointerException [java.lang]

 NumberFormatException [java.lang]

 ObjectStreamException [java.io]

 OptionalDataException [java.io]

 OutOfMemoryError [java.lang]

 ParseException [java.text]

 PropertyVetoException [java.beans]

 ProtocolException [java.net]

 ProviderException [java.security]

 RemoteException [java.rmi]

 RMISecurityException [java.rmi]

 RuntimeException [java.lang]

 SecurityException [java.lang]

 ServerCloneException [java.rmi.server]

 ServerError [java.rmi]

 ServerException [java.rmi]

 ServerNotActiveException [java.rmi.server]

 ServerRuntimeException [java.rmi]

 SignatureException [java.security]

 SkeletonMismatchException [java.rmi.server]

 SkeletonNotFoundException [java.rmi.server]

 SocketException [java.net]

 SocketSecurityException [java.rmi.server]

 SQLException [java.sql]

 SQLWarning [java.sql]

 StackOverflowError [java.lang]

 StreamCorruptedException [java.io]

 StringIndexOutOfBoundsException [java.lang]

 StubNotFoundException [java.rmi]

 SyncFailedException [java.io]

 ThreadDeath [java.lang]

 Throwable [java.lang]

 TooManyListenersException [java.util]

 UnexpectedException [java.rmi]

 UnknownError [java.lang]

 UnknownHostException [java.net]

 UnknownHostException [java.rmi]

 UnknownServiceException [java.net]

 UnmarshalException [java.rmi]

 UnsatisfiedLinkError [java.lang]

 UnsupportedEncodingException [java.io]

 UnsupportedFlavorException [java.awt.datatransfer]

 UTFDataFormatException [java.io]

 VerifyError [java.lang]

 VirtualMachineError [java.lang]

 WriteAbortedException [java.io]

 ZipException [java.util.zip]


PrintStream class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PrintStream class [java.io]

Object

OutputStream

FilterOutputStream

PrintStream

Description

Print values and objects to an output stream, using the platform's default character encoding to convert characters into bytes.

If automatic flushing is enabled at creation time, then the stream will be flushed each time a line is terminated or a newline character is written.

Methods in this class never throw I/O exceptions.  Client code may inquire as to whether any errors have occurred by invoking the checkError method.

Notes

This class is provided primarily for use in debugging, and for compatibility with existing code; new code should use the PrintWriter class..

Specification

public class PrintStream extends java.io.FilterOutputStream

Constructors

public PrintStream( java.io.OutputStream out )

Note: PrintStream has been deprecated. As of JDK 1.1, the preferred way to print text is via the PrintWriter class.  Consider replacing code of the
form     PrintStream p = new PrintStream(out);
with     PrintWriter p = new PrintWriter(out);.

Create a new print stream.

Parameter

out

The output stream to which values and objects will be printed

public PrintStream( java.io.OutputStream out, boolean autoFlush )

Note: PrintStream has been deprecated. As of JDK 1.1, the preferred way to print text is via the PrintWriter class.  Consider replacing code of the
form     PrintStream p = new PrintStream(out, autoFlush);
with     PrintWriter p = new PrintWriter(out, autoFlush);.

Create a new PrintStream.

Parameters

out

The output stream to which values and objects will be printed

autoFlush

A boolean; if true, the output buffer will be flushed whenever a line is terminated or a newline character ('\n') is written

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  boolean checkError( )

  void close( )

  void flush( )

  void print( float f )

  void print( java.lang.Object obj )

  void print( char[] s )

  void print( int i )

  void print( char c )

  void print( boolean b )

  void print( double d )

  void print( java.lang.String s )

  void print( long l )

  void println( java.lang.Object x )

  void println( )

  void println( double x )

  void println( float x )

  void println( long x )

  void println( int x )

  void println( char[] x )

  void println( char x )

  void println( java.lang.String x )

  void println( boolean x )

  void write( int b )

  void write( byte[] buf, int off, int len )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  void write( byte[] b ) throws java.io.IOException

Protected Methods

 protected void setError( )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

PrintWriter class [java.io]


PrintWriter class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PrintWriter class [java.io]

Object

Writer

PrintWriter

Description

Print formatted representations of objects to a text-output stream.  This class implements all of the print methods found in PrintStream.  It does not contain methods for writing raw bytes, for which a program should use unencoded byte streams.

Unlike the PrintStream class, if automatic flushing is enabled it will be done only when one of the println() methods is invoked, rather than whenever a newline character happens to be output.  The println() methods use the platform's own notion of line separator rather than the newline character.

Methods in this class never throw I/O exceptions.  The client may inquire as to whether any errors have occurred by invoking checkError().

Specification

public class PrintWriter extends java.io.Writer

Constructors

public PrintWriter( java.io.OutputStream out )

Create a new PrintWriter, without automatic line flushing, from an existing OutputStream.  This convenience constructor creates the necessary intermediate OutputStreamWriter, which will convert characters into bytes using the default character encoding.

Parameter

out

An output stream

public PrintWriter( java.io.Writer out )

Create a new PrintWriter, without automatic line flushing.

Parameter

out

A character-output stream

public PrintWriter( java.io.OutputStream out, boolean autoFlush )

Create a new PrintWriter from an existing OutputStream.  This convenience constructor creates the necessary intermediate OutputStreamWriter, which will convert characters into bytes using the default character encoding.

Parameters

out

An output stream

autoFlush

A boolean; if true, the println() methods will flush the output buffer

public PrintWriter( java.io.Writer out, boolean autoFlush )

Create a new PrintWriter.

Parameters

out

A character-output stream

autoFlush

A boolean; if true, the println() methods will flush the output buffer

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  boolean checkError( )

  void close( )

  void flush( )

  void print( long l )

  void print( char[] s )

  void print( java.lang.String s )

  void print( java.lang.Object obj )

  void print( float f )

  void print( boolean b )

  void print( int i )

  void print( char c )

  void print( double d )

  void println( long x )

  void println( float x )

  void println( double x )

  void println( char[] x )

  void println( java.lang.Object x )

  void println( java.lang.String x )

  void println( )

  void println( boolean x )

  void println( char x )

  void println( int x )

  void write( java.lang.String s, int off, int len )

  void write( char[] buf )

  void write( int c )

  void write( char[] buf, int off, int len )

  void write( java.lang.String s )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected void setError( )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


priority property [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      priority property [java.lang.Thread]

public final int getPriority( )

Returns this thread's priority.

Return

This thread's name.

public final void setPriority( int newPriority )

Changes the priority of this thread.

First the checkAccess method of this thread is called with no arguments. This may result in throwing a SecurityException.

Otherwise, the priority of this thread is set to the smaller of the specified newPriority and the maximum permitted priority of the thread's thread group.

Throws

IllegalArgumentException

If the priority is not in the range MIN_PRIORITY to MAX_PRIORITY.

SecurityException

If the current thread cannot modify this thread.

See also

checkAccess method [java.lang.Thread]

threadGroup property [java.lang.Thread]

maxPriority property [java.lang.ThreadGroup]

Applies to

 Thread [java.lang]


private property [java.security.KeyPair] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      private property [java.security.KeyPair]

public java.security.PrivateKey getPrivate( )

Returns the private key from this key pair.

Return

The private key.

Applies to

 KeyPair [java.security]


PrivateKey interface [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PrivateKey interface [java.security]

Description

A private key.  This interface contains no methods or constants.  It merely serves to group (and provide type safety for) all private key interfaces. Note: The specialized private key interfaces extend this interface. See, for example, the DSAPrivateKey interface in java.security.interfaces.

Definition

public interface PrivateKey extends java.security.Key

{

}

See also

Key interface [java.security]

PublicKey interface [java.security]

Certificate interface [java.security]

initVerify method [java.security.Signature]

DSAPrivateKey interface [java.security.interfaces]


privateKey property [java.security.Signer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      privateKey property [java.security.Signer]

public java.security.PrivateKey getPrivateKey( )

Returns this signer's private key.

Return

This signer's private key, or null if the private key has not yet been set.

Applies to

 Signer [java.security]


Process class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      Process class [java.lang]

Object

Process

Description

The exec methods return an instance of a subclass of Process that can be used to control the process and obtain information about it.

The subprocess is not killed when there are no more references to the Process object, but rather the subprocess continues executing asynchronously.

Specification

public abstract class Process extends java.lang.Object

Properties

  abstract java.io.InputStream getErrorStream( )

  abstract java.io.InputStream getInputStream( )

  abstract java.io.OutputStream getOutputStream( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  abstract void destroy( )

  abstract int exitValue( )

  abstract int waitFor( ) throws java.lang.InterruptedException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

exec method [java.lang.Runtime]


processActionEvent method [java.awt.Button] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processActionEvent method [java.awt.Button]

protected void processActionEvent( java.awt.event.ActionEvent e )

Processes action events occurring on this button by dispatching them to any registered ActionListener objects.

This method is not called unless action events are enabled for this button. Action events are enabled when one of the following occurs:

•	An ActionListener object is registered via addActionListener.

•	Action events are enabled via enableEvents.

Parameter

e

the action event.

See also

ActionListener interface [java.awt.event]

ActionEvent event [java.awt.Button]

enableEvents method [java.awt.Component]

Applies to

 Button [java.awt]


processActionEvent method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processActionEvent method [java.awt.List]

protected void processActionEvent( java.awt.event.ActionEvent e )

Processes action events occurring on this component by dispatching them to any registered ActionListener objects.

This method is not called unless action events are enabled for this component. Action events are enabled when one of the following occurs:

•	An ActionListener object is registered via addActionListener.

•	Action events are enabled via enableEvents.

Parameter

e

the action event.

See also

ActionEvent class [java.awt.event]

ActionListener interface [java.awt.event]

ActionEvent event [java.awt.List]

enableEvents method [java.awt.Component]

Applies to

 List [java.awt]


processActionEvent method [java.awt.MenuItem] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processActionEvent method [java.awt.MenuItem]

protected void processActionEvent( java.awt.event.ActionEvent e )

Processes action events occurring on this menu item, by dispatching them to any registered ActionListener objects. This method is not called unless action events are enabled for this component. Action events are enabled when one of the following occurs:

•	An ActionListener object is registered via addActionListener.

•	Action events are enabled via enableEvents.

Parameter

e

the action event.

See also

ActionEvent class [java.awt.event]

ActionListener interface [java.awt.event]

enableEvents method [java.awt.MenuItem]

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


processActionEvent method [java.awt.TextField] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processActionEvent method [java.awt.TextField]

protected void processActionEvent( java.awt.event.ActionEvent e )

Processes action events occurring on this text field by dispatching them to any registered ActionListener objects.

This method is not called unless action events are enabled for this component. Action events are enabled when one of the following occurs:

•	An ActionListener object is registered via addActionListener.

•	Action events are enabled via enableEvents.

Parameter

e

the action event.

See also

ActionListener interface [java.awt.event]

ActionEvent event [java.awt.TextField]

enableEvents method [java.awt.Component]

Applies to

 TextField [java.awt]


processAdjustmentEvent method [java.awt.Scrollbar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processAdjustmentEvent method [java.awt.Scrollbar]

protected void processAdjustmentEvent( java.awt.event.AdjustmentEvent e )

Processes adjustment events occurring on this scrollbar by dispatching them to any registered AdjustmentListener objects.

This method is not called unless adjustment events are enabled for this component. Adjustment events are enabled when one of the following occurs:

•	An AdjustmentListener object is registered via addAdjustmentListener.

•	Adjustment events are enabled via enableEvents.

Parameter

e

the adjustment event.

See also

AdjustmentEvent class [java.awt.event]

AdjustmentListener interface [java.awt.event]

AdjustmentEvent event [java.awt.Scrollbar]

enableEvents method [java.awt.Component]

Applies to

 Scrollbar [java.awt]


processComponentEvent method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processComponentEvent method [java.awt.Component]

protected void processComponentEvent( java.awt.event.ComponentEvent e )

Processes component events occurring on this component by dispatching them to any registered ComponentListener objects.

This method is not called unless component events are enabled for this component. Component events are enabled when one of the following occurs:

•	A ComponentListener object is registered via addComponentListener.

•	Component events are enabled via enableEvents.

Parameter

e

the component event.

See also

ComponentEvent class [java.awt.event]

ComponentListener interface [java.awt.event]

ComponentEvent event [java.awt.Component]

enableEvents method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


processContainerEvent method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processContainerEvent method [java.awt.Container]

protected void processContainerEvent( java.awt.event.ContainerEvent e )

Processes container events occurring on this container by dispatching them to any registered ContainerListener objects. NOTE: This method will not be called unless container events are enabled for this component; this happens when one of the following occurs: a) A ContainerListener object is registered via addContainerListener() b) Container events are enabled via enableEvents()

Parameter

e

the container event

See also

enableEvents method [java.awt.Component]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


processEvent method [java.awt.Button] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processEvent method [java.awt.Button]

Overloads:

 void processEvent( AWTEvent e ) overrides processEvent method [java.awt.Component]

protected void processEvent( java.awt.AWTEvent e )

Processes events on this button. If an event is an instance of ActionEvent, this method invokes the processActionEvent method. Otherwise, it invokes processEvent on the superclass.

Parameter

e

the event.

See also

ActionEvent class [java.awt.event]

processActionEvent method [java.awt.Button]

Applies to

 Button [java.awt]


processEvent method [java.awt.Checkbox] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processEvent method [java.awt.Checkbox]

Overloads:

 void processEvent( AWTEvent e ) overrides processEvent method [java.awt.Component]

protected void processEvent( java.awt.AWTEvent e )

Processes events on this check box. If the event is an instance of ItemEvent, this method invokes the processItemEvent method. Otherwise, it calls its superclass's processEvent method.

Parameter

e

the event.

See also

ItemEvent class [java.awt.event]

processItemEvent method [java.awt.Checkbox]

Applies to

 Checkbox [java.awt]


processEvent method [java.awt.CheckboxMenuItem] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processEvent method [java.awt.CheckboxMenuItem]

Overloads:

 void processEvent( AWTEvent e ) overrides processEvent method [java.awt.MenuItem]

protected void processEvent( java.awt.AWTEvent e )

Processes events on this check box menu item. If the event is an instance of ItemEvent, this method invokes the processItemEvent method. If the event is not an item event, it invokes processEvent on the superclass.

Check box menu items currently support only item events.

Parameter

e

the event

See also

ItemEvent class [java.awt.event]

processItemEvent method [java.awt.CheckboxMenuItem]

Applies to

 CheckboxMenuItem [java.awt]


processEvent method [java.awt.Choice] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processEvent method [java.awt.Choice]

Overloads:

 void processEvent( AWTEvent e ) overrides processEvent method [java.awt.Component]

protected void processEvent( java.awt.AWTEvent e )

Processes events on this choice. If the event is an instance of ItemEvent, it invokes the processItemEvent method. Otherwise, it calls its superclass's processEvent method.

Parameter

e

the event.

See also

ItemEvent class [java.awt.event]

processItemEvent method [java.awt.Choice]

Applies to

 Choice [java.awt]


processEvent method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processEvent method [java.awt.Component]

protected void processEvent( java.awt.AWTEvent e )

Processes events occurring on this component. By default this method calls the appropriate process<event type>Event method for the given class of event.

Parameter

e

the event.

See also

processComponentEvent method [java.awt.Component]

processFocusEvent method [java.awt.Component]

processKeyEvent method [java.awt.Component]

processMouseEvent method [java.awt.Component]

processMouseMotionEvent method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


processEvent method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processEvent method [java.awt.Container]

Overloads:

 void processEvent( AWTEvent e ) overrides processEvent method [java.awt.Component]

protected void processEvent( java.awt.AWTEvent e )

Processes events on this container. If the event is a ContainerEvent, it invokes the processContainerEvent method, else it invokes its superclass's processEvent.

Parameter

e

the event

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


processEvent method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processEvent method [java.awt.List]

Overloads:

 void processEvent( AWTEvent e ) overrides processEvent method [java.awt.Component]

protected void processEvent( java.awt.AWTEvent e )

Processes events on this scrolling list. If an event is an instance of ItemEvent, it invokes the processItemEvent method. Else, if the event is an instance of ActionEvent, it invokes processActionEvent. If the event is not an item event or an action event, it invokes processEvent on the superclass.

Parameter

e

the event.

See also

ActionEvent class [java.awt.event]

ItemEvent class [java.awt.event]

processActionEvent method [java.awt.List]

processItemEvent method [java.awt.List]

Applies to

 List [java.awt]


processEvent method [java.awt.MenuComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processEvent method [java.awt.MenuComponent]

protected void processEvent( java.awt.AWTEvent e )

Processes events occurring on this menu component.

Parameter

e

the event

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuBar [java.awt]

 MenuComponent [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


processEvent method [java.awt.MenuItem] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processEvent method [java.awt.MenuItem]

Overloads:

 void processEvent( AWTEvent e ) overrides processEvent method [java.awt.MenuComponent]

protected void processEvent( java.awt.AWTEvent e )

Processes events on this menu item. If the event is an instance of ActionEvent, it invokes processActionEvent, another method defined by MenuItem.

Currently, menu items only support action events.

Parameter

e

the event.

See also

processActionEvent method [java.awt.MenuItem]

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


processEvent method [java.awt.Scrollbar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processEvent method [java.awt.Scrollbar]

Overloads:

 void processEvent( AWTEvent e ) overrides processEvent method [java.awt.Component]

protected void processEvent( java.awt.AWTEvent e )

Processes events on this scroll bar. If the event is an instance of AdjustmentEvent, it invokes the processAdjustmentEvent method. Otherwise, it invokes its superclass's processEvent method.

Parameter

e

the event.

See also

AdjustmentEvent class [java.awt.event]

processAdjustmentEvent method [java.awt.Scrollbar]

Applies to

 Scrollbar [java.awt]


processEvent method [java.awt.TextComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processEvent method [java.awt.TextComponent]

Overloads:

 void processEvent( AWTEvent e ) overrides processEvent method [java.awt.Component]

protected void processEvent( java.awt.AWTEvent e )

Processes events on this textcomponent. If the event is a TextEvent, it invokes the processTextEvent method, else it invokes its superclass's processEvent.

Parameter

e

the event

Applies to

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]


processEvent method [java.awt.TextField] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processEvent method [java.awt.TextField]

Overloads:

 void processEvent( AWTEvent e ) overrides processEvent method [java.awt.TextComponent]

protected void processEvent( java.awt.AWTEvent e )

Processes events on this text field. If the event is an instance of ActionEvent, it invokes the processActionEvent method. Otherwise, it invokes processEvent on the superclass.

Parameter

e

the event.

See also

ActionEvent class [java.awt.event]

processActionEvent method [java.awt.TextField]

Applies to

 TextField [java.awt]


processEvent method [java.awt.Window] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processEvent method [java.awt.Window]

Overloads:

 void processEvent( AWTEvent e ) overrides processEvent method [java.awt.Container]

protected void processEvent( java.awt.AWTEvent e )

Processes events on this window. If the event is an WindowEvent, it invokes the processWindowEvent method, else it invokes its superclass's processEvent.

Parameter

e

the event

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Window [java.awt]


processFocusEvent method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processFocusEvent method [java.awt.Component]

protected void processFocusEvent( java.awt.event.FocusEvent e )

Processes focus events occurring on this component by dispatching them to any registered FocusListener objects.

This method is not called unless focus events are enabled for this component. Focus events are enabled when one of the following occurs:

•	A FocusListener object is registered via addFocusListener.

•	Focus events are enabled via enableEvents.

Parameter

e

the focus event.

See also

FocusEvent class [java.awt.event]

FocusListener interface [java.awt.event]

FocusEvent event [java.awt.Component]

enableEvents method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


processItemEvent method [java.awt.Checkbox] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processItemEvent method [java.awt.Checkbox]

protected void processItemEvent( java.awt.event.ItemEvent e )

Processes item events occurring on this check box by dispatching them to any registered ItemListener objects.

This method is not called unless item events are enabled for this component. Item events are enabled when one of the following occurs:

•	An ItemListener object is registered via addItemListener.

•	Item events are enabled via enableEvents.

Parameter

e

the item event.

See also

ItemEvent class [java.awt.event]

ItemListener interface [java.awt.event]

ItemEvent event [java.awt.Checkbox]

enableEvents method [java.awt.Component]

Applies to

 Checkbox [java.awt]


processItemEvent method [java.awt.CheckboxMenuItem] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processItemEvent method [java.awt.CheckboxMenuItem]

protected void processItemEvent( java.awt.event.ItemEvent e )

Processes item events occurring on this check box menu item by dispatching them to any registered ItemListener objects.

This method is not called unless item events are enabled for this menu item. Item events are enabled when one of the following occurs:

•	An ItemListener object is registered via addItemListener.

•	Item events are enabled via enableEvents.

Parameter

e

the item event.

See also

ItemEvent class [java.awt.event]

ItemListener interface [java.awt.event]

ItemEvent event [java.awt.CheckboxMenuItem]

enableEvents method [java.awt.MenuItem]

Applies to

 CheckboxMenuItem [java.awt]


processItemEvent method [java.awt.Choice] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processItemEvent method [java.awt.Choice]

protected void processItemEvent( java.awt.event.ItemEvent e )

Processes item events occurring on this Choice menu by dispatching them to any registered ItemListener objects.

This method is not called unless item events are enabled for this component. Item events are enabled when one of the following occurs:

•	An ItemListener object is registered via addItemListener.

•	Item events are enabled via enableEvents.

Parameter

e

the item event.

See also

ItemEvent class [java.awt.event]

ItemListener interface [java.awt.event]

ItemEvent event [java.awt.Choice]

enableEvents method [java.awt.Component]

Applies to

 Choice [java.awt]


processItemEvent method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processItemEvent method [java.awt.List]

protected void processItemEvent( java.awt.event.ItemEvent e )

Processes item events occurring on this list by dispatching them to any registered ItemListener objects.

This method is not called unless item events are enabled for this component. Item events are enabled when one of the following occurs:

•	An ItemListener object is registered via addItemListener.

•	Item events are enabled via enableEvents.

Parameter

e

the item event.

See also

ItemEvent class [java.awt.event]

ItemListener interface [java.awt.event]

ItemEvent event [java.awt.List]

enableEvents method [java.awt.Component]

Applies to

 List [java.awt]


processKeyEvent method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processKeyEvent method [java.awt.Component]

protected void processKeyEvent( java.awt.event.KeyEvent e )

Processes key events occurring on this component by dispatching them to any registered <codeKeyListener objects.

This method is not called unless key events are enabled for this component. Key events are enabled when one of the following occurs:

•	A KeyListener object is registered via addKeyListener.

•	Key events are enabled via enableEvents.

Parameter

e

the key event.

See also

KeyEvent class [java.awt.event]

KeyListener interface [java.awt.event]

KeyEvent event [java.awt.Component]

enableEvents method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


processMouseEvent method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processMouseEvent method [java.awt.Component]

protected void processMouseEvent( java.awt.event.MouseEvent e )

Processes mouse events occurring on this component by dispatching them to any registered MouseListener objects.

This method is not called unless mouse events are enabled for this component. Mouse events are enabled when one of the following occurs:

•	A MouseListener object is registered via addMouseListener.

•	Mouse events are enabled via enableEvents.

Parameter

e

the mouse event.

See also

MouseEvent class [java.awt.event]

MouseListener interface [java.awt.event]

MouseEvent event [java.awt.Component]

enableEvents method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


processMouseMotionEvent method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processMouseMotionEvent method [java.awt.Component]

protected void processMouseMotionEvent( java.awt.event.MouseEvent e )

Processes mouse motion events occurring on this component by dispatching them to any registered MouseMotionListener objects.

This method is not called unless mouse motion events are enabled for this component. Mouse motion events are enabled when one of the following occurs:

•	A MouseMotionListener object is registered via addMouseMotionListener.

•	Mouse motion events are enabled via enableEvents.

Parameter

e

the mouse motion event.

See also

MouseMotionListener interface [java.awt.event]

MouseMotionEvent event [java.awt.Component]

enableEvents method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


processTextEvent method [java.awt.TextComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processTextEvent method [java.awt.TextComponent]

protected void processTextEvent( java.awt.event.TextEvent e )

Processes text events occurring on this text component by dispatching them to any registered TextListener objects. NOTE: This method will not be called unless text events are enabled for this component; this happens when one of the following occurs: a) A TextListener object is registered via addTextListener() b) Text events are enabled via enableEvents()

Parameter

e

the text event

See also

enableEvents method [java.awt.Component]

Applies to

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]


processWindowEvent method [java.awt.Window] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      processWindowEvent method [java.awt.Window]

protected void processWindowEvent( java.awt.event.WindowEvent e )

Processes window events occurring on this window by dispatching them to any registered WindowListener objects. NOTE: This method will not be called unless window events are enabled for this component; this happens when one of the following occurs: a) A WindowListener object is registered via addWindowListener() b) Window events are enabled via enableEvents()

Parameter

e

the window event

See also

enableEvents method [java.awt.Component]

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Window [java.awt]


propagationId property [java.beans.PropertyChangeEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      propagationId property [java.beans.PropertyChangeEvent]

public java.lang.Object getPropagationId( )

The "propagationId" field is reserved for future use.  In Beans 1.0 the sole requirement is that if a listener catches a PropertyChangeEvent and then fires a PropertyChangeEvent of its own, then it should make sure that it propagates the propagationId field from its incoming event to its outgoing event.

Return

The propagationId object associated with a bound/constrained property update.

public void setPropagationId( java.lang.Object propagationId )

No documentation supplied in JDK

Parameter

propagationId

The propagationId object for the event.

Applies to

 PropertyChangeEvent [java.beans]


Properties class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      Properties class [java.util]

Object

Dictionary

Hashtable

Properties

Description

The Properties class represents a persistent set of properties. The Properties can be saved to a stream or loaded from a stream. Each key and its corresponding value in the property list is a string.

A property list can contain another property list as its "defaults"; this second property list is searched if the property key is not found in the original property list.

Specification

public class Properties extends java.util.Hashtable

Constructors

public Properties( )

Creates an empty property list with no default values.

public Properties( java.util.Properties defaults )

Creates an empty property list with the specified defaults.

Parameter

defaults

the defaults.

Variables

protected java.util.Properties defaults

A property list that contains default values for any keys not found in this property list.

Inherited Properties

  native final java.lang.Class getClass( )

  abstract boolean isEmpty( )

Methods

  java.lang.String getProperty( java.lang.String key )

  java.lang.String getProperty( java.lang.String key, java.lang.String defaultValue )

  void list( java.io.PrintStream out )

  void list( java.io.PrintWriter out )

  synchronized void load( java.io.InputStream in ) throws java.io.IOException

  java.util.Enumeration propertyNames( )

  synchronized void save( java.io.OutputStream out, java.lang.String header )

Inherited Methods

  synchronized void clear( )

  synchronized boolean contains( java.lang.Object value )

  synchronized boolean containsKey( java.lang.Object key )

  abstract java.util.Enumeration elements( )

  boolean equals( java.lang.Object obj )

  abstract java.lang.Object get( java.lang.Object key )

  native int hashCode( )

  abstract java.util.Enumeration keys( )

  native final void notify( )

  native final void notifyAll( )

  abstract java.lang.Object put( java.lang.Object key, java.lang.Object value )

  abstract java.lang.Object remove( java.lang.Object key )

  abstract int size( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected void rehash( )


properties property [java.awt.image.CropImageFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      properties property [java.awt.image.CropImageFilter]

Overloads:

  void setProperties( Hashtable props ) overrides properties property [java.awt.image.ImageFilter]

public void setProperties( java.util.Hashtable props )

Passes along  the properties from the source object after adding a property indicating the cropped region.

Applies to

 CropImageFilter [java.awt.image]


properties property [java.awt.image.ImageFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      properties property [java.awt.image.ImageFilter]

public void setProperties( java.util.Hashtable props )

Passes the properties from the source object along after adding a property indicating the stream of filters it has been run through.

Applies to

 AreaAveragingScaleFilter [java.awt.image]

 CropImageFilter [java.awt.image]

 ImageFilter [java.awt.image]

 ReplicateScaleFilter [java.awt.image]

 RGBImageFilter [java.awt.image]


properties property [java.awt.image.PixelGrabber] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      properties property [java.awt.image.PixelGrabber]

public void setProperties( java.util.Hashtable props )

The setProperties method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

Applies to

 PixelGrabber [java.awt.image]


properties property [java.awt.image.ReplicateScaleFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      properties property [java.awt.image.ReplicateScaleFilter]

Overloads:

  void setProperties( Hashtable props ) overrides properties property [java.awt.image.ImageFilter]

public void setProperties( java.util.Hashtable props )

Passes along the properties from the source object after adding a property indicating the scale applied.

Applies to

 AreaAveragingScaleFilter [java.awt.image]

 ReplicateScaleFilter [java.awt.image]


properties property [java.lang.System] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      properties property [java.lang.System]

public static java.util.Properties getProperties( )

Determines the current system properties.

If there is a security manager, its checkPropertiesAccess method is called with no arguments. This may result in a security exception.

The current set of system properties is returned as a Properties object. If there is no current set of system properties, a set of system properties is first created and initialized.

This set of system properties always includes values for the following keys:

Key 	Description of Associated Value

java.version 	Java version number

java.vendor 	Java vendor-specific string

java.vendor.url 	Java vendor URL

java.home 	Java installation directory

java.class.version 	Java class format version number

java.class.path 	Java class path

os.name 	Operating system name

os.arch 	Operating system architecture

os.version 	Operating system version

file.separator 	File separator ("/" on UNIX)

path.separator 	Path separator (":" on UNIX)

line.separator 	Line separator ("\n" on UNIX)

user.name 	User's account name

user.home 	User's home directory

user.dir 	User's current working directory

Return

No documentation supplied in JDK.

Throws

SecurityException

If the current thread cannot access the system properties.

See also

SecurityException class [java.lang]

checkPropertiesAccess method [java.lang.SecurityManager]

Properties class [java.util]

public static void setProperties( java.util.Properties props )

Sets the system properties to the Properties argument.

First, if there is a security manager, its checkPropertiesAccess method is called with no arguments. This may result in a security exception.

The argument becomes the current set of system properties for use by the getProperty method. If the argument is null, then the current set of system properties is forgotten.

Parameter

props

the new system properties.

Throws

SecurityException

If the current thread cannot set the system properties.

See also

SecurityException class [java.lang]

checkPropertiesAccess method [java.lang.SecurityManager]

Applies to

 System [java.lang]


PropertyChangeEvent class [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PropertyChangeEvent class [java.beans]

Object

EventObject

PropertyChangeEvent

Description

A "PropertyChange" event gets delivered whenever a bean changes a "bound" or "constrained" property.  A PropertyChangeEvent object is sent as an argument to the PropertyChangeListener and VetoableChangeListener methods.

Normally PropertyChangeEvents are accompanied by the name and the old and new value of the changed property.  If the new value is a builtin type (such as int or boolean) it must be wrapped as the corresponding java.lang.* Object type (such as Integer or Boolean).

Null values may be provided for the old and the new values if their true values are not known.

An event source may send a null object as the name to indicate that an arbitrary set of if its properties have changed.  In this case the old and new values should also be null.

Specification

public class PropertyChangeEvent extends java.util.EventObject

Constructor

public PropertyChangeEvent( java.lang.Object source, java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue )

No documentation supplied in JDK

Parameters

source

The bean that fired the event.

propertyName

The programmatic name of the property that was changed.

oldValue

The old value of the property.

newValue

The new value of the property.

Properties

  java.lang.Object getNewValue( )

  java.lang.Object getOldValue( )

  java.lang.Object getPropagationId( )

  void setPropagationId( java.lang.Object propagationId )

  java.lang.String getPropertyName( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.Object getSource( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


PropertyChangeEvent event [java.beans.PropertyChangeSupport] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PropertyChangeEvent event [java.beans.PropertyChangeSupport]

public synchronized void addPropertyChangeListener( java.beans.PropertyChangeListener listener )

Add a PropertyChangeListener to the listener list.

Parameter

listener

The PropertyChangeListener to be added

public synchronized void removePropertyChangeListener( java.beans.PropertyChangeListener listener )

Remove a PropertyChangeListener from the listener list.

Parameter

listener

The PropertyChangeListener to be removed

Applies to

 PropertyChangeSupport [java.beans]


PropertyChangeEvent event [java.beans.PropertyEditorSupport] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PropertyChangeEvent event [java.beans.PropertyEditorSupport]

public synchronized void addPropertyChangeListener( java.beans.PropertyChangeListener listener )

Register a listener for the PropertyChange event.  The class will fire a PropertyChange value whenever the value is updated.

Parameter

listener

An object to be invoked when a PropertyChange event is fired.

public synchronized void removePropertyChangeListener( java.beans.PropertyChangeListener listener )

Remove a listener for the PropertyChange event.

Parameter

listener

The PropertyChange listener to be removed.

Applies to

 PropertyEditorSupport [java.beans]


propertyChangeEvent property [java.beans.PropertyVetoException] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      propertyChangeEvent property [java.beans.PropertyVetoException]

public java.beans.PropertyChangeEvent getPropertyChangeEvent( )

Applies to

 PropertyVetoException [java.beans]


PropertyChangeListener interface [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PropertyChangeListener interface [java.beans]

Description

A "PropertyChange" event gets fired whenever a bean changes a "bound" property.  You can register a PropertyChangeListener with a source bean so as to be notified of any bound property updates.

Definition

public interface PropertyChangeListener extends java.util.EventListener

{

  // Methods

  public void propertyChange( java.beans.PropertyChangeEvent evt );

}

Methods

public void propertyChange( java.beans.PropertyChangeEvent evt )

This method gets called when a bound property is changed.

Parameter

evt

A PropertyChangeEvent object describing the event source and the property that has changed.


PropertyChangeSupport class [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PropertyChangeSupport class [java.beans]

Object

PropertyChangeSupport

Description

This is a utility class that can be used by beans that support bound properties.  You can use an instance of this class as a member field of your bean and delegate various work to it.

Specification

public class PropertyChangeSupport extends java.lang.Object implements java.io.Serializable

Constructor

public PropertyChangeSupport( java.lang.Object sourceBean )

No documentation supplied in JDK

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void firePropertyChange( java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

Events

  synchronized void addPropertyChangeListener( java.beans.PropertyChangeListener listener )

  synchronized void removePropertyChangeListener( java.beans.PropertyChangeListener listener )


PropertyDescriptor class [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PropertyDescriptor class [java.beans]

Object

FeatureDescriptor

PropertyDescriptor

Description

A PropertyDescriptor describes one property that a Java Bean exports via a pair of accessor methods.

Specification

public class PropertyDescriptor extends java.beans.FeatureDescriptor

Constructors

public PropertyDescriptor( java.lang.String propertyName, java.lang.Class beanClass ) throws java.beans.IntrospectionException

Constructs a PropertyDescriptor for a property that follows the standard Java convention by having getFoo and setFoo accessor methods.  Thus if the argument name is "fred", it will assume that the reader method is "getFred" and the writer method is "setFred".  Note that the property name should start with a lower case character, which will be capitalized in the method names.

Parameters

propertyName

The programmatic name of the property.

beanClass

The Class object for the target bean. For example sun.beans.OurButton.class.

Throws

IntrospectionException

If an exception occurs during introspection.

public PropertyDescriptor( java.lang.String propertyName, java.lang.reflect.Method getter, java.lang.reflect.Method setter ) throws java.beans.IntrospectionException

This constructor takes the name of a simple property, and Method objects for reading and writing the property.

Parameters

propertyName

The programmatic name of the property.

getter

The method used for reading the property value. May be null if the property is write-only.

setter

The method used for writing the property value. May be null if the property is read-only.

Throws

IntrospectionException

If an exception occurs during introspection.

public PropertyDescriptor( java.lang.String propertyName, java.lang.Class beanClass, java.lang.String getterName, java.lang.String setterName ) throws java.beans.IntrospectionException

This constructor takes the name of a simple property, and method names for reading and writing the property.

Parameters

propertyName

The programmatic name of the property.

beanClass

The Class object for the target bean. For example sun.beans.OurButton.class.

getterName

The name of the method used for reading the property value.  May be null if the property is write-only.

setterName

The name of the method used for writing the property value.  May be null if the property is read-only.

Throws

IntrospectionException

If an exception occurs during introspection.

Properties

  void setBound( boolean bound )

  boolean isBound( )

  void setConstrained( boolean constrained )

  boolean isConstrained( )

  java.lang.Class getPropertyEditorClass( )

  void setPropertyEditorClass( java.lang.Class propertyEditorClass )

  java.lang.Class getPropertyType( )

  java.lang.reflect.Method getReadMethod( )

  java.lang.reflect.Method getWriteMethod( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getDisplayName( )

  void setDisplayName( java.lang.String displayName )

  void setExpert( boolean expert )

  boolean isExpert( )

  void setHidden( boolean hidden )

  boolean isHidden( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.lang.String getShortDescription( )

  void setShortDescription( java.lang.String text )

Inherited Methods

  java.util.Enumeration attributeNames( )

  boolean equals( java.lang.Object obj )

  java.lang.Object getValue( java.lang.String attributeName )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void setValue( java.lang.String attributeName, java.lang.Object value )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


propertyDescriptors property [java.beans.SimpleBeanInfo] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      propertyDescriptors property [java.beans.SimpleBeanInfo]

public java.beans.PropertyDescriptor[] getPropertyDescriptors( )

Deny knowledge of properties. You can override this if you wish to provide explicit property info.

Return

No documentation supplied in JDK.

Applies to

 SimpleBeanInfo [java.beans]


PropertyEditor interface [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PropertyEditor interface [java.beans]

Description

A PropertyEditor class provides support for GUIs that want to allow users to edit a property value of a given type.

PropertyEditor supports a variety of different kinds of ways of displaying and updating property values.  Most PropertyEditors will only need to support a subset of the different options available in this API.

Simple PropertyEditors may only support the getAsText and setAsText methods and need not support (say) paintValue or getCustomEditor.  More complex types may be unable to support getAsText and setAsText but will instead support paintValue and getCustomEditor.

Every propertyEditor must support one or more of the three simple display styles.  Thus it can either (1) support isPaintable or (2) both return a non-null String[] from getTags() and return a non-null value from getAsText or (3) simply return a non-null String from getAsText().

Every property editor must support a call on setValue when the argument object is of the type for which this is the corresponding propertyEditor. In addition, each property editor must either support a custom editor, or support setAsText.

Each PropertyEditor should have a null constructor.

Definition

public interface PropertyEditor

{

  // Properties

  public java.lang.Object getValue( );

  public void setValue( java.lang.Object value );

  public boolean isPaintable( );

  public java.lang.String getJavaInitializationString( );

  public java.lang.String getAsText( );

  public void setAsText( java.lang.String text ) throws java.lang.IllegalArgumentException;

  public java.lang.String[] getTags( );

  public java.awt.Component getCustomEditor( );

  // Methods

  public void paintValue( java.awt.Graphics gfx, java.awt.Rectangle box );

  public boolean supportsCustomEditor( );

  // Events

  public void addPropertyChangeListener( java.beans.PropertyChangeListener listener );

  public void removePropertyChangeListener( java.beans.PropertyChangeListener listener );

}

Properties

public java.lang.Object getValue( )

No documentation supplied in JDK

Return

The value of the property.  Builtin types such as "int" will be wrapped as the corresponding object type such as "java.lang.Integer".

public void setValue( java.lang.Object value )

Set (or change) the object that is to be edited.  Builtin types such as "int" must be wrapped as the corresponding object type such as "java.lang.Integer".

Parameter

value

The new target object to be edited. Note that this object should not be modified by the PropertyEditor, rather the PropertyEditor should create a new object to hold any modified value.

public boolean isPaintable( )

No documentation supplied in JDK

Return

True if the class will honor the paintValue method.

public java.lang.String getJavaInitializationString( )

This method is intended for use when generating Java code to set the value of the property.  It should return a fragment of Java code that can be used to initialize a variable with the current property value.

Example results are "2", "new Color(127,127,34)", "Color.orange", etc.

Return

A fragment of Java code representing an initializer for the current value.

public java.lang.String getAsText( )

No documentation supplied in JDK

Return

The property value as a human editable string.

  Returns null if the value can't be expressed as an editable string.

  If a non-null value is returned, then the PropertyEditor should be prepared to parse that string back in setAsText().

public void setAsText( java.lang.String text ) throws java.lang.IllegalArgumentException

Set the property value by parsing a given String.  May raise java.lang.IllegalArgumentException if either the String is badly formatted or if this kind of property can't be expressed as text.

Parameter

text

The string to be parsed.

public java.lang.String[] getTags( )

If the property value must be one of a set of known tagged values, then this method should return an array of the tags.  This can be used to represent (for example) enum values.  If a PropertyEditor supports tags, then it should support the use of setAsText with a tag value as a way of setting the value and the use of getAsText to identify the current value.

Return

The tag values for this property.  May be null if this property cannot be represented as a tagged value.

public java.awt.Component getCustomEditor( )

A PropertyEditor may choose to make available a full custom Component that edits its property value.  It is the responsibility of the PropertyEditor to hook itself up to its editor Component itself and to report property value changes by firing a PropertyChange event.

The higher-level code that calls getCustomEditor may either embed the Component in some larger property sheet, or it may put it in its own individual dialog, or ...

Return

A java.awt.Component that will allow a human to directly edit the current property value.  May be null if this is not supported.

Methods

public void paintValue( java.awt.Graphics gfx, java.awt.Rectangle box )

Paint a representation of the value into a given area of screen real estate.  Note that the propertyEditor is responsible for doing its own clipping so that it fits into the given rectangle.

If the PropertyEditor doesn't honor paint requests (see isPaintable) this method should be a silent noop.

The given Graphics object will have the default font, color, etc of the parent container.  The PropertyEditor may change graphics attributes such as font and color and doesn't need to restore the old values.

Parameters

gfx

Graphics object to paint into.

box

Rectangle within graphics object into which we should paint.

public boolean supportsCustomEditor( )

No documentation supplied in JDK

Return

True if the propertyEditor can provide a custom editor.

Events

public void addPropertyChangeListener( java.beans.PropertyChangeListener listener )

Register a listener for the PropertyChange event.  When a PropertyEditor changes its value it should fire a PropertyChange event on all registered PropertyChangeListeners, specifying the null value for the property name and itself as the source.

Parameter

listener

An object to be invoked when a PropertyChange event is fired.

public void removePropertyChangeListener( java.beans.PropertyChangeListener listener )

Remove a listener for the PropertyChange event.

Parameter

listener

The PropertyChange listener to be removed.

Implemented by

PropertyEditorSupport [java.beans]


propertyEditorClass property [java.beans.PropertyDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      propertyEditorClass property [java.beans.PropertyDescriptor]

public java.lang.Class getPropertyEditorClass( )

No documentation supplied in JDK

Return

Any explicit PropertyEditor Class that has been registered for this property.  Normally this will return "null", indicating that no special editor has been registered, so the PropertyEditorManager should be used to locate a suitable PropertyEditor.

public void setPropertyEditorClass( java.lang.Class propertyEditorClass )

Normally PropertyEditors will be found using the PropertyEditorManager. However if for some reason you want to associate a particular PropertyEditor with a given property, then you can do it with this method.

Parameter

propertyEditorClass

The Class for the desired PropertyEditor.

Applies to

 IndexedPropertyDescriptor [java.beans]

 PropertyDescriptor [java.beans]


PropertyEditorManager class [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PropertyEditorManager class [java.beans]

Object

PropertyEditorManager

Description

The PropertyEditorManager can be used to locate a property editor for any given type name.  This property editor must support the java.beans.PropertyEditor interface for editing a given object.

The PropertyEditorManager uses three techniques for locating an editor for a given type.  First, it provides a registerEditor method to allow an editor to be specifically registered for a given type.  Second it tries to locate a suitable class by adding "Editor" to the full qualified classname of the given type (e.g. "foo.bah.FozEditor"). Finally it takes the simple classname (without the package name) adds "Editor" to it and looks in a search-path of packages for a matching class.

So for an input class foo.bah.Fred, the PropertyEditorManager would first look in its tables to see if an editor had been registered for foo.bah.Fred and if so use that.  Then it will look for a foo.bah.FredEditor class.  Then it will look for (say) standardEditorsPackage.FredEditor class.

Default PropertyEditors will be provided for the Java builtin types "boolean", "byte", "short", "int", "long", "float", and "double"; and for the classes java.lang.String. java.awt.Color, and java.awt.Font.

Specification

public class PropertyEditorManager extends java.lang.Object

Properties

  static java.lang.String[] getEditorSearchPath( )

  static void setEditorSearchPath( java.lang.String[] path )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  static java.beans.PropertyEditor findEditor( java.lang.Class targetType )

  static void registerEditor( java.lang.Class targetType, java.lang.Class editorClass )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


PropertyEditorSupport class [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PropertyEditorSupport class [java.beans]

Object

PropertyEditorSupport

Description

This is a support class to help build property editors.

It can be used either as a base class or as a delagatee.

Specification

public class PropertyEditorSupport extends java.lang.Object implements java.beans.PropertyEditor

Constructors

protected PropertyEditorSupport( )

Constructor for use by derived PropertyEditor classes.

protected PropertyEditorSupport( java.lang.Object source )

Constructor for use when a PropertyEditor is delegating to us.

Parameter

source

The source to use for any events we fire.

Properties

  java.lang.String getAsText( )

  void setAsText( java.lang.String text ) throws java.lang.IllegalArgumentException

  java.awt.Component getCustomEditor( )

  java.lang.String getJavaInitializationString( )

  boolean isPaintable( )

  java.lang.String[] getTags( )

  java.lang.Object getValue( )

  void setValue( java.lang.Object value )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void firePropertyChange( )

  void paintValue( java.awt.Graphics gfx, java.awt.Rectangle box )

  boolean supportsCustomEditor( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

Events

  synchronized void addPropertyChangeListener( java.beans.PropertyChangeListener listener )

  synchronized void removePropertyChangeListener( java.beans.PropertyChangeListener listener )


propertyName property [java.beans.PropertyChangeEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      propertyName property [java.beans.PropertyChangeEvent]

public java.lang.String getPropertyName( )

No documentation supplied in JDK

Return

The programmatic name of the property that was changed. May be null if multiple properties have changed.

Applies to

 PropertyChangeEvent [java.beans]


propertyNames method [java.util.Properties] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      propertyNames method [java.util.Properties]

public java.util.Enumeration propertyNames( )

Returns an enumeration of all the keys in this property list, including the keys in the default property list.

Return

An enumeration of all the keys in this property list, including the keys in the default property list.

See also

Enumeration interface [java.util]

Applies to

 Properties [java.util]

 Provider [java.security]


PropertyResourceBundle class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PropertyResourceBundle class [java.util]

Object

ResourceBundle

PropertyResourceBundle

Description

PropertyResourceBundle is an abstract subclass of ResourceBundle that manages resources for a locale using a set of static strings from a property file. See ResourceBundle for more information about resource bundles in general.

The property file contains the keys that you use in your source code in calls to ResourceBundle.getString and similar methods, and their corresponding values, etc. The name of the property file indicates the resource bundle's family and locale.

In the following example, the keys are of the form "s1"... The actual keys are entirely up to your choice, so long as they are the same as the keys you use in your program to retrieve the objects from the bundle. Keys are case-sensitive.

s1=3

s2=MeinDisk

s3=3 Mar 96

s4=Der disk '{1}' a {0} a {2}.

s5=0

s6=keine Datein

s7=1

s8=ein Datei

s9=2

s10={0}|3 Datein

s11=Der Format worf ein Exception: {0}

s12=ERROR

s14=Resulte

s13=Dialogue

s15=Pattern

s16=1,3

Specification

public class PropertyResourceBundle extends java.util.ResourceBundle

Constructor

public PropertyResourceBundle( java.io.InputStream stream ) throws java.io.IOException

Creates a property resource

Parameter

file

property file to read from.

Properties

  java.util.Enumeration getKeys( )

Inherited Properties

  native final java.lang.Class getClass( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Methods

  java.lang.Object handleGetObject( java.lang.String key )

Inherited Methods

  boolean equals( java.lang.Object obj )

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

ResourceBundle class [java.util]

ListResourceBundle class [java.util]


propertyType property [java.beans.PropertyDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      propertyType property [java.beans.PropertyDescriptor]

public java.lang.Class getPropertyType( )

No documentation supplied in JDK

Return

The Java type info for the property.  Note that the "Class" object may describe a built-in Java type such as "int". The result may be "null" if this is an indexed property that does not support non-indexed access.

This is the type that will be returned by the ReadMethod.

Applies to

 IndexedPropertyDescriptor [java.beans]

 PropertyDescriptor [java.beans]


PropertyVetoException class [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PropertyVetoException class [java.beans]

Object

Throwable

Exception

PropertyVetoException

Description

A PropertyVetoException is thrown when a proposed change to a property represents an unacceptable value.

Specification

public class PropertyVetoException extends java.lang.Exception

Constructor

public PropertyVetoException( java.lang.String mess, java.beans.PropertyChangeEvent evt )

No documentation supplied in JDK

Parameters

mess

Descriptive message

evt

A PropertyChangeEvent describing the vetoed change.

Properties

  java.beans.PropertyChangeEvent getPropertyChangeEvent( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


protocol property [java.net.URL] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      protocol property [java.net.URL]

public java.lang.String getProtocol( )

Returns the protocol name this URL.

Return

The protocol of this URL.

Applies to

 URL [java.net]


ProtocolException class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      ProtocolException class [java.net]

Object

Throwable

Exception

IOException

ProtocolException

Description

Thrown to indicate that there is an error in the underlying protocol, such as a TCP error.

Specification

public class ProtocolException extends java.io.IOException

Constructors

public ProtocolException( )

Constructs a new ProtocolException with no detail message.

public ProtocolException( java.lang.String host )

Constructs a new ProtocolException with the specified detail message.

Parameter

host

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


Provider class [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      Provider class [java.security]

Object

Dictionary

Hashtable

Properties

Provider

Description

This class represents a "provider" for the Java Security API.  A provider implements some or all parts of Java Security, including:

•	Algorithms (such as DSA, RSA, MD5 or SHA-1).

•	Key generation and management facilities (such as for algorithm-specific keys).

Each provider has a name and a version number, and is configured in each runtime it is installed in.

There is a default provider that comes standard with the JDK. It is called the SUN Provider. See  The Provider Class  in the "Java Cryptography Architecture API Specification & Reference" for information about how providers work and how to install them.

Specification

public abstract class Provider extends java.util.Properties

Constructor

protected Provider( java.lang.String name, double version, java.lang.String info )

Constructs a provider with the specified name, version number, and information.

Parameters

name

the provider name.

version

the provider version number.

info

a description of the provider and its services.

Properties

  java.lang.String getInfo( )

  java.lang.String getName( )

  double getVersion( )

Inherited Properties

  native final java.lang.Class getClass( )

  abstract boolean isEmpty( )

Methods

  java.lang.String toString( )

Inherited Methods

  synchronized void clear( )

  synchronized boolean contains( java.lang.Object value )

  synchronized boolean containsKey( java.lang.Object key )

  abstract java.util.Enumeration elements( )

  boolean equals( java.lang.Object obj )

  abstract java.lang.Object get( java.lang.Object key )

  java.lang.String getProperty( java.lang.String key, java.lang.String defaultValue )

  java.lang.String getProperty( java.lang.String key )

  native int hashCode( )

  abstract java.util.Enumeration keys( )

  void list( java.io.PrintStream out )

  void list( java.io.PrintWriter out )

  synchronized void load( java.io.InputStream in ) throws java.io.IOException

  native final void notify( )

  native final void notifyAll( )

  java.util.Enumeration propertyNames( )

  abstract java.lang.Object put( java.lang.Object key, java.lang.Object value )

  abstract java.lang.Object remove( java.lang.Object key )

  synchronized void save( java.io.OutputStream out, java.lang.String header )

  abstract int size( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected void rehash( )


ProviderException class [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      ProviderException class [java.security]

Object

Throwable

Exception

RuntimeException

ProviderException

Description

A runtime exception for Provider exceptions (such as misconfiguration errors), which may be subclassed by Providers to throw specialized, provider-specific runtime errors.

Specification

public class ProviderException extends java.lang.RuntimeException

Constructors

public ProviderException( )

Constructs a ProviderException with no detail message. A detail message is a String that describes this particular exception.

public ProviderException( java.lang.String s )

Constructs a ProviderException with the specified detail message. A detail message is a String that describes this particular exception.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


providers property [java.security.Security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      providers property [java.security.Security]

public static java.security.Provider[] getProviders( )

Returns all providers currently installed.

Return

An array of all providers currently installed.

Applies to

 Security [java.security]


public property [java.security.KeyPair] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      public property [java.security.KeyPair]

public java.security.PublicKey getPublic( )

Returns the public key from this key pair.

Return

The public key.

Applies to

 KeyPair [java.security]


PublicKey interface [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PublicKey interface [java.security]

Description

A public key.  This interface contains no methods or constants.  It merely serves to group (and provide type safety for) all public key interfaces. Note: The specialized public key interfaces extend this interface. See, for example, the DSAPublicKey interface in java.security.interfaces.

Definition

public interface PublicKey extends java.security.Key

{

}

See also

Key interface [java.security]

PrivateKey interface [java.security]

Certificate interface [java.security]

initVerify method [java.security.Signature]

DSAPublicKey interface [java.security.interfaces]


publicKey property [java.security.Identity] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      publicKey property [java.security.Identity]

public java.security.PublicKey getPublicKey( )

Returns this identity's public key.

Return

The public key for this identity.

public void setPublicKey( java.security.PublicKey key ) throws java.security.KeyManagementException

Sets this identity's public key. The old key and all of this identity's certificates are removed by this operation.

Parameter

key

the public key for this identity.

Throws

KeyManagementException

If another identity in the identity's scope has the same public key, or if another exception occurs.

Applies to

 Identity [java.security]

 IdentityScope [java.security]

 Signer [java.security]


push method [java.util.Stack] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      push method [java.util.Stack]

public java.lang.Object push( java.lang.Object item )

Pushes an item onto the top of this stack.

Parameter

item

the item to be pushed onto this stack.

Return

The item argument.

Applies to

 Stack [java.util]


pushBack method [java.io.StreamTokenizer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      pushBack method [java.io.StreamTokenizer]

public void pushBack( )

Causes the next call to the nextToken method of this tokenizer to return the current value in the ttype field, and not to modify the value in the nval or sval field.

See also

nextToken method [java.io.StreamTokenizer]

Applies to

 StreamTokenizer [java.io]


PushbackInputStream class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PushbackInputStream class [java.io]

Object

InputStream

FilterInputStream

PushbackInputStream

Description

This class is an input stream filter that provides a buffer into which data can be "unread."  An application may unread data at any time by pushing it back into the buffer, as long as the buffer has sufficient room.  Subsequent reads will read all of the pushed-back data in the buffer before reading from the underlying input stream.

This functionality is useful when a fragment of code should read an indefinite number of data bytes that are delimited by particular byte values. After reading the terminating byte the code fragment can push it back, so that the next read operation on the input stream will re-read that byte.

Specification

public class PushbackInputStream extends java.io.FilterInputStream

Constructors

public PushbackInputStream( java.io.InputStream in )

Creates a new pushback input stream with a one-byte pushback buffer.

Parameter

in

the input stream from which bytes will be read.

public PushbackInputStream( java.io.InputStream in, int size )

Creates a new pushback input stream with a pushback buffer of the specified size.

Parameters

in

the input stream from which bytes will be read.

size

the size of the pushback buffer.

Variables

protected byte[] buf

The pushback buffer.

protected int pos

The position within the pushback buffer from which the next byte will be read.  When the buffer is empty, pos is equal to buf.length; when the buffer is full, pos is equal to zero.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  int available( ) throws java.io.IOException

  boolean markSupported( )

  int read( byte[] b, int off, int len ) throws java.io.IOException

  int read( ) throws java.io.IOException

  void unread( byte[] b, int off, int len ) throws java.io.IOException

  void unread( int b ) throws java.io.IOException

  void unread( byte[] b ) throws java.io.IOException

Inherited Methods

  void close( ) throws java.io.IOException

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  synchronized void mark( int readlimit )

  native final void notify( )

  native final void notifyAll( )

  int read( byte[] b ) throws java.io.IOException

  synchronized void reset( ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


PushbackReader class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      PushbackReader class [java.io]

Object

Reader

FilterReader

PushbackReader

Description

A character-stream reader that allows characters to be pushed back into the stream.

Specification

public class PushbackReader extends java.io.FilterReader

Constructors

public PushbackReader( java.io.Reader in )

Create a new pushback reader with a one-character pushback buffer.

Parameter

in

The reader from which characters will be read

public PushbackReader( java.io.Reader in, int size )

Create a new pushback reader with a pushback buffer of the given size.

Parameters

in

The reader from which characters will be read

size

The size of the pushback buffer

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( ) throws java.io.IOException

  boolean markSupported( )

  int read( char[] cbuf, int off, int len ) throws java.io.IOException

  int read( ) throws java.io.IOException

  boolean ready( ) throws java.io.IOException

  void unread( char[] cbuf ) throws java.io.IOException

  void unread( char[] cbuf, int off, int len ) throws java.io.IOException

  void unread( int c ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  void mark( int readAheadLimit ) throws java.io.IOException

  native final void notify( )

  native final void notifyAll( )

  int read( char[] cbuf ) throws java.io.IOException

  void reset( ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

  java.lang.String toString( )

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


put method [java.util.Dictionary] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      put method [java.util.Dictionary]

public abstract java.lang.Object put( java.lang.Object key, java.lang.Object value )

Maps the specified key to the specified value in this dictionary. Neither the key nor the value can be null.

The value can be retrieved by calling the get method with a key that is equal to the original key.

Parameters

key

the hashtable key.

value

the value.

Return

The previous value to which the key was mapped in this dictionary, or null if the key did not have a previous mapping.

Throws

NullPointerException

If the key or value is null.

See also

equals method [java.lang.Object]

get method [java.util.Dictionary]

Applies to

 Dictionary [java.util]

 Hashtable [java.util]

 Properties [java.util]

 Provider [java.security]


put method [java.util.Hashtable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      put method [java.util.Hashtable]

Overloads:

 Object put( Object key, Object value ) overrides put method [java.util.Dictionary]

public synchronized java.lang.Object put( java.lang.Object key, java.lang.Object value )

Maps the specified key to the specified value in this hashtable. Neither the key nor the value can be null.

The value can be retrieved by calling the get method with a key that is equal to the original key.

Parameters

key

the hashtable key.

value

the value.

Return

The previous value of the specified key in this hashtable, or null if it did not have one.

Throws

NullPointerException

If the key or value is null.

See also

equals method [java.lang.Object]

get method [java.util.Dictionary]

Applies to

 Hashtable [java.util]

 Properties [java.util]

 Provider [java.security]


putNextEntry method [java.util.zip.ZipOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     P
      putNextEntry method [java.util.zip.ZipOutputStream]

public void putNextEntry( java.util.zip.ZipEntry e ) throws java.io.IOException

Begins writing a new ZIP file entry and positions the stream to the start of the entry data. Closes the current entry if still active. The default compression method will be used if no compression method was specified for the entry, and the current time will be used if the entry has no set modification time.

Parameter

e

the ZIP entry to be written

Throws

ZipException

If a ZIP format error has occurred.

IOException

If an I/O error has occurred.

Applies to

 ZipOutputStream [java.util.zip]


Q  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    Q

 quoteChar method [java.io.StreamTokenizer]


quoteChar method [java.io.StreamTokenizer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     Q
      quoteChar method [java.io.StreamTokenizer]

public void quoteChar( int ch )

Specifies that matching pairs of this character delimit string constants in this tokenizer.

When the nextToken method encounters a string constant, the ttype field is set to the string delimiter and the sval field is set to the body of the string.

If a string quote character is encountered, then a string is recognized, consisting of all characters after (but not including) the string quote character, up to (but not including) the next occurrence of that same string quote character, or a line terminator, or end of file. The usual escape sequences such as "\n" and "\t" are recognized and converted to single characters as the string is parsed.

Parameter

ch

the character.

See also

nextToken method [java.io.StreamTokenizer]

Applies to

 StreamTokenizer [java.io]


R  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    R

 Random class [java.util]

 random method [java.lang.Math]

 RandomAccessFile class [java.io]

 rawOffset property [java.util.SimpleTimeZone]

 rawOffset property [java.util.TimeZone]

 read method [java.io.BufferedInputStream]

 read method [java.io.BufferedReader]

 read method [java.io.ByteArrayInputStream]

 read method [java.io.CharArrayReader]

 read method [java.io.DataInputStream]

 read method [java.io.FileInputStream]

 read method [java.io.FilterInputStream]

 read method [java.io.FilterReader]

 read method [java.io.InputStream]

 read method [java.io.InputStreamReader]

 read method [java.io.LineNumberInputStream]

 read method [java.io.LineNumberReader]

 read method [java.io.ObjectInputStream]

 read method [java.io.PipedInputStream]

 read method [java.io.PipedReader]

 read method [java.io.PushbackInputStream]

 read method [java.io.PushbackReader]

 read method [java.io.RandomAccessFile]

 read method [java.io.Reader]

 read method [java.io.SequenceInputStream]

 read method [java.io.StringBufferInputStream]

 read method [java.io.StringReader]

 read method [java.rmi.server.ObjID]

 read method [java.rmi.server.UID]

 read method [java.security.DigestInputStream]

 read method [java.util.zip.CheckedInputStream]

 read method [java.util.zip.GZIPInputStream]

 read method [java.util.zip.InflaterInputStream]

 read method [java.util.zip.ZipInputStream]

 read property [java.sql.DataTruncation]

 readBoolean method [java.io.DataInputStream]

 readBoolean method [java.io.ObjectInputStream]

 readBoolean method [java.io.RandomAccessFile]

 readByte method [java.io.DataInputStream]

 readByte method [java.io.ObjectInputStream]

 readByte method [java.io.RandomAccessFile]

 readChar method [java.io.DataInputStream]

 readChar method [java.io.ObjectInputStream]

 readChar method [java.io.RandomAccessFile]

 readDouble method [java.io.DataInputStream]

 readDouble method [java.io.ObjectInputStream]

 readDouble method [java.io.RandomAccessFile]

 Reader class [java.io]

 readFloat method [java.io.DataInputStream]

 readFloat method [java.io.ObjectInputStream]

 readFloat method [java.io.RandomAccessFile]

 readFully method [java.io.DataInputStream]

 readFully method [java.io.ObjectInputStream]

 readFully method [java.io.RandomAccessFile]

 readInt method [java.io.DataInputStream]

 readInt method [java.io.ObjectInputStream]

 readInt method [java.io.RandomAccessFile]

 readLine method [java.io.BufferedReader]

 readLine method [java.io.DataInputStream]

 readLine method [java.io.LineNumberReader]

 readLine method [java.io.ObjectInputStream]

 readLine method [java.io.RandomAccessFile]

 readLong method [java.io.DataInputStream]

 readLong method [java.io.ObjectInputStream]

 readLong method [java.io.RandomAccessFile]

 readMethod property [java.beans.PropertyDescriptor]

 readObject method [java.io.ObjectInputStream]

 readShort method [java.io.DataInputStream]

 readShort method [java.io.ObjectInputStream]

 readShort method [java.io.RandomAccessFile]

 readStreamHeader method [java.io.ObjectInputStream]

 readUnsignedByte method [java.io.DataInputStream]

 readUnsignedByte method [java.io.ObjectInputStream]

 readUnsignedByte method [java.io.RandomAccessFile]

 readUnsignedShort method [java.io.DataInputStream]

 readUnsignedShort method [java.io.ObjectInputStream]

 readUnsignedShort method [java.io.RandomAccessFile]

 readUTF method [java.io.DataInputStream]

 readUTF method [java.io.ObjectInputStream]

 readUTF method [java.io.RandomAccessFile]

 ready method [java.io.BufferedReader]

 ready method [java.io.CharArrayReader]

 ready method [java.io.FilterReader]

 ready method [java.io.InputStreamReader]

 ready method [java.io.PushbackReader]

 ready method [java.io.Reader]

 ready method [java.io.StringReader]

 rebind method [java.rmi.Naming]

 receive method [java.io.PipedInputStream]

 receive method [java.net.DatagramSocket]

 receive method [java.net.DatagramSocketImpl]

 Rectangle class [java.awt]

 red property [java.awt.Color]

 red property [java.awt.image.ColorModel]

 red property [java.awt.image.DirectColorModel]

 red property [java.awt.image.IndexColorModel]

 redMask property [java.awt.image.DirectColorModel]

 ref property [java.net.URL]

 regionMatches method [java.lang.String]

 registerDriver method [java.sql.DriverManager]

 registerEditor method [java.beans.PropertyEditorManager]

 registerValidation method [java.io.ObjectInputStream]

 Registry interface [java.rmi.registry]

 registry property [java.rmi.registry.LocateRegistry]

 RegistryHandler interface [java.rmi.registry]

 rehash method [java.util.Hashtable]

 remainder method [java.math.BigInteger]

 remaining property [java.util.zip.Inflater]

 Remote interface [java.rmi]

 RemoteCall interface [java.rmi.server]

 RemoteException class [java.rmi]

 RemoteObject class [java.rmi.server]

 RemoteRef interface [java.rmi.server]

 RemoteServer class [java.rmi.server]

 RemoteStub class [java.rmi.server]

 remove method [java.awt.AWTEventMulticaster]

 remove method [java.awt.Choice]

 remove method [java.awt.Component]

 remove method [java.awt.Container]

 remove method [java.awt.Frame]

 remove method [java.awt.List]

 remove method [java.awt.Menu]

 remove method [java.awt.MenuBar]

 remove method [java.util.Dictionary]

 remove method [java.util.Hashtable]

 removeAll method [java.awt.Choice]

 removeAll method [java.awt.Container]

 removeAll method [java.awt.List]

 removeAll method [java.awt.Menu]

 removeAllElements method [java.util.Vector]

 removeCertificate method [java.security.Identity]

 removeConsumer method [java.awt.image.FilteredImageSource]

 removeConsumer method [java.awt.image.MemoryImageSource]

 removeElement method [java.util.Vector]

 removeElementAt method [java.util.Vector]

 removeIdentity method [java.security.IdentityScope]

 removeImage method [java.awt.MediaTracker]

 removeInternal method [java.awt.AWTEventMulticaster]

 removeLayoutComponent method [java.awt.BorderLayout]

 removeLayoutComponent method [java.awt.CardLayout]

 removeLayoutComponent method [java.awt.FlowLayout]

 removeLayoutComponent method [java.awt.GridBagLayout]

 removeLayoutComponent method [java.awt.GridLayout]

 removeListenerMethod property [java.beans.EventSetDescriptor]

 removeNotify method [java.awt.Component]

 removeNotify method [java.awt.Container]

 removeNotify method [java.awt.List]

 removeNotify method [java.awt.Menu]

 removeNotify method [java.awt.MenuBar]

 removeNotify method [java.awt.MenuComponent]

 removeNotify method [java.awt.TextComponent]

 removeProvider method [java.security.Security]

 renameTo method [java.io.File]

 repaint method [java.awt.Component]

 replace method [java.lang.String]

 replaceItem method [java.awt.List]

 replaceObject method [java.io.ObjectOutputStream]

 replaceRange method [java.awt.TextArea]

 replaceText method [java.awt.TextArea]

 ReplicateScaleFilter class [java.awt.image]

 representationClass property [java.awt.datatransfer.DataFlavor]

 requestFocus method [java.awt.Component]

 requestMethod property [java.net.HttpURLConnection]

 requestTopDownLeftRightResend method [java.awt.image.FilteredImageSource]

 requestTopDownLeftRightResend method [java.awt.image.MemoryImageSource]

 resendTopDownLeftRight method [java.awt.image.ImageFilter]

 reset method [java.io.BufferedInputStream]

 reset method [java.io.BufferedReader]

 reset method [java.io.ByteArrayInputStream]

 reset method [java.io.ByteArrayOutputStream]

 reset method [java.io.CharArrayReader]

 reset method [java.io.CharArrayWriter]

 reset method [java.io.FilterInputStream]

 reset method [java.io.FilterReader]

 reset method [java.io.InputStream]

 reset method [java.io.LineNumberInputStream]

 reset method [java.io.LineNumberReader]

 reset method [java.io.ObjectOutputStream]

 reset method [java.io.Reader]

 reset method [java.io.StringBufferInputStream]

 reset method [java.io.StringReader]

 reset method [java.security.MessageDigest]

 reset method [java.text.CollationElementIterator]

 reset method [java.util.zip.Adler32]

 reset method [java.util.zip.CRC32]

 reset method [java.util.zip.Deflater]

 reset method [java.util.zip.Inflater]

 resetSyntax method [java.io.StreamTokenizer]

 reshape method [java.awt.Component]

 reshape method [java.awt.Rectangle]

 resizable property [java.awt.Dialog]

 resizable property [java.awt.Frame]

 resize method [java.applet.Applet]

 resize method [java.awt.Component]

 resize method [java.awt.Rectangle]

 resolveClass method [java.io.ObjectInputStream]

 resolveClass method [java.lang.ClassLoader]

 resolveObject method [java.io.ObjectInputStream]

 ResourceBundle class [java.util]

 responseCode property [java.net.HttpURLConnection]

 responseMessage property [java.net.HttpURLConnection]

 ResultSet interface [java.sql]

 ResultSetMetaData interface [java.sql]

 resume method [java.lang.Thread]

 resume method [java.lang.ThreadGroup]

 returnType property [java.lang.reflect.Method]

 reverse method [java.lang.StringBuffer]

 RGB property [java.awt.Color]

 RGB property [java.awt.image.ColorModel]

 RGB property [java.awt.image.DirectColorModel]

 RGB property [java.awt.image.IndexColorModel]

 RGB property [java.awt.SystemColor]

 RGBdefault property [java.awt.image.ColorModel]

 RGBImageFilter class [java.awt.image]

 RGBtoHSB method [java.awt.Color]

 rint method [java.lang.Math]

 RMIClassLoader class [java.rmi.server]

 RMIFailureHandler interface [java.rmi.server]

 RMISecurityException class [java.rmi]

 RMISecurityManager class [java.rmi]

 RMISocketFactory class [java.rmi.server]

 roll method [java.util.Calendar]

 roll method [java.util.GregorianCalendar]

 round method [java.lang.Math]

 rows property [java.awt.GridLayout]

 rows property [java.awt.List]

 rows property [java.awt.TextArea]

 RuleBasedCollator class [java.text]

 rules property [java.text.RuleBasedCollator]

 run method [java.lang.Thread]

 runFinalization method [java.lang.Runtime]

 runFinalization method [java.lang.System]

 runFinalizersOnExit method [java.lang.Runtime]

 runFinalizersOnExit method [java.lang.System]

 Runnable interface [java.lang]

 Runtime class [java.lang]

 runtime property [java.lang.Runtime]

 RuntimeException class [java.lang]


Random class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      Random class [java.util]

Object

Random

Description

An instance of this class is used to generate a stream of pseudorandom numbers. The class uses a 48-bit seed, which is modified using a linear congruential formula. (See Donald Knuth, The Art of Computer Programming, Volume 2 , Section 3.2.1.)

If two instances of Random are created with the same seed, and the same sequence of method calls is made for each, they will generate and return identical sequences of numbers.

Many applications will find the random method in class Math simpler to use.

Specification

public class Random extends java.lang.Object implements java.io.Serializable

Constructors

public Random( )

Creates a new random number generator. Its seed is initialized to a value based on the current time.

See also

currentTimeMillis method [java.lang.System]

public Random( long seed )

Creates a new random number generator using a single long seed.

Parameter

seed

the initial seed.

See also

seed property [java.util.Random]

Properties

  synchronized void setSeed( long seed )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void nextBytes( byte[] bytes )

  double nextDouble( )

  float nextFloat( )

  synchronized double nextGaussian( )

  int nextInt( )

  long nextLong( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected synchronized int next( int bits )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

random method [java.lang.Math]


random method [java.lang.Math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      random method [java.lang.Math]

public static synchronized double random( )

Returns a random number between 0.0 and 1.0. Random number generators are often referred to as pseudorandom number generators because the numbers produced tend to repeat themselves after a period of time.

Return

A pseudorandom double between 0.0 and 1.0.

See also

nextDouble method [java.util.Random]

Applies to

 Math [java.lang]


RandomAccessFile class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RandomAccessFile class [java.io]

Object

RandomAccessFile

Description

Instances of this class support both reading and writing to a random access file. An application can modify the position in the file at which the next read or write occurs. This class provides a sense of security by offering methods that allow specified mode accesses of read-only or read-write to files.

Specification

public class RandomAccessFile extends java.lang.Object implements java.io.DataOutput, java.io.DataInput

Constructors

public RandomAccessFile( java.lang.String name, java.lang.String mode ) throws java.io.IOException

Creates a random access file stream to read from, and optionally to write to, a file with the specified name.

The mode argument must either be equal to "r" or "rw", indicating either to open the file for input or for both input and output.

Parameters

name

the system-dependent filename.

mode

the access mode.

Throws

IllegalArgumentException

If the mode argument is not equal to "r" or to "rw".

IOException

If an I/O error occurs.

SecurityException

If a security manager exists, its checkRead method is called with the name argument to see if the application is allowed read access to the file. If the mode argument is equal to "rw", its checkWrite method also is called with the name argument to see if the application is allowed write access to the file. Either of these may result in a security exception.

See also

SecurityException class [java.lang]

checkRead method [java.lang.SecurityManager]

public RandomAccessFile( java.io.File file, java.lang.String mode ) throws java.io.IOException

Creates a random access file stream to read from, and optionally to write to, the file specified by the File argument.

The mode argument must either be equal to "r" or to "rw", indicating either to open the file for input, or for both input and output, respectively.

Parameters

file

the file object.

mode

the access mode.

Throws

IllegalArgumentException

If the mode argument is not equal to "r" or to "rw".

IOException

If an I/O error occurs.

SecurityException

If a security manager exists, its checkRead method is called with the pathname of the File argument to see if the application is allowed read access to the file. If the mode argument is equal to "rw", its checkWrite method also is called with the pathname to see if the application is allowed write access to the file.

See also

path property [java.io.File]

checkRead method [java.lang.SecurityManager]

Properties

  final java.io.FileDescriptor getFD( ) throws java.io.IOException

  native long getFilePointer( ) throws java.io.IOException

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  native void close( ) throws java.io.IOException

  native long length( ) throws java.io.IOException

  int read( byte[] b, int off, int len ) throws java.io.IOException

  int read( byte[] b ) throws java.io.IOException

  native int read( ) throws java.io.IOException

  final boolean readBoolean( ) throws java.io.IOException

  final byte readByte( ) throws java.io.IOException

  final char readChar( ) throws java.io.IOException

  final double readDouble( ) throws java.io.IOException

  final float readFloat( ) throws java.io.IOException

  final void readFully( byte[] b, int off, int len ) throws java.io.IOException

  final void readFully( byte[] b ) throws java.io.IOException

  final int readInt( ) throws java.io.IOException

  final java.lang.String readLine( ) throws java.io.IOException

  final long readLong( ) throws java.io.IOException

  final short readShort( ) throws java.io.IOException

  final int readUnsignedByte( ) throws java.io.IOException

  final int readUnsignedShort( ) throws java.io.IOException

  final java.lang.String readUTF( ) throws java.io.IOException

  native void seek( long pos ) throws java.io.IOException

  int skipBytes( int n ) throws java.io.IOException

  void write( byte[] b ) throws java.io.IOException

  void write( byte[] b, int off, int len ) throws java.io.IOException

  native void write( int b ) throws java.io.IOException

  final void writeBoolean( boolean v ) throws java.io.IOException

  final void writeByte( int v ) throws java.io.IOException

  final void writeBytes( java.lang.String s ) throws java.io.IOException

  final void writeChar( int v ) throws java.io.IOException

  final void writeChars( java.lang.String s ) throws java.io.IOException

  final void writeDouble( double v ) throws java.io.IOException

  final void writeFloat( float v ) throws java.io.IOException

  final void writeInt( int v ) throws java.io.IOException

  final void writeLong( long v ) throws java.io.IOException

  final void writeShort( int v ) throws java.io.IOException

  final void writeUTF( java.lang.String str ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


rawOffset property [java.util.SimpleTimeZone] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      rawOffset property [java.util.SimpleTimeZone]

Overloads:

  int getRawOffset( ) overrides rawOffset property [java.util.TimeZone]

  void setRawOffset( int offsetMillis ) overrides rawOffset property [java.util.TimeZone]

public int getRawOffset( )

Overrides TimeZone Gets the GMT offset for this time zone.

Return

No documentation supplied in JDK.

public void setRawOffset( int offsetMillis )

Overrides TimeZone Sets the base time zone offset to GMT. This is the offset to add *to* UTC to get local time. Please see TimeZone.setRawOffset for descriptions on the parameter.

Applies to

 SimpleTimeZone [java.util]


rawOffset property [java.util.TimeZone] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      rawOffset property [java.util.TimeZone]

public abstract int getRawOffset( )

Gets unmodified offset, NOT modified in case of daylight savings. This is the offset to add *to* UTC to get local time.

Return

The unmodified offset to add *to* UTC to get local time.

public abstract void setRawOffset( int offsetMillis )

Sets the base time zone offset to GMT. This is the offset to add *to* UTC to get local time.

Parameter

offsetMillis

the given base time zone offset to GMT.

Applies to

 SimpleTimeZone [java.util]

 TimeZone [java.util]


read method [java.io.BufferedInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.BufferedInputStream]

Overloads:

 int read( ) overrides read method [java.io.FilterInputStream]

 int read( byte[] b, int off, int len ) overrides read method [java.io.FilterInputStream]

Inherited overloads:

 int read( byte[] b )

 int read( byte[] b )

public synchronized int read( ) throws java.io.IOException

Reads the next byte of data from this buffered input stream. The value byte is returned as an int in the range 0 to 255. If no byte is available because the end of the stream has been reached, the value -1 is returned. This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

The read method of BufferedInputStream returns the next byte of data from its buffer if the buffer is not empty. Otherwise, it refills the buffer from the underlying input stream and returns the next character, if the underlying stream has not returned an end-of-stream indicator.

Return

The next byte of data, or -1 if the end of the stream is reached.

Throws

IOException

If an I/O error occurs.

public synchronized int read( byte[] b, int off, int len ) throws java.io.IOException

Reads bytes into a portion of an array.  This method will block until some input is available, an I/O error occurs, or the end of the stream is reached.

If this stream's buffer is not empty, bytes are copied from it into the array argument.  Otherwise, the buffer is refilled from the underlying input stream and, unless the stream returns an end-of-stream indication, the array argument is filled with characters from the newly-filled buffer.

As an optimization, if the buffer is empty, the mark is not valid, and len is at least as large as the buffer, then this method will read directly from the underlying stream into the given array.  Thus redundant BufferedInputStreams will not copy data unnecessarily.

Parameters

b

destination buffer.

off

offset at which to start storing bytes.

len

maximum number of bytes to read.

Return

The number of bytes read, or -1 if the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedInputStream [java.io]


read method [java.io.BufferedReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.BufferedReader]

Overloads:

 int read( char[] cbuf, int off, int len ) overrides read method [java.io.Reader]

 int read( ) overrides read method [java.io.Reader]

Inherited overloads:

 int read( char[] cbuf )

public int read( char[] cbuf, int off, int len ) throws java.io.IOException

Read characters into a portion of an array.

Ordinarily this method takes characters from this stream's character buffer, filling it from the underlying stream as necessary.  If, however, the buffer is empty, the mark is not valid, and the requested length is at least as large as the buffer, then this method will read characters directly from the underlying stream into the given array. Thus redundant BufferedReaders will not copy data unnecessarily.

Parameters

cbuf

Destination buffer

off

Offset at which to start storing characters

len

Maximum number of characters to read

Return

The number of bytes read, or -1 if the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

public int read( ) throws java.io.IOException

Read a single character.

Return

No documentation supplied in JDK.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedReader [java.io]

 LineNumberReader [java.io]


read method [java.io.ByteArrayInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.ByteArrayInputStream]

Overloads:

 int read( ) overrides read method [java.io.InputStream]

 int read( byte[] b, int off, int len ) overrides read method [java.io.InputStream]

Inherited overloads:

 int read( byte[] b )

public synchronized int read( )

Reads the next byte of data from this input stream. The value byte is returned as an int in the range 0 to 255. If no byte is available because the end of the stream has been reached, the value -1 is returned.

The read method of ByteArrayInputStream cannot block.

Return

The next byte of data, or -1 if the end of the stream has been reached.

public synchronized int read( byte[] b, int off, int len )

Reads up to len bytes of data into an array of bytes from this input stream. This read method cannot block.

Parameters

b

the buffer into which the data is read.

off

the start offset of the data.

len

the maximum number of bytes read.

Return

The total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Applies to

 ByteArrayInputStream [java.io]


read method [java.io.CharArrayReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.CharArrayReader]

Overloads:

 int read( ) overrides read method [java.io.Reader]

 int read( char[] b, int off, int len ) overrides read method [java.io.Reader]

Inherited overloads:

 int read( char[] cbuf )

public int read( ) throws java.io.IOException

Read a single character.

Return

No documentation supplied in JDK.

Throws

IOException

If an I/O error occurs.

public int read( char[] b, int off, int len ) throws java.io.IOException

Read characters into a portion of an array.

Parameters

b

Destination buffer

off

Offset at which to start storing characters

len

Maximum number of characters to read

Return

The actual number of characters read, or -1 if the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

Applies to

 CharArrayReader [java.io]


read method [java.io.DataInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.DataInputStream]

Overloads:

 int read( byte[] b, int off, int len ) overrides read method [java.io.FilterInputStream]

 int read( byte[] b ) overrides read method [java.io.FilterInputStream]

Inherited overloads:

 int read( )

 int read( )

public final int read( byte[] b, int off, int len ) throws java.io.IOException

Reads up to len bytes of data from this data input stream into an array of bytes. This method blocks until some input is available.

The read method of DataInputStream calls the read method of its underlying input stream with the same arguments and returns whatever value that method returns.

Parameters

b

the buffer into which the data is read.

off

the start offset of the data.

len

the maximum number of bytes read.

Return

The total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

See also

read method [java.io.InputStream]

public final int read( byte[] b ) throws java.io.IOException

Reads up to byte.length bytes of data from this data input stream into an array of bytes. This method blocks until some input is available.

The read method of DataInputStream calls the read method of its underlying input stream with the three arguments b, 0, and b.length and returns whatever value that method returns.

Parameter

b

the buffer into which the data is read.

Return

The total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

See also

read method [java.io.InputStream]

Applies to

 DataInputStream [java.io]


read method [java.io.FileInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.FileInputStream]

Overloads:

 int read( byte[] b ) overrides read method [java.io.InputStream]

 int read( ) overrides read method [java.io.InputStream]

 int read( byte[] b, int off, int len ) overrides read method [java.io.InputStream]

public int read( byte[] b ) throws java.io.IOException

Reads up to b.length bytes of data from this input stream into an array of bytes. This method blocks until some input is available.

Parameter

b

the buffer into which the data is read.

Return

The total number of bytes read into the buffer, or -1 if there is no more data because the end of the file has been reached.

Throws

IOException

If an I/O error occurs.

public native int read( ) throws java.io.IOException

Reads a byte of data from this input stream. This method blocks if no input is yet available.

Return

The next byte of data, or -1 if the end of the file is reached.

Throws

IOException

If an I/O error occurs.

public int read( byte[] b, int off, int len ) throws java.io.IOException

Reads up to len bytes of data from this input stream into an array of bytes. This method blocks until some input is available.

Parameters

b

the buffer into which the data is read.

off

the start offset of the data.

len

the maximum number of bytes read.

Return

The total number of bytes read into the buffer, or -1 if there is no more data because the end of the file has been reached.

Throws

IOException

If an I/O error occurs.

Applies to

 FileInputStream [java.io]


read method [java.io.FilterInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.FilterInputStream]

Overloads:

 int read( byte[] b, int off, int len ) overrides read method [java.io.InputStream]

 int read( byte[] b ) overrides read method [java.io.InputStream]

 int read( ) overrides read method [java.io.InputStream]

public int read( byte[] b, int off, int len ) throws java.io.IOException

Reads up to len bytes of data from this input stream into an array of bytes. This method blocks until some input is available.

The read method of FilterInputStream calls the read method of its underlying input stream with the same arguments and returns whatever value that method returns.

Parameters

b

the buffer into which the data is read.

off

the start offset of the data.

len

the maximum number of bytes read.

Return

The total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

public int read( byte[] b ) throws java.io.IOException

Reads up to byte.length bytes of data from this input stream into an array of bytes. This method blocks until some input is available.

The read method of FilterInputStream calls the read method of three arguments with the arguments b, 0, and b.length, and returns whatever value that method returns.

Note that this method does not call the one-argument read method of its underlying stream with the single argument b. Subclasses of FilterInputStream do not need to override this method if they have overridden the three-argument read method.

Parameter

b

the buffer into which the data is read.

Return

The total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

public int read( ) throws java.io.IOException

Reads the next byte of data from this input stream. The value byte is returned as an int in the range 0 to 255. If no byte is available because the end of the stream has been reached, the value -1 is returned. This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

The read method of FilterInputStream calls the read method of its underlying input stream and returns whatever value that method returns.

Return

The next byte of data, or -1 if the end of the stream is reached.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedInputStream [java.io]

 CheckedInputStream [java.util.zip]

 DataInputStream [java.io]

 DigestInputStream [java.security]

 FilterInputStream [java.io]

 GZIPInputStream [java.util.zip]

 InflaterInputStream [java.util.zip]

 LineNumberInputStream [java.io]

 PushbackInputStream [java.io]

 ZipInputStream [java.util.zip]


read method [java.io.FilterReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.FilterReader]

Overloads:

 int read( ) overrides read method [java.io.Reader]

 int read( char[] cbuf, int off, int len ) overrides read method [java.io.Reader]

Inherited overloads:

 int read( char[] cbuf )

public int read( ) throws java.io.IOException

Read a single character.

Return

No documentation supplied in JDK.

Throws

IOException

If an I/O error occurs.

public int read( char[] cbuf, int off, int len ) throws java.io.IOException

Read characters into a portion of an array.

Return

No documentation supplied in JDK.

Throws

IOException

If an I/O error occurs.

Applies to

 FilterReader [java.io]

 PushbackReader [java.io]


read method [java.io.InputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.InputStream]

Overloads:

 int read( byte[] b )

 int read( )

 int read( byte[] b, int off, int len )

public int read( byte[] b ) throws java.io.IOException

Reads up to b.length bytes of data from this input stream into an array of bytes.

The read method of InputStream calls the read method of three arguments with the arguments b, 0, and b.length.

Parameter

b

the buffer into which the data is read.

Return

The total number of bytes read into the buffer, or -1 is there is no more data because the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

public abstract int read( ) throws java.io.IOException

Reads the next byte of data from this input stream. The value byte is returned as an int in the range 0 to 255. If no byte is available because the end of the stream has been reached, the value -1 is returned. This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

A subclass must provide an implementation of this method.

Return

The next byte of data, or -1 if the end of the stream is reached.

Throws

IOException

If an I/O error occurs.

public int read( byte[] b, int off, int len ) throws java.io.IOException

Reads up to len bytes of data from this input stream into an array of bytes. This method blocks until some input is available. If the argument b is null, a NullPointerException is thrown.

The read method of InputStream reads a single byte at a time using the read method of zero arguments to fill in the array. Subclasses are encouraged to provide a more efficient implementation of this method.

Parameters

b

the buffer into which the data is read.

off

the start offset of the data.

len

the maximum number of bytes read.

Return

The total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedInputStream [java.io]

 ByteArrayInputStream [java.io]

 CheckedInputStream [java.util.zip]

 DataInputStream [java.io]

 DigestInputStream [java.security]

 FileInputStream [java.io]

 FilterInputStream [java.io]

 GZIPInputStream [java.util.zip]

 InflaterInputStream [java.util.zip]

 InputStream [java.io]

 LineNumberInputStream [java.io]

 ObjectInputStream [java.io]

 PipedInputStream [java.io]

 PushbackInputStream [java.io]

 SequenceInputStream [java.io]

 StringBufferInputStream [java.io]

 ZipInputStream [java.util.zip]


read method [java.io.InputStreamReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.InputStreamReader]

Overloads:

 int read( ) overrides read method [java.io.Reader]

 int read( char[] cbuf, int off, int len ) overrides read method [java.io.Reader]

Inherited overloads:

 int read( char[] cbuf )

public int read( ) throws java.io.IOException

Read a single character.

Return

The character read, or -1 if the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

public int read( char[] cbuf, int off, int len ) throws java.io.IOException

Read characters into a portion of an array.

Parameters

cbuf

Destination buffer

off

Offset at which to start storing characters

len

Maximum number of characters to read

Return

The number of characters read, or -1 if the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

Applies to

 FileReader [java.io]

 InputStreamReader [java.io]


read method [java.io.LineNumberInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.LineNumberInputStream]

Overloads:

 int read( ) overrides read method [java.io.FilterInputStream]

 int read( byte[] b, int off, int len ) overrides read method [java.io.FilterInputStream]

Inherited overloads:

 int read( byte[] b )

 int read( byte[] b )

public int read( ) throws java.io.IOException

Reads the next byte of data from this input stream. The value byte is returned as an int in the range 0 to 255. If no byte is available because the end of the stream has been reached, the value -1 is returned. This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

The read method of LineNumberInputStream calls the read method of the underlying input stream. It checks for carriage returns and newline characters in the input, and modifies the current line number as appropriate. A carriage-return character or a carriage return followed by a newline character are both converted into a single newline character.

Return

The next byte of data, or -1 if the end of this stream is reached.

Throws

IOException

If an I/O error occurs.

See also

lineNumber property [java.io.LineNumberInputStream]

public int read( byte[] b, int off, int len ) throws java.io.IOException

Reads up to len bytes of data from this input stream into an array of bytes. This method blocks until some input is available.

The read method of LineNumberInputStream repeatedly calls the read method of zero arguments to fill in the byte array.

Parameters

b

the buffer into which the data is read.

off

the start offset of the data.

len

the maximum number of bytes read.

Return

The total number of bytes read into the buffer, or -1 if there is no more data because the end of this stream has been reached.

Throws

IOException

If an I/O error occurs.

See also

read method [java.io.FilterInputStream]

Applies to

 LineNumberInputStream [java.io]


read method [java.io.LineNumberReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.LineNumberReader]

Overloads:

 int read( char[] cbuf, int off, int len ) overrides read method [java.io.BufferedReader]

 int read( ) overrides read method [java.io.BufferedReader]

Inherited overloads:

 int read( char[] cbuf )

public int read( char[] cbuf, int off, int len ) throws java.io.IOException

Read characters into a portion of an array.

Parameters

cbuf

Destination buffer

off

Offset at which to start storing characters

len

Maximum number of characters to read

Return

The number of bytes read, or -1 if the end of the stream has already been reached.

Throws

IOException

If an I/O error occurs.

public int read( ) throws java.io.IOException

Read a single character.  Line terminators are compressed into single newline ('\n') characters.

Return

The character read, or -1 if the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

Applies to

 LineNumberReader [java.io]


read method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.ObjectInputStream]

Overloads:

 int read( ) overrides read method [java.io.InputStream]

 int read( byte[] data, int offset, int length ) overrides read method [java.io.InputStream]

Inherited overloads:

 int read( byte[] b )

public int read( ) throws java.io.IOException

Reads a byte of data. This method will block if no input is available.

Return

The byte read, or -1 if the end of the stream is reached.

Throws

IOException

If an I/O error has occurred.

public int read( byte[] data, int offset, int length ) throws java.io.IOException

Reads into an array of bytes.  This method will block until some input is available.

Parameters

b

the buffer into which the data is read

off

the start offset of the data

len

the maximum number of bytes read

Return

The actual number of bytes read, -1 is returned when the end of the stream is reached.

Throws

IOException

If an I/O error has occurred.

Applies to

 ObjectInputStream [java.io]


read method [java.io.PipedInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.PipedInputStream]

Overloads:

 int read( byte[] b, int off, int len ) overrides read method [java.io.InputStream]

 int read( ) overrides read method [java.io.InputStream]

Inherited overloads:

 int read( byte[] b )

public synchronized int read( byte[] b, int off, int len ) throws java.io.IOException

Reads up to len bytes of data from this piped input stream into an array of bytes. This method blocks until at least one byte of input is available.

Parameters

b

the buffer into which the data is read.

off

the start offset of the data.

len

the maximum number of bytes read.

Return

The total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

public synchronized int read( ) throws java.io.IOException

Reads the next byte of data from this piped input stream. The value byte is returned as an int in the range 0 to 255. If no byte is available because this end of the stream has been reached, the value -1 is returned. This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

Return

The next byte of data, or -1 if the end of the stream is reached.

Throws

IOException

If the pipe is broken.

Applies to

 PipedInputStream [java.io]


read method [java.io.PipedReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.PipedReader]

Overloads:

 int read( char[] cbuf, int off, int len ) overrides read method [java.io.Reader]

Inherited overloads:

 int read( )

 int read( char[] cbuf )

public int read( char[] cbuf, int off, int len ) throws java.io.IOException

Read characters into a portion of an array.

Parameters

cbuf

Destination buffer

off

Offset at which to start storing characters

len

Maximum number of characters to read

Return

The number of characters read, or -1 if the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

Applies to

 PipedReader [java.io]


read method [java.io.PushbackInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.PushbackInputStream]

Overloads:

 int read( ) overrides read method [java.io.FilterInputStream]

 int read( byte[] b, int off, int len ) overrides read method [java.io.FilterInputStream]

Inherited overloads:

 int read( byte[] b )

 int read( byte[] b )

public int read( ) throws java.io.IOException

Reads the next byte of data from this input stream. The value byte is returned as an int in the range 0 to 255. If no byte is available because the end of the stream has been reached, the value -1 is returned. This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

This method returns the most recently pushed-back byte, if there is one, and otherwise calls the read method of its underlying input stream and returns whatever value that method returns.

Return

The next byte of data, or -1 if the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

See also

read method [java.io.InputStream]

public int read( byte[] b, int off, int len ) throws java.io.IOException

Reads up to len bytes of data from this input stream into an array of bytes.  This method first reads any pushed-back bytes; after that, if fewer than than len bytes have been read then it reads from the underlying input stream.  This method blocks until at least 1 byte of input is available.

Parameters

b

the buffer into which the data is read.

off

the start offset of the data.

len

the maximum number of bytes read.

Return

The total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

Applies to

 PushbackInputStream [java.io]


read method [java.io.PushbackReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.PushbackReader]

Overloads:

 int read( char[] cbuf, int off, int len ) overrides read method [java.io.FilterReader]

 int read( ) overrides read method [java.io.FilterReader]

Inherited overloads:

 int read( char[] cbuf )

public int read( char[] cbuf, int off, int len ) throws java.io.IOException

Read characters into a portion of an array.

Parameters

cbuf

Destination buffer

off

Offset at which to start writing characters

len

Maximum number of characters to read

Return

The number of characters read, or -1 if the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

public int read( ) throws java.io.IOException

Read a single character.

Return

The character read, or -1 if the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

Applies to

 PushbackReader [java.io]


read method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.RandomAccessFile]

Overloads:

 int read( byte[] b, int off, int len )

 int read( )

 int read( byte[] b )

public int read( byte[] b, int off, int len ) throws java.io.IOException

Reads up to len bytes of data from this file into an array of bytes. This method blocks until at least one byte of input is available.

Parameters

b

the buffer into which the data is read.

off

the start offset of the data.

len

the maximum number of bytes read.

Return

The total number of bytes read into the buffer, or -1 if there is no more data because the end of the file has been reached.

Throws

IOException

If an I/O error occurs.

public native int read( ) throws java.io.IOException

Reads a byte of data from this file. This method blocks if no input is yet available.

Return

The next byte of data, or -1 if the end of the file is reached.

Throws

IOException

If an I/O error occurs.

public int read( byte[] b ) throws java.io.IOException

Reads up to b.length bytes of data from this file into an array of bytes. This method blocks until at least one byte of input is available.

Parameter

b

the buffer into which the data is read.

Return

The total number of bytes read into the buffer, or -1 if there is no more data because the end of this file has been reached.

Throws

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


read method [java.io.Reader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.Reader]

Overloads:

 int read( char[] cbuf, int off, int len )

 int read( )

 int read( char[] cbuf )

public abstract int read( char[] cbuf, int off, int len ) throws java.io.IOException

Read characters into a portion of an array.  This method will block until some input is available, an I/O error occurs, or the end of the stream is reached.

Parameters

cbuf

Destination buffer

off

Offset at which to start storing characters

len

Maximum number of characters to read

Return

The number of characters read, or -1 if the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

public int read( ) throws java.io.IOException

Read a single character.  This method will block until a character is available, an I/O error occurs, or the end of the stream is reached.

Subclasses that intend to support efficient single-character input should override this method.

Return

The character read, as an integer in the range 0 to 16383 (0x00-0xffff), or -1 if the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

public int read( char[] cbuf ) throws java.io.IOException

Read characters into an array.  This method will block until some input is available, an I/O error occurs, or the end of the stream is reached.

Parameter

cbuf

Destination buffer

Return

The number of bytes read, or -1 if the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedReader [java.io]

 CharArrayReader [java.io]

 FileReader [java.io]

 FilterReader [java.io]

 InputStreamReader [java.io]

 LineNumberReader [java.io]

 PipedReader [java.io]

 PushbackReader [java.io]

 Reader [java.io]

 StringReader [java.io]


read method [java.io.SequenceInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.SequenceInputStream]

Overloads:

 int read( ) overrides read method [java.io.InputStream]

 int read( byte[] buf, int pos, int len ) overrides read method [java.io.InputStream]

Inherited overloads:

 int read( byte[] b )

public int read( ) throws java.io.IOException

Reads the next byte of data from this input stream. The byte is returned as an int in the range 0 to 255. If no byte is available because the end of the stream has been reached, the value -1 is returned. This method blocks until input data is available, the end of the stream is detected, or an exception is thrown.

The read method of SequenceInputStream tries to read one character from the current substream. If it reaches the end of the stream, it calls the close method of the current substream and begins reading from the next substream.

Return

The next byte of data, or -1 if the end of the stream is reached.

Throws

IOException

If an I/O error occurs.

public int read( byte[] buf, int pos, int len ) throws java.io.IOException

Reads up to len bytes of data from this input stream into an array of bytes. This method blocks until at least 1 byte of input is available. If the first argument is null, up to len bytes are read and discarded.

The read method of SequenceInputStream tries to read the data from the current substream. If it fails to read any characters because the substream has reached the end of the stream, it calls the close method of the current substream and begins reading from the next substream.

Parameters

b

the buffer into which the data is read.

off

the start offset of the data.

len

the maximum number of bytes read.

Return

No documentation supplied in JDK.

Throws

IOException

If an I/O error occurs.

Applies to

 SequenceInputStream [java.io]


read method [java.io.StringBufferInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.StringBufferInputStream]

Overloads:

 int read( ) overrides read method [java.io.InputStream]

 int read( byte[] b, int off, int len ) overrides read method [java.io.InputStream]

Inherited overloads:

 int read( byte[] b )

public synchronized int read( )

Reads the next byte of data from this input stream. The value byte is returned as an int in the range 0 to 255. If no byte is available because the end of the stream has been reached, the value -1 is returned.

The read method of StringBufferInputStream cannot block. It returns the low eight bits of the next character in this input stream's buffer.

Return

The next byte of data, or -1 if the end of the stream is reached.

public synchronized int read( byte[] b, int off, int len )

Reads up to len bytes of data from this input stream into an array of bytes.

The read method of StringBufferInputStream cannot block. It copies the low eight bits from the characters in this input stream's buffer into the byte array argument.

Parameters

b

the buffer into which the data is read.

off

the start offset of the data.

len

the maximum number of bytes read.

Return

The total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Applies to

 StringBufferInputStream [java.io]


read method [java.io.StringReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.io.StringReader]

Overloads:

 int read( ) overrides read method [java.io.Reader]

 int read( char[] cbuf, int off, int len ) overrides read method [java.io.Reader]

Inherited overloads:

 int read( char[] cbuf )

public int read( ) throws java.io.IOException

Read a single character.

Return

The character read, or -1 if the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

public int read( char[] cbuf, int off, int len ) throws java.io.IOException

Read characters into a portion of an array.

Parameters

cbuf

Destination buffer

off

Offset at which to start writing characters

len

Maximum number of characters to read

Return

The number of characters read, or -1 if the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

Applies to

 StringReader [java.io]


read method [java.rmi.server.ObjID] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.rmi.server.ObjID]

public static java.rmi.server.ObjID read( java.io.ObjectInput in ) throws java.io.IOException

The read method constructs an object id whose contents is read from the specified input stream.

Return

No documentation supplied in JDK.

Applies to

 ObjID [java.rmi.server]


read method [java.rmi.server.UID] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.rmi.server.UID]

public static java.rmi.server.UID read( java.io.DataInput in ) throws java.io.IOException

Get the uid from the input stream.

Parameter

in

the input stream

Return

No documentation supplied in JDK.

Throws

IOException

If uid could not be read (due to stream failure or malformed uid).

Applies to

 UID [java.rmi.server]


read method [java.security.DigestInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.security.DigestInputStream]

Overloads:

 int read( byte[] b, int off, int len ) overrides read method [java.io.FilterInputStream]

 int read( ) overrides read method [java.io.FilterInputStream]

Inherited overloads:

 int read( byte[] b )

 int read( byte[] b )

public int read( byte[] b, int off, int len ) throws java.io.IOException

Reads into a byte array, and updates the message digest (if the digest function is on).  That is, this method reads up to len bytes from the input stream into the array b, starting at offset off. This method blocks until the data is actually read. If the digest function is on (see on), this method will then call update on the message digest associated with this stream, passing it the data.

Parameters

b

the array into which the data is read.

off

the starting offset into b of where the data should be placed.

len

the maximum number of bytes to be read from the input stream into b, starting at offset off.

Return

The actual number of bytes read. This is less than len if the end of the stream is reached prior to reading len bytes. -1 is returned if no bytes were read because the end of the stream had already been reached when the call was made.

Throws

IOException

If an I/O error occurs.

See also

update method [java.security.MessageDigest]

public int read( ) throws java.io.IOException

Reads a byte, and updates the message digest (if the digest function is on).  That is, this method reads a byte from the input stream, blocking until the byte is actually read. If the digest function is on (see on), this method will then call update on the message digest associated with this stream, passing it the byte read.

Return

The byte read.

Throws

IOException

If an I/O error occurs.

See also

update method [java.security.MessageDigest]

Applies to

 DigestInputStream [java.security]


read method [java.util.zip.CheckedInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.util.zip.CheckedInputStream]

Overloads:

 int read( byte[] buf, int off, int len ) overrides read method [java.io.FilterInputStream]

 int read( ) overrides read method [java.io.FilterInputStream]

Inherited overloads:

 int read( byte[] b )

 int read( byte[] b )

public int read( byte[] buf, int off, int len ) throws java.io.IOException

Reads into an array of bytes. Will block until some input is available.

Parameters

buf

the buffer into which the data is read

off

the start offset of the data

len

the maximum number of bytes read

Return

The actual number of bytes read, or -1 if the end of the stream is reached.

Throws

IOException

If an I/O error has occurred.

public int read( ) throws java.io.IOException

Reads a byte. Will block if no input is available.

Return

The byte read, or -1 if the end of the stream is reached.

Throws

IOException

If an I/O error has occurred.

Applies to

 CheckedInputStream [java.util.zip]


read method [java.util.zip.GZIPInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.util.zip.GZIPInputStream]

Overloads:

 int read( byte[] buf, int off, int len ) overrides read method [java.util.zip.InflaterInputStream]

Inherited overloads:

 int read( byte[] b )

 int read( )

 int read( byte[] b )

 int read( )

 int read( )

public int read( byte[] buf, int off, int len ) throws java.io.IOException

Reads uncompressed data into an array of bytes. Blocks until enough input is available for decompression.

Parameters

buf

the buffer into which the data is read

off

the start offset of the data

len

the maximum number of bytes read

Return

The actual number of bytes read, or -1 if the end of the compressed input stream is reached.

Throws

IOException

If an I/O error has occurred or the compressed input data is corrupt.

Applies to

 GZIPInputStream [java.util.zip]


read method [java.util.zip.InflaterInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.util.zip.InflaterInputStream]

Overloads:

 int read( ) overrides read method [java.io.FilterInputStream]

 int read( byte[] b, int off, int len ) overrides read method [java.io.FilterInputStream]

Inherited overloads:

 int read( byte[] b )

 int read( byte[] b )

public int read( ) throws java.io.IOException

Reads a byte of uncompressed data. This method will block until enough input is available for decompression.

Return

The byte read, or -1 if end of compressed input is reached.

Throws

IOException

If an I/O error has occurred.

public int read( byte[] b, int off, int len ) throws java.io.IOException

Reads uncompressed data into an array of bytes. This method will block until some input can be decompressed.

Parameters

b

the buffer into which the data is read

off

the start offset of the data

len

the maximum number of bytes read

Return

The actual number of bytes read, or -1 if the end of the compressed input is reached or a preset dictionary is needed.

Throws

ZipException

If a ZIP format error has occurred.

IOException

If an I/O error has occurred.

Applies to

 GZIPInputStream [java.util.zip]

 InflaterInputStream [java.util.zip]

 ZipInputStream [java.util.zip]


read method [java.util.zip.ZipInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read method [java.util.zip.ZipInputStream]

Overloads:

 int read( byte[] b, int off, int len ) overrides read method [java.util.zip.InflaterInputStream]

Inherited overloads:

 int read( byte[] b )

 int read( )

 int read( byte[] b )

 int read( )

 int read( )

public int read( byte[] b, int off, int len ) throws java.io.IOException

Reads from the current ZIP entry into an array of bytes. Blocks until some input is available.

Parameters

b

the buffer into which the data is read

off

the start offset of the data

len

the maximum number of bytes read

Return

The actual number of bytes read, or -1 if the end of the entry is reached.

Throws

ZipException

If a ZIP file error has occurred.

IOException

If an I/O error has occurred.

Applies to

 ZipInputStream [java.util.zip]


read property [java.sql.DataTruncation] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      read property [java.sql.DataTruncation]

public boolean getRead( )

Was this a read truncation?

Return

True if the value was truncated when read from the database; false if the data was truncated on a write.

Applies to

 DataTruncation [java.sql]


readBoolean method [java.io.DataInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readBoolean method [java.io.DataInputStream]

public final boolean readBoolean( ) throws java.io.IOException

Reads a boolean from this data input stream. This method reads a single byte from the underlying input stream. A value of 0 represents false. Any other value represents true. This method blocks until either the byte is read, the end of the stream is detected, or an exception is thrown.

Return

The boolean value read.

Throws

EOFException

If this input stream has reached the end.

IOException

If an I/O error occurs.

Applies to

 DataInputStream [java.io]


readBoolean method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readBoolean method [java.io.ObjectInputStream]

public boolean readBoolean( ) throws java.io.IOException

Reads in a boolean.

Return

The boolean read.

Throws

EOFException

If end of file is reached.

IOException

If other I/O error has occurred.

Applies to

 ObjectInputStream [java.io]


readBoolean method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readBoolean method [java.io.RandomAccessFile]

public final boolean readBoolean( ) throws java.io.IOException

Reads a boolean from this file. This method reads a single byte from the file. A value of 0 represents false. Any other value represents true. This method blocks until the byte is read, the end of the stream is detected, or an exception is thrown.

Return

The boolean value read.

Throws

EOFException

If this file has reached the end.

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


readByte method [java.io.DataInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readByte method [java.io.DataInputStream]

public final byte readByte( ) throws java.io.IOException

Reads a signed 8-bit value from this data input stream. This method reads a byte from the underlying input stream. If the byte read is b, where 0 <= b <= 255, then the result is:

(byte)(b)

This method blocks until either the byte is read, the end of the stream is detected, or an exception is thrown.

Return

The next byte of this input stream as a signed 8-bit byte.

Throws

EOFException

If this input stream has reached the end.

IOException

If an I/O error occurs.

Applies to

 DataInputStream [java.io]


readByte method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readByte method [java.io.ObjectInputStream]

public byte readByte( ) throws java.io.IOException

Reads an 8 bit byte.

Return

The 8 bit byte read.

Throws

EOFException

If end of file is reached.

IOException

If other I/O error has occurred.

Applies to

 ObjectInputStream [java.io]


readByte method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readByte method [java.io.RandomAccessFile]

public final byte readByte( ) throws java.io.IOException

Reads a signed 8-bit value from this file. This method reads a byte from the file. If the byte read is b, where 0 <= b <= 255, then the result is:

(byte)(b)

This method blocks until the byte is read, the end of the stream is detected, or an exception is thrown.

Return

The next byte of this file as a signed 8-bit byte.

Throws

EOFException

If this file has reached the end.

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


readChar method [java.io.DataInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readChar method [java.io.DataInputStream]

public final char readChar( ) throws java.io.IOException

Reads a Unicode character from this data input stream. This method reads two bytes from the underlying input stream. If the bytes read, in order, are b1 and b2, where 0 <= b1, b1 <= 255, then the result is equal to:

(char)((b1 << 8) | b2)

This method blocks until either the two bytes are read, the end of the stream is detected, or an exception is thrown.

Return

The next two bytes of this input stream as a Unicode character.

Throws

EOFException

If this input stream reaches the end before reading two bytes.

IOException

If an I/O error occurs.

Applies to

 DataInputStream [java.io]


readChar method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readChar method [java.io.ObjectInputStream]

public char readChar( ) throws java.io.IOException

Reads a 16 bit char.

Return

The 16 bit char read.

Throws

EOFException

If end of file is reached.

IOException

If other I/O error has occurred.

Applies to

 ObjectInputStream [java.io]


readChar method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readChar method [java.io.RandomAccessFile]

public final char readChar( ) throws java.io.IOException

Reads a Unicode character from this file. This method reads two bytes from the file. If the bytes read, in order, are b1 and b2, where 0 <= b1, b2 <= 255, then the result is equal to:

(char)((b1 << 8) | b2)

This method blocks until the two bytes are read, the end of the stream is detected, or an exception is thrown.

Return

The next two bytes of this file as a Unicode character.

Throws

EOFException

If this file reaches the end before reading two bytes.

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


readDouble method [java.io.DataInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readDouble method [java.io.DataInputStream]

public final double readDouble( ) throws java.io.IOException

Reads a double from this data input stream. This method reads a long value as if by the readLong method and then converts that long to a double using the longBitsToDouble method in class Double.

This method blocks until the eight bytes are read, the end of the stream is detected, or an exception is thrown.

Return

The next eight bytes of this input stream, interpreted as a double.

Throws

EOFException

If this input stream reaches the end before reading eight bytes.

IOException

If an I/O error occurs.

See also

readLong method [java.io.DataInputStream]

longBitsToDouble method [java.lang.Double]

Applies to

 DataInputStream [java.io]


readDouble method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readDouble method [java.io.ObjectInputStream]

public double readDouble( ) throws java.io.IOException

Reads a 64 bit double.

Return

The 64 bit double read.

Throws

EOFException

If end of file is reached.

IOException

If other I/O error has occurred.

Applies to

 ObjectInputStream [java.io]


readDouble method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readDouble method [java.io.RandomAccessFile]

public final double readDouble( ) throws java.io.IOException

Reads a double from this file. This method reads a long value as if by the readLong method and then converts that long to a double using the longBitsToDouble method in class Double.

This method blocks until the eight bytes are read, the end of the stream is detected, or an exception is thrown.

Return

The next eight bytes of this file, interpreted as a double.

Throws

EOFException

If this file reaches the end before reading eight bytes.

IOException

If an I/O error occurs.

See also

readLong method [java.io.RandomAccessFile]

longBitsToDouble method [java.lang.Double]

Applies to

 RandomAccessFile [java.io]


Reader class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      Reader class [java.io]

Object

Reader

Description

Abstract class for reading character streams.  The only methods that a subclass must implement are read(char[], int, int) and close().  Most subclasses, however, will override some of the methods defined here in order to provide higher efficiency, additional functionality, or both.

Specification

public abstract class Reader extends java.lang.Object

Constructors

protected Reader( )

Create a new character-stream reader whose critical sections will synchronize on the reader itself.

protected Reader( java.lang.Object lock )

Create a new character-stream reader whose critical sections will synchronize on the given object.

Variables

protected java.lang.Object lock

The object used to synchronize operations on this stream.  For efficiency, a character-stream object may use an object other than itself to protect critical sections.  A subclass should therefore use the object in this field rather than this or a synchronized method.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  abstract void close( ) throws java.io.IOException

  void mark( int readAheadLimit ) throws java.io.IOException

  boolean markSupported( )

  int read( char[] cbuf ) throws java.io.IOException

  int read( ) throws java.io.IOException

  abstract int read( char[] cbuf, int off, int len ) throws java.io.IOException

  boolean ready( ) throws java.io.IOException

  void reset( ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

BufferedReader class [java.io]

LineNumberReader class [java.io]

CharArrayReader class [java.io]

InputStreamReader class [java.io]

FileReader class [java.io]

FilterReader class [java.io]

PushbackReader class [java.io]

PipedReader class [java.io]

StringReader class [java.io]

Writer class [java.io]


readFloat method [java.io.DataInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readFloat method [java.io.DataInputStream]

public final float readFloat( ) throws java.io.IOException

Reads a float from this data input stream. This method reads an int value as if by the readInt method and then converts that int to a float using the intBitsToFloat method in class Float. This method blocks until the four bytes are read, the end of the stream is detected, or an exception is thrown.

Return

The next four bytes of this input stream, interpreted as a float.

Throws

EOFException

If this input stream reaches the end before reading four bytes.

IOException

If an I/O error occurs.

See also

readInt method [java.io.DataInputStream]

intBitsToFloat method [java.lang.Float]

Applies to

 DataInputStream [java.io]


readFloat method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readFloat method [java.io.ObjectInputStream]

public float readFloat( ) throws java.io.IOException

Reads a 32 bit float.

Return

The 32 bit float read.

Throws

EOFException

If end of file is reached.

IOException

If other I/O error has occurred.

Applies to

 ObjectInputStream [java.io]


readFloat method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readFloat method [java.io.RandomAccessFile]

public final float readFloat( ) throws java.io.IOException

Reads a float from this file. This method reads an int value as if by the readInt method and then converts that int to a float using the intBitsToFloat method in class Float.

This method blocks until the four bytes are read, the end of the stream is detected, or an exception is thrown.

Return

The next four bytes of this file, interpreted as a float.

Throws

EOFException

If this file reaches the end before reading four bytes.

IOException

If an I/O error occurs.

See also

readInt method [java.io.RandomAccessFile]

intBitsToFloat method [java.lang.Float]

Applies to

 RandomAccessFile [java.io]


readFully method [java.io.DataInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readFully method [java.io.DataInputStream]

Overloads:

 void readFully( byte[] b )

 void readFully( byte[] b, int off, int len )

public final void readFully( byte[] b ) throws java.io.IOException

Reads b.length bytes from this data input stream into the byte array. This method reads repeatedly from the underlying stream until all the bytes are read. This method blocks until all the bytes are read, the end of the stream is detected, or an exception is thrown.

Parameter

b

the buffer into which the data is read.

Throws

EOFException

If this input stream reaches the end before reading all the bytes.

IOException

If an I/O error occurs.

public final void readFully( byte[] b, int off, int len ) throws java.io.IOException

Reads exactly len bytes from this data input stream into the byte array. This method reads repeatedly from the underlying stream until all the bytes are read. This method blocks until all the bytes are read, the end of the stream is detected, or an exception is thrown.

Parameters

b

the buffer into which the data is read.

off

the start offset of the data.

len

the number of bytes to read.

Throws

EOFException

If this input stream reaches the end before reading all the bytes.

IOException

If an I/O error occurs.

Applies to

 DataInputStream [java.io]


readFully method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readFully method [java.io.ObjectInputStream]

Overloads:

 void readFully( byte[] data )

 void readFully( byte[] data, int offset, int size )

public void readFully( byte[] data ) throws java.io.IOException

Reads bytes, blocking until all bytes are read.

Parameter

b

the buffer into which the data is read

Throws

EOFException

If end of file is reached.

IOException

If other I/O error has occurred.

public void readFully( byte[] data, int offset, int size ) throws java.io.IOException

Reads bytes, blocking until all bytes are read.

Parameters

b

the buffer into which the data is read

off

the start offset of the data

len

the maximum number of bytes to read

Throws

EOFException

If end of file is reached.

IOException

If other I/O error has occurred.

Applies to

 ObjectInputStream [java.io]


readFully method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readFully method [java.io.RandomAccessFile]

Overloads:

 void readFully( byte[] b, int off, int len )

 void readFully( byte[] b )

public final void readFully( byte[] b, int off, int len ) throws java.io.IOException

Reads exactly len bytes from this file into the byte array. This method reads repeatedly from the file until all the bytes are read. This method blocks until all the bytes are read, the end of the stream is detected, or an exception is thrown.

Parameters

b

the buffer into which the data is read.

off

the start offset of the data.

len

the number of bytes to read.

Throws

EOFException

If this file reaches the end before reading all the bytes.

IOException

If an I/O error occurs.

public final void readFully( byte[] b ) throws java.io.IOException

Reads b.length bytes from this file into the byte array. This method reads repeatedly from the file until all the bytes are read. This method blocks until all the bytes are read, the end of the stream is detected, or an exception is thrown.

Parameter

b

the buffer into which the data is read.

Throws

EOFException

If this file reaches the end before reading all the bytes.

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


readInt method [java.io.DataInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readInt method [java.io.DataInputStream]

public final int readInt( ) throws java.io.IOException

Reads a signed 32-bit integer from this data input stream. This method reads four bytes from the underlying input stream. If the bytes read, in order, are b1, b2, b3, and b4, where 0 <= b1, b2, b3, b4 <= 255, then the result is equal to:

(b1 << 24) | (b2 << 16) + (b3 << 8) +b4

This method blocks until the four bytes are read, the end of the stream is detected, or an exception is thrown.

Return

The next four bytes of this input stream, interpreted as an int.

Throws

EOFException

If this input stream reaches the end before reading four bytes.

IOException

If an I/O error occurs.

Applies to

 DataInputStream [java.io]


readInt method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readInt method [java.io.ObjectInputStream]

public int readInt( ) throws java.io.IOException

Reads a 32 bit int.

Return

The 32 bit integer read.

Throws

EOFException

If end of file is reached.

IOException

If other I/O error has occurred.

Applies to

 ObjectInputStream [java.io]


readInt method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readInt method [java.io.RandomAccessFile]

public final int readInt( ) throws java.io.IOException

Reads a signed 32-bit integer from this file. This method reads 4 bytes from the file. If the bytes read, in order, are b1, b2, b3, and b4, where 0 <= b1, b2, b3, b4 <= 255, then the result is equal to:

(b1 << 24) | (b2 << 16) + (b3 << 8) + b4

This method blocks until the four bytes are read, the end of the stream is detected, or an exception is thrown.

Return

The next four bytes of this file, interpreted as an int.

Throws

EOFException

If this file reaches the end before reading four bytes.

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


readLine method [java.io.BufferedReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readLine method [java.io.BufferedReader]

public java.lang.String readLine( ) throws java.io.IOException

Read a line of text.  A line is considered to be terminated by any one of a line feed ('\n'), a carriage return ('\r'), or a carriage return followed immediately by a linefeed.

Return

A String containing the contents of the line, not including any line-termination characters, or null if the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedReader [java.io]

 LineNumberReader [java.io]


readLine method [java.io.DataInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readLine method [java.io.DataInputStream]

public final java.lang.String readLine( ) throws java.io.IOException

Note: readLine has been deprecated. This method does not properly convert bytes to characters. As of JDK 1.1, the preferred way to read lines of text is via the BufferedReader.readLine() method.  Programs that use the DataInputStream class to read lines can be converted to use the BufferedReader class by replacing code of the form

DataInputStream d = new DataInputStream(in); with

BufferedReader d = new BufferedReader(new InputStreamReader(in));  .

Reads the next line of text from this data input stream. This method successively reads bytes from the underlying input stream until it reaches the end of a line of text.

A line of text is terminated by a carriage return character ('\r'), a newline character ('\n'), a carriage return character immediately followed by a newline character, or the end of the input stream. The line-terminating character(s), if any, are not returned as part of the string that is returned.

This method blocks until a newline character is read, a carriage return and the byte following it are read (to see if it is a newline), the end of the stream is detected, or an exception is thrown.

Return

The next line of text from this input stream, or null if no bytes are read before end-of-file is reached.

Throws

IOException

If an I/O error occurs.

See also

readLine method [java.io.BufferedReader]

Applies to

 DataInputStream [java.io]


readLine method [java.io.LineNumberReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readLine method [java.io.LineNumberReader]

Overloads:

 String readLine( ) overrides readLine method [java.io.BufferedReader]

public java.lang.String readLine( ) throws java.io.IOException

Read a line of text.  A line is considered to be terminated by any one of a line feed ('\n'), a carriage return ('\r'), or a carriage return followed immediately by a linefeed.

Return

A String containing the contents of the line, not including any line-termination characters, or null if the end of the stream has been reached.

Throws

IOException

If an I/O error occurs.

Applies to

 LineNumberReader [java.io]


readLine method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readLine method [java.io.ObjectInputStream]

public java.lang.String readLine( ) throws java.io.IOException

Reads in a line that has been terminated by a \n, \r, \r\n or EOF.

Return

A String copy of the line.

Applies to

 ObjectInputStream [java.io]


readLine method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readLine method [java.io.RandomAccessFile]

public final java.lang.String readLine( ) throws java.io.IOException

Reads the next line of text from this file. This method successively reads bytes from the file until it reaches the end of a line of text.

A line of text is terminated by a carriage-return character ('\r'), a newline character ('\n'), a carriage-return character immediately followed by a newline character, or the end of the input stream. The line-terminating character(s), if any, are included as part of the string returned.

This method blocks until a newline character is read, a carriage return and the byte following it are read (to see if it is a newline), the end of the stream is detected, or an exception is thrown.

Return

The next line of text from this file.

Throws

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


readLong method [java.io.DataInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readLong method [java.io.DataInputStream]

public final long readLong( ) throws java.io.IOException

Reads a signed 64-bit integer from this data input stream. This method reads eight bytes from the underlying input stream. If the bytes read, in order, are b1, b2, b3, b4, b5, b6, b7, and b8, where

0 <= b1, b2, b3, b4, b5, b6, b7, b8 <= 255,

then the result is equal to:

   ((long)b1 << 56) + ((long)b2 << 48) +

      ((long)b3 << 40) + ((long)b4 << 32) +

      ((long)b5 << 24) + (b6 << 16) +

      (b7 << 8) + b8

This method blocks until the eight bytes are read, the end of the stream is detected, or an exception is thrown.

Return

The next eight bytes of this input stream, interpreted as a long.

Throws

EOFException

If this input stream reaches the end before reading eight bytes.

IOException

If an I/O error occurs.

Applies to

 DataInputStream [java.io]


readLong method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readLong method [java.io.ObjectInputStream]

public long readLong( ) throws java.io.IOException

Reads a 64 bit long.

Return

The read 64 bit long.

Throws

EOFException

If end of file is reached.

IOException

If other I/O error has occurred.

Applies to

 ObjectInputStream [java.io]


readLong method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readLong method [java.io.RandomAccessFile]

public final long readLong( ) throws java.io.IOException

Reads a signed 64-bit integer from this file. This method reads eight bytes from the file. If the bytes read, in order, are b1, b2, b3, b4, b5, b6, b7, and b8, where:

0 <= b1, b2, b3, b4, b5, b6, b7, b8 <=255,

then the result is equal to:

   ((long)b1 << 56) + ((long)b2 << 48)

   + ((long)b3 << 40) + ((long)b4 << 32)

   + ((long)b5 << 24) + ((long)b6 << 16)

   + ((long)b7 << 8) + b8

This method blocks until the eight bytes are read, the end of the stream is detected, or an exception is thrown.

Return

The next eight bytes of this file, interpreted as a long.

Throws

EOFException

If this file reaches the end before reading eight bytes.

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


readMethod property [java.beans.PropertyDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readMethod property [java.beans.PropertyDescriptor]

public java.lang.reflect.Method getReadMethod( )

No documentation supplied in JDK

Return

The method that should be used to read the property value. May return null if the property can't be read.

Applies to

 IndexedPropertyDescriptor [java.beans]

 PropertyDescriptor [java.beans]


readObject method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readObject method [java.io.ObjectInputStream]

public final java.lang.Object readObject( ) throws java.io.OptionalDataException, java.lang.ClassNotFoundException, java.io.IOException

Read an object from the ObjectInputStream. The class of the object, the signature of the class, and the values of the non-transient and non-static fields of the class and all of its supertypes are read.  Default deserializing for a class can be overriden using the writeObject and readObject methods. Objects referenced by this object are read transitively so that a complete equivalent graph of objects is reconstructed by readObject.

The root object is completly restored when all of its fields and the objects it references are completely restored.  At this point the object validation callbacks are executed in order based on their registered priorities. The callbacks are registered by objects (in the readObject special methods) as they are individually restored. Exceptions are thrown for problems with the InputStream and for classes that should not be deserialized.  All exceptions are fatal to the InputStream and leave it in an indeterminate state; it is up to the caller to ignore or recover the stream state.

Return

No documentation supplied in JDK.

Throws

java.lang.ClassNotFoundException

Class of a serialized object cannot be found.

InvalidClassException

Something is wrong with a class used by serialization.

StreamCorruptedException

Control information in the stream is inconsistent.

OptionalDataException

Primitive data was found in the stream instead of objects.

IOException

Any of the usual Input/Output related exceptions.

Applies to

 ObjectInputStream [java.io]


readShort method [java.io.DataInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readShort method [java.io.DataInputStream]

public final short readShort( ) throws java.io.IOException

Reads a signed 16-bit number from this data input stream. The method reads two bytes from the underlying input stream. If the two bytes read, in order, are b1 and b2, where each of the two values is between 0 and 255, inclusive, then the result is equal to:

(short)((b1 << 8) | b2)

This method blocks until the two bytes are read, the end of the stream is detected, or an exception is thrown.

Return

The next two bytes of this input stream, interpreted as a signed 16-bit number.

Throws

EOFException

If this input stream reaches the end before reading two bytes.

IOException

If an I/O error occurs.

Applies to

 DataInputStream [java.io]


readShort method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readShort method [java.io.ObjectInputStream]

public short readShort( ) throws java.io.IOException

Reads a 16 bit short.

Return

The 16 bit short read.

Throws

EOFException

If end of file is reached.

IOException

If other I/O error has occurred.

Applies to

 ObjectInputStream [java.io]


readShort method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readShort method [java.io.RandomAccessFile]

public final short readShort( ) throws java.io.IOException

Reads a signed 16-bit number from this file. The method reads 2 bytes from this file. If the two bytes read, in order, are b1 and b2, where each of the two values is between 0 and 255, inclusive, then the result is equal to:

(short)((b1 << 8) | b2)

This method blocks until the two bytes are read, the end of the stream is detected, or an exception is thrown.

Return

The next two bytes of this file, interpreted as a signed 16-bit number.

Throws

EOFException

If this file reaches the end before reading two bytes.

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


readStreamHeader method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readStreamHeader method [java.io.ObjectInputStream]

protected void readStreamHeader( ) throws java.io.IOException, java.io.StreamCorruptedException

The readStreamHeader method is provided to allow subclasses to read and verify their own stream headers. It reads and verifies the magic number and version number.

Applies to

 ObjectInputStream [java.io]


readUnsignedByte method [java.io.DataInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readUnsignedByte method [java.io.DataInputStream]

public final int readUnsignedByte( ) throws java.io.IOException

Reads an unsigned 8-bit number from this data input stream. This method reads a byte from this data input stream's underlying input stream and returns that byte. This method blocks until the byte is read, the end of the stream is detected, or an exception is thrown.

Return

The next byte of this input stream, interpreted as an unsigned 8-bit number.

Throws

EOFException

If this input stream has reached the end.

IOException

If an I/O error occurs.

Applies to

 DataInputStream [java.io]


readUnsignedByte method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readUnsignedByte method [java.io.ObjectInputStream]

public int readUnsignedByte( ) throws java.io.IOException

Reads an unsigned 8 bit byte.

Return

The 8 bit byte read.

Throws

EOFException

If end of file is reached.

IOException

If other I/O error has occurred.

Applies to

 ObjectInputStream [java.io]


readUnsignedByte method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readUnsignedByte method [java.io.RandomAccessFile]

public final int readUnsignedByte( ) throws java.io.IOException

Reads an unsigned 8-bit number from this file. This method reads a byte from this file and returns that byte.

This method blocks until the byte is read, the end of the stream is detected, or an exception is thrown.

Return

The next byte of this file, interpreted as an unsigned 8-bit number.

Throws

EOFException

If this file has reached the end.

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


readUnsignedShort method [java.io.DataInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readUnsignedShort method [java.io.DataInputStream]

public final int readUnsignedShort( ) throws java.io.IOException

Reads an unsigned 16-bit number from this data input stream. This method reads two bytes from the underlying input stream. If the bytes read, in order, are b1 and b2, where 0 <= b1, b2 <= 255, then the result is equal to:

(b1 << 8) | b2

This method blocks until the two bytes are read, the end of the stream is detected, or an exception is thrown.

Return

The next two bytes of this input stream, interpreted as an unsigned 16-bit integer.

Throws

EOFException

If this input stream reaches the end before reading two bytes.

IOException

If an I/O error occurs.

Applies to

 DataInputStream [java.io]


readUnsignedShort method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readUnsignedShort method [java.io.ObjectInputStream]

public int readUnsignedShort( ) throws java.io.IOException

Reads an unsigned 16 bit short.

Return

The 16 bit short read.

Throws

EOFException

If end of file is reached.

IOException

If other I/O error has occurred.

Applies to

 ObjectInputStream [java.io]


readUnsignedShort method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readUnsignedShort method [java.io.RandomAccessFile]

public final int readUnsignedShort( ) throws java.io.IOException

Reads an unsigned 16-bit number from this file. This method reads two bytes from the file. If the bytes read, in order, are b1 and b2, where 0 <= b1, b2 <= 255, then the result is equal to:

(b1 << 8) | b2

This method blocks until the two bytes are read, the end of the stream is detected, or an exception is thrown.

Return

The next two bytes of this file, interpreted as an unsigned 16-bit integer.

Throws

EOFException

If this file reaches the end before reading two bytes.

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


readUTF method [java.io.DataInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readUTF method [java.io.DataInputStream]

Overloads:

 String readUTF( )

 String readUTF( DataInput in )

public final java.lang.String readUTF( ) throws java.io.IOException

Reads in a string that has been encoded using a modified UTF-8 format from this data input stream. This method calls readUTF(this). See readUTF(java.io.DataInput) for a more complete description of the format.

This method blocks until all the bytes are read, the end of the stream is detected, or an exception is thrown.

Return

A Unicode string.

Throws

EOFException

If this input stream reaches the end before reading all the bytes.

IOException

If an I/O error occurs.

public static final java.lang.String readUTF( java.io.DataInput in ) throws java.io.IOException

Reads in a string from the specified data input stream. The string has been encoded using a modified UTF-8 format.

The first two bytes are read as if by readUnsignedShort. This value gives the number of following bytes that are in the encoded string, not the length of the resulting string. The following bytes are then interpreted as bytes encoding characters in the UTF-8 format and are converted into characters.

This method blocks until all the bytes are read, the end of the stream is detected, or an exception is thrown.

Parameter

in

a data input stream.

Return

A Unicode string.

Throws

EOFException

If the input stream reaches the end before all the bytes.

IOException

If an I/O error occurs.

UTFDataFormatException

If the bytes do not represent a valid UTF-8 encoding of a Unicode string.

See also

readUnsignedShort method [java.io.DataInputStream]

Applies to

 DataInputStream [java.io]


readUTF method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readUTF method [java.io.ObjectInputStream]

public java.lang.String readUTF( ) throws java.io.IOException

Reads a UTF format String.

Return

The String.

Applies to

 ObjectInputStream [java.io]


readUTF method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      readUTF method [java.io.RandomAccessFile]

public final java.lang.String readUTF( ) throws java.io.IOException

Reads in a string from this file. The string has been encoded using a modified UTF-8 format.

The first two bytes are read as if by readUnsignedShort. This value gives the number of following bytes that are in the encoded string, not the length of the resulting string. The following bytes are then interpreted as bytes encoding characters in the UTF-8 format and are converted into characters.

This method blocks until all the bytes are read, the end of the stream is detected, or an exception is thrown.

Return

A Unicode string.

Throws

EOFException

If this file reaches the end before reading all the bytes.

IOException

If an I/O error occurs.

UTFDataFormatException

If the bytes do not represent valid UTF-8 encoding of a Unicode string.

See also

readUnsignedShort method [java.io.RandomAccessFile]

Applies to

 RandomAccessFile [java.io]


ready method [java.io.BufferedReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      ready method [java.io.BufferedReader]

Overloads:

 boolean ready( ) overrides ready method [java.io.Reader]

public boolean ready( ) throws java.io.IOException

Tell whether this stream is ready to be read.  A buffered character stream is ready if the buffer is not empty, or if the underlying character stream is ready.

Return

No documentation supplied in JDK.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedReader [java.io]

 LineNumberReader [java.io]


ready method [java.io.CharArrayReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      ready method [java.io.CharArrayReader]

Overloads:

 boolean ready( ) overrides ready method [java.io.Reader]

public boolean ready( ) throws java.io.IOException

Tell whether this stream is ready to be read.  Character-array readers are always ready to be read.

Return

No documentation supplied in JDK.

Throws

IOException

If an I/O error occurs.

Applies to

 CharArrayReader [java.io]


ready method [java.io.FilterReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      ready method [java.io.FilterReader]

Overloads:

 boolean ready( ) overrides ready method [java.io.Reader]

public boolean ready( ) throws java.io.IOException

Tell whether this stream is ready to be read.

Return

No documentation supplied in JDK.

Throws

IOException

If an I/O error occurs.

Applies to

 FilterReader [java.io]

 PushbackReader [java.io]


ready method [java.io.InputStreamReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      ready method [java.io.InputStreamReader]

Overloads:

 boolean ready( ) overrides ready method [java.io.Reader]

public boolean ready( ) throws java.io.IOException

Tell whether this stream is ready to be read.  An InputStreamReader is ready if its input buffer is not empty, or if bytes are available to be read from the underlying byte stream.

Return

No documentation supplied in JDK.

Throws

IOException

If an I/O error occurs.

Applies to

 FileReader [java.io]

 InputStreamReader [java.io]


ready method [java.io.PushbackReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      ready method [java.io.PushbackReader]

Overloads:

 boolean ready( ) overrides ready method [java.io.FilterReader]

public boolean ready( ) throws java.io.IOException

Tell whether this stream is ready to be read.

Return

No documentation supplied in JDK.

Throws

IOException

If an I/O error occurs.

Applies to

 PushbackReader [java.io]


ready method [java.io.Reader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      ready method [java.io.Reader]

public boolean ready( ) throws java.io.IOException

Tell whether this stream is ready to be read.

Return

True if the next read() is guaranteed not to block for input, false otherwise.  Note that returning false does not guarantee that the next read will block.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedReader [java.io]

 CharArrayReader [java.io]

 FileReader [java.io]

 FilterReader [java.io]

 InputStreamReader [java.io]

 LineNumberReader [java.io]

 PipedReader [java.io]

 PushbackReader [java.io]

 Reader [java.io]

 StringReader [java.io]


ready method [java.io.StringReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      ready method [java.io.StringReader]

Overloads:

 boolean ready( ) overrides ready method [java.io.Reader]

public boolean ready( )

Tell whether this stream is ready to be read.  String readers are always ready to be read.

Return

No documentation supplied in JDK.

Applies to

 StringReader [java.io]


rebind method [java.rmi.Naming] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      rebind method [java.rmi.Naming]

public static void rebind( java.lang.String name, java.rmi.Remote obj ) throws java.rmi.RemoteException, java.net.MalformedURLException, java.rmi.UnknownHostException

Rebind the name to a new object; replaces any existing binding.

Throws

RemoteException

If registry could not be contacted.

Applies to

 Naming [java.rmi]


receive method [java.io.PipedInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      receive method [java.io.PipedInputStream]

protected synchronized void receive( int b ) throws java.io.IOException

Receives a byte of data.  This method will block if no input is available.

Parameter

b

the byte being received

Throws

IOException

If the pipe is broken.

Applies to

 PipedInputStream [java.io]


receive method [java.net.DatagramSocket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      receive method [java.net.DatagramSocket]

public synchronized void receive( java.net.DatagramPacket p ) throws java.io.IOException

Receives a datagram packet from this socket. When this method returns, the DatagramPacket's buffer is filled with the data received. The datagram packet also contains the sender's IP address, and the port number on the sender's machine.

This method blocks until a datagram is received. The length field of the datagram packet object contains the length of the received message. If the message is longer than the buffer length, the message is truncated.

Parameter

p

the DatagramPacket into which to place the incoming data.

Throws

IOException

If an I/O error occurs.

See also

DatagramPacket class [java.net]

DatagramSocket class [java.net]

Applies to

 DatagramSocket [java.net]

 MulticastSocket [java.net]


receive method [java.net.DatagramSocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      receive method [java.net.DatagramSocketImpl]

protected abstract void receive( java.net.DatagramPacket p ) throws java.io.IOException

Receive the datagram packet.

Parameter

Packet

Received.

Applies to

 DatagramSocketImpl [java.net]


Rectangle class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      Rectangle class [java.awt]

Object

Rectangle

Description

A rectangle specifies an area in a coordinate space that is defined by the rectangle's top-left point (x , y ) in the coordinate space, its width, and its height.

A rectangle's width and height are public fields. The constructors that allow you to create a rectangle, and the methods that allow you to modify one, do not prevent you from setting a negative value for width or height.

A rectangle whose width or height is negative is considered empty, and all methods defined by the Rectangle class behave accordingly. If the rectangle is empty, then the method isEmpty returns true. No point can be contained by or inside an empty rectangle, however the values of width and height are still valid. An empty rectangle still has a location in the coordinate space, and methods that change its size or location remain valid. The behavior of methods that operate on more than one rectangle is undefined if any of the participating rectangles has a negative width or height. These methods include intersects, intersection, and union.

Specification

public class Rectangle extends java.lang.Object implements java.awt.Shape, java.io.Serializable

Constructors

public Rectangle( )

Constructs a new rectangle whose top-left corner is at (0, 0) in the coordinate space, and whose width and height are zero.

public Rectangle( java.awt.Rectangle r )

Constructs a new rectangle, initialized to match the values of the specificed rectangle.

Parameter

r

a rectangle from which to copy initial values.

public Rectangle( java.awt.Dimension d )

Constructs a new rectangle whose top left corner is (0, 0) and whose width and height are specified by the dimension argument.

Parameter

d

a dimension, specifying width and height.

public Rectangle( java.awt.Point p )

Constructs a new rectangle whose top-left corner is the specified point, and whose width and height are zero.

Parameter

p

the top left corner of the rectangle.

public Rectangle( int width, int height )

Constructs a new rectangle whose top-left corner is at (0, 0) in the coordinate space, and whose width and height are specified by the arguments of the same name.

Parameters

width

the width of the rectangle.

height

the height of the rectangle.

public Rectangle( java.awt.Point p, java.awt.Dimension d )

Constructs a new rectangle whose top-left corner is specified by the point argument, and whose width and height are specified by the dimension argument.

Parameters

p

a point, the top-left corner of the rectangle.

d

a dimension, representing the width and height.

public Rectangle( int x, int y, int width, int height )

Constructs a new rectangle whose top-left corner is specified as (x, y) and whose width and height are specified by the arguments of the same name.

Parameters

x

the x coordinate.

y

the y coordinate.

width

the width of the rectangle.

height

the height of the rectangle.

Variables

public int x

The x coordinate of the rectangle.

public int y

The y coordinate of the rectangle.

public int width

The width of the rectangle.

public int height

The height of the rectangle.

Properties

  java.awt.Rectangle getBounds( )

  void setBounds( java.awt.Rectangle r )

  boolean isEmpty( )

  java.awt.Point getLocation( )

  void setLocation( java.awt.Point p )

  void setLocation( int x, int y )

  java.awt.Dimension getSize( )

  void setSize( java.awt.Dimension d )

  void setSize( int width, int height )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void add( int newx, int newy )

  void add( java.awt.Rectangle r )

  void add( java.awt.Point pt )

  boolean contains( java.awt.Point p )

  boolean contains( int x, int y )

  boolean equals( java.lang.Object obj )

  void grow( int h, int v )

  int hashCode( )

  boolean inside( int x, int y )

  java.awt.Rectangle intersection( java.awt.Rectangle r )

  boolean intersects( java.awt.Rectangle r )

  void move( int x, int y )

  void reshape( int x, int y, int width, int height )

  void resize( int width, int height )

  void setBounds( int x, int y, int width, int height )

  java.lang.String toString( )

  void translate( int x, int y )

  java.awt.Rectangle union( java.awt.Rectangle r )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


red property [java.awt.Color] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      red property [java.awt.Color]

public int getRed( )

Gets the red component of this color. The result is an integer in the range 0 to 255.

Return

The red component of this color.

See also

RGB property [java.awt.Color]

Applies to

 Color [java.awt]

 SystemColor [java.awt]


red property [java.awt.image.ColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      red property [java.awt.image.ColorModel]

public abstract int getRed( int pixel )

The subclass must provide a function which provides the red color compoment for the specified pixel.

Return

The red color component ranging from 0 to 255.

Applies to

 ColorModel [java.awt.image]

 DirectColorModel [java.awt.image]

 IndexColorModel [java.awt.image]


red property [java.awt.image.DirectColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      red property [java.awt.image.DirectColorModel]

Overloads:

  int getRed( int pixel ) overrides red property [java.awt.image.ColorModel]

public final int getRed( int pixel )

Returns the red color compoment for the specified pixel in the range 0-255.

Return

No documentation supplied in JDK.

Applies to

 DirectColorModel [java.awt.image]


red property [java.awt.image.IndexColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      red property [java.awt.image.IndexColorModel]

Overloads:

  int getRed( int pixel ) overrides red property [java.awt.image.ColorModel]

public final int getRed( int pixel )

Returns the red color compoment for the specified pixel in the range 0-255.

Return

No documentation supplied in JDK.

Applies to

 IndexColorModel [java.awt.image]


redMask property [java.awt.image.DirectColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      redMask property [java.awt.image.DirectColorModel]

public final int getRedMask( )

Returns the mask indicating which bits in a pixel contain the red color component.

Return

No documentation supplied in JDK.

Applies to

 DirectColorModel [java.awt.image]


ref property [java.net.URL] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      ref property [java.net.URL]

public java.lang.String getRef( )

Returns the anchor (also known as the "reference") of this URL.

Return

The anchor (also known as the "reference") of this URL.

Applies to

 URL [java.net]


regionMatches method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      regionMatches method [java.lang.String]

Overloads:

 boolean regionMatches( boolean ignoreCase, int toffset, String other, int ooffset, int len )

 boolean regionMatches( int toffset, String other, int ooffset, int len )

public boolean regionMatches( boolean ignoreCase, int toffset, java.lang.String other, int ooffset, int len )

Tests if two string regions are equal.

If toffset or ooffset is negative, or if toffset+length is greater than the length of this string, or if ooffset+length is greater than the length of the string argument, then this method returns false.

Parameters

ignoreCase

if true, ignore case when comparing characters.

toffset

the starting offset of the subregion in this string.

other

the string argument.

ooffset

the starting offset of the subregion in the string argument.

len

the number of characters to compare.

Return

true if the specified subregion of this string matches the specified subregion of the string argument; false otherwise. Whether the matching is exact or case insensitive depends on the ignoreCase argument.

public boolean regionMatches( int toffset, java.lang.String other, int ooffset, int len )

Tests if two string regions are equal.

If toffset or ooffset is negative, or if toffset+length is greater than the length of this string, or if ooffset+length is greater than the length of the string argument, then this method returns false.

Parameters

toffset

the starting offset of the subregion in this string.

other

the string argument.

ooffset

the starting offset of the subregion in the string argument.

len

the number of characters to compare.

Return

true if the specified subregion of this string exactly matches the specified subregion of the string argument; false otherwise.

Applies to

 String [java.lang]


registerDriver method [java.sql.DriverManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      registerDriver method [java.sql.DriverManager]

public static synchronized void registerDriver( java.sql.Driver driver ) throws java.sql.SQLException

A newly loaded driver class should call registerDriver to make itself known to the DriverManager.

Parameter

driver

the new JDBC Driver

Throws

SQLException

If a database-access error occurs.

Applies to

 DriverManager [java.sql]


registerEditor method [java.beans.PropertyEditorManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      registerEditor method [java.beans.PropertyEditorManager]

public static void registerEditor( java.lang.Class targetType, java.lang.Class editorClass )

Register an editor class to be used to editor values of a given target class.

Parameters

targetType

the Class object of the type to be edited

editorClass

the Class object of the editor class. If this is null, then any existing definition will be removed.

Applies to

 PropertyEditorManager [java.beans]


registerValidation method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      registerValidation method [java.io.ObjectInputStream]

public synchronized void registerValidation( java.io.ObjectInputValidation obj, int prio ) throws java.io.NotActiveException, java.io.InvalidObjectException

Register an object to be validated before the graph is returned.  While similar to resolveObject these validations are called after the entire graph has been reconstituted. Typically, a readObject method will register the object with the stream so that when all of the objects are restored a final set of validations can be performed.

Parameters

obj

the object to receive the validation callback.

prio

controls the order of callbacks;zero is a good default. Use higher numbers to be called back earlier, lower numbers for later callbacks. Within a priority, callbacks are processed in no particular order.

Throws

NotActiveException

The stream is not currently reading objects so it is invalid to register a callback.

InvalidObjectException

The validation object is null.

Applies to

 ObjectInputStream [java.io]


Registry interface [java.rmi.registry] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      Registry interface [java.rmi.registry]

Description

A "registry" exists on every node that allows RMI connections to servers on that node.  The registry on a particular node contains a transient database that maps names to remote objects.  When the node boots, the registry database is empty.  The names stored in the registry are pure and are not parsed.  A service storing itself in the registry may want to prefix its name of the service by a package name (although not required), to reduce name collisions in the registry. The LocateRegistry class is used to obtain the registry for different hosts.

Definition

public interface Registry extends java.rmi.Remote

{

  // Variables

  public static final int REGISTRY_PORT;

  // Methods

  public java.rmi.Remote lookup( java.lang.String name ) throws java.rmi.RemoteException, java.rmi.NotBoundException, java.rmi.AccessException;

  public void bind( java.lang.String name, java.rmi.Remote obj ) throws java.rmi.RemoteException, java.rmi.AlreadyBoundException, java.rmi.AccessException;

  public void unbind( java.lang.String name ) throws java.rmi.RemoteException, java.rmi.NotBoundException, java.rmi.AccessException;

  public void rebind( java.lang.String name, java.rmi.Remote obj ) throws java.rmi.RemoteException, java.rmi.AccessException;

  public java.lang.String[] list( ) throws java.rmi.RemoteException, java.rmi.AccessException;

}

Variable

public static final int REGISTRY_PORT

Well known port for registry.

Methods

public java.rmi.Remote lookup( java.lang.String name ) throws java.rmi.RemoteException, java.rmi.NotBoundException, java.rmi.AccessException

Returns the remote object associated with the specified name in the registry.

Return

No documentation supplied in JDK.

Throws

RemoteException

If remote operation failed.

NotBoundException

If there is no object with this name in the registry.

AccessException

If this operation is not permitted.

public void bind( java.lang.String name, java.rmi.Remote obj ) throws java.rmi.RemoteException, java.rmi.AlreadyBoundException, java.rmi.AccessException

Binds the name to the specified remote object.

Throws

RemoteException

If remote operation failed.

AlreadyBoundException

If name is already bound.

AccessException

If this operation is not permitted.

public void unbind( java.lang.String name ) throws java.rmi.RemoteException, java.rmi.NotBoundException, java.rmi.AccessException

Unbind the name.

Throws

RemoteException

If remote operation failed.

NotBoundException

If there is no object with this name in the registry.

AccessException

If this operation is not permitted.

public void rebind( java.lang.String name, java.rmi.Remote obj ) throws java.rmi.RemoteException, java.rmi.AccessException

Rebind the name to a new object, replacing any existing binding.

Throws

RemoteException

If remote operation failed.

AccessException

If this operation is not permitted.

public java.lang.String[] list( ) throws java.rmi.RemoteException, java.rmi.AccessException

Returns an array of the names in the registry.

Return

No documentation supplied in JDK.

Throws

RemoteException

If remote operation failed.

AccessException

If this operation is not permitted.

See also

LocateRegistry class [java.rmi.registry]


registry property [java.rmi.registry.LocateRegistry] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      registry property [java.rmi.registry.LocateRegistry]

public static java.rmi.registry.Registry getRegistry( ) throws java.rmi.RemoteException

Returns the remote object Registry for the local host.

Return

No documentation supplied in JDK.

public static java.rmi.registry.Registry getRegistry( int port ) throws java.rmi.RemoteException

Returns the remote object Registry on the current host at the specified port.

Return

No documentation supplied in JDK.

Applies to

 LocateRegistry [java.rmi.registry]


RegistryHandler interface [java.rmi.registry] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RegistryHandler interface [java.rmi.registry]

Description

RegistryHandler is used to interface to the private implementation.

Definition

public interface RegistryHandler

{

  // Methods

  public java.rmi.registry.Registry registryStub( java.lang.String host, int port ) throws java.rmi.RemoteException, java.rmi.UnknownHostException;

  public java.rmi.registry.Registry registryImpl( int port ) throws java.rmi.RemoteException;

}

Methods

public java.rmi.registry.Registry registryStub( java.lang.String host, int port ) throws java.rmi.RemoteException, java.rmi.UnknownHostException

Returns a "stub" for contacting a remote registry on the specified host and port.

Return

No documentation supplied in JDK.

public java.rmi.registry.Registry registryImpl( int port ) throws java.rmi.RemoteException

Constructs and exports a Registry on the specified port. The port must be non-zero.

Return

No documentation supplied in JDK.


rehash method [java.util.Hashtable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      rehash method [java.util.Hashtable]

protected void rehash( )

Rehashes the contents of the hashtable into a hashtable with a larger capacity. This method is called automatically when the number of keys in the hashtable exceeds this hashtable's capacity and load factor.

Applies to

 Hashtable [java.util]

 Properties [java.util]

 Provider [java.security]


remainder method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      remainder method [java.math.BigInteger]

public java.math.BigInteger remainder( java.math.BigInteger val ) throws java.lang.ArithmeticException

Returns a BigInteger whose value is (this % val).  Throws an ArithmeticException if val == 0.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


remaining property [java.util.zip.Inflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      remaining property [java.util.zip.Inflater]

public synchronized int getRemaining( )

Returns the total number of bytes remaining in the input buffer. This can be used to find out what bytes still remain in the input buffer after decompression has finished.

Return

No documentation supplied in JDK.

Applies to

 Inflater [java.util.zip]


Remote interface [java.rmi] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      Remote interface [java.rmi]

Description

The Remote interface serves to identify interfaces whose methods may be invoked from a non-local virtual machine.  Any object that is a remote object must directly or indirectly implement this interface. Only those methods specified in a "remote interface", an interface that extends java.rmi.Remote, are available remotely.

Implementation classes can implement any number of remote interfaces and can extend other remote implementation classes.  RMI provides a convenience class, java.rmi.server.UnicastRemoteObject, that remote object implementations can extend to facilitate remote object creation.

For complete details on RMI, see the RMI Specification which describes the RMI API and system.

Definition

public interface Remote

{

}

Implemented by

RemoteObject [java.rmi.server]


RemoteCall interface [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RemoteCall interface [java.rmi.server]

Description

RemoteCall is an abstraction used solely by the implementation (stubs and skeletons of remote objects) to carry out a call to a remote object.

Definition

public interface RemoteCall

{

  // Properties

  public java.io.ObjectOutput getOutputStream( ) throws java.io.IOException;

  public java.io.ObjectInput getInputStream( ) throws java.io.IOException;

  // Methods

  public void releaseOutputStream( ) throws java.io.IOException;

  public void releaseInputStream( ) throws java.io.IOException;

  public java.io.ObjectOutput getResultStream( boolean success ) throws java.io.IOException, java.io.StreamCorruptedException;

  public void executeCall( ) throws java.lang.Exception;

  public void done( ) throws java.io.IOException;

}

Properties

public java.io.ObjectOutput getOutputStream( ) throws java.io.IOException

Return the output stream the stub/skeleton should put arguments/results into.

Return

No documentation supplied in JDK.

Throws

java.io.IOException

If an I/O error occurs.

public java.io.ObjectInput getInputStream( ) throws java.io.IOException

Get the InputStream that the stub/skeleton should get results/arguments from.

Return

No documentation supplied in JDK.

Throws

java.io.IOException

If an I/O error occurs.

Methods

public void releaseOutputStream( ) throws java.io.IOException

Release the output stream; in some transports this would release the stream.

Throws

java.io.IOException

If an I/O error occurs.

public void releaseInputStream( ) throws java.io.IOException

Release the input stream. This would allow some transports to release the channel early.

Throws

java.io.IOException

If an I/O error occurs.

public java.io.ObjectOutput getResultStream( boolean success ) throws java.io.IOException, java.io.StreamCorruptedException

Returns an output stream (may put out header information relating to the success of the call). Should only succeed once per remote call.

Parameter

success

If true, indicates normal return, else indicates exceptional return.

Return

No documentation supplied in JDK.

Throws

java.io.IOException

If an I/O error occurs.

java.io.StreamCorruptedException

If already been called.

public void executeCall( ) throws java.lang.Exception

Do whatever it takes to execute the call.

Throws

java.lang.Exception

If a general exception occurs.

public void done( ) throws java.io.IOException

Allow cleanup after the remote call has completed.

Throws

java.io.IOException

If an I/O error occurs.


RemoteException class [java.rmi] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RemoteException class [java.rmi]

Object

Throwable

Exception

IOException

RemoteException

Specification

public class RemoteException extends java.io.IOException

Constructors

public RemoteException( )

Create a remote exception

public RemoteException( java.lang.String s )

Create a remote exception with the specified string

public RemoteException( java.lang.String s, java.lang.Throwable ex )

Create a remote exception with the specified string, and the exception specified.

Variables

public java.lang.Throwable detail

Properties

  java.lang.String getMessage( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


RemoteObject class [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RemoteObject class [java.rmi.server]

Object

RemoteObject

Description

The RemoteObject class implements the java.lang.Object behavior for remote objects.  RemoteObject provides the remote semantics of Object by implementing methods for hashCode, equals, and toString.

Specification

public abstract class RemoteObject extends java.lang.Object implements java.rmi.Remote, java.io.Serializable

Constructors

protected RemoteObject( )

Create a remote object.

protected RemoteObject( java.rmi.server.RemoteRef newref )

Create a remote object, initialized with the specified remote reference.

Variables

protected java.rmi.server.RemoteRef ref

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  boolean equals( java.lang.Object obj )

  int hashCode( )

  java.lang.String toString( )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


RemoteRef interface [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RemoteRef interface [java.rmi.server]

Description

RemoteRef represents the handle for a remote object.

Definition

public interface RemoteRef extends java.io.Externalizable

{

  // Variables

  public static final java.lang.String packagePrefix;

  // Methods

  public java.rmi.server.RemoteCall newCall( java.rmi.server.RemoteObject obj, java.rmi.server.Operation[] op, int opnum, long hash ) throws java.rmi.RemoteException;

  public void invoke( java.rmi.server.RemoteCall call ) throws java.lang.Exception;

  public void done( java.rmi.server.RemoteCall call ) throws java.rmi.RemoteException;

  public java.lang.String getRefClass( java.io.ObjectOutput out );

  public int remoteHashCode( );

  public boolean remoteEquals( java.rmi.server.RemoteRef obj );

  public java.lang.String remoteToString( );

}

Variable

public static final java.lang.String packagePrefix

Find server package prefix: assumes that the implementation of server ref classes (e.g., UnicastRef, UnicastServerRef) are located in the package defined by the prefix.

Methods

public java.rmi.server.RemoteCall newCall( java.rmi.server.RemoteObject obj, java.rmi.server.Operation[] op, int opnum, long hash ) throws java.rmi.RemoteException

Creates an appropriate call object for a new remote method invocation on this object.  Passing operation array and index, allows the stubs generator to assign the operation indexes and interpret them. The remote reference may need the operation to encode in the call.

Return

No documentation supplied in JDK.

Throws

RemoteException

If registry could not be contacted.

public void invoke( java.rmi.server.RemoteCall call ) throws java.lang.Exception

Executes the remote call. Invoke will raise any "user" exceptions which should pass through and not be caught by the stub.  If any exception is raised during the remote invocation, invoke should take care of cleaning up the connection before raising the "user" or remote exception.

Throws

java.lang.Exception

If a general exception occurs.

public void done( java.rmi.server.RemoteCall call ) throws java.rmi.RemoteException

Allows the remote reference to clean up (or reuse) the connection. Done should only be called if the invoke returns successfully (non-exceptionally) to the stub.

Throws

RemoteException

If registry could not be contacted.

public java.lang.String getRefClass( java.io.ObjectOutput out )

Returns the class name of the ref type to be serialized onto the stream 'out'.

Return

No documentation supplied in JDK.

public int remoteHashCode( )

Returns a hashcode for a remote object.  Two remote object stubs that refer to the same remote object will have the same hash code (in order to support remote objects as keys in hash tables).

Return

No documentation supplied in JDK.

See also

Hashtable class [java.util]

public boolean remoteEquals( java.rmi.server.RemoteRef obj )

Compares two remote objects for equality. Returns a boolean that indicates whether this remote object is equivalent to the specified Object. This method is used when a remote object is stored in a hashtable.

Parameter

obj

the Object to compare with

Return

True if these Objects are equal; false otherwise.

See also

Hashtable class [java.util]

public java.lang.String remoteToString( )

Returns a String that represents the reference of this remote object.

Return

No documentation supplied in JDK.


RemoteServer class [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RemoteServer class [java.rmi.server]

Object

RemoteObject

RemoteServer

Description

The RemoteServer class is the common superclass to all server implementations and provides the framework to support a wide range of remote reference semantics.  Specifically, the functions needed to create and export remote objects (i.e. to make them remotely available) are provided abstractly by RemoteServer and concretely by its subclass(es).

The subclass selected identifies the semantics of the remote reference, for example whether the server is a single object or is a replicated object requiring communications with multiple locations. At present only UnicastRemoteObject is supported.

Specification

public abstract class RemoteServer extends java.rmi.server.RemoteObject

Constructors

protected RemoteServer( )

protected RemoteServer( java.rmi.server.RemoteRef ref )

Properties

  static java.lang.String getClientHost( ) throws java.rmi.server.ServerNotActiveException

  static java.io.PrintStream getLog( )

  static void setLog( java.io.OutputStream out )

Inherited Properties

  native final java.lang.Class getClass( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


RemoteStub class [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RemoteStub class [java.rmi.server]

Object

RemoteObject

RemoteStub

Description

The RemoteStub class is the common superclass to all client stubs and provides the framework to support a wide range of remote reference semantics.  Stub objects are surrogates that support exactly the same set of remote interfaces defined by the actual implementation of the remote object.

Specification

public abstract class RemoteStub extends java.rmi.server.RemoteObject

Constructors

protected RemoteStub( )

Constructor for RemoteStub.

protected RemoteStub( java.rmi.server.RemoteRef ref )

Constructor for RemoteStub, with the specified remote reference.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected static void setRef( java.rmi.server.RemoteStub stub, java.rmi.server.RemoteRef ref )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


remove method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      remove method [java.awt.AWTEventMulticaster]

Overloads:

 ContainerListener remove( ContainerListener l, ContainerListener oldl )

 EventListener remove( EventListener oldl )

 TextListener remove( TextListener l, TextListener oldl )

 WindowListener remove( WindowListener l, WindowListener oldl )

 MouseMotionListener remove( MouseMotionListener l, MouseMotionListener oldl )

 MouseListener remove( MouseListener l, MouseListener oldl )

 KeyListener remove( KeyListener l, KeyListener oldl )

 FocusListener remove( FocusListener l, FocusListener oldl )

 AdjustmentListener remove( AdjustmentListener l, AdjustmentListener oldl )

 ItemListener remove( ItemListener l, ItemListener oldl )

 ComponentListener remove( ComponentListener l, ComponentListener oldl )

 ActionListener remove( ActionListener l, ActionListener oldl )

public static java.awt.event.ContainerListener remove( java.awt.event.ContainerListener l, java.awt.event.ContainerListener oldl )

Removes the old container-listener from container-listener-l and returns the resulting multicast listener.

Parameters

l

container-listener-l

oldl

the container-listener being removed

Return

No documentation supplied in JDK.

protected java.util.EventListener remove( java.util.EventListener oldl )

Removes a listener from this multicaster and returns the resulting multicast listener.

Parameter

oldl

the listener to be removed

Return

No documentation supplied in JDK.

public static java.awt.event.TextListener remove( java.awt.event.TextListener l, java.awt.event.TextListener oldl )

public static java.awt.event.WindowListener remove( java.awt.event.WindowListener l, java.awt.event.WindowListener oldl )

Removes the old window-listener from window-listener-l and returns the resulting multicast listener.

Parameters

l

window-listener-l

oldl

the window-listener being removed

Return

No documentation supplied in JDK.

public static java.awt.event.MouseMotionListener remove( java.awt.event.MouseMotionListener l, java.awt.event.MouseMotionListener oldl )

Removes the old mouse-motion-listener from mouse-motion-listener-l and returns the resulting multicast listener.

Parameters

l

mouse-motion-listener-l

oldl

the mouse-motion-listener being removed

Return

No documentation supplied in JDK.

public static java.awt.event.MouseListener remove( java.awt.event.MouseListener l, java.awt.event.MouseListener oldl )

Removes the old mouse-listener from mouse-listener-l and returns the resulting multicast listener.

Parameters

l

mouse-listener-l

oldl

the mouse-listener being removed

Return

No documentation supplied in JDK.

public static java.awt.event.KeyListener remove( java.awt.event.KeyListener l, java.awt.event.KeyListener oldl )

Removes the old key-listener from key-listener-l and returns the resulting multicast listener.

Parameters

l

key-listener-l

oldl

the key-listener being removed

Return

No documentation supplied in JDK.

public static java.awt.event.FocusListener remove( java.awt.event.FocusListener l, java.awt.event.FocusListener oldl )

Removes the old focus-listener from focus-listener-l and returns the resulting multicast listener.

Parameters

l

focus-listener-l

oldl

the focus-listener being removed

Return

No documentation supplied in JDK.

public static java.awt.event.AdjustmentListener remove( java.awt.event.AdjustmentListener l, java.awt.event.AdjustmentListener oldl )

Removes the old adjustment-listener from adjustment-listener-l and returns the resulting multicast listener.

Parameters

l

adjustment-listener-l

oldl

the adjustment-listener being removed

Return

No documentation supplied in JDK.

public static java.awt.event.ItemListener remove( java.awt.event.ItemListener l, java.awt.event.ItemListener oldl )

Removes the old item-listener from item-listener-l and returns the resulting multicast listener.

Parameters

l

item-listener-l

oldl

the item-listener being removed

Return

No documentation supplied in JDK.

public static java.awt.event.ComponentListener remove( java.awt.event.ComponentListener l, java.awt.event.ComponentListener oldl )

Removes the old component-listener from component-listener-l and returns the resulting multicast listener.

Parameters

l

component-listener-l

oldl

the component-listener being removed

Return

No documentation supplied in JDK.

public static java.awt.event.ActionListener remove( java.awt.event.ActionListener l, java.awt.event.ActionListener oldl )

Removes the old action-listener from action-listener-l and returns the resulting multicast listener.

Parameters

l

action-listener-l

oldl

the action-listener being removed

Return

No documentation supplied in JDK.

Applies to

 AWTEventMulticaster [java.awt]


remove method [java.awt.Choice] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      remove method [java.awt.Choice]

Overloads:

 void remove( int position )

 void remove( String item )

Inherited overloads:

 void remove( MenuComponent popup )

public synchronized void remove( int position )

Removes an item from the choice menu at the specified position.

Parameter

position

the position of the item.

public synchronized void remove( java.lang.String item )

Remove the first occurrence of item from the Choice menu.

Parameter

item

the item to remove from this Choice menu.

Throws

IllegalArgumentException

If the item doesnt exist in the choice menu.

Applies to

 Choice [java.awt]


remove method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      remove method [java.awt.Component]

public synchronized void remove( java.awt.MenuComponent popup )

Removes the specified popup menu from the component.

Parameter

popup

the popup menu to be removed.

See also

add method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


remove method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      remove method [java.awt.Container]

Overloads:

 void remove( int index )

 void remove( Component comp )

Inherited overloads:

 void remove( MenuComponent popup )

public void remove( int index )

Removes the component, specified by index, from this container.

Parameter

index

the index of the component to be removed.

See also

add method [java.awt.Component]

public void remove( java.awt.Component comp )

Removes the specified component from this container.

Parameter

comp

the component to be removed

See also

add method [java.awt.Component]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


remove method [java.awt.Frame] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      remove method [java.awt.Frame]

Overloads:

 void remove( MenuComponent m ) overrides remove method [java.awt.Component]

Inherited overloads:

 void remove( int index )

 void remove( Component comp )

public void remove( java.awt.MenuComponent m )

Removes the specified menu bar from this frame.

Parameter

m

the menu component to remove.

Applies to

 Frame [java.awt]


remove method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      remove method [java.awt.List]

Overloads:

 void remove( int position )

 void remove( String item )

Inherited overloads:

 void remove( MenuComponent popup )

public void remove( int position )

Remove the item at the specified position from this scrolling list.

Parameter

position

the index of the item to delete.

See also

add method [java.awt.Component]

public synchronized void remove( java.lang.String item )

Removes the first occurrence of an item from the list.

Parameter

item

the item to remove from the list.

Throws

IllegalArgumentException

If the item doesn't exist in the list.

Applies to

 List [java.awt]


remove method [java.awt.Menu] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      remove method [java.awt.Menu]

Overloads:

 void remove( int index )

 void remove( MenuComponent item )

public void remove( int index )

Removes the menu item at the specified index from this menu.

Parameter

index

the position of the item to be removed.

public void remove( java.awt.MenuComponent item )

Removes the specified menu item from this menu.

Parameter

item

the item to be removed from the menu

Applies to

 Menu [java.awt]

 PopupMenu [java.awt]


remove method [java.awt.MenuBar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      remove method [java.awt.MenuBar]

Overloads:

 void remove( int index )

 void remove( MenuComponent m )

public void remove( int index )

Removes the menu located at the specified index from this menu bar.

Parameter

index

the position of the menu to be removed.

See also

add method [java.awt.MenuBar]

public void remove( java.awt.MenuComponent m )

Removes the specified menu component from this menu bar.

Parameter

m

the menu component to be removed.

See also

add method [java.awt.MenuBar]

Applies to

 MenuBar [java.awt]


remove method [java.util.Dictionary] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      remove method [java.util.Dictionary]

public abstract java.lang.Object remove( java.lang.Object key )

Removes the key (and its corresponding value) from this dictionary. This method does nothing if the key is not in this dictionary.

Parameter

key

the key that needs to be removed.

Return

The value to which the key had been mapped in this dictionary, or null if the key did not have a mapping.

Applies to

 Dictionary [java.util]

 Hashtable [java.util]

 Properties [java.util]

 Provider [java.security]


remove method [java.util.Hashtable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      remove method [java.util.Hashtable]

Overloads:

 Object remove( Object key ) overrides remove method [java.util.Dictionary]

public synchronized java.lang.Object remove( java.lang.Object key )

Removes the key (and its corresponding value) from this hashtable. This method does nothing if the key is not in the hashtable.

Parameter

key

the key that needs to be removed.

Return

The value to which the key had been mapped in this hashtable, or null if the key did not have a mapping.

Applies to

 Hashtable [java.util]

 Properties [java.util]

 Provider [java.security]


removeAll method [java.awt.Choice] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeAll method [java.awt.Choice]

public synchronized void removeAll( )

Removes all items from the choice menu.

See also

remove method [java.awt.Choice]

Applies to

 Choice [java.awt]


removeAll method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeAll method [java.awt.Container]

public void removeAll( )

Removes all the components from this container.

See also

add method [java.awt.Component]

remove method [java.awt.Component]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


removeAll method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeAll method [java.awt.List]

public void removeAll( )

Removes all items from this list.

See also

remove method [java.awt.Component]

delItems method [java.awt.List]

Applies to

 List [java.awt]


removeAll method [java.awt.Menu] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeAll method [java.awt.Menu]

public void removeAll( )

Removes all items from this menu.

Applies to

 Menu [java.awt]

 PopupMenu [java.awt]


removeAllElements method [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeAllElements method [java.util.Vector]

public final synchronized void removeAllElements( )

Removes all components from this vector and sets its size to zero.

Applies to

 Stack [java.util]

 Vector [java.util]


removeCertificate method [java.security.Identity] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeCertificate method [java.security.Identity]

public void removeCertificate( java.security.Certificate certificate ) throws java.security.KeyManagementException

Removes a certificate from this identity.

Parameter

certificate

the certificate to be removed.

Throws

KeyManagementException

If the certificate is missing, or if another exception occurs.

Applies to

 Identity [java.security]

 IdentityScope [java.security]

 Signer [java.security]


removeConsumer method [java.awt.image.FilteredImageSource] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeConsumer method [java.awt.image.FilteredImageSource]

public synchronized void removeConsumer( java.awt.image.ImageConsumer ic )

Removes an ImageConsumer from the list of consumers interested in data for this image.

See also

ImageConsumer interface [java.awt.image]

Applies to

 FilteredImageSource [java.awt.image]


removeConsumer method [java.awt.image.MemoryImageSource] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeConsumer method [java.awt.image.MemoryImageSource]

public synchronized void removeConsumer( java.awt.image.ImageConsumer ic )

Remove an ImageConsumer from the list of consumers interested in data for this image.

See also

ImageConsumer interface [java.awt.image]

Applies to

 MemoryImageSource [java.awt.image]


removeElement method [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeElement method [java.util.Vector]

public final synchronized boolean removeElement( java.lang.Object obj )

Removes the first occurrence of the argument from this vector. If the object is found in this vector, each component in the vector with an index greater or equal to the object's index is shifted downward to have an index one smaller than the value it had previously.

Parameter

obj

the component to be removed.

Return

true if the argument was a component of this vector; false otherwise.

Applies to

 Stack [java.util]

 Vector [java.util]


removeElementAt method [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeElementAt method [java.util.Vector]

public final synchronized void removeElementAt( int index )

Deletes the component at the specified index. Each component in this vector with an index greater or equal to the specified index is shifted downward to have an index one smaller than the value it had previously.

The index must be a value greater than or equal to 0 and less than the current size of the vector.

Parameter

index

the index of the object to remove.

Throws

ArrayIndexOutOfBoundsException

If the index was invalid.

See also

size method [java.util.Vector]

Applies to

 Stack [java.util]

 Vector [java.util]


removeIdentity method [java.security.IdentityScope] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeIdentity method [java.security.IdentityScope]

public abstract void removeIdentity( java.security.Identity identity ) throws java.security.KeyManagementException

Removes an identity from this identity scope.

Parameter

identity

the identity to be removed.

Throws

KeyManagementException

If the identity is missing, or another exception occurs.

Applies to

 IdentityScope [java.security]


removeImage method [java.awt.MediaTracker] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeImage method [java.awt.MediaTracker]

Overloads:

 void removeImage( Image image, int id, int width, int height )

 void removeImage( Image image, int id )

 void removeImage( Image image )

public synchronized void removeImage( java.awt.Image image, int id, int width, int height )

Remove the specified image with the specified width, height, and ID from this media tracker. Only the specified instance (with any duplicates) is removed.

Parameters

image

the image to be removed

id

the tracking ID from which to remove the image.

width

the width to remove (-1 for unscaled).

height

the height to remove (-1 for unscaled).

public synchronized void removeImage( java.awt.Image image, int id )

Remove the specified image from the specified tracking ID of this media tracker. All instances of Image being tracked under the specified ID are removed regardless of scale.

Parameters

image

the image to be removed.

id

the tracking ID frrom which to remove the image.

public synchronized void removeImage( java.awt.Image image )

Remove the specified image from this media tracker. All instances of the specified image are removed, regardless of scale or ID.

Parameter

image

the image to be removed

Applies to

 MediaTracker [java.awt]


removeInternal method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeInternal method [java.awt.AWTEventMulticaster]

protected static java.util.EventListener removeInternal( java.util.EventListener l, java.util.EventListener oldl )

Returns the resulting multicast listener after removing the old listener from listener-l. If listener-l equals the old listener OR listener-l is null, returns null. Else if listener-l is an instance of AWTEventMulticaster, then it removes the old listener from it. Else, returns listener l.

Parameters

l

the listener being removed from

oldl

the listener being removed

Return

No documentation supplied in JDK.

Applies to

 AWTEventMulticaster [java.awt]


removeLayoutComponent method [java.awt.BorderLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeLayoutComponent method [java.awt.BorderLayout]

public void removeLayoutComponent( java.awt.Component comp )

Removes the specified component from this border layout. This method is called when a container calls its remove or removeAll methods. Most applications do not call this method directly.

Parameter

comp

the component to be removed.

See also

remove method [java.awt.Component]

removeAll method [java.awt.Container]

Applies to

 BorderLayout [java.awt]


removeLayoutComponent method [java.awt.CardLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeLayoutComponent method [java.awt.CardLayout]

public void removeLayoutComponent( java.awt.Component comp )

Removes the specified component from the layout.

Parameter

comp

the component to be removed.

See also

remove method [java.awt.Component]

removeAll method [java.awt.Container]

Applies to

 CardLayout [java.awt]


removeLayoutComponent method [java.awt.FlowLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeLayoutComponent method [java.awt.FlowLayout]

public void removeLayoutComponent( java.awt.Component comp )

Removes the specified component from the layout. Not used by this class.

Parameter

comp

the component to remove

See also

removeAll method [java.awt.Container]

Applies to

 FlowLayout [java.awt]


removeLayoutComponent method [java.awt.GridBagLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeLayoutComponent method [java.awt.GridBagLayout]

public void removeLayoutComponent( java.awt.Component comp )

Removes the specified component from this layout.

Most applications do not call this method directly.

Parameter

comp

the component to be removed.

See also

remove method [java.awt.Component]

removeAll method [java.awt.Container]

Applies to

 GridBagLayout [java.awt]


removeLayoutComponent method [java.awt.GridLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeLayoutComponent method [java.awt.GridLayout]

public void removeLayoutComponent( java.awt.Component comp )

Removes the specified component from the layout.

Parameter

comp

the component to be removed.

Applies to

 GridLayout [java.awt]


removeListenerMethod property [java.beans.EventSetDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeListenerMethod property [java.beans.EventSetDescriptor]

public java.lang.reflect.Method getRemoveListenerMethod( )

No documentation supplied in JDK

Return

The method used to register a listener at the event source.

Applies to

 EventSetDescriptor [java.beans]


removeNotify method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeNotify method [java.awt.Component]

public void removeNotify( )

Notifies this component that it has been removed from its container and if a peers exists, it destroys it. This method should be called by Container.remove, and not by user code directly.

See also

addNotify method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


removeNotify method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeNotify method [java.awt.Container]

Overloads:

 void removeNotify( ) overrides removeNotify method [java.awt.Component]

public void removeNotify( )

Notifies this container and all of its subcomponents to remove their peers. This method should be invoked by the container's remove method, and not directly by user code.

See also

remove method [java.awt.Component]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


removeNotify method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeNotify method [java.awt.List]

Overloads:

 void removeNotify( ) overrides removeNotify method [java.awt.Component]

public void removeNotify( )

Removes the peer for this list.  The peer allows us to modify the list's appearance without changing its functionality.

Applies to

 List [java.awt]


removeNotify method [java.awt.Menu] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeNotify method [java.awt.Menu]

Overloads:

 void removeNotify( ) overrides removeNotify method [java.awt.MenuComponent]

public void removeNotify( )

Removes the menu's peer.  The peer allows us to modify the appearance of the menu without changing its functionality.

Applies to

 Menu [java.awt]

 PopupMenu [java.awt]


removeNotify method [java.awt.MenuBar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeNotify method [java.awt.MenuBar]

Overloads:

 void removeNotify( ) overrides removeNotify method [java.awt.MenuComponent]

public void removeNotify( )

Removes the menu bar's peer.  The peer allows us to change the appearance of the menu bar without changing any of the menu bar's functionality.

Applies to

 MenuBar [java.awt]


removeNotify method [java.awt.MenuComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeNotify method [java.awt.MenuComponent]

public void removeNotify( )

Removes the menu component's peer.  The peer allows us to modify the appearance of the menu component without changing the functionality of the menu component.

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuBar [java.awt]

 MenuComponent [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


removeNotify method [java.awt.TextComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeNotify method [java.awt.TextComponent]

Overloads:

 void removeNotify( ) overrides removeNotify method [java.awt.Component]

public void removeNotify( )

Removes the TextComponent's peer.  The peer allows us to modify the appearance of the TextComponent without changing its functionality.

Applies to

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]


removeProvider method [java.security.Security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      removeProvider method [java.security.Security]

public static void removeProvider( java.lang.String name )

Removes the provider with the specified name.

When the specified provider is removed, all providers located at a position greater than where the specified provider was are shifted down one position (towards the head of the list of installed providers).

This method returns silently if the provider is not installed.

Parameter

name

the name of the provider to remove.

See also

getProvider method [java.security.Security]

addProvider method [java.security.Security]

Applies to

 Security [java.security]


renameTo method [java.io.File] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      renameTo method [java.io.File]

public boolean renameTo( java.io.File dest )

Renames the file specified by this File object to have the pathname given by the File argument.

Parameter

dest

the new filename.

Return

true if the renaming succeeds; false otherwise.

Throws

SecurityException

If a security manager exists, its checkWrite method is called both with the pathname of this file object and with the pathname of the destination target object to see if the application is allowed to write to both files.

See also

path property [java.io.File]

checkWrite method [java.lang.SecurityManager]

Applies to

 File [java.io]


repaint method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      repaint method [java.awt.Component]

Overloads:

 void repaint( )

 void repaint( int x, int y, int width, int height )

 void repaint( long tm )

 void repaint( long tm, int x, int y, int width, int height )

public void repaint( )

Repaints this component.

This method causes a call to this component's update method as soon as possible.

See also

update method [java.awt.Component]

public void repaint( int x, int y, int width, int height )

Repaints the specified rectangle of this component.

This method causes a call to this component's update method as soon as possible.

Parameters

x

the x coordinate.

y

the y coordinate.

width

the width.

height

the height.

See also

update method [java.awt.Component]

public void repaint( long tm )

Repaints the component. This will result in a call to update within tm milliseconds.

Parameter

tm

maximum time in milliseconds before update

See also

paint method [java.awt.Component]

update method [java.awt.Component]

public void repaint( long tm, int x, int y, int width, int height )

Repaints the specified rectangle of this component within tm milliseconds.

This method causes a call to this component's update method.

Parameters

tm

maximum time in milliseconds before update.

x

the x coordinate.

y

the y coordinate.

width

the width.

height

the height.

See also

update method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


replace method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      replace method [java.lang.String]

public java.lang.String replace( char oldChar, char newChar )

Returns a new string resulting from replacing all occurrences of oldChar in this string with newChar.

If the character oldChar does not occur in the character sequence represented by this object, then this string is returned.

Parameters

oldChar

the old character.

newChar

the new character.

Return

A string derived from this string by replacing every occurrence of oldChar with newChar.

Applies to

 String [java.lang]


replaceItem method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      replaceItem method [java.awt.List]

public synchronized void replaceItem( java.lang.String newValue, int index )

Replaces the item at the specified index in the scrolling list with the new string.

Parameters

newValue

a new string to replace an existing item.

index

the position of the item to replace.

Applies to

 List [java.awt]


replaceObject method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      replaceObject method [java.io.ObjectOutputStream]

protected java.lang.Object replaceObject( java.lang.Object obj ) throws java.io.IOException

This method will allow trusted subclasses of ObjectOutputStream to substitute one object for another during serialization. Replacing objects is disabled until enableReplaceObject is called. The enableReplaceObject method checks that the stream requesting to do replacment can be trusted. Every reference to serializable objects is passed to replaceObject.  To insure that the private state of objects is not unintentionally exposed only trusted streams may use replaceObject.

When a subclass is replacing objects it must insure that either a complementary substitution must be made during deserialization or that the substituted object is compatible with every field where the reference will be stored.  Objects whose type is not a subclass of the type of the field or array element abort the serialization by raising an exception and the object is not be stored.

This method is called only once when each object is first encountered. All subsequent references to the object will be redirected to the new object. This method should return the object to be substituted or the original object.

Null can be returned as the object to be substituted, but may cause NullReferenceException in classes that contain references to the original object since they may be expecting an object instead of null.

Return

No documentation supplied in JDK.

Throws

IOException

Any exception thrown by the underlying OutputStream.

Applies to

 ObjectOutputStream [java.io]


replaceRange method [java.awt.TextArea] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      replaceRange method [java.awt.TextArea]

public void replaceRange( java.lang.String str, int start, int end )

Replaces text between the indicated start and end positions with the specified replacement text.

Parameters

str

the text to use as the replacement.

start

the start position.

end

the end position.

See also

insert method [java.awt.TextArea]

Applies to

 TextArea [java.awt]


replaceText method [java.awt.TextArea] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      replaceText method [java.awt.TextArea]

public synchronized void replaceText( java.lang.String str, int start, int end )

Note: replaceText has been deprecated. As of JDK version 1.1, replaced by replaceRange(String, int, int).

No documentation supplied in JDK

Applies to

 TextArea [java.awt]


ReplicateScaleFilter class [java.awt.image] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      ReplicateScaleFilter class [java.awt.image]

Object

ImageFilter

ReplicateScaleFilter

Description

An ImageFilter class for scaling images using the simplest algorithm. This class extends the basic ImageFilter Class to scale an existing image and provide a source for a new image containing the resampled image.  The pixels in the source image are sampled to produce pixels for an image of the specified size by replicating rows and columns of pixels to scale up or omitting rows and columns of pixels to scale down. It is meant to be used in conjunction with a FilteredImageSource object to produce scaled versions of existing images.

Specification

public class ReplicateScaleFilter extends java.awt.image.ImageFilter

Constructor

public ReplicateScaleFilter( int width, int height )

Constructs a ReplicateScaleFilter that scales the pixels from its source Image as specified by the width and height parameters.

Parameters

width

the target width to scale the image

height

the target height to scale the image

Variables

protected int srcWidth

protected int srcHeight

protected int destWidth

protected int destHeight

protected int[] srcrows

protected int[] srccols

protected java.lang.Object outpixbuf

Properties

  void setDimensions( int w, int h )

  void setProperties( java.util.Hashtable props )

Inherited Properties

  native final java.lang.Class getClass( )

  void setColorModel( java.awt.image.ColorModel model )

  void setHints( int hints )

Methods

  void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, int[] pixels, int off, int scansize )

  void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, byte[] pixels, int off, int scansize )

Inherited Methods

  boolean equals( java.lang.Object obj )

  java.awt.image.ImageFilter getFilterInstance( java.awt.image.ImageConsumer ic )

  native int hashCode( )

  void imageComplete( int status )

  native final void notify( )

  native final void notifyAll( )

  void resendTopDownLeftRight( java.awt.image.ImageProducer ip )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

FilteredImageSource class [java.awt.image]

ImageFilter class [java.awt.image]


representationClass property [java.awt.datatransfer.DataFlavor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      representationClass property [java.awt.datatransfer.DataFlavor]

public java.lang.Class getRepresentationClass( )

Returns the Class which objects supporting this DataFlavor will return when this DataFlavor is requested.

Return

No documentation supplied in JDK.

Applies to

 DataFlavor [java.awt.datatransfer]


requestFocus method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      requestFocus method [java.awt.Component]

public void requestFocus( )

Requests that this component get the input focus.

This component's gotFocus method is called when this method is successful.  The component must be visible on the screen for this request to be granted

See also

FocusEvent event [java.awt.Component]

processFocusEvent method [java.awt.Component]

focusTraversable property [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


requestMethod property [java.net.HttpURLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      requestMethod property [java.net.HttpURLConnection]

public java.lang.String getRequestMethod( )

Get the request method.

Return

No documentation supplied in JDK.

public void setRequestMethod( java.lang.String method ) throws java.net.ProtocolException

Set the method for the URL request, one of:

•	GET

•	POST

•	HEAD

•	OPTIONS

•	PUT

•	DELETE

•	TRACE

are legal, subject to protocol restrictions.  The default method is GET.

Throws

ProtocolException

If the method cannot be reset or if the requested method isn't valid for HTTP.

Applies to

 HttpURLConnection [java.net]


requestTopDownLeftRightResend method [java.awt.image.FilteredImageSource] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      requestTopDownLeftRightResend method [java.awt.image.FilteredImageSource]

public void requestTopDownLeftRightResend( java.awt.image.ImageConsumer ic )

Requests that a given ImageConsumer have the image data delivered one more time in top-down, left-right order.  The request is handed to the ImageFilter for further processing, since the ability to preserve the pixel ordering depends on the filter.

See also

ImageConsumer interface [java.awt.image]

Applies to

 FilteredImageSource [java.awt.image]


requestTopDownLeftRightResend method [java.awt.image.MemoryImageSource] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      requestTopDownLeftRightResend method [java.awt.image.MemoryImageSource]

public void requestTopDownLeftRightResend( java.awt.image.ImageConsumer ic )

Requests that a given ImageConsumer have the image data delivered one more time in top-down, left-right order.

See also

ImageConsumer interface [java.awt.image]

Applies to

 MemoryImageSource [java.awt.image]


resendTopDownLeftRight method [java.awt.image.ImageFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      resendTopDownLeftRight method [java.awt.image.ImageFilter]

public void resendTopDownLeftRight( java.awt.image.ImageProducer ip )

Responds to a request for a TopDownLeftRight (TDLR) ordered resend of the pixel data from an ImageConsumer. The ImageFilter can respond to this request in one of three ways.

•	If the filter can determine that it will forward the pixels in TDLR order if its upstream producer object sends them in TDLR order, then the request is automatically forwarded by default to the indicated ImageProducer using this filter as the requesting ImageConsumer, so no override is necessary.

•	If the filter can resend the pixels in the right order on its own (presumably because the generated pixels have been saved in some sort of buffer), then it can override this method and simply resend the pixels in TDLR order as specified in the ImageProducer API.

•	If the filter simply returns from this method then the request will be ignored and no resend will occur.

Parameter

ip

The ImageProducer that is feeding this instance of the filter - also the ImageProducer that the request should be forwarded to if necessary.

See also

ImageProducer interface [java.awt.image]

Applies to

 AreaAveragingScaleFilter [java.awt.image]

 CropImageFilter [java.awt.image]

 ImageFilter [java.awt.image]

 ReplicateScaleFilter [java.awt.image]

 RGBImageFilter [java.awt.image]


reset method [java.io.BufferedInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reset method [java.io.BufferedInputStream]

Overloads:

 void reset( ) overrides reset method [java.io.FilterInputStream]

public synchronized void reset( ) throws java.io.IOException

Repositions this stream to the position at the time the mark method was last called on this input stream.

If the stream has not been marked, or if the mark has been invalidated, an IOException is thrown. Stream marks are intended to be used in situations where you need to read ahead a little to see what's in the stream. Often this is most easily done by invoking some general parser. If the stream is of the type handled by the parser, it just chugs along happily. If the stream is not of that type, the parser should toss an exception when it fails. If an exception gets tossed within readlimit bytes, the parser will allow the outer code to reset the stream and to try another parser.

Throws

IOException

If this stream has not been marked or if the mark has been invalidated.

See also

mark method [java.io.BufferedInputStream]

Applies to

 BufferedInputStream [java.io]


reset method [java.io.BufferedReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reset method [java.io.BufferedReader]

Overloads:

 void reset( ) overrides reset method [java.io.Reader]

public void reset( ) throws java.io.IOException

Reset the stream to the most recent mark.

Throws

IOException

If the stream has never been marked, or if the mark has been invalidated.

Applies to

 BufferedReader [java.io]

 LineNumberReader [java.io]


reset method [java.io.ByteArrayInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reset method [java.io.ByteArrayInputStream]

Overloads:

 void reset( ) overrides reset method [java.io.InputStream]

public synchronized void reset( )

Resets the buffer to the marked position.  The marked position is the beginning unless another position was marked.

Applies to

 ByteArrayInputStream [java.io]


reset method [java.io.ByteArrayOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reset method [java.io.ByteArrayOutputStream]

public synchronized void reset( )

Resets the count field of this byte array output stream to zero, so that all currently accumulated output in the ouput stream is discarded. The output stream can be used again, reusing the already allocated buffer space.

Applies to

 ByteArrayOutputStream [java.io]


reset method [java.io.CharArrayReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reset method [java.io.CharArrayReader]

Overloads:

 void reset( ) overrides reset method [java.io.Reader]

public void reset( ) throws java.io.IOException

Reset the stream to the most recent mark, or to the beginning if it has never been marked.

Throws

IOException

If an I/O error occurs.

Applies to

 CharArrayReader [java.io]


reset method [java.io.CharArrayWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reset method [java.io.CharArrayWriter]

public void reset( )

Resets the buffer so that you can use it again without throwing away the already allocated buffer.

Applies to

 CharArrayWriter [java.io]


reset method [java.io.FilterInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reset method [java.io.FilterInputStream]

Overloads:

 void reset( ) overrides reset method [java.io.InputStream]

public synchronized void reset( ) throws java.io.IOException

Repositions this stream to the position at the time the mark method was last called on this input stream.

The reset method of FilterInputStream calls the reset method of its underlying input stream.

Stream marks are intended to be used in situations where you need to read ahead a little to see what's in the stream. Often this is most easily done by invoking some general parser. If the stream is of the type handled by the parse, it just chugs along happily. If the stream is not of that type, the parser should toss an exception when it fails. If this happens within readlimit bytes, it allows the outer code to reset the stream and try another parser.

Throws

IOException

If the stream has not been marked or if the mark has been invalidated.

See also

mark method [java.io.FilterInputStream]

Applies to

 BufferedInputStream [java.io]

 CheckedInputStream [java.util.zip]

 DataInputStream [java.io]

 DigestInputStream [java.security]

 FilterInputStream [java.io]

 GZIPInputStream [java.util.zip]

 InflaterInputStream [java.util.zip]

 LineNumberInputStream [java.io]

 PushbackInputStream [java.io]

 ZipInputStream [java.util.zip]


reset method [java.io.FilterReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reset method [java.io.FilterReader]

Overloads:

 void reset( ) overrides reset method [java.io.Reader]

public void reset( ) throws java.io.IOException

Reset the stream.

Throws

IOException

If an I/O error occurs.

Applies to

 FilterReader [java.io]

 PushbackReader [java.io]


reset method [java.io.InputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reset method [java.io.InputStream]

public synchronized void reset( ) throws java.io.IOException

Repositions this stream to the position at the time the mark method was last called on this input stream.

The reset method of InputStream throws an IOException, because input streams, by default, do not support mark and reset.

Stream marks are intended to be used in situations where you need to read ahead a little to see what's in the stream. Often this is most easily done by invoking some general parser. If the stream is of the type handled by the parser, it just chugs along happily. If the stream is not of that type, the parser should toss an exception when it fails, which, if it happens within readlimit bytes, allows the outer code to reset the stream and try another parser.

Throws

IOException

If this stream has not been marked or if the mark has been invalidated.

See also

mark method [java.io.InputStream]

IOException class [java.io]

Applies to

 BufferedInputStream [java.io]

 ByteArrayInputStream [java.io]

 CheckedInputStream [java.util.zip]

 DataInputStream [java.io]

 DigestInputStream [java.security]

 FileInputStream [java.io]

 FilterInputStream [java.io]

 GZIPInputStream [java.util.zip]

 InflaterInputStream [java.util.zip]

 InputStream [java.io]

 LineNumberInputStream [java.io]

 ObjectInputStream [java.io]

 PipedInputStream [java.io]

 PushbackInputStream [java.io]

 SequenceInputStream [java.io]

 StringBufferInputStream [java.io]

 ZipInputStream [java.util.zip]


reset method [java.io.LineNumberInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reset method [java.io.LineNumberInputStream]

Overloads:

 void reset( ) overrides reset method [java.io.FilterInputStream]

public void reset( ) throws java.io.IOException

Repositions this stream to the position at the time the mark method was last called on this input stream.

The reset method of LineNumberInputStream resets the line number to be the line number at the time the mark method was called, and then calls the reset method of the underlying input stream.

Stream marks are intended to be used in situations where you need to read ahead a little to see what's in the stream. Often this is most easily done by invoking some general parser. If the stream is of the type handled by the parser, it just chugs along happily. If the stream is not of that type, the parser should toss an exception when it fails, which, if it happens within readlimit bytes, allows the outer code to reset the stream and try another parser.

Throws

IOException

If an I/O error occurs.

See also

mark method [java.io.FilterInputStream]

Applies to

 LineNumberInputStream [java.io]


reset method [java.io.LineNumberReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reset method [java.io.LineNumberReader]

Overloads:

 void reset( ) overrides reset method [java.io.BufferedReader]

public void reset( ) throws java.io.IOException

Reset the stream to the most recent mark.

Throws

IOException

If the stream has not been marked, or if the mark has been invalidated.

Applies to

 LineNumberReader [java.io]


reset method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reset method [java.io.ObjectOutputStream]

public void reset( ) throws java.io.IOException

Reset will disregard the state of any objects already written to the stream.  The state is reset to be the same as a new ObjectOutputStream.  The current point in the stream is marked as reset so the corresponding ObjectInputStream will be reset at the same point.  Objects previously written to the stream will not be refered to as already being in the stream.  They will be written to the stream again.

Applies to

 ObjectOutputStream [java.io]


reset method [java.io.Reader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reset method [java.io.Reader]

public void reset( ) throws java.io.IOException

Reset the stream.  If the stream has been marked, then attempt to reposition it at the mark.  If the stream has not been marked, then attempt to reset it in some way appropriate to the particular stream, for example by repositioning it to its starting point.  Not all character-input streams support the reset() operation, and some support reset() without supporting mark().

Throws

IOException

If the stream has not been marked, or if the mark has been invalidated, or if the stream does not support reset(), or if some other I/O error occurs.

Applies to

 BufferedReader [java.io]

 CharArrayReader [java.io]

 FileReader [java.io]

 FilterReader [java.io]

 InputStreamReader [java.io]

 LineNumberReader [java.io]

 PipedReader [java.io]

 PushbackReader [java.io]

 Reader [java.io]

 StringReader [java.io]


reset method [java.io.StringBufferInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reset method [java.io.StringBufferInputStream]

Overloads:

 void reset( ) overrides reset method [java.io.InputStream]

public synchronized void reset( )

Resets the input stream to begin reading from the first character of this input stream's underlying buffer.

Applies to

 StringBufferInputStream [java.io]


reset method [java.io.StringReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reset method [java.io.StringReader]

Overloads:

 void reset( ) overrides reset method [java.io.Reader]

public void reset( ) throws java.io.IOException

Reset the stream to the most recent mark, or to the beginning of the string if it has never been marked.

Throws

IOException

If an I/O error occurs.

Applies to

 StringReader [java.io]


reset method [java.security.MessageDigest] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reset method [java.security.MessageDigest]

public void reset( )

Resets the digest for further use.

Applies to

 MessageDigest [java.security]


reset method [java.text.CollationElementIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reset method [java.text.CollationElementIterator]

public void reset( )

Resets the cursor to the beginning of the string.

Applies to

 CollationElementIterator [java.text]


reset method [java.util.zip.Adler32] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reset method [java.util.zip.Adler32]

public void reset( )

Resets checksum to initial value.

Applies to

 Adler32 [java.util.zip]


reset method [java.util.zip.CRC32] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reset method [java.util.zip.CRC32]

public void reset( )

Resets CRC-32 to initial value.

Applies to

 CRC32 [java.util.zip]


reset method [java.util.zip.Deflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reset method [java.util.zip.Deflater]

public native synchronized void reset( )

Resets deflater so that a new set of input data can be processed. Keeps current compression level and strategy settings.

Applies to

 Deflater [java.util.zip]


reset method [java.util.zip.Inflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reset method [java.util.zip.Inflater]

public native synchronized void reset( )

Resets inflater so that a new set of input data can be processed.

Applies to

 Inflater [java.util.zip]


resetSyntax method [java.io.StreamTokenizer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      resetSyntax method [java.io.StreamTokenizer]

public void resetSyntax( )

Resets this tokenizer's syntax table so that all characters are "ordinary." See the ordinaryChar method for more information on a character being ordinary.

See also

ordinaryChar method [java.io.StreamTokenizer]

Applies to

 StreamTokenizer [java.io]


reshape method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reshape method [java.awt.Component]

public void reshape( int x, int y, int width, int height )

Note: reshape has been deprecated. As of JDK version 1.1, replaced by setBounds(int, int, int, int).

No documentation supplied in JDK

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


reshape method [java.awt.Rectangle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reshape method [java.awt.Rectangle]

public void reshape( int x, int y, int width, int height )

Note: reshape has been deprecated. As of JDK version 1.1, replaced by setBounds(int, int, int, int).

No documentation supplied in JDK

Applies to

 Rectangle [java.awt]


resizable property [java.awt.Dialog] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      resizable property [java.awt.Dialog]

public synchronized void setResizable( boolean resizable )

Sets the resizable flag.

Parameter

resizable

true if the user can resize this dialog; false otherwise.

public boolean isResizable( )

Indicates whether this dialog window is resizable.

Return

true if the user can resize the dialog; false otherwise.

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]


resizable property [java.awt.Frame] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      resizable property [java.awt.Frame]

public synchronized void setResizable( boolean resizable )

Sets the resizable flag, which determines whether this frame is resizable. By default, all frames are initially resizable.

Parameter

resizable

true if this frame is resizable; false otherwise.

public boolean isResizable( )

Indicates whether this frame is resizable. By default, all frames are initially resizable.

Return

true if the user can resize this frame; false otherwise.

Applies to

 Frame [java.awt]


resize method [java.applet.Applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      resize method [java.applet.Applet]

Overloads:

 void resize( Dimension d ) overrides resize method [java.awt.Component]

 void resize( int width, int height ) overrides resize method [java.awt.Component]

public void resize( java.awt.Dimension d )

Requests that this applet be resized.

Parameter

d

an object giving the new width and height.

public void resize( int width, int height )

Requests that this applet be resized.

Parameters

width

the new requested width for the applet.

height

the new requested height for the applet.

Applies to

 Applet [java.applet]


resize method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      resize method [java.awt.Component]

Overloads:

 void resize( Dimension d )

 void resize( int width, int height )

public void resize( java.awt.Dimension d )

Note: resize has been deprecated. As of JDK version 1.1, replaced by setSize(Dimension).

No documentation supplied in JDK

public void resize( int width, int height )

Note: resize has been deprecated. As of JDK version 1.1, replaced by setSize(int, int).

No documentation supplied in JDK

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


resize method [java.awt.Rectangle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      resize method [java.awt.Rectangle]

public void resize( int width, int height )

Note: resize has been deprecated. As of JDK version 1.1, replaced by setSize(int, int).

No documentation supplied in JDK

Applies to

 Rectangle [java.awt]


resolveClass method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      resolveClass method [java.io.ObjectInputStream]

protected java.lang.Class resolveClass( java.io.ObjectStreamClass v ) throws java.io.IOException, java.lang.ClassNotFoundException

Subclasses may implement this method to allow classes to be fetched from an alternate source. The corresponding method in ObjectOutputStream is annotateClass.  This method will be invoked only once for each unique class in the stream.  This method can be implemented by subclasses to use an alternate loading mechanism but must return a Class object.  Once returned, the serialVersionUID of the class is compared to the serialVersionUID of the serialized class. If there is a mismatch, the deserialization fails and an exception is raised.

By default the class name is resolved relative to the class that called readObject.

Return

No documentation supplied in JDK.

Throws

ClassNotFoundException

If class of a serialized object cannot be found.

Applies to

 ObjectInputStream [java.io]


resolveClass method [java.lang.ClassLoader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      resolveClass method [java.lang.ClassLoader]

protected final void resolveClass( java.lang.Class c )

Resolves the class so that an instance of the class can be created, or so that one of its methods can be called. This method should be called by loadClass if the resolve flag is true.

Parameter

c

the Class instance to be resolved.

See also

defineClass method [java.lang.ClassLoader]

Applies to

 ClassLoader [java.lang]


resolveObject method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      resolveObject method [java.io.ObjectInputStream]

protected java.lang.Object resolveObject( java.lang.Object obj ) throws java.io.IOException

This method will allow trusted subclasses of ObjectInputStream to substitute one object for another during deserialization. Replacing objects is disabled until enableResolveObject is called. The enableResolveObject method checks that the stream requesting to resolve object can be trusted. Every reference to serializable objects is passed to resolveObject.  To insure that the private state of objects is not unintentionally exposed only trusted streams may use resolveObject.

This method is called after an object has been read but before it is returned from readObject.  The default resolveObject method just returns the new object.

When a subclass is replacing objects it must insure that the substituted object is compatible with every field where the reference will be stored.  Objects whose type is not a subclass of the type of the field or array element abort the serialization by raising an exception and the object is not be stored.

This method is called only once when each object is first encountered. All subsequent references to the object will be redirected to the new object.

Return

No documentation supplied in JDK.

Throws

IOException

Any of the usual Input/Output exceptions.

Applies to

 ObjectInputStream [java.io]


ResourceBundle class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      ResourceBundle class [java.util]

Object

ResourceBundle

Description

Resource bundles contain locale-specific objects. When your program needs a locale-specific resource, a String for example, your program can load it from the resource bundle that is appropriate for the current user's locale. In this way, you can write program code that is largely independent of the user's locale isolating most, if not all, of the locale-specific information in resource bundles.

This allows you to write programs that can:

•	be easily localized, or translated, into different languages

•	handle multiple locales at once

•	be easily modified later to support even more locales

One resource bundle is, conceptually, a set of related classes that inherit from ResourceBundle. Each related subclass of ResourceBundle has the same base name plus an additional component that identifies its locale. For example, suppose your resource bundle is named MyResources. The first class you are likely to write is the default resource bundle which simply has the same name as its family--MyResources. You can also provide as many related locale-specific classes as you need: for example, perhaps you would provide a German one named MyResources_de.

Each related subclass of ResourceBundle contains the same items, but the items have been translated for the locale represented by that ResourceBundle subclass. For example, both MyResources and MyResources_de may have a String that's used on a button for confirming operations. In MyResources the String may contain OK and in MyResources_de it may contain Gut.

If there are different resources for different countries, you can make specializations: for example, MyResources_de_CH for Switzerland. If you want to only modify some of the resources in the specialization, you can do so.

When your program needs a locale-specific object, it loads the ResourceBundle class using the getBundle method:

ResourceBundle myResources =

    ResourceBundle.getBundle("MyResources", currentLocale);

 The first argument specifies the family name of the resource bundle that contains the object in question. The second argument indicates the desired locale. getBundle uses these two arguments to construct the name of the ResourceBundle subclass it should load as follows.

The resource bundle lookup searches for classes with various suffixes on the basis of (1) the desired locale and (2) the default locale (baseclass), in the following order from lower-level (more specific) to parent-level (less specific):

baseclass + "_" + language1 + "_" + country1 + "_" + variant1
baseclass + "_" + language1 + "_" + country1
baseclass + "_" + language1
baseclass
baseclass + "_" + language2 + "_" + country2 + "_" + variant2
baseclass + "_" + language2 + "_" + country2
baseclass + "_" + language2

The result of the lookup is a class, but that class may be backed by a property file on disk. If a lookup fails, getBundle() throws a MissingResourceException.

The baseclass must be fully qualified (for example, myPackage.MyResources, not just MyResources). It must also be accessable by your code; it cannot be a class that is private to the package where ResourceBundle.getBundle is called.

Note: ResourceBundle are used internally in accessing NumberFormats, Collations, and so on. The lookup strategy is the same.

Resource bundles contain key/value pairs. The keys uniquely identify a locale-specific object in the bundle. Here's an example of a ListResourceBundle that contains two key/value pairs:

class MyResource extends ListResourceBundle {

    public Object[][] getContents() {

            return contents;

    }

    static final Object[][] contents = {

    // LOCALIZE THIS

            {"OkKey", "OK"},

            {"CancelKey", "Cancel"},

    // END OF MATERIAL TO LOCALIZE

    };

}

 Keys are always Strings. In this example, the keys are OkKey and CancelKey. In the above example, the values are also Strings--OK and Cancel--but they don't have to be. The values can be any type of object.

You retrieve an object from resource bundle using the appropriate getter method. Because OkKey and CancelKey are both strings, you would use getString to retrieve them:

button1 = new Button(myResourceBundle.getString("OkKey"));

button2 = new Button(myResourceBundle.getString("CancelKey"));

 The getter methods all require the key as an argument and return the object if found. If the object is not found, the getter method throws a MissingResourceException.

Besides getString; ResourceBundle supports a number of other methods for getting different types of objects such as getStringArray. If you don't have an object that matches one of these methods, you can use getObject and cast the result to the appropriate type. For example:

int[] myIntegers = (int[]) myResources.getObject("intList");

NOTE: You should always supply a baseclass with no suffixes. This will be the class of "last resort", if a locale is requested that does not exist. For example, below we have a class MyResources. It happens to contain US strings, so we don't have to have an explicit MyResource_en or MyResource_en_US.

The JDK provides two subclasses of ResourceBundle, ListResourceBundle and PropertyResourceBundle, that provide a fairly simple way to create resources. (Once serialization is fully integrated, we will provide another way.) As you saw briefly in a prevous example, ListResourceBundle manages its resource as a List of key/value pairs. PropertyResourceBundle uses a properties file to manage its resources.

If ListResourceBundle or PropertyResourceBundle do not suit your needs, you can write your own ResourceBundle subclass.  Your subclasses must overrde two methods: handleGetObject and getKeys().

The following is a very simple example of a ResourceBundle subclass that manages only a few resources (for a larger number of resources you would probably use a Hashtable). Notice that if the key is not found, handleGetObject must return null. Notice also that you don't need to supply a value if a "parent-level" ResourceBundle handles the same key with the same value (look at uk below).

Example:

abstract class MyResources extends ResourceBundle {

   public Object handleGetObject(String key) {

       if (key.equals("okKey")) return "Ok";

       if (key.equals("cancelKey")) return "Cancel";

   return null;

   }

}

abstract class MyResources_de extends MyResources {

   public Object handleGetObject(String key) {

       if (key.equals("okKey")) return "Gut";

       if (key.equals("cancelKey")) return "Vernichten";

       return null;

   }

}

abstract class MyResources_uk extends MyResources {

   public Object handleGetObject(String key) {

       // don't need okKey, since parent level handles it.

       if (key.equals("cancelKey")) return "Dispose";

   	   return null;

   }

}

 You do not have to restrict yourself to using a single family of ResourceBundles. For example, you could have a set of bundles for exception messages, ExceptionResources (ExceptionResources_fr, ExceptionResources_de, ...), and one for widgets, WidgetResource (WidgetResources_fr, WidgetResources_de, ...); breaking up the resources however you like.

Specification

public abstract class ResourceBundle extends java.lang.Object

Variables

protected java.util.ResourceBundle parent

The parent bundle is consulted by getObject when this bundle does not contain a particular resource.

Properties

  abstract java.util.Enumeration getKeys( )

Inherited Properties

  native final java.lang.Class getClass( )

Protected Properties

 protected void setParent( java.util.ResourceBundle parent )

Methods

  static final java.util.ResourceBundle getBundle( java.lang.String baseName ) throws java.util.MissingResourceException

  static final java.util.ResourceBundle getBundle( java.lang.String baseName, java.util.Locale locale )

  final java.lang.Object getObject( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String getString( java.lang.String key ) throws java.util.MissingResourceException

  final java.lang.String[] getStringArray( java.lang.String key ) throws java.util.MissingResourceException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected abstract java.lang.Object handleGetObject( java.lang.String key ) throws java.util.MissingResourceException

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

ListResourceBundle class [java.util]

PropertyResourceBundle class [java.util]

MissingResourceException class [java.util]


responseCode property [java.net.HttpURLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      responseCode property [java.net.HttpURLConnection]

public int getResponseCode( ) throws java.io.IOException

Gets HTTP response status.  From responses like:

HTTP/1.0 200 OK

HTTP/1.0 401 Unauthorized

Extracts the ints 200 and 401 respectively. Returns -1 if none can be discerned from the response (i.e., the response is not valid HTTP).

Return

No documentation supplied in JDK.

Throws

IOException

If an error occurred connecting to the server.

Applies to

 HttpURLConnection [java.net]


responseMessage property [java.net.HttpURLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      responseMessage property [java.net.HttpURLConnection]

public java.lang.String getResponseMessage( ) throws java.io.IOException

Gets the HTTP response message, if any, returned along with the response code from a server.  From responses like:

HTTP/1.0 200 OK

HTTP/1.0 404 Not Found

Extracts the Strings "OK" and "Not Found" respectively. Returns null if none could be discerned from the responses (the result was not valid HTTP).

Return

No documentation supplied in JDK.

Throws

IOException

If an error occurred connecting to the server.

Applies to

 HttpURLConnection [java.net]


ResultSet interface [java.sql] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      ResultSet interface [java.sql]

Description

A ResultSet provides access to a table of data generated by executing a Statement. The table rows are retrieved in sequence. Within a row its column values can be accessed in any order.

A ResultSet maintains a cursor pointing to its current row of data.  Initially the cursor is positioned before the first row. The 'next' method moves the cursor to the next row.

The getXXX methods retrieve column values for the current row.  You can retrieve values either using the index number of the column, or by using the name of the column.  In general using the column index will be more efficient.  Columns are numbered from 1.

For maximum portability, ResultSet columns within each row should be read in left-to-right order and each column should be read only once.

For the getXXX methods, the JDBC driver attempts to convert the underlying data to the specified Java type and returns a suitable Java value.  See the JDBC specification for allowable mappings from SQL types to Java types with the ResultSet.getXXX methods.

Column names used as input to getXXX methods are case insensitive.  When performing a getXXX using a column name, if several columns have the same name, then the value of the first matching column will be returned. The column name option is designed to be used when column names are used in the SQL query. For columns that are NOT explicitly named in the query, it is best to use column numbers. If column names were used there is no way for the programmer to guarantee that they actually refer to the intended columns.

A ResultSet is automatically closed by the Statement that generated it when that Statement is closed, re-executed, or is used to retrieve the next result from a sequence of multiple results.

The number, types and properties of a ResultSet's columns are provided by the ResulSetMetaData object returned by the getMetaData method.

Definition

public interface ResultSet

{

  // Properties

  public java.lang.String getString( int columnIndex ) throws java.sql.SQLException;

  public boolean getBoolean( int columnIndex ) throws java.sql.SQLException;

  public byte getByte( int columnIndex ) throws java.sql.SQLException;

  public short getShort( int columnIndex ) throws java.sql.SQLException;

  public int getInt( int columnIndex ) throws java.sql.SQLException;

  public long getLong( int columnIndex ) throws java.sql.SQLException;

  public float getFloat( int columnIndex ) throws java.sql.SQLException;

  public double getDouble( int columnIndex ) throws java.sql.SQLException;

  public byte[] getBytes( int columnIndex ) throws java.sql.SQLException;

  public java.sql.Date getDate( int columnIndex ) throws java.sql.SQLException;

  public java.sql.Time getTime( int columnIndex ) throws java.sql.SQLException;

  public java.sql.Timestamp getTimestamp( int columnIndex ) throws java.sql.SQLException;

  public java.io.InputStream getAsciiStream( int columnIndex ) throws java.sql.SQLException;

  public java.io.InputStream getUnicodeStream( int columnIndex ) throws java.sql.SQLException;

  public java.io.InputStream getBinaryStream( int columnIndex ) throws java.sql.SQLException;

  public java.sql.SQLWarning getWarnings( ) throws java.sql.SQLException;

  public java.lang.String getCursorName( ) throws java.sql.SQLException;

  public java.sql.ResultSetMetaData getMetaData( ) throws java.sql.SQLException;

  public java.lang.Object getObject( int columnIndex ) throws java.sql.SQLException;

  // Methods

  public boolean next( ) throws java.sql.SQLException;

  public void close( ) throws java.sql.SQLException;

  public boolean wasNull( ) throws java.sql.SQLException;

  public java.math.BigDecimal getBigDecimal( int columnIndex, int scale ) throws java.sql.SQLException;

  public java.lang.String getString( java.lang.String columnName ) throws java.sql.SQLException;

  public boolean getBoolean( java.lang.String columnName ) throws java.sql.SQLException;

  public byte getByte( java.lang.String columnName ) throws java.sql.SQLException;

  public short getShort( java.lang.String columnName ) throws java.sql.SQLException;

  public int getInt( java.lang.String columnName ) throws java.sql.SQLException;

  public long getLong( java.lang.String columnName ) throws java.sql.SQLException;

  public float getFloat( java.lang.String columnName ) throws java.sql.SQLException;

  public double getDouble( java.lang.String columnName ) throws java.sql.SQLException;

  public java.math.BigDecimal getBigDecimal( java.lang.String columnName, int scale ) throws java.sql.SQLException;

  public byte[] getBytes( java.lang.String columnName ) throws java.sql.SQLException;

  public java.sql.Date getDate( java.lang.String columnName ) throws java.sql.SQLException;

  public java.sql.Time getTime( java.lang.String columnName ) throws java.sql.SQLException;

  public java.sql.Timestamp getTimestamp( java.lang.String columnName ) throws java.sql.SQLException;

  public java.io.InputStream getAsciiStream( java.lang.String columnName ) throws java.sql.SQLException;

  public java.io.InputStream getUnicodeStream( java.lang.String columnName ) throws java.sql.SQLException;

  public java.io.InputStream getBinaryStream( java.lang.String columnName ) throws java.sql.SQLException;

  public void clearWarnings( ) throws java.sql.SQLException;

  public java.lang.Object getObject( java.lang.String columnName ) throws java.sql.SQLException;

  public int findColumn( java.lang.String columnName ) throws java.sql.SQLException;

}

Properties

public java.lang.String getString( int columnIndex ) throws java.sql.SQLException

Get the value of a column in the current row as a Java String.

Parameter

columnIndex

the first column is 1, the second is 2, ...

Return

The column value; if the value is SQL NULL, the result is null.

Throws

SQLException

If a database-access error occurs.

public boolean getBoolean( int columnIndex ) throws java.sql.SQLException

Get the value of a column in the current row as a Java boolean.

Parameter

columnIndex

the first column is 1, the second is 2, ...

Return

The column value; if the value is SQL NULL, the result is false.

Throws

SQLException

If a database-access error occurs.

public byte getByte( int columnIndex ) throws java.sql.SQLException

Get the value of a column in the current row as a Java byte.

Parameter

columnIndex

the first column is 1, the second is 2, ...

Return

The column value; if the value is SQL NULL, the result is 0.

Throws

SQLException

If a database-access error occurs.

public short getShort( int columnIndex ) throws java.sql.SQLException

Get the value of a column in the current row as a Java short.

Parameter

columnIndex

the first column is 1, the second is 2, ...

Return

The column value; if the value is SQL NULL, the result is 0.

Throws

SQLException

If a database-access error occurs.

public int getInt( int columnIndex ) throws java.sql.SQLException

Get the value of a column in the current row as a Java int.

Parameter

columnIndex

the first column is 1, the second is 2, ...

Return

The column value; if the value is SQL NULL, the result is 0.

Throws

SQLException

If a database-access error occurs.

public long getLong( int columnIndex ) throws java.sql.SQLException

Get the value of a column in the current row as a Java long.

Parameter

columnIndex

the first column is 1, the second is 2, ...

Return

The column value; if the value is SQL NULL, the result is 0.

Throws

SQLException

If a database-access error occurs.

public float getFloat( int columnIndex ) throws java.sql.SQLException

Get the value of a column in the current row as a Java float.

Parameter

columnIndex

the first column is 1, the second is 2, ...

Return

The column value; if the value is SQL NULL, the result is 0.

Throws

SQLException

If a database-access error occurs.

public double getDouble( int columnIndex ) throws java.sql.SQLException

Get the value of a column in the current row as a Java double.

Parameter

columnIndex

the first column is 1, the second is 2, ...

Return

The column value; if the value is SQL NULL, the result is 0.

Throws

SQLException

If a database-access error occurs.

public byte[] getBytes( int columnIndex ) throws java.sql.SQLException

Get the value of a column in the current row as a Java byte array. The bytes represent the raw values returned by the driver.

Parameter

columnIndex

the first column is 1, the second is 2, ...

Return

The column value; if the value is SQL NULL, the result is null.

Throws

SQLException

If a database-access error occurs.

public java.sql.Date getDate( int columnIndex ) throws java.sql.SQLException

Get the value of a column in the current row as a java.sql.Date object.

Parameter

columnIndex

the first column is 1, the second is 2, ...

Return

The column value; if the value is SQL NULL, the result is null.

Throws

SQLException

If a database-access error occurs.

public java.sql.Time getTime( int columnIndex ) throws java.sql.SQLException

Get the value of a column in the current row as a java.sql.Time object.

Parameter

columnIndex

the first column is 1, the second is 2, ...

Return

The column value; if the value is SQL NULL, the result is null.

Throws

SQLException

If a database-access error occurs.

public java.sql.Timestamp getTimestamp( int columnIndex ) throws java.sql.SQLException

Get the value of a column in the current row as a java.sql.Timestamp object.

Parameter

columnIndex

the first column is 1, the second is 2, ...

Return

The column value; if the value is SQL NULL, the result is null.

Throws

SQLException

If a database-access error occurs.

public java.io.InputStream getAsciiStream( int columnIndex ) throws java.sql.SQLException

A column value can be retrieved as a stream of ASCII characters and then read in chunks from the stream.  This method is particularly suitable for retrieving large LONGVARCHAR values.  The JDBC driver will do any necessary conversion from the database format into ASCII.

Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream. . Also, a stream may return 0 for available() whether there is data available or not.

Parameter

columnIndex

the first column is 1, the second is 2, ...

Return

A Java input stream that delivers the database column value as a stream of one byte ASCII characters.  If the value is SQL NULL then the result is null.

Throws

SQLException

If a database-access error occurs.

public java.io.InputStream getUnicodeStream( int columnIndex ) throws java.sql.SQLException

A column value can be retrieved as a stream of Unicode characters and then read in chunks from the stream.  This method is particularly suitable for retrieving large LONGVARCHAR values.  The JDBC driver will do any necessary conversion from the database format into Unicode.

Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream. . Also, a stream may return 0 for available() whether there is data available or not.

Parameter

columnIndex

the first column is 1, the second is 2, ...

Return

A Java input stream that delivers the database column value as a stream of two byte Unicode characters.  If the value is SQL NULL then the result is null.

Throws

SQLException

If a database-access error occurs.

public java.io.InputStream getBinaryStream( int columnIndex ) throws java.sql.SQLException

A column value can be retrieved as a stream of uninterpreted bytes and then read in chunks from the stream.  This method is particularly suitable for retrieving large LONGVARBINARY values.

Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream. Also, a stream may return 0 for available() whether there is data available or not.

Parameter

columnIndex

the first column is 1, the second is 2, ...

Return

A Java input stream that delivers the database column value as a stream of uninterpreted bytes.  If the value is SQL NULL then the result is null.

Throws

SQLException

If a database-access error occurs.

public java.sql.SQLWarning getWarnings( ) throws java.sql.SQLException

The first warning reported by calls on this ResultSet is returned. Subsequent ResultSet warnings will be chained to this SQLWarning.

The warning chain is automatically cleared each time a new row is read.

Note: This warning chain only covers warnings caused by ResultSet methods.  Any warning caused by statement methods (such as reading OUT parameters) will be chained on the Statement object.

Return

The first SQLWarning or null.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getCursorName( ) throws java.sql.SQLException

Get the name of the SQL cursor used by this ResultSet.

In SQL, a result table is retrieved through a cursor that is named. The current row of a result can be updated or deleted using a positioned update/delete statement that references the cursor name.

JDBC supports this SQL feature by providing the name of the SQL cursor used by a ResultSet. The current row of a ResultSet is also the current row of this SQL cursor.

Note: If positioned update is not supported a SQLException is thrown

Return

The ResultSet's SQL cursor name.

Throws

SQLException

If a database-access error occurs.

public java.sql.ResultSetMetaData getMetaData( ) throws java.sql.SQLException

The number, types and properties of a ResultSet's columns are provided by the getMetaData method.

Return

The description of a ResultSet's columns.

Throws

SQLException

If a database-access error occurs.

public java.lang.Object getObject( int columnIndex ) throws java.sql.SQLException

Get the value of a column in the current row as a Java object.

This method will return the value of the given column as a Java object.  The type of the Java object will be the default Java Object type corresponding to the column's SQL type, following the mapping specified in the JDBC spec.

This method may also be used to read datatabase specific abstract data types.

Parameter

columnIndex

the first column is 1, the second is 2, ...

Return

A java.lang.Object holding the column value.

Throws

SQLException

If a database-access error occurs.

Methods

public boolean next( ) throws java.sql.SQLException

A ResultSet is initially positioned before its first row; the first call to next makes the first row the current row; the second call makes the second row the current row, etc.

If an input stream from the previous row is open, it is implicitly closed. The ResultSet's warning chain is cleared when a new row is read.

Return

True if the new current row is valid; false if there are no more rows.

Throws

SQLException

If a database-access error occurs.

public void close( ) throws java.sql.SQLException

In some cases, it is desirable to immediately release a ResultSet's database and JDBC resources instead of waiting for this to happen when it is automatically closed; the close method provides this immediate release.

Note: A ResultSet is automatically closed by the Statement that generated it when that Statement is closed, re-executed, or is used to retrieve the next result from a sequence of multiple results. A ResultSet is also automatically closed when it is garbage collected.

Throws

SQLException

If a database-access error occurs.

public boolean wasNull( ) throws java.sql.SQLException

A column may have the value of SQL NULL; wasNull reports whether the last column read had this special value. Note that you must first call getXXX on a column to try to read its value and then call wasNull() to find if the value was the SQL NULL.

Return

True if last column read was SQL NULL.

Throws

SQLException

If a database-access error occurs.

public java.math.BigDecimal getBigDecimal( int columnIndex, int scale ) throws java.sql.SQLException

Get the value of a column in the current row as a java.lang.BigDecimal object.

Parameters

columnIndex

the first column is 1, the second is 2, ...

scale

the number of digits to the right of the decimal

Return

The column value; if the value is SQL NULL, the result is null.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getString( java.lang.String columnName ) throws java.sql.SQLException

Get the value of a column in the current row as a Java String.

Parameter

columnName

is the SQL name of the column

Return

The column value; if the value is SQL NULL, the result is null.

Throws

SQLException

If a database-access error occurs.

public boolean getBoolean( java.lang.String columnName ) throws java.sql.SQLException

Get the value of a column in the current row as a Java boolean.

Parameter

columnName

is the SQL name of the column

Return

The column value; if the value is SQL NULL, the result is false.

Throws

SQLException

If a database-access error occurs.

public byte getByte( java.lang.String columnName ) throws java.sql.SQLException

Get the value of a column in the current row as a Java byte.

Parameter

columnName

is the SQL name of the column

Return

The column value; if the value is SQL NULL, the result is 0.

Throws

SQLException

If a database-access error occurs.

public short getShort( java.lang.String columnName ) throws java.sql.SQLException

Get the value of a column in the current row as a Java short.

Parameter

columnName

is the SQL name of the column

Return

The column value; if the value is SQL NULL, the result is 0.

Throws

SQLException

If a database-access error occurs.

public int getInt( java.lang.String columnName ) throws java.sql.SQLException

Get the value of a column in the current row as a Java int.

Parameter

columnName

is the SQL name of the column

Return

The column value; if the value is SQL NULL, the result is 0.

Throws

SQLException

If a database-access error occurs.

public long getLong( java.lang.String columnName ) throws java.sql.SQLException

Get the value of a column in the current row as a Java long.

Parameter

columnName

is the SQL name of the column

Return

The column value; if the value is SQL NULL, the result is 0.

Throws

SQLException

If a database-access error occurs.

public float getFloat( java.lang.String columnName ) throws java.sql.SQLException

Get the value of a column in the current row as a Java float.

Parameter

columnName

is the SQL name of the column

Return

The column value; if the value is SQL NULL, the result is 0.

Throws

SQLException

If a database-access error occurs.

public double getDouble( java.lang.String columnName ) throws java.sql.SQLException

Get the value of a column in the current row as a Java double.

Parameter

columnName

is the SQL name of the column

Return

The column value; if the value is SQL NULL, the result is 0.

Throws

SQLException

If a database-access error occurs.

public java.math.BigDecimal getBigDecimal( java.lang.String columnName, int scale ) throws java.sql.SQLException

Get the value of a column in the current row as a java.lang.BigDecimal object.

Parameters

columnName

is the SQL name of the column

scale

the number of digits to the right of the decimal

Return

The column value; if the value is SQL NULL, the result is null.

Throws

SQLException

If a database-access error occurs.

public byte[] getBytes( java.lang.String columnName ) throws java.sql.SQLException

Get the value of a column in the current row as a Java byte array. The bytes represent the raw values returned by the driver.

Parameter

columnName

is the SQL name of the column

Return

The column value; if the value is SQL NULL, the result is null.

Throws

SQLException

If a database-access error occurs.

public java.sql.Date getDate( java.lang.String columnName ) throws java.sql.SQLException

Get the value of a column in the current row as a java.sql.Date object.

Parameter

columnName

is the SQL name of the column

Return

The column value; if the value is SQL NULL, the result is null.

Throws

SQLException

If a database-access error occurs.

public java.sql.Time getTime( java.lang.String columnName ) throws java.sql.SQLException

Get the value of a column in the current row as a java.sql.Time object.

Parameter

columnName

is the SQL name of the column

Return

The column value; if the value is SQL NULL, the result is null.

Throws

SQLException

If a database-access error occurs.

public java.sql.Timestamp getTimestamp( java.lang.String columnName ) throws java.sql.SQLException

Get the value of a column in the current row as a java.sql.Timestamp object.

Parameter

columnName

is the SQL name of the column

Return

The column value; if the value is SQL NULL, the result is null.

Throws

SQLException

If a database-access error occurs.

public java.io.InputStream getAsciiStream( java.lang.String columnName ) throws java.sql.SQLException

A column value can be retrieved as a stream of ASCII characters and then read in chunks from the stream.  This method is particularly suitable for retrieving large LONGVARCHAR values.  The JDBC driver will do any necessary conversion from the database format into ASCII.

Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream.

Parameter

columnName

is the SQL name of the column

Return

A Java input stream that delivers the database column value as a stream of one byte ASCII characters.  If the value is SQL NULL then the result is null.

Throws

SQLException

If a database-access error occurs.

public java.io.InputStream getUnicodeStream( java.lang.String columnName ) throws java.sql.SQLException

A column value can be retrieved as a stream of Unicode characters and then read in chunks from the stream.  This method is particularly suitable for retrieving large LONGVARCHAR values.  The JDBC driver will do any necessary conversion from the database format into Unicode.

Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream.

Parameter

columnName

is the SQL name of the column

Return

A Java input stream that delivers the database column value as a stream of two byte Unicode characters.  If the value is SQL NULL then the result is null.

Throws

SQLException

If a database-access error occurs.

public java.io.InputStream getBinaryStream( java.lang.String columnName ) throws java.sql.SQLException

A column value can be retrieved as a stream of uninterpreted bytes and then read in chunks from the stream.  This method is particularly suitable for retrieving large LONGVARBINARY values.

Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream.

Parameter

columnName

is the SQL name of the column

Return

A Java input stream that delivers the database column value as a stream of uninterpreted bytes.  If the value is SQL NULL then the result is null.

Throws

SQLException

If a database-access error occurs.

public void clearWarnings( ) throws java.sql.SQLException

After this call getWarnings returns null until a new warning is reported for this ResultSet.

Throws

SQLException

If a database-access error occurs.

public java.lang.Object getObject( java.lang.String columnName ) throws java.sql.SQLException

Get the value of a column in the current row as a Java object.

This method will return the value of the given column as a Java object.  The type of the Java object will be the default Java Object type corresponding to the column's SQL type, following the mapping specified in the JDBC spec.

This method may also be used to read datatabase specific abstract data types.

Parameter

columnName

is the SQL name of the column

Return

A java.lang.Object holding the column value.

Throws

SQLException

If a database-access error occurs.

public int findColumn( java.lang.String columnName ) throws java.sql.SQLException

Map a Resultset column name to a ResultSet column index.

Parameter

columnName

the name of the column

Return

The column index.

Throws

SQLException

If a database-access error occurs.

See also

Statement interface [java.sql]

ResultSetMetaData interface [java.sql]


ResultSetMetaData interface [java.sql] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      ResultSetMetaData interface [java.sql]

Description

A ResultSetMetaData object can be used to find out about the types and properties of the columns in a ResultSet.

Definition

public interface ResultSetMetaData

{

  // Variables

  public int columnNoNulls;

  public int columnNullable;

  public int columnNullableUnknown;

  // Properties

  public int getColumnCount( ) throws java.sql.SQLException;

  public int getColumnDisplaySize( int column ) throws java.sql.SQLException;

  public java.lang.String getColumnLabel( int column ) throws java.sql.SQLException;

  public java.lang.String getColumnName( int column ) throws java.sql.SQLException;

  public java.lang.String getSchemaName( int column ) throws java.sql.SQLException;

  public int getPrecision( int column ) throws java.sql.SQLException;

  public int getScale( int column ) throws java.sql.SQLException;

  public java.lang.String getTableName( int column ) throws java.sql.SQLException;

  public java.lang.String getCatalogName( int column ) throws java.sql.SQLException;

  public int getColumnType( int column ) throws java.sql.SQLException;

  public java.lang.String getColumnTypeName( int column ) throws java.sql.SQLException;

  // Methods

  public boolean isAutoIncrement( int column ) throws java.sql.SQLException;

  public boolean isCaseSensitive( int column ) throws java.sql.SQLException;

  public boolean isSearchable( int column ) throws java.sql.SQLException;

  public boolean isCurrency( int column ) throws java.sql.SQLException;

  public int isNullable( int column ) throws java.sql.SQLException;

  public boolean isSigned( int column ) throws java.sql.SQLException;

  public boolean isReadOnly( int column ) throws java.sql.SQLException;

  public boolean isWritable( int column ) throws java.sql.SQLException;

  public boolean isDefinitelyWritable( int column ) throws java.sql.SQLException;

}

Variables

public int columnNoNulls

Does not allow NULL values.

public int columnNullable

Allows NULL values.

public int columnNullableUnknown

Nullability unknown.

Properties

public int getColumnCount( ) throws java.sql.SQLException

What's the number of columns in the ResultSet?

Return

The number.

Throws

SQLException

If a database-access error occurs.

public int getColumnDisplaySize( int column ) throws java.sql.SQLException

What's the column's normal max width in chars?

Parameter

column

the first column is 1, the second is 2, ...

Return

Max width.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getColumnLabel( int column ) throws java.sql.SQLException

What's the suggested column title for use in printouts and displays?

Parameter

column

the first column is 1, the second is 2, ...

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getColumnName( int column ) throws java.sql.SQLException

What's a column's name?

Parameter

column

the first column is 1, the second is 2, ...

Return

Column name.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getSchemaName( int column ) throws java.sql.SQLException

What's a column's table's schema?

Parameter

column

the first column is 1, the second is 2, ...

Return

Schema name or "" if not applicable.

Throws

SQLException

If a database-access error occurs.

public int getPrecision( int column ) throws java.sql.SQLException

What's a column's number of decimal digits?

Parameter

column

the first column is 1, the second is 2, ...

Return

Precision.

Throws

SQLException

If a database-access error occurs.

public int getScale( int column ) throws java.sql.SQLException

What's a column's number of digits to right of the decimal point?

Parameter

column

the first column is 1, the second is 2, ...

Return

Scale.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getTableName( int column ) throws java.sql.SQLException

What's a column's table name?

Return

Table name or "" if not applicable.

Throws

SQLException

If a database-access error occurs.

public java.lang.String getCatalogName( int column ) throws java.sql.SQLException

What's a column's table's catalog name?

Parameter

column

the first column is 1, the second is 2, ...

Return

Column name or "" if not applicable.

Throws

SQLException

If a database-access error occurs.

public int getColumnType( int column ) throws java.sql.SQLException

What's a column's SQL type?

Parameter

column

the first column is 1, the second is 2, ...

Return

SQL type.

Throws

SQLException

If a database-access error occurs.

See also

Types class [java.sql]

public java.lang.String getColumnTypeName( int column ) throws java.sql.SQLException

What's a column's data source specific type name?

Parameter

column

the first column is 1, the second is 2, ...

Return

Type name.

Throws

SQLException

If a database-access error occurs.

Methods

public boolean isAutoIncrement( int column ) throws java.sql.SQLException

Is the column automatically numbered, thus read-only?

Parameter

column

the first column is 1, the second is 2, ...

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean isCaseSensitive( int column ) throws java.sql.SQLException

Does a column's case matter?

Parameter

column

the first column is 1, the second is 2, ...

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean isSearchable( int column ) throws java.sql.SQLException

Can the column be used in a where clause?

Parameter

column

the first column is 1, the second is 2, ...

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean isCurrency( int column ) throws java.sql.SQLException

Is the column a cash value?

Parameter

column

the first column is 1, the second is 2, ...

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public int isNullable( int column ) throws java.sql.SQLException

Can you put a NULL in this column?

Parameter

column

the first column is 1, the second is 2, ...

Return

ColumnNoNulls, columnNullable or columnNullableUnknown.

Throws

SQLException

If a database-access error occurs.

public boolean isSigned( int column ) throws java.sql.SQLException

Is the column a signed number?

Parameter

column

the first column is 1, the second is 2, ...

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean isReadOnly( int column ) throws java.sql.SQLException

Is a column definitely not writable?

Parameter

column

the first column is 1, the second is 2, ...

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean isWritable( int column ) throws java.sql.SQLException

Is it possible for a write on the column to succeed?

Parameter

column

the first column is 1, the second is 2, ...

Return

True if so.

Throws

SQLException

If a database-access error occurs.

public boolean isDefinitelyWritable( int column ) throws java.sql.SQLException

Will a write on the column definitely succeed?

Parameter

column

the first column is 1, the second is 2, ...

Return

True if so.

Throws

SQLException

If a database-access error occurs.


resume method [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      resume method [java.lang.Thread]

public final void resume( )

Resumes a suspended thread.

First, the checkAccess method of this thread is called with no arguments. This may result in throwing a SecurityException(in the current thread).

If the thread is alive but suspended, it is resumed and is permitted to make progress in its execution.

Throws

SecurityException

If the current thread cannot modify this thread.

See also

checkAccess method [java.lang.Thread]

alive property [java.lang.Thread]

Applies to

 Thread [java.lang]


resume method [java.lang.ThreadGroup] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      resume method [java.lang.ThreadGroup]

public final void resume( )

Resumes all processes in this thread group.

First, the checkAccess method of this thread group is called with no arguments; this may result in a security exception.

This method then calls the resume method on all the threads in this thread group and in all of its sub groups.

Throws

SecurityException

If the current thread is not allowed to access this thread group or any of the threads in the thread group.

See also

SecurityException class [java.lang]

resume method [java.lang.Thread]

checkAccess method [java.lang.ThreadGroup]

Applies to

 ThreadGroup [java.lang]


returnType property [java.lang.reflect.Method] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      returnType property [java.lang.reflect.Method]

public java.lang.Class getReturnType( )

Returns a Class object that represents the formal return type of the method represented by this Method object.

Return

No documentation supplied in JDK.

Applies to

 Method [java.lang.reflect]


reverse method [java.lang.StringBuffer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      reverse method [java.lang.StringBuffer]

public synchronized java.lang.StringBuffer reverse( )

The character sequence contained in this string buffer is replaced by the reverse of the sequence.

Return

This string buffer.

Applies to

 StringBuffer [java.lang]


RGB property [java.awt.Color] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RGB property [java.awt.Color]

public int getRGB( )

Gets the RGB value representing the color in the default RGB ColorModel. The red, green, and blue components of the color are each scaled to be a value between 0 (abscence of the color) and 255 (complete saturation). Bits 24-31 of the returned integer are 0xff, bits 16-23 are the red value, bit 8-15 are the green value, and bits 0-7 are the blue value.

Return

No documentation supplied in JDK.

See also

RGBdefault property [java.awt.image.ColorModel]

red property [java.awt.Color]

green property [java.awt.Color]

blue property [java.awt.Color]

Applies to

 Color [java.awt]

 SystemColor [java.awt]


RGB property [java.awt.image.ColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RGB property [java.awt.image.ColorModel]

public int getRGB( int pixel )

Returns the color of the pixel in the default RGB color model.

Return

No documentation supplied in JDK.

See also

RGBdefault property [java.awt.image.ColorModel]

Applies to

 ColorModel [java.awt.image]

 DirectColorModel [java.awt.image]

 IndexColorModel [java.awt.image]


RGB property [java.awt.image.DirectColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RGB property [java.awt.image.DirectColorModel]

Overloads:

  int getRGB( int pixel ) overrides RGB property [java.awt.image.ColorModel]

public final int getRGB( int pixel )

Returns the color of the pixel in the default RGB color model.

Return

No documentation supplied in JDK.

See also

RGBdefault property [java.awt.image.ColorModel]

Applies to

 DirectColorModel [java.awt.image]


RGB property [java.awt.image.IndexColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RGB property [java.awt.image.IndexColorModel]

Overloads:

  int getRGB( int pixel ) overrides RGB property [java.awt.image.ColorModel]

public final int getRGB( int pixel )

Returns the color of the pixel in the default RGB color model.

Return

No documentation supplied in JDK.

See also

RGBdefault property [java.awt.image.ColorModel]

Applies to

 IndexColorModel [java.awt.image]


RGB property [java.awt.SystemColor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RGB property [java.awt.SystemColor]

Overloads:

  int getRGB( ) overrides RGB property [java.awt.Color]

public int getRGB( )

Gets the "current" RGB value representing the symbolic color. (Bits 24-31 are 0xff, 16-23 are red, 8-15 are green, 0-7 are blue).

Return

No documentation supplied in JDK.

See also

RGBdefault property [java.awt.image.ColorModel]

blue property [java.awt.Color]

green property [java.awt.Color]

red property [java.awt.Color]

Applies to

 SystemColor [java.awt]


RGBdefault property [java.awt.image.ColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RGBdefault property [java.awt.image.ColorModel]

public static java.awt.image.ColorModel getRGBdefault( )

Return a ColorModel which describes the default format for integer RGB values used throughout the AWT image interfaces. The format for the RGB values is an integer with 8 bits each of alpha, red, green, and blue color components ordered correspondingly from the most significant byte to the least significant byte, as in:  0xAARRGGBB

Return

No documentation supplied in JDK.

Applies to

 ColorModel [java.awt.image]

 DirectColorModel [java.awt.image]

 IndexColorModel [java.awt.image]


RGBImageFilter class [java.awt.image] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RGBImageFilter class [java.awt.image]

Object

ImageFilter

RGBImageFilter

Description

This class provides an easy way to create an ImageFilter which modifies the pixels of an image in the default RGB ColorModel.  It is meant to be used in conjunction with a FilteredImageSource object to produce filtered versions of existing images.  It is an abstract class that provides the calls needed to channel all of the pixel data through a single method which converts pixels one at a time in the default RGB ColorModel regardless of the ColorModel being used by the ImageProducer. The only method which needs to be defined to create a useable image filter is the filterRGB method.  Here is an example of a definition of a filter which swaps the red and blue components of an image:

class RedBlueSwapFilter extends RGBImageFilter {

    public RedBlueSwapFilter() {

// The filter's operation does not depend on the

// pixel's location, so IndexColorModels can be

// filtered directly.

canFilterIndexColorModel = true;

    }

    public int filterRGB(int x, int y, int rgb) {

return ((rgb & 0xff00ff00)

| ((rgb & 0xff0000) >> 16)

| ((rgb & 0xff) << 16));

    }

}

Specification

public abstract class RGBImageFilter extends java.awt.image.ImageFilter

Variables

protected java.awt.image.ColorModel origmodel

protected java.awt.image.ColorModel newmodel

protected boolean canFilterIndexColorModel

This boolean indicates whether or not it is acceptable to apply the color filtering of the filterRGB method to the color table entries of an IndexColorModel object in lieu of pixel by pixel filtering.  Subclasses should set this variable to true in their constructor if their filterRGB method does not depend on the coordinate of the pixel being filtered.

Properties

  void setColorModel( java.awt.image.ColorModel model )

Inherited Properties

  native final java.lang.Class getClass( )

  void setDimensions( int width, int height )

  void setHints( int hints )

  void setProperties( java.util.Hashtable props )

Methods

  java.awt.image.IndexColorModel filterIndexColorModel( java.awt.image.IndexColorModel icm )

  abstract int filterRGB( int x, int y, int rgb )

  void filterRGBPixels( int x, int y, int w, int h, int[] pixels, int off, int scansize )

  void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, byte[] pixels, int off, int scansize )

  void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, int[] pixels, int off, int scansize )

  void substituteColorModel( java.awt.image.ColorModel oldcm, java.awt.image.ColorModel newcm )

Inherited Methods

  boolean equals( java.lang.Object obj )

  java.awt.image.ImageFilter getFilterInstance( java.awt.image.ImageConsumer ic )

  native int hashCode( )

  void imageComplete( int status )

  native final void notify( )

  native final void notifyAll( )

  void resendTopDownLeftRight( java.awt.image.ImageProducer ip )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

FilteredImageSource class [java.awt.image]

ImageFilter class [java.awt.image]

RGBdefault property [java.awt.image.ColorModel]


RGBtoHSB method [java.awt.Color] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RGBtoHSB method [java.awt.Color]

public static float[] RGBtoHSB( int r, int g, int b, float[] hsbvals )

Converts the components of a color, as specified by the RGB model, to an equivalent set of values for hue, saturation, and brightness, the three components of the HSB model.

If the hsbvals argument is null, then a new array is allocated to return the result. Otherwise, the method returns the array hsbvals, with the values put into that array.

Parameters

r

the red component of the color.

g

the green component of the color.

b

the blue component of the color.

hsbvals

the array to be used to return the three HSB values, or null.

Return

An array of three elements containing the hue, saturation, and brightness (in that order), of the color with the indicated red, green, and blue components.

See also

RGB property [java.awt.Color]

Applies to

 Color [java.awt]

 SystemColor [java.awt]


rint method [java.lang.Math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      rint method [java.lang.Math]

public static native double rint( double a )

returns the closest integer to the argument.

Parameter

a

a double value.

Return

The closest double value to a that is equal to a mathematical integer. If two double values that are mathematical integers are equally close to the value of the argument, the result is the integer value that is even.

Applies to

 Math [java.lang]


RMIClassLoader class [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RMIClassLoader class [java.rmi.server]

Object

RMIClassLoader

Description

The RMIClassLoader class provides static methods for loading classes over the network.  Classes can be loaded from either a particular URL, or from the URL specified in the java.rmi.server.codebase system property.

Specification

public class RMIClassLoader extends java.lang.Object

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  static java.lang.Object getSecurityContext( java.lang.ClassLoader loader )

  static java.lang.Class loadClass( java.lang.String name ) throws java.net.MalformedURLException, java.lang.ClassNotFoundException

  static java.lang.Class loadClass( java.net.URL codebase, java.lang.String name ) throws java.net.MalformedURLException, java.lang.ClassNotFoundException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


RMIFailureHandler interface [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RMIFailureHandler interface [java.rmi.server]

Description

An RMIFailureHandler can be registered via the RMISocketFactory.setFailureHandler call. The failure method of the handler is invoked when the RMI runtime is unable to create a ServerSocket to listen for incoming calls. The failure method returns a boolean indicating whether the runtime should attempt to re-create the ServerSocket.

Definition

public interface RMIFailureHandler

{

  // Methods

  public boolean failure( java.lang.Exception ex );

}

Methods

public boolean failure( java.lang.Exception ex )

The failure callback is invoked when the RMI runtime is unable to create a ServerSocket via the RMISocketFactory. An RMIFailureHandler is registered via a call to RMISocketFacotry.setFailureHandler.  If no failure handler is installed, the default behavior is to attempt to re-create the ServerSocket.

Parameter

ex

the exception that occurred during ServerSocket creation

Return

If true, the RMI runtime attempts to retry ServerSocket creation.


RMISecurityException class [java.rmi] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RMISecurityException class [java.rmi]

Object

Throwable

Exception

RuntimeException

SecurityException

RMISecurityException

Description

Signals that a security exception has occurred.

Specification

public class RMISecurityException extends java.lang.SecurityException

Constructors

public RMISecurityException( java.lang.String name )

Constructs a RMISecurityException with no detail message. A detail message is a String that describes this particular exception.

public RMISecurityException( java.lang.String name, java.lang.String arg )

Constructs a RMISecurityException with the specified detail message. A detail message is a String that describes this particular exception.

Parameter

s

the detail message

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


RMISecurityManager class [java.rmi] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RMISecurityManager class [java.rmi]

Object

SecurityManager

RMISecurityManager

Description

This class defines a default security policy for RMI applications (not applets).  For code loaded from a class loader, the security manager disables all functions except class definition and access.  This class may be subclassed to implement a different policy.  To set a RMISecurityManager, add the following to an application's main() method:
System.setSecurityManager(new RMISecurityManager()); If no security manager has been set, RMI will only load classes from local system files as defined by CLASSPATH.

Specification

public class RMISecurityManager extends java.lang.SecurityManager

Constructor

public RMISecurityManager( )

Construct and initialize.

Properties

  java.lang.Object getSecurityContext( )

Inherited Properties

  native final java.lang.Class getClass( )

  boolean getInCheck( )

  java.lang.ThreadGroup getThreadGroup( )

Protected Properties

 protected native java.lang.Class[] getClassContext( )

Methods

  synchronized void checkAccept( java.lang.String host, int port )

  synchronized void checkAccess( java.lang.Thread t )

  synchronized void checkAccess( java.lang.ThreadGroup g )

  void checkAwtEventQueueAccess( )

  synchronized void checkConnect( java.lang.String host, int port )

  void checkConnect( java.lang.String host, int port, java.lang.Object context )

  synchronized void checkCreateClassLoader( )

  void checkDelete( java.lang.String file )

  synchronized void checkExec( java.lang.String cmd )

  synchronized void checkExit( int status )

  synchronized void checkLink( java.lang.String lib )

  synchronized void checkListen( int port )

  void checkMemberAccess( java.lang.Class clazz, int which )

  void checkMulticast( java.net.InetAddress maddr, byte ttl )

  void checkMulticast( java.net.InetAddress maddr )

  synchronized void checkPackageAccess( java.lang.String pkg )

  synchronized void checkPackageDefinition( java.lang.String pkg )

  void checkPrintJobAccess( )

  synchronized void checkPropertiesAccess( )

  synchronized void checkPropertyAccess( java.lang.String key )

  synchronized void checkRead( java.io.FileDescriptor fd )

  void checkRead( java.lang.String file, java.lang.Object context )

  synchronized void checkRead( java.lang.String file )

  void checkSecurityAccess( java.lang.String provider )

  synchronized void checkSetFactory( )

  void checkSystemClipboardAccess( )

  synchronized boolean checkTopLevelWindow( java.lang.Object window )

  synchronized void checkWrite( java.lang.String file )

  synchronized void checkWrite( java.io.FileDescriptor fd )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native int classDepth( java.lang.String name )

 protected native int classLoaderDepth( )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected native java.lang.ClassLoader currentClassLoader( )

 protected java.lang.Class currentLoadedClass( )

 protected void finalize( ) throws java.lang.Throwable

 protected boolean inClass( java.lang.String name )

 protected boolean inClassLoader( )


RMISocketFactory class [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RMISocketFactory class [java.rmi.server]

Object

RMISocketFactory

Description

The RMISocketFactory is used by the RMI runtime in order to obtain client and server sockets for RMI calls. The default implementation of the socket factory performs a three-tiered approach to creating client sockets. First, a direct socket connection to the remote VM is attempted.  If that fails (due to a firewall), the runtime uses HTTP with the explicit port number of the server.  If the firewall does not allow this type of communication, then HTTP to a cgi-bin script on the server is used to POST the RMI call. An application may set the source of sockets for RMI. In this case, the application is responsible for offering up sockets that will penetrate a firewall.

Specification

public abstract class RMISocketFactory extends java.lang.Object

Properties

  static java.rmi.server.RMIFailureHandler getFailureHandler( )

  static void setFailureHandler( java.rmi.server.RMIFailureHandler fh )

  static java.rmi.server.RMISocketFactory getSocketFactory( )

  static void setSocketFactory( java.rmi.server.RMISocketFactory fac ) throws java.io.IOException

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  abstract java.net.ServerSocket createServerSocket( int port ) throws java.io.IOException

  abstract java.net.Socket createSocket( java.lang.String host, int port ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


roll method [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      roll method [java.util.Calendar]

public abstract void roll( int field, boolean up )

Time Field Rolling function. Rolls (up/down) a single unit of time on the given time field. For example, to roll the current date up by one day, you can achieve it by calling:

roll(Calendar.DATE, true). When rolling on the year or Calendar.YEAR field, it will roll the year value in the range between 1 and the value returned by calling getMaximum(Calendar.YEAR). When rolling on the month or Calendar.MONTH field, other fields like date might conflict and, need to be changed. For instance, rolling the month on the date 01/31/96 will result in 03/02/96. When rolling on the hour-in-day or Calendar.HOUR_OF_DAY field, it will roll the hour value in the range between 0 and 23, which is zero-based.

Parameters

field

the time field.

up

indicates if the value of the specified time field is to be rolled up or rolled down. Use true if rolling up, false otherwise.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


roll method [java.util.GregorianCalendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      roll method [java.util.GregorianCalendar]

Overloads:

 void roll( int field, boolean up ) overrides roll method [java.util.Calendar]

public void roll( int field, boolean up )

Overrides Calendar Time Field Rolling function. Rolls (up/down) a single unit of time on the given time field.

Parameters

field

the time field.

up

Indicates if rolling up or rolling down the field value.

Throws

IllegalArgumentException

If an unknown field value is given.

Applies to

 GregorianCalendar [java.util]


round method [java.lang.Math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      round method [java.lang.Math]

Overloads:

 int round( float a )

 long round( double a )

public static int round( float a )

Returns the closest int to the argument.

If the argument is negative infinity or any value less than or equal to the value of Integer.MIN_VALUE, the result is equal to the value of Integer.MIN_VALUE.

If the argument is positive infinity or any value greater than or equal to the value of Integer.MAX_VALUE, the result is equal to the value of Integer.MAX_VALUE.

Parameter

a

a float value.

Return

The value of the argument rounded to the nearest int value.

public static long round( double a )

Returns the closest long to the argument.

If the argument is negative infinity or any value less than or equal to the value of Long.MIN_VALUE, the result is equal to the value of Long.MIN_VALUE.

If the argument is positive infinity or any value greater than or equal to the value of Long.MAX_VALUE, the result is equal to the value of Long.MAX_VALUE.

Parameter

a

a double value.

Return

The value of the argument rounded to the nearest long value.

Applies to

 Math [java.lang]


rows property [java.awt.GridLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      rows property [java.awt.GridLayout]

public int getRows( )

Gets the number of rows in this layout.

Return

The number of rows in this layout.

public void setRows( int rows )

Sets the number of rows in this layout to the specified value.

Parameter

rows

the number of rows in this layout.

Throws

IllegalArgumentException

If the value of both rows and cols is set to zero.

Applies to

 GridLayout [java.awt]


rows property [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      rows property [java.awt.List]

public int getRows( )

Get the number of visible lines in this list.

Return

The number of visible lines in this scrolling list.

Applies to

 List [java.awt]


rows property [java.awt.TextArea] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      rows property [java.awt.TextArea]

public int getRows( )

Gets the number of rows in the text area.

Return

The number of rows in the text area.

See also

columns property [java.awt.TextArea]

public void setRows( int rows )

Sets the number of rows for this text area.

Parameter

rows

the number of rows.

Throws

IllegalArgumentException

If the value supplied for rows is less than zero.

See also

columns property [java.awt.TextArea]

Applies to

 TextArea [java.awt]


RuleBasedCollator class [java.text] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RuleBasedCollator class [java.text]

Object

Collator

RuleBasedCollator

Description

The RuleBasedCollator class is a concrete subclass of Collator that provides a simple, data-driven, table collator. With this class you can create a customized table-based Collator. RuleBasedCollator maps characters to sort keys.

RuleBasedCollator has the following restrictions for efficiency (other subclasses may be used for more complex languages) :

•	If a French secondary ordering is specified it applies to the whole collator object.

•	All non-mentioned Unicode characters are at the end of the collation order.

•	Private use characters are treated as identical.  The private use area in Unicode is 0xE800-0xF8FF.

The collation table is composed of a list of collation rules, where each rule is of three forms:

  < modifier >

  < relation > < text-argument >

  < reset > < text-argument >

The following demonstrates how to create your own collation rules:

•	Text-Argument : A text-argument is any sequence of characters, excluding special characters (that is, whitespace characters and the characters used in modifier, relation and reset). If those characters are desired, you can put them in single quotes (e.g. ampersand => '&').  Note that unquoted white space characters are ignored; e.g. b c is treated as bc.

•	Modifier : There is a single modifier which is used to specify that all accents (secondary differences) are backwards.

'@' : Indicates that accents are sorted backwards, as in French.

•	Relation : The relations are the following:

•	'<' : Greater, as a letter difference (primary)

•	';' : Greater, as an accent difference (secondary)

•	',' : Greater, as a case difference (tertiary)

•	'=' : Equal

•	Reset : There is a single reset which is used primarily for contractions and expansions, but which can also be used to add a modification at the end of a set of rules.

'&' : Indicates that the next rule follows the position to where the reset text-argument would be sorted.

This sounds more complicated than it is in practice. For example, the following are equivalent ways of expressing the same thing:

a < b < c

a < b & b < c

a < c & a < b

 Notice that the order is important, as the subsequent item goes immediately after the text-argument. The following are not equivalent:

a < b & a < c

a < c & a < b

 Either the text-argument must already be present in the sequence, or some initial substring of the text-argument must be present. (e.g. "a < b & ae < e" is valid since "a" is present in the sequence before "ae" is reset). In this latter case, "ae" is not entered and treated as a single character; instead, "e" is sorted as if it were expanded to two characters: "a" followed by an "e". This difference appears in natural languages: in traditional Spanish "ch" is treated as though it contracts to a single character (expressed as "c < ch < d"), while in traditional German "ä" (a-umlaut) is treated as though it expands to two characters (expressed as "a & ae ; ä < b").

Ignorable Characters

For ignorable characters, the first rule must start with a relation (the examples we have used above are really fragments; "a < b" really should be "< a < b"). If, however, the first relation is not "<", then all the all text-arguments up to the first "<" are ignorable. For example, ", - < a < b" makes "-" an ignorable character, as we saw earlier in the word "black-birds". In the samples for different languages, you see that most accents are ignorable.

Normalization and Accents

The Collator object automatically normalizes text internally to separate accents from base characters where possible. This is done both when processing the rules, and when comparing two strings. Collator also uses the Unicode canonical mapping to ensure that combining sequences are sorted properly (for more information, see  The Unicode Standard, Version 2.0 .)

Errors

The following are errors:

•	A text-argument contains unquoted punctuation symbols (e.g. "a < b-c < d").

•	A relation or reset character not followed by a text-argument (e.g. "a < , b").

•	A reset where the text-argument (or an initial substring of the text-argument) is not already in the sequence. (e.g. "a < b & e < f")

If you produce one of these errors, a RuleBasedCollator throws a ParseException.

Examples

Simple:     "< a < b < c < d"

Norwegian:  "< a,A< b,B< c,C< d,D< e,E< f,F< g,G< h,H< i,I< j,J < k,K< l,L< m,M< n,N< o,O< p,P< q,Q< r,R< s,S< t,T < u,U< v,V< w,W< x,X< y,Y< z,Z < \u00E5=a\u030A,\u00C5=A\u030A ;aa,AA< \u00E6,\u00C6< \u00F8,\u00D8"

Normally, to create a rule-based Collator object, you will use Collator's factory method getInstance. However, to create a rule-based Collator object with specialized rules tailored to your needs, you construct the RuleBasedCollator with the rules contained in a String object. For example:

String Simple = "< a < b < c < d";

RuleBasedCollator mySimple = new RuleBasedCollator(Simple);

 Or:

String Norwegian = "< a,A< b,B< c,C< d,D< e,E< f,F< g,G< h,H< i,I< j,J" +

               "< k,K< l,L< m,M< n,N< o,O< p,P< q,Q< r,R< s,S< t,T" +

               "< u,U< v,V< w,W< x,X< y,Y< z,Z" +

               "< \u00E5=a\u030A,\u00C5=A\u030A" +

               ";aa,AA< \u00E6,\u00C6< \u00F8,\u00D8";

RuleBasedCollator myNorwegian = new RuleBasedCollator(Norwegian);

Combining Collators is as simple as concatenating strings. Here's an example that combines two Collators from two different locales:

// Create an en_US Collator object

RuleBasedCollator en_USCollator = (RuleBasedCollator)

   Collator.getInstance(new Locale("en", "US", ""));

// Create a da_DK Collator object

RuleBasedCollator da_DKCollator = (RuleBasedCollator)

   Collator.getInstance(new Locale("da", "DK", ""));

// Combine the two

// First, get the collation rules from en_USCollator

String en_USRules = en_USCollator.getRules();

// Second, get the collation rules from da_DKCollator

String da_DKRules = da_DKCollator.getRules();

RuleBasedCollator newCollator =

   new RuleBasedCollator(en_USRules + da_DKRules);

// newCollator has the combined rules

Another more interesting example would be to make changes on an existing table to create a new Collator object.  For example, add "& C < ch, cH, Ch, CH" to the en_USCollator object to create your own:

// Create a new Collator object with additional rules

String addRules = "& C < ch, cH, Ch, CH";

RuleBasedCollator myCollator =

   new RuleBasedCollator(en_USCollator + addRules);

// myCollator contains the new rules

The following example demonstrates how to change the order of non-spacing accents,

// old rule

String oldRules = "=\u0301;\u0300;\u0302;\u0308"    // main accents

               + ";\u0327;\u0303;\u0304;\u0305"    // main accents

               + ";\u0306;\u0307;\u0309;\u030A"    // main accents

               + ";\u030B;\u030C;\u030D;\u030E"    // main accents

               + ";\u030F;\u0310;\u0311;\u0312"    // main accents

               + "< a , A ; ae, AE ; \u00e6 , \u00c6"

               + "< b , B < c, C < e, E & C < d, D";

// change the order of accent characters

String addOn = "& \u0300 ; \u0308 ; \u0302";

RuleBasedCollator myCollator = new RuleBasedCollator(oldRules + addOn);

The last example shows how to put new primary ordering in before the default setting. For example, in Japanese Collator, you can either sort English characters before or after Japanese characters,

// get en_US Collator rules

RuleBasedCollator en_USCollator = (RuleBasedCollator)Collator.getInstance(Locale.US);

// add a few Japanese character to sort before English characters

// suppose the last character before the first base letter 'a' in

// the English collation rule is \u2212

String jaString = "& \u2212 < \u3041, \u3042 < \u3043, \u3044";

RuleBasedCollator myJapaneseCollator = new

   RuleBasedCollator(en_USCollator.getRules() + jaString);

Specification

public class RuleBasedCollator extends java.text.Collator

Constructor

public RuleBasedCollator( java.lang.String rules ) throws java.text.ParseException

RuleBasedCollator constructor.  This takes the table rules and builds a collation table out of them.  Please see RuleBasedCollator class description for more details on the collation rule syntax.

Parameter

rules

the collation rules to build the collation table from.

Throws

ParseException

A format exception will be thrown if the build process of the rules fails. For example, build rule "a < ? < d" will cause the constructor to throw the ParseException because the '?' is not quoted.

See also

Locale class [java.util]

Properties

  java.lang.String getRules( )

Inherited Properties

  static synchronized java.util.Locale[] getAvailableLocales( )

  native final java.lang.Class getClass( )

  synchronized int getDecomposition( )

  synchronized void setDecomposition( int decompositionMode )

  static synchronized java.text.Collator getInstance( )

  synchronized int getStrength( )

  synchronized void setStrength( int newStrength )

Methods

  java.lang.Object clone( )

  int compare( java.lang.String source, java.lang.String target )

  boolean equals( java.lang.Object obj )

  java.text.CollationElementIterator getCollationElementIterator( java.lang.String source )

  java.text.CollationKey getCollationKey( java.lang.String source )

  int hashCode( )

Inherited Methods

  boolean equals( java.lang.String source, java.lang.String target )

  static synchronized java.text.Collator getInstance( java.util.Locale desiredLocale )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable

See also

Collator class [java.text]

CollationElementIterator class [java.text]


rules property [java.text.RuleBasedCollator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      rules property [java.text.RuleBasedCollator]

public java.lang.String getRules( )

Gets the table-based rules for the collation object.

Return

Returns the collation rules that the table collation object was created from.

Applies to

 RuleBasedCollator [java.text]


run method [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      run method [java.lang.Thread]

public void run( )

If this thread was constructed using a separate Runnable run object, then that Runnable object's run method is called; otherwise, this method does nothing and returns.

Subclasses of Thread should override this method.

See also

start method [java.lang.Thread]

stop method [java.lang.Thread]

Runnable interface [java.lang]

Applies to

 Thread [java.lang]


runFinalization method [java.lang.Runtime] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      runFinalization method [java.lang.Runtime]

public native void runFinalization( )

Runs the finalization methods of any objects pending finalization. Calling this method suggests that the Java Virtual Machine expend effort toward running the finalize methods of objects that have been found to be discarded but whose finalize methods have not yet been run. When control returns from the method call, the Java Virtual Machine has made a best effort to complete all outstanding finalizations.

The Java Virtual Machine performs the finalization process automatically as needed if the runFinalization method is not invoked explicitly.

See also

finalize method [java.lang.Object]

Applies to

 Runtime [java.lang]


runFinalization method [java.lang.System] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      runFinalization method [java.lang.System]

public static void runFinalization( )

Runs the finalization methods of any objects pending finalization.

Calling this method suggests that the Java Virtual Machine expend effort toward running the finalize methods of objects that have been found to be discarded but whose finalize methods have not yet been run. When control returns from the method call, the Java Virtual Machine has made a best effort to complete all outstanding finalizations.

See also

runFinalization method [java.lang.Runtime]

Applies to

 System [java.lang]


runFinalizersOnExit method [java.lang.Runtime] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      runFinalizersOnExit method [java.lang.Runtime]

public static void runFinalizersOnExit( boolean value )

Enable or disable finalization on exit; doing so specifies that the finalizers of all objects that have finalizers that have not yet been automatically invoked are to be run before the Java runtime exits. By default, finalization on exit is disabled.  An invocation of the runFinalizersOnExit method is permitted only if the caller is allowed to exit, and is otherwise rejected by the security manager.

See also

gc method [java.lang.Runtime]

exit method [java.lang.Runtime]

Applies to

 Runtime [java.lang]


runFinalizersOnExit method [java.lang.System] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      runFinalizersOnExit method [java.lang.System]

public static void runFinalizersOnExit( boolean value )

Enable or disable finalization on exit; doing so specifies that the finalizers of all objects that have finalizers that have not yet been automatically invoked are to be run before the Java runtime exits. By default, finalization on exit is disabled.

See also

exit method [java.lang.Runtime]

gc method [java.lang.Runtime]

Applies to

 System [java.lang]


Runnable interface [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      Runnable interface [java.lang]

Description

The Runnable interface should be implemented by any class whose instances are intended to be executed by a thread. The class must define a method of no arguments called run.

This interface is designed to provide a common protocol for objects that wish to execute code while they are active. For example, Runnable is implemented by class Thread. Being active simply means that a thread has been started and has not yet been stopped.

In addition, Runnable provides the means for a class to be active while not subclassing Thread. A class that implements Runnable can run without subclassing Thread by instantiating a Thread instance and passing itself in as the target.  In most cases, the Runnable interface should be used if you are only planning to override the run() method and no other Thread methods. This is important because classes should not be subclassed unless the programmer intends on modifying or enhancing the fundamental behavior of the class.

Definition

public interface Runnable

{

  // Methods

  public abstract void run( );

}

Methods

public abstract void run( )

When an object implementing interface Runnable is used to create a thread, starting the thread causes the object's run method to be called in that separately executing thread.

See also

run method [java.lang.Thread]

Implemented by

Thread [java.lang]

See also

Thread class [java.lang]


Runtime class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      Runtime class [java.lang]

Object

Runtime

Specification

public class Runtime extends java.lang.Object

Properties

  static java.lang.Runtime getRuntime( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.Process exec( java.lang.String command, java.lang.String[] envp ) throws java.io.IOException

  java.lang.Process exec( java.lang.String[] cmdarray ) throws java.io.IOException

  java.lang.Process exec( java.lang.String command ) throws java.io.IOException

  java.lang.Process exec( java.lang.String[] cmdarray, java.lang.String[] envp ) throws java.io.IOException

  void exit( int status )

  native long freeMemory( )

  native void gc( )

  java.io.InputStream getLocalizedInputStream( java.io.InputStream in )

  java.io.OutputStream getLocalizedOutputStream( java.io.OutputStream out )

  synchronized void load( java.lang.String filename )

  synchronized void loadLibrary( java.lang.String libname )

  native void runFinalization( )

  static void runFinalizersOnExit( boolean value )

  native long totalMemory( )

  native void traceInstructions( boolean on )

  native void traceMethodCalls( boolean on )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


runtime property [java.lang.Runtime] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      runtime property [java.lang.Runtime]

public static java.lang.Runtime getRuntime( )

Returns the runtime object associated with the current Java application.

Return

The Runtime object associated with the current Java application.

Applies to

 Runtime [java.lang]


RuntimeException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     R
      RuntimeException class [java.lang]

Object

Throwable

Exception

RuntimeException

Description

RuntimeException is the superclass of those exceptions that can be thrown during the normal operation of the Java Virtual Machine.

A method is not required to declare in its throws clause any subclasses of RuntimeException that might be thrown during the execution of the method but not caught.

Specification

public class RuntimeException extends java.lang.Exception

Constructors

public RuntimeException( )

Constructs a RuntimeException with no detail  message.

public RuntimeException( java.lang.String s )

Constructs a RuntimeException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


S  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    S

 sameFile method [java.net.URL]

 save method [java.awt.AWTEventMulticaster]

 save method [java.util.Properties]

 saveInternal method [java.awt.AWTEventMulticaster]

 scale method [java.math.BigDecimal]

 scope property [java.security.Identity]

 screenResolution property [java.awt.Toolkit]

 screenSize property [java.awt.Toolkit]

 Scrollbar class [java.awt]

 scrollbarDisplayPolicy property [java.awt.ScrollPane]

 ScrollbarPeer interface [java.awt.peer]

 scrollbarVisibility property [java.awt.TextArea]

 ScrollPane class [java.awt]

 ScrollPanePeer interface [java.awt.peer]

 scrollPosition property [java.awt.ScrollPane]

 search method [java.util.Stack]

 secondaryOrder method [java.text.CollationElementIterator]

 seconds property [java.sql.Date]

 seconds property [java.util.Date]

 SecureRandom class [java.security]

 Security class [java.security]

 securityContext property [java.lang.SecurityManager]

 securityContext property [java.rmi.RMISecurityManager]

 SecurityException class [java.lang]

 SecurityManager class [java.lang]

 securityManager property [java.lang.System]

 seed property [java.security.SecureRandom]

 seed property [java.util.Random]

 seek method [java.io.RandomAccessFile]

 select method [java.awt.Choice]

 select method [java.awt.List]

 select method [java.awt.TextComponent]

 selectAll method [java.awt.TextComponent]

 selectedCheckbox property [java.awt.CheckboxGroup]

 selectedIndex property [java.awt.Choice]

 selectedIndex property [java.awt.List]

 selectedIndexes property [java.awt.List]

 selectedItem property [java.awt.Choice]

 selectedItem property [java.awt.List]

 selectedItems property [java.awt.List]

 selectedObjects property [java.awt.Checkbox]

 selectedObjects property [java.awt.CheckboxMenuItem]

 selectedObjects property [java.awt.Choice]

 selectedObjects property [java.awt.List]

 selectedText property [java.awt.TextComponent]

 selectionEnd property [java.awt.TextComponent]

 selectionStart property [java.awt.TextComponent]

 send method [java.net.DatagramSocket]

 send method [java.net.DatagramSocketImpl]

 send method [java.net.MulticastSocket]

 sentenceInstance property [java.text.BreakIterator]

 SequenceInputStream class [java.io]

 Serializable interface [java.io]

 serialVersionUID property [java.io.ObjectStreamClass]

 ServerCloneException class [java.rmi.server]

 ServerError class [java.rmi]

 ServerException class [java.rmi]

 ServerNotActiveException class [java.rmi.server]

 ServerRef interface [java.rmi.server]

 ServerRuntimeException class [java.rmi]

 ServerSocket class [java.net]

 set method [java.lang.reflect.Array]

 set method [java.lang.reflect.Field]

 set method [java.net.URL]

 set method [java.util.BitSet]

 set method [java.util.Calendar]

 setBit method [java.math.BigInteger]

 setBoolean method [java.lang.reflect.Array]

 setBoolean method [java.lang.reflect.Field]

 setBounds method [java.awt.Component]

 setBounds method [java.awt.Rectangle]

 setByte method [java.lang.reflect.Array]

 setByte method [java.lang.reflect.Field]

 setChanged method [java.util.Observable]

 setChar method [java.lang.reflect.Array]

 setChar method [java.lang.reflect.Field]

 setChoices method [java.text.ChoiceFormat]

 setClip method [java.awt.Graphics]

 setConstraints method [java.awt.GridBagLayout]

 setContents method [java.awt.datatransfer.Clipboard]

 setDefaultRequestProperty method [java.net.URLConnection]

 setDictionary method [java.util.zip.Deflater]

 setDictionary method [java.util.zip.Inflater]

 setDouble method [java.lang.reflect.Array]

 setDouble method [java.lang.reflect.Field]

 setElementAt method [java.util.Vector]

 setEndRule method [java.util.SimpleTimeZone]

 setError method [java.io.PrintStream]

 setError method [java.io.PrintWriter]

 setFloat method [java.lang.reflect.Array]

 setFloat method [java.lang.reflect.Field]

 setIndex method [java.text.StringCharacterIterator]

 setInput method [java.util.zip.Deflater]

 setInput method [java.util.zip.Inflater]

 setInt method [java.lang.reflect.Array]

 setInt method [java.lang.reflect.Field]

 setLong method [java.lang.reflect.Array]

 setLong method [java.lang.reflect.Field]

 setPaintMode method [java.awt.Graphics]

 setParameter method [java.security.Signature]

 setPixels method [java.awt.image.AreaAveragingScaleFilter]

 setPixels method [java.awt.image.CropImageFilter]

 setPixels method [java.awt.image.ImageFilter]

 setPixels method [java.awt.image.PixelGrabber]

 setPixels method [java.awt.image.ReplicateScaleFilter]

 setPixels method [java.awt.image.RGBImageFilter]

 setProperty method [java.security.Security]

 setRef method [java.rmi.server.RemoteStub]

 setRequestProperty method [java.net.URLConnection]

 setScale method [java.math.BigDecimal]

 setShort method [java.lang.reflect.Array]

 setShort method [java.lang.reflect.Field]

 setSigners method [java.lang.ClassLoader]

 setSoLinger method [java.net.Socket]

 setStartRule method [java.util.SimpleTimeZone]

 setURL method [java.net.URLStreamHandler]

 setValue method [java.beans.FeatureDescriptor]

 setValues method [java.awt.Scrollbar]

 Shape interface [java.awt]

 shiftDown method [java.awt.Event]

 shiftDown property [java.awt.event.InputEvent]

 shiftLeft method [java.math.BigInteger]

 shiftRight method [java.math.BigInteger]

 Short class [java.lang]

 shortcut property [java.awt.MenuItem]

 shortcuts method [java.awt.MenuBar]

 shortDescription property [java.beans.FeatureDescriptor]

 shortMonths property [java.text.DateFormatSymbols]

 shortValue method [java.lang.Byte]

 shortValue method [java.lang.Double]

 shortValue method [java.lang.Float]

 shortValue method [java.lang.Integer]

 shortValue method [java.lang.Long]

 shortValue method [java.lang.Number]

 shortValue method [java.lang.Short]

 shortWeekdays property [java.text.DateFormatSymbols]

 show method [java.awt.CardLayout]

 show method [java.awt.Component]

 show method [java.awt.Dialog]

 show method [java.awt.PopupMenu]

 show method [java.awt.Window]

 showing property [java.awt.Component]

 showing property [java.awt.Window]

 showStatus method [java.applet.Applet]

 sign method [java.security.Signature]

 Signature class [java.security]

 SignatureException class [java.security]

 Signer class [java.security]

 signers property [java.lang.Class]

 signum method [java.math.BigDecimal]

 signum method [java.math.BigInteger]

 SimpleBeanInfo class [java.beans]

 SimpleDateFormat class [java.text]

 SimpleTimeZone class [java.util]

 sin method [java.lang.Math]

 size method [java.awt.Component]

 size method [java.io.ByteArrayOutputStream]

 size method [java.io.CharArrayWriter]

 size method [java.io.DataOutputStream]

 size method [java.security.IdentityScope]

 size method [java.util.BitSet]

 size method [java.util.Dictionary]

 size method [java.util.Hashtable]

 size method [java.util.Vector]

 size property [java.awt.Component]

 size property [java.awt.Dimension]

 size property [java.awt.Font]

 size property [java.awt.Rectangle]

 size property [java.util.Vector]

 size property [java.util.zip.ZipEntry]

 Skeleton interface [java.rmi.server]

 SkeletonMismatchException class [java.rmi.server]

 SkeletonNotFoundException class [java.rmi.server]

 skip method [java.io.BufferedInputStream]

 skip method [java.io.BufferedReader]

 skip method [java.io.ByteArrayInputStream]

 skip method [java.io.CharArrayReader]

 skip method [java.io.FileInputStream]

 skip method [java.io.FilterInputStream]

 skip method [java.io.FilterReader]

 skip method [java.io.InputStream]

 skip method [java.io.LineNumberInputStream]

 skip method [java.io.LineNumberReader]

 skip method [java.io.Reader]

 skip method [java.io.StringBufferInputStream]

 skip method [java.io.StringReader]

 skip method [java.util.zip.CheckedInputStream]

 skip method [java.util.zip.InflaterInputStream]

 skip method [java.util.zip.ZipInputStream]

 skipBytes method [java.io.DataInputStream]

 skipBytes method [java.io.ObjectInputStream]

 skipBytes method [java.io.RandomAccessFile]

 slashSlashComments method [java.io.StreamTokenizer]

 slashStarComments method [java.io.StreamTokenizer]

 sleep method [java.lang.Thread]

 Socket class [java.net]

 SocketException class [java.net]

 socketFactory property [java.net.ServerSocket]

 socketFactory property [java.rmi.server.RMISocketFactory]

 SocketImpl class [java.net]

 SocketImplFactory interface [java.net]

 socketImplFactory property [java.net.Socket]

 SocketSecurityException class [java.rmi.server]

 soLinger property [java.net.Socket]

 soTimeout property [java.net.DatagramSocket]

 soTimeout property [java.net.ServerSocket]

 soTimeout property [java.net.Socket]

 source property [java.awt.Image]

 source property [java.util.EventObject]

 sourceString property [java.text.CollationKey]

 SQLException class [java.sql]

 SQLState property [java.sql.SQLException]

 SQLWarning class [java.sql]

 sqrt method [java.lang.Math]

 Stack class [java.util]

 StackOverflowError class [java.lang]

 start method [java.applet.Applet]

 start method [java.lang.Thread]

 startGrabbing method [java.awt.image.PixelGrabber]

 startProduction method [java.awt.image.FilteredImageSource]

 startProduction method [java.awt.image.MemoryImageSource]

 startsWith method [java.lang.String]

 startYear property [java.util.SimpleTimeZone]

 state property [java.awt.Checkbox]

 state property [java.awt.CheckboxMenuItem]

 stateChange property [java.awt.event.ItemEvent]

 Statement interface [java.sql]

 status method [java.awt.image.PixelGrabber]

 status property [java.awt.image.PixelGrabber]

 statusAll method [java.awt.MediaTracker]

 statusID method [java.awt.MediaTracker]

 stop method [java.applet.Applet]

 stop method [java.lang.Thread]

 stop method [java.lang.ThreadGroup]

 strategy property [java.util.zip.Deflater]

 StreamCorruptedException class [java.io]

 StreamTokenizer class [java.io]

 strength property [java.text.Collator]

 String class [java.lang]

 StringBuffer class [java.lang]

 StringBufferInputStream class [java.io]

 StringCharacterIterator class [java.text]

 StringIndexOutOfBoundsException class [java.lang]

 StringReader class [java.io]

 StringSelection class [java.awt.datatransfer]

 StringTokenizer class [java.util]

 stringWidth method [java.awt.FontMetrics]

 StringWriter class [java.io]

 stub property [java.applet.Applet]

 StubNotFoundException class [java.rmi]

 style property [java.awt.Font]

 substituteColorModel method [java.awt.image.RGBImageFilter]

 substring method [java.lang.String]

 subtract method [java.math.BigDecimal]

 subtract method [java.math.BigInteger]

 superclass property [java.lang.Class]

 supportsCustomEditor method [java.beans.PropertyEditorSupport]

 suspend method [java.lang.Thread]

 suspend method [java.lang.ThreadGroup]

 sync method [java.awt.Toolkit]

 sync method [java.io.FileDescriptor]

 SyncFailedException class [java.io]

 System class [java.lang]

 systemClipboard property [java.awt.Toolkit]

 SystemColor class [java.awt]

 systemEventQueue property [java.awt.Toolkit]

 systemEventQueueImpl property [java.awt.Toolkit]

 systemScope property [java.security.IdentityScope]


sameFile method [java.net.URL] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      sameFile method [java.net.URL]

public boolean sameFile( java.net.URL other )

Compares two URLs, excluding the "ref" fields. Returns true if this URL and the other argument both refer to the same resource. The two URLs might not both contain the same anchor.

Parameter

other

the URL to compare against.

Return

true if they reference the same remote object; false otherwise.

Applies to

 URL [java.net]


save method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      save method [java.awt.AWTEventMulticaster]

protected static void save( java.io.ObjectOutputStream s, java.lang.String k, java.util.EventListener l ) throws java.io.IOException

Applies to

 AWTEventMulticaster [java.awt]


save method [java.util.Properties] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      save method [java.util.Properties]

public synchronized void save( java.io.OutputStream out, java.lang.String header )

Stores this property list to the specified output stream. The string header is printed as a comment at the beginning of the stream.

Parameters

out

an output stream.

header

a description of the property list.

Applies to

 Properties [java.util]

 Provider [java.security]


saveInternal method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      saveInternal method [java.awt.AWTEventMulticaster]

protected void saveInternal( java.io.ObjectOutputStream s, java.lang.String k ) throws java.io.IOException

Applies to

 AWTEventMulticaster [java.awt]


scale method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      scale method [java.math.BigDecimal]

public int scale( )

Returns the scale of this number.

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


scope property [java.security.Identity] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      scope property [java.security.Identity]

public final java.security.IdentityScope getScope( )

Returns this identity's scope.

Return

The scope of this identity.

Applies to

 Identity [java.security]

 IdentityScope [java.security]

 Signer [java.security]


screenResolution property [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      screenResolution property [java.awt.Toolkit]

public abstract int getScreenResolution( )

Returns the screen resolution in dots-per-inch.

Return

This toolkit's screen resolution, in dots-per-inch.

Applies to

 Toolkit [java.awt]


screenSize property [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      screenSize property [java.awt.Toolkit]

public abstract java.awt.Dimension getScreenSize( )

Gets the size of the screen.

Return

The size of this toolkit's screen, in pixels.

Applies to

 Toolkit [java.awt]


Scrollbar class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      Scrollbar class [java.awt]

Object

Component

Scrollbar

Description

The Scrollbar class embodies a scroll bar, a familiar user-interface object. A scroll bar provides a convenient means for allowing a user to select from a range of values. The following three vertical scroll bars could be used as slider controls to pick the red, green, and blue components of a color:

Each scroll bar in this example could be created with code similar to the following:

redSlider=new Scrollbar(Scrollbar.VERTICAL, 0, 1, 0, 255);

add(redSlider);

Alternatively, a scroll bar can represent a range of values. For example, if a scroll bar is used for scrolling through text, the width of the "bubble" or "thumb" can represent the amount of text that is visible. Here is an example of a scroll bar that represents a range:

The value range represented by the bubble is the visible range of the scroll bar. The horizontal scroll bar in this example could be created with code like the following:

ranger = new Scrollbar(Scrollbar.HORIZONTAL, 0, 64, 0, 255);

add(ranger);

Note that the maximum value above, 255, is the maximum value for the scroll bar's bubble. The actual width of the scroll bar's track is 255 + 64. When the scroll bar is set to its maximum value, the left side of the bubble is at 255, and the right side is at 255 + 64.

Normally, the user changes the value of the scroll bar by making a gesture with the mouse. For example, the user can drag the scroll bar's bubble up and down, or click in the scroll bar's unit increment or block increment areas. Keyboard gestures can also be mapped to the scroll bar. By convention, the Page Up and Page Down keys are equivalent to clicking in the scroll bar's block increment and block decrement areas.

When the user changes the value of the scroll bar, the scroll bar receives an instance of AdjustmentEvent. The scroll bar processes this event, passing it along to any registered listeners.

Any object that wishes to be notified of changes to the scroll bar's value should implement AdjustmentListener, an interface defined in the package java.awt.event. Listeners can be added and removed dynamically by calling the methods addAdjustmentListener and removeAdjustmentListener.

The AdjustmentEvent class defines five types of adjustment event, listed here:

•	AdjustmentEvent.TRACK is sent out when the user drags the scroll bar's bubble.

•	AdjustmentEvent.UNIT_INCREMENT is sent out when the user clicks in the left arrow of a horizontal scroll bar, or the top arrow of a vertical scroll bar, or makes the equivalent gesture from the keyboard.

•	AdjustmentEvent.UNIT_DECREMENT is sent out when the user clicks in the right arrow of a horizontal scroll bar, or the bottom arrow of a vertical scroll bar, or makes the equivalent gesture from the keyboard.

•	AdjustmentEvent.BLOCK_INCREMENT is sent out when the user clicks in the track, to the left of the bubble on a horizontal scroll bar, or above the bubble on a vertical scroll bar. By convention, the Page Up key is equivalent, if the user is using a keyboard that defines a Page Up key.

•	AdjustmentEvent.BLOCK_DECREMENT is sent out when the user clicks in the track, to the right of the bubble on a horizontal scroll bar, or below the bubble on a vertical scroll bar. By convention, the Page Down key is equivalent, if the user is using a keyboard that defines a Page Down key.

The JDK 1.0 event system is supported for backwards compatibility, but its use with newer versions of JDK is discouraged. The fives types of adjustment event introduced with JDK 1.1 correspond to the five event types that are associated with scroll bars in previous JDK versions. The following list gives the adjustment event type, and the corresponding JDK 1.0 event type it replaces.

•	AdjustmentEvent.TRACK replaces Event.SCROLL_ABSOLUTE

•	AdjustmentEvent.UNIT_INCREMENT replaces Event.SCROLL_LINE_UP

•	AdjustmentEvent.UNIT_DECREMENT replaces Event.SCROLL_LINE_DOWN

•	AdjustmentEvent.BLOCK_INCREMENT replaces Event.SCROLL_PAGE_UP

•	AdjustmentEvent.BLOCK_DECREMENT replaces Event.SCROLL_PAGE_DOWN

Specification

public class Scrollbar extends java.awt.Component implements java.awt.Adjustable

Constructors

public Scrollbar( )

Constructs a new vertical scroll bar.

public Scrollbar( int orientation )

Constructs a new scroll bar with the specified orientation.

The orientation argument must take one of the two values Scrollbar.HORIZONTAL, or Scrollbar.VERTICAL, indicating a horizontal or vertical scroll bar, respectively.

Parameter

orientation

indicates the orientation of the scroll bar.

Throws

IllegalArgumentException

When an illegal value for the orientation argument is supplied.

public Scrollbar( int orientation, int value, int visible, int minimum, int maximum )

Constructs a new scroll bar with the specified orientation, initial value, page size, and minimum and maximum values.

The orientation argument must take one of the two values Scrollbar.HORIZONTAL, or Scrollbar.VERTICAL, indicating a horizontal or vertical scroll bar, respectively.

If the specified maximum value is less than the minimum value, it is changed to be the same as the minimum value. If the initial value is lower than the minimum value, it is changed to be the minimum value; if it is greater than the maximum value, it is changed to be the maximum value.

Parameters

orientation

indicates the orientation of the scroll bar.

value

the initial value of the scroll bar.

visible

the size of the scroll bars bubble, representing the visible portion; the scroll bar uses this value when paging up or down by a page.

minimum

the minimum value of the scroll bar.

maximum

the maximum value of the scroll bar.

Variables

public static final int HORIZONTAL

A constant that indicates a horizontal scroll bar.

public static final int VERTICAL

A constant that indicates a vertical scroll bar.

Properties

  int getBlockIncrement( )

  void setBlockIncrement( int v )

  int getLineIncrement( )

  synchronized void setLineIncrement( int v )

  int getMaximum( )

  void setMaximum( int newMaximum )

  int getMinimum( )

  void setMinimum( int newMinimum )

  int getOrientation( )

  void setOrientation( int orientation )

  int getPageIncrement( )

  synchronized void setPageIncrement( int v )

  int getUnitIncrement( )

  void setUnitIncrement( int v )

  int getValue( )

  void setValue( int newValue )

  int getVisible( )

  int getVisibleAmount( )

  void setVisibleAmount( int newAmount )

Inherited Properties

  float getAlignmentX( )

  float getAlignmentY( )

  java.awt.Color getBackground( )

  void setBackground( java.awt.Color c )

  java.awt.Rectangle getBounds( )

  void setBounds( java.awt.Rectangle r )

  native final java.lang.Class getClass( )

  java.awt.image.ColorModel getColorModel( )

  java.awt.Cursor getCursor( )

  synchronized void setCursor( java.awt.Cursor cursor )

  void setEnabled( boolean b )

  boolean isEnabled( )

  boolean isFocusTraversable( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.awt.Color getForeground( )

  void setForeground( java.awt.Color c )

  java.awt.Graphics getGraphics( )

  java.util.Locale getLocale( )

  void setLocale( java.util.Locale l )

  java.awt.Point getLocation( )

  void setLocation( java.awt.Point p )

  void setLocation( int x, int y )

  java.awt.Point getLocationOnScreen( )

  java.awt.Dimension getMaximumSize( )

  java.awt.Dimension getMinimumSize( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.Container getParent( )

  java.awt.peer.ComponentPeer getPeer( )

  java.awt.Dimension getPreferredSize( )

  boolean isShowing( )

  java.awt.Dimension getSize( )

  void setSize( java.awt.Dimension d )

  void setSize( int width, int height )

  java.awt.Toolkit getToolkit( )

  final java.lang.Object getTreeLock( )

  boolean isValid( )

Methods

  void addNotify( )

  synchronized void setValues( int value, int visible, int minimum, int maximum )

Inherited Methods

  boolean action( java.awt.Event evt, java.lang.Object what )

  synchronized void add( java.awt.PopupMenu popup )

  java.awt.Rectangle bounds( )

  int checkImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean contains( int x, int y )

  boolean contains( java.awt.Point p )

  java.awt.Image createImage( java.awt.image.ImageProducer producer )

  java.awt.Image createImage( int width, int height )

  void deliverEvent( java.awt.Event e )

  void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  void doLayout( )

  void enable( )

  void enable( boolean b )

  boolean equals( java.lang.Object obj )

  java.awt.Component getComponentAt( int x, int y )

  java.awt.Component getComponentAt( java.awt.Point p )

  java.awt.FontMetrics getFontMetrics( java.awt.Font font )

  boolean gotFocus( java.awt.Event evt, java.lang.Object what )

  boolean handleEvent( java.awt.Event evt )

  native int hashCode( )

  void hide( )

  boolean imageUpdate( java.awt.Image img, int flags, int x, int y, int w, int h )

  boolean inside( int x, int y )

  void invalidate( )

  boolean keyDown( java.awt.Event evt, int key )

  boolean keyUp( java.awt.Event evt, int key )

  void layout( )

  void list( )

  void list( java.io.PrintStream out, int indent )

  void list( java.io.PrintStream out )

  void list( java.io.PrintWriter out, int indent )

  void list( java.io.PrintWriter out )

  java.awt.Component locate( int x, int y )

  java.awt.Point location( )

  boolean lostFocus( java.awt.Event evt, java.lang.Object what )

  java.awt.Dimension minimumSize( )

  boolean mouseDown( java.awt.Event evt, int x, int y )

  boolean mouseDrag( java.awt.Event evt, int x, int y )

  boolean mouseEnter( java.awt.Event evt, int x, int y )

  boolean mouseExit( java.awt.Event evt, int x, int y )

  boolean mouseMove( java.awt.Event evt, int x, int y )

  boolean mouseUp( java.awt.Event evt, int x, int y )

  void move( int x, int y )

  void nextFocus( )

  native final void notify( )

  native final void notifyAll( )

  void paint( java.awt.Graphics g )

  void paintAll( java.awt.Graphics g )

  boolean postEvent( java.awt.Event e )

  java.awt.Dimension preferredSize( )

  boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean prepareImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  void print( java.awt.Graphics g )

  void printAll( java.awt.Graphics g )

  synchronized void remove( java.awt.MenuComponent popup )

  void removeNotify( )

  void repaint( )

  void repaint( int x, int y, int width, int height )

  void repaint( long tm )

  void repaint( long tm, int x, int y, int width, int height )

  void requestFocus( )

  void reshape( int x, int y, int width, int height )

  void resize( java.awt.Dimension d )

  void resize( int width, int height )

  void setBounds( int x, int y, int width, int height )

  void show( )

  void show( boolean b )

  java.awt.Dimension size( )

  java.lang.String toString( )

  void transferFocus( )

  void update( java.awt.Graphics g )

  void validate( )

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected java.lang.String paramString( )

 protected void processAdjustmentEvent( java.awt.event.AdjustmentEvent e )

 protected void processEvent( java.awt.AWTEvent e )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void finalize( ) throws java.lang.Throwable

 protected void processComponentEvent( java.awt.event.ComponentEvent e )

 protected void processFocusEvent( java.awt.event.FocusEvent e )

 protected void processKeyEvent( java.awt.event.KeyEvent e )

 protected void processMouseEvent( java.awt.event.MouseEvent e )

 protected void processMouseMotionEvent( java.awt.event.MouseEvent e )

Events

  synchronized void addAdjustmentListener( java.awt.event.AdjustmentListener l )

  synchronized void removeAdjustmentListener( java.awt.event.AdjustmentListener l )

Inherited Events

  synchronized void addComponentListener( java.awt.event.ComponentListener l )

  synchronized void removeComponentListener( java.awt.event.ComponentListener l )

  synchronized void addFocusListener( java.awt.event.FocusListener l )

  synchronized void removeFocusListener( java.awt.event.FocusListener l )

  synchronized void addKeyListener( java.awt.event.KeyListener l )

  synchronized void removeKeyListener( java.awt.event.KeyListener l )

  synchronized void addMouseListener( java.awt.event.MouseListener l )

  synchronized void removeMouseListener( java.awt.event.MouseListener l )

  synchronized void addMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void removeMouseMotionListener( java.awt.event.MouseMotionListener l )

See also

AdjustmentEvent class [java.awt.event]

AdjustmentListener interface [java.awt.event]


scrollbarDisplayPolicy property [java.awt.ScrollPane] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      scrollbarDisplayPolicy property [java.awt.ScrollPane]

public int getScrollbarDisplayPolicy( )

Returns the display policy for the scrollbars.

Return

The display policy for the scrollbars.

Applies to

 ScrollPane [java.awt]


ScrollbarPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      ScrollbarPeer interface [java.awt.peer]

Definition

public interface ScrollbarPeer extends java.awt.peer.ComponentPeer

{

  // Properties

  public void setLineIncrement( int l );

  public void setPageIncrement( int l );

  // Methods

  public void setValues( int value, int visible, int minimum, int maximum );

}

Properties

public void setLineIncrement( int l )

public void setPageIncrement( int l )

Methods

public void setValues( int value, int visible, int minimum, int maximum )


scrollbarVisibility property [java.awt.TextArea] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      scrollbarVisibility property [java.awt.TextArea]

public int getScrollbarVisibility( )

Gets an enumerated value that indicates which scroll bars the text area uses.

The TextArea class defines four integer constants that are used to specify which scroll bars are available. TextArea has one constructor that gives the application discretion over scroll bars.

Return

An integer that indicates which scroll bars are used.

Applies to

 TextArea [java.awt]


ScrollPane class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      ScrollPane class [java.awt]

Object

Component

Container

ScrollPane

Description

A container class which implements automatic horizontal and/or vertical scrolling for a single child component.  The display policy for the scrollbars can be set to:

•	as needed: scrollbars created and shown only when needed by scrollpane

•	always: scrollbars created and always shown by the scrollpane

•	never: scrollbars never created or shown by the scrollpane

The state of the horizontal and vertical scrollbars is represented by two objects (one for each dimension) which implement the Adjustable interface.  The API provides methods to access those objects such that the attributes on the Adjustable object (such as unitIncrement, value, etc.) can be manipulated.

Certain adjustable properties (minimum, maximum, blockIncrement, and visibleAmount) are set internally by the scrollpane in accordance with the geometry of the scrollpane and its child and these should not be set by programs using the scrollpane.

If the scrollbar display policy is defined as "never", then the scrollpane can still be programmatically scrolled using the setScrollPosition() method and the scrollpane will move and clip the child's contents appropriately.  This policy is useful if the program needs to create and manage its own adjustable controls.

The placement of the scrollbars is controlled by platform-specific properties set by the user outside of the program.

The initial size of this container is set to 100x100, but can be reset using setSize().

Insets are used to define any space used by scrollbars and any borders created by the scroll pane. getInsets() can be used to get the current value for the insets.  If the value of scrollbarsAlwaysVisible is false, then the value of the insets will change dynamically depending on whether the scrollbars are currently visible or not.

Specification

public class ScrollPane extends java.awt.Container

Constructors

public ScrollPane( )

Create a new scrollpane container with a scrollbar display policy of "as needed".

public ScrollPane( int scrollbarDisplayPolicy )

Create a new scrollpane container.

Parameter

scrollbarDisplayPolicy

policy for when scrollbars should be shown

Variables

public static final int SCROLLBARS_AS_NEEDED

Specifies that horizontal/vertical scrollbar should be shown only when the size of the child exceeds the size of the scrollpane in the horizontal/vertical dimension.

public static final int SCROLLBARS_ALWAYS

Specifies that horizontal/vertical scrollbars should always be shown regardless of the respective sizes of the scrollpane and child.

public static final int SCROLLBARS_NEVER

Specifies that horizontal/vertical scrollbars should never be shown regardless of the respective sizes of the scrollpane and child.

Properties

  java.awt.Adjustable getHAdjustable( )

  int getHScrollbarHeight( )

  final void setLayout( java.awt.LayoutManager mgr )

  int getScrollbarDisplayPolicy( )

  java.awt.Point getScrollPosition( )

  void setScrollPosition( java.awt.Point p )

  void setScrollPosition( int x, int y )

  java.awt.Adjustable getVAdjustable( )

  java.awt.Dimension getViewportSize( )

  int getVScrollbarWidth( )

Inherited Properties

  float getAlignmentX( )

  float getAlignmentY( )

  java.awt.Color getBackground( )

  void setBackground( java.awt.Color c )

  java.awt.Rectangle getBounds( )

  void setBounds( java.awt.Rectangle r )

  native final java.lang.Class getClass( )

  java.awt.image.ColorModel getColorModel( )

  java.awt.Component getComponent( int n )

  int getComponentCount( )

  java.awt.Component[] getComponents( )

  java.awt.Cursor getCursor( )

  synchronized void setCursor( java.awt.Cursor cursor )

  void setEnabled( boolean b )

  boolean isEnabled( )

  boolean isFocusTraversable( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.awt.Color getForeground( )

  void setForeground( java.awt.Color c )

  java.awt.Graphics getGraphics( )

  java.awt.Insets getInsets( )

  java.util.Locale getLocale( )

  void setLocale( java.util.Locale l )

  java.awt.Point getLocation( )

  void setLocation( java.awt.Point p )

  void setLocation( int x, int y )

  java.awt.Point getLocationOnScreen( )

  java.awt.Dimension getMaximumSize( )

  java.awt.Dimension getMinimumSize( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.Container getParent( )

  java.awt.peer.ComponentPeer getPeer( )

  java.awt.Dimension getPreferredSize( )

  boolean isShowing( )

  java.awt.Dimension getSize( )

  void setSize( java.awt.Dimension d )

  void setSize( int width, int height )

  java.awt.Toolkit getToolkit( )

  final java.lang.Object getTreeLock( )

  boolean isValid( )

  void setVisible( boolean b )

  boolean isVisible( )

Methods

  void addNotify( )

  void doLayout( )

  void layout( )

  java.lang.String paramString( )

  void printComponents( java.awt.Graphics g )

Inherited Methods

  boolean action( java.awt.Event evt, java.lang.Object what )

  synchronized void add( java.awt.PopupMenu popup )

  java.awt.Component add( java.lang.String name, java.awt.Component comp )

  void add( java.awt.Component comp, java.lang.Object constraints, int index )

  java.awt.Component add( java.awt.Component comp )

  java.awt.Component add( java.awt.Component comp, int index )

  void add( java.awt.Component comp, java.lang.Object constraints )

  java.awt.Rectangle bounds( )

  int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  int checkImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  boolean contains( int x, int y )

  boolean contains( java.awt.Point p )

  int countComponents( )

  java.awt.Image createImage( java.awt.image.ImageProducer producer )

  java.awt.Image createImage( int width, int height )

  void deliverEvent( java.awt.Event e )

  void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  void enable( )

  void enable( boolean b )

  boolean equals( java.lang.Object obj )

  java.awt.Component getComponentAt( java.awt.Point p )

  java.awt.Component getComponentAt( int x, int y )

  java.awt.FontMetrics getFontMetrics( java.awt.Font font )

  boolean gotFocus( java.awt.Event evt, java.lang.Object what )

  boolean handleEvent( java.awt.Event evt )

  native int hashCode( )

  void hide( )

  boolean imageUpdate( java.awt.Image img, int flags, int x, int y, int w, int h )

  java.awt.Insets insets( )

  boolean inside( int x, int y )

  void invalidate( )

  boolean isAncestorOf( java.awt.Component c )

  boolean keyDown( java.awt.Event evt, int key )

  boolean keyUp( java.awt.Event evt, int key )

  void list( )

  void list( java.io.PrintStream out, int indent )

  void list( java.io.PrintStream out )

  void list( java.io.PrintWriter out, int indent )

  void list( java.io.PrintWriter out )

  java.awt.Component locate( int x, int y )

  java.awt.Point location( )

  boolean lostFocus( java.awt.Event evt, java.lang.Object what )

  java.awt.Dimension minimumSize( )

  boolean mouseDown( java.awt.Event evt, int x, int y )

  boolean mouseDrag( java.awt.Event evt, int x, int y )

  boolean mouseEnter( java.awt.Event evt, int x, int y )

  boolean mouseExit( java.awt.Event evt, int x, int y )

  boolean mouseMove( java.awt.Event evt, int x, int y )

  boolean mouseUp( java.awt.Event evt, int x, int y )

  void move( int x, int y )

  void nextFocus( )

  native final void notify( )

  native final void notifyAll( )

  void paint( java.awt.Graphics g )

  void paintAll( java.awt.Graphics g )

  void paintComponents( java.awt.Graphics g )

  boolean postEvent( java.awt.Event e )

  java.awt.Dimension preferredSize( )

  boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean prepareImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  void print( java.awt.Graphics g )

  void printAll( java.awt.Graphics g )

  synchronized void remove( java.awt.MenuComponent popup )

  void remove( java.awt.Component comp )

  void remove( int index )

  void removeAll( )

  void removeNotify( )

  void repaint( long tm, int x, int y, int width, int height )

  void repaint( long tm )

  void repaint( int x, int y, int width, int height )

  void repaint( )

  void requestFocus( )

  void reshape( int x, int y, int width, int height )

  void resize( java.awt.Dimension d )

  void resize( int width, int height )

  void setBounds( int x, int y, int width, int height )

  void show( )

  void show( boolean b )

  java.awt.Dimension size( )

  java.lang.String toString( )

  void transferFocus( )

  void update( java.awt.Graphics g )

  void validate( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected final void addImpl( java.awt.Component comp, java.lang.Object constraints, int index )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void finalize( ) throws java.lang.Throwable

 protected void processComponentEvent( java.awt.event.ComponentEvent e )

 protected void processContainerEvent( java.awt.event.ContainerEvent e )

 protected void processEvent( java.awt.AWTEvent e )

 protected void processFocusEvent( java.awt.event.FocusEvent e )

 protected void processKeyEvent( java.awt.event.KeyEvent e )

 protected void processMouseEvent( java.awt.event.MouseEvent e )

 protected void processMouseMotionEvent( java.awt.event.MouseEvent e )

 protected void validateTree( )

Inherited Events

  synchronized void addComponentListener( java.awt.event.ComponentListener l )

  synchronized void removeComponentListener( java.awt.event.ComponentListener l )

  synchronized void addContainerListener( java.awt.event.ContainerListener l )

  synchronized void removeContainerListener( java.awt.event.ContainerListener l )

  synchronized void addFocusListener( java.awt.event.FocusListener l )

  synchronized void removeFocusListener( java.awt.event.FocusListener l )

  synchronized void addKeyListener( java.awt.event.KeyListener l )

  synchronized void removeKeyListener( java.awt.event.KeyListener l )

  synchronized void addMouseListener( java.awt.event.MouseListener l )

  synchronized void removeMouseListener( java.awt.event.MouseListener l )

  synchronized void addMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void removeMouseMotionListener( java.awt.event.MouseMotionListener l )


ScrollPanePeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      ScrollPanePeer interface [java.awt.peer]

Definition

public interface ScrollPanePeer extends java.awt.peer.ContainerPeer

{

  // Properties

  public int getHScrollbarHeight( );

  public int getVScrollbarWidth( );

  public void setScrollPosition( int x, int y );

  // Methods

  public void childResized( int w, int h );

  public void setUnitIncrement( java.awt.Adjustable adj, int u );

  public void setValue( java.awt.Adjustable adj, int v );

}

Properties

public int getHScrollbarHeight( )

public int getVScrollbarWidth( )

public void setScrollPosition( int x, int y )

Methods

public void childResized( int w, int h )

public void setUnitIncrement( java.awt.Adjustable adj, int u )

public void setValue( java.awt.Adjustable adj, int v )


scrollPosition property [java.awt.ScrollPane] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      scrollPosition property [java.awt.ScrollPane]

public java.awt.Point getScrollPosition( )

Returns the current x,y position within the child which is displayed at the 0,0 location of the scrolled panel's view port. This is a convenience method which interfaces with the adjustable objects which represent the state of the scrollbars.

Return

The coordinate position for the current scroll position.

public void setScrollPosition( java.awt.Point p )

Scrolls to the specified position within the child component. A call to this method is only valid if the scroll pane contains a child and the specified position is within legal scrolling bounds of the child.  Legal bounds are defined to be the rectangle: x = 0, y = 0, width = (child width - view port width), height = (child height - view port height). This is a convenience method which interfaces with the Adjustable objects which represent the state of the scrollbars.

Parameter

p

the Point representing the position to scroll to

Throws

IllegalArgumentException

If specified coordinates are not within the legal scrolling bounds of the child component.

public void setScrollPosition( int x, int y )

Scrolls to the specified position within the child component. A call to this method is only valid if the scroll pane contains a child.  Specifying a position outside of the legal scrolling bounds of the child will scroll to the closest legal position. Legal bounds are defined to be the rectangle: x = 0, y = 0, width = (child width - view port width), height = (child height - view port height). This is a convenience method which interfaces with the Adjustable objects which represent the state of the scrollbars.

Parameters

x

the x position to scroll to

y

the y position to scroll to

Throws

IllegalArgumentException

If specified coordinates are not within the legal scrolling bounds of the child component.

Applies to

 ScrollPane [java.awt]


search method [java.util.Stack] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      search method [java.util.Stack]

public synchronized int search( java.lang.Object o )

Returns where an object is on this stack.

Parameter

o

the desired object.

Return

The distance from the top of the stack where the object is] located; the return value -1 indicates that the object is not on the stack.

Applies to

 Stack [java.util]


secondaryOrder method [java.text.CollationElementIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      secondaryOrder method [java.text.CollationElementIterator]

public static final short secondaryOrder( int order )

Get the secondary order of a collation order.

Parameter

order

the collation order

Return

The secondary order of a collation order.

Applies to

 CollationElementIterator [java.text]


seconds property [java.sql.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      seconds property [java.sql.Date]

Overloads:

  int getSeconds( ) overrides seconds property [java.util.Date]

  void setSeconds( int i ) overrides seconds property [java.util.Date]

public int getSeconds( )

public void setSeconds( int i )

Applies to

 Date [java.sql]


seconds property [java.util.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      seconds property [java.util.Date]

public int getSeconds( )

Note: getSeconds has been deprecated. As of JDK version 1.1, replaced by Calendar.get(Calendar.SECOND).

Returns the number of seconds past the minute represented by this date. The value returned is between 0 and 60. The value 60 can only occur on those Java Virtual Machines that take leap seconds into account.

Return

The number of seconds past the minute represented by this date.

See also

Calendar class [java.util]

public void setSeconds( int seconds )

Note: setSeconds has been deprecated. As of JDK version 1.1, replaced by Calendar.set(Calendar.SECOND, int seconds).

Note: setSeconds has been deprecated. As of JDK version 1.1, replaced by Calendar.set(Calendar.SECOND, int seconds).

Sets the seconds of this date to the specified value.

Parameter

seconds

the seconds value.

See also

Calendar class [java.util]

Applies to

 Date [java.sql]

 Date [java.util]

 Time [java.sql]

 Timestamp [java.sql]


SecureRandom class [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      SecureRandom class [java.security]

Object

Random

SecureRandom

Description

This class provides a crytpographically strong pseudo-random number generator based on the SHA-1 hash algorithm.

The calls inherited from Random will be implemented in terms of the strengthened functionality.

Specification

public class SecureRandom extends java.util.Random

Constructors

public SecureRandom( )

This empty constructor automatically seeds the generator.  We attempt to provide sufficient seed bytes to completely randomize the internal state of the generator (20 bytes).  Note, however, that our seed generation algorithm has not been thoroughly studied or widely deployed.

The first time this constructor is called in a given Virtual Machine, it may take several seconds of CPU time to seed the generator, depending on the underlying hardware.  Successive calls run quickly because they rely on the same (internal) pseudo-random number generator for their seed bits.

The seeding procedure implemented by this constructor ensures that the sequence of pseudo-random bytes produced by each SecureRandom instance yields no useful information about the byte-sequence produced by any other instance.  If however, the user wishes to produce multiple instances with truly unrelated seeds, the following code yields the desired result (at substantial CPU cost per instance!):

SecureRandom rnd = new SecureRandom(SecureRandom.getSeed(20));

public SecureRandom( byte[] seed )

This constructor uses a user-provided seed in preference to the self-seeding algorithm referred to in the empty constructor description. It may be preferable to the empty constructor if the caller has access to high-quality random bytes from some physical device (for example, a radiation detector or a noisy diode).

Parameter

seed

the seed.

Properties

  synchronized void setSeed( byte[] seed )

  void setSeed( long seed )

  static byte[] getSeed( int numBytes )

Inherited Properties

  native final java.lang.Class getClass( )

  synchronized void setSeed( long seed )

Methods

  synchronized void nextBytes( byte[] result )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  double nextDouble( )

  float nextFloat( )

  synchronized double nextGaussian( )

  int nextInt( )

  long nextLong( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected final int next( int numBits )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Random class [java.util]


Security class [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      Security class [java.security]

Object

Security

Description

This class centralizes all security properties and common security methods. One of its primary uses is to manage providers.

Specification

public final class Security extends java.lang.Object

Properties

  static java.security.Provider[] getProviders( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  static int addProvider( java.security.Provider provider )

  static java.lang.String getAlgorithmProperty( java.lang.String algName, java.lang.String propName )

  static java.lang.String getProperty( java.lang.String key )

  static java.security.Provider getProvider( java.lang.String name )

  static int insertProviderAt( java.security.Provider provider, int position )

  static void removeProvider( java.lang.String name )

  static void setProperty( java.lang.String key, java.lang.String datum )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


securityContext property [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      securityContext property [java.lang.SecurityManager]

public java.lang.Object getSecurityContext( )

Creates an object that encapsulates the current execution environment. The result of this method is used by the three-argument checkConnect method and by the two-argument checkRead method.

These methods are needed because a trusted method may be called on to read a file or open a socket on behalf of another method. The trusted method needs to determine if the other (possibly untrusted) method would be allowed to perform the operation on its own.

Return

An implementation-dependent object that encapsulates sufficient information about the current execution environment to perform some security checks later.

See also

checkConnect method [java.lang.SecurityManager]

checkRead method [java.lang.SecurityManager]

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


securityContext property [java.rmi.RMISecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      securityContext property [java.rmi.RMISecurityManager]

Overloads:

  Object getSecurityContext( ) overrides securityContext property [java.lang.SecurityManager]

public java.lang.Object getSecurityContext( )

Returns the security context (e.g., a URL).

Return

No documentation supplied in JDK.

Applies to

 RMISecurityManager [java.rmi]


SecurityException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      SecurityException class [java.lang]

Object

Throwable

Exception

RuntimeException

SecurityException

Description

Thrown by the security manager to indicate a security violation.

Specification

public class SecurityException extends java.lang.RuntimeException

Constructors

public SecurityException( )

Constructs a SecurityException with no detail  message.

public SecurityException( java.lang.String s )

Constructs a SecurityException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

SecurityManager class [java.lang]


SecurityManager class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      SecurityManager class [java.lang]

Object

SecurityManager

Description

The security manager is an abstract class that allows applications to implement a security policy. It allows an application to determine, before performing a possibly unsafe or sensitive operation, what the operation is and whether the operation is being performed by a class created via a class loader rather than installed locally. Classes loaded via a class loader (especially if they have been downloaded over a network) may be less trustworthy than classes from files installed locally. The application can allow or disallow the operation.

The SecurityManager class contains many methods with names that begin with the word check. These methods are called by various methods in the Java libraries before those methods perform certain potentially sensitive operations. The invocation of such a check method typically looks like this:

   SecurityManager security = System.getSecurityManager();

   if (security != null) {

       security.checkXXX (argument,  . . . );

   }

The security manager is thereby given an opportunity to prevent completion of the operation by throwing an exception. A security manager routine simply returns if the operation is permitted, but throws a SecurityException if the operation is not permitted. The only exception to this convention is checkTopLevelWindow, which returns a boolean value.

The current security manager is set by the setSecurityManager method in class System. The current security manager is obtained by the getSecurityManager method.

The default implementation of each of the checkXXX methods is to assume that the caller does not have permission to perform the requested operation.

Specification

public abstract class SecurityManager extends java.lang.Object

Constructor

protected SecurityManager( )

Constructs a new SecurityManager. An application is not allowed to create a new security manager if there is already a current security manager.

Throws

SecurityException

If a security manager already exists.

See also

securityManager property [java.lang.System]

Variables

protected boolean inCheck

This field is true if there is a security check in progress; false otherwise.

Properties

  boolean getInCheck( )

  java.lang.Object getSecurityContext( )

  java.lang.ThreadGroup getThreadGroup( )

Inherited Properties

  native final java.lang.Class getClass( )

Protected Properties

 protected native java.lang.Class[] getClassContext( )

Methods

  void checkAccept( java.lang.String host, int port )

  void checkAccess( java.lang.Thread g )

  void checkAccess( java.lang.ThreadGroup g )

  void checkAwtEventQueueAccess( )

  void checkConnect( java.lang.String host, int port )

  void checkConnect( java.lang.String host, int port, java.lang.Object context )

  void checkCreateClassLoader( )

  void checkDelete( java.lang.String file )

  void checkExec( java.lang.String cmd )

  void checkExit( int status )

  void checkLink( java.lang.String lib )

  void checkListen( int port )

  void checkMemberAccess( java.lang.Class clazz, int which )

  void checkMulticast( java.net.InetAddress maddr, byte ttl )

  void checkMulticast( java.net.InetAddress maddr )

  void checkPackageAccess( java.lang.String pkg )

  void checkPackageDefinition( java.lang.String pkg )

  void checkPrintJobAccess( )

  void checkPropertiesAccess( )

  void checkPropertyAccess( java.lang.String key )

  void checkRead( java.io.FileDescriptor fd )

  void checkRead( java.lang.String file )

  void checkRead( java.lang.String file, java.lang.Object context )

  void checkSecurityAccess( java.lang.String action )

  void checkSetFactory( )

  void checkSystemClipboardAccess( )

  boolean checkTopLevelWindow( java.lang.Object window )

  void checkWrite( java.io.FileDescriptor fd )

  void checkWrite( java.lang.String file )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native int classDepth( java.lang.String name )

 protected native int classLoaderDepth( )

 protected native java.lang.ClassLoader currentClassLoader( )

 protected java.lang.Class currentLoadedClass( )

 protected boolean inClass( java.lang.String name )

 protected boolean inClassLoader( )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

ClassLoader class [java.lang]

SecurityException class [java.lang]

checkTopLevelWindow method [java.lang.SecurityManager]

securityManager property [java.lang.System]


securityManager property [java.lang.System] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      securityManager property [java.lang.System]

public static java.lang.SecurityManager getSecurityManager( )

Gets the system security interface.

Return

If a security manager has already been established for the current application, then that security manager is returned; otherwise, null is returned.

public static void setSecurityManager( java.lang.SecurityManager s )

Sets the System security. If a security manager has already been established for the currently running Java application, a SecurityException is thrown. Otherwise, the argument is established as the current security manager. If the argument is null and no security manager has been established, then no action is taken and the method simply returns.

Parameter

s

the security manager.

Throws

SecurityException

If the security manager has already been set.

Applies to

 System [java.lang]


seed property [java.security.SecureRandom] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      seed property [java.security.SecureRandom]

Inherited overloads:

  void setSeed( long seed )

public synchronized void setSeed( byte[] seed )

Reseeds this random object. The given seed supplements, rather than replaces, the existing seed. Thus, repeated calls are guaranteed never to reduce randomness.

Parameter

seed

the seed.

public void setSeed( long seed )

Reseeds this random object, using the eight bytes contained in the given long seed. The given seed supplements, rather than replaces, the existing seed. Thus, repeated calls are guaranteed never to reduce randomness.

This method is defined for compatibility with java.util.Random.

Parameter

seed

the seed.

public static byte[] getSeed( int numBytes )

Returns the given number of seed bytes, computed using the seed generation algorithm that this class uses to seed itself.  This call may be used to seed other random number generators.  While we attempt to return a "truly random" sequence of bytes, we do not know exactly how random the bytes returned by this call are.  (See the empty constructor SecureRandom for a brief description of the underlying algorithm.) The prudent user will err on the side of caution and get extra seed bytes, although it should be noted that seed generation is somewhat costly.

Parameter

numBytes

the number of seed bytes to generate.

Return

The seed bytes.

Applies to

 SecureRandom [java.security]


seed property [java.util.Random] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      seed property [java.util.Random]

public synchronized void setSeed( long seed )

Sets the seed of this random number generator using a single long seed.

Parameter

seed

the initial seed.

Applies to

 Random [java.util]

 SecureRandom [java.security]


seek method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      seek method [java.io.RandomAccessFile]

public native void seek( long pos ) throws java.io.IOException

Sets the file-pointer offset, measured from the beginning of this file, at which the next read or write occurs.  The offset may be set beyond the end of the file. Setting the offset beyond the end of the file does not change the file length.  The file length will change only by writing after the offset has been set beyond the end of the file.

Parameter

pos

the offset position, measured in bytes from the beginning of the file, at which to set the file pointer.

Throws

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


select method [java.awt.Choice] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      select method [java.awt.Choice]

Overloads:

 void select( String str )

 void select( int pos )

public synchronized void select( java.lang.String str )

Sets the selected item in this Choice menu to be the item whose name is equal to the specified string. If more than one item matches (is equal to) the specified string, the one with the smallest index is selected.

Parameter

str

the specified string

See also

selectedItem property [java.awt.Choice]

selectedIndex property [java.awt.Choice]

public void select( int pos )

Sets the selected item in this Choice menu to be the item at the specified position.

Parameter

pos

the positon of the selected item.

Throws

IllegalArgumentException

If the specified position is invalid.

See also

selectedItem property [java.awt.Choice]

selectedIndex property [java.awt.Choice]

Applies to

 Choice [java.awt]


select method [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      select method [java.awt.List]

public void select( int index )

Selects the item at the specified index in the scrolling list.

Parameter

index

the position of the item to select.

See also

selectedItem property [java.awt.List]

deselect method [java.awt.List]

isIndexSelected method [java.awt.List]

Applies to

 List [java.awt]


select method [java.awt.TextComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      select method [java.awt.TextComponent]

public synchronized void select( int selectionStart, int selectionEnd )

Selects the text between the specified start and end positions.

This method sets the start and end positions of the selected text, enforcing the restriction that the end position must be greater than or equal to the start position. The start position must be greater than zero, and the end position must be less that or equal to the length of the text component's text. If the caller supplies values that are inconsistent or out of bounds, the method enforces these constraints silently, and without failure.

Parameters

selectionStart

the start position of the text to select.

selectionEnd

the end position of the text to select.

See also

selectionStart property [java.awt.TextComponent]

selectionEnd property [java.awt.TextComponent]

selectAll method [java.awt.TextComponent]

Applies to

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]


selectAll method [java.awt.TextComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      selectAll method [java.awt.TextComponent]

public synchronized void selectAll( )

Selects all the text in this text component.

Applies to

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]


selectedCheckbox property [java.awt.CheckboxGroup] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      selectedCheckbox property [java.awt.CheckboxGroup]

public java.awt.Checkbox getSelectedCheckbox( )

Gets the current choice from this check box group. The current choice is the check box in this group that is currently in the "on" state, or null if all check boxes in the group are off.

Return

The check box that is currently in the "on" state, or null.

See also

Checkbox class [java.awt]

public void setSelectedCheckbox( java.awt.Checkbox box )

Sets the currently selected check box in this group to be the specified check box. This method sets the state of that check box to "on" and sets all other check boxes in the group to be off.

If the check box argument is null or belongs to a different check box group, then this method does nothing.

Parameter

box

the Checkbox to set as the current selection.

See also

Checkbox class [java.awt]

Applies to

 CheckboxGroup [java.awt]


selectedIndex property [java.awt.Choice] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      selectedIndex property [java.awt.Choice]

public int getSelectedIndex( )

Returns the index of the currently selected item.

Return

No documentation supplied in JDK.

See also

selectedItem property [java.awt.Choice]

Applies to

 Choice [java.awt]


selectedIndex property [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      selectedIndex property [java.awt.List]

public synchronized int getSelectedIndex( )

Gets the index of the selected item on the list,

Return

The index of the selected item, or -1 if no item is selected, or if more that one item is selected.

See also

select method [java.awt.List]

deselect method [java.awt.List]

isIndexSelected method [java.awt.List]

Applies to

 List [java.awt]


selectedIndexes property [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      selectedIndexes property [java.awt.List]

public synchronized int[] getSelectedIndexes( )

Gets the selected indexes on the list.

Return

An array of the selected indexes of this scrolling list.

See also

select method [java.awt.List]

deselect method [java.awt.List]

isIndexSelected method [java.awt.List]

Applies to

 List [java.awt]


selectedItem property [java.awt.Choice] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      selectedItem property [java.awt.Choice]

public synchronized java.lang.String getSelectedItem( )

Gets a representation of the current choice as a string.

Return

A string representation of the currently selected item in this choice menu.

See also

selectedIndex property [java.awt.Choice]

Applies to

 Choice [java.awt]


selectedItem property [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      selectedItem property [java.awt.List]

public synchronized java.lang.String getSelectedItem( )

Get the selected item on this scrolling list.

Return

The selected item on the list, or null if no item is selected.

See also

select method [java.awt.List]

deselect method [java.awt.List]

isIndexSelected method [java.awt.List]

Applies to

 List [java.awt]


selectedItems property [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      selectedItems property [java.awt.List]

public synchronized java.lang.String[] getSelectedItems( )

Get the selected items on this scrolling list.

Return

An array of the selected items on this scrolling list.

See also

select method [java.awt.List]

deselect method [java.awt.List]

isIndexSelected method [java.awt.List]

Applies to

 List [java.awt]


selectedObjects property [java.awt.Checkbox] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      selectedObjects property [java.awt.Checkbox]

public java.lang.Object[] getSelectedObjects( )

Returns the an array (length 1) containing the checkbox label or null if the checkbox is not selected.

Return

No documentation supplied in JDK.

See also

ItemSelectable interface [java.awt]

Applies to

 Checkbox [java.awt]


selectedObjects property [java.awt.CheckboxMenuItem] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      selectedObjects property [java.awt.CheckboxMenuItem]

public synchronized java.lang.Object[] getSelectedObjects( )

Returns the an array (length 1) containing the checkbox menu item label or null if the checkbox is not selected.

Return

No documentation supplied in JDK.

See also

ItemSelectable interface [java.awt]

Applies to

 CheckboxMenuItem [java.awt]


selectedObjects property [java.awt.Choice] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      selectedObjects property [java.awt.Choice]

public synchronized java.lang.Object[] getSelectedObjects( )

Returns an array (length 1) containing the currently selected item.  If this choice has no items, returns null.

Return

No documentation supplied in JDK.

See also

ItemSelectable interface [java.awt]

Applies to

 Choice [java.awt]


selectedObjects property [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      selectedObjects property [java.awt.List]

public java.lang.Object[] getSelectedObjects( )

Returns the selected items on the list in an array of Objects.

Return

No documentation supplied in JDK.

See also

ItemSelectable interface [java.awt]

Applies to

 List [java.awt]


selectedText property [java.awt.TextComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      selectedText property [java.awt.TextComponent]

public synchronized java.lang.String getSelectedText( )

Gets the selected text from the text that is presented by this text component.

Return

The selected text of this text component.

See also

select method [java.awt.TextComponent]

Applies to

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]


selectionEnd property [java.awt.TextComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      selectionEnd property [java.awt.TextComponent]

public synchronized int getSelectionEnd( )

Gets the end position of the selected text in this text component.

Return

The end position of the selected text.

See also

selectionStart property [java.awt.TextComponent]

public synchronized void setSelectionEnd( int selectionEnd )

Sets the selection end for this text component to the specified position. The new end point is constrained to be at or after the current selection start. It also cannot be set beyond the end of the component's text. If the caller supplies a value for selectionEnd that is out of bounds, the method enforces these constraints silently, and without failure.

Parameter

selectionEnd

the end position of the selected text.

See also

selectionStart property [java.awt.TextComponent]

Applies to

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]


selectionStart property [java.awt.TextComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      selectionStart property [java.awt.TextComponent]

public synchronized int getSelectionStart( )

Gets the start position of the selected text in this text component.

Return

The start position of the selected text.

See also

selectionEnd property [java.awt.TextComponent]

public synchronized void setSelectionStart( int selectionStart )

Sets the selection start for this text component to the specified position. The new start point is constrained to be at or before the current selection end. It also cannot be set to less than zero, the beginning of the component's text. If the caller supplies a value for selectionStart that is out of bounds, the method enforces these constraints silently, and without failure.

Parameter

selectionStart

the start position of the selected text.

See also

selectionEnd property [java.awt.TextComponent]

Applies to

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]


send method [java.net.DatagramSocket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      send method [java.net.DatagramSocket]

public void send( java.net.DatagramPacket p ) throws java.io.IOException

Sends a datagram packet from this socket. The DatagramPacket includes information indicating the data to be sent, its length, the IP address of the remote host, and the port number on the remote host.

Parameter

p

the DatagramPacket to be sent.

Throws

IOException

If an I/O error occurs.

See also

DatagramPacket class [java.net]

Applies to

 DatagramSocket [java.net]

 MulticastSocket [java.net]


send method [java.net.DatagramSocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      send method [java.net.DatagramSocketImpl]

protected abstract void send( java.net.DatagramPacket p ) throws java.io.IOException

Sends a datagram packet. The packet contains the data and the destination address to send the packet to.

Parameter

packet

to be sent.

Applies to

 DatagramSocketImpl [java.net]


send method [java.net.MulticastSocket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      send method [java.net.MulticastSocket]

Inherited overloads:

 void send( DatagramPacket p )

public synchronized void send( java.net.DatagramPacket p, byte ttl ) throws java.io.IOException

Sends a datagram packet to the destination, with a TTL (time- to-live) other than the default for the socket.  This method need only be used in instances where a particular TTL is desired; otherwise it is preferable to set a TTL once on the socket, and use that default TTL for all packets.  This method does not  alter the default TTL for the socket.

Parameters

p

is the packet to be sent. The packet should contain the destination multicast ip address and the data to be sent. One does not need to be the member of the group to send packets to a destination multicast address.

ttl

optional time to live for multicast packet. default ttl is 1.

Throws

IOException

Is raised if an error occurs i.e error while setting ttl.

See also

send method [java.net.DatagramSocket]

receive method [java.net.DatagramSocket]

Applies to

 MulticastSocket [java.net]


sentenceInstance property [java.text.BreakIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      sentenceInstance property [java.text.BreakIterator]

public static java.text.BreakIterator getSentenceInstance( )

Create BreakIterator for sentence-breaks using default locale Returns an instance of a BreakIterator implementing sentence breaks.

Return

A BreakIterator for sentence-breaks.

See also

default property [java.util.Locale]

Applies to

 BreakIterator [java.text]


SequenceInputStream class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      SequenceInputStream class [java.io]

Object

InputStream

SequenceInputStream

Description

The sequence input stream class allows an application to combine several input streams serially and make them appear as if they were a single input stream. Each input stream is read from, in turn, until it reaches the end of the stream. The sequence input stream class then closes that stream and automatically switches to the next input stream.

Specification

public class SequenceInputStream extends java.io.InputStream

Constructors

public SequenceInputStream( java.util.Enumeration e )

Constructs a new sequence input stream initialized to the specified enumeration of input streams. Each object in the enumeration must be an InputStream.

Parameter

e

an enumeration of input streams.

See also

Enumeration interface [java.util]

public SequenceInputStream( java.io.InputStream s1, java.io.InputStream s2 )

Constructs a new sequence input stream initialized to read first from the input stream s1, and then from the input stream s2.

Parameters

s1

the first input stream to read.

s2

the second input stream to read.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  int available( ) throws java.io.IOException

  void close( ) throws java.io.IOException

  int read( ) throws java.io.IOException

  int read( byte[] buf, int pos, int len ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  synchronized void mark( int readlimit )

  boolean markSupported( )

  native final void notify( )

  native final void notifyAll( )

  int read( byte[] b ) throws java.io.IOException

  synchronized void reset( ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


Serializable interface [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      Serializable interface [java.io]

Description

Serializability of a class is enabled by the class implementing the java.io.Serializable interface. Classes that do not implement this interface will not have any of their state serialized or deserialized.  All subtypes of a serializable class are themselves serializable.  The serialization interface has no methods or fields and serves only to identify the semantics of being serializable.

To allow subtypes of non-serializable classes to be serialized, the subtype may assume responsibility for saving and restoring the state of the supertype's public, protected, and (if accessible) package fields.  The subtype may assume this responsibility only if the class it extends has an accessible no-arg constructor to initialize the class's state.  It is an error to declare a class Serializable in this case.  The error will be detected at runtime.

During deserialization, the fields of non-serializable classes will be initialized using the public or protected no-arg constructor of the class.  A no-arg constructor must be accessible to the subclass that is serializable.  The fields of serializable subclasses will be restored from the stream.

When traversing a graph, an object may be encountered that does not support the Serializable interface. In this case the NotSerializableException will be thrown and will identify the class of the non-serializable object.

Classes that require special handling during the serialization and deserialization process must implement special methods with these exact signatures:

private void writeObject(java.io.ObjectOutputStream out)

   throws IOException

private void readObject(java.io.ObjectInputStream in)

   throws IOException, ClassNotFoundException;

The writeObject method is responsible for writing the state of the object for its particular class so that the corresponding readObject method can restore it.  The default mechanism for saving the Object's fields can be invoked by calling out.defaultWriteObject. The method does not need to concern itself with the state belonging to its superclasses or subclasses. State is saved by writing the individual fields to the ObjectOutputStream using the writeObject method or by using the methods for primitive data types supported by DataOutput.

The readObject method is responsible for reading from the stream and restoring the classes fields. It may call in.defaultReadObject to invoke the default mechanism for restoring the object's non-static and non-transient fields.  The defaultReadObject method uses information in the stream to assign the fields of the object saved in the stream with the correspondingly named fields in the current object.  This handles the case when the class has evolved to add new fields. The method does not need to concern itself with the state belonging to its superclasses or subclasses. State is saved by writing the individual fields to the ObjectOutputStream using the writeObject method or by using the methods for primitive data types supported by DataOutput.

Definition

public interface Serializable

{

}

Implemented by

BitSet [java.util]	Boolean [java.lang]	BorderLayout [java.awt]	BreakIterator [java.text]	Calendar [java.util]	CardLayout [java.awt]	Character [java.lang]	CheckboxGroup [java.awt]	Class [java.lang]	Collator [java.text]	Color [java.awt]	Component [java.awt]	Cursor [java.awt]	Date [java.util]	DateFormatSymbols [java.text]	DecimalFormatSymbols [java.text]	Dimension [java.awt]	Event [java.awt]	EventObject [java.util]	File [java.io]	FlowLayout [java.awt]	Font [java.awt]	FontMetrics [java.awt]	Format [java.text]	GridBagConstraints [java.awt]	GridBagLayout [java.awt]	GridLayout [java.awt]	Hashtable [java.util]	Identity [java.security]	InetAddress [java.net]	Insets [java.awt]	Lease [java.rmi.dgc]	Locale [java.util]	MediaTracker [java.awt]	MenuComponent [java.awt]	MenuShortcut [java.awt]	Number [java.lang]	ObjectStreamClass [java.io]	ObjID [java.rmi.server]	Point [java.awt]	Polygon [java.awt]	PropertyChangeSupport [java.beans]	Random [java.util]	Rectangle [java.awt]	RemoteObject [java.rmi.server]	String [java.lang]	StringBuffer [java.lang]	SystemColor [java.awt]	Throwable [java.lang]	TimeZone [java.util]	UID [java.rmi.server]	URL [java.net]	Vector [java.util]	VetoableChangeSupport [java.beans]	VMID [java.rmi.dgc]

See also

ObjectOutputStream class [java.io]

ObjectInputStream class [java.io]

ObjectOutput interface [java.io]

ObjectInput interface [java.io]

Externalizable interface [java.io]


serialVersionUID property [java.io.ObjectStreamClass] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      serialVersionUID property [java.io.ObjectStreamClass]

public long getSerialVersionUID( )

Return the serialVersionUID for this class. The serialVersionUID defines a set of classes all with the same name that have evolved from a common root class and agree to be serialized and deserialized using a common format.

Return

No documentation supplied in JDK.

Applies to

 ObjectStreamClass [java.io]


ServerCloneException class [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      ServerCloneException class [java.rmi.server]

Object

Throwable

Exception

CloneNotSupportedException

ServerCloneException

Specification

public class ServerCloneException extends java.lang.CloneNotSupportedException

Constructors

public ServerCloneException( java.lang.String s )

Create A remote exception with the specified string

public ServerCloneException( java.lang.String s, java.lang.Exception ex )

Create A remote exception with the specified string, and the exception specified.

Variables

public java.lang.Exception detail

Properties

  java.lang.String getMessage( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


ServerError class [java.rmi] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      ServerError class [java.rmi]

Object

Throwable

Exception

IOException

RemoteException

ServerError

Specification

public class ServerError extends java.rmi.RemoteException

Constructor

public ServerError( java.lang.String s, java.lang.Error err )

Create a new "server error" exception with the string and the specified exception.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


ServerException class [java.rmi] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      ServerException class [java.rmi]

Object

Throwable

Exception

IOException

RemoteException

ServerException

Specification

public class ServerException extends java.rmi.RemoteException

Constructors

public ServerException( java.lang.String s )

Create a new server exception with a descriptive string.

public ServerException( java.lang.String s, java.lang.Exception ex )

Create a new server exception with a descriptive string and an exception.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


ServerNotActiveException class [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      ServerNotActiveException class [java.rmi.server]

Object

Throwable

Exception

ServerNotActiveException

Specification

public class ServerNotActiveException extends java.lang.Exception

Constructors

public ServerNotActiveException( )

Create a new exception.

public ServerNotActiveException( java.lang.String s )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


ServerRef interface [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      ServerRef interface [java.rmi.server]

Description

A ServerRef represents the server-side handle for a remote object implementation.

Definition

public interface ServerRef extends java.rmi.server.RemoteRef

{

  // Properties

  public java.lang.String getClientHost( ) throws java.rmi.server.ServerNotActiveException;

  // Methods

  public java.rmi.server.RemoteStub exportObject( java.rmi.Remote obj, java.lang.Object data ) throws java.rmi.RemoteException;

}

Properties

public java.lang.String getClientHost( ) throws java.rmi.server.ServerNotActiveException

Return the hostname of the current client.  When called from a thread actively handling a remote method invocation the hostname of the client is returned.

Return

No documentation supplied in JDK.

Throws

ServerNotActiveException

If called outside of servicing a remote method invocation.

Methods

public java.rmi.server.RemoteStub exportObject( java.rmi.Remote obj, java.lang.Object data ) throws java.rmi.RemoteException

Find or create a client stub object for the supplied Remote.

Parameters

obj

the remote object implementation

data

information necessary to export the object (e.g. port number)

Return

No documentation supplied in JDK.


ServerRuntimeException class [java.rmi] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      ServerRuntimeException class [java.rmi]

Object

Throwable

Exception

IOException

RemoteException

ServerRuntimeException

Specification

public class ServerRuntimeException extends java.rmi.RemoteException

Constructor

public ServerRuntimeException( java.lang.String s, java.lang.Exception ex )

Create a new runtime exception with the strings and the specified exception.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


ServerSocket class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      ServerSocket class [java.net]

Object

ServerSocket

Description

This class implements server sockets. A server socket waits for requests to come in over the network. It performs some operation based on that request, and then possibly returns a result to the requester.

The actual work of the server socket is performed by an instance of the SocketImpl class. An application can change the socket factory that creates the socket implementation to configure itself to create sockets appropriate to the local firewall.

Specification

public class ServerSocket extends java.lang.Object

Constructors

public ServerSocket( int port ) throws java.io.IOException

Creates a server socket on a specified port. A port of 0 creates a socket on any free port.

The maximum queue length for incoming connection indications (a request to connect) is set to 50. If a connection indication arrives when the queue is full, the connection is refused.

If the application has specified a server socket factory, that factory's createSocketImpl method is called to create the actual socket implementation. Otherwise a "plain" socket is created.

Parameter

port

the port number, or 0 to use any free port.

Throws

IOException

If an I/O error occurs when opening the socket.

See also

SocketImpl class [java.net]

SocketImplFactory interface [java.net]

socketFactory property [java.net.ServerSocket]

public ServerSocket( int port, int backlog ) throws java.io.IOException

Creates a server socket and binds it to the specified local port number. A port number of 0 creates a socket on any free port.

The maximum queue length for incoming connection indications (a request to connect) is set to the count parameter. If a connection indication arrives when the queue is full, the connection is refused.

If the application has specified a server socket factory, that factory's createSocketImpl method is called to create the actual socket implementation. Otherwise a "plain" socket is created.

Parameters

port

the specified port, or 0 to use any free port.

backlog

the maximum length of the queue.

Throws

IOException

If an I/O error occurs when opening the socket.

See also

SocketImpl class [java.net]

SocketImplFactory interface [java.net]

socketFactory property [java.net.ServerSocket]

public ServerSocket( int port, int backlog, java.net.InetAddress bindAddr ) throws java.io.IOException

Create a server with the specified port, listen backlog, and local IP address to bind to.  The bindAddr argument can be used on a multi-homed host for a ServerSocket that will only accept connect requests to one of its addresses. If bindAddr is null, it will default accepting connections on any/all local addresses. The port must be between 0 and 65535, inclusive.

Parameters

port

the local TCP port

backlog

the listen backlog

bindAddr

the local InetAddress the server will bind to

See also

SocketImpl class [java.net]

Properties

  java.net.InetAddress getInetAddress( )

  int getLocalPort( )

  static synchronized void setSocketFactory( java.net.SocketImplFactory fac ) throws java.io.IOException

  synchronized int getSoTimeout( ) throws java.io.IOException

  synchronized void setSoTimeout( int timeout ) throws java.net.SocketException

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.net.Socket accept( ) throws java.io.IOException

  void close( ) throws java.io.IOException

  java.lang.String toString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected final void implAccept( java.net.Socket s ) throws java.io.IOException

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

SocketImpl class [java.net]

socketFactory property [java.net.ServerSocket]


set method [java.lang.reflect.Array] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      set method [java.lang.reflect.Array]

public static native void set( java.lang.Object array, int index, java.lang.Object value ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

Sets the value of the indexed component of the specified array object to the specified new value.  The new value is first automatically unwrapped if the array has a primitive component type.

Parameters

array

the array

index

the index into the array

value

the new value of the indexed component

Throws

NullPointerException

If the specified object argument is null, or if the array component type is primitive and the specified value is null.

IllegalArgumentException

If the specified object argument is not an array, or if the array component type is primitive and the specified value cannot be converted to the primitive type by a combination of unwrapping and identity or widening conversions.

ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array.

Applies to

 Array [java.lang.reflect]


set method [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      set method [java.lang.reflect.Field]

public native void set( java.lang.Object obj, java.lang.Object value ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

Sets the field represented by this Field object on the specified object argument to the specified new value. The new value is automatically unwrapped if the underlying field has a primitive type.

The operation proceeds as follows:

If the underlying field is static, the object argument is ignored; it may be null.

Otherwise the underlying field is an instance field.  If the specified object argument is null, the method throws a NullPointerException.  If the specified object argument is not an instance of the class or interface declaring the underlying field, the method throws an IllegalArgumentException.

If this Field object enforces Java language access control, and the underlying field is inaccessible, the method throws an IllegalAccessException.

If the underlying field is final, the method throws an IllegalAccessException.

If the underlying field is of a primitive type, an unwrapping conversion is attempted to convert the new value to a value of a primitive type.  If this attempt fails, the method throws an IllegalArgumentException.

If, after possible unwrapping, the new value cannot be converted to the type of the underlying field by an identity or widening conversion, the method throws an IllegalArgumentException.

The field is set to the possibly unwrapped and widened new value.

Throws

IllegalAccessException

If the underlying constructor is inaccessible.

IllegalArgumentException

If the specified object is not an instance of the class or interface declaring the underlying field, or if an unwrapping conversion fails.

NullPointerException

If the specified object is null.

Applies to

 Field [java.lang.reflect]


set method [java.net.URL] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      set method [java.net.URL]

protected void set( java.lang.String protocol, java.lang.String host, int port, java.lang.String file, java.lang.String ref )

Sets the fields of the URL. This is not a public method so that only URLStreamHandlers can modify URL fields. URLs are otherwise constant. REMIND: this method will be moved to URLStreamHandler

Parameters

protocol

the protocol to use

host

the host name to connecto to

port

the protocol port to connect to

file

the specified file name on that host

ref

the reference

Applies to

 URL [java.net]


set method [java.util.BitSet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      set method [java.util.BitSet]

public void set( int bit )

Sets a bit.

Parameter

bit

the bit to be set

Applies to

 BitSet [java.util]


set method [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      set method [java.util.Calendar]

Overloads:

 void set( int year, int month, int date, int hour, int minute )

 void set( int year, int month, int date, int hour, int minute, int second )

 void set( int field, int value )

 void set( int year, int month, int date )

public final void set( int year, int month, int date, int hour, int minute )

Sets the values for the fields year, month, date, hour, and minute. Previous values of other fields are retained.  If this is not desired, call clear first.

Parameters

year

the value used to set the YEAR time field.

month

the value used to set the MONTH time field. Month value is 0-based. e.g., 0 for January.

date

the value used to set the DATE time field.

hour

the value used to set the HOUR_OF_DAY time field.

minute

the value used to set the MINUTE time field.

public final void set( int year, int month, int date, int hour, int minute, int second )

Sets the values for the fields year, month, date, hour, minute, and second. Previous values of other fields are retained.  If this is not desired, call clear first.

Parameters

year

the value used to set the YEAR time field.

month

the value used to set the MONTH time field. Month value is 0-based. e.g., 0 for January.

date

the value used to set the DATE time field.

hour

the value used to set the HOUR_OF_DAY time field.

minute

the value used to set the MINUTE time field.

second

the value used to set the SECOND time field.

public final void set( int field, int value )

Sets the time field with the given value.

Parameters

field

the given time field.

value

the value to be set for the given time field.

public final void set( int year, int month, int date )

Sets the values for the fields year, month, and date. Previous values of other fields are retained.  If this is not desired, call clear first.

Parameters

year

the value used to set the YEAR time field.

month

the value used to set the MONTH time field. Month value is 0-based. e.g., 0 for January.

date

the value used to set the DATE time field.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


setBit method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setBit method [java.math.BigInteger]

public java.math.BigInteger setBit( int n ) throws java.lang.ArithmeticException

Returns a BigInteger whose value is equivalent to this number with the designated bit set.  (Computes (this | (1<<n)).) Throws an ArithmeticException if n < 0.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


setBoolean method [java.lang.reflect.Array] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setBoolean method [java.lang.reflect.Array]

public static native void setBoolean( java.lang.Object array, int index, boolean z ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

Sets the value of the indexed component of the specified array object to the specified boolean value.

Parameters

array

the array

index

the index into the array

value

the new value of the indexed component

Throws

NullPointerException

If the specified object argument is null.

IllegalArgumentException

If the specified object argument is not an array, or if the the specified value cannot be converted to the underlying array's component type by an identity or a primitive widening widening conversion.

ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array.

See also

set method [java.lang.reflect.Array]

Applies to

 Array [java.lang.reflect]


setBoolean method [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setBoolean method [java.lang.reflect.Field]

public native void setBoolean( java.lang.Object obj, boolean z ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

Set the value of a field as a boolean on specified object.

Throws

IllegalAccessException

If the underlying constructor is inaccessible.

IllegalArgumentException

If the specified object is not an instance of the class or interface declaring the underlying field, or if an unwrapping conversion fails.

See also

set method [java.lang.reflect.Field]

Applies to

 Field [java.lang.reflect]


setBounds method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setBounds method [java.awt.Component]

public void setBounds( int x, int y, int width, int height )

Moves and resizes this component. The new location of the top-left corner is specified by x and y, and the new size is specified by width and height.

Parameters

x

The new x -coordinate of this component.

y

The new y -coordinate of this component.

width

The new width of this component.

height

The new height of this component.

See also

bounds property [java.awt.Component]

location property [java.awt.Component]

size property [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


setBounds method [java.awt.Rectangle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setBounds method [java.awt.Rectangle]

public void setBounds( int x, int y, int width, int height )

Sets the bounding rectangle of this rectangle to the specified values for x, y, width, and height.

This method is included for completeness, to parallel the setBounds method of Component.

Parameters

x

the new x coordinate for the top-left corner of this rectangle.

y

the new y coordinate for the top-left corner of this rectangle.

width

the new width for this rectangle.

height

the new height for this rectangle.

See also

bounds property [java.awt.Component]

Applies to

 Rectangle [java.awt]


setByte method [java.lang.reflect.Array] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setByte method [java.lang.reflect.Array]

public static native void setByte( java.lang.Object array, int index, byte b ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

Sets the value of the indexed component of the specified array object to the specified boolean value.

Parameters

array

the array

index

the index into the array

value

the new value of the indexed component

Throws

NullPointerException

If the specified object argument is null.

IllegalArgumentException

If the specified object argument is not an array, or if the the specified value cannot be converted to the underlying array's component type by an identity or a primitive widening widening conversion.

ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array.

See also

set method [java.lang.reflect.Array]

Applies to

 Array [java.lang.reflect]


setByte method [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setByte method [java.lang.reflect.Field]

public native void setByte( java.lang.Object obj, byte b ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

Set the value of a field as a byte on specified object.

Throws

IllegalAccessException

If the underlying constructor is inaccessible.

IllegalArgumentException

If the specified object is not an instance of the class or interface declaring the underlying field, or if an unwrapping conversion fails.

See also

set method [java.lang.reflect.Field]

Applies to

 Field [java.lang.reflect]


setChanged method [java.util.Observable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setChanged method [java.util.Observable]

protected synchronized void setChanged( )

Indicates that this object has changed.

Applies to

 Observable [java.util]


setChar method [java.lang.reflect.Array] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setChar method [java.lang.reflect.Array]

public static native void setChar( java.lang.Object array, int index, char c ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

Sets the value of the indexed component of the specified array object to the specified byte value.

Parameters

array

the array

index

the index into the array

value

the new value of the indexed component

Throws

NullPointerException

If the specified object argument is null.

IllegalArgumentException

If the specified object argument is not an array, or if the the specified value cannot be converted to the underlying array's component type by an identity or a primitive widening widening conversion.

ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array.

See also

set method [java.lang.reflect.Array]

Applies to

 Array [java.lang.reflect]


setChar method [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setChar method [java.lang.reflect.Field]

public native void setChar( java.lang.Object obj, char c ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

Set the value of a field as a char on specified object.

Throws

IllegalAccessException

If the underlying constructor is inaccessible.

IllegalArgumentException

If the specified object is not an instance of the class or interface declaring the underlying field, or if an unwrapping conversion fails.

See also

set method [java.lang.reflect.Field]

Applies to

 Field [java.lang.reflect]


setChoices method [java.text.ChoiceFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setChoices method [java.text.ChoiceFormat]

public void setChoices( double[] limits, java.lang.String[] formats )

Set the choices to be used in formatting.

Parameters

limits

contains the top value that you want parsed with that format,and should be in ascending sorted order. When formatting X, the choice will be the i, where limit[i] <= X < limit[i+1].

formats

are the formats you want to use for each limit. They can be either Format objects or Strings. When formatting with object Y, if the object is a NumberFormat, then ((NumberFormat) Y).format(X) is called. Otherwise Y.toString() is called.

Applies to

 ChoiceFormat [java.text]


setClip method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setClip method [java.awt.Graphics]

public abstract void setClip( int x, int y, int width, int height )

Sets the current clip to the rectangle specified by the given coordinates. Rendering operations have no effect outside of the clipping area.

Parameters

x

the x coordinate of the new clip rectangle.

y

the y coordinate of the new clip rectangle.

width

the width of the new clip rectangle.

height

the height of the new clip rectangle.

See also

clipRect method [java.awt.Graphics]

clip property [java.awt.Graphics]

Applies to

 Graphics [java.awt]


setConstraints method [java.awt.GridBagLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setConstraints method [java.awt.GridBagLayout]

public void setConstraints( java.awt.Component comp, java.awt.GridBagConstraints constraints )

Sets the constraints for the specified component in this layout.

Parameters

comp

the component to be modified.

constraints

the constraints to be applied.

Applies to

 GridBagLayout [java.awt]


setContents method [java.awt.datatransfer.Clipboard] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setContents method [java.awt.datatransfer.Clipboard]

public synchronized void setContents( java.awt.datatransfer.Transferable contents, java.awt.datatransfer.ClipboardOwner owner )

Sets the current contents of the clipboard to the specified transferable object and registers the specified clipboard owner as the owner of the new contents.  If there is an existing owner registered, that owner is notified that it no longer holds ownership of the clipboard contents.

Parameters

content

the transferable object representing the clipboard content

owner

the object which owns the clipboard content

Applies to

 Clipboard [java.awt.datatransfer]


setDefaultRequestProperty method [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setDefaultRequestProperty method [java.net.URLConnection]

public static void setDefaultRequestProperty( java.lang.String key, java.lang.String value )

Sets the default value of a general request property. When a URLConnection is created, it is initialized with these properties.

Parameters

key

the keyword by which the request is known (e.g., "accept").

value

the value associated with the key.

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


setDictionary method [java.util.zip.Deflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setDictionary method [java.util.zip.Deflater]

public native synchronized void setDictionary( byte[] b, int off, int len )

Sets preset dictionary for compression. A preset dictionary is used when the history buffer can be predetermined. When the data is later uncompressed with Inflater.inflate(), Inflater.getAdler() can be called in order to get the Adler-32 value of the dictionary required for decompression.

Parameters

b

the dictionary data bytes

off

the start offset of the data

len

the length of the data

See also

inflate method [java.util.zip.Inflater]

adler property [java.util.zip.Inflater]

Applies to

 Deflater [java.util.zip]


setDictionary method [java.util.zip.Inflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setDictionary method [java.util.zip.Inflater]

public native synchronized void setDictionary( byte[] b, int off, int len )

Sets the preset dictionary to the given array of bytes. Should be called when inflate() returns 0 and needsDictionary() returns true indicating that a preset dictionary is required. The method getAdler() can be used to get the Adler-32 value of the dictionary needed.

Parameters

b

the dictionary data bytes

off

the start offset of the data

len

the length of the data

See also

needsDictionary method [java.util.zip.Inflater]

adler property [java.util.zip.Inflater]

Applies to

 Inflater [java.util.zip]


setDouble method [java.lang.reflect.Array] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setDouble method [java.lang.reflect.Array]

public static native void setDouble( java.lang.Object array, int index, double d ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

Sets the value of the indexed component of the specified array object to the specified double value.

Parameters

array

the array

index

the index into the array

value

the new value of the indexed component

Throws

NullPointerException

If the specified object argument is null.

IllegalArgumentException

If the specified object argument is not an array, or if the the specified value cannot be converted to the underlying array's component type by an identity or a primitive widening widening conversion.

ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array.

See also

set method [java.lang.reflect.Array]

Applies to

 Array [java.lang.reflect]


setDouble method [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setDouble method [java.lang.reflect.Field]

public native void setDouble( java.lang.Object obj, double d ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

Set the value of a field as a double on specified object.

Throws

IllegalAccessException

If the underlying constructor is inaccessible.

IllegalArgumentException

If the specified object is not an instance of the class or interface declaring the underlying field, or if an unwrapping conversion fails.

See also

set method [java.lang.reflect.Field]

Applies to

 Field [java.lang.reflect]


setElementAt method [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setElementAt method [java.util.Vector]

public final synchronized void setElementAt( java.lang.Object obj, int index )

Sets the component at the specified index of this vector to be the specified object. The previous component at that position is discarded.

The index must be a value greater than or equal to 0 and less than the current size of the vector.

Parameters

obj

what the component is to be set to.

index

the specified index.

Throws

ArrayIndexOutOfBoundsException

If the index was invalid.

See also

size method [java.util.Vector]

Applies to

 Stack [java.util]

 Vector [java.util]


setEndRule method [java.util.SimpleTimeZone] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setEndRule method [java.util.SimpleTimeZone]

public void setEndRule( int month, int dayOfWeekInMonth, int dayOfWeek, int time )

Sets the daylight savings ending rule. For example, Daylight Savings Time ends at the last (-1) Sunday in October, at 2 AM in standard time. Therefore, you can set the end rule by calling: setEndRule(TimeFields.OCTOBER, -1, TimeFields.SUNDAY, 2*60*60*1000);

Parameters

month

The daylight savings ending month. Month is 0-based. eg, 0 for January.

dayOfWeekInMonth

The daylight savings ending day-of-week-in-month. Please see the member description for an example.

dayOfWeek

The daylight savings ending day-of-week. Please see the member description for an example.

time

The daylight savings ending time. Please see the member description for an example.

Throws

IllegalArgumentException

The month, dayOfWeekInMonth, dayOfWeek, or time parameters are out of range.

Applies to

 SimpleTimeZone [java.util]


setError method [java.io.PrintStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setError method [java.io.PrintStream]

protected void setError( )

Indicate that an error has occurred. *

Applies to

 LogStream [java.rmi.server]

 PrintStream [java.io]


setError method [java.io.PrintWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setError method [java.io.PrintWriter]

protected void setError( )

Indicate that an error has occurred. *

Applies to

 PrintWriter [java.io]


setFloat method [java.lang.reflect.Array] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setFloat method [java.lang.reflect.Array]

public static native void setFloat( java.lang.Object array, int index, float f ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

Sets the value of the indexed component of the specified array object to the specified float value.

Parameters

array

the array

index

the index into the array

value

the new value of the indexed component

Throws

NullPointerException

If the specified object argument is null.

IllegalArgumentException

If the specified object argument is not an array, or if the the specified value cannot be converted to the underlying array's component type by an identity or a primitive widening widening conversion.

ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array.

See also

set method [java.lang.reflect.Array]

Applies to

 Array [java.lang.reflect]


setFloat method [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setFloat method [java.lang.reflect.Field]

public native void setFloat( java.lang.Object obj, float f ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

Set the value of a field as a float on specified object.

Throws

IllegalAccessException

If the underlying constructor is inaccessible.

IllegalArgumentException

If the specified object is not an instance of the class or interface declaring the underlying field, or if an unwrapping conversion fails.

See also

set method [java.lang.reflect.Field]

Applies to

 Field [java.lang.reflect]


setIndex method [java.text.StringCharacterIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setIndex method [java.text.StringCharacterIterator]

public char setIndex( int p )

Set the position to specified position in the text and return that character.

Return

No documentation supplied in JDK.

Applies to

 StringCharacterIterator [java.text]


setInput method [java.util.zip.Deflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setInput method [java.util.zip.Deflater]

public synchronized void setInput( byte[] b, int off, int len )

Sets input data for compression. This should be called whenever needsInput() returns true indicating that more input data is required.

Parameters

b

the input data bytes

off

the start offset of the data

len

the length of the data

See also

needsInput method [java.util.zip.Deflater]

Applies to

 Deflater [java.util.zip]


setInput method [java.util.zip.Inflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setInput method [java.util.zip.Inflater]

public synchronized void setInput( byte[] b, int off, int len )

Sets input data for decompression. Should be called whenever needsInput() returns true indicating that more input data is required.

Parameters

b

the input data bytes

off

the start offset of the input data

len

the length of the input data

See also

needsInput method [java.util.zip.Inflater]

Applies to

 Inflater [java.util.zip]


setInt method [java.lang.reflect.Array] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setInt method [java.lang.reflect.Array]

public static native void setInt( java.lang.Object array, int index, int i ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

Sets the value of the indexed component of the specified array object to the specified int value.

Parameters

array

the array

index

the index into the array

value

the new value of the indexed component

Throws

NullPointerException

If the specified object argument is null.

IllegalArgumentException

If the specified object argument is not an array, or if the the specified value cannot be converted to the underlying array's component type by an identity or a primitive widening widening conversion.

ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array.

See also

set method [java.lang.reflect.Array]

Applies to

 Array [java.lang.reflect]


setInt method [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setInt method [java.lang.reflect.Field]

public native void setInt( java.lang.Object obj, int i ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

Set the value of a field as an int on specified object.

Throws

IllegalAccessException

If the underlying constructor is inaccessible.

IllegalArgumentException

If the specified object is not an instance of the class or interface declaring the underlying field, or if an unwrapping conversion fails.

See also

set method [java.lang.reflect.Field]

Applies to

 Field [java.lang.reflect]


setLong method [java.lang.reflect.Array] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setLong method [java.lang.reflect.Array]

public static native void setLong( java.lang.Object array, int index, long l ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

Sets the value of the indexed component of the specified array object to the specified long value.

Parameters

array

the array

index

the index into the array

value

the new value of the indexed component

Throws

NullPointerException

If the specified object argument is null.

IllegalArgumentException

If the specified object argument is not an array, or if the the specified value cannot be converted to the underlying array's component type by an identity or a primitive widening widening conversion.

ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array.

See also

set method [java.lang.reflect.Array]

Applies to

 Array [java.lang.reflect]


setLong method [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setLong method [java.lang.reflect.Field]

public native void setLong( java.lang.Object obj, long l ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

Set the value of a field as a long on specified object.

Throws

IllegalAccessException

If the underlying constructor is inaccessible.

IllegalArgumentException

If the specified object is not an instance of the class or interface declaring the underlying field, or if an unwrapping conversion fails.

See also

set method [java.lang.reflect.Field]

Applies to

 Field [java.lang.reflect]


setPaintMode method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setPaintMode method [java.awt.Graphics]

public abstract void setPaintMode( )

Sets the paint mode of this graphics context to overwrite the destination with this graphics context's current color. This sets the logical pixel operation function to the paint or overwrite mode.  All subsequent rendering operations will overwrite the destination with the current color.

Applies to

 Graphics [java.awt]


setParameter method [java.security.Signature] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setParameter method [java.security.Signature]

public final void setParameter( java.lang.String param, java.lang.Object value ) throws java.security.InvalidParameterException

Sets the specified algorithm parameter to the specified value. This method supplies a general-purpose mechanism through which it is possible to set the various parameters of this object. A parameter may be any settable parameter for the algorithm, such as a parameter size, or a source of random bits for signature generation (if appropriate), or an indication of whether or not to perform a specific but optional computation. A uniform algorithm-specific naming scheme for each parameter is desirable but left unspecified at this time.

Parameters

param

the string identifier of the parameter.

value

the parameter value.

Throws

InvalidParameterException

If param is an invalid parameter for this signature algorithm engine, the parameter is already set and cannot be set again, a security exception occurs, and so on.

Applies to

 Signature [java.security]


setPixels method [java.awt.image.AreaAveragingScaleFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setPixels method [java.awt.image.AreaAveragingScaleFilter]

Overloads:

 void setPixels( int x, int y, int w, int h, ColorModel model, byte[] pixels, int off, int scansize ) overrides setPixels method [java.awt.image.ReplicateScaleFilter]

 void setPixels( int x, int y, int w, int h, ColorModel model, int[] pixels, int off, int scansize ) overrides setPixels method [java.awt.image.ReplicateScaleFilter]

public void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, byte[] pixels, int off, int scansize )

Combine the components for the delivered byte pixels into the accumulation arrays and send on any averaged data for rows of pixels that are complete.  If the correct hints were not specified in the setHints call then relay the work to our superclass which is capable of scaling pixels regardless of the delivery hints.

See also

ReplicateScaleFilter class [java.awt.image]

public void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, int[] pixels, int off, int scansize )

Combine the components for the delivered int pixels into the accumulation arrays and send on any averaged data for rows of pixels that are complete.  If the correct hints were not specified in the setHints call then relay the work to our superclass which is capable of scaling pixels regardless of the delivery hints.

See also

ReplicateScaleFilter class [java.awt.image]

Applies to

 AreaAveragingScaleFilter [java.awt.image]


setPixels method [java.awt.image.CropImageFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setPixels method [java.awt.image.CropImageFilter]

Overloads:

 void setPixels( int x, int y, int w, int h, ColorModel model, int[] pixels, int off, int scansize ) overrides setPixels method [java.awt.image.ImageFilter]

 void setPixels( int x, int y, int w, int h, ColorModel model, byte[] pixels, int off, int scansize ) overrides setPixels method [java.awt.image.ImageFilter]

public void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, int[] pixels, int off, int scansize )

Determine if the delivered int pixels intersect the region to be extracted and pass through only that subset of pixels that appear in the output region.

public void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, byte[] pixels, int off, int scansize )

Determine whether the delivered byte pixels intersect the region to be extracted and passes through only that subset of pixels that appear in the output region.

Applies to

 CropImageFilter [java.awt.image]


setPixels method [java.awt.image.ImageFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setPixels method [java.awt.image.ImageFilter]

Overloads:

 void setPixels( int x, int y, int w, int h, ColorModel model, int[] pixels, int off, int scansize )

 void setPixels( int x, int y, int w, int h, ColorModel model, byte[] pixels, int off, int scansize )

public void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, int[] pixels, int off, int scansize )

Filters the information provided in the setPixels method of the ImageConsumer interface which takes an array of integers.

See also

ImageConsumer interface [java.awt.image]

public void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, byte[] pixels, int off, int scansize )

Filters the information provided in the setPixels method of the ImageConsumer interface which takes an array of bytes.

See also

ImageConsumer interface [java.awt.image]

Applies to

 AreaAveragingScaleFilter [java.awt.image]

 CropImageFilter [java.awt.image]

 ImageFilter [java.awt.image]

 ReplicateScaleFilter [java.awt.image]

 RGBImageFilter [java.awt.image]


setPixels method [java.awt.image.PixelGrabber] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setPixels method [java.awt.image.PixelGrabber]

Overloads:

 void setPixels( int srcX, int srcY, int srcW, int srcH, ColorModel model, byte[] pixels, int srcOff, int srcScan )

 void setPixels( int srcX, int srcY, int srcW, int srcH, ColorModel model, int[] pixels, int srcOff, int srcScan )

public void setPixels( int srcX, int srcY, int srcW, int srcH, java.awt.image.ColorModel model, byte[] pixels, int srcOff, int srcScan )

The setPixels method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

public void setPixels( int srcX, int srcY, int srcW, int srcH, java.awt.image.ColorModel model, int[] pixels, int srcOff, int srcScan )

The setPixels method is part of the ImageConsumer API which this class must implement to retrieve the pixels.

Applies to

 PixelGrabber [java.awt.image]


setPixels method [java.awt.image.ReplicateScaleFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setPixels method [java.awt.image.ReplicateScaleFilter]

Overloads:

 void setPixels( int x, int y, int w, int h, ColorModel model, byte[] pixels, int off, int scansize ) overrides setPixels method [java.awt.image.ImageFilter]

 void setPixels( int x, int y, int w, int h, ColorModel model, int[] pixels, int off, int scansize ) overrides setPixels method [java.awt.image.ImageFilter]

public void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, byte[] pixels, int off, int scansize )

Choose which rows and columns of the delivered byte pixels are needed for the destination scaled image and pass through just those rows and columns that are needed, replicated as necessary.

public void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, int[] pixels, int off, int scansize )

Choose which rows and columns of the delivered int pixels are needed for the destination scaled image and pass through just those rows and columns that are needed, replicated as necessary.

Applies to

 AreaAveragingScaleFilter [java.awt.image]

 ReplicateScaleFilter [java.awt.image]


setPixels method [java.awt.image.RGBImageFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setPixels method [java.awt.image.RGBImageFilter]

Overloads:

 void setPixels( int x, int y, int w, int h, ColorModel model, byte[] pixels, int off, int scansize ) overrides setPixels method [java.awt.image.ImageFilter]

 void setPixels( int x, int y, int w, int h, ColorModel model, int[] pixels, int off, int scansize ) overrides setPixels method [java.awt.image.ImageFilter]

public void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, byte[] pixels, int off, int scansize )

If the ColorModel object is the same one that has already been converted, then simply passes the pixels through with the converted ColorModel. Otherwise converts the buffer of byte pixels to the default RGB ColorModel and passes the converted buffer to the filterRGBPixels method to be converted one by one.

See also

RGBdefault property [java.awt.image.ColorModel]

filterRGBPixels method [java.awt.image.RGBImageFilter]

public void setPixels( int x, int y, int w, int h, java.awt.image.ColorModel model, int[] pixels, int off, int scansize )

If the ColorModel object is the same one that has already been converted, then simply passes the pixels through with the converted ColorModel, otherwise converts the buffer of integer pixels to the default RGB ColorModel and passes the converted buffer to the filterRGBPixels method to be converted one by one. Converts a buffer of integer pixels to the default RGB ColorModel and passes the converted buffer to the filterRGBPixels method.

See also

RGBdefault property [java.awt.image.ColorModel]

filterRGBPixels method [java.awt.image.RGBImageFilter]

Applies to

 RGBImageFilter [java.awt.image]


setProperty method [java.security.Security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setProperty method [java.security.Security]

public static void setProperty( java.lang.String key, java.lang.String datum )

Sets a security property.

Parameters

key

the name of the property to be set.

datum

the value of the property to be set.

Applies to

 Security [java.security]


setRef method [java.rmi.server.RemoteStub] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setRef method [java.rmi.server.RemoteStub]

protected static void setRef( java.rmi.server.RemoteStub stub, java.rmi.server.RemoteRef ref )

Applies to

 RemoteStub [java.rmi.server]


setRequestProperty method [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setRequestProperty method [java.net.URLConnection]

public void setRequestProperty( java.lang.String key, java.lang.String value )

Sets the general request property.

Parameters

key

the keyword by which the request is known (e.g., "accept").

value

the value associated with it.

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


setScale method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setScale method [java.math.BigDecimal]

Overloads:

 BigDecimal setScale( int scale )

 BigDecimal setScale( int scale, int roundingMode )

public java.math.BigDecimal setScale( int scale ) throws java.lang.ArithmeticException, java.lang.IllegalArgumentException

Returns a BigDecimal whose scale is the specified value, and whose value is exactly equal to this number's.  Throws an ArithmeticException if this is not possible.  This call is typically used to increase the scale, in which case it is guaranteed that there exists a BigDecimal of the specified scale and the correct value.  The call can also be used to reduce the scale if the caller knows that the number has sufficiently many zeros at the end of its fractional part (i.e., factors of ten in its integer value) to allow for the rescaling without loss of precision. Note that this call returns the same result as the two argument version of setScale, but saves the caller the trouble of specifying a rounding mode in cases where it is irrelevant.

Return

No documentation supplied in JDK.

public java.math.BigDecimal setScale( int scale, int roundingMode ) throws java.lang.ArithmeticException, java.lang.IllegalArgumentException

Returns a BigDecimal whose scale is the specified value, and whose integer value is determined by multiplying or dividing this BigDecimal's integer value by the appropriate power of ten to maintain the overall value.  If the scale is reduced by the operation, the integer value must be divided (rather than multiplied), and precision may be lost; in this case, the specified rounding mode is applied to the division. Throws an ArithmeticException if scale is negative, or the rounding mode is ROUND_UNNECESSARY and it is impossible to perform the specified scaling operation without loss of precision.  Throws an IllegalArgumentException if roundingMode does not represent a valid rounding mode.

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


setShort method [java.lang.reflect.Array] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setShort method [java.lang.reflect.Array]

public static native void setShort( java.lang.Object array, int index, short s ) throws java.lang.IllegalArgumentException, java.lang.ArrayIndexOutOfBoundsException

Sets the value of the indexed component of the specified array object to the specified short value.

Parameters

array

the array

index

the index into the array

value

the new value of the indexed component

Throws

NullPointerException

If the specified object argument is null.

IllegalArgumentException

If the specified object argument is not an array, or if the the specified value cannot be converted to the underlying array's component type by an identity or a primitive widening widening conversion.

ArrayIndexOutOfBoundsException

If the specified index argument is negative, or if it is greater than or equal to the length of the specified array.

See also

set method [java.lang.reflect.Array]

Applies to

 Array [java.lang.reflect]


setShort method [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setShort method [java.lang.reflect.Field]

public native void setShort( java.lang.Object obj, short s ) throws java.lang.IllegalArgumentException, java.lang.IllegalAccessException

Set the value of a field as a short on specified object.

Throws

IllegalAccessException

If the underlying constructor is inaccessible.

IllegalArgumentException

If the specified object is not an instance of the class or interface declaring the underlying field, or if an unwrapping conversion fails.

See also

set method [java.lang.reflect.Field]

Applies to

 Field [java.lang.reflect]


setSigners method [java.lang.ClassLoader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setSigners method [java.lang.ClassLoader]

protected final void setSigners( java.lang.Class cl, java.lang.Object[] signers )

Sets the signers of a class. This is called after defining a class, by signature-aware class loading code.

Applies to

 ClassLoader [java.lang]


setSoLinger method [java.net.Socket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setSoLinger method [java.net.Socket]

public void setSoLinger( boolean on, int val ) throws java.net.SocketException

Enable/disable SO_LINGER with the specified linger time.

Applies to

 Socket [java.net]


setStartRule method [java.util.SimpleTimeZone] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setStartRule method [java.util.SimpleTimeZone]

public void setStartRule( int month, int dayOfWeekInMonth, int dayOfWeek, int time )

Sets the daylight savings starting rule. For example, Daylight Savings Time starts at the first Sunday in April, at 2 AM in standard time. Therefore, you can set the start rule by calling: setStartRule(TimeFields.APRIL, 1, TimeFields.SUNDAY, 2*60*60*1000);

Parameters

month

The daylight savings starting month. Month is 0-based. eg, 0 for January.

dayOfWeekInMonth

The daylight savings starting day-of-week-in-month. Please see the member description for an example.

dayOfWeek

The daylight savings starting day-of-week. Please see the member description for an example.

time

The daylight savings starting time. Please see the member description for an example.

Throws

IllegalArgumentException

The month, dayOfWeekInMonth, dayOfWeek, or time parameters are out of range.

Applies to

 SimpleTimeZone [java.util]


setURL method [java.net.URLStreamHandler] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setURL method [java.net.URLStreamHandler]

protected void setURL( java.net.URL u, java.lang.String protocol, java.lang.String host, int port, java.lang.String file, java.lang.String ref )

Sets the fields of the URL argument to the indicated values.  Only classes derived from URLStreamHandler are supposed to be able to call the set method on a URL.

Parameters

u

the URL to modify.

protocol

the protocol name.

host

the remote host value for the URL.

port

the port on the remote machine.

file

the file.

ref

the reference.

See also

set method [java.net.URL]

Applies to

 URLStreamHandler [java.net]


setValue method [java.beans.FeatureDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setValue method [java.beans.FeatureDescriptor]

public void setValue( java.lang.String attributeName, java.lang.Object value )

Associate a named attribute with this feature.

Parameters

attributeName

The locale-independent name of the attribute

value

The value.

Applies to

 BeanDescriptor [java.beans]

 EventSetDescriptor [java.beans]

 FeatureDescriptor [java.beans]

 IndexedPropertyDescriptor [java.beans]

 MethodDescriptor [java.beans]

 ParameterDescriptor [java.beans]

 PropertyDescriptor [java.beans]


setValues method [java.awt.Scrollbar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      setValues method [java.awt.Scrollbar]

public synchronized void setValues( int value, int visible, int minimum, int maximum )

Sets the values of four properties for this scroll bar.

This method simultaneously and synchronously sets the values of four scroll bar properties, assuring that the values of these properties are mutually consistent. It enforces the constraints that maximum cannot be less than minimum, and that value cannot be less than the minimum or greater than the maximum.

Parameters

value

is the position in the current window.

visible

is the amount visible per page.

minimum

is the minimum value of the scroll bar.

maximum

is the maximum value of the scroll bar.

Applies to

 Scrollbar [java.awt]


Shape interface [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      Shape interface [java.awt]

Description

The interface for objects which represent some form of geometric shape.

This interface will be revised in the upcoming Java2D project. It is meant to provide a common interface for various existing geometric AWT classes and methods which operate on them.  Since it may be superseded or expanded in the future, developers should avoid implementing this interface in their own classes until it is completed in a later release.

Definition

public interface Shape

{

  // Properties

  public java.awt.Rectangle getBounds( );

}

Properties

public java.awt.Rectangle getBounds( )

Return the bounding box of the shape.

Return

No documentation supplied in JDK.

Implemented by

Polygon [java.awt]	Rectangle [java.awt]


shiftDown method [java.awt.Event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      shiftDown method [java.awt.Event]

public boolean shiftDown( )

Checks if the Shift key is down.

Return

true if the key is down; false otherwise.

See also

controlDown method [java.awt.Event]

metaDown method [java.awt.Event]

Applies to

 Event [java.awt]


shiftDown property [java.awt.event.InputEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      shiftDown property [java.awt.event.InputEvent]

public boolean isShiftDown( )

Returns whether or not the Shift modifier is down on this event.

Return

No documentation supplied in JDK.

Applies to

 InputEvent [java.awt.event]

 KeyEvent [java.awt.event]

 MouseEvent [java.awt.event]


shiftLeft method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      shiftLeft method [java.math.BigInteger]

public java.math.BigInteger shiftLeft( int n )

Returns a BigInteger whose value is (this << n).  (Computes floor(this * 2**n).)

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


shiftRight method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      shiftRight method [java.math.BigInteger]

public java.math.BigInteger shiftRight( int n )

Returns a BigInteger whose value is (this >> n).  Sign extension is performed.  (Computes floor(this / 2**n).)

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


Short class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      Short class [java.lang]

Object

Number

Short

Description

The Short class is the standard wrapper for short values.

Specification

public final class Short extends java.lang.Number

Constructors

public Short( java.lang.String s ) throws java.lang.NumberFormatException

Constructs a Short object initialized to the value specified by the String parameter.  The radix is assumed to be 10.

Parameter

s

the String to be converted to a Short

Throws

NumberFormatException

If the String does not contain a parsable short.

public Short( short value )

Constructs a Short object initialized to the specified short value.

Parameter

value

the initial value of the Short

Variables

public static final short MIN_VALUE

The minimum value a Short can have.

public static final short MAX_VALUE

The maximum value a Short can have.

public static final java.lang.Class TYPE

The Class object representing the primitive type short.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  byte byteValue( )

  static java.lang.Short decode( java.lang.String nm ) throws java.lang.NumberFormatException

  double doubleValue( )

  boolean equals( java.lang.Object obj )

  float floatValue( )

  int hashCode( )

  int intValue( )

  long longValue( )

  static short parseShort( java.lang.String s, int radix ) throws java.lang.NumberFormatException

  static short parseShort( java.lang.String s ) throws java.lang.NumberFormatException

  short shortValue( )

  java.lang.String toString( )

  static java.lang.String toString( short s )

  static java.lang.Short valueOf( java.lang.String s ) throws java.lang.NumberFormatException

  static java.lang.Short valueOf( java.lang.String s, int radix ) throws java.lang.NumberFormatException

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Number class [java.lang]


shortcut property [java.awt.MenuItem] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      shortcut property [java.awt.MenuItem]

public java.awt.MenuShortcut getShortcut( )

Get the MenuShortcut object associated with this menu item,

Return

The menu shortcut associated with this menu item, or null if none has been specified.

public void setShortcut( java.awt.MenuShortcut s )

Set the MenuShortcut object associated with this menu item. If a menu shortcut is already associated with this menu item, it is replaced.

Parameter

s

the menu shortcut to associate with this menu item.

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


shortcuts method [java.awt.MenuBar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      shortcuts method [java.awt.MenuBar]

public synchronized java.util.Enumeration shortcuts( )

Gets an enumeration of all menu shortcuts this menu bar is managing.

Return

An enumeration of menu shortcuts that this menu bar is managing.

See also

MenuShortcut class [java.awt]

Applies to

 MenuBar [java.awt]


shortDescription property [java.beans.FeatureDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      shortDescription property [java.beans.FeatureDescriptor]

public java.lang.String getShortDescription( )

No documentation supplied in JDK

Return

A localized short description associated with this property/method/event.  This defaults to be the display name.

public void setShortDescription( java.lang.String text )

You can associate a short descriptive string with a feature.  Normally these descriptive strings should be less than about 40 characters.

Parameter

text

A (localized) short description to be associated with this property/method/event.

Applies to

 BeanDescriptor [java.beans]

 EventSetDescriptor [java.beans]

 FeatureDescriptor [java.beans]

 IndexedPropertyDescriptor [java.beans]

 MethodDescriptor [java.beans]

 ParameterDescriptor [java.beans]

 PropertyDescriptor [java.beans]


shortMonths property [java.text.DateFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      shortMonths property [java.text.DateFormatSymbols]

public java.lang.String[] getShortMonths( )

Gets short month strings. For example: "Jan", "Feb", etc.

Return

The short month strings.

public void setShortMonths( java.lang.String[] newShortMonths )

Sets short month strings. For example: "Jan", "Feb", etc.

Parameter

newShortMonths

the new short month strings.

Applies to

 DateFormatSymbols [java.text]


shortValue method [java.lang.Byte] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      shortValue method [java.lang.Byte]

Overloads:

 short shortValue( ) overrides shortValue method [java.lang.Number]

public short shortValue( )

Returns the value of this Byte as a short.

Return

No documentation supplied in JDK.

Applies to

 Byte [java.lang]


shortValue method [java.lang.Double] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      shortValue method [java.lang.Double]

Overloads:

 short shortValue( ) overrides shortValue method [java.lang.Number]

public short shortValue( )

Returns the value of this Double as a short (by casting to a short).

Return

No documentation supplied in JDK.

Applies to

 Double [java.lang]


shortValue method [java.lang.Float] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      shortValue method [java.lang.Float]

Overloads:

 short shortValue( ) overrides shortValue method [java.lang.Number]

public short shortValue( )

Returns the value of this Float as a short (by casting to a short).

Return

No documentation supplied in JDK.

Applies to

 Float [java.lang]


shortValue method [java.lang.Integer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      shortValue method [java.lang.Integer]

Overloads:

 short shortValue( ) overrides shortValue method [java.lang.Number]

public short shortValue( )

Returns the value of this Integer as a short.

Return

No documentation supplied in JDK.

Applies to

 Integer [java.lang]


shortValue method [java.lang.Long] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      shortValue method [java.lang.Long]

Overloads:

 short shortValue( ) overrides shortValue method [java.lang.Number]

public short shortValue( )

Returns the value of this Long as a short.

Return

No documentation supplied in JDK.

Applies to

 Long [java.lang]


shortValue method [java.lang.Number] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      shortValue method [java.lang.Number]

public short shortValue( )

Returns the value of the specified number as a short. This may involve rounding or truncation.

Return

The numeric value represented by this object after conversion to type short.

Applies to

 BigDecimal [java.math]

 BigInteger [java.math]

 Byte [java.lang]

 Double [java.lang]

 Float [java.lang]

 Integer [java.lang]

 Long [java.lang]

 Number [java.lang]

 Short [java.lang]


shortValue method [java.lang.Short] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      shortValue method [java.lang.Short]

Overloads:

 short shortValue( ) overrides shortValue method [java.lang.Number]

public short shortValue( )

Returns the value of this Short as a short.

Return

No documentation supplied in JDK.

Applies to

 Short [java.lang]


shortWeekdays property [java.text.DateFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      shortWeekdays property [java.text.DateFormatSymbols]

public java.lang.String[] getShortWeekdays( )

Gets short weekday strings. For example: "Sun", "Mon", etc.

Return

The short weekday strings.

public void setShortWeekdays( java.lang.String[] newShortWeekdays )

Sets short weekday strings. For example: "Sun", "Mon", etc.

Parameter

newShortWeekdays

the new short weekday strings.

Applies to

 DateFormatSymbols [java.text]


show method [java.awt.CardLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      show method [java.awt.CardLayout]

public void show( java.awt.Container parent, java.lang.String name )

Flips to the component that was added to this layout with the specified name, using addLayoutComponent. If no such component exists, then nothing happens.

Parameters

parent

the name of the parent container in which to do the layout.

name

the component name.

See also

addLayoutComponent method [java.awt.CardLayout]

Applies to

 CardLayout [java.awt]


show method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      show method [java.awt.Component]

Overloads:

 void show( boolean b )

 void show( )

public void show( boolean b )

Note: show has been deprecated. As of JDK version 1.1, replaced by setVisible(boolean).

No documentation supplied in JDK

public void show( )

Note: show has been deprecated. As of JDK version 1.1, replaced by setVisible(boolean).

No documentation supplied in JDK

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


show method [java.awt.Dialog] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      show method [java.awt.Dialog]

Overloads:

 void show( ) overrides show method [java.awt.Window]

Inherited overloads:

 void show( boolean b )

public void show( )

Shows the dialog. This will bring the dialog to the front if the dialog is already visible.  If the dialog is modal, this call will block input to the parent window until the dialog is taken down by calling hide or dispose. It is permissible to show modal dialogs from the event dispatching thread because the toolkit will ensure that another dispatching thread will run while the one which invoked show is blocked.

See also

hide method [java.awt.Component]

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]


show method [java.awt.PopupMenu] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      show method [java.awt.PopupMenu]

public void show( java.awt.Component origin, int x, int y )

Shows the popup menu at the x, y position relative to an origin component. The origin component must be contained within the component hierarchy of the popup menu's parent.  Both the origin and the parent must be showing on the screen for this method to be valid.

Parameters

origin

the component which defines the coordinate space

x

the x coordinate position to popup the menu

y

the y coordinate position to popup the menu

Applies to

 PopupMenu [java.awt]


show method [java.awt.Window] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      show method [java.awt.Window]

Overloads:

 void show( ) overrides show method [java.awt.Component]

Inherited overloads:

 void show( boolean b )

public void show( )

Shows this window, and brings it to the front.

If this window is not yet visible, show makes it visible. If this window is already visible, then this method brings it to the front.

See also

toFront method [java.awt.Window]

visible property [java.awt.Component]

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Window [java.awt]


showing property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      showing property [java.awt.Component]

public boolean isShowing( )

Determines whether this component is showing on screen. This means that the component must be visible, and it must be in a container that is visible and showing.

Return

true if the component is showing; false otherwise.

See also

visible property [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


showing property [java.awt.Window] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      showing property [java.awt.Window]

Overloads:

  boolean isShowing( ) overrides showing property [java.awt.Component]

public boolean isShowing( )

Checks if this Window is showing on screen.

Return

No documentation supplied in JDK.

See also

visible property [java.awt.Component]

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Window [java.awt]


showStatus method [java.applet.Applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      showStatus method [java.applet.Applet]

public void showStatus( java.lang.String msg )

Requests that the argument string be displayed in the "status window". Many browsers and applet viewers provide such a window, where the application can inform users of its current state.

Parameter

msg

a string to display in the status window.

Applies to

 Applet [java.applet]


sign method [java.security.Signature] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      sign method [java.security.Signature]

public final byte[] sign( ) throws java.security.SignatureException

Returns the signature bytes of all the data updated.  The signature returned is X.509-encoded.

A call to this method resets this signature object to the state it was in when previously initialized for signing via a call to initSign(PrivateKey). That is, the object is reset and available to generate another signature from the same signer, if desired, via new calls to update and sign.

Return

The signature bytes of the signing operation's result.

Throws

SignatureException

If this signature object is not initialized properly.

Applies to

 Signature [java.security]


Signature class [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      Signature class [java.security]

Object

Signature

Description

This Signature class is used to provide the functionality of a digital signature algorithm, such as RSA with MD5 or DSA. Digital signatures are used for authentication and integrity assurance of digital data.

Like other algorithm-based classes in Java Security, the Signature class has two major components:

Digital Signature API (Application Program Interface)

This is the interface of methods called by applications needing digital signature services. The API consists of all public methods.

Digital Signature SPI (Service Provider Interface)

This is the interface implemented by providers that supply specific algorithms. It consists of all methods whose names are prefixed by engine. Each such method is called by a correspondingly-named public API method. For example, the engineSign method is called by the sign method.  The SPI methods are abstract; providers must supply a concrete implementation.

Also like other algorithm-based classes in Java Security, Signature provides implementation-independent algorithms, whereby a caller (application code) requests a particular signature algorithm and is handed back a properly initialized Signature object. It is also possible, if desired, to request a particular algorithm from a particular provider. See the getInstance  methods.

Thus, there are two ways to request a Signature algorithm object: by specifying either just an algorithm name, or both an algorithm name and a package provider.

•	If just an algorithm name is specified, the system will determine if there is an implementation of the algorithm requested available in the environment, and if there is more than one, if there is a preferred one.

•	If both an algorithm name and a package provider are specified, the system will determine if there is an implementation of the algorithm in the package requested, and throw an exception if there is not.

A Signature object can be used to generate and verify digital signatures.

There are three phases to the use of a Signature object for either signing data or verifying a signature:

•	Initialization, with either

•	a public key, which initializes the signature for verification (see initVerify), or

•	a private key, which initializes the signature for signing (see initSign).

•	Updating

Depending on the type of initialization, this will update the bytes to be signed or verified. See the update methods.

•	Signing or Verifying

a signature on all updated bytes. See sign and verify.

Specification

public abstract class Signature extends java.lang.Object

Constructor

protected Signature( java.lang.String algorithm )

Creates a Signature object for the specified algorithm.

Parameter

algorithm

the standard string name of the algorithm. See Appendix A in the   Java Cryptography Architecture API Specification & Reference   for information about standard algorithm names.

Variables

protected static final int UNINITIALIZED

Possible state  value, signifying that this signature object has not yet been initialized.

protected static final int SIGN

Possible state  value, signifying that this signature object has been initialized for signing.

protected static final int VERIFY

Possible state  value, signifying that this signature object has been initialized for verification.

protected int state

Current state of this signature object.

Properties

  final java.lang.String getAlgorithm( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

  static java.security.Signature getInstance( java.lang.String algorithm, java.lang.String provider ) throws java.security.NoSuchAlgorithmException, java.security.NoSuchProviderException

  static java.security.Signature getInstance( java.lang.String algorithm ) throws java.security.NoSuchAlgorithmException

  final java.lang.Object getParameter( java.lang.String param ) throws java.security.InvalidParameterException

  final void initSign( java.security.PrivateKey privateKey ) throws java.security.InvalidKeyException

  final void initVerify( java.security.PublicKey publicKey ) throws java.security.InvalidKeyException

  final void setParameter( java.lang.String param, java.lang.Object value ) throws java.security.InvalidParameterException

  final byte[] sign( ) throws java.security.SignatureException

  java.lang.String toString( )

  final void update( byte[] data, int off, int len ) throws java.security.SignatureException

  final void update( byte[] data ) throws java.security.SignatureException

  final void update( byte b ) throws java.security.SignatureException

  final boolean verify( byte[] signature ) throws java.security.SignatureException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected abstract java.lang.Object engineGetParameter( java.lang.String param ) throws java.security.InvalidParameterException

 protected abstract void engineInitSign( java.security.PrivateKey privateKey ) throws java.security.InvalidKeyException

 protected abstract void engineInitVerify( java.security.PublicKey publicKey ) throws java.security.InvalidKeyException

 protected abstract void engineSetParameter( java.lang.String param, java.lang.Object value ) throws java.security.InvalidParameterException

 protected abstract byte[] engineSign( ) throws java.security.SignatureException

 protected abstract void engineUpdate( byte[] b, int off, int len ) throws java.security.SignatureException

 protected abstract void engineUpdate( byte b ) throws java.security.SignatureException

 protected abstract boolean engineVerify( byte[] sigBytes ) throws java.security.SignatureException

 protected void finalize( ) throws java.lang.Throwable


SignatureException class [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      SignatureException class [java.security]

Object

Throwable

Exception

SignatureException

Description

This is the generic Signature exception.

Specification

public class SignatureException extends java.lang.Exception

Constructors

public SignatureException( )

Constructs a SignatureException with no detail message. A detail message is a String that describes this particular exception.

public SignatureException( java.lang.String msg )

Constructs a SignatureException with the specified detail message.  A detail message is a String that describes this particular exception.

Parameter

msg

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


Signer class [java.security] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      Signer class [java.security]

Object

Identity

Signer

Description

This class is used to represent an Identity that can also digitally sign data.

The management of a signer's private keys is an important and sensitive issue that should be handled by subclasses as appropriate to their intended use.

Specification

public abstract class Signer extends java.security.Identity

Constructors

protected Signer( )

Creates a signer. This constructor should only be used for serialization.

public Signer( java.lang.String name )

Creates a signer with the specified identity name.

Parameter

name

the identity name.

public Signer( java.lang.String name, java.security.IdentityScope scope ) throws java.security.KeyManagementException

Creates a signer with the specified identity name and scope.

Parameters

name

the identity name.

scope

the scope of the identity.

Throws

KeyManagementException

If there is already an identity with the same name in the scope.

Properties

  final void setKeyPair( java.security.KeyPair pair ) throws java.security.InvalidParameterException, java.security.KeyException

  java.security.PrivateKey getPrivateKey( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getInfo( )

  void setInfo( java.lang.String info )

  final java.lang.String getName( )

  java.security.PublicKey getPublicKey( )

  void setPublicKey( java.security.PublicKey key ) throws java.security.KeyManagementException

  final java.security.IdentityScope getScope( )

Methods

  java.lang.String toString( )

Inherited Methods

  void addCertificate( java.security.Certificate certificate ) throws java.security.KeyManagementException

  java.security.Certificate[] certificates( )

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void removeCertificate( java.security.Certificate certificate ) throws java.security.KeyManagementException

  java.lang.String toString( boolean detailed )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

 protected boolean identityEquals( java.security.Identity identity )

See also

Identity class [java.security]


signers property [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      signers property [java.lang.Class]

public native java.lang.Object[] getSigners( )

Get the signers of this class.

Return

No documentation supplied in JDK.

Applies to

 Class [java.lang]


signum method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      signum method [java.math.BigDecimal]

public int signum( )

Returns the signum function of this number (i.e., -1, 0 or 1 as the value of this number is negative, zero or positive).

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


signum method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      signum method [java.math.BigInteger]

public int signum( )

Returns the signum function of this number (i.e., -1, 0 or 1 as the value of this number is negative, zero or positive).

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


SimpleBeanInfo class [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      SimpleBeanInfo class [java.beans]

Object

SimpleBeanInfo

Description

This is a support class to make it easier for people to provide BeanInfo classes.

It defaults to providing "noop" information, and can be selectively overriden to provide more explicit information on chosen topics. When the introspector sees the "noop" values, it will apply low level introspection and design patterns to automatically analyze the target bean.

Specification

public class SimpleBeanInfo extends java.lang.Object implements java.beans.BeanInfo

Properties

  java.beans.BeanInfo[] getAdditionalBeanInfo( )

  java.beans.BeanDescriptor getBeanDescriptor( )

  int getDefaultEventIndex( )

  int getDefaultPropertyIndex( )

  java.beans.EventSetDescriptor[] getEventSetDescriptors( )

  java.awt.Image getIcon( int iconKind )

  java.beans.MethodDescriptor[] getMethodDescriptors( )

  java.beans.PropertyDescriptor[] getPropertyDescriptors( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.awt.Image loadImage( java.lang.String resourceName )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


SimpleDateFormat class [java.text] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      SimpleDateFormat class [java.text]

Object

Format

DateFormat

SimpleDateFormat

Description

SimpleDateFormat is a concrete class for formatting and parsing dates in a locale-sensitive manner. It allows for formatting (date -> text), parsing (text -> date), and normalization.

SimpleDateFormat allows you to start by choosing any user-defined patterns for date-time formatting. However, you are encouraged to create a date-time formatter with either getTimeInstance, getDateInstance, or getDateTimeInstance in DateFormat. Each of these class methods can return a date/time formatter initialized with a default format pattern. You may modify the format pattern using the applyPattern methods as desired. For more information on using these methods, see DateFormat.

Time Format Syntax:

To specify the time format use a time pattern string. In this pattern, all ASCII letters are reserved as pattern letters, which are defined as the following:

Symbol   Meaning                 Presentation        Example

------   -------                 ------------        -------

G        era designator          (Text)              AD

y        year                    (Number)            1996

M        month in year           (Text & Number)     July & 07

d        day in month            (Number)            10

h        hour in am/pm (1~12)    (Number)            12

H        hour in day (0~23)      (Number)            0

m        minute in hour          (Number)            30

s        second in minute        (Number)            55

S        millisecond             (Number)            978

E        day in week             (Text)              Tuesday

D        day in year             (Number)            189

F        day of week in month    (Number)            2 (2nd Wed in July)

w        week in year            (Number)            27

W        week in month           (Number)            2

a        am/pm marker            (Text)              PM

k        hour in day (1~24)      (Number)            24

K        hour in am/pm (0~11)    (Number)            0

z        time zone               (Text)              Pacific Standard Time

'        escape for text         (Delimiter)

''       single quote            (Literal)           '

 The count of pattern letters determine the format.

(Text) : 4 or more pattern letters--use full form, < 4--use short or abbreviated form if one exists.

(Number) : the minimum number of digits. Shorter numbers are zero-padded to this amount. Year is handled specially; that is, if the count of 'y' is 2, the Year will be truncated to 2 digits.

(Text & Number) : 3 or over, use text, otherwise use number.

Any characters in the pattern that are not in the ranges of ['a'..'z'] and ['A'..'Z'] will be treated as quoted text. For instance, characters like ':', '.', ' ', '#' and '@' will appear in the resulting time text even they are not embraced within single quotes.

A pattern containing any invalid pattern letter will result in a thrown exception during formatting or parsing.

Examples Using the US Locale:

Format Pattern                         Result

--------------                         -------

"yyyy.MM.dd G 'at' hh:mm:ss z"    ->>  1996.07.10 AD at 15:08:56 PDT

"EEE, MMM d, ''yy"                ->>  Wed, July 10, '96

"h:mm a"                          ->>  12:08 PM

"hh 'o''clock' a, zzzz"           ->>  12 o'clock PM, Pacific Daylight Time

"K:mm a, z"                       ->>  0:00 PM, PST

"yyyyy.MMMMM.dd GGG hh:mm aaa"    ->>  1996.July.10 AD 12:08 PM

 Code Sample:

SimpleTimeZone pdt = new SimpleTimeZone(-8 * 60 * 60 * 1000, "PST");

pdt.setStartRule(DateFields.APRIL, 1, DateFields.SUNDAY, 2*60*60*1000);

pdt.setEndRule(DateFields.OCTOBER, -1, DateFields.SUNDAY, 2*60*60*1000);

// Format the current time.

SimpleDateFormat formatter

   = new SimpleDateFormat ("yyyy.mm.dd e 'at' hh:mm:ss a zzz");

Date currentTime_1 = new Date();

String dateString = formatter.format(currentTime_1);

// Parse the previous string back into a Date.

ParsePosition pos = new ParsePosition(0);

Date currentTime_2 = formatter.parse(dateString, pos);

 In the example, the time value currentTime_2 obtained from parsing will be equal to currentTime_1. However, they may not be equal if the am/pm marker 'a' is left out from the format pattern while the "hour in am/pm" pattern symbol is used. This information loss can happen when formatting the time in PM.

When parsing a date string using the abbreviated year pattern, SimpleDateFormat must interpret the abbreviated year relative to some century.  It does this by adjusting dates to be within 80 years before and 20 years after the time the SimpleDateFormat instance is created. For example, using a pattern of MM/dd/yy and a SimpleDateFormat instance created on Jan 1, 1997,  the string "01/11/12" would be interpreted as Jan 11, 2012 while the string "05/04/64" would be interpreted as May 4, 1964. During parsing, only strings consisting of exactly two digits, as defined by Character.isDigit(char), will be parsed into the default century. Any other numeric string, such as a one digit string, a three or more digit string, or a two digit string that isn't all digits (for example, "-1"), is interpreted literally.  So "01/02/3" or "01/02/003" are parsed, using the same pattern, as Jan 2, 3 AD.  Likewise, "01/02/-3" is parsed as Jan 2, 4 BC.

For time zones that have no names, use strings GMT+hours:minutes or GMT-hours:minutes.

The calendar defines what is the first day of the week, the first week of the year, whether hours are zero based or not (0 vs 12 or 24), and the time zone. There is one common decimal format to handle all the numbers; the digit count is handled programmatically according to the pattern.

Specification

public class SimpleDateFormat extends java.text.DateFormat

Constructors

public SimpleDateFormat( )

Construct a SimpleDateFormat using the default pattern for the default locale.  Note: Not all locales support SimpleDateFormat; for full generality, use the factory methods in the DateFormat class.

See also

DateFormat class [java.text]

public SimpleDateFormat( java.lang.String pattern )

Construct a SimpleDateFormat using the given pattern in the default locale.  Note: Not all locales support SimpleDateFormat; for full generality, use the factory methods in the DateFormat class.

public SimpleDateFormat( java.lang.String pattern, java.util.Locale loc )

Construct a SimpleDateFormat using the given pattern and locale. Note: Not all locales support SimpleDateFormat; for full generality, use the factory methods in the DateFormat class.

public SimpleDateFormat( java.lang.String pattern, java.text.DateFormatSymbols formatData )

Construct a SimpleDateFormat using the given pattern and locale-specific symbol data.

Properties

  java.text.DateFormatSymbols getDateFormatSymbols( )

  void setDateFormatSymbols( java.text.DateFormatSymbols newFormatSymbols )

Inherited Properties

  static java.util.Locale[] getAvailableLocales( )

  java.util.Calendar getCalendar( )

  void setCalendar( java.util.Calendar newCalendar )

  native final java.lang.Class getClass( )

  static final java.text.DateFormat getDateInstance( )

  static final java.text.DateFormat getDateInstance( int style )

  static final java.text.DateFormat getDateTimeInstance( )

  static final java.text.DateFormat getInstance( )

  void setLenient( boolean lenient )

  boolean isLenient( )

  java.text.NumberFormat getNumberFormat( )

  void setNumberFormat( java.text.NumberFormat newNumberFormat )

  static final java.text.DateFormat getTimeInstance( )

  static final java.text.DateFormat getTimeInstance( int style )

  java.util.TimeZone getTimeZone( )

  void setTimeZone( java.util.TimeZone zone )

Methods

  void applyLocalizedPattern( java.lang.String pattern )

  void applyPattern( java.lang.String pattern )

  java.lang.Object clone( )

  boolean equals( java.lang.Object obj )

  java.lang.StringBuffer format( java.util.Date date, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos )

  int hashCode( )

  java.util.Date parse( java.lang.String text, java.text.ParsePosition pos )

  java.lang.String toLocalizedPattern( )

  java.lang.String toPattern( )

Inherited Methods

  final java.lang.String format( java.util.Date date )

  final java.lang.String format( java.lang.Object obj )

  abstract java.lang.StringBuffer format( java.lang.Object obj, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos )

  static final java.text.DateFormat getDateInstance( int style, java.util.Locale aLocale )

  static final java.text.DateFormat getDateTimeInstance( int dateStyle, int timeStyle, java.util.Locale aLocale )

  static final java.text.DateFormat getDateTimeInstance( int dateStyle, int timeStyle )

  static final java.text.DateFormat getTimeInstance( int style, java.util.Locale aLocale )

  native final void notify( )

  native final void notifyAll( )

  java.util.Date parse( java.lang.String text ) throws java.text.ParseException

  java.lang.Object parseObject( java.lang.String source ) throws java.text.ParseException

  abstract java.lang.Object parseObject( java.lang.String source, java.text.ParsePosition status )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable

See also

Calendar class [java.util]

GregorianCalendar class [java.util]

TimeZone class [java.util]

DateFormat class [java.text]

DateFormatSymbols class [java.text]

DecimalFormat class [java.text]


SimpleTimeZone class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      SimpleTimeZone class [java.util]

Object

TimeZone

SimpleTimeZone

Description

SimpleTimeZone is a concrete subclass of TimeZone that represents a time zone for use with a Gregorian calendar. This class does not handle historical changes.

Use a negative value for dayOfWeekInMonth to indicate that SimpleTimeZone should count from the end of the month backwards. For example, Daylight Savings Time ends at the last (dayOfWeekInMonth = -1) Sunday in October, at 2 AM in standard time.

Specification

public class SimpleTimeZone extends java.util.TimeZone

Constructors

public SimpleTimeZone( int rawOffset, java.lang.String ID )

Constructs a SimpleTimeZone with the given base time zone offset from GMT and time zone ID. Timezone IDs can be obtained from TimeZone.getAvailableIDs. Normally you should use TimeZone.getDefault to construct a TimeZone.

Parameters

rawOffset

The given base time zone offset to GMT.

ID

The time zone ID which is obtained from TimeZone.getAvailableIDs.

public SimpleTimeZone( int rawOffset, java.lang.String ID, int startMonth, int startDay, int startDayOfWeek, int startTime, int endMonth, int endDay, int endDayOfWeek, int endTime )

Construct a SimpleTimeZone with the given base time zone offset from GMT, time zone ID, time to start and end the daylight time. Timezone IDs can be obtained from TimeZone.getAvailableIDs. Normally you should use TimeZone.getDefault to create a TimeZone. For a time zone that does not use daylight saving time, do not use this constructor; instead you should use SimpleTimeZone(rawOffset, ID). By default, this constructor specifies day-of-week-in-month rules. That is, if the startDay is 1, and the startDayOfWeek is SUNDAY, then this indicates the first Sunday in the startMonth. A startDay of -1 likewise indicates the last Sunday. However, by using negative or zero values for certain parameters, other types of rules can be specified. Day of month. To specify an exact day of the month, such as March 1, set startDayOfWeek to zero. Day of week after day of month. To specify the first day of the week occurring on or after an exact day of the month, make the day of the week negative. For example, if startDay is 5 and startDayOfWeek is -MONDAY, this indicates the first Monday on or after the 5th day of the startMonth. Day of week before day of month. To specify the last day of the week occurring on or before an exact day of the month, make the day of the week and the day of the month negative. For example, if startDay is -21 and startDayOfWeek is -WEDNESDAY, this indicates the last Wednesday on or before the 21st of the startMonth. The above examples refer to the startMonth, startDay, and startDayOfWeek; the same applies for the endMonth, endDay, and endDayOfWeek.

Parameters

rawOffset

The given base time zone offset to GMT.

ID

The time zone ID which is obtained from TimeZone.getAvailableIDs.

startMonth

The daylight savings starting month. Month is 0-based. eg, 0 for January.

startDay

The daylight savings starting day-of-week-in-month. Please see the member description for an example.

startDayOfWeek

The daylight savings starting day-of-week. Please see the member description for an example.

startTime

The daylight savings starting time. Please see the member description for an example.

endMonth

The daylight savings ending month. Month is 0-based. eg, 0 for January.

endDay

The daylight savings ending day-of-week-in-month. Please see the member description for an example.

endDayOfWeek

The daylight savings ending day-of-week. Please see the member description for an example.

endTime

The daylight savings ending time. Please see the member description for an example.

Throws

IllegalArgumentException

The month, day, dayOfWeek, or time parameters are out of range for the start or end rule.

Properties

  int getRawOffset( )

  void setRawOffset( int offsetMillis )

  void setStartYear( int year )

Inherited Properties

  static synchronized java.lang.String[] getAvailableIDs( )

  static synchronized java.lang.String[] getAvailableIDs( int rawOffset )

  native final java.lang.Class getClass( )

  static synchronized java.util.TimeZone getDefault( )

  static synchronized void setDefault( java.util.TimeZone zone )

  java.lang.String getID( )

  void setID( java.lang.String ID )

Methods

  java.lang.Object clone( )

  boolean equals( java.lang.Object obj )

  int getOffset( int era, int year, int month, int day, int dayOfWeek, int millis )

  synchronized int hashCode( )

  boolean inDaylightTime( java.util.Date date )

  void setEndRule( int month, int dayOfWeekInMonth, int dayOfWeek, int time )

  void setStartRule( int month, int dayOfWeekInMonth, int dayOfWeek, int time )

  java.lang.String toString( )

  boolean useDaylightTime( )

Inherited Methods

  static synchronized java.util.TimeZone getTimeZone( java.lang.String ID )

  native final void notify( )

  native final void notifyAll( )

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable

See also

Calendar class [java.util]

GregorianCalendar class [java.util]

TimeZone class [java.util]


sin method [java.lang.Math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      sin method [java.lang.Math]

public static native double sin( double a )

Returns the trigonometric sine of an angle.

Parameter

a

an angle, in radians.

Return

The sine of the argument.

Applies to

 Math [java.lang]


size method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      size method [java.awt.Component]

public java.awt.Dimension size( )

Note: size has been deprecated. As of JDK version 1.1, replaced by getSize().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


size method [java.io.ByteArrayOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      size method [java.io.ByteArrayOutputStream]

public int size( )

Returns the current size of the buffer.

Return

The value of the count field, which is the number of valid bytes in this output stream.

Applies to

 ByteArrayOutputStream [java.io]


size method [java.io.CharArrayWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      size method [java.io.CharArrayWriter]

public int size( )

Returns the current size of the buffer.

Return

No documentation supplied in JDK.

Applies to

 CharArrayWriter [java.io]


size method [java.io.DataOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      size method [java.io.DataOutputStream]

public final int size( )

Returns the number of bytes written to this data output stream.

Return

The value of the written field.

Applies to

 DataOutputStream [java.io]


size method [java.security.IdentityScope] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      size method [java.security.IdentityScope]

public abstract int size( )

Returns the number of identities within this identity scope.

Return

The number of identities within this identity scope.

Applies to

 IdentityScope [java.security]


size method [java.util.BitSet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      size method [java.util.BitSet]

public int size( )

Calculates and returns the set's size in bits. The maximum element in the set is the size - 1st element.

Return

No documentation supplied in JDK.

Applies to

 BitSet [java.util]


size method [java.util.Dictionary] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      size method [java.util.Dictionary]

public abstract int size( )

Returns the number of keys in this dictionary.

Return

The number of keys in this dictionary.

Applies to

 Dictionary [java.util]

 Hashtable [java.util]

 Properties [java.util]

 Provider [java.security]


size method [java.util.Hashtable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      size method [java.util.Hashtable]

Overloads:

 int size( ) overrides size method [java.util.Dictionary]

public int size( )

Returns the number of keys in this hashtable.

Return

The number of keys in this hashtable.

Applies to

 Hashtable [java.util]

 Properties [java.util]

 Provider [java.security]


size method [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      size method [java.util.Vector]

public final int size( )

Returns the number of components in this vector.

Return

The number of components in this vector.

Applies to

 Stack [java.util]

 Vector [java.util]


size property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      size property [java.awt.Component]

public java.awt.Dimension getSize( )

Returns the size of this component in the form of a Dimension object. The height field of the Dimension object contains this component's height, and the width field of the Dimension object contains this component's width.

Return

A Dimension object that indicates the size of this component.

public void setSize( java.awt.Dimension d )

Resizes this component so that it has width d.width and height d.height.

Parameter

d

The dimension specifying the new size of this component.

See also

bounds property [java.awt.Component]

public void setSize( int width, int height )

Resizes this component so that it has width width and height.

Parameters

width

The new width of this component in pixels.

height

The new height of this component in pixels.

See also

bounds property [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


size property [java.awt.Dimension] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      size property [java.awt.Dimension]

public java.awt.Dimension getSize( )

Gets the size of this Dimension object. This method is included for completeness, to parallel the getSize method defined by Component.

Return

The size of this dimension, a new instance of Dimension with the same width and height.

See also

size property [java.awt.Component]

public void setSize( java.awt.Dimension d )

Set the size of this Dimension object to the specified size. This method is included for completeness, to parallel the setSize method defined by Component.

Parameter

d

the new size for this Dimension object.

See also

size property [java.awt.Component]

public void setSize( int width, int height )

Set the size of this Dimension object to the specified width and height. This method is included for completeness, to parallel the setSize method defined by Component.

Parameters

width

the new width for this Dimension object.

height

the new height for this Dimension object.

See also

size property [java.awt.Component]

Applies to

 Dimension [java.awt]


size property [java.awt.Font] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      size property [java.awt.Font]

public int getSize( )

Gets the point size of the font.

Return

The point size of this font.

Applies to

 Font [java.awt]


size property [java.awt.Rectangle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      size property [java.awt.Rectangle]

public java.awt.Dimension getSize( )

Gets the size (width and height) of this rectangle.

This method is included for completeness, to parallel the getSize method of Component.

Return

A dimension, representing the size.

See also

size property [java.awt.Component]

public void setSize( java.awt.Dimension d )

Sets the size of this rectangle to match the specified dimension.

This method is included for completeness, to parallel the setSize method of Component.

Parameter

d

the new size for the Dimension object

See also

size property [java.awt.Component]

public void setSize( int width, int height )

Sets the size of this rectangle to the specified width and height.

This method is included for completeness, to parallel the setSize method of Component.

Parameters

width

the new width for this rectangle object.

height

the new height for this rectangle object.

See also

size property [java.awt.Component]

Applies to

 Rectangle [java.awt]


size property [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      size property [java.util.Vector]

public final synchronized void setSize( int newSize )

Sets the size of this vector. If the new size is greater than the current size, new null items are added to the end of the vector. If the new size is less than the current size, all components at index newSize and greater are discarded.

Parameter

newSize

the new size of this vector.

Applies to

 Stack [java.util]

 Vector [java.util]


size property [java.util.zip.ZipEntry] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      size property [java.util.zip.ZipEntry]

public long getSize( )

Returns the uncompressed size of the entry data, or -1 if not known.

Return

No documentation supplied in JDK.

public void setSize( long size )

Sets the uncompressed size of the entry data.

Parameter

size

the uncompressed size in bytes

Throws

IllegalArgumentException

If the specified size is less than 0 or greater than 0xFFFFFFFF bytes.

Applies to

 ZipEntry [java.util.zip]


Skeleton interface [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      Skeleton interface [java.rmi.server]

Description

Used solely by the implementation.

Every skeleton class generated by the rmic stub compiler implements this interface. A skeleton for a remote object is a server-side entity that dispatches calls to the actual remote object implementation.

Definition

public interface Skeleton

{

  // Properties

  public java.rmi.server.Operation[] getOperations( );

  // Methods

  public void dispatch( java.rmi.Remote obj, java.rmi.server.RemoteCall theCall, int opnum, long hash ) throws java.lang.Exception;

}

Properties

public java.rmi.server.Operation[] getOperations( )

Methods

public void dispatch( java.rmi.Remote obj, java.rmi.server.RemoteCall theCall, int opnum, long hash ) throws java.lang.Exception

Unmarshals arguments, calls the actual remote object implementation, and marshals the return value or any exception.

Throws

java.lang.Exception

If a general exception occurs.


SkeletonMismatchException class [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      SkeletonMismatchException class [java.rmi.server]

Object

Throwable

Exception

IOException

RemoteException

SkeletonMismatchException

Description

This exception is thrown when a call is received that does not match the available skeleton.  It indicates either that the remote method names or signatures in this interface have changed or that the stub class used to make the call and the skeleton receiving the call were not generated by the same version of the stub compiler (RMIC).

Specification

public class SkeletonMismatchException extends java.rmi.RemoteException

Constructor

public SkeletonMismatchException( java.lang.String s )

Create a new SkeletonMismatchException exception with a descriptive string.  *

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


SkeletonNotFoundException class [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      SkeletonNotFoundException class [java.rmi.server]

Object

Throwable

Exception

IOException

RemoteException

SkeletonNotFoundException

Specification

public class SkeletonNotFoundException extends java.rmi.RemoteException

Constructors

public SkeletonNotFoundException( java.lang.String s )

Create a new SkeletonNotFoundException exception with a descriptive string.

public SkeletonNotFoundException( java.lang.String s, java.lang.Exception ex )

Create a new SkeletonNotFoundException with a descriptive string and an exception.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


skip method [java.io.BufferedInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      skip method [java.io.BufferedInputStream]

Overloads:

 long skip( long n ) overrides skip method [java.io.FilterInputStream]

public synchronized long skip( long n ) throws java.io.IOException

Skips over and discards n bytes of data from the input stream. The skip method may, for a variety of reasons, end up skipping over some smaller number of bytes, possibly zero. The actual number of bytes skipped is returned.

The skip method of BufferedInputStream compares the number of bytes it has available in its buffer, k , where k  = count - pos, with n. If n <= k , then the pos field is incremented by n. Otherwise, the pos field is incremented to have the value count, and the remaining bytes are skipped by calling the skip method on the underlying input stream, supplying the argument n - k .

Parameter

n

the number of bytes to be skipped.

Return

The actual number of bytes skipped.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedInputStream [java.io]


skip method [java.io.BufferedReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      skip method [java.io.BufferedReader]

Overloads:

 long skip( long n ) overrides skip method [java.io.Reader]

public long skip( long n ) throws java.io.IOException

Skip characters.

Parameter

n

The number of characters to skip

Return

The number of characters actually skipped.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedReader [java.io]

 LineNumberReader [java.io]


skip method [java.io.ByteArrayInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      skip method [java.io.ByteArrayInputStream]

Overloads:

 long skip( long n ) overrides skip method [java.io.InputStream]

public synchronized long skip( long n )

Skips n bytes of input from this input stream. Fewer bytes might be skipped if the end of the input stream is reached.

Parameter

n

the number of bytes to be skipped.

Return

The actual number of bytes skipped.

Applies to

 ByteArrayInputStream [java.io]


skip method [java.io.CharArrayReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      skip method [java.io.CharArrayReader]

Overloads:

 long skip( long n ) overrides skip method [java.io.Reader]

public long skip( long n ) throws java.io.IOException

Skip characters.

Parameter

n

The number of characters to skip

Return

The number of characters actually skipped.

Throws

IOException

If an I/O error occurs.

Applies to

 CharArrayReader [java.io]


skip method [java.io.FileInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      skip method [java.io.FileInputStream]

Overloads:

 long skip( long n ) overrides skip method [java.io.InputStream]

public native long skip( long n ) throws java.io.IOException

Skips over and discards n bytes of data from the input stream. The skip method may, for a variety of reasons, end up skipping over some smaller number of bytes, possibly 0. The actual number of bytes skipped is returned.

Parameter

n

the number of bytes to be skipped.

Return

The actual number of bytes skipped.

Throws

IOException

If an I/O error occurs.

Applies to

 FileInputStream [java.io]


skip method [java.io.FilterInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      skip method [java.io.FilterInputStream]

Overloads:

 long skip( long n ) overrides skip method [java.io.InputStream]

public long skip( long n ) throws java.io.IOException

Skips over and discards n bytes of data from the input stream. The skip method may, for a variety of reasons, end up skipping over some smaller number of bytes, possibly 0. The actual number of bytes skipped is returned.

The skip method of FilterInputStream calls the skip method of its underlying input stream with the same argument, and returns whatever value that method does.

Parameter

n

the number of bytes to be skipped.

Return

The actual number of bytes skipped.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedInputStream [java.io]

 CheckedInputStream [java.util.zip]

 DataInputStream [java.io]

 DigestInputStream [java.security]

 FilterInputStream [java.io]

 GZIPInputStream [java.util.zip]

 InflaterInputStream [java.util.zip]

 LineNumberInputStream [java.io]

 PushbackInputStream [java.io]

 ZipInputStream [java.util.zip]


skip method [java.io.FilterReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      skip method [java.io.FilterReader]

Overloads:

 long skip( long n ) overrides skip method [java.io.Reader]

public long skip( long n ) throws java.io.IOException

Skip characters.

Return

No documentation supplied in JDK.

Throws

IOException

If an I/O error occurs.

Applies to

 FilterReader [java.io]

 PushbackReader [java.io]


skip method [java.io.InputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      skip method [java.io.InputStream]

public long skip( long n ) throws java.io.IOException

Skips over and discards n bytes of data from this input stream. The skip method may, for a variety of reasons, end up skipping over some smaller number of bytes, possibly 0. The actual number of bytes skipped is returned.

The skip method of InputStream creates a byte array of length n and then reads into it until n bytes have been read or the end of the stream has been reached. Subclasses are encouraged to provide a more efficient implementation of this method.

Parameter

n

the number of bytes to be skipped.

Return

The actual number of bytes skipped.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedInputStream [java.io]

 ByteArrayInputStream [java.io]

 CheckedInputStream [java.util.zip]

 DataInputStream [java.io]

 DigestInputStream [java.security]

 FileInputStream [java.io]

 FilterInputStream [java.io]

 GZIPInputStream [java.util.zip]

 InflaterInputStream [java.util.zip]

 InputStream [java.io]

 LineNumberInputStream [java.io]

 ObjectInputStream [java.io]

 PipedInputStream [java.io]

 PushbackInputStream [java.io]

 SequenceInputStream [java.io]

 StringBufferInputStream [java.io]

 ZipInputStream [java.util.zip]


skip method [java.io.LineNumberInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      skip method [java.io.LineNumberInputStream]

Overloads:

 long skip( long n ) overrides skip method [java.io.FilterInputStream]

public long skip( long n ) throws java.io.IOException

Skips over and discards n bytes of data from the input stream. The skip method may, for a variety of reasons, end up skipping over some smaller number of bytes, possibly 0. The actual number of bytes skipped is returned.

The skip method of LineNumberInputStream creates a byte array of length n and then reads into it until n bytes have been read or the end of the stream has been reached.

Parameter

n

the number of bytes to be skipped.

Return

The actual number of bytes skipped.

Throws

IOException

If an I/O error occurs.

Applies to

 LineNumberInputStream [java.io]


skip method [java.io.LineNumberReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      skip method [java.io.LineNumberReader]

Overloads:

 long skip( long n ) overrides skip method [java.io.BufferedReader]

public long skip( long n ) throws java.io.IOException

Skip characters.

Parameter

n

The number of characters to skip

Return

The number of characters actually skipped.

Throws

IOException

If an I/O error occurs.

Applies to

 LineNumberReader [java.io]


skip method [java.io.Reader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      skip method [java.io.Reader]

public long skip( long n ) throws java.io.IOException

Skip characters.  This method will block until some characters are available, an I/O error occurs, or the end of the stream is reached.

Parameter

n

The number of characters to skip

Return

The number of characters actually skipped.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedReader [java.io]

 CharArrayReader [java.io]

 FileReader [java.io]

 FilterReader [java.io]

 InputStreamReader [java.io]

 LineNumberReader [java.io]

 PipedReader [java.io]

 PushbackReader [java.io]

 Reader [java.io]

 StringReader [java.io]


skip method [java.io.StringBufferInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      skip method [java.io.StringBufferInputStream]

Overloads:

 long skip( long n ) overrides skip method [java.io.InputStream]

public synchronized long skip( long n )

Skips n bytes of input from this input stream. Fewer bytes might be skipped if the end of the input stream is reached.

Parameter

n

the number of bytes to be skipped.

Return

The actual number of bytes skipped.

Applies to

 StringBufferInputStream [java.io]


skip method [java.io.StringReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      skip method [java.io.StringReader]

Overloads:

 long skip( long ns ) overrides skip method [java.io.Reader]

public long skip( long ns ) throws java.io.IOException

Skip characters.

Return

No documentation supplied in JDK.

Throws

IOException

If an I/O error occurs.

Applies to

 StringReader [java.io]


skip method [java.util.zip.CheckedInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      skip method [java.util.zip.CheckedInputStream]

Overloads:

 long skip( long n ) overrides skip method [java.io.FilterInputStream]

public long skip( long n ) throws java.io.IOException

Skips specified number of bytes of input.

Parameter

n

the number of bytes to skip

Return

The actual number of bytes skipped.

Throws

IOException

If an I/O error has occurred.

Applies to

 CheckedInputStream [java.util.zip]


skip method [java.util.zip.InflaterInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      skip method [java.util.zip.InflaterInputStream]

Overloads:

 long skip( long n ) overrides skip method [java.io.FilterInputStream]

public long skip( long n ) throws java.io.IOException

Skips specified number of bytes of uncompressed data.

Parameter

n

the number of bytes to skip

Return

The actual number of bytes skipped.

Throws

IOException

If an I/O error has occurred.

Applies to

 GZIPInputStream [java.util.zip]

 InflaterInputStream [java.util.zip]

 ZipInputStream [java.util.zip]


skip method [java.util.zip.ZipInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      skip method [java.util.zip.ZipInputStream]

Overloads:

 long skip( long n ) overrides skip method [java.util.zip.InflaterInputStream]

public long skip( long n ) throws java.io.IOException

Skips specified number of bytes in the current ZIP entry.

Parameter

n

the number of bytes to skip

Return

The actual number of bytes skipped.

Throws

ZipException

If a ZIP file error has occurred.

IOException

If an I/O error has occurred.

Applies to

 ZipInputStream [java.util.zip]


skipBytes method [java.io.DataInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      skipBytes method [java.io.DataInputStream]

public final int skipBytes( int n ) throws java.io.IOException

Skips exactly n bytes of input in the underlying input stream. This method blocks until all the bytes are skipped, the end of the stream is detected, or an exception is thrown.

Parameter

n

the number of bytes to be skipped.

Return

The number of bytes skipped, which is always n.

Throws

EOFException

If this input stream reaches the end before skipping all the bytes.

IOException

If an I/O error occurs.

Applies to

 DataInputStream [java.io]


skipBytes method [java.io.ObjectInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      skipBytes method [java.io.ObjectInputStream]

public int skipBytes( int len ) throws java.io.IOException

Skips bytes, block until all bytes are skipped.

Parameter

n

the number of bytes to be skipped

Return

The actual number of bytes skipped.

Throws

EOFException

If end of file is reached.

IOException

If other I/O error has occurred.

Applies to

 ObjectInputStream [java.io]


skipBytes method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      skipBytes method [java.io.RandomAccessFile]

public int skipBytes( int n ) throws java.io.IOException

Skips exactly n bytes of input.

This method blocks until all the bytes are skipped, the end of the stream is detected, or an exception is thrown.

Parameter

n

the number of bytes to be skipped.

Return

The number of bytes skipped, which is always n.

Throws

EOFException

If this file reaches the end before skipping all the bytes.

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


slashSlashComments method [java.io.StreamTokenizer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      slashSlashComments method [java.io.StreamTokenizer]

public void slashSlashComments( boolean flag )

Determines whether or not the tokenizer recognizes C++-style comments. If the flag argument is true, this stream tokenizer recognizes C++-style comments. Any occurrence of two consecutive slash characters ('/') is treated as the beginning of a comment that extends to the end of the line.

If the flag argument is false, then C++-style comments are not treated specially.

Parameter

flag

true indicates to recognize and ignore C++-style comments.

Applies to

 StreamTokenizer [java.io]


slashStarComments method [java.io.StreamTokenizer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      slashStarComments method [java.io.StreamTokenizer]

public void slashStarComments( boolean flag )

Determines whether or not the tokenizer recognizes C-style comments. If the flag argument is true, this stream tokenizer recognizes C-style comments. All text between successive occurrences of /* and */ are discarded.

If the flag argument is false, then C-style comments are not treated specially.

Parameter

flag

true indicates to recognize and ignore C-style comments.

Applies to

 StreamTokenizer [java.io]


sleep method [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      sleep method [java.lang.Thread]

Overloads:

 void sleep( long millis, int nanos )

 void sleep( long millis )

public static void sleep( long millis, int nanos ) throws java.lang.InterruptedException

Causes the currently executing thread to sleep (cease execution) for the specified number of milliseconds plus the specified number of nanoseconds. The thread does not lose ownership of any monitors.

Parameters

millis

the length of time to sleep in milliseconds.

nanos

0-999999 additional nanoseconds to sleep.

Throws

IllegalArgumentException

If the value of millis is negative or the value of nanos is not in the range 0-999999.

InterruptedException

If another thread has interrupted this thread.

See also

notify method [java.lang.Object]

public static native void sleep( long millis ) throws java.lang.InterruptedException

 Causes the currently executing thread to sleep (temporarily cease execution) for the specified number of milliseconds. The thread does not lose ownership of any monitors.

Parameter

millis

the length of time to sleep in milliseconds.

Throws

InterruptedException

If another thread has interrupted this thread.

See also

notify method [java.lang.Object]

Applies to

 Thread [java.lang]


Socket class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      Socket class [java.net]

Object

Socket

Description

This class implements client sockets (also called just "sockets"). A socket is an endpoint for communication between two machines.

The actual work of the socket is performed by an instance of the SocketImpl class. An application, by changing the socket factory that creates the socket implementation, can configure itself to create sockets appropriate to the local firewall.

Specification

public class Socket extends java.lang.Object

Constructors

protected Socket( )

Creates an unconnected socket, with the system-default type of SocketImpl.

protected Socket( java.net.SocketImpl impl ) throws java.net.SocketException

Creates an unconnected Socket with a user-specified SocketImpl.

The impl parameter is an instance of a SocketImpl the subclass wishes to use on the Socket.

public Socket( java.net.InetAddress address, int port ) throws java.io.IOException

Creates a stream socket and connects it to the specified port number at the specified IP address.

If the application has specified a socket factory, that factory's createSocketImpl method is called to create the actual socket implementation. Otherwise a "plain" socket is created.

Parameters

address

the IP address.

port

the port number.

Throws

IOException

If an I/O error occurs when creating the socket.

See also

socketImplFactory property [java.net.Socket]

SocketImpl class [java.net]

SocketImplFactory interface [java.net]

public Socket( java.lang.String host, int port ) throws java.net.UnknownHostException, java.io.IOException

Creates a stream socket and connects it to the specified port number on the named host.

If the application has specified a server socket factory, that factory's createSocketImpl method is called to create the actual socket implementation. Otherwise a "plain" socket is created.

Parameters

host

the host name.

port

the port number.

Throws

IOException

If an I/O error occurs when creating the socket.

See also

socketImplFactory property [java.net.Socket]

SocketImpl class [java.net]

SocketImplFactory interface [java.net]

public Socket( java.net.InetAddress host, int port, boolean stream ) throws java.io.IOException

Note: Socket has been deprecated. Use DatagramSocket instead for UDP transport.

Creates a socket and connects it to the specified port number at the specified IP address.

If the stream argument is true, this creates a stream socket. If the stream argument is false, it creates a datagram socket.

If the application has specified a server socket factory, that factory's createSocketImpl method is called to create the actual socket implementation. Otherwise a "plain" socket is created.

Parameters

address

the IP address.

port

the port number.

stream

if true, create a stream socket; otherwise, create a datagram socket.

Throws

IOException

If an I/O error occurs when creating the socket.

See also

socketImplFactory property [java.net.Socket]

SocketImpl class [java.net]

SocketImplFactory interface [java.net]

public Socket( java.lang.String host, int port, boolean stream ) throws java.io.IOException

Note: Socket has been deprecated. Use DatagramSocket instead for UDP transport.

Creates a stream socket and connects it to the specified port number on the named host.

If the stream argument is true, this creates a stream socket. If the stream argument is false, it creates a datagram socket.

If the application has specified a server socket factory, that factory's createSocketImpl method is called to create the actual socket implementation. Otherwise a "plain" socket is created.

Parameters

host

the host name.

port

the port number.

stream

a boolean indicating whether this is a stream socket or a datagram socket.

Throws

IOException

If an I/O error occurs when creating the socket.

See also

socketImplFactory property [java.net.Socket]

SocketImpl class [java.net]

SocketImplFactory interface [java.net]

public Socket( java.net.InetAddress address, int port, java.net.InetAddress localAddr, int localPort ) throws java.io.IOException

Creates a socket and connects it to the specified remote address on the specified remote port. The Socket will also bind() to the local address and port supplied.

Parameters

address

the remote address

port

the remote port

localAddr

the local address the socket is bound to

localPort

the local port the socket is bound to

public Socket( java.lang.String host, int port, java.net.InetAddress localAddr, int localPort ) throws java.io.IOException

Creates a socket and connects it to the specified remote host on the specified remote port. The Socket will also bind() to the local address and port supplied.

Parameters

host

the name of the remote host

port

the remote port

localAddr

the local address the socket is bound to

localPort

the local port the socket is bound to

Properties

  java.net.InetAddress getInetAddress( )

  java.io.InputStream getInputStream( ) throws java.io.IOException

  java.net.InetAddress getLocalAddress( )

  int getLocalPort( )

  java.io.OutputStream getOutputStream( ) throws java.io.IOException

  int getPort( )

  static synchronized void setSocketImplFactory( java.net.SocketImplFactory fac ) throws java.io.IOException

  int getSoLinger( ) throws java.net.SocketException

  synchronized int getSoTimeout( ) throws java.net.SocketException

  synchronized void setSoTimeout( int timeout ) throws java.net.SocketException

  boolean getTcpNoDelay( ) throws java.net.SocketException

  void setTcpNoDelay( boolean on ) throws java.net.SocketException

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  synchronized void close( ) throws java.io.IOException

  void setSoLinger( boolean on, int val ) throws java.net.SocketException

  java.lang.String toString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

socketImplFactory property [java.net.Socket]

SocketImpl class [java.net]


SocketException class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      SocketException class [java.net]

Object

Throwable

Exception

IOException

SocketException

Description

Thrown to indicate that there is an error in the underlying protocol, such as a TCP error.

Specification

public class SocketException extends java.io.IOException

Constructors

public SocketException( )

Constructs a new ProtocolException with no detail message.

public SocketException( java.lang.String msg )

Constructs a new ProtocolException with the specified detail message.

Parameter

host

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


socketFactory property [java.net.ServerSocket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      socketFactory property [java.net.ServerSocket]

public static synchronized void setSocketFactory( java.net.SocketImplFactory fac ) throws java.io.IOException

Sets the server socket implementation factory for the application. The factory can be specified only once.

When an application creates a new server socket, the socket implementation factory's createSocketImpl method is called to create the actual socket implementation.

Parameter

fac

the desired factory.

Throws

IOException

If an I/O error occurs when setting the socket factory.

SocketException

If the factory has already been defined.

See also

SocketImplFactory interface [java.net]

Applies to

 ServerSocket [java.net]


socketFactory property [java.rmi.server.RMISocketFactory] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      socketFactory property [java.rmi.server.RMISocketFactory]

public static java.rmi.server.RMISocketFactory getSocketFactory( )

Returns the socket factory used by RMI.

Return

No documentation supplied in JDK.

public static void setSocketFactory( java.rmi.server.RMISocketFactory fac ) throws java.io.IOException

Set the socket factory from which RMI gets sockets. The RMI socket factory can only be set once. Note: The RMISocketFactory may only be set if the current security manager allows setting a socket factory; if disallowed, a SecurityException will be thrown.

Applies to

 RMISocketFactory [java.rmi.server]


SocketImpl class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      SocketImpl class [java.net]

Object

SocketImpl

Description

The abstract class SocketImpl is a common superclass of all classes that actually implement sockets. It is used to create both client and server sockets.

A "plain" socket implements these methods exactly as described, without attempting to go through a firewall or proxy.

Specification

public abstract class SocketImpl extends java.lang.Object implements java.net.SocketOptions

Variables

protected java.io.FileDescriptor fd

The file descriptor object for this socket.

protected java.net.InetAddress address

The IP address of the remote end of this socket.

protected int port

The port number on the remote host to which this socket is connected.

protected int localport

The local port number to which this socket is connected.

Properties

Inherited Properties

  native final java.lang.Class getClass( )

Protected Properties

 protected java.io.FileDescriptor getFileDescriptor( )

 protected java.net.InetAddress getInetAddress( )

 protected abstract java.io.InputStream getInputStream( ) throws java.io.IOException

 protected int getLocalPort( )

 protected abstract java.io.OutputStream getOutputStream( ) throws java.io.IOException

 protected int getPort( )

Methods

  java.lang.String toString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected abstract void accept( java.net.SocketImpl s ) throws java.io.IOException

 protected abstract int available( ) throws java.io.IOException

 protected abstract void bind( java.net.InetAddress host, int port ) throws java.io.IOException

 protected abstract void close( ) throws java.io.IOException

 protected abstract void connect( java.net.InetAddress address, int port ) throws java.io.IOException

 protected abstract void connect( java.lang.String host, int port ) throws java.io.IOException

 protected abstract void create( boolean stream ) throws java.io.IOException

 protected abstract void listen( int backlog ) throws java.io.IOException

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


SocketImplFactory interface [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      SocketImplFactory interface [java.net]

Description

This interface defines a factory for socket implementations. It is used by the classes Socket and ServerSocket to create actual socket implementations.

Definition

public interface SocketImplFactory

{

  // Methods

  public java.net.SocketImpl createSocketImpl( );

}

Methods

public java.net.SocketImpl createSocketImpl( )

Creates a new SocketImpl instance.

Return

A new instance of SocketImpl.

See also

Socket class [java.net]

ServerSocket class [java.net]


socketImplFactory property [java.net.Socket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      socketImplFactory property [java.net.Socket]

public static synchronized void setSocketImplFactory( java.net.SocketImplFactory fac ) throws java.io.IOException

Sets the client socket implementation factory for the application. The factory can be specified only once.

When an application creates a new client socket, the socket implementation factory's createSocketImpl method is called to create the actual socket implementation.

Parameter

fac

the desired factory.

Throws

IOException

If an I/O error occurs when setting the socket factory.

SocketException

If the factory is already defined.

See also

SocketImplFactory interface [java.net]

Applies to

 Socket [java.net]


SocketSecurityException class [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      SocketSecurityException class [java.rmi.server]

Object

Throwable

Exception

IOException

RemoteException

ExportException

SocketSecurityException

Specification

public class SocketSecurityException extends java.rmi.server.ExportException

Constructors

public SocketSecurityException( java.lang.String s )

Create A remote exception with the specified string

public SocketSecurityException( java.lang.String s, java.lang.Exception ex )

Create A remote exception with the specified string, and the exception specified.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


soLinger property [java.net.Socket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      soLinger property [java.net.Socket]

public int getSoLinger( ) throws java.net.SocketException

Returns setting for SO_LINGER. -1 returns implies that the option is disabled.

Return

No documentation supplied in JDK.

Applies to

 Socket [java.net]


soTimeout property [java.net.DatagramSocket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      soTimeout property [java.net.DatagramSocket]

public synchronized int getSoTimeout( ) throws java.net.SocketException

Retrive setting for SO_TIMEOUT.  0 returns implies that the option is disabled (i.e., timeout of infinity).

Return

No documentation supplied in JDK.

public synchronized void setSoTimeout( int timeout ) throws java.net.SocketException

Enable/disable SO_TIMEOUT with the specified timeout, in milliseconds. With this option set to a non-zero timeout, a call to receive() for this DatagramSocket will block for only this amount of time.  If the timeout expires, a java.io.InterruptedIOException is raised, though the ServerSocket is still valid.  The option must be enabled prior to entering the blocking operation to have effect.  The timeout must be > 0. A timeout of zero is interpreted as an infinite timeout.

Applies to

 DatagramSocket [java.net]

 MulticastSocket [java.net]


soTimeout property [java.net.ServerSocket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      soTimeout property [java.net.ServerSocket]

public synchronized int getSoTimeout( ) throws java.io.IOException

Retrive setting for SO_TIMEOUT.  0 returns implies that the option is disabled (i.e., timeout of infinity).

Return

No documentation supplied in JDK.

public synchronized void setSoTimeout( int timeout ) throws java.net.SocketException

Enable/disable SO_TIMEOUT with the specified timeout, in milliseconds.  With this option set to a non-zero timeout, a call to accept() for this ServerSocket will block for only this amount of time.  If the timeout expires, a java.io.InterruptedIOException is raised, though the ServerSocket is still valid.  The option must be enabled prior to entering the blocking operation to have effect.  The timeout must be > 0. A timeout of zero is interpreted as an infinite timeout.

Applies to

 ServerSocket [java.net]


soTimeout property [java.net.Socket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      soTimeout property [java.net.Socket]

public synchronized int getSoTimeout( ) throws java.net.SocketException

Returns setting for SO_TIMEOUT.  0 returns implies that the option is disabled (i.e., timeout of infinity).

Return

No documentation supplied in JDK.

public synchronized void setSoTimeout( int timeout ) throws java.net.SocketException

Enable/disable SO_TIMEOUT with the specified timeout, in milliseconds.  With this option set to a non-zero timeout, a read() call on the InputStream associated with this Socket will block for only this amount of time.  If the timeout expires, a java.io.InterruptedIOException is raised, though the Socket is still valid. The option must be enabled prior to entering the blocking operation to have effect. The timeout must be > 0. A timeout of zero is interpreted as an infinite timeout.

Applies to

 Socket [java.net]


source property [java.awt.Image] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      source property [java.awt.Image]

public abstract java.awt.image.ImageProducer getSource( )

Gets the object that produces the pixels for the image. This method is called by the image filtering classes and by methods that perform image conversion and scaling.

Return

The image producer that produces the pixels for this image.

See also

ImageProducer interface [java.awt.image]

Applies to

 Image [java.awt]


source property [java.util.EventObject] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      source property [java.util.EventObject]

public java.lang.Object getSource( )

Applies to

 ActionEvent [java.awt.event]

 AdjustmentEvent [java.awt.event]

 AWTEvent [java.awt]

 ComponentEvent [java.awt.event]

 ContainerEvent [java.awt.event]

 EventObject [java.util]

 FocusEvent [java.awt.event]

 InputEvent [java.awt.event]

 ItemEvent [java.awt.event]

 KeyEvent [java.awt.event]

 MouseEvent [java.awt.event]

 PaintEvent [java.awt.event]

 PropertyChangeEvent [java.beans]

 TextEvent [java.awt.event]

 WindowEvent [java.awt.event]


sourceString property [java.text.CollationKey] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      sourceString property [java.text.CollationKey]

public java.lang.String getSourceString( )

Returns the String that this CollationKey represents.

Return

No documentation supplied in JDK.

Applies to

 CollationKey [java.text]


SQLException class [java.sql] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      SQLException class [java.sql]

Object

Throwable

Exception

SQLException

Description

The SQLException class provides information on a database access error.

Each SQLException provides several kinds of information:

•	a string describing the error.  This is used as the Java Exception message, and is available via the getMesage() method

•	A "SQLstate" string which follows the XOPEN SQLstate conventions. The values of the SQLState string as described in the XOPEN SQL spec.

•	An integer error code that is vendor specific.  Normally this will be the actual error code returned by the underlying database.

•	A chain to a next Exception.  This can be used to provided additional error information.

Specification

public class SQLException extends java.lang.Exception

Constructors

public SQLException( )

Construct an SQLException; reason defaults to null, SQLState defaults to null and vendorCode defaults to 0. *

public SQLException( java.lang.String reason )

Construct an SQLException with a reason; SQLState defaults to null and vendorCode defaults to 0.

Parameter

reason

a description of the exception

public SQLException( java.lang.String reason, java.lang.String SQLState )

Construct an SQLException with a reason and SQLState; vendorCode defaults to 0.

Parameters

reason

a description of the exception

SQLState

an XOPEN code identifying the exception

public SQLException( java.lang.String reason, java.lang.String SQLState, int vendorCode )

Construct a fully-specified SQLException

Parameters

reason

a description of the exception

SQLState

an XOPEN code identifying the exception

vendorCode

a database vendor specific exception code

Properties

  int getErrorCode( )

  java.sql.SQLException getNextException( )

  synchronized void setNextException( java.sql.SQLException ex )

  java.lang.String getSQLState( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


SQLState property [java.sql.SQLException] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      SQLState property [java.sql.SQLException]

public java.lang.String getSQLState( )

Get the SQLState

Return

The SQLState value.

Applies to

 DataTruncation [java.sql]

 SQLException [java.sql]

 SQLWarning [java.sql]


SQLWarning class [java.sql] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      SQLWarning class [java.sql]

Object

Throwable

Exception

SQLException

SQLWarning

Description

The SQLWarning class provides information on a database access warnings. Warnings are silently chained to the object whose method caused it to be reported.

Specification

public class SQLWarning extends java.sql.SQLException

Constructors

public SQLWarning( )

Construct an SQLWarning ; reason defaults to null, SQLState defaults to null and vendorCode defaults to 0.

public SQLWarning( java.lang.String reason )

Construct an SQLWarning with a reason; SQLState defaults to null and vendorCode defaults to 0.

Parameter

reason

a description of the warning

public SQLWarning( java.lang.String reason, java.lang.String SQLstate )

Construct an SQLWarning with a reason and SQLState; vendorCode defaults to 0.

Parameters

reason

a description of the warning

SQLState

an XOPEN code identifying the warning

public SQLWarning( java.lang.String reason, java.lang.String SQLstate, int vendorCode )

Construct a fully specified SQLWarning.

Parameters

reason

a description of the warning

SQLState

an XOPEN code identifying the warning

vendorCode

a database vendor specific warning code

Properties

  java.sql.SQLWarning getNextWarning( )

  void setNextWarning( java.sql.SQLWarning w )

Inherited Properties

  native final java.lang.Class getClass( )

  int getErrorCode( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

  java.sql.SQLException getNextException( )

  synchronized void setNextException( java.sql.SQLException ex )

  java.lang.String getSQLState( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Connection interface [java.sql]

Statement interface [java.sql]

ResultSet interface [java.sql]


sqrt method [java.lang.Math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      sqrt method [java.lang.Math]

public static native double sqrt( double a )

Returns the square root of a double value.

Parameter

a

a double value.

Return

The square root of a. If the argument is NaN or less than zero, the result is NaN.

Applies to

 Math [java.lang]


Stack class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      Stack class [java.util]

Object

Vector

Stack

Description

The Stack class represents a last-in-first-out (LIFO) stack of objects.

Specification

public class Stack extends java.util.Vector

Inherited Properties

  native final java.lang.Class getClass( )

  final boolean isEmpty( )

  final synchronized void setSize( int newSize )

Methods

  boolean empty( )

  synchronized java.lang.Object peek( )

  synchronized java.lang.Object pop( )

  java.lang.Object push( java.lang.Object item )

  synchronized int search( java.lang.Object o )

Inherited Methods

  final synchronized void addElement( java.lang.Object obj )

  final int capacity( )

  final boolean contains( java.lang.Object elem )

  final synchronized void copyInto( java.lang.Object[] anArray )

  final synchronized java.lang.Object elementAt( int index )

  final synchronized java.util.Enumeration elements( )

  final synchronized void ensureCapacity( int minCapacity )

  boolean equals( java.lang.Object obj )

  final synchronized java.lang.Object firstElement( )

  native int hashCode( )

  final synchronized int indexOf( java.lang.Object elem, int index )

  final int indexOf( java.lang.Object elem )

  final synchronized void insertElementAt( java.lang.Object obj, int index )

  final synchronized java.lang.Object lastElement( )

  final int lastIndexOf( java.lang.Object elem )

  final synchronized int lastIndexOf( java.lang.Object elem, int index )

  native final void notify( )

  native final void notifyAll( )

  final synchronized void removeAllElements( )

  final synchronized boolean removeElement( java.lang.Object obj )

  final synchronized void removeElementAt( int index )

  final synchronized void setElementAt( java.lang.Object obj, int index )

  final int size( )

  java.lang.String toString( )

  final synchronized void trimToSize( )

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


StackOverflowError class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      StackOverflowError class [java.lang]

Object

Throwable

Error

VirtualMachineError

StackOverflowError

Description

Thrown when a stack overflow occurs because an application recurses too deeply.

Specification

public class StackOverflowError extends java.lang.VirtualMachineError

Constructors

public StackOverflowError( )

Constructs a StackOverflowError with no detail message.

public StackOverflowError( java.lang.String s )

Constructs a StackOverflowError with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


start method [java.applet.Applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      start method [java.applet.Applet]

public void start( )

Called by the browser or applet viewer to inform this applet that it should start its execution. It is called after the init method and each time the applet is revisited in a Web page.

A subclass of Applet should override this method if it has any operation that it wants to perform each time the Web page containing it is visited. For example, an applet with animation might want to use the start method to resume animation, and the stop method to suspend the animation.

The implementation of this method provided by the Applet class does nothing.

See also

destroy method [java.applet.Applet]

init method [java.applet.Applet]

stop method [java.applet.Applet]

Applies to

 Applet [java.applet]


start method [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      start method [java.lang.Thread]

public native synchronized void start( )

Causes this thread to begin execution; the Java Virtual Machine calls the run method of this thread.

The result is that two threads are running concurrently: the current thread (which returns from the call to the start method) and the other thread (which executes its run method).

Throws

IllegalThreadStateException

If the thread was already started.

See also

run method [java.lang.Thread]

stop method [java.lang.Thread]

Applies to

 Thread [java.lang]


startGrabbing method [java.awt.image.PixelGrabber] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      startGrabbing method [java.awt.image.PixelGrabber]

public synchronized void startGrabbing( )

Request the PixelGrabber to start fetching the pixels.

Applies to

 PixelGrabber [java.awt.image]


startProduction method [java.awt.image.FilteredImageSource] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      startProduction method [java.awt.image.FilteredImageSource]

public void startProduction( java.awt.image.ImageConsumer ic )

Adds an ImageConsumer to the list of consumers interested in data for this image, and immediately starts delivery of the image data through the ImageConsumer interface.

See also

ImageConsumer interface [java.awt.image]

Applies to

 FilteredImageSource [java.awt.image]


startProduction method [java.awt.image.MemoryImageSource] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      startProduction method [java.awt.image.MemoryImageSource]

public void startProduction( java.awt.image.ImageConsumer ic )

Adds an ImageConsumer to the list of consumers interested in data for this image, and immediately start delivery of the image data through the ImageConsumer interface.

See also

ImageConsumer interface [java.awt.image]

Applies to

 MemoryImageSource [java.awt.image]


startsWith method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      startsWith method [java.lang.String]

Overloads:

 boolean startsWith( String prefix, int toffset )

 boolean startsWith( String prefix )

public boolean startsWith( java.lang.String prefix, int toffset )

Tests if this string starts with the specified prefix.

Parameters

prefix

the prefix.

toffset

where to begin looking in the string.

Return

true if the character sequence represented by the argument is a prefix of the substring of this object starting at index toffset; false otherwise.

public boolean startsWith( java.lang.String prefix )

Tests if this string starts with the specified prefix.

Parameter

prefix

the prefix.

Return

true if the character sequence represented by the argument is a prefix of the character sequence represented by this string; false otherwise.

Applies to

 String [java.lang]


startYear property [java.util.SimpleTimeZone] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      startYear property [java.util.SimpleTimeZone]

public void setStartYear( int year )

Sets the daylight savings starting year.

Parameter

year

The daylight savings starting year.

Applies to

 SimpleTimeZone [java.util]


state property [java.awt.Checkbox] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      state property [java.awt.Checkbox]

public boolean getState( )

Determines whether this check box is in the "on" or "off" state. The boolean value true indicates the "on" state, and false indicates the "off" state.

Return

The state of this check box, as a boolean value.

public void setState( boolean state )

Sets the state of this check box to the specified state. The boolean value true indicates the "on" state, and false indicates the "off" state.

Parameter

state

the boolean state of the check box.

Applies to

 Checkbox [java.awt]


state property [java.awt.CheckboxMenuItem] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      state property [java.awt.CheckboxMenuItem]

public boolean getState( )

Determines whether the state of this check box menu item is "on" or "off."

Return

The state of this check box menu item, where true indicates "on" and false indicates "off.".

public synchronized void setState( boolean b )

Sets this check box menu item to the specifed state. The boolean value true indicates "on" while false indicates "off."

Parameter

b

the boolean state of this check box menu item.

Applies to

 CheckboxMenuItem [java.awt]


stateChange property [java.awt.event.ItemEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      stateChange property [java.awt.event.ItemEvent]

public int getStateChange( )

Returns the state change type which generated the event.

Return

No documentation supplied in JDK.

Applies to

 ItemEvent [java.awt.event]


Statement interface [java.sql] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      Statement interface [java.sql]

Description

A Statement object is used for executing a static SQL statement and obtaining the results produced by it.

Only one ResultSet per Statement can be open at any point in time. Therefore, if the reading of one ResultSet is interleaved with the reading of another, each must have been generated by different Statements. All statement execute methods implicitly close a statment's current ResultSet if an open one exists.

Definition

public interface Statement

{

  // Properties

  public int getMaxFieldSize( ) throws java.sql.SQLException;

  public void setMaxFieldSize( int max ) throws java.sql.SQLException;

  public int getMaxRows( ) throws java.sql.SQLException;

  public void setMaxRows( int max ) throws java.sql.SQLException;

  public void setEscapeProcessing( boolean enable ) throws java.sql.SQLException;

  public int getQueryTimeout( ) throws java.sql.SQLException;

  public void setQueryTimeout( int seconds ) throws java.sql.SQLException;

  public java.sql.SQLWarning getWarnings( ) throws java.sql.SQLException;

  public void setCursorName( java.lang.String name ) throws java.sql.SQLException;

  public java.sql.ResultSet getResultSet( ) throws java.sql.SQLException;

  public int getUpdateCount( ) throws java.sql.SQLException;

  public boolean getMoreResults( ) throws java.sql.SQLException;

  // Methods

  public java.sql.ResultSet executeQuery( java.lang.String sql ) throws java.sql.SQLException;

  public int executeUpdate( java.lang.String sql ) throws java.sql.SQLException;

  public void close( ) throws java.sql.SQLException;

  public void cancel( ) throws java.sql.SQLException;

  public void clearWarnings( ) throws java.sql.SQLException;

  public boolean execute( java.lang.String sql ) throws java.sql.SQLException;

}

Properties

public int getMaxFieldSize( ) throws java.sql.SQLException

The maxFieldSize limit (in bytes) is the maximum amount of data returned for any column value; it only applies to BINARY, VARBINARY, LONGVARBINARY, CHAR, VARCHAR, and LONGVARCHAR columns.  If the limit is exceeded, the excess data is silently discarded.

Return

The current max column size limit; zero means unlimited.

Throws

SQLException

If a database-access error occurs.

public void setMaxFieldSize( int max ) throws java.sql.SQLException

The maxFieldSize limit (in bytes) is set to limit the size of data that can be returned for any column value; it only applies to BINARY, VARBINARY, LONGVARBINARY, CHAR, VARCHAR, and LONGVARCHAR fields.  If the limit is exceeded, the excess data is silently discarded. For maximum portability use values greater than 256.

Parameter

max

the new max column size limit; zero means unlimited

Throws

SQLException

If a database-access error occurs.

public int getMaxRows( ) throws java.sql.SQLException

The maxRows limit is the maximum number of rows that a ResultSet can contain.  If the limit is exceeded, the excess rows are silently dropped.

Return

The current max row limit; zero means unlimited.

Throws

SQLException

If a database-access error occurs.

public void setMaxRows( int max ) throws java.sql.SQLException

The maxRows limit is set to limit the number of rows that any ResultSet can contain.  If the limit is exceeded, the excess rows are silently dropped.

Parameter

max

the new max rows limit; zero means unlimited

Throws

SQLException

If a database-access error occurs.

public void setEscapeProcessing( boolean enable ) throws java.sql.SQLException

If escape scanning is on (the default), the driver will do escape substitution before sending the SQL to the database. Note: Since prepared statements have usually been parsed prior to making this call, disabling escape processing for prepared statements will like have no affect.

Parameter

enable

true to enable; false to disable

Throws

SQLException

If a database-access error occurs.

public int getQueryTimeout( ) throws java.sql.SQLException

The queryTimeout limit is the number of seconds the driver will wait for a Statement to execute. If the limit is exceeded, a SQLException is thrown.

Return

The current query timeout limit in seconds; zero means unlimited.

Throws

SQLException

If a database-access error occurs.

public void setQueryTimeout( int seconds ) throws java.sql.SQLException

The queryTimeout limit is the number of seconds the driver will wait for a Statement to execute. If the limit is exceeded, a SQLException is thrown.

Parameter

seconds

the new query timeout limit in seconds; zero means unlimited

Throws

SQLException

If a database-access error occurs.

public java.sql.SQLWarning getWarnings( ) throws java.sql.SQLException

The first warning reported by calls on this Statement is returned.  A Statment's execute methods clear its SQLWarning chain. Subsequent Statement warnings will be chained to this SQLWarning.

The warning chain is automatically cleared each time a statement is (re)executed.

Note: If you are processing a ResultSet then any warnings associated with ResultSet reads will be chained on the ResultSet object.

Return

The first SQLWarning or null.

Throws

SQLException

If a database-access error occurs.

public void setCursorName( java.lang.String name ) throws java.sql.SQLException

setCursorname defines the SQL cursor name that will be used by subsequent Statement execute methods. This name can then be used in SQL positioned update/delete statements to identify the current row in the ResultSet generated by this statement.  If the database doesn't support positioned update/delete, this method is a noop.

Note: By definition, positioned update/delete execution must be done by a different Statement than the one which generated the ResultSet being used for positioning. Also, cursor names must be unique within a Connection.

Parameter

name

the new cursor name.

Throws

SQLException

If a database-access error occurs.

public java.sql.ResultSet getResultSet( ) throws java.sql.SQLException

getResultSet returns the current result as a ResultSet.  It should only be called once per result.

Return

The current result as a ResultSet; null if the result is an update count or there are no more results.

Throws

SQLException

If a database-access error occurs.

See also

Statement interface [java.sql]

public int getUpdateCount( ) throws java.sql.SQLException

getUpdateCount returns the current result as an update count; if the result is a ResultSet or there are no more results, -1 is returned.  It should only be called once per result.

Return

The current result as an update count; -1 if it is a ResultSet or there are no more results.

Throws

SQLException

If a database-access error occurs.

See also

Statement interface [java.sql]

public boolean getMoreResults( ) throws java.sql.SQLException

getMoreResults moves to a Statement's next result.  It returns true if this result is a ResultSet.  getMoreResults also implicitly closes any current ResultSet obtained with getResultSet. There are no more results when (!getMoreResults() && (getUpdateCount() == -1)

Return

True if the next result is a ResultSet; false if it is an update count or there are no more results.

Throws

SQLException

If a database-access error occurs.

See also

Statement interface [java.sql]

Methods

public java.sql.ResultSet executeQuery( java.lang.String sql ) throws java.sql.SQLException

Execute a SQL statement that returns a single ResultSet.

Parameter

sql

typically this is a static SQL SELECT statement

Return

A ResultSet that contains the data produced by the query; never null.

Throws

SQLException

If a database-access error occurs.

public int executeUpdate( java.lang.String sql ) throws java.sql.SQLException

Execute a SQL INSERT, UPDATE or DELETE statement. In addition, SQL statements that return nothing such as SQL DDL statements can be executed.

Parameter

sql

a SQL INSERT, UPDATE or DELETE statement or a SQL statement that returns nothing

Return

Either the row count for INSERT, UPDATE or DELETE or 0 for SQL statements that return nothing.

Throws

SQLException

If a database-access error occurs.

public void close( ) throws java.sql.SQLException

In many cases, it is desirable to immediately release a Statements's database and JDBC resources instead of waiting for this to happen when it is automatically closed; the close method provides this immediate release.

Note: A Statement is automatically closed when it is garbage collected. When a Statement is closed, its current ResultSet, if one exists, is also closed.

Throws

SQLException

If a database-access error occurs.

public void cancel( ) throws java.sql.SQLException

Cancel can be used by one thread to cancel a statement that is being executed by another thread.

Throws

SQLException

If a database-access error occurs.

public void clearWarnings( ) throws java.sql.SQLException

After this call, getWarnings returns null until a new warning is reported for this Statement.

Throws

SQLException

If a database-access error occurs.

public boolean execute( java.lang.String sql ) throws java.sql.SQLException

Execute a SQL statement that may return multiple results. Under some (uncommon) situations a single SQL statement may return multiple result sets and/or update counts.  Normally you can ignore this, unless you're executing a stored procedure that you know may return multiple results, or unless you're dynamically executing an unknown SQL string.  The "execute", "getMoreResults", "getResultSet" and "getUpdateCount" methods let you navigate through multiple results. The "execute" method executes a SQL statement and indicates the form of the first result.  You can then use getResultSet or getUpdateCount to retrieve the result, and getMoreResults to move to any subsequent result(s).

Parameter

sql

any SQL statement

Return

True if the next result is a ResultSet; false if it is an update count or there are no more results.

Throws

SQLException

If a database-access error occurs.

See also

Statement interface [java.sql]

See also

Connection interface [java.sql]

ResultSet interface [java.sql]


status method [java.awt.image.PixelGrabber] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      status method [java.awt.image.PixelGrabber]

public synchronized int status( )

DEPRECATED:  Replaced by getStatus().

Return

No documentation supplied in JDK.

Applies to

 PixelGrabber [java.awt.image]


status property [java.awt.image.PixelGrabber] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      status property [java.awt.image.PixelGrabber]

public synchronized int getStatus( )

Return the status of the pixels.  The ImageObserver flags representing the available pixel information are returned.

Return

The bitwise OR of all relevant ImageObserver flags.

See also

ImageObserver interface [java.awt.image]

Applies to

 PixelGrabber [java.awt.image]


statusAll method [java.awt.MediaTracker] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      statusAll method [java.awt.MediaTracker]

public int statusAll( boolean load )

Calculates and returns the bitwise inclusive OR of the status of all media that are tracked by this media tracker.

Possible flags defined by the MediaTracker class are LOADING, ABORTED, ERRORED, and COMPLETE. An image that hasn't started loading has zero as its status.

If the value of load is true, then this method starts loading any images that are not yet being loaded.

Parameter

load

if true, start loading any images that are not yet being loaded.

Return

The bitwise inclusive OR of the status of all of the media being tracked.

See also

statusID method [java.awt.MediaTracker]

Applies to

 MediaTracker [java.awt]


statusID method [java.awt.MediaTracker] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      statusID method [java.awt.MediaTracker]

public int statusID( int id, boolean load )

Calculates and returns the bitwise inclusive OR of the status of all media with the specified identifier that are tracked by this media tracker.

Possible flags defined by the MediaTracker class are LOADING, ABORTED, ERRORED, and COMPLETE. An image that hasn't started loading has zero as its status.

If the value of load is true, then this method starts loading any images that are not yet being loaded.

Parameters

id

the identifier of the images to check.

load

if true, start loading any images that are not yet being loaded.

Return

The bitwise inclusive OR of the status of all of the media with the specified identifier that are being tracked.

See also

statusAll method [java.awt.MediaTracker]

Applies to

 MediaTracker [java.awt]


stop method [java.applet.Applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      stop method [java.applet.Applet]

public void stop( )

Called by the browser or applet viewer to inform this applet that it should stop its execution. It is called when the Web page that contains this applet has been replaced by another page, and also just before the applet is to be destroyed.

A subclass of Applet should override this method if it has any operation that it wants to perform each time the Web page containing it is no longer visible. For example, an applet with animation might want to use the start method to resume animation, and the stop method to suspend the animation.

The implementation of this method provided by the Applet class does nothing.

See also

destroy method [java.applet.Applet]

init method [java.applet.Applet]

Applies to

 Applet [java.applet]


stop method [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      stop method [java.lang.Thread]

Overloads:

 void stop( )

 void stop( Throwable o )

public final void stop( )

Forces the thread to stop executing.

First, the checkAccess method of this thread is called with no arguments. This may result in throwing a SecurityException (in the current thread).

The thread represented by this thread is forced to stop whatever it is doing abnormally and to throw a newly created ThreadDeath object as an exception.

It is permitted to stop a thread that has not yet been started. If the thread is eventually started, it immediately terminates.

An application should not normally try to catch ThreadDeath unless it must do some extraordinary cleanup operation (note that the throwing of ThreadDeath causes finally clauses of try statements to be executed before the thread officially dies).  If a catch clause catches a ThreadDeath object, it is important to rethrow the object so that the thread actually dies.

The top-level error handler that reacts to otherwise uncaught exceptions does not print out a message or otherwise notify the application if the uncaught exception is an instance of ThreadDeath.

Note: the use of this method is unsafe as it can result in the corruption of invariants. Stopping a thread with Thread.stop causes it to unlock all of the monitors that it has locked (as a natural consequence of the unchecked ThreadDeath exception propagating up the stack). If any of the objects previously protected by these monitors were in an inconsistent state, the damaged objects become visible to other threads potentially resulting in arbitrary behaviour. Many uses of stop should be replaced by code that simply modifies some volatile variable to indicate that the target thread should stop running. The target thread should check this variable regularly, and return from its run method in an orderly fashion if the variable indicates that it is to stop running. If the target thread waits for long periods, the interrupt method should be used to interrupt the wait.

Throws

SecurityException

If the current thread cannot modify this thread.

See also

checkAccess method [java.lang.Thread]

run method [java.lang.Thread]

start method [java.lang.Thread]

ThreadDeath class [java.lang]

uncaughtException method [java.lang.ThreadGroup]

public final synchronized void stop( java.lang.Throwable o )

Forces the thread to stop executing.

First, the checkAccess method of this thread is called with no arguments. This may result in throwing a SecurityException (in the current thread).

If the argument obj is null, a NullPointerException is thrown (in the current thread).

The thread represented by this thread is forced to complete whatever it is doing abnormally and to throw the Throwable object obj as an exception. This is an unusual action to take; normally, the stop method that takes no arguments should be used.

It is permitted to stop a thread that has not yet been started. If the thread is eventually started, it immediately terminates.

Parameter

obj

the Throwable object to be thrown.

Throws

SecurityException

If the current thread cannot modify this thread.

See also

checkAccess method [java.lang.Thread]

run method [java.lang.Thread]

start method [java.lang.Thread]

Applies to

 Thread [java.lang]


stop method [java.lang.ThreadGroup] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      stop method [java.lang.ThreadGroup]

public final void stop( )

Stops all processes in this thread group.

First, the checkAccess method of this thread group is called with no arguments; this may result in a security exception.

This method then calls the stop method on all the threads in this thread group and in all of its subgroups.

Throws

SecurityException

If the current thread is not allowed to access this thread group or any of the threads in the thread group.

See also

SecurityException class [java.lang]

stop method [java.lang.Thread]

checkAccess method [java.lang.ThreadGroup]

Applies to

 ThreadGroup [java.lang]


strategy property [java.util.zip.Deflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      strategy property [java.util.zip.Deflater]

public synchronized void setStrategy( int strategy )

Sets the compression strategy to the specified value.

Parameter

strategy

the new compression strategy

Throws

IllegalArgumentException

If the compression strategy is invalid.

Applies to

 Deflater [java.util.zip]


StreamCorruptedException class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      StreamCorruptedException class [java.io]

Object

Throwable

Exception

IOException

ObjectStreamException

StreamCorruptedException

Description

Raised when control information read from an object stream violates internal consistency checks.

Specification

public class StreamCorruptedException extends java.io.ObjectStreamException

Constructors

public StreamCorruptedException( )

Create a StreamCorruptedException with no reason.

public StreamCorruptedException( java.lang.String reason )

Create a StreamCorruptedException with a reason.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


StreamTokenizer class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      StreamTokenizer class [java.io]

Object

StreamTokenizer

Description

The StreamTokenizer class takes an input stream and parses it into "tokens", allowing the tokens to be read one at a time. The parsing process is controlled by a table and a number of flags that can be set to various states. The stream tokenizer can recognize identifiers, numbers, quoted strings, and various comment styles.

Each byte read from the input stream is regarded as a character in the range '\u0000' through '\u00FF'. The character value is used to look up five possible attributes of the character: white space , alphabetic , numeric , string quote , and comment character . Each character can have zero or more of these attributes.

In addition, an instance has four flags. These flags indicate:

•	Whether line terminators are to be returned as tokens or treated as white space that merely separates tokens.

•	Whether C-style comments are to be recognized and skipped.

•	Whether C++-style comments are to be recognized and skipped.

•	Whether the characters of identifiers are converted to lowercase.

A typical application first constructs an instance of this class, sets up the syntax tables, and then repeatedly loops calling the nextToken method in each iteration of the loop until it returns the value TT_EOF.

Specification

public class StreamTokenizer extends java.lang.Object

Constructors

public StreamTokenizer( java.io.InputStream is )

Note: StreamTokenizer has been deprecated. As of JDK version 1.1, the preferred way to tokenize an input stream is to convert it into a character stream, for example:

 Reader r = new BufferedReader(new InputStreamReader(is)); StreamTokenizer st = new StreamTokenizer(r);

.

Creates a stream tokenizer that parses the specified input stream. The stream tokenizer is initialized to the following default state:

•	All byte values 'A' through 'Z', 'a' through 'z', and '\u00A0' through '\u00FF' are considered to be alphabetic.

•	All byte values '\u0000' through '\u0020' are considered to be white space.

•	'/' is a comment character.

•	Single quote '\'' and double quote '"' are string quote characters.

•	Numbers are parsed.

•	Ends of lines are treated as white space, not as separate tokens.

•	C-style and C++-style comments are not recognized.

Parameter

is

an input stream.

See also

BufferedReader class [java.io]

InputStreamReader class [java.io]

public StreamTokenizer( java.io.Reader r )

Create a tokenizer that parses the given character stream.

Variables

public int ttype

After a call to the nextToken method, this field contains the type of the token just read. For a single character token, its value is the single character, converted to an integer. For a quoted string token (see , its value is the quote character. Otherwise, its value is one of the following:

•	TT_WORD indicates that the token is a word.

•	TT_NUMBER indicates that the token is a number.

•	TT_EOL indicates that the end of line has been read. The field can only have this value if the eolIsSignificant method has been called with the argument true.

•	TT_EOF indicates that the end of the input stream has been reached.

.

public static final int TT_EOF

A constant indicating that the end of the stream has been read.

public static final int TT_EOL

A constant indicating that the end of the line has been read.

public static final int TT_NUMBER

A constant indicating that a number token has been read.

public static final int TT_WORD

A constant indicating that a word token has been read.

public java.lang.String sval

If the current token is a word token, this field contains a string giving the characters of the word token. When the current token is a quoted string token, this field contains the body of the string.

The current token is a word when the value of the ttype field is TT_WORD. The current token is a quoted string token when the value of the ttype field is a quote character.

public double nval

If the current token is a number, this field contains the value of that number. The current token is a number when the value of the ttype field is TT_NUMBER.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void commentChar( int ch )

  void eolIsSignificant( boolean flag )

  int lineno( )

  void lowerCaseMode( boolean fl )

  int nextToken( ) throws java.io.IOException

  void ordinaryChar( int ch )

  void ordinaryChars( int low, int hi )

  void parseNumbers( )

  void pushBack( )

  void quoteChar( int ch )

  void resetSyntax( )

  void slashSlashComments( boolean flag )

  void slashStarComments( boolean flag )

  java.lang.String toString( )

  void whitespaceChars( int low, int hi )

  void wordChars( int low, int hi )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

nextToken method [java.io.StreamTokenizer]


strength property [java.text.Collator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      strength property [java.text.Collator]

public synchronized int getStrength( )

Returns this Collator's strength property.  The strength property determines the minimum level of difference considered significant during comparison. See the Collator class description for an example of use.

Return

This Collator's current strength property.

public synchronized void setStrength( int newStrength )

Sets this Collator's strength property.  The strength property determines the minimum level of difference considered significant during comparison. See the Collator class description for an example of use.

Parameter

the

new strength value.

Throws

IllegalArgumentException

If the new strength value is not one of PRIMARY, SECONDARY, TERTIARY or IDENTICAL.

Applies to

 Collator [java.text]

 RuleBasedCollator [java.text]


String class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      String class [java.lang]

Object

String

Description

The String class represents character strings. All string literals in Java programs, such as "abc", are implemented as instances of this class.

Strings are constant; their values cannot be changed after they are created. String buffers support mutable strings. Because String objects are immutable they can be shared. For example:

   String str = "abc";

is equivalent to:

   char data[] = {'a', 'b', 'c'};

   String str = new String(data);

Here are some more examples of how strings can be used:

   System.out.println("abc");

   String cde = "cde";

   System.out.println("abc" + cde);

   String c = "abc".substring(2,3);

   String d = cde.substring(1, 2);

The class String includes methods for examining individual characters of the sequence, for comparing strings, for searching strings, for extracting substrings, and for creating a copy of a string with all characters translated to uppercase or to lowercase.

The Java language provides special support for the string concatentation operator ( + ), and for conversion of other objects to strings. String concatenation is implemented through the StringBuffer class and its append method. String conversions are implemented through the method toString, defined by Object and inherited by all classes in Java. For additional information on string concatenation and conversion, see Gosling, Joy, and Steele, The Java Language Specification .

Specification

public final class String extends java.lang.Object implements java.io.Serializable

Constructors

public String( )

Allocates a new String containing no characters.

public String( java.lang.StringBuffer buffer )

Allocates a new string that contains the sequence of characters currently contained in the string buffer argument.

Parameter

buffer

a StringBuffer.

public String( char[] value )

Allocates a new String so that it represents the sequence of characters currently contained in the character array argument.

Parameter

value

the initial value of the string.

public String( byte[] bytes )

Construct a new String by converting the specified array of bytes using the platform's default character encoding.  The length of the new String is a function of the encoding, and hence may not be equal to the length of the byte array.

Parameter

bytes

The bytes to be converted into characters

public String( java.lang.String value )

Allocates a new string that contains the same sequence of characters as the string argument.

Parameter

value

a String.

public String( byte[] bytes, java.lang.String enc ) throws java.io.UnsupportedEncodingException

Construct a new String by converting the specified array of bytes using the specified character encoding.  The length of the new String is a function of the encoding, and hence may not be equal to the length of the byte array.

Parameters

bytes

The bytes to be converted into characters

enc

A character-encoding name

Throws

UnsupportedEncodingException

If the named encoding is not supported.

public String( byte[] ascii, int hibyte )

Note: String has been deprecated. This method does not properly convert bytes into characters. As of JDK 1.1, the preferred way to do this is via the String constructors that take a character-encoding name or that use the platform's default encoding.

Allocates a new String containing characters constructed from an array of 8-bit integer values. Each character c in the resulting string is constructed from the corresponding component b in the byte array such that:

   c  == (char)(((hibyte & 0xff) << 8)

                       | (b  & 0xff))

Parameters

ascii

the bytes to be converted to characters.

hibyte

the top 8 bits of each 16-bit Unicode character.

public String( byte[] bytes, int offset, int length )

Construct a new String by converting the specified subarray of bytes using the platform's default character encoding.  The length of the new String is a function of the encoding, and hence may not be equal to the length of the subarray.

Parameters

bytes

The bytes to be converted into characters

offset

Index of the first byte to convert

length

Number of bytes to convert

public String( char[] value, int offset, int count )

Allocates a new String that contains characters from a subarray of the character array argument. The offset argument is the index of the first character of the subarray and the count argument specifies the length of the subarray.

Parameters

value

array that is the source of characters.

offset

the initial offset.

count

the length.

Throws

StringIndexOutOfBoundsException

If the offset and count arguments index characters outside the bounds of the value array.

public String( byte[] bytes, int offset, int length, java.lang.String enc ) throws java.io.UnsupportedEncodingException

Construct a new String by converting the specified subarray of bytes using the specified character encoding.  The length of the new String is a function of the encoding, and hence may not be equal to the length of the subarray.

Parameters

bytes

The bytes to be converted into characters

offset

Index of the first byte to convert

length

Number of bytes to convert

enc

The name of a character encoding

Throws

UnsupportedEncodingException

If the named encoding is not supported.

public String( byte[] ascii, int hibyte, int offset, int count )

Note: String has been deprecated. This method does not properly convert bytes into characters. As of JDK 1.1, the preferred way to do this is via the String constructors that take a character-encoding name or that use the platform's default encoding.

Allocates a new String constructed from a subarray of an array of 8-bit integer values.

The offset argument is the index of the first byte of the subarray, and the count argument specifies the length of the subarray.

Each byte in the subarray is converted to a char as specified in the method above.

Parameters

ascii

the bytes to be converted to characters.

hibyte

the top 8 bits of each 16-bit Unicode character.

offset

the initial offset.

count

the length.

Throws

StringIndexOutOfBoundsException

If the offset or count argument is invalid.

Properties

  byte[] getBytes( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  char charAt( int index )

  int compareTo( java.lang.String anotherString )

  java.lang.String concat( java.lang.String str )

  static java.lang.String copyValueOf( char[] data, int offset, int count )

  static java.lang.String copyValueOf( char[] data )

  boolean endsWith( java.lang.String suffix )

  boolean equals( java.lang.Object anObject )

  boolean equalsIgnoreCase( java.lang.String anotherString )

  void getBytes( int srcBegin, int srcEnd, byte[] dst, int dstBegin )

  byte[] getBytes( java.lang.String enc ) throws java.io.UnsupportedEncodingException

  void getChars( int srcBegin, int srcEnd, char[] dst, int dstBegin )

  int hashCode( )

  int indexOf( java.lang.String str, int fromIndex )

  int indexOf( int ch )

  int indexOf( java.lang.String str )

  int indexOf( int ch, int fromIndex )

  native java.lang.String intern( )

  int lastIndexOf( int ch )

  int lastIndexOf( java.lang.String str )

  int lastIndexOf( java.lang.String str, int fromIndex )

  int lastIndexOf( int ch, int fromIndex )

  int length( )

  boolean regionMatches( boolean ignoreCase, int toffset, java.lang.String other, int ooffset, int len )

  boolean regionMatches( int toffset, java.lang.String other, int ooffset, int len )

  java.lang.String replace( char oldChar, char newChar )

  boolean startsWith( java.lang.String prefix )

  boolean startsWith( java.lang.String prefix, int toffset )

  java.lang.String substring( int beginIndex, int endIndex )

  java.lang.String substring( int beginIndex )

  char[] toCharArray( )

  java.lang.String toLowerCase( java.util.Locale locale )

  java.lang.String toLowerCase( )

  java.lang.String toString( )

  java.lang.String toUpperCase( java.util.Locale locale )

  java.lang.String toUpperCase( )

  java.lang.String trim( )

  static java.lang.String valueOf( java.lang.Object obj )

  static java.lang.String valueOf( char[] data, int offset, int count )

  static java.lang.String valueOf( char[] data )

  static java.lang.String valueOf( double d )

  static java.lang.String valueOf( char c )

  static java.lang.String valueOf( boolean b )

  static java.lang.String valueOf( int i )

  static java.lang.String valueOf( long l )

  static java.lang.String valueOf( float f )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

toString method [java.lang.Object]

StringBuffer class [java.lang]

append method [java.lang.StringBuffer]


StringBuffer class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      StringBuffer class [java.lang]

Object

StringBuffer

Description

A string buffer implements a mutable sequence of characters.

String buffers are safe for use by multiple threads. The methods are synchronized where necessary so that all the operations on any particular instance behave as if they occur in some serial order.

String buffers are used by the compiler to implement the binary string concatenation operator +. For example, the code:

   x = "a" + 4 + "c"

is compiled to the equivalent of:

   x = new StringBuffer().append("a").append(4).append("c")

                         .toString()

The principal operations on a StringBuffer are the append and insert methods, which are overloaded so as to accept data of any type. Each effectively converts a given datum to a string and then appends or inserts the characters of that string to the string buffer. The append method always adds these characters at the end of the buffer; the insert method adds the characters at a specified point.

For example, if z refers to a string buffer object whose current contents are "start", then the method call z.append("le") would cause the string buffer to contain "startle", whereas z.insert(4, "le") would alter the string buffer to contain "starlet".

Every string buffer has a capacity. As long as the length of the character sequence contained in the string buffer does not exceed the capacity, it is not necessary to allocate a new internal buffer array. If the internal buffer overflows, it is automatically made larger.

Specification

public final class StringBuffer extends java.lang.Object implements java.io.Serializable

Constructors

public StringBuffer( )

Constructs a string buffer with no characters in it and an initial capacity of 16 characters.

public StringBuffer( int length )

Constructs a string buffer with no characters in it and an initial capacity specified by the length argument.

Parameter

length

the initial capacity.

Throws

NegativeArraySizeException

If the length argument is less than 0.

public StringBuffer( java.lang.String str )

Constructs a string buffer so that it represents the same sequence of characters as the string argument. The initial capacity of the string buffer is 16 plus the length of the string argument.

Parameter

str

the initial contents of the buffer.

Properties

  synchronized void setCharAt( int index, char ch )

  synchronized void setLength( int newLength )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.StringBuffer append( int i )

  synchronized java.lang.StringBuffer append( java.lang.String str )

  java.lang.StringBuffer append( double d )

  java.lang.StringBuffer append( float f )

  java.lang.StringBuffer append( boolean b )

  synchronized java.lang.StringBuffer append( java.lang.Object obj )

  java.lang.StringBuffer append( long l )

  synchronized java.lang.StringBuffer append( char c )

  synchronized java.lang.StringBuffer append( char[] str, int offset, int len )

  synchronized java.lang.StringBuffer append( char[] str )

  int capacity( )

  synchronized char charAt( int index )

  synchronized void ensureCapacity( int minimumCapacity )

  synchronized void getChars( int srcBegin, int srcEnd, char[] dst, int dstBegin )

  java.lang.StringBuffer insert( int offset, float f )

  java.lang.StringBuffer insert( int offset, double d )

  java.lang.StringBuffer insert( int offset, int i )

  synchronized java.lang.StringBuffer insert( int offset, java.lang.Object obj )

  synchronized java.lang.StringBuffer insert( int offset, java.lang.String str )

  java.lang.StringBuffer insert( int offset, long l )

  synchronized java.lang.StringBuffer insert( int offset, char[] str )

  java.lang.StringBuffer insert( int offset, boolean b )

  synchronized java.lang.StringBuffer insert( int offset, char c )

  int length( )

  synchronized java.lang.StringBuffer reverse( )

  java.lang.String toString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

ByteArrayOutputStream class [java.io]

String class [java.lang]


StringBufferInputStream class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      StringBufferInputStream class [java.io]

Object

InputStream

StringBufferInputStream

Note: StringBufferInputStream has been deprecated. This class does not properly convert characters into bytes.  As of JDK 1.1, the preferred way to create a stream from a string is via the StringReader class.

Description

This class allows an application to create an input stream in which the bytes read are supplied by the contents of a string. Applications can also read bytes from a byte array by using a ByteArrayInputStream.

Only the low eight bits of each character in the string are used by this class.

Specification

public class StringBufferInputStream extends java.io.InputStream

Constructor

public StringBufferInputStream( java.lang.String s )

Creates a string input stream to read data from the specified string.

Parameter

s

the underlying input buffer.

Variables

protected java.lang.String buffer

The string from which bytes are read.

protected int pos

The index of the next character to read from the input stream buffer.

protected int count

The number of valid characters in the input stream buffer.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  synchronized int available( )

  synchronized int read( )

  synchronized int read( byte[] b, int off, int len )

  synchronized void reset( )

  synchronized long skip( long n )

Inherited Methods

  void close( ) throws java.io.IOException

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  synchronized void mark( int readlimit )

  boolean markSupported( )

  native final void notify( )

  native final void notifyAll( )

  int read( byte[] b ) throws java.io.IOException

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

ByteArrayInputStream class [java.io]

StringReader class [java.io]


StringCharacterIterator class [java.text] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      StringCharacterIterator class [java.text]

Object

StringCharacterIterator

Description

StringCharacterIterator implements the CharacterIterater protocol for a String. The StringCharacterIterator class iterates over the entire String.

Examples :

Traverse the text from start to finish

public void traverseForward(CharacterIterator iter) {

   for (char c = iter.first(); c != CharacterIterator.DONE; c = iter.next()) {

       processChar(c);

   }

}

 Traverse the text backwards, from end to start

public void traverseBackward(CharacterIterator iter) {

   for (char c = iter.last(); c != CharacterIterator.DONE; c = iter.prev()) {

       processChar(c);

   }

}

 Traverse both forward and backward from a given position in the text.

public void traverseOut(CharacterIterator iter, int pos) {

   for (char c = iter.setIndex(pos);

        c != CharacterIterator.DONE && notBoundary(c);

        c = iter.next()) {}

   int end = iter.getIndex();

   for (char c = iter.setIndex(pos);

        c != CharacterIterator.DONE && notBoundary(c);

        c = iter.prev()) {}

   int start = iter.getIndex();

   processSection(iter.getText.subString(start,end);

}

Specification

public final class StringCharacterIterator extends java.lang.Object implements java.text.CharacterIterator

Constructors

public StringCharacterIterator( java.lang.String text )

Construct an iterator with an initial index of 0.

public StringCharacterIterator( java.lang.String text, int pos )

Construct an iterator with the specified initial index.

Parameters

text

The String to be iterated over

pos

Initial iterator position

public StringCharacterIterator( java.lang.String text, int begin, int end, int pos )

Construct an iterator over the given range of the given string, with the index set at the specified position.

Parameters

text

The String to be iterated over

begin

Index of the first character

end

Index of the character following the last character

pos

Initial iterator position

Properties

  int getBeginIndex( )

  int getEndIndex( )

  int getIndex( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.Object clone( )

  char current( )

  boolean equals( java.lang.Object obj )

  char first( )

  int hashCode( )

  char last( )

  char next( )

  char previous( )

  char setIndex( int p )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable


StringIndexOutOfBoundsException class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      StringIndexOutOfBoundsException class [java.lang]

Object

Throwable

Exception

RuntimeException

IndexOutOfBoundsException

StringIndexOutOfBoundsException

Description

Thrown by the charAt method in class String and by other String methods to indicate that an index is either negative or greater than or equal to the size of the string.

Specification

public class StringIndexOutOfBoundsException extends java.lang.IndexOutOfBoundsException

Constructors

public StringIndexOutOfBoundsException( )

Constructs a StringIndexOutOfBoundsException with no detail message.

public StringIndexOutOfBoundsException( int index )

Constructs a new StringIndexOutOfBoundsException class with an argument indicating the illegal index.

Parameter

index

the illegal index.

public StringIndexOutOfBoundsException( java.lang.String s )

Constructs a StringIndexOutOfBoundsException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

charAt method [java.lang.String]


StringReader class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      StringReader class [java.io]

Object

Reader

StringReader

Description

A character stream whose source is a string.

Specification

public class StringReader extends java.io.Reader

Constructor

public StringReader( java.lang.String s )

Create a new string reader.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( )

  void mark( int readAheadLimit ) throws java.io.IOException

  boolean markSupported( )

  int read( char[] cbuf, int off, int len ) throws java.io.IOException

  int read( ) throws java.io.IOException

  boolean ready( )

  void reset( ) throws java.io.IOException

  long skip( long ns ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  int read( char[] cbuf ) throws java.io.IOException

  java.lang.String toString( )

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


StringSelection class [java.awt.datatransfer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      StringSelection class [java.awt.datatransfer]

Object

StringSelection

Description

A class which implements the capability required to transfer a simple java String in plain text format.

Specification

public class StringSelection extends java.lang.Object implements java.awt.datatransfer.Transferable, java.awt.datatransfer.ClipboardOwner

Constructor

public StringSelection( java.lang.String data )

Creates a transferable object capable of transferring the specified string in plain text format.

Properties

  synchronized java.awt.datatransfer.DataFlavor[] getTransferDataFlavors( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  synchronized java.lang.Object getTransferData( java.awt.datatransfer.DataFlavor flavor ) throws java.awt.datatransfer.UnsupportedFlavorException, java.io.IOException

  boolean isDataFlavorSupported( java.awt.datatransfer.DataFlavor flavor )

  void lostOwnership( java.awt.datatransfer.Clipboard clipboard, java.awt.datatransfer.Transferable contents )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


StringTokenizer class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      StringTokenizer class [java.util]

Object

StringTokenizer

Description

The string tokenizer class allows an application to break a string into tokens. The tokenization method is much simpler than the one used by the StreamTokenizer class. The StringTokenizer methods do not distinguish among identifiers, numbers, and quoted strings, nor do they recognize and skip comments.

The set of delimiters (the characters that separate tokens) may be specified either at creation time or on a per-token basis.

An instance of StringTokenizer behaves in one of two ways, depending on whether it was created with the returnTokens flag having the value true or false:

•	If the flag is false, delimiter characters serve to separate tokens. A token is a maximal sequence of consecutive characters that are not delimiters.

•	If the flag is true, delimiter characters are considered to be tokens. A token is either one delimiter character, or a maximal sequence of consecutive characters that are not delimiters.

The following is one example of the use of the tokenizer. The code:

   StringTokenizer st = new StringTokenizer("this is a test");

   while (st.hasMoreTokens()) {

       println(st.nextToken());

   }

prints the following output:

   this

   is

   a

   test

Specification

public class StringTokenizer extends java.lang.Object implements java.util.Enumeration

Constructors

public StringTokenizer( java.lang.String str )

Constructs a string tokenizer for the specified string. The tokenizer uses the default delimiter set, which is "\t\n\r": the space character, the tab character, the newline character, and the carriage-return character.

Parameter

str

a string to be parsed.

public StringTokenizer( java.lang.String str, java.lang.String delim )

Constructs a string tokenizer for the specified string. The characters in the delim argument are the delimiters for separating tokens.

Parameters

str

a string to be parsed.

delim

the delimiters.

public StringTokenizer( java.lang.String str, java.lang.String delim, boolean returnTokens )

Constructs a string tokenizer for the specified string. The characters in the delim argument are the delimiters for separating tokens.

If the returnTokens flag is true, then the delimiter characters are also returned as tokens. Each delimiter is returned as a string of length one. If the flag is false, the delimiter characters are skipped and only serve as separators between tokens.

Parameters

str

a string to be parsed.

delim

the delimiters.

returnTokens

flag indicating whether to return the delimiters as tokens.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  int countTokens( )

  boolean hasMoreElements( )

  boolean hasMoreTokens( )

  java.lang.Object nextElement( )

  java.lang.String nextToken( )

  java.lang.String nextToken( java.lang.String delim )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

StreamTokenizer class [java.io]


stringWidth method [java.awt.FontMetrics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      stringWidth method [java.awt.FontMetrics]

public int stringWidth( java.lang.String str )

Returns the total advance width for showing the specified String in this Font. The advance width is the amount by which the current point is moved from one character to the next in a line of text.

Parameter

str

the String to be measured

Return

The advance width of the specified string in the font described by this font metric.

See also

bytesWidth method [java.awt.FontMetrics]

charsWidth method [java.awt.FontMetrics]

Applies to

 FontMetrics [java.awt]


StringWriter class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      StringWriter class [java.io]

Object

Writer

StringWriter

Description

A character stream that collects its output in a string buffer, which can then be used to construct a string.

Specification

public class StringWriter extends java.io.Writer

Constructors

public StringWriter( )

Create a new string writer, using the default initial string-buffer size.

protected StringWriter( int initialSize )

Create a new string writer, using the specified initial string-buffer size.

Properties

  java.lang.StringBuffer getBuffer( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( )

  void flush( )

  java.lang.String toString( )

  void write( java.lang.String str, int off, int len )

  void write( int c )

  void write( java.lang.String str )

  void write( char[] cbuf, int off, int len )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  void write( char[] cbuf ) throws java.io.IOException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


stub property [java.applet.Applet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      stub property [java.applet.Applet]

public final void setStub( java.applet.AppletStub stub )

Sets this applet's stub. This is done automatically by the system.

Parameter

stub

the new stub.

Applies to

 Applet [java.applet]


StubNotFoundException class [java.rmi] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      StubNotFoundException class [java.rmi]

Object

Throwable

Exception

IOException

RemoteException

StubNotFoundException

Specification

public class StubNotFoundException extends java.rmi.RemoteException

Constructors

public StubNotFoundException( java.lang.String s )

Create a new StubNotFoundException with a descriptive string.

public StubNotFoundException( java.lang.String s, java.lang.Exception ex )

Create a new StubNotFoundException with a descriptive string and an exception.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


style property [java.awt.Font] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      style property [java.awt.Font]

public int getStyle( )

Gets the style of the font.

Return

The style of this font.

See also

plain property [java.awt.Font]

bold property [java.awt.Font]

italic property [java.awt.Font]

Applies to

 Font [java.awt]


substituteColorModel method [java.awt.image.RGBImageFilter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      substituteColorModel method [java.awt.image.RGBImageFilter]

public void substituteColorModel( java.awt.image.ColorModel oldcm, java.awt.image.ColorModel newcm )

Registers two ColorModel objects for substitution.  If the oldcm is encountered during any of the setPixels methods, the newcm is substituted and the pixels passed through untouched (but with the new ColorModel object).

Parameters

oldcm

the ColorModel object to be replaced on the fly

newcm

the ColorModel object to replace oldcm on the fly

Applies to

 RGBImageFilter [java.awt.image]


substring method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      substring method [java.lang.String]

Overloads:

 String substring( int beginIndex, int endIndex )

 String substring( int beginIndex )

public java.lang.String substring( int beginIndex, int endIndex )

Returns a new string that is a substring of this string. The substring begins at the specified beginIndex and extends to the character at index endIndex - 1.

Parameters

beginIndex

the beginning index, inclusive.

endIndex

the ending index, exclusive.

Return

The specified substring.

Throws

StringIndexOutOfBoundsException

If the beginIndex or the endIndex is out of range.

public java.lang.String substring( int beginIndex )

Returns a new string that is a substring of this string. The substring begins at the specified index and extends to the end of this string.

Parameter

beginIndex

the beginning index, inclusive.

Return

The specified substring.

Throws

StringIndexOutOfBoundsException

If the beginIndex is out of range.

Applies to

 String [java.lang]


subtract method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      subtract method [java.math.BigDecimal]

public java.math.BigDecimal subtract( java.math.BigDecimal val )

Returns a BigDecimal whose value is (this - val), and whose scale is MAX(this.scale(), val.scale).

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


subtract method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      subtract method [java.math.BigInteger]

public java.math.BigInteger subtract( java.math.BigInteger val )

Returns a BigInteger whose value is (this - val).

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


superclass property [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      superclass property [java.lang.Class]

public native java.lang.Class getSuperclass( )

If this object represents any class other than the class Object, then the object that represents the superclass of that class is returned.

If this object is the one that represents the class Object or this object represents an interface, null is returned.

Return

The superclass of the class represented by this object.

Applies to

 Class [java.lang]


supportsCustomEditor method [java.beans.PropertyEditorSupport] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      supportsCustomEditor method [java.beans.PropertyEditorSupport]

public boolean supportsCustomEditor( )

No documentation supplied in JDK

Return

True if the propertyEditor can provide a custom editor.

Applies to

 PropertyEditorSupport [java.beans]


suspend method [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      suspend method [java.lang.Thread]

public final void suspend( )

Suspends this thread.

First, the checkAccess method of this thread is called with no arguments. This may result in throwing a SecurityException (in the current thread).

If the thread is alive, it is suspended and makes no further progress unless and until it is resumed.

Throws

SecurityException

If the current thread cannot modify this thread.

See also

checkAccess method [java.lang.Thread]

alive property [java.lang.Thread]

Applies to

 Thread [java.lang]


suspend method [java.lang.ThreadGroup] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      suspend method [java.lang.ThreadGroup]

public final void suspend( )

Suspends all processes in this thread group.

First, the checkAccess method of this thread group is called with no arguments; this may result in a security exception.

This method then calls the suspend method on all the threads in this thread group and in all of its subgroups.

Throws

SecurityException

If the current thread is not allowed to access this thread group or any of the threads in the thread group.

See also

SecurityException class [java.lang]

suspend method [java.lang.Thread]

checkAccess method [java.lang.ThreadGroup]

Applies to

 ThreadGroup [java.lang]


sync method [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      sync method [java.awt.Toolkit]

public abstract void sync( )

Synchronizes this toolkit's graphics state. Some window systems may do buffering of graphics events.

This method ensures that the display is up-to-date. It is useful for animation.

Applies to

 Toolkit [java.awt]


sync method [java.io.FileDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      sync method [java.io.FileDescriptor]

public native void sync( ) throws java.io.SyncFailedException

Force all system buffers to synchronize with the underlying device.  This method returns after all modified data and attributes of this FileDescriptor have been written to the relevant device(s).  In particular, if this FileDescriptor refers to a physical storage medium, such as a file in a file system, sync will not return until all in-memory modified copies of buffers associated with this FileDesecriptor have been written to the physical medium. sync is meant to be used by code that requires physical storage (such as a file) to be in a known state  For example, a class that provided a simple transaction facility might use sync to ensure that all changes to a file caused by a given transaction were recorded on a storage medium. sync only affects buffers downstream of this FileDescriptor.  If any in-memory buffering is being done by the application (for example, by a BufferedOutputStream object), those buffers must be flushed into the FileDescriptor (for example, by invoking OutputStream.flush) before that data will be affected by sync.

Throws

SyncFailedException

Thrown when the buffers cannot be flushed, or because the system cannot guarantee that all the buffers have been synchronized with physical media.

Applies to

 FileDescriptor [java.io]


SyncFailedException class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      SyncFailedException class [java.io]

Object

Throwable

Exception

IOException

SyncFailedException

Specification

public class SyncFailedException extends java.io.IOException

Constructor

public SyncFailedException( java.lang.String desc )

Constructs an SyncFailedException with a detail message. A detail message is a String that describes this particular exception.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


System class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      System class [java.lang]

Object

System

Description

The System class contains several useful class fields and methods. It cannot be instantiated.

Among the facilities provided by the System class are standard input, standard output, and error output streams; access to externally defined "properties"; a means of loading files and libraries; and a utility method for quickly copying a portion of an array.

Specification

public final class System extends java.lang.Object

Variables

public static final java.io.InputStream in

The "standard" input stream. This stream is already open and ready to supply input data. Typically this stream corresponds to keyboard input or another input source specified by the host environment or user.

public static final java.io.PrintStream out

The "standard" output stream. This stream is already open and ready to accept output data. Typically this stream corresponds to display output or another output destination specified by the host environment or user.

For simple stand-alone Java applications, a typical way to write a line of output data is:

System.out.println(data)

See the println methods in class PrintStream.

public static final java.io.PrintStream err

The "standard" error output stream. This stream is already open and ready to accept output data.

Typically this stream corresponds to display output or another output destination specified by the host environment or user. By convention, this output stream is used to display error messages or other information that should come to the immediate attention of a user even if the principal output stream, the value of the variable out, has been redirected to a file or other destination that is typically not continuously monitored.

Properties

  static void setErr( java.io.PrintStream err )

  static void setIn( java.io.InputStream in )

  static void setOut( java.io.PrintStream out )

  static java.util.Properties getProperties( )

  static void setProperties( java.util.Properties props )

  static java.lang.SecurityManager getSecurityManager( )

  static void setSecurityManager( java.lang.SecurityManager s )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  static native void arraycopy( java.lang.Object src, int src_position, java.lang.Object dst, int dst_position, int length )

  static native long currentTimeMillis( )

  static void exit( int status )

  static void gc( )

  static java.lang.String getenv( java.lang.String name )

  static java.lang.String getProperty( java.lang.String key, java.lang.String def )

  static java.lang.String getProperty( java.lang.String key )

  static native int identityHashCode( java.lang.Object x )

  static void load( java.lang.String filename )

  static void loadLibrary( java.lang.String libname )

  static void runFinalization( )

  static void runFinalizersOnExit( boolean value )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


systemClipboard property [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      systemClipboard property [java.awt.Toolkit]

public abstract java.awt.datatransfer.Clipboard getSystemClipboard( )

Gets an instance of the system clipboard which interfaces with clipboard facilities provided by the native platform.

This clipboard enables data transfer between Java programs and native applications which use native clipboard facilities.

Return

An instance of the system clipboard.

See also

Clipboard class [java.awt.datatransfer]

Applies to

 Toolkit [java.awt]


SystemColor class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      SystemColor class [java.awt]

Object

Color

SystemColor

Description

A class to encapsulate symbolic colors representing the color of GUI objects on a system.  For systems which support the dynamic update of the system colors (when the user changes the colors) the actual RGB values of these symbolic colors will also change dynamically.  In order to compare the "current" RGB value of a SystemColor object with a non-symbolic Color object, getRGB() should be used rather than equals().

Specification

public final class SystemColor extends java.awt.Color implements java.io.Serializable

Variables

public static final int DESKTOP

The array index for the desktop background color.

public static final int ACTIVE_CAPTION

The array index for the active caption background color.

public static final int ACTIVE_CAPTION_TEXT

The array index for the action caption text color.

public static final int ACTIVE_CAPTION_BORDER

The array index for the active caption border color.

public static final int INACTIVE_CAPTION

The array index for the inactive caption background color.

public static final int INACTIVE_CAPTION_TEXT

The array index for the inactive caption text color.

public static final int INACTIVE_CAPTION_BORDER

The array index for the inactive caption border color.

public static final int WINDOW

The array index for the window background color.

public static final int WINDOW_BORDER

The array index for the window border color.

public static final int WINDOW_TEXT

The array index for the window text color.

public static final int MENU

The array index for the menu background color.

public static final int MENU_TEXT

The array index for the menu text color.

public static final int TEXT

The array index for the text background color.

public static final int TEXT_TEXT

The array index for the text text color.

public static final int TEXT_HIGHLIGHT

The array index for the text highlight color.

public static final int TEXT_HIGHLIGHT_TEXT

The array index for the text highlight text color.

public static final int TEXT_INACTIVE_TEXT

The array index for the text inactive text color.

public static final int CONTROL

The array index for the control background color.

public static final int CONTROL_TEXT

The array index for the control text color.

public static final int CONTROL_HIGHLIGHT

The array index for the control highlight color.

public static final int CONTROL_LT_HIGHLIGHT

The array index for the control light highlight color.

public static final int CONTROL_SHADOW

The array index for the control shadow color.

public static final int CONTROL_DK_SHADOW

The array index for the control dark shadow color.

public static final int SCROLLBAR

The array index for the scrollbar background color.

public static final int INFO

The array index for the info background color.

public static final int INFO_TEXT

The array index for the info text color.

public static final int NUM_COLORS

The number of system colors in the array.

public static final java.awt.SystemColor desktop

The color of the desktop background.

public static final java.awt.SystemColor activeCaption

The background color for captions in window borders.

public static final java.awt.SystemColor activeCaptionText

The text color for captions in window borders.

public static final java.awt.SystemColor activeCaptionBorder

The border color for captions in window borders.

public static final java.awt.SystemColor inactiveCaption

The background color for inactive captions in window borders.

public static final java.awt.SystemColor inactiveCaptionText

The text color for inactive captions in window borders.

public static final java.awt.SystemColor inactiveCaptionBorder

The border color for inactive captios in window borders.

public static final java.awt.SystemColor window

The background color for windows.

public static final java.awt.SystemColor windowBorder

The border color for windows.

public static final java.awt.SystemColor windowText

The text color for windows.

public static final java.awt.SystemColor menu

The background color for menus.

public static final java.awt.SystemColor menuText

The text color for menus.

public static final java.awt.SystemColor text

The background color for text components.

public static final java.awt.SystemColor textText

The text color for text components.

public static final java.awt.SystemColor textHighlight

The background color for highlighted text.

public static final java.awt.SystemColor textHighlightText

The text color for highlighted text.

public static final java.awt.SystemColor textInactiveText

The text color for inactive text.

public static final java.awt.SystemColor control

The background color for control objects.

public static final java.awt.SystemColor controlText

The text color for control objects.

public static final java.awt.SystemColor controlHighlight

The regular highlight color for control objects.

public static final java.awt.SystemColor controlLtHighlight

The light highlight color for control objects.

public static final java.awt.SystemColor controlShadow

The regular shadow color for control objects.

public static final java.awt.SystemColor controlDkShadow

The dark shadow color for control objects.

public static final java.awt.SystemColor scrollbar

The background color for scrollbars.

public static final java.awt.SystemColor info

The background color for info(help) text.

public static final java.awt.SystemColor infoText

The text color for info(help) text.

Properties

  int getRGB( )

Inherited Properties

  int getBlue( )

  native final java.lang.Class getClass( )

  int getGreen( )

  int getRed( )

Methods

  java.lang.String toString( )

Inherited Methods

  java.awt.Color brighter( )

  java.awt.Color darker( )

  static java.awt.Color decode( java.lang.String nm ) throws java.lang.NumberFormatException

  boolean equals( java.lang.Object obj )

  static java.awt.Color getColor( java.lang.String nm, java.awt.Color v )

  static java.awt.Color getColor( java.lang.String nm, int v )

  static java.awt.Color getColor( java.lang.String nm )

  static java.awt.Color getHSBColor( float h, float s, float b )

  native int hashCode( )

  static int HSBtoRGB( float hue, float saturation, float brightness )

  native final void notify( )

  native final void notifyAll( )

  static float[] RGBtoHSB( int r, int g, int b, float[] hsbvals )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


systemEventQueue property [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      systemEventQueue property [java.awt.Toolkit]

public final java.awt.EventQueue getSystemEventQueue( )

Get the application's or applet's EventQueue instance. Depending on the Toolkit implementation, different EventQueues may be returned for different applets.  Applets should therefore not assume that the EventQueue instance returned by this method will be shared by other applets or the system.

Return

No documentation supplied in JDK.

Applies to

 Toolkit [java.awt]


systemEventQueueImpl property [java.awt.Toolkit] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      systemEventQueueImpl property [java.awt.Toolkit]

protected abstract java.awt.EventQueue getSystemEventQueueImpl( )

Applies to

 Toolkit [java.awt]


systemScope property [java.security.IdentityScope] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     S
      systemScope property [java.security.IdentityScope]

public static java.security.IdentityScope getSystemScope( )

Returns the system's identity scope. See the "System Identity Scope" section in the   Java Cryptography Architecture API Specification & Reference  .

Return

The system's identity scope.

protected static void setSystemScope( java.security.IdentityScope scope )

Sets the system's identity scope. See the "System Identity Scope" section in the   Java Cryptography Architecture API Specification & Reference  .

Parameter

scope

the scope to set.

Applies to

 IdentityScope [java.security]


T  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    T

 tags property [java.beans.PropertyEditorSupport]

 tan method [java.lang.Math]

 targetException property [java.lang.reflect.InvocationTargetException]

 tcpNoDelay property [java.net.Socket]

 tearOff property [java.awt.Menu]

 temporary property [java.awt.event.FocusEvent]

 tertiaryOrder method [java.text.CollationElementIterator]

 testBit method [java.math.BigInteger]

 text property [java.awt.Label]

 text property [java.awt.TextComponent]

 text property [java.text.BreakIterator]

 TextArea class [java.awt]

 TextAreaPeer interface [java.awt.peer]

 TextComponent class [java.awt]

 TextComponentPeer interface [java.awt.peer]

 TextEvent class [java.awt.event]

 TextEvent event [java.awt.TextComponent]

 TextField class [java.awt]

 TextFieldPeer interface [java.awt.peer]

 TextListener interface [java.awt.event]

 textValueChanged method [java.awt.AWTEventMulticaster]

 Thread class [java.lang]

 ThreadDeath class [java.lang]

 ThreadGroup class [java.lang]

 threadGroup property [java.lang.SecurityManager]

 threadGroup property [java.lang.Thread]

 Throwable class [java.lang]

 Time class [java.sql]

 time property [java.sql.Date]

 time property [java.sql.Time]

 time property [java.util.Calendar]

 time property [java.util.Date]

 time property [java.util.zip.ZipEntry]

 timeInMillis property [java.util.Calendar]

 timeInstance property [java.text.DateFormat]

 Timestamp class [java.sql]

 TimeZone class [java.util]

 timeZone property [java.text.DateFormat]

 timeZone property [java.util.Calendar]

 timezoneOffset property [java.util.Date]

 title property [java.awt.Dialog]

 title property [java.awt.Frame]

 toBack method [java.awt.Window]

 toBigInteger method [java.math.BigDecimal]

 toBinaryString method [java.lang.Integer]

 toBinaryString method [java.lang.Long]

 toByteArray method [java.io.ByteArrayOutputStream]

 toByteArray method [java.math.BigInteger]

 toByteArray method [java.text.CollationKey]

 toCharArray method [java.io.CharArrayWriter]

 toCharArray method [java.lang.String]

 toExternalForm method [java.net.URL]

 toExternalForm method [java.net.URLStreamHandler]

 toFront method [java.awt.Window]

 toGMTString method [java.util.Date]

 toHexString method [java.lang.Integer]

 toHexString method [java.lang.Long]

 toLocaleString method [java.util.Date]

 toLocalizedPattern method [java.text.DecimalFormat]

 toLocalizedPattern method [java.text.SimpleDateFormat]

 toLowerCase method [java.lang.Character]

 toLowerCase method [java.lang.String]

 toOctalString method [java.lang.Integer]

 toOctalString method [java.lang.Long]

 Toolkit class [java.awt]

 toolkit property [java.awt.Component]

 toolkit property [java.awt.Window]

 TooManyListenersException class [java.util]

 toPattern method [java.text.ChoiceFormat]

 toPattern method [java.text.DecimalFormat]

 toPattern method [java.text.MessageFormat]

 toPattern method [java.text.SimpleDateFormat]

 toString method [java.awt.AWTEvent]

 toString method [java.awt.BorderLayout]

 toString method [java.awt.CardLayout]

 toString method [java.awt.CheckboxGroup]

 toString method [java.awt.Color]

 toString method [java.awt.Component]

 toString method [java.awt.Dimension]

 toString method [java.awt.Event]

 toString method [java.awt.FlowLayout]

 toString method [java.awt.Font]

 toString method [java.awt.FontMetrics]

 toString method [java.awt.Graphics]

 toString method [java.awt.GridBagLayout]

 toString method [java.awt.GridLayout]

 toString method [java.awt.Insets]

 toString method [java.awt.MenuComponent]

 toString method [java.awt.MenuShortcut]

 toString method [java.awt.Point]

 toString method [java.awt.Rectangle]

 toString method [java.awt.SystemColor]

 toString method [java.io.ByteArrayOutputStream]

 toString method [java.io.CharArrayWriter]

 toString method [java.io.File]

 toString method [java.io.ObjectStreamClass]

 toString method [java.io.StreamTokenizer]

 toString method [java.io.StringWriter]

 toString method [java.lang.Boolean]

 toString method [java.lang.Byte]

 toString method [java.lang.Character]

 toString method [java.lang.Class]

 toString method [java.lang.Double]

 toString method [java.lang.Float]

 toString method [java.lang.Integer]

 toString method [java.lang.Long]

 toString method [java.lang.Object]

 toString method [java.lang.reflect.Constructor]

 toString method [java.lang.reflect.Field]

 toString method [java.lang.reflect.Method]

 toString method [java.lang.reflect.Modifier]

 toString method [java.lang.Short]

 toString method [java.lang.String]

 toString method [java.lang.StringBuffer]

 toString method [java.lang.Thread]

 toString method [java.lang.ThreadGroup]

 toString method [java.lang.Throwable]

 toString method [java.math.BigDecimal]

 toString method [java.math.BigInteger]

 toString method [java.net.InetAddress]

 toString method [java.net.ServerSocket]

 toString method [java.net.Socket]

 toString method [java.net.SocketImpl]

 toString method [java.net.URL]

 toString method [java.net.URLConnection]

 toString method [java.rmi.dgc.VMID]

 toString method [java.rmi.server.LogStream]

 toString method [java.rmi.server.ObjID]

 toString method [java.rmi.server.Operation]

 toString method [java.rmi.server.RemoteObject]

 toString method [java.rmi.server.UID]

 toString method [java.security.DigestInputStream]

 toString method [java.security.DigestOutputStream]

 toString method [java.security.Identity]

 toString method [java.security.IdentityScope]

 toString method [java.security.MessageDigest]

 toString method [java.security.Provider]

 toString method [java.security.Signature]

 toString method [java.security.Signer]

 toString method [java.sql.Date]

 toString method [java.sql.Time]

 toString method [java.sql.Timestamp]

 toString method [java.util.BitSet]

 toString method [java.util.Calendar]

 toString method [java.util.Date]

 toString method [java.util.EventObject]

 toString method [java.util.Hashtable]

 toString method [java.util.Locale]

 toString method [java.util.SimpleTimeZone]

 toString method [java.util.Vector]

 toString method [java.util.zip.ZipEntry]

 totalIn property [java.util.zip.Deflater]

 totalIn property [java.util.zip.Inflater]

 totalMemory method [java.lang.Runtime]

 totalOut property [java.util.zip.Deflater]

 totalOut property [java.util.zip.Inflater]

 toTitleCase method [java.lang.Character]

 toUpperCase method [java.lang.Character]

 toUpperCase method [java.lang.String]

 traceInstructions method [java.lang.Runtime]

 traceMethodCalls method [java.lang.Runtime]

 Transferable interface [java.awt.datatransfer]

 transferDataFlavors property [java.awt.datatransfer.StringSelection]

 transferFocus method [java.awt.Component]

 transferSize property [java.sql.DataTruncation]

 translate method [java.awt.Event]

 translate method [java.awt.Graphics]

 translate method [java.awt.Point]

 translate method [java.awt.Polygon]

 translate method [java.awt.Rectangle]

 translatePoint method [java.awt.event.MouseEvent]

 transparentPixel property [java.awt.image.IndexColorModel]

 treeLock property [java.awt.Component]

 treeLock property [java.awt.MenuComponent]

 trim method [java.lang.String]

 trimToSize method [java.util.Vector]

 TTL property [java.net.DatagramSocketImpl]

 TTL property [java.net.MulticastSocket]

 type property [java.awt.Cursor]

 type property [java.lang.reflect.Field]

 Types class [java.sql]


tags property [java.beans.PropertyEditorSupport] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      tags property [java.beans.PropertyEditorSupport]

public java.lang.String[] getTags( )

If the property value must be one of a set of known tagged values, then this method should return an array of the tag values.  This can be used to represent (for example) enum values.  If a PropertyEditor supports tags, then it should support the use of setAsText with a tag value as a way of setting the value.

Return

The tag values for this property.  May be null if this property cannot be represented as a tagged value.

Applies to

 PropertyEditorSupport [java.beans]


tan method [java.lang.Math] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      tan method [java.lang.Math]

public static native double tan( double a )

Returns the trigonometric tangent of an angle.

Parameter

a

an angle, in radians.

Return

The tangent of the argument.

Applies to

 Math [java.lang]


targetException property [java.lang.reflect.InvocationTargetException] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      targetException property [java.lang.reflect.InvocationTargetException]

public java.lang.Throwable getTargetException( )

Get the thrown target exception.

Return

No documentation supplied in JDK.

Applies to

 InvocationTargetException [java.lang.reflect]


tcpNoDelay property [java.net.Socket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      tcpNoDelay property [java.net.Socket]

public boolean getTcpNoDelay( ) throws java.net.SocketException

Tests if TCP_NODELAY is enabled.

Return

No documentation supplied in JDK.

public void setTcpNoDelay( boolean on ) throws java.net.SocketException

Enable/disable TCP_NODELAY (disable/enable Nagle's algorithm).

Applies to

 Socket [java.net]


tearOff property [java.awt.Menu] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      tearOff property [java.awt.Menu]

public boolean isTearOff( )

Indicates whether this menu is a tear-off menu.

Tear-off functionality may not be supported by all implementations of AWT.  If a particular implementation doesn't support tear-off menus, this value is silently ignored.

Return

true if this is a tear-off menu; false otherwise.

Applies to

 Menu [java.awt]

 PopupMenu [java.awt]


temporary property [java.awt.event.FocusEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      temporary property [java.awt.event.FocusEvent]

public boolean isTemporary( )

Returns whether or not this focus change event is a temporary change.

Return

No documentation supplied in JDK.

Applies to

 FocusEvent [java.awt.event]


tertiaryOrder method [java.text.CollationElementIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      tertiaryOrder method [java.text.CollationElementIterator]

public static final short tertiaryOrder( int order )

Get the tertiary order of a collation order.

Parameter

order

the collation order

Return

The tertiary order of a collation order.

Applies to

 CollationElementIterator [java.text]


testBit method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      testBit method [java.math.BigInteger]

public boolean testBit( int n ) throws java.lang.ArithmeticException

Returns true iff the designated bit is set. (Computes ((this & (1<<n)) != 0).)  Throws an ArithmeticException if n < 0.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


text property [java.awt.Label] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      text property [java.awt.Label]

public java.lang.String getText( )

Gets the text of this label.

Return

The text of this label.

public synchronized void setText( java.lang.String text )

Sets the text for this label to the specified text.

Parameter

text

the text that this label presents.

Applies to

 Label [java.awt]


text property [java.awt.TextComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      text property [java.awt.TextComponent]

public synchronized java.lang.String getText( )

Gets the text that is presented by this text component.

Return

No documentation supplied in JDK.

public synchronized void setText( java.lang.String t )

Sets the text that is presented by this text component to be the specified text.

Parameter

t

the new text.

Applies to

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]


text property [java.text.BreakIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      text property [java.text.BreakIterator]

public abstract java.text.CharacterIterator getText( )

Get the text being scanned

Return

The text being scanned.

public abstract void setText( java.text.CharacterIterator newText )

Set a new text for scanning.  The current scan position is reset to first().

Parameter

newText

new text to scan.

public void setText( java.lang.String newText )

Set a new text string to be scanned.  The current scan position is reset to first().

Parameter

newText

new text to scan.

Applies to

 BreakIterator [java.text]


TextArea class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      TextArea class [java.awt]

Object

Component

TextComponent

TextArea

Description

A TextArea object is a multi-line region that displays text. It can be set to allow editing or to be read-only.

The following image shows the appearance of a text area:

This text area could be created by the following line of code:

new TextArea("Hello", 5, 40);

Specification

public class TextArea extends java.awt.TextComponent

Constructors

public TextArea( )

Constructs a new text area. This text area is created with both vertical and horizontal scroll bars.

public TextArea( java.lang.String text )

Constructs a new text area with the specified text. This text area is created with both vertical and horizontal scroll bars.

Parameter

text

the text to be displayed.

public TextArea( int rows, int columns )

Constructs a new empty TextArea with the specified number of rows and columns.

Parameters

rows

the number of rows

columns

the number of columns

public TextArea( java.lang.String text, int rows, int columns )

Constructs a new text area with the specified text, and with the specified number of rows and columns. This text area is created with both vertical and horizontal scroll bars.

Parameters

text

the text to be displayed.

rows

the number of rows.

columns

the number of columns.

public TextArea( java.lang.String text, int rows, int columns, int scrollbars )

Constructs a new text area with the specified text, and with the rows, columns, and scroll bar visibility as specified.

The TextArea class defines several constants that can be supplied as values for the scrollbars argument: SCROLLBARS_BOTH, SCROLLBARS_VERTICAL_ONLY, SCROLLBARS_HORIZONTAL_ONLY, and SCROLLBARS_NEITHER.

Parameters

text

the text to be displayed.

rows

the number of rows.

columns

the number of columns.

scrollbars

a constant that determines what scrollbars are created to view the text area.

Variables

public static final int SCROLLBARS_BOTH

Create and display both vertical and horizontal scrollbars.

public static final int SCROLLBARS_VERTICAL_ONLY

Create and display vertical scrollbar only.

public static final int SCROLLBARS_HORIZONTAL_ONLY

Create and display horizontal scrollbar only.

public static final int SCROLLBARS_NONE

Do not create or display any scrollbars for the text area.

Properties

  int getColumns( )

  void setColumns( int columns )

  java.awt.Dimension getMinimumSize( )

  java.awt.Dimension getPreferredSize( )

  int getRows( )

  void setRows( int rows )

  int getScrollbarVisibility( )

Inherited Properties

  float getAlignmentX( )

  float getAlignmentY( )

  java.awt.Color getBackground( )

  void setBackground( java.awt.Color c )

  java.awt.Rectangle getBounds( )

  void setBounds( java.awt.Rectangle r )

  synchronized int getCaretPosition( )

  synchronized void setCaretPosition( int position )

  native final java.lang.Class getClass( )

  java.awt.image.ColorModel getColorModel( )

  java.awt.Cursor getCursor( )

  synchronized void setCursor( java.awt.Cursor cursor )

  synchronized void setEditable( boolean b )

  boolean isEditable( )

  void setEnabled( boolean b )

  boolean isEnabled( )

  boolean isFocusTraversable( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.awt.Color getForeground( )

  void setForeground( java.awt.Color c )

  java.awt.Graphics getGraphics( )

  java.util.Locale getLocale( )

  void setLocale( java.util.Locale l )

  java.awt.Point getLocation( )

  void setLocation( java.awt.Point p )

  void setLocation( int x, int y )

  java.awt.Point getLocationOnScreen( )

  java.awt.Dimension getMaximumSize( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.Container getParent( )

  java.awt.peer.ComponentPeer getPeer( )

  synchronized java.lang.String getSelectedText( )

  synchronized int getSelectionEnd( )

  synchronized void setSelectionEnd( int selectionEnd )

  synchronized int getSelectionStart( )

  synchronized void setSelectionStart( int selectionStart )

  boolean isShowing( )

  java.awt.Dimension getSize( )

  void setSize( java.awt.Dimension d )

  void setSize( int width, int height )

  synchronized java.lang.String getText( )

  synchronized void setText( java.lang.String t )

  java.awt.Toolkit getToolkit( )

  final java.lang.Object getTreeLock( )

  boolean isValid( )

  void setVisible( boolean b )

  boolean isVisible( )

Methods

  void addNotify( )

  void append( java.lang.String str )

  synchronized void appendText( java.lang.String str )

  java.awt.Dimension getMinimumSize( int rows, int columns )

  java.awt.Dimension getPreferredSize( int rows, int columns )

  void insert( java.lang.String str, int pos )

  synchronized void insertText( java.lang.String str, int pos )

  java.awt.Dimension minimumSize( int rows, int columns )

  java.awt.Dimension minimumSize( )

  java.awt.Dimension preferredSize( int rows, int columns )

  java.awt.Dimension preferredSize( )

  void replaceRange( java.lang.String str, int start, int end )

  synchronized void replaceText( java.lang.String str, int start, int end )

Inherited Methods

  boolean action( java.awt.Event evt, java.lang.Object what )

  synchronized void add( java.awt.PopupMenu popup )

  java.awt.Rectangle bounds( )

  int checkImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean contains( java.awt.Point p )

  boolean contains( int x, int y )

  java.awt.Image createImage( int width, int height )

  java.awt.Image createImage( java.awt.image.ImageProducer producer )

  void deliverEvent( java.awt.Event e )

  void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  void doLayout( )

  void enable( )

  void enable( boolean b )

  boolean equals( java.lang.Object obj )

  java.awt.Component getComponentAt( int x, int y )

  java.awt.Component getComponentAt( java.awt.Point p )

  java.awt.FontMetrics getFontMetrics( java.awt.Font font )

  boolean gotFocus( java.awt.Event evt, java.lang.Object what )

  boolean handleEvent( java.awt.Event evt )

  native int hashCode( )

  void hide( )

  boolean imageUpdate( java.awt.Image img, int flags, int x, int y, int w, int h )

  boolean inside( int x, int y )

  void invalidate( )

  boolean keyDown( java.awt.Event evt, int key )

  boolean keyUp( java.awt.Event evt, int key )

  void layout( )

  void list( )

  void list( java.io.PrintStream out, int indent )

  void list( java.io.PrintStream out )

  void list( java.io.PrintWriter out, int indent )

  void list( java.io.PrintWriter out )

  java.awt.Component locate( int x, int y )

  java.awt.Point location( )

  boolean lostFocus( java.awt.Event evt, java.lang.Object what )

  boolean mouseDown( java.awt.Event evt, int x, int y )

  boolean mouseDrag( java.awt.Event evt, int x, int y )

  boolean mouseEnter( java.awt.Event evt, int x, int y )

  boolean mouseExit( java.awt.Event evt, int x, int y )

  boolean mouseMove( java.awt.Event evt, int x, int y )

  boolean mouseUp( java.awt.Event evt, int x, int y )

  void move( int x, int y )

  void nextFocus( )

  native final void notify( )

  native final void notifyAll( )

  void paint( java.awt.Graphics g )

  void paintAll( java.awt.Graphics g )

  boolean postEvent( java.awt.Event e )

  boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean prepareImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  void print( java.awt.Graphics g )

  void printAll( java.awt.Graphics g )

  synchronized void remove( java.awt.MenuComponent popup )

  void removeNotify( )

  void repaint( )

  void repaint( long tm, int x, int y, int width, int height )

  void repaint( int x, int y, int width, int height )

  void repaint( long tm )

  void requestFocus( )

  void reshape( int x, int y, int width, int height )

  void resize( int width, int height )

  void resize( java.awt.Dimension d )

  synchronized void select( int selectionStart, int selectionEnd )

  synchronized void selectAll( )

  void setBounds( int x, int y, int width, int height )

  void show( )

  void show( boolean b )

  java.awt.Dimension size( )

  java.lang.String toString( )

  void transferFocus( )

  void update( java.awt.Graphics g )

  void validate( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected java.lang.String paramString( )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void finalize( ) throws java.lang.Throwable

 protected void processComponentEvent( java.awt.event.ComponentEvent e )

 protected void processEvent( java.awt.AWTEvent e )

 protected void processFocusEvent( java.awt.event.FocusEvent e )

 protected void processKeyEvent( java.awt.event.KeyEvent e )

 protected void processMouseEvent( java.awt.event.MouseEvent e )

 protected void processMouseMotionEvent( java.awt.event.MouseEvent e )

 protected void processTextEvent( java.awt.event.TextEvent e )

Inherited Events

  synchronized void addComponentListener( java.awt.event.ComponentListener l )

  synchronized void removeComponentListener( java.awt.event.ComponentListener l )

  synchronized void addFocusListener( java.awt.event.FocusListener l )

  synchronized void removeFocusListener( java.awt.event.FocusListener l )

  synchronized void addKeyListener( java.awt.event.KeyListener l )

  synchronized void removeKeyListener( java.awt.event.KeyListener l )

  synchronized void addMouseListener( java.awt.event.MouseListener l )

  synchronized void removeMouseListener( java.awt.event.MouseListener l )

  synchronized void addMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void removeMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void addTextListener( java.awt.event.TextListener l )

  synchronized void removeTextListener( java.awt.event.TextListener l )


TextAreaPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      TextAreaPeer interface [java.awt.peer]

Definition

public interface TextAreaPeer extends java.awt.peer.TextComponentPeer

{

  // Methods

  public void insert( java.lang.String text, int pos );

  public void replaceRange( java.lang.String text, int start, int end );

  public java.awt.Dimension getPreferredSize( int rows, int columns );

  public java.awt.Dimension getMinimumSize( int rows, int columns );

  public void insertText( java.lang.String txt, int pos );

  public void replaceText( java.lang.String txt, int start, int end );

  public java.awt.Dimension preferredSize( int rows, int cols );

  public java.awt.Dimension minimumSize( int rows, int cols );

}

Methods

public void insert( java.lang.String text, int pos )

public void replaceRange( java.lang.String text, int start, int end )

public java.awt.Dimension getPreferredSize( int rows, int columns )

public java.awt.Dimension getMinimumSize( int rows, int columns )

public void insertText( java.lang.String txt, int pos )

DEPRECATED:  Replaced by insert(String, int).

public void replaceText( java.lang.String txt, int start, int end )

DEPRECATED:  Replaced by ReplaceRange(String, int, int).

public java.awt.Dimension preferredSize( int rows, int cols )

DEPRECATED:  Replaced by getPreferredSize(int, int).

Return

No documentation supplied in JDK.

public java.awt.Dimension minimumSize( int rows, int cols )

DEPRECATED:  Replaced by getMinimumSize(int, int).

Return

No documentation supplied in JDK.


TextComponent class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      TextComponent class [java.awt]

Object

Component

TextComponent

Description

The TextComponent class is the superclass of any component that allows the editing of some text.

A text component embodies a string of text.  The TextComponent class defines a set of methods that determine whether or not this text is editable. If the component is editable, it defines another set of methods that supports a text insertion caret.

In addition, the class defines methods that are used to maintain a current selection from the text. The text selection, a substring of the component's text, is the target of editing operations. It is also referred to as the selected text .

Specification

public class TextComponent extends java.awt.Component

Variables

protected java.awt.event.TextListener textListener

Properties

  synchronized int getCaretPosition( )

  synchronized void setCaretPosition( int position )

  synchronized void setEditable( boolean b )

  boolean isEditable( )

  synchronized java.lang.String getSelectedText( )

  synchronized int getSelectionEnd( )

  synchronized void setSelectionEnd( int selectionEnd )

  synchronized int getSelectionStart( )

  synchronized void setSelectionStart( int selectionStart )

  synchronized java.lang.String getText( )

  synchronized void setText( java.lang.String t )

Inherited Properties

  float getAlignmentX( )

  float getAlignmentY( )

  java.awt.Color getBackground( )

  void setBackground( java.awt.Color c )

  java.awt.Rectangle getBounds( )

  void setBounds( java.awt.Rectangle r )

  native final java.lang.Class getClass( )

  java.awt.image.ColorModel getColorModel( )

  java.awt.Cursor getCursor( )

  synchronized void setCursor( java.awt.Cursor cursor )

  void setEnabled( boolean b )

  boolean isEnabled( )

  boolean isFocusTraversable( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.awt.Color getForeground( )

  void setForeground( java.awt.Color c )

  java.awt.Graphics getGraphics( )

  java.util.Locale getLocale( )

  void setLocale( java.util.Locale l )

  java.awt.Point getLocation( )

  void setLocation( java.awt.Point p )

  void setLocation( int x, int y )

  java.awt.Point getLocationOnScreen( )

  java.awt.Dimension getMaximumSize( )

  java.awt.Dimension getMinimumSize( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.Container getParent( )

  java.awt.peer.ComponentPeer getPeer( )

  java.awt.Dimension getPreferredSize( )

  boolean isShowing( )

  java.awt.Dimension getSize( )

  void setSize( java.awt.Dimension d )

  void setSize( int width, int height )

  java.awt.Toolkit getToolkit( )

  final java.lang.Object getTreeLock( )

  boolean isValid( )

  void setVisible( boolean b )

  boolean isVisible( )

Methods

  void removeNotify( )

  synchronized void select( int selectionStart, int selectionEnd )

  synchronized void selectAll( )

Inherited Methods

  boolean action( java.awt.Event evt, java.lang.Object what )

  synchronized void add( java.awt.PopupMenu popup )

  void addNotify( )

  java.awt.Rectangle bounds( )

  int checkImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean contains( java.awt.Point p )

  boolean contains( int x, int y )

  java.awt.Image createImage( int width, int height )

  java.awt.Image createImage( java.awt.image.ImageProducer producer )

  void deliverEvent( java.awt.Event e )

  void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  void doLayout( )

  void enable( )

  void enable( boolean b )

  boolean equals( java.lang.Object obj )

  java.awt.Component getComponentAt( java.awt.Point p )

  java.awt.Component getComponentAt( int x, int y )

  java.awt.FontMetrics getFontMetrics( java.awt.Font font )

  boolean gotFocus( java.awt.Event evt, java.lang.Object what )

  boolean handleEvent( java.awt.Event evt )

  native int hashCode( )

  void hide( )

  boolean imageUpdate( java.awt.Image img, int flags, int x, int y, int w, int h )

  boolean inside( int x, int y )

  void invalidate( )

  boolean keyDown( java.awt.Event evt, int key )

  boolean keyUp( java.awt.Event evt, int key )

  void layout( )

  void list( )

  void list( java.io.PrintStream out, int indent )

  void list( java.io.PrintStream out )

  void list( java.io.PrintWriter out, int indent )

  void list( java.io.PrintWriter out )

  java.awt.Component locate( int x, int y )

  java.awt.Point location( )

  boolean lostFocus( java.awt.Event evt, java.lang.Object what )

  java.awt.Dimension minimumSize( )

  boolean mouseDown( java.awt.Event evt, int x, int y )

  boolean mouseDrag( java.awt.Event evt, int x, int y )

  boolean mouseEnter( java.awt.Event evt, int x, int y )

  boolean mouseExit( java.awt.Event evt, int x, int y )

  boolean mouseMove( java.awt.Event evt, int x, int y )

  boolean mouseUp( java.awt.Event evt, int x, int y )

  void move( int x, int y )

  void nextFocus( )

  native final void notify( )

  native final void notifyAll( )

  void paint( java.awt.Graphics g )

  void paintAll( java.awt.Graphics g )

  boolean postEvent( java.awt.Event e )

  java.awt.Dimension preferredSize( )

  boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean prepareImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  void print( java.awt.Graphics g )

  void printAll( java.awt.Graphics g )

  synchronized void remove( java.awt.MenuComponent popup )

  void repaint( )

  void repaint( long tm )

  void repaint( long tm, int x, int y, int width, int height )

  void repaint( int x, int y, int width, int height )

  void requestFocus( )

  void reshape( int x, int y, int width, int height )

  void resize( int width, int height )

  void resize( java.awt.Dimension d )

  void setBounds( int x, int y, int width, int height )

  void show( boolean b )

  void show( )

  java.awt.Dimension size( )

  java.lang.String toString( )

  void transferFocus( )

  void update( java.awt.Graphics g )

  void validate( )

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected java.lang.String paramString( )

 protected void processEvent( java.awt.AWTEvent e )

 protected void processTextEvent( java.awt.event.TextEvent e )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void finalize( ) throws java.lang.Throwable

 protected void processComponentEvent( java.awt.event.ComponentEvent e )

 protected void processFocusEvent( java.awt.event.FocusEvent e )

 protected void processKeyEvent( java.awt.event.KeyEvent e )

 protected void processMouseEvent( java.awt.event.MouseEvent e )

 protected void processMouseMotionEvent( java.awt.event.MouseEvent e )

Events

  synchronized void addTextListener( java.awt.event.TextListener l )

  synchronized void removeTextListener( java.awt.event.TextListener l )

Inherited Events

  synchronized void addComponentListener( java.awt.event.ComponentListener l )

  synchronized void removeComponentListener( java.awt.event.ComponentListener l )

  synchronized void addFocusListener( java.awt.event.FocusListener l )

  synchronized void removeFocusListener( java.awt.event.FocusListener l )

  synchronized void addKeyListener( java.awt.event.KeyListener l )

  synchronized void removeKeyListener( java.awt.event.KeyListener l )

  synchronized void addMouseListener( java.awt.event.MouseListener l )

  synchronized void removeMouseListener( java.awt.event.MouseListener l )

  synchronized void addMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void removeMouseMotionListener( java.awt.event.MouseMotionListener l )


TextComponentPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      TextComponentPeer interface [java.awt.peer]

Definition

public interface TextComponentPeer extends java.awt.peer.ComponentPeer

{

  // Properties

  public void setEditable( boolean editable );

  public java.lang.String getText( );

  public void setText( java.lang.String l );

  public int getSelectionStart( );

  public int getSelectionEnd( );

  public int getCaretPosition( );

  public void setCaretPosition( int pos );

  // Methods

  public void select( int selStart, int selEnd );

}

Properties

public void setEditable( boolean editable )

public java.lang.String getText( )

public void setText( java.lang.String l )

public int getSelectionStart( )

public int getSelectionEnd( )

public int getCaretPosition( )

public void setCaretPosition( int pos )

Methods

public void select( int selStart, int selEnd )


TextEvent class [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      TextEvent class [java.awt.event]

Object

EventObject

AWTEvent

TextEvent

Description

The text event emitted by TextComponents.

Specification

public class TextEvent extends java.awt.AWTEvent

Constructor

public TextEvent( java.lang.Object source, int id )

Constructs a TextEvent object with the specified TextComponent source, and type.

Parameter

source

the TextComponent where the event originated

Variables

public static final int TEXT_FIRST

Marks the first integer id for the range of adjustment event ids.

public static final int TEXT_LAST

Marks the last integer id for the range of adjustment event ids.

public static final int TEXT_VALUE_CHANGED

The adjustment value changed event.

Inherited Properties

  native final java.lang.Class getClass( )

  int getID( )

  java.lang.Object getSource( )

Protected Properties

 protected boolean isConsumed( )

Methods

  java.lang.String paramString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void consume( )

 protected void finalize( ) throws java.lang.Throwable

See also

TextComponent class [java.awt]


TextEvent event [java.awt.TextComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      TextEvent event [java.awt.TextComponent]

public synchronized void addTextListener( java.awt.event.TextListener l )

Adds the specified text event listener to recieve text events from this textcomponent.

Parameter

l

the text event listener

public synchronized void removeTextListener( java.awt.event.TextListener l )

Removes the specified text event listener so that it no longer receives text events from this textcomponent

Applies to

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]


TextField class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      TextField class [java.awt]

Object

Component

TextComponent

TextField

Description

A TextField object is a text component that allows for the editing of a single line of text.

For example, the following image depicts a frame with four text fields of varying widths. Two of these text fields display the predefined text "Hello".

Here is the code that produces these four text fields:

TextField tf1, tf2, tf3, tf4;

// a blank text field

tf1 = new TextField();

// blank field of 20 columns

tf2 = new TextField("", 20);

// predefined text displayed

tf3 = new TextField("Hello!");

// predefined text in 30 columns

tf4 = new TextField("Hello", 30);

Every time the user types a key in the text field, AWT sends two action events to the text field. The first one represents the key press and the second one, the key release. Each action event embodies the state of the system at the time that some action occurred. The properties of an action event indicate which key was pressed, what modifier keys were also pressed, and the time at which the event occurred.

Since the event is an instance of ActionEvent, the TextField class's processEvent method examines the event and passes it along to processActionEvent. The latter method redirects the event to any ActionListener objects that have registered an interest in action events generated by this text field.

Specification

public class TextField extends java.awt.TextComponent

Constructors

public TextField( )

Constructs a new text field.

public TextField( java.lang.String text )

Constructs a new text field initialized with the specified text.

Parameter

text

the text to be displayed.

public TextField( int columns )

Constructs a new empty TextField with the specified number of columns.

Parameter

columns

the number of columns

public TextField( java.lang.String text, int columns )

Constructs a new text field initialized with the specified text to be displayed, and wide enough to hold the specified number of characters.

Parameters

text

the text to be displayed.

columns

the number of characters.

Properties

  int getColumns( )

  synchronized void setColumns( int columns )

  char getEchoChar( )

  void setEchoChar( char c )

  synchronized void setEchoCharacter( char c )

  java.awt.Dimension getMinimumSize( )

  java.awt.Dimension getMinimumSize( int columns )

  java.awt.Dimension getPreferredSize( )

  java.awt.Dimension getPreferredSize( int columns )

Inherited Properties

  float getAlignmentX( )

  float getAlignmentY( )

  java.awt.Color getBackground( )

  void setBackground( java.awt.Color c )

  java.awt.Rectangle getBounds( )

  void setBounds( java.awt.Rectangle r )

  synchronized int getCaretPosition( )

  synchronized void setCaretPosition( int position )

  native final java.lang.Class getClass( )

  java.awt.image.ColorModel getColorModel( )

  java.awt.Cursor getCursor( )

  synchronized void setCursor( java.awt.Cursor cursor )

  synchronized void setEditable( boolean b )

  boolean isEditable( )

  void setEnabled( boolean b )

  boolean isEnabled( )

  boolean isFocusTraversable( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.awt.Color getForeground( )

  void setForeground( java.awt.Color c )

  java.awt.Graphics getGraphics( )

  java.util.Locale getLocale( )

  void setLocale( java.util.Locale l )

  java.awt.Point getLocation( )

  void setLocation( java.awt.Point p )

  void setLocation( int x, int y )

  java.awt.Point getLocationOnScreen( )

  java.awt.Dimension getMaximumSize( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.Container getParent( )

  java.awt.peer.ComponentPeer getPeer( )

  synchronized java.lang.String getSelectedText( )

  synchronized int getSelectionEnd( )

  synchronized void setSelectionEnd( int selectionEnd )

  synchronized int getSelectionStart( )

  synchronized void setSelectionStart( int selectionStart )

  boolean isShowing( )

  java.awt.Dimension getSize( )

  void setSize( java.awt.Dimension d )

  void setSize( int width, int height )

  synchronized java.lang.String getText( )

  synchronized void setText( java.lang.String t )

  java.awt.Toolkit getToolkit( )

  final java.lang.Object getTreeLock( )

  boolean isValid( )

  void setVisible( boolean b )

  boolean isVisible( )

Methods

  void addNotify( )

  boolean echoCharIsSet( )

  java.awt.Dimension minimumSize( int columns )

  java.awt.Dimension minimumSize( )

  java.awt.Dimension preferredSize( int columns )

  java.awt.Dimension preferredSize( )

Inherited Methods

  boolean action( java.awt.Event evt, java.lang.Object what )

  synchronized void add( java.awt.PopupMenu popup )

  java.awt.Rectangle bounds( )

  int checkImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean contains( int x, int y )

  boolean contains( java.awt.Point p )

  java.awt.Image createImage( java.awt.image.ImageProducer producer )

  java.awt.Image createImage( int width, int height )

  void deliverEvent( java.awt.Event e )

  void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  void doLayout( )

  void enable( )

  void enable( boolean b )

  boolean equals( java.lang.Object obj )

  java.awt.Component getComponentAt( int x, int y )

  java.awt.Component getComponentAt( java.awt.Point p )

  java.awt.FontMetrics getFontMetrics( java.awt.Font font )

  boolean gotFocus( java.awt.Event evt, java.lang.Object what )

  boolean handleEvent( java.awt.Event evt )

  native int hashCode( )

  void hide( )

  boolean imageUpdate( java.awt.Image img, int flags, int x, int y, int w, int h )

  boolean inside( int x, int y )

  void invalidate( )

  boolean keyDown( java.awt.Event evt, int key )

  boolean keyUp( java.awt.Event evt, int key )

  void layout( )

  void list( )

  void list( java.io.PrintStream out, int indent )

  void list( java.io.PrintStream out )

  void list( java.io.PrintWriter out, int indent )

  void list( java.io.PrintWriter out )

  java.awt.Component locate( int x, int y )

  java.awt.Point location( )

  boolean lostFocus( java.awt.Event evt, java.lang.Object what )

  boolean mouseDown( java.awt.Event evt, int x, int y )

  boolean mouseDrag( java.awt.Event evt, int x, int y )

  boolean mouseEnter( java.awt.Event evt, int x, int y )

  boolean mouseExit( java.awt.Event evt, int x, int y )

  boolean mouseMove( java.awt.Event evt, int x, int y )

  boolean mouseUp( java.awt.Event evt, int x, int y )

  void move( int x, int y )

  void nextFocus( )

  native final void notify( )

  native final void notifyAll( )

  void paint( java.awt.Graphics g )

  void paintAll( java.awt.Graphics g )

  boolean postEvent( java.awt.Event e )

  boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean prepareImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  void print( java.awt.Graphics g )

  void printAll( java.awt.Graphics g )

  synchronized void remove( java.awt.MenuComponent popup )

  void removeNotify( )

  void repaint( )

  void repaint( int x, int y, int width, int height )

  void repaint( long tm )

  void repaint( long tm, int x, int y, int width, int height )

  void requestFocus( )

  void reshape( int x, int y, int width, int height )

  void resize( int width, int height )

  void resize( java.awt.Dimension d )

  synchronized void select( int selectionStart, int selectionEnd )

  synchronized void selectAll( )

  void setBounds( int x, int y, int width, int height )

  void show( )

  void show( boolean b )

  java.awt.Dimension size( )

  java.lang.String toString( )

  void transferFocus( )

  void update( java.awt.Graphics g )

  void validate( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected java.lang.String paramString( )

 protected void processActionEvent( java.awt.event.ActionEvent e )

 protected void processEvent( java.awt.AWTEvent e )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void finalize( ) throws java.lang.Throwable

 protected void processComponentEvent( java.awt.event.ComponentEvent e )

 protected void processFocusEvent( java.awt.event.FocusEvent e )

 protected void processKeyEvent( java.awt.event.KeyEvent e )

 protected void processMouseEvent( java.awt.event.MouseEvent e )

 protected void processMouseMotionEvent( java.awt.event.MouseEvent e )

 protected void processTextEvent( java.awt.event.TextEvent e )

Events

  synchronized void addActionListener( java.awt.event.ActionListener l )

  synchronized void removeActionListener( java.awt.event.ActionListener l )

Inherited Events

  synchronized void addComponentListener( java.awt.event.ComponentListener l )

  synchronized void removeComponentListener( java.awt.event.ComponentListener l )

  synchronized void addFocusListener( java.awt.event.FocusListener l )

  synchronized void removeFocusListener( java.awt.event.FocusListener l )

  synchronized void addKeyListener( java.awt.event.KeyListener l )

  synchronized void removeKeyListener( java.awt.event.KeyListener l )

  synchronized void addMouseListener( java.awt.event.MouseListener l )

  synchronized void removeMouseListener( java.awt.event.MouseListener l )

  synchronized void addMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void removeMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void addTextListener( java.awt.event.TextListener l )

  synchronized void removeTextListener( java.awt.event.TextListener l )

See also

ActionEvent class [java.awt.event]

processEvent method [java.awt.Component]

processActionEvent method [java.awt.TextField]


TextFieldPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      TextFieldPeer interface [java.awt.peer]

Definition

public interface TextFieldPeer extends java.awt.peer.TextComponentPeer

{

  // Properties

  public void setEchoChar( char echoChar );

  public java.awt.Dimension getPreferredSize( int columns );

  public java.awt.Dimension getMinimumSize( int columns );

  public void setEchoCharacter( char c );

  // Methods

  public java.awt.Dimension preferredSize( int cols );

  public java.awt.Dimension minimumSize( int cols );

}

Properties

public void setEchoChar( char echoChar )

public java.awt.Dimension getPreferredSize( int columns )

public java.awt.Dimension getMinimumSize( int columns )

public void setEchoCharacter( char c )

DEPRECATED:  Replaced by setEchoChar(char echoChar).

Methods

public java.awt.Dimension preferredSize( int cols )

DEPRECATED:  Replaced by getPreferredSize(int).

Return

No documentation supplied in JDK.

public java.awt.Dimension minimumSize( int cols )

DEPRECATED:  Replaced by getMinimumSize(int).

Return

No documentation supplied in JDK.


TextListener interface [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      TextListener interface [java.awt.event]

Description

The listener interface for receiving adjustment events.

Definition

public interface TextListener extends java.util.EventListener

{

  // Methods

  public void textValueChanged( java.awt.event.TextEvent e );

}

Methods

public void textValueChanged( java.awt.event.TextEvent e )

Invoked when the value of the text has changed.

Implemented by

AWTEventMulticaster [java.awt]


textValueChanged method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      textValueChanged method [java.awt.AWTEventMulticaster]

public void textValueChanged( java.awt.event.TextEvent e )

Applies to

 AWTEventMulticaster [java.awt]


Thread class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      Thread class [java.lang]

Object

Thread

Description

A thread is a thread of execution in a program. The Java Virtual Machine allows an application to have multiple threads of execution running concurrently.

Every thread has a priority. Threads with higher priority are executed in preference to threads with lower priority. Each thread may or may not also be marked as a daemon. When code running in some thread creates a new Thread object, the new thread has its priority initially set equal to the priority of the creating thread, and is a daemon thread if and only if the creating thread is a daemon.

When a Java Virtual Machine starts up, there is usually a single non-daemon thread (which typically calls the method named main of some designated class). The Java Virtual Machine continues to execute threads until either of the following occurs:

•	The exit method of class Runtime has been called and the security manager has permitted the exit operation to take place.

•	All threads that are not daemon threads have died, either by returning from the call to the run method or by performing the stop method.

There are two ways to create a new thread of execution. One is to declare a class to be a subclass of Thread. This subclass should override the run method of class Thread. An instance of the subclass can then be allocated and started. For example, a thread that computes primes larger than a stated value could be written as follows:

   class PrimeThread extends Thread {

       long minPrime;

       PrimeThread(long minPrime) {

           this.minPrime = minPrime;

       }

       public void run() {

           // compute primes larger than minPrime

            . . .

       }

   }

The following code would then create a thread and start it running:

   PrimeThread p = new PrimeThread(143);

   p.start();

The other way to create a thread is to declare a class that implements the Runnable interface. That class then implements the run method. An instance of the class can then be allocated, passed as an argument when creating Thread, and started. The same example in this other style looks like the following:

   class PrimeRun implements Runnable {

       long minPrime;

       PrimeRun(long minPrime) {

           this.minPrime = minPrime;

       }

       public void run() {

           // compute primes larger than minPrime

            . . .

       }

   }

The following code would then create a thread and start it running:

   PrimeRun p = new PrimeRun(143);

   new Thread(p).start();

Every thread has a name for identification purposes. More than one thread may have the same name. If a name is not specified when a thread is created, a new name is generated for it.

Specification

public class Thread extends java.lang.Object implements java.lang.Runnable

Constructors

public Thread( )

Allocates a new Thread object. This constructor has the same effect as Thread(null, null, gname ), where gname  is a newly generated name. Automatically generated names are of the form "Thread-"+n , where n is an integer.

Threads created this way must have overridden their run() method to actually do anything.  An example illustrating this method being used follows:

   import java.lang.*;

   class plain01 implements Runnable {

       String name;

       plain01() {

           name = null;

       }

       plain01(String s) {

           name = s;

       }

       public void run() {

           if (name == null)

               System.out.println("A new thread created");

           else

               System.out.println("A new thread with name " + name +

                                  " created");

       }

   }

   class threadtest01 {

       public static void main(String args[] ) {

           int failed = 0 ;

           Thread t1 = new Thread();

           if (t1 != null)

               System.out.println("new Thread() succeed");

           else {

               System.out.println("new Thread() failed");

               failed++;

           }

       }

   }

public Thread( java.lang.String name )

Allocates a new Thread object. This constructor has the same effect as Thread(null, null, name).

Parameter

name

the name of the new thread.

public Thread( java.lang.Runnable target )

Allocates a new Thread object. This constructor has the same effect as Thread(null, target, gname ), where gname is a newly generated name. Automatically generated names are of the form "Thread-"+n , where n is an integer.

Parameter

target

the object whose run method is called.

public Thread( java.lang.ThreadGroup group, java.lang.Runnable target )

Allocates a new Thread object. This constructor has the same effect as Thread(group, target, gname ), where gname is a newly generated name. Automatically generated names are of the form "Thread-"+n , where n is an integer.

Parameters

group

the thread group.

target

the object whose run method is called.

Throws

SecurityException

If the current thread cannot create a thread in the specified thread group.

public Thread( java.lang.Runnable target, java.lang.String name )

Allocates a new Thread object. This constructor has the same effect as Thread(null, target, name).

Parameters

target

the object whose run method is called.

name

the name of the new thread.

public Thread( java.lang.ThreadGroup group, java.lang.String name )

Allocates a new Thread object. This constructor has the same effect as Thread(group, null, name)

Parameters

group

the thread group.

name

the name of the new thread.

Throws

SecurityException

If the current thread cannot create a thread in the specified thread group.

public Thread( java.lang.ThreadGroup group, java.lang.Runnable target, java.lang.String name )

Allocates a new Thread object so that it has target as its run object, has the specified name as its name, and belongs to the thread group referred to by group.

If group is not null, the checkAccess method of that thread group is called with no arguments; this may result in throwing a SecurityException; if group is null, the new process belongs to the same group as the thread that is creating the new thread.

If the target argument is not null, the run method of the target is called when this thread is started. If the target argument is null, this thread's run method is called when this thread is started.

The priority of the newly created thread is set equal to the priority of the thread creating it, that is, the currently running thread. The method setPriority may be used to change the priority to a new value.

The newly created thread is initially marked as being a daemon thread if and only if the thread creating it is currently marked as a daemon thread. The method setDaemon  may be used to change whether or not a thread is a daemon.

Parameters

group

the thread group.

target

the object whose run method is called.

name

the name of the new thread.

Throws

SecurityException

If the current thread cannot create a thread in the specified thread group.

See also

Runnable interface [java.lang]

run method [java.lang.Thread]

daemon property [java.lang.Thread]

priority property [java.lang.Thread]

checkAccess method [java.lang.ThreadGroup]

Variables

public static final int MIN_PRIORITY

The minimum priority that a thread can have.

public static final int NORM_PRIORITY

The default priority that is assigned to a thread.

public static final int MAX_PRIORITY

The maximum priority that a thread can have.

Properties

  native final boolean isAlive( )

  final void setDaemon( boolean on )

  final boolean isDaemon( )

  boolean isInterrupted( )

  final java.lang.String getName( )

  final void setName( java.lang.String name )

  final int getPriority( )

  final void setPriority( int newPriority )

  final java.lang.ThreadGroup getThreadGroup( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  static int activeCount( )

  void checkAccess( )

  native int countStackFrames( )

  static native java.lang.Thread currentThread( )

  void destroy( )

  static void dumpStack( )

  static int enumerate( java.lang.Thread[] tarray )

  void interrupt( )

  static boolean interrupted( )

  final synchronized void join( long millis ) throws java.lang.InterruptedException

  final synchronized void join( long millis, int nanos ) throws java.lang.InterruptedException

  final void join( ) throws java.lang.InterruptedException

  final void resume( )

  void run( )

  static native void sleep( long millis ) throws java.lang.InterruptedException

  static void sleep( long millis, int nanos ) throws java.lang.InterruptedException

  native synchronized void start( )

  final synchronized void stop( java.lang.Throwable o )

  final void stop( )

  final void suspend( )

  java.lang.String toString( )

  static native void yield( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Runnable interface [java.lang]

exit method [java.lang.Runtime]

run method [java.lang.Thread]

stop method [java.lang.Thread]


ThreadDeath class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      ThreadDeath class [java.lang]

Object

Throwable

Error

ThreadDeath

Description

An instance of ThreadDeath is thrown in the victim thread when the stop method with zero arguments in class Thread is called.

An application should catch instances of this class only if it must clean up after being terminated asynchronously. If ThreadDeath is caught by a method, it is important that it be rethrown so that the thread actually dies.

The top-level error handler does not print out a message if ThreadDeath is never caught.

The class ThreadDeath is specifically a subclass of Error rather than Exception, even though it is a "normal occurrence", because many applications catch all occurrences of Exception and then discard the exception.

Specification

public class ThreadDeath extends java.lang.Error

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

stop method [java.lang.Thread]


ThreadGroup class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      ThreadGroup class [java.lang]

Object

ThreadGroup

Description

A thread group represents a set of threads. In addition, a thread group can also include other thread groups. The thread groups form a tree in which every thread group except the initial thread group has a parent.

A thread is allowed to access information about its own thread group, but not to access information about its thread group's parent thread group or any other thread groups.

Specification

public class ThreadGroup extends java.lang.Object

Constructors

public ThreadGroup( java.lang.String name )

Constructs a new thread group. The parent of this new group is the thread group of the currently running thread.

Parameter

name

the name of the new thread group.

public ThreadGroup( java.lang.ThreadGroup parent, java.lang.String name )

Creates a new thread group. The parent of this new group is the specified thread group.

The checkAccess method of the parent thread group is called with no arguments; this may result in a security exception.

Parameters

parent

the parent thread group.

name

the name of the new thread group.

Throws

NullPointerException

If the thread group argument is null.

SecurityException

If the current thread cannot create a thread in the specified thread group.

See also

SecurityException class [java.lang]

checkAccess method [java.lang.ThreadGroup]

Properties

  final void setDaemon( boolean daemon )

  final boolean isDaemon( )

  synchronized boolean isDestroyed( )

  final int getMaxPriority( )

  final void setMaxPriority( int pri )

  final java.lang.String getName( )

  final java.lang.ThreadGroup getParent( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  int activeCount( )

  int activeGroupCount( )

  boolean allowThreadSuspension( boolean b )

  final void checkAccess( )

  final void destroy( )

  int enumerate( java.lang.ThreadGroup[] list, boolean recurse )

  int enumerate( java.lang.Thread[] list )

  int enumerate( java.lang.Thread[] list, boolean recurse )

  int enumerate( java.lang.ThreadGroup[] list )

  void list( )

  final boolean parentOf( java.lang.ThreadGroup g )

  final void resume( )

  final void stop( )

  final void suspend( )

  java.lang.String toString( )

  void uncaughtException( java.lang.Thread t, java.lang.Throwable e )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


threadGroup property [java.lang.SecurityManager] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      threadGroup property [java.lang.SecurityManager]

public java.lang.ThreadGroup getThreadGroup( )

Returns the thread group into which to instantiate any new thread being created at the time this is being called. By default, it returns the thread group of the current thread. This should be overriden by specific security manager to return the appropriate thread group.

Return

No documentation supplied in JDK.

Applies to

 RMISecurityManager [java.rmi]

 SecurityManager [java.lang]


threadGroup property [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      threadGroup property [java.lang.Thread]

public final java.lang.ThreadGroup getThreadGroup( )

Returns this thread's thread group.

Return

This thread's thread group.

Applies to

 Thread [java.lang]


Throwable class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      Throwable class [java.lang]

Object

Throwable

Description

The Throwable class is the superclass of all errors and exceptions in the Java language. Only objects that are instances of this class (or of one of its subclasses) are thrown by the Java Virtual Machine or can be thrown by the Java throw statement. Similarly, only this class or one of its subclasses can be the argument type in a catch clause.

A Throwable class contains a snapshot of the execution stack of its thread at the time it was created. It can also contain a message string that gives more information about the error.

Here is one example of catching an exception:

   try {

       int a[] = new int[2];

       a[4];

   } catch (ArrayIndexOutOfBoundsException e) {

       System.out.println("exception: " + e.getMessage());

       e.printStackTrace();

   }

Specification

public class Throwable extends java.lang.Object implements java.io.Serializable

Constructors

public Throwable( )

Constructs a new Throwable with no detail message. The stack trace is automatically filled in.

public Throwable( java.lang.String message )

Constructs a new Throwable with the specified detail message. The stack trace is automatically filled in.

Parameter

message

the detail message.

Properties

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  native java.lang.Throwable fillInStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


Time class [java.sql] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      Time class [java.sql]

Object

Date

Time

Description

This class is a thin wrapper around java.util.Date that allows JDBC to identify this as a SQL TIME value. It adds formatting and parsing operations to support the JDBC escape syntax for time values.

Specification

public class Time extends java.util.Date

Constructors

public Time( long time )

Construct a Time using a milliseconds time value

Parameter

time

milliseconds since January 1, 1970, 00:00:00 GMT

public Time( int hour, int minute, int second )

Construct a Time Object

Parameters

hour

0 to 23

minute

0 to 59

second

0 to 59

Properties

  int getDate( )

  void setDate( int i )

  int getDay( )

  int getMonth( )

  void setMonth( int i )

  void setTime( long time )

  int getYear( )

  void setYear( int i )

Inherited Properties

  native final java.lang.Class getClass( )

  int getHours( )

  void setHours( int hours )

  int getMinutes( )

  void setMinutes( int minutes )

  int getSeconds( )

  void setSeconds( int seconds )

  int getTimezoneOffset( )

Methods

  java.lang.String toString( )

  static java.sql.Time valueOf( java.lang.String s )

Inherited Methods

  boolean after( java.util.Date when )

  boolean before( java.util.Date when )

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  static long parse( java.lang.String s )

  java.lang.String toGMTString( )

  java.lang.String toLocaleString( )

  static long UTC( int year, int month, int date, int hrs, int min, int sec )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


time property [java.sql.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      time property [java.sql.Date]

Overloads:

  void setTime( long date ) overrides time property [java.util.Date]

public void setTime( long date )

Set a Date using a milliseconds time value

Parameter

date

milliseconds since January 1, 1970, 00:00:00 GMT

Applies to

 Date [java.sql]


time property [java.sql.Time] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      time property [java.sql.Time]

Overloads:

  void setTime( long time ) overrides time property [java.util.Date]

public void setTime( long time )

Set a Time using a milliseconds time value

Parameter

time

milliseconds since January 1, 1970, 00:00:00 GMT

Applies to

 Time [java.sql]


time property [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      time property [java.util.Calendar]

public final java.util.Date getTime( )

Gets this Calendar's current time.

Return

The current time.

public final void setTime( java.util.Date date )

Sets this Calendar's current time with the given Date.

Parameter

date

the given Date.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


time property [java.util.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      time property [java.util.Date]

public long getTime( )

Returns the number of milliseconds since January 1, 1970, 00:00:00 GMT represented by this date.

Return

The number of milliseconds since January 1, 1970, 00:00:00 GMT represented by this date.

public void setTime( long time )

Sets this date to represent the specified number of milliseconds since January 1, 1970, 00:00:00 GMT.

Parameter

time

the number of milliseconds.

Applies to

 Date [java.sql]

 Date [java.util]

 Time [java.sql]

 Timestamp [java.sql]


time property [java.util.zip.ZipEntry] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      time property [java.util.zip.ZipEntry]

public long getTime( )

Returns the modification time of the entry, or -1 if not specified.

Return

No documentation supplied in JDK.

public void setTime( long time )

Sets the modification time of the entry.

Parameter

time

the entry modification time in number of milliseconds since the epoch

Applies to

 ZipEntry [java.util.zip]


timeInMillis property [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      timeInMillis property [java.util.Calendar]

protected long getTimeInMillis( )

Gets this Calendar's current time as a long.

Return

The current time as UTC milliseconds from the epoch.

protected void setTimeInMillis( long millis )

Sets this Calendar's current time from the given long value.

Parameter

date

the new time in UTC milliseconds from the epoch.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


timeInstance property [java.text.DateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      timeInstance property [java.text.DateFormat]

public static final java.text.DateFormat getTimeInstance( )

Gets the time formatter with the default formatting style for the default locale.

Return

A time formatter.

public static final java.text.DateFormat getTimeInstance( int style )

Gets the time formatter with the given formatting style for the default locale.

Parameter

style

the given formatting style. For example, SHORT for "h:mm a" in the US locale.

Return

A time formatter.

Applies to

 DateFormat [java.text]

 SimpleDateFormat [java.text]


Timestamp class [java.sql] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      Timestamp class [java.sql]

Object

Date

Timestamp

Description

This class is a thin wrapper around java.util.Date that allows JDBC to identify this as a SQL TIMESTAMP value. It adds the ability to hold the SQL TIMESTAMP nanos value and provides formatting and parsing operations to support the JDBC escape syntax for timestamp values.

Note: This type is a composite of a java.util.Date and a separate nanos value. Only integral seconds are stored in the java.util.Date component. The fractional seconds - the nanos - are separate. The getTime method will only return integral seconds. If a time value that includes the fractional seconds is desired you must convert nanos to milliseconds (nanos/1000000) and add this to the getTime value. Also note that the hashcode() method uses the underlying java.util.Data implementation and therefore does not include nanos in its computation.

Specification

public class Timestamp extends java.util.Date

Constructors

public Timestamp( long time )

Construct a Timestamp using a milliseconds time value. The integral seconds are stored in the underlying date value; the fractional seconds are stored in the nanos value.

Parameter

time

milliseconds since January 1, 1970, 00:00:00 GMT

public Timestamp( int year, int month, int date, int hour, int minute, int second, int nano )

Construct a Timestamp Object

Parameters

year

year-1900

month

0 to 11

day

1 to 31

hour

0 to 23

minute

0 to 59

second

0 to 59

nano

0 to 999,999,999

Properties

  int getNanos( )

  void setNanos( int n )

Inherited Properties

  native final java.lang.Class getClass( )

  int getDate( )

  void setDate( int date )

  int getDay( )

  int getHours( )

  void setHours( int hours )

  int getMinutes( )

  void setMinutes( int minutes )

  int getMonth( )

  void setMonth( int month )

  int getSeconds( )

  void setSeconds( int seconds )

  long getTime( )

  void setTime( long time )

  int getTimezoneOffset( )

  int getYear( )

  void setYear( int year )

Methods

  boolean after( java.sql.Timestamp ts )

  boolean before( java.sql.Timestamp ts )

  boolean equals( java.sql.Timestamp ts )

  java.lang.String toString( )

  static java.sql.Timestamp valueOf( java.lang.String s )

Inherited Methods

  boolean after( java.util.Date when )

  boolean before( java.util.Date when )

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  static long parse( java.lang.String s )

  java.lang.String toGMTString( )

  java.lang.String toLocaleString( )

  static long UTC( int year, int month, int date, int hrs, int min, int sec )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


TimeZone class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      TimeZone class [java.util]

Object

TimeZone

Description

TimeZone represents a time zone offset, and also figures out daylight savings.

Typically, you get a TimeZone using getDefault which creates a TimeZone based on the time zone where the program is running. For example, for a program running in Japan, getDefault creates a TimeZone object based on Japanese Standard Time.

You can also get a TimeZone using getTimeZone along with a time zone ID. For instance, the time zone ID for the Pacific Standard Time zone is "PST". So, you can get a PST TimeZone object with:

TimeZone tz = TimeZone.getTimeZone("PST");

 You can use getAvailableIDs method to iterate through all the supported time zone IDs. You can then choose a supported ID to get a favorite TimeZone.

Specification

public abstract class TimeZone extends java.lang.Object implements java.io.Serializable, java.lang.Cloneable

Properties

  static synchronized java.lang.String[] getAvailableIDs( )

  static synchronized java.lang.String[] getAvailableIDs( int rawOffset )

  static synchronized java.util.TimeZone getDefault( )

  static synchronized void setDefault( java.util.TimeZone zone )

  java.lang.String getID( )

  void setID( java.lang.String ID )

  abstract int getRawOffset( )

  abstract void setRawOffset( int offsetMillis )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.Object clone( )

  abstract int getOffset( int era, int year, int month, int day, int dayOfWeek, int milliseconds )

  static synchronized java.util.TimeZone getTimeZone( java.lang.String ID )

  abstract boolean inDaylightTime( java.util.Date date )

  abstract boolean useDaylightTime( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable

See also

Calendar class [java.util]

GregorianCalendar class [java.util]

SimpleTimeZone class [java.util]


timeZone property [java.text.DateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      timeZone property [java.text.DateFormat]

public java.util.TimeZone getTimeZone( )

Gets the time zone.

Return

The time zone associated with the calendar of DateFormat.

public void setTimeZone( java.util.TimeZone zone )

Sets the time zone for the calendar of this DateFormat object.

Parameter

zone

the given new time zone.

Applies to

 DateFormat [java.text]

 SimpleDateFormat [java.text]


timeZone property [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      timeZone property [java.util.Calendar]

public java.util.TimeZone getTimeZone( )

Gets the time zone.

Return

The time zone object associated with this calendar.

public void setTimeZone( java.util.TimeZone value )

Sets the time zone with the given time zone value.

Parameter

value

the given time zone.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


timezoneOffset property [java.util.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      timezoneOffset property [java.util.Date]

public int getTimezoneOffset( )

Note: getTimezoneOffset has been deprecated. As of JDK version 1.1, replaced by Calendar.get(Calendar.ZONE_OFFSET) + Calendar.get(Calendar.DST_OFFSET).

Returns the local time-zone offset. The time-zone offset is the number of minutes that must be added to GMT to give the local time zone. This value includes the correction, if necessary, for daylight saving time.

Return

The time-zone offset, in minutes, for the current locale.

See also

Calendar class [java.util]

TimeZone class [java.util]

Applies to

 Date [java.sql]

 Date [java.util]

 Time [java.sql]

 Timestamp [java.sql]


title property [java.awt.Dialog] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      title property [java.awt.Dialog]

public java.lang.String getTitle( )

Gets the title of the dialog.

Return

The title of this dialog window.

public synchronized void setTitle( java.lang.String title )

Sets the title of the Dialog.

Parameter

title

the new title being given to the dialog

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]


title property [java.awt.Frame] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      title property [java.awt.Frame]

public java.lang.String getTitle( )

Gets the title of the frame.

Return

The title of this frame, or null if this frame doesn't have a title.

public synchronized void setTitle( java.lang.String title )

Sets the title for this frame to the specified title.

Parameter

title

the specified title of this frame.

Applies to

 Frame [java.awt]


toBack method [java.awt.Window] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toBack method [java.awt.Window]

public void toBack( )

Sends this window to the back. Places this window at the bottom of the stacking order and makes the corresponding adjustment to other visible windows.

See also

toFront method [java.awt.Window]

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Window [java.awt]


toBigInteger method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toBigInteger method [java.math.BigDecimal]

public java.math.BigInteger toBigInteger( )

Converts this number to a BigInteger.  Standard narrowing primitive conversion as per The Java Language Specification.  In particular, note that any fractional part of this number will be truncated.

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


toBinaryString method [java.lang.Integer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toBinaryString method [java.lang.Integer]

public static java.lang.String toBinaryString( int i )

Creates a string representation of the integer argument as an unsigned integer in base 2.

The unsigned integer value is the argument plus 232if the argument is negative; otherwise it is equal to the argument. This value is converted to a string of ASCII digits in binary (base 2) with no extra leading 0s.

Parameter

i

an integer.

Return

The string representation of the unsigned integer value represented by the argument in binary (base 2).

Applies to

 Integer [java.lang]


toBinaryString method [java.lang.Long] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toBinaryString method [java.lang.Long]

public static java.lang.String toBinaryString( long i )

Creates a string representation of the long argument as an unsigned integer in base 2.

The unsigned long value is the argument plus 264 if the argument is negative; otherwise, it is equal to the argument. This value is converted to a string of ASCII digits in binary (base 2) with no extra leading 0s.

Parameter

i

a long.

Return

The string representation of the unsigned long value represented by the argument in binary (base 2).

Applies to

 Long [java.lang]


toByteArray method [java.io.ByteArrayOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toByteArray method [java.io.ByteArrayOutputStream]

public synchronized byte[] toByteArray( )

Creates a newly allocated byte array. Its size is the current size of this output stream and the valid contents of the buffer have been copied into it.

Return

The current contents of this output stream, as a byte array.

See also

size method [java.io.ByteArrayOutputStream]

Applies to

 ByteArrayOutputStream [java.io]


toByteArray method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toByteArray method [java.math.BigInteger]

public byte[] toByteArray( )

Returns the two's-complement representation of this number.  The array is big-endian (i.e., the most significant byte is in the [0] position). The array contains the minimum number of bytes required to represent the number (ceil((this.bitLength() + 1)/8)).  (This representation is compatible with the (byte[]) constructor.)

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


toByteArray method [java.text.CollationKey] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toByteArray method [java.text.CollationKey]

public byte[] toByteArray( )

Converts the CollationKey to a sequence of bits. If two CollationKeys could be legitimately compared, then one could compare the byte arrays for each of those keys to obtain the same result.  Byte arrays are organized most significant byte first.

Return

No documentation supplied in JDK.

Applies to

 CollationKey [java.text]


toCharArray method [java.io.CharArrayWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toCharArray method [java.io.CharArrayWriter]

public char[] toCharArray( )

Returns a copy of the input data.

Return

No documentation supplied in JDK.

Applies to

 CharArrayWriter [java.io]


toCharArray method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toCharArray method [java.lang.String]

public char[] toCharArray( )

Converts this string to a new character array.

Return

A newly allocated character array whose length is the length of this string and whose contents are initialized to contain the character sequence represented by this string.

Applies to

 String [java.lang]


toExternalForm method [java.net.URL] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toExternalForm method [java.net.URL]

public java.lang.String toExternalForm( )

Constructs a string representation of this URL. The string is created by calling the toExternalForm method of the stream protocol handler for this object.

Return

A string representation of this object.

See also

toExternalForm method [java.net.URLStreamHandler]

Applies to

 URL [java.net]


toExternalForm method [java.net.URLStreamHandler] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toExternalForm method [java.net.URLStreamHandler]

protected java.lang.String toExternalForm( java.net.URL u )

Converts a URL of a specific protocol to a String.

Parameter

u

the URL.

Return

A string representation of the URL argument.

Applies to

 URLStreamHandler [java.net]


toFront method [java.awt.Window] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toFront method [java.awt.Window]

public void toFront( )

Brings this window to the front. Places this window at the top of the stacking order and shows it in front of any other windows.

See also

toBack method [java.awt.Window]

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Window [java.awt]


toGMTString method [java.util.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toGMTString method [java.util.Date]

public java.lang.String toGMTString( )

Note: toGMTString has been deprecated. As of JDK version 1.1, replaced by DateFormat.format(Date date), using a GMT TimeZone.

Creates a string representation of this date. The result is of the form:

"12 Aug 1995 02:30:00 GMT"

in which the day of the month is always one or two digits. The other fields have exactly the width shown. The time zone is always given as "GMT".

Return

A string representation of this date, using the Internet GMT conventions.

See also

DateFormat class [java.text]

Applies to

 Date [java.sql]

 Date [java.util]

 Time [java.sql]

 Timestamp [java.sql]


toHexString method [java.lang.Integer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toHexString method [java.lang.Integer]

public static java.lang.String toHexString( int i )

Creates a string representation of the integer argument as an unsigned integer in base 16.

The unsigned integer value is the argument plus 232 if the argument is negative; otherwise, it is equal to the argument. This value is converted to a string of ASCII digits in hexadecimal (base 16) with no extra leading 0s.

Parameter

i

an integer.

Return

The string representation of the unsigned integer value represented by the argument in hexadecimal (base 16).

Applies to

 Integer [java.lang]


toHexString method [java.lang.Long] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toHexString method [java.lang.Long]

public static java.lang.String toHexString( long i )

Creates a string representation of the long argument as an unsigned integer in base 16.

The unsigned long value is the argument plus 264 if the argument is negative; otherwise, it is equal to the argument. This value is converted to a string of ASCII digits in hexadecimal (base 16) with no extra leading 0s.

Parameter

i

a long.

Return

The string representation of the unsigned long value represented by the argument in hexadecimal (base 16).

Applies to

 Long [java.lang]


toLocaleString method [java.util.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toLocaleString method [java.util.Date]

public java.lang.String toLocaleString( )

Note: toLocaleString has been deprecated. As of JDK version 1.1, replaced by DateFormat.format(Date date).

Creates a string representation of this date in an implementation-dependent form. The intent is that the form should be familiar to the user of the Java application, wherever it may happen to be running. The intent is comparable to that of the "%c" format supported by the strftime() function of ISO C.

Return

A string representation of this date, using the locale conventions.

See also

DateFormat class [java.text]

Applies to

 Date [java.sql]

 Date [java.util]

 Time [java.sql]

 Timestamp [java.sql]


toLocalizedPattern method [java.text.DecimalFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toLocalizedPattern method [java.text.DecimalFormat]

public java.lang.String toLocalizedPattern( )

Synthesizes a localized pattern string that represents the current state of this Format object.

Return

No documentation supplied in JDK.

See also

applyPattern method [java.text.DecimalFormat]

Applies to

 DecimalFormat [java.text]


toLocalizedPattern method [java.text.SimpleDateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toLocalizedPattern method [java.text.SimpleDateFormat]

public java.lang.String toLocalizedPattern( )

Return a localized pattern string describing this date format.

Return

No documentation supplied in JDK.

Applies to

 SimpleDateFormat [java.text]


toLowerCase method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toLowerCase method [java.lang.Character]

public static char toLowerCase( char ch )

The given character is mapped to its lowercase equivalent; if the character has no lowercase equivalent, the character itself is returned.

A character has a lowercase equivalent if and only if a lowercase mapping is specified for the character in the Unicode attribute table.

Note that some Unicode characters in the range '\u2000' to '\u2FFF' have lowercase mappings; this method does map such characters to their lowercase equivalents even though the method isUpperCase does not return true for such characters.

Parameter

ch

the character to be converted.

Return

The lowercase equivalent of the character, if any; otherwise the character itself.

See also

isLowerCase method [java.lang.Character]

isUpperCase method [java.lang.Character]

toTitleCase method [java.lang.Character]

toUpperCase method [java.lang.Character]

Applies to

 Character [java.lang]


toLowerCase method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toLowerCase method [java.lang.String]

Overloads:

 String toLowerCase( )

 String toLowerCase( Locale locale )

public java.lang.String toLowerCase( )

Converts this String to lowercase.

If no character in the string has a different lowercase version, based on calling the toLowerCase method defined by Character, then the original string is returned.

Otherwise, a new string is allocated, whose length is identical to this string, and such that each character that has a different lowercase version is mapped to this lowercase equivalent.

Return

The string, converted to lowercase.

See also

toLowerCase method [java.lang.Character]

toUpperCase method [java.lang.String]

public java.lang.String toLowerCase( java.util.Locale locale )

Converts all of the characters in this String to lower case using the rules of the given locale.

Parameter

locale

use the case transformation rules for this locale

Return

The String, converted to lowercase.

See also

toLowerCase method [java.lang.Character]

toUpperCase method [java.lang.String]

Applies to

 String [java.lang]


toOctalString method [java.lang.Integer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toOctalString method [java.lang.Integer]

public static java.lang.String toOctalString( int i )

Creates a string representation of the integer argument as an unsigned integer in base 8.

The unsigned integer value is the argument plus 232 if the argument is negative; otherwise, it is equal to the argument. This value is converted to a string of ASCII digits in octal (base 8) with no extra leading 0s.

Parameter

i

an integer

Return

The string representation of the unsigned integer value represented by the argument in octal (base&mnsp;8).

Applies to

 Integer [java.lang]


toOctalString method [java.lang.Long] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toOctalString method [java.lang.Long]

public static java.lang.String toOctalString( long i )

Creates a string representation of the long argument as an unsigned integer in base 8.

The unsigned long value is the argument plus 264 if the argument is negative; otherwise, it is equal to the argument. This value is converted to a string of ASCII digits in octal (base 8) with no extra leading 0s.

Parameter

i

a long.

Return

The string representation of the unsigned long value represented by the argument in octal (base 8).

Applies to

 Long [java.lang]


Toolkit class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      Toolkit class [java.awt]

Object

Toolkit

Description

This class is the abstract superclass of all actual implementations of the Abstract Window Toolkit. Subclasses of Toolkit are used to bind the various components to particular native toolkit implementations.

Most applications should not call any of the methods in this class directly. The methods defined by Toolkit are the "glue" that joins the platform-independent classes in the java.awt package with their counterparts in java.awt.peer. Some methods defined by Toolkit query the native operating system directly.

Specification

public abstract class Toolkit extends java.lang.Object

Properties

  abstract java.awt.image.ColorModel getColorModel( )

  static java.awt.Toolkit getDefaultToolkit( )

  abstract java.lang.String[] getFontList( )

  int getMenuShortcutKeyMask( )

  abstract int getScreenResolution( )

  abstract java.awt.Dimension getScreenSize( )

  abstract java.awt.datatransfer.Clipboard getSystemClipboard( )

  final java.awt.EventQueue getSystemEventQueue( )

Inherited Properties

  native final java.lang.Class getClass( )

Protected Properties

 protected abstract java.awt.EventQueue getSystemEventQueueImpl( )

Methods

  abstract void beep( )

  abstract int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  abstract java.awt.Image createImage( byte[] imagedata, int imageoffset, int imagelength )

  java.awt.Image createImage( byte[] imagedata )

  abstract java.awt.Image createImage( java.awt.image.ImageProducer producer )

  abstract java.awt.FontMetrics getFontMetrics( java.awt.Font font )

  abstract java.awt.Image getImage( java.lang.String filename )

  abstract java.awt.Image getImage( java.net.URL url )

  abstract java.awt.PrintJob getPrintJob( java.awt.Frame frame, java.lang.String jobtitle, java.util.Properties props )

  static java.lang.String getProperty( java.lang.String key, java.lang.String defaultValue )

  abstract boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  abstract void sync( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected abstract java.awt.peer.ButtonPeer createButton( java.awt.Button target )

 protected abstract java.awt.peer.CanvasPeer createCanvas( java.awt.Canvas target )

 protected abstract java.awt.peer.CheckboxPeer createCheckbox( java.awt.Checkbox target )

 protected abstract java.awt.peer.CheckboxMenuItemPeer createCheckboxMenuItem( java.awt.CheckboxMenuItem target )

 protected abstract java.awt.peer.ChoicePeer createChoice( java.awt.Choice target )

 protected java.awt.peer.LightweightPeer createComponent( java.awt.Component target )

 protected abstract java.awt.peer.DialogPeer createDialog( java.awt.Dialog target )

 protected abstract java.awt.peer.FileDialogPeer createFileDialog( java.awt.FileDialog target )

 protected abstract java.awt.peer.FramePeer createFrame( java.awt.Frame target )

 protected abstract java.awt.peer.LabelPeer createLabel( java.awt.Label target )

 protected abstract java.awt.peer.ListPeer createList( java.awt.List target )

 protected abstract java.awt.peer.MenuPeer createMenu( java.awt.Menu target )

 protected abstract java.awt.peer.MenuBarPeer createMenuBar( java.awt.MenuBar target )

 protected abstract java.awt.peer.MenuItemPeer createMenuItem( java.awt.MenuItem target )

 protected abstract java.awt.peer.PanelPeer createPanel( java.awt.Panel target )

 protected abstract java.awt.peer.PopupMenuPeer createPopupMenu( java.awt.PopupMenu target )

 protected abstract java.awt.peer.ScrollbarPeer createScrollbar( java.awt.Scrollbar target )

 protected abstract java.awt.peer.ScrollPanePeer createScrollPane( java.awt.ScrollPane target )

 protected abstract java.awt.peer.TextAreaPeer createTextArea( java.awt.TextArea target )

 protected abstract java.awt.peer.TextFieldPeer createTextField( java.awt.TextField target )

 protected abstract java.awt.peer.WindowPeer createWindow( java.awt.Window target )

 protected abstract java.awt.peer.FontPeer getFontPeer( java.lang.String name, int style )

 protected static java.awt.Container getNativeContainer( java.awt.Component c )

 protected void loadSystemColors( int[] systemColors )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


toolkit property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toolkit property [java.awt.Component]

public java.awt.Toolkit getToolkit( )

Gets the toolkit of this component. Note that the frame that contains a component controls which toolkit is used by that component. Therefore if the component is moved from one frame to another, the toolkit it uses may change.

Return

The toolkit of this component.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


toolkit property [java.awt.Window] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toolkit property [java.awt.Window]

Overloads:

  Toolkit getToolkit( ) overrides toolkit property [java.awt.Component]

public java.awt.Toolkit getToolkit( )

Returns the toolkit of this frame.

Return

The toolkit of this window.

See also

Toolkit class [java.awt]

defaultToolkit property [java.awt.Toolkit]

toolkit property [java.awt.Component]

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Window [java.awt]


TooManyListenersException class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      TooManyListenersException class [java.util]

Object

Throwable

Exception

TooManyListenersException

Description

The TooManyListenersException  Exception is used as part of the Java Event model to annotate and implement a unicast special case of a multicast Event Source.

The presence of a throws TooManyListenersException  clause on any given concrete implementation of the normally multicast semantic void add < EventListenerType > ()  event listener registration pattern is used to annotate that interface as implementing a unicast Listener special case, that is, that one and only one Listener may be registered on the particular event listener source concurrently.

Specification

public class TooManyListenersException extends java.lang.Exception

Constructors

public TooManyListenersException( )

Constructs a TooManyListenersException with no detail message. A detail message is a String that describes this particular exception.

public TooManyListenersException( java.lang.String s )

Constructs a TooManyListenersException with the specified detail message. A detail message is a String that describes this particular exception.

Parameter

s

the detail message

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

EventObject class [java.util]

EventListener interface [java.util]


toPattern method [java.text.ChoiceFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toPattern method [java.text.ChoiceFormat]

public java.lang.String toPattern( )

Gets the pattern.

Return

No documentation supplied in JDK.

Applies to

 ChoiceFormat [java.text]


toPattern method [java.text.DecimalFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toPattern method [java.text.DecimalFormat]

public java.lang.String toPattern( )

Synthesizes a pattern string that represents the current state of this Format object.

Return

No documentation supplied in JDK.

See also

applyPattern method [java.text.DecimalFormat]

Applies to

 DecimalFormat [java.text]


toPattern method [java.text.MessageFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toPattern method [java.text.MessageFormat]

public java.lang.String toPattern( )

Gets the pattern. See the class description.

Return

No documentation supplied in JDK.

Applies to

 MessageFormat [java.text]


toPattern method [java.text.SimpleDateFormat] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toPattern method [java.text.SimpleDateFormat]

public java.lang.String toPattern( )

Return a pattern string describing this date format.

Return

No documentation supplied in JDK.

Applies to

 SimpleDateFormat [java.text]


toString method [java.awt.AWTEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.awt.AWTEvent]

Overloads:

 String toString( ) overrides toString method [java.util.EventObject]

public java.lang.String toString( )

Applies to

 ActionEvent [java.awt.event]

 AdjustmentEvent [java.awt.event]

 AWTEvent [java.awt]

 ComponentEvent [java.awt.event]

 ContainerEvent [java.awt.event]

 FocusEvent [java.awt.event]

 InputEvent [java.awt.event]

 ItemEvent [java.awt.event]

 KeyEvent [java.awt.event]

 MouseEvent [java.awt.event]

 PaintEvent [java.awt.event]

 TextEvent [java.awt.event]

 WindowEvent [java.awt.event]


toString method [java.awt.BorderLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.awt.BorderLayout]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a string representation of the state of this border layout.

Return

A string representation of this border layout.

Applies to

 BorderLayout [java.awt]


toString method [java.awt.CardLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.awt.CardLayout]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a string representation of the state of this card layout.

Return

A string representation of this card layout.

Applies to

 CardLayout [java.awt]


toString method [java.awt.CheckboxGroup] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.awt.CheckboxGroup]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a string representation of this check box group, including the value of its current selection.

Return

A string representation of this check box group.

Applies to

 CheckboxGroup [java.awt]


toString method [java.awt.Color] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.awt.Color]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Creates a string that represents this color and indicates the values of its RGB components.

Return

A representation of this color as a String object.

Applies to

 Color [java.awt]

 SystemColor [java.awt]


toString method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.awt.Component]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a string representation of this component and its values.

Return

A string representation of this component.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


toString method [java.awt.Dimension] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.awt.Dimension]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a string that represents this Dimension object's values.

Return

A string representation of this dimension, including the values of width and height.

Applies to

 Dimension [java.awt]


toString method [java.awt.Event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.awt.Event]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a representation of this event's values as a string.

Return

A string that represents the event and the values of its member fields.

See also

paramString method [java.awt.Event]

Applies to

 Event [java.awt]


toString method [java.awt.FlowLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.awt.FlowLayout]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a string representation of this FlowLayout object and its values.

Return

A string representation of this layout.

Applies to

 FlowLayout [java.awt]


toString method [java.awt.Font] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.awt.Font]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Converts this object to a String representation.

Return

A string representation of this object.

Applies to

 Font [java.awt]


toString method [java.awt.FontMetrics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.awt.FontMetrics]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a representation of this FontMetric object's values as a string.

Return

A string representation of this font metric.

Applies to

 FontMetrics [java.awt]


toString method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.awt.Graphics]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a String object representing this Graphics object's value.

Return

A string representation of this graphics context.

Applies to

 Graphics [java.awt]


toString method [java.awt.GridBagLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.awt.GridBagLayout]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a string representation of this grid bag layout's values.

Return

A string representation of this grid bag layout.

Applies to

 GridBagLayout [java.awt]


toString method [java.awt.GridLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.awt.GridLayout]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns the string representation of this grid layout's values.

Return

A string representation of this grid layout.

Applies to

 GridLayout [java.awt]


toString method [java.awt.Insets] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.awt.Insets]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a String object representing this Insets object's values.

Return

A string representation of this Insets object, including the values of its member fields.

Applies to

 Insets [java.awt]


toString method [java.awt.MenuComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.awt.MenuComponent]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a representation of this menu component as a string.

Return

A string representation of this menu component.

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuBar [java.awt]

 MenuComponent [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


toString method [java.awt.MenuShortcut] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.awt.MenuShortcut]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns an internationalized description of the MenuShortcut.

Return

No documentation supplied in JDK.

Applies to

 MenuShortcut [java.awt]


toString method [java.awt.Point] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.awt.Point]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a representation of this point and its location in the (x , y ) coordinate space as a string.

Return

A string representation of this point, including the values of its member fields.

Applies to

 Point [java.awt]


toString method [java.awt.Rectangle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.awt.Rectangle]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a string representation of this rectangle and its values.

Return

A string representation of this rectangle.

Applies to

 Rectangle [java.awt]


toString method [java.awt.SystemColor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.awt.SystemColor]

Overloads:

 String toString( ) overrides toString method [java.awt.Color]

public java.lang.String toString( )

Returns the String representation of this Color's values.

Return

No documentation supplied in JDK.

Applies to

 SystemColor [java.awt]


toString method [java.io.ByteArrayOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.io.ByteArrayOutputStream]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

 String toString( int hibyte )

 String toString( String enc )

public java.lang.String toString( )

Converts the buffer's contents into a string, translating bytes into characters according to the platform's default character encoding.

Return

No documentation supplied in JDK.

public java.lang.String toString( int hibyte )

Note: toString has been deprecated. This method does not properly convert bytes into characters. As of JDK 1.1, the preferred way to do this is via the toString(String enc) method, which takes an encoding-name argument, or the toString() method, which uses the platform's default character encoding.

Creates a newly allocated string. Its size is the current size of the output stream and the valid contents of the buffer have been copied into it. Each character c in the resulting string is constructed from the corresponding element b in the byte array such that:

c == (char)(((hibyte & 0xff) << 8) | (b & 0xff))

Parameter

hibyte

the high byte of each resulting Unicode character.

Return

The current contents of the output stream, as a string.

See also

size method [java.io.ByteArrayOutputStream]

public java.lang.String toString( java.lang.String enc ) throws java.io.UnsupportedEncodingException

Converts the buffer's contents into a string, translating bytes into characters according to the specified character encoding.

Parameter

enc

a character-encoding name.

Return

No documentation supplied in JDK.

Applies to

 ByteArrayOutputStream [java.io]


toString method [java.io.CharArrayWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.io.CharArrayWriter]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Converts input data to a string.

Return

The string.

Applies to

 CharArrayWriter [java.io]


toString method [java.io.File] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.io.File]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a string representation of this object.

Return

A string giving the pathname of this object.

See also

path property [java.io.File]

Applies to

 File [java.io]


toString method [java.io.ObjectStreamClass] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.io.ObjectStreamClass]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Return a string describing this ObjectStreamClass.

Return

No documentation supplied in JDK.

Applies to

 ObjectStreamClass [java.io]


toString method [java.io.StreamTokenizer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.io.StreamTokenizer]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns the string representation of the current stream token.

Return

A string representation of the token specified by the ttype, nval, and sval fields.

Applies to

 StreamTokenizer [java.io]


toString method [java.io.StringWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.io.StringWriter]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Return the buffer's current value as a string.

Return

No documentation supplied in JDK.

Applies to

 StringWriter [java.io]


toString method [java.lang.Boolean] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.lang.Boolean]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a String object representing this Boolean's value. If this object contains the value true, a string equal to "true" is returned. Otherwise, a string equal to "false" is returned.

Return

A string representation of this object.

Applies to

 Boolean [java.lang]


toString method [java.lang.Byte] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.lang.Byte]

Overloads:

 String toString( byte b )

 String toString( ) overrides toString method [java.lang.Object]

public static java.lang.String toString( byte b )

Returns a new String object representing the specified Byte. The radix is assumed to be 10.

Parameter

b

the byte to be converted

Return

No documentation supplied in JDK.

public java.lang.String toString( )

Returns a String object representing this Byte's value.

Return

No documentation supplied in JDK.

Applies to

 Byte [java.lang]


toString method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.lang.Character]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a String object representing this character's value. Converts this Character object to a string. The result is a string whose length is 1. The string's sole component is the primitive char value represented by this object.

Return

A string representation of this object.

Applies to

 Character [java.lang]


toString method [java.lang.Class] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.lang.Class]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Converts the object to a string. The string representation is the string "class" or "interface" followed by a space and then the fully qualified name of the class. If this Class object represents a primitive type, returns the name of the primitive type.

Return

A string representation of this class object.

Applies to

 Class [java.lang]


toString method [java.lang.Double] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.lang.Double]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

 String toString( double d )

public java.lang.String toString( )

Returns a String representation of this Double object. The primitive double value represented by this object is converted to a string exactly as if by the method toString of one argument.

Return

A String representation of this object.

public static java.lang.String toString( double d )

Creates a string representation of the double argument.

The values NaN, NEGATIVE_INFINITY, POSITIVE_INFINITY, -0.0, and +0.0 are represented by the strings "NaN", "-Infinity", "Infinity", "-0.0", and "0.0", respectively.

If d is in the range 10-3 <= |d| <=107, then it is converted to a string in the style [-]ddd.ddd. Otherwise, it is converted to a string in the style [-]m.ddddE±xx.

There is always a minimum of one digit after the decimal point. The number of digits is the minimum needed to uniquely distinguish the argument value from adjacent values of type double.

Parameter

d

the double to be converted.

Return

A string representation of the argument.

Applies to

 Double [java.lang]


toString method [java.lang.Float] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.lang.Float]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

 String toString( float f )

public java.lang.String toString( )

Returns a String representation of this Float object. The primitive float value represented by this object is converted to a String exactly as if by the method toString of one argument.

Return

A String representation of this object.

public static java.lang.String toString( float f )

Returns a String representation for the specified float value.

The values NaN, NEGATIVE_INFINITY, POSITIVE_INFINITY, -0.0, and +0.0 are represented by the strings "NaN", "-Infinity", "Infinity","-0.0", and "0.0", respectively.

If d is in the range 10-3 <= |d| <= 107, then it is converted to a String in the style [-]ddd.ddd. Otherwise, it is converted to a string in the style [-]m.ddddE±xx.

There is always a minimum of 1 digit after the decimal point. The number of digits is the minimum needed to uniquely distinguish the argument value from adjacent values of type float.

Parameter

d

the float to be converted.

Return

A string representation of the argument.

Applies to

 Float [java.lang]


toString method [java.lang.Integer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.lang.Integer]

Overloads:

 String toString( int i )

 String toString( int i, int radix )

 String toString( ) overrides toString method [java.lang.Object]

public static java.lang.String toString( int i )

Returns a new String object representing the specified integer. The radix is assumed to be 10.

Parameter

i

an integer to be converted.

Return

A string representation of the argument in base 10.

public static java.lang.String toString( int i, int radix )

Creates a string representation of the first argument in the radix specified by the second argument.

If the radix is smaller than Character.MIN_RADIX or larger than Character.MAX_RADIX, then the radix 10 is used instead.

If the first argument is negative, the first element of the result is the ASCII minus character '-'. If the first argument is not negative, no sign character appears in the result. The following ASCII characters are used as digits:

0123456789abcdefghijklmnopqrstuvwxyz

Parameters

i

an integer.

radix

the radix.

Return

A string representation of the argument in the specified radix.

public java.lang.String toString( )

Returns a String object representing this Integer's value.

Return

A string representation of the value of this object in base 10.

Applies to

 Integer [java.lang]


toString method [java.lang.Long] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.lang.Long]

Overloads:

 String toString( long i, int radix )

 String toString( long i )

 String toString( ) overrides toString method [java.lang.Object]

public static java.lang.String toString( long i, int radix )

Creates a string representation of the first argument in the radix specified by the second argument.

If the radix is smaller than Character.MIN_RADIX or larger than Character.MAX_RADIX, then the radix 10 is used instead.

If the first argument is negative, the first element of the result is the ASCII minus sign '-'. If the first argument is not negative, no sign character appears in the result. The following ASCII characters are used as digits:

0123456789abcdefghijklmnopqrstuvwxyz

Parameters

i

a long.

radix

the radix.

Return

A string representation of the argument in the specified radix.

public static java.lang.String toString( long i )

Returns a new String object representing the specified integer. The radix is assumed to be 10.

Parameter

i

a long to be converted.

Return

A string representation of the argument in base 10.

public java.lang.String toString( )

Returns a String object representing this Long's value.

Return

A string representation of this object in base 10.

Applies to

 Long [java.lang]


toString method [java.lang.Object] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.lang.Object]

public java.lang.String toString( )

Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommendedthat all subclasses override this method.

The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object.

Return

A string representation of the object.

Applies to

 AbstractMethodError [java.lang]

 AccessException [java.rmi]

 AclNotFoundException [java.security.acl]

 ActionEvent [java.awt.event]

 AdjustmentEvent [java.awt.event]

 Adler32 [java.util.zip]

 AlreadyBoundException [java.rmi]

 Applet [java.applet]

 AreaAveragingScaleFilter [java.awt.image]

 ArithmeticException [java.lang]

 Array [java.lang.reflect]

 ArrayIndexOutOfBoundsException [java.lang]

 ArrayStoreException [java.lang]

 AWTError [java.awt]

 AWTEvent [java.awt]

 AWTEventMulticaster [java.awt]

 AWTException [java.awt]

 BeanDescriptor [java.beans]

 Beans [java.beans]

 BigDecimal [java.math]

 BigInteger [java.math]

 BindException [java.net]

 BitSet [java.util]

 Boolean [java.lang]

 BorderLayout [java.awt]

 BreakIterator [java.text]

 BufferedInputStream [java.io]

 BufferedOutputStream [java.io]

 BufferedReader [java.io]

 BufferedWriter [java.io]

 Button [java.awt]

 Byte [java.lang]

 ByteArrayInputStream [java.io]

 ByteArrayOutputStream [java.io]

 Calendar [java.util]

 Canvas [java.awt]

 CardLayout [java.awt]

 Character [java.lang]

 CharArrayReader [java.io]

 CharArrayWriter [java.io]

 CharConversionException [java.io]

 Checkbox [java.awt]

 CheckboxGroup [java.awt]

 CheckboxMenuItem [java.awt]

 CheckedInputStream [java.util.zip]

 CheckedOutputStream [java.util.zip]

 Choice [java.awt]

 ChoiceFormat [java.text]

 Class [java.lang]

 ClassCastException [java.lang]

 ClassCircularityError [java.lang]

 ClassFormatError [java.lang]

 ClassLoader [java.lang]

 ClassNotFoundException [java.lang]

 Clipboard [java.awt.datatransfer]

 CloneNotSupportedException [java.lang]

 CollationElementIterator [java.text]

 CollationKey [java.text]

 Collator [java.text]

 Color [java.awt]

 ColorModel [java.awt.image]

 Compiler [java.lang]

 Component [java.awt]

 ComponentAdapter [java.awt.event]

 ComponentEvent [java.awt.event]

 ConnectException [java.net]

 ConnectException [java.rmi]

 ConnectIOException [java.rmi]

 Constructor [java.lang.reflect]

 Container [java.awt]

 ContainerAdapter [java.awt.event]

 ContainerEvent [java.awt.event]

 ContentHandler [java.net]

 CRC32 [java.util.zip]

 CropImageFilter [java.awt.image]

 Cursor [java.awt]

 DataFlavor [java.awt.datatransfer]

 DataFormatException [java.util.zip]

 DatagramPacket [java.net]

 DatagramSocket [java.net]

 DatagramSocketImpl [java.net]

 DataInputStream [java.io]

 DataOutputStream [java.io]

 DataTruncation [java.sql]

 Date [java.sql]

 Date [java.util]

 DateFormat [java.text]

 DateFormatSymbols [java.text]

 DateFormatZoneData [java.text.resources]

 DateFormatZoneData_ar [java.text.resources]

 DateFormatZoneData_be [java.text.resources]

 DateFormatZoneData_bg [java.text.resources]

 DateFormatZoneData_ca [java.text.resources]

 DateFormatZoneData_cs [java.text.resources]

 DateFormatZoneData_da [java.text.resources]

 DateFormatZoneData_de [java.text.resources]

 DateFormatZoneData_de_AT [java.text.resources]

 DateFormatZoneData_de_CH [java.text.resources]

 DateFormatZoneData_el [java.text.resources]

 DateFormatZoneData_en [java.text.resources]

 DateFormatZoneData_en_CA [java.text.resources]

 DateFormatZoneData_en_GB [java.text.resources]

 DateFormatZoneData_en_IE [java.text.resources]

 DateFormatZoneData_es [java.text.resources]

 DateFormatZoneData_et [java.text.resources]

 DateFormatZoneData_fi [java.text.resources]

 DateFormatZoneData_fr [java.text.resources]

 DateFormatZoneData_fr_BE [java.text.resources]

 DateFormatZoneData_fr_CA [java.text.resources]

 DateFormatZoneData_fr_CH [java.text.resources]

 DateFormatZoneData_hr [java.text.resources]

 DateFormatZoneData_hu [java.text.resources]

 DateFormatZoneData_is [java.text.resources]

 DateFormatZoneData_it [java.text.resources]

 DateFormatZoneData_it_CH [java.text.resources]

 DateFormatZoneData_iw [java.text.resources]

 DateFormatZoneData_ja [java.text.resources]

 DateFormatZoneData_ko [java.text.resources]

 DateFormatZoneData_lt [java.text.resources]

 DateFormatZoneData_lv [java.text.resources]

 DateFormatZoneData_mk [java.text.resources]

 DateFormatZoneData_nl [java.text.resources]

 DateFormatZoneData_nl_BE [java.text.resources]

 DateFormatZoneData_no [java.text.resources]

 DateFormatZoneData_no_NO_NY [java.text.resources]

 DateFormatZoneData_pl [java.text.resources]

 DateFormatZoneData_pt [java.text.resources]

 DateFormatZoneData_ro [java.text.resources]

 DateFormatZoneData_ru [java.text.resources]

 DateFormatZoneData_sh [java.text.resources]

 DateFormatZoneData_sk [java.text.resources]

 DateFormatZoneData_sl [java.text.resources]

 DateFormatZoneData_sq [java.text.resources]

 DateFormatZoneData_sr [java.text.resources]

 DateFormatZoneData_sv [java.text.resources]

 DateFormatZoneData_th [java.text.resources]

 DateFormatZoneData_tr [java.text.resources]

 DateFormatZoneData_uk [java.text.resources]

 DateFormatZoneData_zh [java.text.resources]

 DateFormatZoneData_zh_TW [java.text.resources]

 DecimalFormat [java.text]

 DecimalFormatSymbols [java.text]

 Deflater [java.util.zip]

 DeflaterOutputStream [java.util.zip]

 Dialog [java.awt]

 Dictionary [java.util]

 DigestException [java.security]

 DigestInputStream [java.security]

 DigestOutputStream [java.security]

 Dimension [java.awt]

 DirectColorModel [java.awt.image]

 Double [java.lang]

 DriverManager [java.sql]

 DriverPropertyInfo [java.sql]

 EmptyStackException [java.util]

 EOFException [java.io]

 Error [java.lang]

 Event [java.awt]

 EventObject [java.util]

 EventQueue [java.awt]

 EventSetDescriptor [java.beans]

 Exception [java.lang]

 ExceptionInInitializerError [java.lang]

 ExportException [java.rmi.server]

 FeatureDescriptor [java.beans]

 Field [java.lang.reflect]

 FieldPosition [java.text]

 File [java.io]

 FileDescriptor [java.io]

 FileDialog [java.awt]

 FileInputStream [java.io]

 FileNotFoundException [java.io]

 FileOutputStream [java.io]

 FileReader [java.io]

 FileWriter [java.io]

 FilteredImageSource [java.awt.image]

 FilterInputStream [java.io]

 FilterOutputStream [java.io]

 FilterReader [java.io]

 FilterWriter [java.io]

 Float [java.lang]

 FlowLayout [java.awt]

 FocusAdapter [java.awt.event]

 FocusEvent [java.awt.event]

 Font [java.awt]

 FontMetrics [java.awt]

 Format [java.text]

 Frame [java.awt]

 Graphics [java.awt]

 GregorianCalendar [java.util]

 GridBagConstraints [java.awt]

 GridBagLayout [java.awt]

 GridLayout [java.awt]

 GZIPInputStream [java.util.zip]

 GZIPOutputStream [java.util.zip]

 Hashtable [java.util]

 HttpURLConnection [java.net]

 Identity [java.security]

 IdentityScope [java.security]

 IllegalAccessError [java.lang]

 IllegalAccessException [java.lang]

 IllegalArgumentException [java.lang]

 IllegalComponentStateException [java.awt]

 IllegalMonitorStateException [java.lang]

 IllegalStateException [java.lang]

 IllegalThreadStateException [java.lang]

 Image [java.awt]

 ImageFilter [java.awt.image]

 IncompatibleClassChangeError [java.lang]

 IndexColorModel [java.awt.image]

 IndexedPropertyDescriptor [java.beans]

 IndexOutOfBoundsException [java.lang]

 InetAddress [java.net]

 Inflater [java.util.zip]

 InflaterInputStream [java.util.zip]

 InputEvent [java.awt.event]

 InputStream [java.io]

 InputStreamReader [java.io]

 Insets [java.awt]

 InstantiationError [java.lang]

 InstantiationException [java.lang]

 Integer [java.lang]

 InternalError [java.lang]

 InterruptedException [java.lang]

 InterruptedIOException [java.io]

 IntrospectionException [java.beans]

 Introspector [java.beans]

 InvalidClassException [java.io]

 InvalidKeyException [java.security]

 InvalidObjectException [java.io]

 InvalidParameterException [java.security]

 InvocationTargetException [java.lang.reflect]

 IOException [java.io]

 ItemEvent [java.awt.event]

 KeyAdapter [java.awt.event]

 KeyEvent [java.awt.event]

 KeyException [java.security]

 KeyManagementException [java.security]

 KeyPair [java.security]

 KeyPairGenerator [java.security]

 Label [java.awt]

 LastOwnerException [java.security.acl]

 Lease [java.rmi.dgc]

 LineNumberInputStream [java.io]

 LineNumberReader [java.io]

 LinkageError [java.lang]

 List [java.awt]

 ListResourceBundle [java.util]

 Locale [java.util]

 LocaleData [java.text.resources]

 LocaleElements [java.text.resources]

 LocaleElements_ar [java.text.resources]

 LocaleElements_be [java.text.resources]

 LocaleElements_bg [java.text.resources]

 LocaleElements_ca [java.text.resources]

 LocaleElements_cs [java.text.resources]

 LocaleElements_da [java.text.resources]

 LocaleElements_de [java.text.resources]

 LocaleElements_de_AT [java.text.resources]

 LocaleElements_de_AT_EURO [java.text.resources]

 LocaleElements_de_CH [java.text.resources]

 LocaleElements_de_DE_EURO [java.text.resources]

 LocaleElements_de_LU [java.text.resources]

 LocaleElements_de_LU_EURO [java.text.resources]

 LocaleElements_el [java.text.resources]

 LocaleElements_en [java.text.resources]

 LocaleElements_en_AU [java.text.resources]

 LocaleElements_en_CA [java.text.resources]

 LocaleElements_en_GB [java.text.resources]

 LocaleElements_en_IE [java.text.resources]

 LocaleElements_en_IE_EURO [java.text.resources]

 LocaleElements_en_NZ [java.text.resources]

 LocaleElements_en_ZA [java.text.resources]

 LocaleElements_es [java.text.resources]

 LocaleElements_es_AR [java.text.resources]

 LocaleElements_es_BO [java.text.resources]

 LocaleElements_es_CL [java.text.resources]

 LocaleElements_es_CO [java.text.resources]

 LocaleElements_es_CR [java.text.resources]

 LocaleElements_es_DO [java.text.resources]

 LocaleElements_es_EC [java.text.resources]

 LocaleElements_es_ES_EURO [java.text.resources]

 LocaleElements_es_GT [java.text.resources]

 LocaleElements_es_HN [java.text.resources]

 LocaleElements_es_MX [java.text.resources]

 LocaleElements_es_NI [java.text.resources]

 LocaleElements_es_PA [java.text.resources]

 LocaleElements_es_PE [java.text.resources]

 LocaleElements_es_PR [java.text.resources]

 LocaleElements_es_PY [java.text.resources]

 LocaleElements_es_SV [java.text.resources]

 LocaleElements_es_UY [java.text.resources]

 LocaleElements_es_VE [java.text.resources]

 LocaleElements_et [java.text.resources]

 LocaleElements_fi [java.text.resources]

 LocaleElements_fi_FI_EURO [java.text.resources]

 LocaleElements_fr [java.text.resources]

 LocaleElements_fr_BE [java.text.resources]

 LocaleElements_fr_BE_EURO [java.text.resources]

 LocaleElements_fr_CA [java.text.resources]

 LocaleElements_fr_CH [java.text.resources]

 LocaleElements_fr_FR_EURO [java.text.resources]

 LocaleElements_fr_LU [java.text.resources]

 LocaleElements_fr_LU_EURO [java.text.resources]

 LocaleElements_hr [java.text.resources]

 LocaleElements_hu [java.text.resources]

 LocaleElements_is [java.text.resources]

 LocaleElements_it [java.text.resources]

 LocaleElements_it_CH [java.text.resources]

 LocaleElements_it_IT_EURO [java.text.resources]

 LocaleElements_iw [java.text.resources]

 LocaleElements_ja [java.text.resources]

 LocaleElements_ko [java.text.resources]

 LocaleElements_lt [java.text.resources]

 LocaleElements_lv [java.text.resources]

 LocaleElements_mk [java.text.resources]

 LocaleElements_nl [java.text.resources]

 LocaleElements_nl_BE [java.text.resources]

 LocaleElements_nl_BE_EURO [java.text.resources]

 LocaleElements_nl_NL_EURO [java.text.resources]

 LocaleElements_no [java.text.resources]

 LocaleElements_no_NO_NY [java.text.resources]

 LocaleElements_pl [java.text.resources]

 LocaleElements_pt [java.text.resources]

 LocaleElements_pt_BR [java.text.resources]

 LocaleElements_pt_PT_EURO [java.text.resources]

 LocaleElements_ro [java.text.resources]

 LocaleElements_ru [java.text.resources]

 LocaleElements_sh [java.text.resources]

 LocaleElements_sk [java.text.resources]

 LocaleElements_sl [java.text.resources]

 LocaleElements_sq [java.text.resources]

 LocaleElements_sr [java.text.resources]

 LocaleElements_sv [java.text.resources]

 LocaleElements_th [java.text.resources]

 LocaleElements_tr [java.text.resources]

 LocaleElements_uk [java.text.resources]

 LocaleElements_zh [java.text.resources]

 LocaleElements_zh_TW [java.text.resources]

 LocateRegistry [java.rmi.registry]

 LogStream [java.rmi.server]

 Long [java.lang]

 MalformedURLException [java.net]

 MarshalException [java.rmi]

 Math [java.lang]

 MediaTracker [java.awt]

 MemoryImageSource [java.awt.image]

 Menu [java.awt]

 MenuBar [java.awt]

 MenuComponent [java.awt]

 MenuItem [java.awt]

 MenuShortcut [java.awt]

 MessageDigest [java.security]

 MessageFormat [java.text]

 Method [java.lang.reflect]

 MethodDescriptor [java.beans]

 MissingResourceException [java.util]

 Modifier [java.lang.reflect]

 MouseAdapter [java.awt.event]

 MouseEvent [java.awt.event]

 MouseMotionAdapter [java.awt.event]

 MulticastSocket [java.net]

 Naming [java.rmi]

 NegativeArraySizeException [java.lang]

 NoClassDefFoundError [java.lang]

 NoRouteToHostException [java.net]

 NoSuchAlgorithmException [java.security]

 NoSuchElementException [java.util]

 NoSuchFieldError [java.lang]

 NoSuchFieldException [java.lang]

 NoSuchMethodError [java.lang]

 NoSuchMethodException [java.lang]

 NoSuchObjectException [java.rmi]

 NoSuchProviderException [java.security]

 NotActiveException [java.io]

 NotBoundException [java.rmi]

 NotOwnerException [java.security.acl]

 NotSerializableException [java.io]

 NullPointerException [java.lang]

 Number [java.lang]

 NumberFormat [java.text]

 NumberFormatException [java.lang]

 Object [java.lang]

 ObjectInputStream [java.io]

 ObjectOutputStream [java.io]

 ObjectStreamClass [java.io]

 ObjectStreamException [java.io]

 ObjID [java.rmi.server]

 Observable [java.util]

 Operation [java.rmi.server]

 OptionalDataException [java.io]

 OutOfMemoryError [java.lang]

 OutputStream [java.io]

 OutputStreamWriter [java.io]

 PaintEvent [java.awt.event]

 Panel [java.awt]

 ParameterDescriptor [java.beans]

 ParseException [java.text]

 ParsePosition [java.text]

 PipedInputStream [java.io]

 PipedOutputStream [java.io]

 PipedReader [java.io]

 PipedWriter [java.io]

 PixelGrabber [java.awt.image]

 Point [java.awt]

 Polygon [java.awt]

 PopupMenu [java.awt]

 PrintJob [java.awt]

 PrintStream [java.io]

 PrintWriter [java.io]

 Process [java.lang]

 Properties [java.util]

 PropertyChangeEvent [java.beans]

 PropertyChangeSupport [java.beans]

 PropertyDescriptor [java.beans]

 PropertyEditorManager [java.beans]

 PropertyEditorSupport [java.beans]

 PropertyResourceBundle [java.util]

 PropertyVetoException [java.beans]

 ProtocolException [java.net]

 Provider [java.security]

 ProviderException [java.security]

 PushbackInputStream [java.io]

 PushbackReader [java.io]

 Random [java.util]

 RandomAccessFile [java.io]

 Reader [java.io]

 Rectangle [java.awt]

 RemoteException [java.rmi]

 RemoteObject [java.rmi.server]

 RemoteServer [java.rmi.server]

 RemoteStub [java.rmi.server]

 ReplicateScaleFilter [java.awt.image]

 ResourceBundle [java.util]

 RGBImageFilter [java.awt.image]

 RMIClassLoader [java.rmi.server]

 RMISecurityException [java.rmi]

 RMISecurityManager [java.rmi]

 RMISocketFactory [java.rmi.server]

 RuleBasedCollator [java.text]

 Runtime [java.lang]

 RuntimeException [java.lang]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 SecureRandom [java.security]

 Security [java.security]

 SecurityException [java.lang]

 SecurityManager [java.lang]

 SequenceInputStream [java.io]

 ServerCloneException [java.rmi.server]

 ServerError [java.rmi]

 ServerException [java.rmi]

 ServerNotActiveException [java.rmi.server]

 ServerRuntimeException [java.rmi]

 ServerSocket [java.net]

 Short [java.lang]

 Signature [java.security]

 SignatureException [java.security]

 Signer [java.security]

 SimpleBeanInfo [java.beans]

 SimpleDateFormat [java.text]

 SimpleTimeZone [java.util]

 SkeletonMismatchException [java.rmi.server]

 SkeletonNotFoundException [java.rmi.server]

 Socket [java.net]

 SocketException [java.net]

 SocketImpl [java.net]

 SocketSecurityException [java.rmi.server]

 SQLException [java.sql]

 SQLWarning [java.sql]

 Stack [java.util]

 StackOverflowError [java.lang]

 StreamCorruptedException [java.io]

 StreamTokenizer [java.io]

 String [java.lang]

 StringBuffer [java.lang]

 StringBufferInputStream [java.io]

 StringCharacterIterator [java.text]

 StringIndexOutOfBoundsException [java.lang]

 StringReader [java.io]

 StringSelection [java.awt.datatransfer]

 StringTokenizer [java.util]

 StringWriter [java.io]

 StubNotFoundException [java.rmi]

 SyncFailedException [java.io]

 System [java.lang]

 SystemColor [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextEvent [java.awt.event]

 TextField [java.awt]

 Thread [java.lang]

 ThreadDeath [java.lang]

 ThreadGroup [java.lang]

 Throwable [java.lang]

 Time [java.sql]

 Timestamp [java.sql]

 TimeZone [java.util]

 Toolkit [java.awt]

 TooManyListenersException [java.util]

 Types [java.sql]

 UID [java.rmi.server]

 UnexpectedException [java.rmi]

 UnicastRemoteObject [java.rmi.server]

 UnknownError [java.lang]

 UnknownHostException [java.net]

 UnknownHostException [java.rmi]

 UnknownServiceException [java.net]

 UnmarshalException [java.rmi]

 UnsatisfiedLinkError [java.lang]

 UnsupportedEncodingException [java.io]

 UnsupportedFlavorException [java.awt.datatransfer]

 URL [java.net]

 URLConnection [java.net]

 URLEncoder [java.net]

 URLStreamHandler [java.net]

 UTFDataFormatException [java.io]

 Vector [java.util]

 VerifyError [java.lang]

 VetoableChangeSupport [java.beans]

 VirtualMachineError [java.lang]

 VMID [java.rmi.dgc]

 Void [java.lang]

 Window [java.awt]

 WindowAdapter [java.awt.event]

 WindowEvent [java.awt.event]

 WriteAbortedException [java.io]

 Writer [java.io]

 ZipEntry [java.util.zip]

 ZipException [java.util.zip]

 ZipFile [java.util.zip]

 ZipInputStream [java.util.zip]

 ZipOutputStream [java.util.zip]


toString method [java.lang.reflect.Constructor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.lang.reflect.Constructor]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Return a string describing this Constructor.  The string is formatted as the constructor access modifiers, if any, followed by the fully-qualified name of the declaring class, followed by a parenthesized, comma-separated list of the constructor's formal parameter types.  For example:

  public java.util.Hashtable(int,float)

The only possible modifiers for constructors are the access modifiers public, protected or private.  Only one of these may appear, or none if the constructor has default (package) access.

Return

No documentation supplied in JDK.

Applies to

 Constructor [java.lang.reflect]


toString method [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.lang.reflect.Field]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Return a string describing this Field.  The format is the access modifiers for the field, if any, followed by the field type, followed by a space, followed by the fully-qualified name of the class declaring the field, followed by a period, followed by the name of the field. For example:

  public static final int java.lang.Thread.MIN_PRIORITY

  private int java.io.FileDescriptor.fd

The modifiers are placed in canonical order as specified by "The Java Language Specification".  This is public, protected or private first, and then other modifiers in the following order: static, final, transient, volatile.

Return

No documentation supplied in JDK.

Applies to

 Field [java.lang.reflect]


toString method [java.lang.reflect.Method] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.lang.reflect.Method]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a string describing this Method.  The string is formatted as the method access modifiers, if any, followed by the method return type, followed by a space, followed by the class declaring the method, followed by a period, followed by the method name, followed by a parenthesized, comma-separated list of the method's formal parameter types. If the method throws checked exceptions, the parameter list is followed by a space, followed by the word throws followed by a comma-separated list of the thrown exception types. For example:

  public boolean java.lang.Object.equals(java.lang.Object)

The access modifiers are placed in canonical order as specified by "The Java Language Specification".  This is public, protected or private first, and then other modifiers in the following order: abstract, static, final, synchronized native.

Return

No documentation supplied in JDK.

Applies to

 Method [java.lang.reflect]


toString method [java.lang.reflect.Modifier] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.lang.reflect.Modifier]

Inherited overloads:

 String toString( )

public static java.lang.String toString( int mod )

Return a string describing the access modifier flags in the specified modifier. For example:

  public final synchronized

  private transient volatile

The modifier names are return in canonical order, as specified by The Java Language Specification.

Return

No documentation supplied in JDK.

Applies to

 Modifier [java.lang.reflect]


toString method [java.lang.Short] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.lang.Short]

Overloads:

 String toString( short s )

 String toString( ) overrides toString method [java.lang.Object]

public static java.lang.String toString( short s )

Returns a new String object representing the specified Short. The radix is assumed to be 10.

Parameter

s

the short to be converted

Return

No documentation supplied in JDK.

public java.lang.String toString( )

Returns a String object representing this Short's value.

Return

No documentation supplied in JDK.

Applies to

 Short [java.lang]


toString method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.lang.String]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

This object (which is already a string!) is itself returned.

Return

The string itself.

Applies to

 String [java.lang]


toString method [java.lang.StringBuffer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.lang.StringBuffer]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Converts to a string representing the data in this string buffer. A new String object is allocated and initialized to contain the character sequence currently represented by this string buffer. This String is then returned. Subsequent changes to the string buffer do not affect the contents of the String.

Return

A string representation of the string buffer.

Applies to

 StringBuffer [java.lang]


toString method [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.lang.Thread]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a string representation of this thread, including the thread's name, priority, and thread group.

Return

A string representation of this thread.

Applies to

 Thread [java.lang]


toString method [java.lang.ThreadGroup] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.lang.ThreadGroup]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a string representation of this Thread group.

Return

A string representation of this thread group.

Applies to

 ThreadGroup [java.lang]


toString method [java.lang.Throwable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.lang.Throwable]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a short description of this throwable object.

Return

A string representation of this Throwable.

Applies to

 AbstractMethodError [java.lang]

 AccessException [java.rmi]

 AclNotFoundException [java.security.acl]

 AlreadyBoundException [java.rmi]

 ArithmeticException [java.lang]

 ArrayIndexOutOfBoundsException [java.lang]

 ArrayStoreException [java.lang]

 AWTError [java.awt]

 AWTException [java.awt]

 BindException [java.net]

 CharConversionException [java.io]

 ClassCastException [java.lang]

 ClassCircularityError [java.lang]

 ClassFormatError [java.lang]

 ClassNotFoundException [java.lang]

 CloneNotSupportedException [java.lang]

 ConnectException [java.net]

 ConnectException [java.rmi]

 ConnectIOException [java.rmi]

 DataFormatException [java.util.zip]

 DataTruncation [java.sql]

 DigestException [java.security]

 EmptyStackException [java.util]

 EOFException [java.io]

 Error [java.lang]

 Exception [java.lang]

 ExceptionInInitializerError [java.lang]

 ExportException [java.rmi.server]

 FileNotFoundException [java.io]

 IllegalAccessError [java.lang]

 IllegalAccessException [java.lang]

 IllegalArgumentException [java.lang]

 IllegalComponentStateException [java.awt]

 IllegalMonitorStateException [java.lang]

 IllegalStateException [java.lang]

 IllegalThreadStateException [java.lang]

 IncompatibleClassChangeError [java.lang]

 IndexOutOfBoundsException [java.lang]

 InstantiationError [java.lang]

 InstantiationException [java.lang]

 InternalError [java.lang]

 InterruptedException [java.lang]

 InterruptedIOException [java.io]

 IntrospectionException [java.beans]

 InvalidClassException [java.io]

 InvalidKeyException [java.security]

 InvalidObjectException [java.io]

 InvalidParameterException [java.security]

 InvocationTargetException [java.lang.reflect]

 IOException [java.io]

 KeyException [java.security]

 KeyManagementException [java.security]

 LastOwnerException [java.security.acl]

 LinkageError [java.lang]

 MalformedURLException [java.net]

 MarshalException [java.rmi]

 MissingResourceException [java.util]

 NegativeArraySizeException [java.lang]

 NoClassDefFoundError [java.lang]

 NoRouteToHostException [java.net]

 NoSuchAlgorithmException [java.security]

 NoSuchElementException [java.util]

 NoSuchFieldError [java.lang]

 NoSuchFieldException [java.lang]

 NoSuchMethodError [java.lang]

 NoSuchMethodException [java.lang]

 NoSuchObjectException [java.rmi]

 NoSuchProviderException [java.security]

 NotActiveException [java.io]

 NotBoundException [java.rmi]

 NotOwnerException [java.security.acl]

 NotSerializableException [java.io]

 NullPointerException [java.lang]

 NumberFormatException [java.lang]

 ObjectStreamException [java.io]

 OptionalDataException [java.io]

 OutOfMemoryError [java.lang]

 ParseException [java.text]

 PropertyVetoException [java.beans]

 ProtocolException [java.net]

 ProviderException [java.security]

 RemoteException [java.rmi]

 RMISecurityException [java.rmi]

 RuntimeException [java.lang]

 SecurityException [java.lang]

 ServerCloneException [java.rmi.server]

 ServerError [java.rmi]

 ServerException [java.rmi]

 ServerNotActiveException [java.rmi.server]

 ServerRuntimeException [java.rmi]

 SignatureException [java.security]

 SkeletonMismatchException [java.rmi.server]

 SkeletonNotFoundException [java.rmi.server]

 SocketException [java.net]

 SocketSecurityException [java.rmi.server]

 SQLException [java.sql]

 SQLWarning [java.sql]

 StackOverflowError [java.lang]

 StreamCorruptedException [java.io]

 StringIndexOutOfBoundsException [java.lang]

 StubNotFoundException [java.rmi]

 SyncFailedException [java.io]

 ThreadDeath [java.lang]

 Throwable [java.lang]

 TooManyListenersException [java.util]

 UnexpectedException [java.rmi]

 UnknownError [java.lang]

 UnknownHostException [java.net]

 UnknownHostException [java.rmi]

 UnknownServiceException [java.net]

 UnmarshalException [java.rmi]

 UnsatisfiedLinkError [java.lang]

 UnsupportedEncodingException [java.io]

 UnsupportedFlavorException [java.awt.datatransfer]

 UTFDataFormatException [java.io]

 VerifyError [java.lang]

 VirtualMachineError [java.lang]

 WriteAbortedException [java.io]

 ZipException [java.util.zip]


toString method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.math.BigDecimal]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns the string representation of this number.  The digit-to- character mapping provided by Character.forDigit is used.  The minus sign and decimal point are used to indicate sign and scale.  (This representation is compatible with the (String, int) constructor.)

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


toString method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.math.BigInteger]

Overloads:

 String toString( int radix )

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( int radix )

Returns the string representation of this number in the given radix. If the radix is outside the range from Character.MIN_RADIX(2) to Character.MAX_RADIX(36) inclusive, it will default to 10 (as is the case for Integer.toString).  The digit-to-character mapping provided by Character.forDigit is used, and a minus sign is prepended if appropriate.  (This representation is compatible with the (String, int) constructor.)

Return

No documentation supplied in JDK.

public java.lang.String toString( )

Returns the string representation of this number, radix 10.  The digit-to-character mapping provided by Character.forDigit is used, and a minus sign is prepended if appropriate.  (This representation is compatible with the (String) constructor, and allows for string concatenation with Java's + operator.)

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


toString method [java.net.InetAddress] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.net.InetAddress]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Converts this IP address to a String.

Return

A string representation of this IP address.

Applies to

 InetAddress [java.net]


toString method [java.net.ServerSocket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.net.ServerSocket]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns the implementation address and implementation port of this socket as a String.

Return

A string representation of this socket.

Applies to

 ServerSocket [java.net]


toString method [java.net.Socket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.net.Socket]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Converts this socket to a String.

Return

A string representation of this socket.

Applies to

 Socket [java.net]


toString method [java.net.SocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.net.SocketImpl]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns the address and port of this socket as a String.

Return

A string representation of this socket.

Applies to

 SocketImpl [java.net]


toString method [java.net.URL] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.net.URL]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Constructs a string representation of this URL. The string is created by calling the toExternalForm method of the stream protocol handler for this object.

Return

A string representation of this object.

See also

toExternalForm method [java.net.URLStreamHandler]

Applies to

 URL [java.net]


toString method [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.net.URLConnection]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a String representation of this URL connection.

Return

A string representation of this URLConnection.

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


toString method [java.rmi.dgc.VMID] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.rmi.dgc.VMID]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Return string representation of this VMID.

Return

No documentation supplied in JDK.

Applies to

 VMID [java.rmi.dgc]


toString method [java.rmi.server.LogStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.rmi.server.LogStream]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Return log name as string representation

Return

No documentation supplied in JDK.

Applies to

 LogStream [java.rmi.server]


toString method [java.rmi.server.ObjID] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.rmi.server.ObjID]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a string containing the object id representation. The address space identifier is included in the string representation only if the object id is from a non-local address space.

Return

No documentation supplied in JDK.

Applies to

 ObjID [java.rmi.server]


toString method [java.rmi.server.Operation] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.rmi.server.Operation]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Applies to

 Operation [java.rmi.server]


toString method [java.rmi.server.RemoteObject] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.rmi.server.RemoteObject]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a String that represents the value of this remote object.

Return

No documentation supplied in JDK.

Applies to

 RemoteObject [java.rmi.server]

 RemoteServer [java.rmi.server]

 RemoteStub [java.rmi.server]

 UnicastRemoteObject [java.rmi.server]


toString method [java.rmi.server.UID] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.rmi.server.UID]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Applies to

 UID [java.rmi.server]


toString method [java.security.DigestInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.security.DigestInputStream]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Prints a string representation of this digest input stream and its associated message digest object.

Return

No documentation supplied in JDK.

Applies to

 DigestInputStream [java.security]


toString method [java.security.DigestOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.security.DigestOutputStream]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Prints a string representation of this digest output stream and its associated message digest object.

Return

No documentation supplied in JDK.

Applies to

 DigestOutputStream [java.security]


toString method [java.security.Identity] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.security.Identity]

Overloads:

 String toString( boolean detailed )

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( boolean detailed )

Returns a string representation of this identity, with optionally more details than that provided by the toString method without any arguments.

Parameter

detailed

whether or not to provide detailed information.

Return

Information about this identity. If detailed is true, then this method returns more information than that provided by the toString method without any arguments.

See also

toString method [java.lang.Object]

public java.lang.String toString( )

Returns a short string describing this identity, telling its name and its scope (if any).

Return

Information about this identity, such as its name and the name of its scope (if any).

Applies to

 Identity [java.security]

 IdentityScope [java.security]

 Signer [java.security]


toString method [java.security.IdentityScope] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.security.IdentityScope]

Overloads:

 String toString( ) overrides toString method [java.security.Identity]

Inherited overloads:

 String toString( boolean detailed )

public java.lang.String toString( )

Returns a string representation of this identity scope, including its name, its scope name, and the number of identities in this identity scope.

Return

A string representation of this identity scope.

Applies to

 IdentityScope [java.security]


toString method [java.security.MessageDigest] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.security.MessageDigest]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a string representation of this message digest object.

Return

No documentation supplied in JDK.

Applies to

 MessageDigest [java.security]


toString method [java.security.Provider] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.security.Provider]

Overloads:

 String toString( ) overrides toString method [java.util.Hashtable]

public java.lang.String toString( )

Returns a string with the name and the version number of this provider.

Return

The string with the name and the version number for this provider.

Applies to

 Provider [java.security]


toString method [java.security.Signature] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.security.Signature]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a string representation of this signature object, providing information that includes the state of the object and the name of the algorithm used.

Return

A string representation of this signature object.

Applies to

 Signature [java.security]


toString method [java.security.Signer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.security.Signer]

Overloads:

 String toString( ) overrides toString method [java.security.Identity]

Inherited overloads:

 String toString( boolean detailed )

public java.lang.String toString( )

Returns a string of information about the signer.

Return

A string of information about the signer.

Applies to

 Signer [java.security]


toString method [java.sql.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.sql.Date]

Overloads:

 String toString( ) overrides toString method [java.util.Date]

public java.lang.String toString( )

Format a date in JDBC date escape format

Return

A String in yyyy-mm-dd format.

Applies to

 Date [java.sql]


toString method [java.sql.Time] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.sql.Time]

Overloads:

 String toString( ) overrides toString method [java.util.Date]

public java.lang.String toString( )

Format a time in JDBC date escape format

Return

A String in hh:mm:ss format.

Applies to

 Time [java.sql]


toString method [java.sql.Timestamp] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.sql.Timestamp]

Overloads:

 String toString( ) overrides toString method [java.util.Date]

public java.lang.String toString( )

Format a timestamp in JDBC timestamp escape format

Return

A String in yyyy-mm-dd hh:mm:ss.fffffffff format.

Applies to

 Timestamp [java.sql]


toString method [java.util.BitSet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.util.BitSet]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Converts the BitSet to a String.

Return

No documentation supplied in JDK.

Applies to

 BitSet [java.util]


toString method [java.util.Calendar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.util.Calendar]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Return a string representation of this calendar.

Return

A string representation of this calendar.

Applies to

 Calendar [java.util]

 GregorianCalendar [java.util]


toString method [java.util.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.util.Date]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Creates a canonical string representation of the date. The result is of the form "Sat Aug 12 02:30:00 PDT 1995".

Return

A string representation of this date.

Applies to

 Date [java.sql]

 Date [java.util]

 Time [java.sql]

 Timestamp [java.sql]


toString method [java.util.EventObject] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.util.EventObject]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Applies to

 ActionEvent [java.awt.event]

 AdjustmentEvent [java.awt.event]

 AWTEvent [java.awt]

 ComponentEvent [java.awt.event]

 ContainerEvent [java.awt.event]

 EventObject [java.util]

 FocusEvent [java.awt.event]

 InputEvent [java.awt.event]

 ItemEvent [java.awt.event]

 KeyEvent [java.awt.event]

 MouseEvent [java.awt.event]

 PaintEvent [java.awt.event]

 PropertyChangeEvent [java.beans]

 TextEvent [java.awt.event]

 WindowEvent [java.awt.event]


toString method [java.util.Hashtable] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.util.Hashtable]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public synchronized java.lang.String toString( )

Returns a rather long string representation of this hashtable.

Return

A string representation of this hashtable.

Applies to

 Hashtable [java.util]

 Properties [java.util]

 Provider [java.security]


toString method [java.util.Locale] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.util.Locale]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public final java.lang.String toString( )

Getter for the programmatic name of the entire locale, with the language, country and variant separated by underbars. Language is always lower case, and country is always uppcer case. If a field is missing, at most one underbar will occur. Example: "Een, "de_DE", "en_US_WIN", "de_POSIX", "fr_MAC"

Return

No documentation supplied in JDK.

See also

displayName property [java.util.Locale]

Applies to

 Locale [java.util]


toString method [java.util.SimpleTimeZone] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.util.SimpleTimeZone]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Return a string representation of this time zone.

Return

A string representation of this time zone.

Applies to

 SimpleTimeZone [java.util]


toString method [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.util.Vector]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public final synchronized java.lang.String toString( )

Returns a string representation of this vector.

Return

A string representation of this vector.

Applies to

 Stack [java.util]

 Vector [java.util]


toString method [java.util.zip.ZipEntry] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toString method [java.util.zip.ZipEntry]

Overloads:

 String toString( ) overrides toString method [java.lang.Object]

public java.lang.String toString( )

Returns a string representation of the ZIP entry.

Return

No documentation supplied in JDK.

Applies to

 ZipEntry [java.util.zip]


totalIn property [java.util.zip.Deflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      totalIn property [java.util.zip.Deflater]

public native synchronized int getTotalIn( )

Returns the total number of bytes input so far.

Return

No documentation supplied in JDK.

Applies to

 Deflater [java.util.zip]


totalIn property [java.util.zip.Inflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      totalIn property [java.util.zip.Inflater]

public native synchronized int getTotalIn( )

Returns the total number of bytes input so far.

Return

No documentation supplied in JDK.

Applies to

 Inflater [java.util.zip]


totalMemory method [java.lang.Runtime] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      totalMemory method [java.lang.Runtime]

public native long totalMemory( )

Returns the total amount of memory in the Java Virtual Machine.

Return

The total amount of memory currently available for allocating objects, measured in bytes.

Applies to

 Runtime [java.lang]


totalOut property [java.util.zip.Deflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      totalOut property [java.util.zip.Deflater]

public native synchronized int getTotalOut( )

Returns the total number of bytes output so far.

Return

No documentation supplied in JDK.

Applies to

 Deflater [java.util.zip]


totalOut property [java.util.zip.Inflater] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      totalOut property [java.util.zip.Inflater]

public native synchronized int getTotalOut( )

Returns the total number of bytes output so far.

Return

No documentation supplied in JDK.

Applies to

 Inflater [java.util.zip]


toTitleCase method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toTitleCase method [java.lang.Character]

public static char toTitleCase( char ch )

Converts the character argument to titlecase. A character has a titlecase equivalent if and only if a titlecase mapping is specified for the character in the Unicode attribute table.

Note that some Unicode characters in the range '\u2000' through '\u2FFF' have titlecase mappings; this method does map such characters to their titlecase equivalents even though the method isTitleCase does not return true for such characters.

There are only four Unicode characters that are truly titlecase forms that are distinct from uppercase forms.  As a rule, if a character has no true titlecase equivalent but does have an uppercase mapping, then the Unicode 2.0 attribute table specifies a titlecase mapping that is the same as the uppercase mapping.

Parameter

ch

the character to be converted.

Return

The titlecase equivalent of the character, if any; otherwise the character itself.

See also

isTitleCase method [java.lang.Character]

toLowerCase method [java.lang.Character]

toUpperCase method [java.lang.Character]

Applies to

 Character [java.lang]


toUpperCase method [java.lang.Character] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toUpperCase method [java.lang.Character]

public static char toUpperCase( char ch )

Converts the character argument to uppercase. A character has an uppercase equivalent if and only if an uppercase mapping is specified for the character in the Unicode attribute table.

Note that some Unicode characters in the range '\u2000' to '\u2000FFF' have uppercase mappings; this method does map such characters to their titlecase equivalents even though the method isLowerCase does not return true for such characters.

Parameter

ch

the character to be converted.

Return

The uppercase equivalent of the character, if any; otherwise the character itself.

See also

isLowerCase method [java.lang.Character]

isUpperCase method [java.lang.Character]

toLowerCase method [java.lang.Character]

toTitleCase method [java.lang.Character]

Applies to

 Character [java.lang]


toUpperCase method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      toUpperCase method [java.lang.String]

Overloads:

 String toUpperCase( )

 String toUpperCase( Locale locale )

public java.lang.String toUpperCase( )

Converts this string to uppercase.

If no character in this string has a different uppercase version, based on calling the toUpperCase method defined by Character, then the original string is returned.

Otherwise, a new string is allocated, whose length is identical to this string, and such that each character that has a different uppercase version is mapped to this uppercase equivalent.

Return

The string, converted to uppercase.

See also

toUpperCase method [java.lang.Character]

toLowerCase method [java.lang.String]

public java.lang.String toUpperCase( java.util.Locale locale )

Converts all of the characters in this String to upper case using the rules of the given locale.

Parameter

locale

use the case transformation rules for this locale

Return

The String, converted to uppercase.

See also

toUpperCase method [java.lang.Character]

toLowerCase method [java.lang.String]

Applies to

 String [java.lang]


traceInstructions method [java.lang.Runtime] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      traceInstructions method [java.lang.Runtime]

public native void traceInstructions( boolean on )

Enables/Disables tracing of instructions. If the boolean argument is true, this method asks the Java Virtual Machine to print out a detailed trace of each instruction in the Java Virtual Machine as it is executed. The virtual machine may ignore this request if it does not support this feature. The destination of the trace output is system dependent.

If the boolean argument is false, this method causes the Java Virtual Machine to stop performing the detailed instruction trace it is performing.

Parameter

on

true to enable instruction tracing; false to disable this feature.

Applies to

 Runtime [java.lang]


traceMethodCalls method [java.lang.Runtime] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      traceMethodCalls method [java.lang.Runtime]

public native void traceMethodCalls( boolean on )

Enables/Disables tracing of method calls. If the boolean argument is true, this method asks the Java Virtual Machine to print out a detailed trace of each method in the Java Virtual Machine as it is called. The virtual machine may ignore this request if it does not support this feature. The destination of the trace output is system dependent.

If the boolean argument is false, this method causes the Java Virtual Machine to stop performing the detailed method trace it is performing.

Parameter

on

true to enable instruction tracing; false to disable this feature.

Applies to

 Runtime [java.lang]


Transferable interface [java.awt.datatransfer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      Transferable interface [java.awt.datatransfer]

Description

Defines the interface for classes that can be used to provide data for a transfer operation.

Definition

public interface Transferable

{

  // Properties

  public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors( );

  // Methods

  public boolean isDataFlavorSupported( java.awt.datatransfer.DataFlavor flavor );

  public java.lang.Object getTransferData( java.awt.datatransfer.DataFlavor flavor ) throws java.awt.datatransfer.UnsupportedFlavorException, java.io.IOException;

}

Properties

public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors( )

Returns an array of DataFlavor objects indicating the flavors the data can be provided in.  The array should be ordered according to preference for providing the data (from most richly descriptive to least descriptive).

Return

An array of data flavors in which this data can be transferred.

Methods

public boolean isDataFlavorSupported( java.awt.datatransfer.DataFlavor flavor )

Returns whether or not the specified data flavor is supported for this object.

Parameter

flavor

the requested flavor for the data

Return

Boolean indicating wjether or not the data flavor is supported.

public java.lang.Object getTransferData( java.awt.datatransfer.DataFlavor flavor ) throws java.awt.datatransfer.UnsupportedFlavorException, java.io.IOException

Returns an object which represents the data to be transferred.  The class of the object returned is defined by the representation class of the flavor.

Parameter

flavor

the requested flavor for the data

Return

No documentation supplied in JDK.

Throws

IOException

If the data is no longer available in the requested flavor.

UnsupportedFlavorException

If the requested data flavor is not supported.

See also

representationClass property [java.awt.datatransfer.DataFlavor]

Implemented by

StringSelection [java.awt.datatransfer]


transferDataFlavors property [java.awt.datatransfer.StringSelection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      transferDataFlavors property [java.awt.datatransfer.StringSelection]

public synchronized java.awt.datatransfer.DataFlavor[] getTransferDataFlavors( )

Returns the array of flavors in which it can provide the data.

Return

No documentation supplied in JDK.

Applies to

 StringSelection [java.awt.datatransfer]


transferFocus method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      transferFocus method [java.awt.Component]

public void transferFocus( )

Transfers the focus to the next component.

See also

requestFocus method [java.awt.Component]

gotFocus method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


transferSize property [java.sql.DataTruncation] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      transferSize property [java.sql.DataTruncation]

public int getTransferSize( )

Get the number of bytes of data actually transferred. The value may be "-1" if the size is unknown.

Return

The number of bytes of data actually transferred.

Applies to

 DataTruncation [java.sql]


translate method [java.awt.Event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      translate method [java.awt.Event]

public void translate( int x, int y )

Translates this event so that its x and y coordinates are increased by dx and dy , respectively.

This method translates an event relative to the given component. This involves, at a minimum, translating the coordinates into the local coordinate system of the given component. It may also involve translating a region in the case of an expose event.

Parameters

dx

the distance to translate the x coordinate.

dy

the distance to translate the y coordinate.

Applies to

 Event [java.awt]


translate method [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      translate method [java.awt.Graphics]

public abstract void translate( int x, int y )

Translates the origin of the graphics context to the point (x , y ) in the current coordinate system. Modifies this graphics context so that its new origin corresponds to the point (x , y ) in this graphics context's original coordinate system.  All coordinates used in subsequent rendering operations on this graphics context will be relative to this new origin.

Parameters

x

the x coordinate.

y

the y coordinate.

Applies to

 Graphics [java.awt]


translate method [java.awt.Point] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      translate method [java.awt.Point]

public void translate( int x, int y )

Translates this point, at location (x , y ), by dx along the x axis and dy along the y axis so that it now represents the point (x + dx, y + dy).

Parameters

dx

the distance to move this point along the x axis.

dy

the distance to move this point along the y axis.

Applies to

 Point [java.awt]


translate method [java.awt.Polygon] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      translate method [java.awt.Polygon]

public void translate( int deltaX, int deltaY )

Translates the vertices by deltaX along the x axis and by deltaY along the y axis.

Parameters

deltaX

the amount to translate along the x axis

deltaY

the amount to translate along the y axis

Applies to

 Polygon [java.awt]


translate method [java.awt.Rectangle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      translate method [java.awt.Rectangle]

public void translate( int x, int y )

Translates the rectangle the indicated distance, to the right along the x coordinate axis, and downward along the y coordinate axis.

Parameters

dx

the distance to move the rectangle along the x axis.

dy

the distance to move the rectangle along the y axis.

See also

location property [java.awt.Rectangle]

Applies to

 Rectangle [java.awt]


translatePoint method [java.awt.event.MouseEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      translatePoint method [java.awt.event.MouseEvent]

public synchronized void translatePoint( int x, int y )

Translates the coordinate position of the event by x, y.

Parameters

x

the x value added to the current x coordinate position

y

the y value added to the current y coordinate position

Applies to

 MouseEvent [java.awt.event]


transparentPixel property [java.awt.image.IndexColorModel] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      transparentPixel property [java.awt.image.IndexColorModel]

public final int getTransparentPixel( )

Returns the index of the transparent pixel in this IndexColorModel or -1 if there is no transparent pixel.

Return

No documentation supplied in JDK.

Applies to

 IndexColorModel [java.awt.image]


treeLock property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      treeLock property [java.awt.Component]

public final java.lang.Object getTreeLock( )

Gets this component's locking object (the object that owns the thread sychronization monitor) for AWT component-tree and layout operations.

Return

This component's locking object.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


treeLock property [java.awt.MenuComponent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      treeLock property [java.awt.MenuComponent]

protected final java.lang.Object getTreeLock( )

Gets this component's locking object (the object that owns the thread sychronization monitor) for AWT component-tree and layout operations.

Return

This component's locking object.

Applies to

 CheckboxMenuItem [java.awt]

 Menu [java.awt]

 MenuBar [java.awt]

 MenuComponent [java.awt]

 MenuItem [java.awt]

 PopupMenu [java.awt]


trim method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      trim method [java.lang.String]

public java.lang.String trim( )

Removes white space from both ends of this string.

All characters that have codes less than or equal to '\u0020' (the space character) are considered to be white space.

Return

This string, with white space removed from the front and end.

Applies to

 String [java.lang]


trimToSize method [java.util.Vector] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      trimToSize method [java.util.Vector]

public final synchronized void trimToSize( )

Trims the capacity of this vector to be the vector's current size. An application can use this operation to minimize the storage of a vector.

Applies to

 Stack [java.util]

 Vector [java.util]


TTL property [java.net.DatagramSocketImpl] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      TTL property [java.net.DatagramSocketImpl]

protected abstract byte getTTL( ) throws java.io.IOException

Retrieve the TTL (time-to-live) option.

Return

No documentation supplied in JDK.

protected abstract void setTTL( byte ttl ) throws java.io.IOException

Set the TTL (time-to-live) option.

Parameter

TTL

to be set.

Applies to

 DatagramSocketImpl [java.net]


TTL property [java.net.MulticastSocket] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      TTL property [java.net.MulticastSocket]

public byte getTTL( ) throws java.io.IOException

Get the default time-to-live for multicast packets sent out on the socket.

Return

No documentation supplied in JDK.

public void setTTL( byte ttl ) throws java.io.IOException

Set the default time-to-live for multicast packets sent out on this socket.  The TTL sets the IP time-to-live for DatagramPackets sent to a MulticastGroup, which specifies how many "hops" that the packet will be forwarded on the network before it expires.

The ttl is an unsigned 8-bit quantity, and so must be in the range 0 < ttl <= 0xFF .

Parameter

ttl

the time-to-live

Applies to

 MulticastSocket [java.net]


type property [java.awt.Cursor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      type property [java.awt.Cursor]

public int getType( )

Returns the type for this cursor.

Return

No documentation supplied in JDK.

Applies to

 Cursor [java.awt]


type property [java.lang.reflect.Field] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      type property [java.lang.reflect.Field]

public java.lang.Class getType( )

Returns a Class object that identifies the declared type for the field represented by this Field object.

Return

No documentation supplied in JDK.

Applies to

 Field [java.lang.reflect]


Types class [java.sql] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     T
      Types class [java.sql]

Object

Types

Description

This class defines constants that are used to identify SQL types. The actual type constant values are equivalent to those in XOPEN.

Specification

public class Types extends java.lang.Object

Variables

public static final int BIT

public static final int TINYINT

public static final int SMALLINT

public static final int INTEGER

public static final int BIGINT

public static final int FLOAT

public static final int REAL

public static final int DOUBLE

public static final int NUMERIC

public static final int DECIMAL

public static final int CHAR

public static final int VARCHAR

public static final int LONGVARCHAR

public static final int DATE

public static final int TIME

public static final int TIMESTAMP

public static final int BINARY

public static final int VARBINARY

public static final int LONGVARBINARY

public static final int NULL

public static final int OTHER

OTHER indicates that the SQL type is database specific and gets mapped to a Java object which can be accessed via getObject and setObject.

Inherited Properties

  native final java.lang.Class getClass( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


U  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    U

 UID class [java.rmi.server]

 unbind method [java.rmi.Naming]

 uncaughtException method [java.lang.ThreadGroup]

 UnexpectedException class [java.rmi]

 unicast property [java.beans.EventSetDescriptor]

 UnicastRemoteObject class [java.rmi.server]

 union method [java.awt.Rectangle]

 unique property [java.rmi.dgc.VMID]

 unitIncrement property [java.awt.Scrollbar]

 UnknownError class [java.lang]

 UnknownHostException class [java.net]

 UnknownHostException class [java.rmi]

 UnknownServiceException class [java.net]

 UnmarshalException class [java.rmi]

 unread method [java.io.PushbackInputStream]

 unread method [java.io.PushbackReader]

 Unreferenced interface [java.rmi.server]

 UnsatisfiedLinkError class [java.lang]

 UnsupportedEncodingException class [java.io]

 UnsupportedFlavorException class [java.awt.datatransfer]

 update method [java.awt.Component]

 update method [java.awt.Container]

 update method [java.security.MessageDigest]

 update method [java.security.Signature]

 update method [java.util.zip.Adler32]

 update method [java.util.zip.CRC32]

 updateRect property [java.awt.event.PaintEvent]

 URL class [java.net]

 URL property [java.net.URLConnection]

 URLConnection class [java.net]

 URLEncoder class [java.net]

 URLStreamHandler class [java.net]

 URLStreamHandlerFactory interface [java.net]

 URLStreamHandlerFactory property [java.net.URL]

 useCaches property [java.net.URLConnection]

 useDaylightTime method [java.util.SimpleTimeZone]

 useDaylightTime method [java.util.TimeZone]

 usesShiftModifier method [java.awt.MenuShortcut]

 usingProxy method [java.net.HttpURLConnection]

 UTC method [java.util.Date]

 UTFDataFormatException class [java.io]


UID class [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      UID class [java.rmi.server]

Object

UID

Description

Abstraction for creating identifiers that are unique with respect to the the host on which it is generated.

Specification

public final class UID extends java.lang.Object implements java.io.Serializable

Constructors

public UID( )

Create a pure identifier that is unique with respect to the host on which it is generated.  This UID is unique under the following conditions: a) the machine takes more than one second to reboot, and b) the machine's clock is never set backward. In order to construct a UID that is globally unique, simply pair a UID with an InetAddress.

public UID( short num )

Create a "well-known" ID.  There are 2^16 -1 such possible well-known ids.  An id generated via this constructor will not clash with any id generated via the default UID constructor which will generates a genuinely unique identifier with respect to this host.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  boolean equals( java.lang.Object obj )

  int hashCode( )

  static java.rmi.server.UID read( java.io.DataInput in ) throws java.io.IOException

  java.lang.String toString( )

  void write( java.io.DataOutput out ) throws java.io.IOException

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


unbind method [java.rmi.Naming] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      unbind method [java.rmi.Naming]

public static void unbind( java.lang.String name ) throws java.rmi.RemoteException, java.rmi.NotBoundException, java.net.MalformedURLException, java.rmi.UnknownHostException

Unbind the name.

Throws

RemoteException

If registry could not be contacted.

NotBoundException

If name is not currently bound.

Applies to

 Naming [java.rmi]


uncaughtException method [java.lang.ThreadGroup] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      uncaughtException method [java.lang.ThreadGroup]

public void uncaughtException( java.lang.Thread t, java.lang.Throwable e )

Called by the Java Virtual Machine when a thread in this thread group stops because of an uncaught exception.

The uncaughtException method of ThreadGroup does the following:

•	If this thread group has a parent thread group, the uncaughtException method of that parent is called with the same two arguments.

•	Otherwise, this method determines if the Throwable argument is an instance of ThreadDeath. If so, nothing special is done. Otherwise, the Throwable's printStackTrace method is called to print a stack backtrace to the standard error stream.

Applications can override this method in subclasses of ThreadGroup to provide alternative handling of uncaught exceptions.

Parameters

t

the thread that is about to exit.

e

the uncaught exception.

See also

ThreadDeath class [java.lang]

printStackTrace method [java.lang.Throwable]

Applies to

 ThreadGroup [java.lang]


UnexpectedException class [java.rmi] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      UnexpectedException class [java.rmi]

Object

Throwable

Exception

IOException

RemoteException

UnexpectedException

Specification

public class UnexpectedException extends java.rmi.RemoteException

Constructors

public UnexpectedException( java.lang.String s )

Create a new UnexpectedException with a description.

public UnexpectedException( java.lang.String s, java.lang.Exception ex )

Create a new UnexpectedException with a description, and detail exception.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


unicast property [java.beans.EventSetDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      unicast property [java.beans.EventSetDescriptor]

public void setUnicast( boolean unicast )

Mark an event set as unicast (or not).

Parameter

unicast

True if the event set is unicast.

public boolean isUnicast( )

Normally event sources are multicast.  However there are some exceptions that are strictly unicast.

Return

True if the event set is unicast.  Defaults to "false".

Applies to

 EventSetDescriptor [java.beans]


UnicastRemoteObject class [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      UnicastRemoteObject class [java.rmi.server]

Object

RemoteObject

RemoteServer

UnicastRemoteObject

Description

The UnicastRemoteObject class defines a non-replicated remote object whose references are valid only while the server process is alive.  The UnicastRemoteObject class provides support for point-to-point active object references (invocations, parameters, and results) using TCP streams.

Objects that require remote behavior should extend RemoteObject, typically via UnicastRemoteObject. If UnicastRemoteObject is not extended, the implementation class must then assume the responsibility for the correct semantics of the hashCode, equals, and toString methods inherited from the Object class, so that they behave appropriately for remote objects.

Specification

public class UnicastRemoteObject extends java.rmi.server.RemoteServer

Constructor

protected UnicastRemoteObject( ) throws java.rmi.RemoteException

Create and export a new UnicastRemoteObject object using an anonymous port.

Inherited Properties

  native final java.lang.Class getClass( )

  static java.lang.String getClientHost( ) throws java.rmi.server.ServerNotActiveException

  static java.io.PrintStream getLog( )

  static void setLog( java.io.OutputStream out )

Methods

  java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

  static java.rmi.server.RemoteStub exportObject( java.rmi.Remote obj ) throws java.rmi.RemoteException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable


union method [java.awt.Rectangle] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      union method [java.awt.Rectangle]

public java.awt.Rectangle union( java.awt.Rectangle r )

Computes the union of this rectangle with the specified rectangle. Returns a new rectangle that represents the union of the two rectangles.

Parameter

r

a rectangle.

Return

The smallest rectangle containing both the specified rectangle and this rectangle.

Applies to

 Rectangle [java.awt]


unique property [java.rmi.dgc.VMID] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      unique property [java.rmi.dgc.VMID]

public static boolean isUnique( )

Return true if an accurate address can be determined for this host.  If false, reliable VMID cannot be generated from this host

Return

True if host address can be determined, false otherwise.

Applies to

 VMID [java.rmi.dgc]


unitIncrement property [java.awt.Scrollbar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      unitIncrement property [java.awt.Scrollbar]

public int getUnitIncrement( )

Gets the unit increment for this scrollbar.

The unit increment is the value that is added (subtracted) when the user activates the unit increment area of the scroll bar, generally through a mouse or keyboard gesture that the scroll bar receives as an adjustment event.

Return

The unit increment of this scroll bar.

public void setUnitIncrement( int v )

Sets the unit increment for this scroll bar.

The unit increment is the value that is added (subtracted) when the user activates the unit increment area of the scroll bar, generally through a mouse or keyboard gesture that the scroll bar receives as an adjustment event.

Parameter

v

the amount by which to increment or decrement the scroll bar's value.

Applies to

 Scrollbar [java.awt]


UnknownError class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      UnknownError class [java.lang]

Object

Throwable

Error

VirtualMachineError

UnknownError

Description

Thrown when an unknown but serious exception has occurred in the Java Virtual Machine.

Specification

public class UnknownError extends java.lang.VirtualMachineError

Constructors

public UnknownError( )

Constructs an UnknownError with no detail message.

public UnknownError( java.lang.String s )

Constructs an UnknownError with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


UnknownHostException class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      UnknownHostException class [java.net]

Object

Throwable

Exception

IOException

UnknownHostException

Description

Thrown to indicate that the IP address of a host could not be determined.

Specification

public class UnknownHostException extends java.io.IOException

Constructors

public UnknownHostException( )

Constructs a new UnknownHostException with no detail message.

public UnknownHostException( java.lang.String host )

Constructs a new UnknownHostException with the specified detail message.

Parameter

host

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


UnknownHostException class [java.rmi] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      UnknownHostException class [java.rmi]

Object

Throwable

Exception

IOException

RemoteException

UnknownHostException

Specification

public class UnknownHostException extends java.rmi.RemoteException

Constructors

public UnknownHostException( java.lang.String s )

Create a new UnknownHostException with a description.

public UnknownHostException( java.lang.String s, java.lang.Exception ex )

Create a new UnknownHostException with a description and detail exception.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


UnknownServiceException class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      UnknownServiceException class [java.net]

Object

Throwable

Exception

IOException

UnknownServiceException

Description

Thrown to indicate that an unknown service exception has occurred. Either the MIME type returned by a URL connection does not make sense, or the application is attempting to write to a read-only URL connection.

Specification

public class UnknownServiceException extends java.io.IOException

Constructors

public UnknownServiceException( )

Constructs a new UnknownServiceException with no detail message.

public UnknownServiceException( java.lang.String msg )

Constructs a new UnknownServiceException with the specified detail message.

Parameter

msg

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


UnmarshalException class [java.rmi] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      UnmarshalException class [java.rmi]

Object

Throwable

Exception

IOException

RemoteException

UnmarshalException

Specification

public class UnmarshalException extends java.rmi.RemoteException

Constructors

public UnmarshalException( java.lang.String s )

Create a new marshal exception with a descriptive string.

public UnmarshalException( java.lang.String s, java.lang.Exception ex )

Create a new marshal exception with a descriptive string and an exception.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


unread method [java.io.PushbackInputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      unread method [java.io.PushbackInputStream]

Overloads:

 void unread( byte[] b )

 void unread( int b )

 void unread( byte[] b, int off, int len )

public void unread( byte[] b ) throws java.io.IOException

Pushes back an array of bytes by copying it to the front of the pushback buffer.  After this method returns, the next byte to be read will have the value b[0], the byte after that will have the value b[1], and so forth.

Parameter

b

the byte array to push back

Throws

IOException

If there is not enough room in the pushback buffer for the specified number of bytes.

public void unread( int b ) throws java.io.IOException

Pushes back a byte by copying it to the front of the pushback buffer. After this method returns, the next byte to be read will have the value (byte)b.

Parameter

b

the int value whose low-order byte is to be pushed back.

Throws

IOException

If there is not enough room in the pushback buffer for the byte.

public void unread( byte[] b, int off, int len ) throws java.io.IOException

Pushes back a portion of an array of bytes by copying it to the front of the pushback buffer.  After this method returns, the next byte to be read will have the value b[off], the byte after that will have the value b[off+1], and so forth.

Parameters

b

the byte array to push back.

off

the start offset of the data.

len

the number of bytes to push back.

Throws

IOException

If there is not enough room in the pushback buffer for the specified number of bytes.

Applies to

 PushbackInputStream [java.io]


unread method [java.io.PushbackReader] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      unread method [java.io.PushbackReader]

Overloads:

 void unread( char[] cbuf )

 void unread( int c )

 void unread( char[] cbuf, int off, int len )

public void unread( char[] cbuf ) throws java.io.IOException

Push back an array of characters by copying it to the front of the pushback buffer.  After this method returns, the next character to be read will have the value cbuf[0], the character after that will have the value cbuf[1], and so forth.

Parameter

cbuf

Character array to push back

Throws

IOException

If there is insufficient room in the pushback buffer, or if some other I/O error occurs.

public void unread( int c ) throws java.io.IOException

Push back a single character.

Parameter

c

The character to push back

Throws

IOException

If the pushback buffer is full, or if some other I/O error occurs.

public void unread( char[] cbuf, int off, int len ) throws java.io.IOException

Push back a portion of an array of characters by copying it to the front of the pushback buffer.  After this method returns, the next character to be read will have the value cbuf[off], the character after that will have the value cbuf[off+1], and so forth.

Parameters

cbuf

Character array

off

Offset of first character to push back

len

Number of characters to push back

Throws

IOException

If there is insufficient room in the pushback buffer, or if some other I/O error occurs.

Applies to

 PushbackReader [java.io]


Unreferenced interface [java.rmi.server] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      Unreferenced interface [java.rmi.server]

Description

A remote object should implement this interface to receive notification when there are no more remote references to it.

Definition

public interface Unreferenced

{

  // Methods

  public void unreferenced( );

}

Methods

public void unreferenced( )

Called when there are no current references to this remote object.


UnsatisfiedLinkError class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      UnsatisfiedLinkError class [java.lang]

Object

Throwable

Error

LinkageError

UnsatisfiedLinkError

Description

Thrown if the Java Virtual Machine cannot find an appropriate native-language definition of a method declared native.

Specification

public class UnsatisfiedLinkError extends java.lang.LinkageError

Constructors

public UnsatisfiedLinkError( )

Constructs an UnsatisfiedLinkError with no detail message.

public UnsatisfiedLinkError( java.lang.String s )

Constructs an UnsatisfiedLinkError with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Runtime class [java.lang]


UnsupportedEncodingException class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      UnsupportedEncodingException class [java.io]

Object

Throwable

Exception

IOException

UnsupportedEncodingException

Description

The Character Encoding is not supported

Specification

public class UnsupportedEncodingException extends java.io.IOException

Constructors

public UnsupportedEncodingException( )

no detailed message

public UnsupportedEncodingException( java.lang.String s )

detailed message

Parameter

s

- detailed message

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


UnsupportedFlavorException class [java.awt.datatransfer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      UnsupportedFlavorException class [java.awt.datatransfer]

Object

Throwable

Exception

UnsupportedFlavorException

Description

Signals that the requested data is not supported in this flavor.

Specification

public class UnsupportedFlavorException extends java.lang.Exception

Constructor

public UnsupportedFlavorException( java.awt.datatransfer.DataFlavor flavor )

Constructs an UnsupportedFlavorException.

Parameter

flavor

the flavor object which caused the exception

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Transferable interface [java.awt.datatransfer]


update method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      update method [java.awt.Component]

public void update( java.awt.Graphics g )

Updates this component.

The AWT calls the update method in response to a call to repaint</code. The appearance of the component on the screen has not changed since the last call to update or paint. You can assume that the background is not cleared.

The updatemethod of Component does the following:

•	Clears this component by filling it with the background color.

•	Sets the color of the graphics context to be the foreground color of this component.

•	Calls this component's paint method to completely redraw this component.

The origin of the graphics context, its (0, 0) coordinate point, is the top-left corner of this component. The clipping region of the graphics context is the bounding rectangle of this component.

Parameter

g

the specified context to use for updating.

See also

paint method [java.awt.Component]

repaint method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


update method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      update method [java.awt.Container]

Overloads:

 void update( Graphics g ) overrides update method [java.awt.Component]

public void update( java.awt.Graphics g )

Updates the container.  This forwards the update to any lightweight components that are children of this container.  If this method is reimplemented, super.update(g) should be called so that lightweight components are properly rendered.  If a child component is entirely clipped by the current clipping setting in g, update() will not be forwarded to that child.

Parameter

g

the specified Graphics window

See also

update method [java.awt.Component]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


update method [java.security.MessageDigest] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      update method [java.security.MessageDigest]

Overloads:

 void update( byte[] input )

 void update( byte[] input, int offset, int len )

 void update( byte input )

public void update( byte[] input )

Updates the digest using the specified array of bytes.

Parameter

input

the array of bytes.

public void update( byte[] input, int offset, int len )

Updates the digest using the specified array of bytes, starting at the specified offset.

Parameters

input

the array of bytes.

offset

the offset to start from in the array of bytes.

len

the number of bytes to use, starting at offset.

public void update( byte input )

Updates the digest using the specified byte.

Parameter

input

the byte with which to update the digest.

Applies to

 MessageDigest [java.security]


update method [java.security.Signature] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      update method [java.security.Signature]

Overloads:

 void update( byte[] data, int off, int len )

 void update( byte b )

 void update( byte[] data )

public final void update( byte[] data, int off, int len ) throws java.security.SignatureException

Updates the data to be signed or verified, using the specified array of bytes, starting at the specified offset.

Parameters

data

the array of bytes.

off

the offset to start from in the array of bytes.

len

the number of bytes to use, starting at offset.

Throws

SignatureException

If this signature object is not initialized properly.

public final void update( byte b ) throws java.security.SignatureException

Updates the data to be signed or verified by a byte.

Parameter

b

the byte to use for the update.

Throws

SignatureException

If this signature object is not initialized properly.

public final void update( byte[] data ) throws java.security.SignatureException

Updates the data to be signed or verified, using the specified array of bytes.

Parameter

data

the byte array to use for the update.

Throws

SignatureException

If this signature object is not initialized properly.

Applies to

 Signature [java.security]


update method [java.util.zip.Adler32] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      update method [java.util.zip.Adler32]

Overloads:

 void update( byte[] b )

 void update( byte[] b, int off, int len )

 void update( int b )

public void update( byte[] b )

Updates checksum with specified array of bytes.

public native void update( byte[] b, int off, int len )

Updates checksum with specified array of bytes.

public void update( int b )

Updates checksum with specified byte.

Applies to

 Adler32 [java.util.zip]


update method [java.util.zip.CRC32] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      update method [java.util.zip.CRC32]

Overloads:

 void update( byte[] b, int off, int len )

 void update( int b )

 void update( byte[] b )

public native void update( byte[] b, int off, int len )

Updates CRC-32 with specified array of bytes.

public void update( int b )

Updates CRC-32 with specified byte.

public void update( byte[] b )

Updates CRC-32 with specified array of bytes.

Applies to

 CRC32 [java.util.zip]


updateRect property [java.awt.event.PaintEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      updateRect property [java.awt.event.PaintEvent]

public java.awt.Rectangle getUpdateRect( )

Returns the rectangle representing the area which needs to be repainted in response to this event.

Return

No documentation supplied in JDK.

public void setUpdateRect( java.awt.Rectangle updateRect )

Sets the rectangle representing the area which needs to be repainted in response to this event.

Parameter

updateRect

the rectangle area which needs to be repainted

Applies to

 PaintEvent [java.awt.event]


URL class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      URL class [java.net]

Object

URL

Description

Class URL represents a Uniform Resource Locator, a pointer to a "resource" on the World Wide Web. A resource can be something as simple as a file or a directory, or it can be a reference to a more complicated object, such as a query to a database or to a search engine. More information on the types of URLs and their formats can be found at:

http://www.ncsa.uiuc.edu/demoweb/url-primer.html

In general, a URL can be broken into several parts. The previous example of a URL indicates that the protocol to use is http (HyperText Transport Protocol) and that the information resides on a host machine named www.ncsa.uiuc.edu. The information on that host machine is named demoweb/url-primer.html. The exact meaning of this name on the host machine is both protocol dependent and host dependent. The information normally resides in a file, but it could be generated on the fly. This component of the URL is called the file component, even though the information is not necessarily in a file.

A URL can optionally specify a "port", which is the port number to which the TCP connection is made on the remote host machine. If the port is not specified, the default port for the protocol is used instead. For example, the default port for http is 80. An alternative port could be specified as:

http://www.ncsa.uiuc.edu:8080/demoweb/url-primer.html

A URL may have appended to it an "anchor", also known as a "ref" or a "reference". The anchor is indicated by the sharp sign character "#" followed by more characters. For example,

http://java.sun.com/index.html#chapter1

This anchor is not technically part of the URL. Rather, it indicates that after the specified resource is retrieved, the application is specifically interested in that part of the document that has the tag chapter1 attached to it. The meaning of a tag is resource specific.

An application can also specify a "relative URL", which contains only enough information to reach the resource relative to another URL. Relative URLs are frequently used within HTML pages. For example, if the contents of the URL:

http://java.sun.com/index.html contained within it the relative URL:

FAQ.html it would be a shorthand for:

http://java.sun.com/FAQ.html

The relative URL need not specify all the components of a URL. If the protocol, host name, or port number is missing, the value is inherited from the fully specified URL. The file component must be specified. The optional anchor is not inherited.

Specification

public final class URL extends java.lang.Object implements java.io.Serializable

Constructors

public URL( java.lang.String spec ) throws java.net.MalformedURLException

Creates a URL object from the String representation.

This constructor is equivalent to a call to the two-argument constructor with a null first argument.

Parameter

spec

the String to parse as a URL.

Throws

MalformedURLException

If the string specifies an unknown protocol.

public URL( java.net.URL context, java.lang.String spec ) throws java.net.MalformedURLException

Creates a URL by parsing the specification spec within a specified context. If the context argument is not null and the spec argument is a partial URL specification, then any of the strings missing components are inherited from the context argument.

The specification given by the String argument is parsed to determine if it specifies a protocol. If the String contains an ASCII colon ':' character before the first occurrence of an ASCII slash character '/', then the characters before the colon comprise the protocol.

•	If the spec argument does not specify a protocol:

•	If the context argument is not null, then the protocol is copied from the context argument.

•	If the context argument is null, then a MalformedURLException is thrown.

•	If the spec argument does specify a protocol:

•	If the context argument is null, or specifies a different protocol than the specification argument, the context argument is ignored.

•	If the context argument is not null and specifies the same protocol as the specification, the host, port number, and file are copied from the context argument into the newly created URL.

The constructor then searches for an appropriate stream protocol handler of type URLStreamHandler as outlined for:

java.net.URL#URL(java.lang.String, java.lang.String, int, java.lang.String) The stream protocol handler's parseURL method is called to parse the remaining fields of the specification that override any defaults set by the context argument.

Parameters

context

the context in which to parse the specification.

spec

a String representation of a URL.

Throws

MalformedURLException

If no protocol is specified, or an unknown protocol is found.

See also

URLStreamHandler class [java.net]

parseURL method [java.net.URLStreamHandler]

public URL( java.lang.String protocol, java.lang.String host, java.lang.String file ) throws java.net.MalformedURLException

Creates an absolute URL from the specified protocol name, host name, and file name. The default port for the specified protocol is used.

This method is equivalent to calling the four-argument constructor with the arguments being protocol, host, -1, and file.

Parameters

protocol

the protocol to use.

host

the host to connect to.

file

the file on that host.

Throws

MalformedURLException

If an unknown protocol is specified.

public URL( java.lang.String protocol, java.lang.String host, int port, java.lang.String file ) throws java.net.MalformedURLException

Creates a URL object from the specified protocol, host, port number, and file. Specifying a port number of -1 indicates that the URL should use the default port for the protocol.

If this is the first URL object being created with the specified protocol, a stream protocol handler object, an instance of class URLStreamHandler, is created for that protocol:

•	If the application has previously set up an instance of URLStreamHandlerFactory as the stream handler factory, then the createURLStreamHandler method of that instance is called with the protocol string as an argument to create the stream protocol handler.

•	If no URLStreamHandlerFactory has yet been set up, or if the factory's createURLStreamHandler method returns null, then the constructor finds the value of the system property:

java.handler.protol.pkgs If the value of that system property is not null, it is interpreted as a list of packages separated by a vertical slash character '|'. The constructor tries to load the class named:

<package >.<protocol >.Handler where <package > is replaced by the name of the package and <protocol > is replaced by the name of the protocol. If this class does not exist, or if the class exists but it is not a subclass of URLStreamHandler, then the next package in the list is tried.

•	If the previous step fails to find a protocol handler, then the constructor tries to load the class named:

sun.net.www.protocol.<protocol >.Handler If this class does not exist, or if the class exists but it is not a subclass of URLStreamHandler, then a MalformedURLException is thrown.

Parameters

protocol

the name of the protocol.

host

the name of the host.

port

the port number.

file

the host file.

Throws

MalformedURLException

If an unknown protocol is specified.

See also

getProperty method [java.lang.System]

URLStreamHandlerFactory property [java.net.URL]

URLStreamHandler class [java.net]

URLStreamHandlerFactory interface [java.net]

Properties

  final java.lang.Object getContent( ) throws java.io.IOException

  java.lang.String getFile( )

  java.lang.String getHost( )

  int getPort( )

  java.lang.String getProtocol( )

  java.lang.String getRef( )

  static synchronized void setURLStreamHandlerFactory( java.net.URLStreamHandlerFactory fac )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  boolean equals( java.lang.Object obj )

  int hashCode( )

  java.net.URLConnection openConnection( ) throws java.io.IOException

  final java.io.InputStream openStream( ) throws java.io.IOException

  boolean sameFile( java.net.URL other )

  java.lang.String toExternalForm( )

  java.lang.String toString( )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected void set( java.lang.String protocol, java.lang.String host, int port, java.lang.String file, java.lang.String ref )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


URL property [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      URL property [java.net.URLConnection]

public java.net.URL getURL( )

Returns the value of this URLConnection's URL field.

Return

The value of this URLConnection's URL field.

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


URLConnection class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      URLConnection class [java.net]

Object

URLConnection

Description

The abstract class URLConnection is the superclass of all classes that represent a communications link between the application and a URL. Instances of this class can be used both to read from and to write to the resource referenced by the URL. In general, creating a connection to a URL is a multistep process:

openConnection() 	connect()

Manipulate parameters that affect the connection to the remote resource. 	Interact with the resource; query header fields and contents.

 ---------------------------->
time

•	The connection object is created by invoking the openConnection method on a URL.

•	The setup parameters and general request properties are manipulated.

•	The actual connection to the remote object is made, using the connect method.

•	The remote object becomes available. The header fields and the contents of the remote object can be accessed.

The setup parameters are modified using the following methods:

•	setAllowUserInteraction

•	setDoInput

•	setDoOutput

•	setIfModifiedSince

•	setUseCaches

and the general request properties are modified using the method:

•	setRequestProperty

Default values for the AllowUserInteraction and UseCaches parameters can be set using the methods setDefaultAllowUserInteraction and setDefaultUseCaches. Default values for general request properties can be set using the setDefaultRequestProperty method.

Each of the above set methods has a corresponding get method to retrieve the value of the parameter or general request property. The specific parameters and general request properties that are applicable are protocol specific.

The following methods are used to access the header fields and the contents after the connection is made to the remote object:

•	getContent

•	getHeaderField

•	getInputStream

•	getOutputStream

Certain header fields are accessed frequently. The methods:

•	getContentEncoding

•	getContentLength

•	getContentType

•	getDate

•	getExpiration

•	getLastModified

provide convenient access to these fields. The getContentType method is used by the getContent method to determine the type of the remote object; subclasses may find it convenient to override the getContentType method.

In the common case, all of the pre-connection parameters and general request properties can be ignored: the pre-connection parameters and request properties default to sensible values. For most clients of this interface, there are only two interesting methods: getInputStream and getObject, which are mirrored in the URL class by convenience methods.

More information on the request properties and header fields of an http connection can be found at:

http://www.w3.org/hypertext/WWW/Protocols/HTTP1.0/draft-ietf-http-spec.html

Note about fileNameMap: In versions prior to JDK 1.1.6, field fileNameMap of URLConnection was public. In JDK 1.1.6 and later, fileNameMap is private; accessor method getFileNameMap() and mutator method setFileNameMap(FileNameMap) are added to access it. This change is also described on the   JDK 1.1.x Compatibility  page.

Specification

public abstract class URLConnection extends java.lang.Object

Constructor

protected URLConnection( java.net.URL url )

Constructs a URL connection to the specified URL. A connection to the object referenced by the URL is not created.

Parameter

url

the specified URL.

Variables

protected java.net.URL url

The URL represents the remote object on the World Wide Web to which this connection is opened.

The value of this field can be accessed by the getURL method.

The default value of this variable is the value of the URL argument in the URLConnection constructor.

protected boolean doInput

This variable is set by the setDoInput method. Its value is returned by the getDoInput method.

A URL connection can be used for input and/or output. Setting the doInput flag to true indicates that the application intends to read data from the URL connection.

The default value of this field is true.

protected boolean doOutput

This variable is set by the setDoOutput method. Its value is returned by the getDoInput method.

A URL connection can be used for input and/or output. Setting the doOutput flag to true indicates that the application intends to write data to the URL connection.

The default value of this field is false.

protected boolean allowUserInteraction

If true, this URL is being examined in a context in which it makes sense to allow user interactions such as popping up an authentication dialog. If false, then no user interaction is allowed.

The value of this field can be set by the setAllowUserInteraction method. Its value is returned by the getAllowUserInteraction method. Its default value is the value of the argument in the last invocation of the setDefaultAllowUserInteraction method.

protected boolean useCaches

If true, the protocol is allowed to use caching whenever it can. If false, the protocol must always try to get a fresh copy of the object.

This field is set by the setUseCaches method. Its value is returned by the getUseCaches method.

Its default value is the value given in the last invocation of the setDefaultUseCaches method.

protected long ifModifiedSince

Some protocols support skipping the fetching of the object unless the object has been modified more recently than a certain time.

A nonzero value gives a time as the number of seconds since January 1, 1970, GMT. The object is fetched only if it has been modified more recently than that time.

This variable is set by the setIfModifiedSince method. Its value is returned by the getIfModifiedSince method.

The default value of this field is 0, indicating that the fetching must always occur.

protected boolean connected

If false, this connection object has not created a communications link to the specified URL. If true, the communications link has been established.

Properties

  boolean getAllowUserInteraction( )

  void setAllowUserInteraction( boolean allowuserinteraction )

  java.lang.Object getContent( ) throws java.io.IOException

  java.lang.String getContentEncoding( )

  static synchronized void setContentHandlerFactory( java.net.ContentHandlerFactory fac )

  int getContentLength( )

  java.lang.String getContentType( )

  long getDate( )

  static boolean getDefaultAllowUserInteraction( )

  static void setDefaultAllowUserInteraction( boolean defaultallowuserinteraction )

  boolean getDefaultUseCaches( )

  void setDefaultUseCaches( boolean defaultusecaches )

  boolean getDoInput( )

  void setDoInput( boolean doinput )

  boolean getDoOutput( )

  void setDoOutput( boolean dooutput )

  long getExpiration( )

  static java.net.FileNameMap getFileNameMap( )

  static void setFileNameMap( java.net.FileNameMap map )

  java.lang.String getHeaderField( int n )

  java.lang.String getHeaderFieldKey( int n )

  long getIfModifiedSince( )

  void setIfModifiedSince( long ifmodifiedsince )

  java.io.InputStream getInputStream( ) throws java.io.IOException

  long getLastModified( )

  java.io.OutputStream getOutputStream( ) throws java.io.IOException

  java.net.URL getURL( )

  boolean getUseCaches( )

  void setUseCaches( boolean usecaches )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  abstract void connect( ) throws java.io.IOException

  static java.lang.String getDefaultRequestProperty( java.lang.String key )

  java.lang.String getHeaderField( java.lang.String name )

  long getHeaderFieldDate( java.lang.String name, long Default )

  int getHeaderFieldInt( java.lang.String name, int Default )

  java.lang.String getRequestProperty( java.lang.String key )

  static java.lang.String guessContentTypeFromStream( java.io.InputStream is ) throws java.io.IOException

  static void setDefaultRequestProperty( java.lang.String key, java.lang.String value )

  void setRequestProperty( java.lang.String key, java.lang.String value )

  java.lang.String toString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected static java.lang.String guessContentTypeFromName( java.lang.String fname )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

openConnection method [java.net.URL]

connect method [java.net.URLConnection]

content property [java.net.URLConnection]

contentEncoding property [java.net.URLConnection]

contentLength property [java.net.URLConnection]

contentType property [java.net.URLConnection]

date property [java.net.URLConnection]

expiration property [java.net.URLConnection]

headerField property [java.net.URLConnection]

inputStream property [java.net.URLConnection]

lastModified property [java.net.URLConnection]

outputStream property [java.net.URLConnection]

allowUserInteraction property [java.net.URLConnection]

setDefaultRequestProperty method [java.net.URLConnection]

defaultUseCaches property [java.net.URLConnection]

doInput property [java.net.URLConnection]

doOutput property [java.net.URLConnection]

ifModifiedSince property [java.net.URLConnection]

setRequestProperty method [java.net.URLConnection]

useCaches property [java.net.URLConnection]


URLEncoder class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      URLEncoder class [java.net]

Object

URLEncoder

Description

The class contains a utility method for converting a String into a MIME format called "x-www-form-urlencoded" format.

To convert a String, each character is examined in turn:

•	The ASCII characters 'a' through 'z', 'A' through 'Z', and '0' through '9' remain the same.

•	The space character ' ' is converted into a plus sign '+'.

•	All other characters are converted into the 3-character string "%xy ", where xy is the two-digit hexadecimal representation of the lower 8-bits of the character.

Specification

public class URLEncoder extends java.lang.Object

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  static java.lang.String encode( java.lang.String s )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


URLStreamHandler class [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      URLStreamHandler class [java.net]

Object

URLStreamHandler

Description

The abstract class URLStreamHandler is the common superclass for all stream protocol handlers. A stream protocol handler knows how to make a connection for a particular protocol type, such as http, ftp, or gopher.

In most cases, an instance of a URLStreamHandler subclass is not created directly by an application. Rather, the first time a protocol name is encountered when constructing a URL, the appropriate stream protocol handler is automatically loaded.

Specification

public abstract class URLStreamHandler extends java.lang.Object

Inherited Properties

  native final java.lang.Class getClass( )

Methods

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected abstract java.net.URLConnection openConnection( java.net.URL u ) throws java.io.IOException

 protected void parseURL( java.net.URL u, java.lang.String spec, int start, int limit )

 protected void setURL( java.net.URL u, java.lang.String protocol, java.lang.String host, int port, java.lang.String file, java.lang.String ref )

 protected java.lang.String toExternalForm( java.net.URL u )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


URLStreamHandlerFactory interface [java.net] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      URLStreamHandlerFactory interface [java.net]

Description

This interface defines a factory for URL stream protocol handlers.

It is used by the URL class to create a URLStreamHandler for a specific protocol.

Definition

public interface URLStreamHandlerFactory

{

  // Methods

  public java.net.URLStreamHandler createURLStreamHandler( java.lang.String protocol );

}

Methods

public java.net.URLStreamHandler createURLStreamHandler( java.lang.String protocol )

Creates a new URLStreamHandler instance with the specified protocol.

Parameter

protocol

the protocol (ftp, "http", "nntp", etc.).

Return

A URLStreamHandler for the specific protocol.

See also

URL class [java.net]

URLStreamHandler class [java.net]


URLStreamHandlerFactory property [java.net.URL] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      URLStreamHandlerFactory property [java.net.URL]

public static synchronized void setURLStreamHandlerFactory( java.net.URLStreamHandlerFactory fac )

Sets an application's URLStreamHandlerFactory. This method can be called at most once by an application.

The URLStreamHandlerFactory instance is used to construct a stream protocol handler from a protocol name.

Parameter

fac

the desired factory.

Throws

Error

If the application has already set a factory.

See also

URLStreamHandlerFactory interface [java.net]

Applies to

 URL [java.net]


useCaches property [java.net.URLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      useCaches property [java.net.URLConnection]

public boolean getUseCaches( )

Returns the value of this URLConnection's useCaches field.

Return

The value of this URLConnection's useCaches field.

public void setUseCaches( boolean usecaches )

Sets the value of the useCaches field of this URLConnection to the specified value.

Some protocols do caching of documents.  Occasionally, it is important to be able to "tunnel through" and ignore the caches (e.g., the "reload" button in a browser).  If the UseCaches flag on a connection is true, the connection is allowed to use whatever caches it can. If false, caches are to be ignored. The default value comes from DefaultUseCaches, which defaults to true.

Applies to

 HttpURLConnection [java.net]

 URLConnection [java.net]


useDaylightTime method [java.util.SimpleTimeZone] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      useDaylightTime method [java.util.SimpleTimeZone]

Overloads:

 boolean useDaylightTime( ) overrides useDaylightTime method [java.util.TimeZone]

public boolean useDaylightTime( )

Overrides TimeZone Queries if this time zone uses Daylight Savings Time.

Return

No documentation supplied in JDK.

Applies to

 SimpleTimeZone [java.util]


useDaylightTime method [java.util.TimeZone] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      useDaylightTime method [java.util.TimeZone]

public abstract boolean useDaylightTime( )

Queries if this time zone uses Daylight Savings Time.

Return

True if this time zone uses Daylight Savings Time, false, otherwise.

Applies to

 SimpleTimeZone [java.util]

 TimeZone [java.util]


usesShiftModifier method [java.awt.MenuShortcut] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      usesShiftModifier method [java.awt.MenuShortcut]

public boolean usesShiftModifier( )

Return whether this MenuShortcut must be invoked using the SHIFT key.

Return

No documentation supplied in JDK.

Applies to

 MenuShortcut [java.awt]


usingProxy method [java.net.HttpURLConnection] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      usingProxy method [java.net.HttpURLConnection]

public abstract boolean usingProxy( )

Indicates if the connection is going through a proxy.

Return

No documentation supplied in JDK.

Applies to

 HttpURLConnection [java.net]


UTC method [java.util.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      UTC method [java.util.Date]

public static long UTC( int year, int month, int date, int hrs, int min, int sec )

Note: UTC has been deprecated. As of JDK version 1.1, replaced by Calendar.set(year + 1900, month, date, hrs, min, sec) or GregorianCalendar(year + 1900, month, date, hrs, min, sec), using a UTC TimeZone, followed by Calendar.getTime().getTime().

Determines the date and time based on the arguments. The arguments are interpreted in UTC, not in the local time zone

Parameters

year

the year minus 1900.

month

the month between 0-11.

date

the day of the month between 1-31.

hrs

the hours between 0-23.

min

the minutes between 0-59.

sec

the seconds between 0-59.

Return

The number of milliseconds since January 1, 1970, 00:00:00 GMT for the date and time specified by the arguments.

See also

Calendar class [java.util]

Applies to

 Date [java.sql]

 Date [java.util]

 Time [java.sql]

 Timestamp [java.sql]


UTFDataFormatException class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     U
      UTFDataFormatException class [java.io]

Object

Throwable

Exception

IOException

UTFDataFormatException

Description

Signals that a malformed UTF-8 string has been read in a data input stream or by any class that implements the data input interface. See the writeUTF method for the format in which UTF-8 strings are read and written.

Specification

public class UTFDataFormatException extends java.io.IOException

Constructors

public UTFDataFormatException( )

Constructs a UTFDataFormatException with no detail message.

public UTFDataFormatException( java.lang.String s )

Constructs a UTFDataFormatException with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

DataInput interface [java.io]

readUTF method [java.io.DataInputStream]

IOException class [java.io]


V  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    V

 VAdjustable property [java.awt.ScrollPane]

 valid method [java.io.FileDescriptor]

 valid property [java.awt.Component]

 validate method [java.awt.Component]

 validate method [java.awt.Container]

 validateTree method [java.awt.Container]

 value property [java.awt.event.AdjustmentEvent]

 value property [java.awt.Scrollbar]

 value property [java.beans.PropertyEditorSupport]

 value property [java.rmi.dgc.Lease]

 value property [java.util.zip.Adler32]

 value property [java.util.zip.CRC32]

 valueOf method [java.lang.Boolean]

 valueOf method [java.lang.Byte]

 valueOf method [java.lang.Double]

 valueOf method [java.lang.Float]

 valueOf method [java.lang.Integer]

 valueOf method [java.lang.Long]

 valueOf method [java.lang.Short]

 valueOf method [java.lang.String]

 valueOf method [java.math.BigDecimal]

 valueOf method [java.math.BigInteger]

 valueOf method [java.sql.Date]

 valueOf method [java.sql.Time]

 valueOf method [java.sql.Timestamp]

 variant property [java.util.Locale]

 Vector class [java.util]

 verify method [java.security.Signature]

 VerifyError class [java.lang]

 version property [java.security.Provider]

 VetoableChangeEvent event [java.beans.VetoableChangeSupport]

 VetoableChangeListener interface [java.beans]

 VetoableChangeSupport class [java.beans]

 vgap property [java.awt.BorderLayout]

 vgap property [java.awt.CardLayout]

 vgap property [java.awt.FlowLayout]

 vgap property [java.awt.GridLayout]

 viewportSize property [java.awt.ScrollPane]

 VirtualMachineError class [java.lang]

 Visibility interface [java.beans]

 visible property [java.awt.Component]

 visible property [java.awt.Scrollbar]

 visibleAmount property [java.awt.Scrollbar]

 visibleIndex property [java.awt.List]

 VMID class [java.rmi.dgc]

 VMID property [java.rmi.dgc.Lease]

 Void class [java.lang]

 VScrollbarWidth property [java.awt.ScrollPane]


VAdjustable property [java.awt.ScrollPane] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      VAdjustable property [java.awt.ScrollPane]

public java.awt.Adjustable getVAdjustable( )

Returns the Adjustable object which represents the state of the vertical scrollbar. If the scrollbar display policy is "never", this method returns null.

Return

No documentation supplied in JDK.

Applies to

 ScrollPane [java.awt]


valid method [java.io.FileDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      valid method [java.io.FileDescriptor]

public native boolean valid( )

Tests if this file descriptor object is valid.

Return

true if the file descriptor object represents a valid, open file or socket; false otherwise.

Applies to

 FileDescriptor [java.io]


valid property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      valid property [java.awt.Component]

public boolean isValid( )

Determines whether this component is valid. Components are invalidated when they are first shown on the screen.

Return

true if the component is valid; false otherwise.

See also

validate method [java.awt.Component]

invalidate method [java.awt.Component]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


validate method [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      validate method [java.awt.Component]

public void validate( )

Ensures that this component has a valid layout.  This method is primarily intended to operate on instances of Container.

See also

invalidate method [java.awt.Component]

doLayout method [java.awt.Component]

LayoutManager interface [java.awt]

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


validate method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      validate method [java.awt.Container]

Overloads:

 void validate( ) overrides validate method [java.awt.Component]

public void validate( )

Validates this container and all of its subcomponents.

AWT uses validate to cause a container to lay out its subcomponents again after the components it contains have been added to or modified.

See also

validate method [java.awt.Component]

invalidate method [java.awt.Component]

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


validateTree method [java.awt.Container] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      validateTree method [java.awt.Container]

protected void validateTree( )

Recursively descends the container tree and recomputes the layout for any subtrees marked as needing it (those marked as invalid).  Synchronization should be provided by the method that calls this one:  validate.

Applies to

 Applet [java.applet]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Panel [java.awt]

 ScrollPane [java.awt]

 Window [java.awt]


value property [java.awt.event.AdjustmentEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      value property [java.awt.event.AdjustmentEvent]

public int getValue( )

Returns the current value in the adjustment event.

Return

No documentation supplied in JDK.

Applies to

 AdjustmentEvent [java.awt.event]


value property [java.awt.Scrollbar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      value property [java.awt.Scrollbar]

public int getValue( )

Gets the current value of this scroll bar.

Return

The current value of this scroll bar.

See also

minimum property [java.awt.Scrollbar]

maximum property [java.awt.Scrollbar]

public void setValue( int newValue )

Sets the value of this scroll bar to the specified value.

If the value supplied is less than the current minimum or greater than the current maximum, then one of those values is substituted, as appropriate.

Normally, a program should change a scroll bar's value only by calling setValues. The setValues method simultaneously and synchronously sets the minimum, maximum, visible amount, and value properties of a scroll bar, so that they are mutually consistent.

Parameter

newValue

the new value of the scroll bar.

See also

setValues method [java.awt.Scrollbar]

minimum property [java.awt.Scrollbar]

maximum property [java.awt.Scrollbar]

Applies to

 Scrollbar [java.awt]


value property [java.beans.PropertyEditorSupport] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      value property [java.beans.PropertyEditorSupport]

public java.lang.Object getValue( )

No documentation supplied in JDK

Return

The value of the property.

public void setValue( java.lang.Object value )

Set (or change) the object that is to be edited.

Parameter

value

The new target object to be edited. Note that this object should not be modified by the PropertyEditor, rather the PropertyEditor should create a new object to hold any modified value.

Applies to

 PropertyEditorSupport [java.beans]


value property [java.rmi.dgc.Lease] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      value property [java.rmi.dgc.Lease]

public long getValue( )

Returns the lease duration.

Return

No documentation supplied in JDK.

Applies to

 Lease [java.rmi.dgc]


value property [java.util.zip.Adler32] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      value property [java.util.zip.Adler32]

public long getValue( )

Returns checksum value.

Return

No documentation supplied in JDK.

Applies to

 Adler32 [java.util.zip]


value property [java.util.zip.CRC32] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      value property [java.util.zip.CRC32]

public long getValue( )

Returns CRC-32 value.

Return

No documentation supplied in JDK.

Applies to

 CRC32 [java.util.zip]


valueOf method [java.lang.Boolean] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      valueOf method [java.lang.Boolean]

public static java.lang.Boolean valueOf( java.lang.String s )

Returns the boolean value represented by the specified String. A new Boolean object is constructed. This Boolean contains the value true if the string argument is not null and is equal, ignoring case, to the string "true".

Parameter

s

a string.

Return

The Boolean value represented by the string.

Applies to

 Boolean [java.lang]


valueOf method [java.lang.Byte] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      valueOf method [java.lang.Byte]

Overloads:

 Byte valueOf( String s )

 Byte valueOf( String s, int radix )

public static java.lang.Byte valueOf( java.lang.String s ) throws java.lang.NumberFormatException

Assuming the specified String represents a byte, returns a new Byte object initialized to that value.  Throws an exception if the String cannot be parsed as a byte. The radix is assumed to be 10.

Parameter

s

the String containing the integer

Return

No documentation supplied in JDK.

Throws

NumberFormatException

If the String does not contain a parsable byte.

public static java.lang.Byte valueOf( java.lang.String s, int radix ) throws java.lang.NumberFormatException

Assuming the specified String represents a byte, returns a new Byte object initialized to that value.  Throws an exception if the String cannot be parsed as a byte.

Parameters

s

the String containing the integer

radix

the radix to be used

Return

No documentation supplied in JDK.

Throws

NumberFormatException

If the String does not contain a parsable byte.

Applies to

 Byte [java.lang]


valueOf method [java.lang.Double] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      valueOf method [java.lang.Double]

public static java.lang.Double valueOf( java.lang.String s ) throws java.lang.NumberFormatException

Returns a new Double value initialized to the value represented by the specified String.

Parameter

s

the string to be parsed.

Return

A newly constructed Double initialized to the value represented by the string argument.

Throws

NumberFormatException

If the string does not contain a parsable number.

Applies to

 Double [java.lang]


valueOf method [java.lang.Float] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      valueOf method [java.lang.Float]

public static java.lang.Float valueOf( java.lang.String s ) throws java.lang.NumberFormatException

Returns the floating point value represented by the specified String.

Parameter

s

the string to be parsed.

Return

A newly constructed Float initialized to the value represented by the String argument.

Throws

NumberFormatException

If the string does not contain a parsable number.

Applies to

 Float [java.lang]


valueOf method [java.lang.Integer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      valueOf method [java.lang.Integer]

Overloads:

 Integer valueOf( String s, int radix )

 Integer valueOf( String s )

public static java.lang.Integer valueOf( java.lang.String s, int radix ) throws java.lang.NumberFormatException

Returns a new Integer object initialized to the value of the specified String.  Throws an exception if the String cannot be parsed as an int.

Parameter

s

the string to be parsed.

Return

A newly constructed Integer initialized to the value represented by the string argument in the specified radix.

Throws

NumberFormatException

If the String does not contain a parsable integer.

public static java.lang.Integer valueOf( java.lang.String s ) throws java.lang.NumberFormatException

Returns a new Integer object initialized to the value of the specified String.  Throws an exception if the String cannot be parsed as an int. The radix is assumed to be 10.

Parameter

s

the string to be parsed.

Return

A newly constructed Integer initialized to the value represented by the string argument.

Throws

NumberFormatException

If the string does not contain a parsable integer.

Applies to

 Integer [java.lang]


valueOf method [java.lang.Long] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      valueOf method [java.lang.Long]

Overloads:

 Long valueOf( String s )

 Long valueOf( String s, int radix )

public static java.lang.Long valueOf( java.lang.String s ) throws java.lang.NumberFormatException

Returns a new long object initialized to the value of the specified String. Throws an exception if the String cannot be parsed as a long. The radix is assumed to be 10.

Parameter

s

the string to be parsed.

Return

A newly constructed Long initialized to the value represented by the string argument.

Throws

NumberFormatException

If the String does not contain a parsable long.

public static java.lang.Long valueOf( java.lang.String s, int radix ) throws java.lang.NumberFormatException

Returns a new long object initialized to the value of the specified String. Throws an exception if the String cannot be parsed as a long.

Parameters

s

the String containing the long.

radix

the radix to be used.

Return

A newly constructed Long initialized to the value represented by the string argument in the specified radix.

Throws

NumberFormatException

If the String does not contain a parsable long.

Applies to

 Long [java.lang]


valueOf method [java.lang.Short] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      valueOf method [java.lang.Short]

Overloads:

 Short valueOf( String s, int radix )

 Short valueOf( String s )

public static java.lang.Short valueOf( java.lang.String s, int radix ) throws java.lang.NumberFormatException

Assuming the specified String represents a short, returns a new Short object initialized to that value.  Throws an exception if the String cannot be parsed as a short.

Parameters

s

the String containing the integer

radix

the radix to be used

Return

No documentation supplied in JDK.

Throws

NumberFormatException

If the String does not contain a parsable short.

public static java.lang.Short valueOf( java.lang.String s ) throws java.lang.NumberFormatException

Assuming the specified String represents a short, returns a new Short object initialized to that value.  Throws an exception if the String cannot be parsed as a short.

Parameter

s

the String containing the integer

Return

No documentation supplied in JDK.

Throws

NumberFormatException

If the String does not contain a parsable short.

Applies to

 Short [java.lang]


valueOf method [java.lang.String] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      valueOf method [java.lang.String]

Overloads:

 String valueOf( int i )

 String valueOf( boolean b )

 String valueOf( char c )

 String valueOf( double d )

 String valueOf( float f )

 String valueOf( long l )

 String valueOf( char[] data )

 String valueOf( Object obj )

 String valueOf( char[] data, int offset, int count )

public static java.lang.String valueOf( int i )

Returns the string representation of the int argument.

The representation is exactly the one returned by the Integer.toString method of one argument.

Parameter

i

an int.

Return

A newly allocated string containing a string representation of the int argument.

See also

toString method [java.lang.Integer]

public static java.lang.String valueOf( boolean b )

Returns the string representation of the boolean argument.

Parameter

b

a boolean.

Return

If the argument is true, a string equal to "true" is returned; otherwise, a string equal to "false" is returned.

public static java.lang.String valueOf( char c )

Returns the string representation of the char argument.

Parameter

c

a char.

Return

A newly allocated string of length 1 containing as its single character the argument c.

public static java.lang.String valueOf( double d )

Returns the string representation of the double argument.

The representation is exactly the one returned by the Double.toString method of one argument.

Parameter

d

a double.

Return

A newly allocated string containing a string representation of the double argument.

See also

toString method [java.lang.Double]

public static java.lang.String valueOf( float f )

Returns the string representation of the float argument.

The representation is exactly the one returned by the Float.toString method of one argument.

Parameter

f

a float.

Return

A newly allocated string containing a string representation of the float argument.

See also

toString method [java.lang.Float]

public static java.lang.String valueOf( long l )

Returns the string representation of the long argument.

The representation is exactly the one returned by the Long.toString method of one argument.

Parameter

l

a long.

Return

A newly allocated string containing a string representation of the long argument.

See also

toString method [java.lang.Long]

public static java.lang.String valueOf( char[] data )

Returns the string representation of the char array argument.

Parameter

data

a char array.

Return

A newly allocated string representing the same sequence of characters contained in the character array argument.

public static java.lang.String valueOf( java.lang.Object obj )

Returns the string representation of the Object argument.

Parameter

obj

an Object.

Return

If the argument is null, then a string equal to "null"; otherwise, the value of obj.toString() is returned.

See also

toString method [java.lang.Object]

public static java.lang.String valueOf( char[] data, int offset, int count )

Returns the string representation of a specific subarray of the char array argument.

The offset argument is the index of the first character of the subarray. The count argument specifies the length of the subarray.

Parameters

data

the character array.

offset

the initial offset into the value of the String.

count

the length of the value of the String.

Return

A newly allocated string representing the sequence of characters contained in the subarray of the character array argument.

Applies to

 String [java.lang]


valueOf method [java.math.BigDecimal] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      valueOf method [java.math.BigDecimal]

Overloads:

 BigDecimal valueOf( long val, int scale )

 BigDecimal valueOf( long val )

public static java.math.BigDecimal valueOf( long val, int scale ) throws java.lang.NumberFormatException

Returns a BigDecimal with a value of (val/10**scale).  This factory is provided in preference to a (long) constructor because it allows for reuse of frequently used BigDecimals (like 0 and 1), obviating the need for exported constants.  A negative scale will result in a NumberFormatException.

Return

No documentation supplied in JDK.

public static java.math.BigDecimal valueOf( long val )

Returns a BigDecimal with the given value and a scale of zero. This factory is provided in preference to a (long) constructor because it allows for reuse of frequently used BigDecimals (like 0 and 1), obviating the need for exported constants.

Return

No documentation supplied in JDK.

Applies to

 BigDecimal [java.math]


valueOf method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      valueOf method [java.math.BigInteger]

public static java.math.BigInteger valueOf( long val )

Returns a BigInteger with the specified value.  This factory is provided in preference to a (long) constructor because it allows for reuse of frequently used BigIntegers (like 0 and 1), obviating the need for exported constants.

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


valueOf method [java.sql.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      valueOf method [java.sql.Date]

public static java.sql.Date valueOf( java.lang.String s )

Convert a string in JDBC date escape format to a Date value

Parameter

s

date in format yyyy-mm-dd

Return

Corresponding Date.

Applies to

 Date [java.sql]


valueOf method [java.sql.Time] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      valueOf method [java.sql.Time]

public static java.sql.Time valueOf( java.lang.String s )

Convert a string in JDBC time escape format to a Time value

Parameter

s

time in format hh:mm:ss

Return

Corresponding Time.

Applies to

 Time [java.sql]


valueOf method [java.sql.Timestamp] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      valueOf method [java.sql.Timestamp]

public static java.sql.Timestamp valueOf( java.lang.String s )

Convert a string in JDBC timestamp escape format to a Timestamp value

Parameter

s

timestamp in format yyyy-mm-dd hh:mm:ss.fffffffff

Return

Corresponding Timestamp.

Applies to

 Timestamp [java.sql]


variant property [java.util.Locale] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      variant property [java.util.Locale]

public java.lang.String getVariant( )

Getter for programmatic name of field.

Return

No documentation supplied in JDK.

See also

displayVariant property [java.util.Locale]

Applies to

 Locale [java.util]


Vector class [java.util] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      Vector class [java.util]

Object

Vector

Description

The Vector class implements a growable array of objects. Like an array, it contains components that can be accessed using an integer index. However, the size of a Vector can grow or shrink as needed to accommodate adding and removing items after the Vector has been created.

Each vector tries to optimize storage management by maintaining a capacity and a capacityIncrement. The capacity is always at least as large as the vector size; it is usually larger because as components are added to the vector, the vector's storage increases in chunks the size of capacityIncrement. An application can increase the capacity of a vector before inserting a large number of components; this reduces the amount of incremental reallocation.

Specification

public class Vector extends java.lang.Object implements java.lang.Cloneable, java.io.Serializable

Constructors

public Vector( )

Constructs an empty vector.

public Vector( int initialCapacity )

Constructs an empty vector with the specified initial capacity.

Parameter

initialCapacity

the initial capacity of the vector.

public Vector( int initialCapacity, int capacityIncrement )

Constructs an empty vector with the specified initial capacity and capacity increment.

Parameters

initialCapacity

the initial capacity of the vector.

capacityIncrement

the amount by which the capacity is increased when the vector overflows.

Variables

protected java.lang.Object[] elementData

The array buffer into which the components of the vector are stored. The capacity of the vector is the length of this array buffer.

protected int elementCount

The number of valid components in the vector.

protected int capacityIncrement

The amount by which the capacity of the vector is automatically incremented when its size becomes greater than its capacity. If the capacity increment is 0, the capacity of the vector is doubled each time it needs to grow.

Properties

  final boolean isEmpty( )

  final synchronized void setSize( int newSize )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  final synchronized void addElement( java.lang.Object obj )

  final int capacity( )

  synchronized java.lang.Object clone( )

  final boolean contains( java.lang.Object elem )

  final synchronized void copyInto( java.lang.Object[] anArray )

  final synchronized java.lang.Object elementAt( int index )

  final synchronized java.util.Enumeration elements( )

  final synchronized void ensureCapacity( int minCapacity )

  final synchronized java.lang.Object firstElement( )

  final int indexOf( java.lang.Object elem )

  final synchronized int indexOf( java.lang.Object elem, int index )

  final synchronized void insertElementAt( java.lang.Object obj, int index )

  final synchronized java.lang.Object lastElement( )

  final synchronized int lastIndexOf( java.lang.Object elem, int index )

  final int lastIndexOf( java.lang.Object elem )

  final synchronized void removeAllElements( )

  final synchronized boolean removeElement( java.lang.Object obj )

  final synchronized void removeElementAt( int index )

  final synchronized void setElementAt( java.lang.Object obj, int index )

  final int size( )

  final synchronized java.lang.String toString( )

  final synchronized void trimToSize( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void finalize( ) throws java.lang.Throwable


verify method [java.security.Signature] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      verify method [java.security.Signature]

public final boolean verify( byte[] signature ) throws java.security.SignatureException

Verifies the passed-in signature. The signature bytes are expected to be X.509-encoded.

A call to this method resets this signature object to the state it was in when previously initialized for verification via a call to initVerify(PublicKey). That is, the object is reset and available to verify another signature from the identity whose public key was specified in the call to initVerify.

Parameter

signature

the signature bytes to be verified.

Return

True if the signature was verified, false if not.

Throws

SignatureException

If this signature object is not initialized properly, or the passed-in signature is improperly encoded or of the wrong type, etc.

Applies to

 Signature [java.security]


VerifyError class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      VerifyError class [java.lang]

Object

Throwable

Error

LinkageError

VerifyError

Description

Thrown when the "verifier" detects that a class file, though well formed, contains some sort of internal inconsistency or security problem.

Specification

public class VerifyError extends java.lang.LinkageError

Constructors

public VerifyError( )

Constructs an VerifyError with no detail message.

public VerifyError( java.lang.String s )

Constructs an VerifyError with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


version property [java.security.Provider] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      version property [java.security.Provider]

public double getVersion( )

Returns the version number for this provider.

Return

The version number for this provider.

Applies to

 Provider [java.security]


VetoableChangeEvent event [java.beans.VetoableChangeSupport] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      VetoableChangeEvent event [java.beans.VetoableChangeSupport]

public synchronized void addVetoableChangeListener( java.beans.VetoableChangeListener listener )

Add a VetoableListener to the listener list.

Parameter

listener

The VetoableChangeListener to be added

public synchronized void removeVetoableChangeListener( java.beans.VetoableChangeListener listener )

Remove a VetoableChangeListener from the listener list.

Parameter

listener

The VetoableChangeListener to be removed

Applies to

 VetoableChangeSupport [java.beans]


VetoableChangeListener interface [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      VetoableChangeListener interface [java.beans]

Description

A VetoableChange event gets fired whenever a bean changes a "constrained" property.  You can register a VetoableChangeListener with a source bean so as to be notified of any constrained property updates.

Definition

public interface VetoableChangeListener extends java.util.EventListener

{

  // Methods

  public void vetoableChange( java.beans.PropertyChangeEvent evt ) throws java.beans.PropertyVetoException;

}

Methods

public void vetoableChange( java.beans.PropertyChangeEvent evt ) throws java.beans.PropertyVetoException

This method gets called when a constrained property is changed.

Parameter

evt

a PropertyChangeEvent object describing the event source and the property that has changed.

Throws

PropertyVetoException

If the recipient wishes the property change to be rolled back.


VetoableChangeSupport class [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      VetoableChangeSupport class [java.beans]

Object

VetoableChangeSupport

Description

This is a utility class that can be used by beans that support constrained properties.  You can use an instance of this class as a member field of your bean and delegate various work to it.

Specification

public class VetoableChangeSupport extends java.lang.Object implements java.io.Serializable

Constructor

public VetoableChangeSupport( java.lang.Object sourceBean )

No documentation supplied in JDK

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void fireVetoableChange( java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue ) throws java.beans.PropertyVetoException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

Events

  synchronized void addVetoableChangeListener( java.beans.VetoableChangeListener listener )

  synchronized void removeVetoableChangeListener( java.beans.VetoableChangeListener listener )


vgap property [java.awt.BorderLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      vgap property [java.awt.BorderLayout]

public int getVgap( )

Returns the vertical gap between components.

Return

No documentation supplied in JDK.

public void setVgap( int vgap )

Sets the vertical gap between components.

Parameter

vgap

the vertical gap between components

Applies to

 BorderLayout [java.awt]


vgap property [java.awt.CardLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      vgap property [java.awt.CardLayout]

public int getVgap( )

Gets the vertical gap between components.

Return

The vertical gap between components.

See also

hgap property [java.awt.CardLayout]

public void setVgap( int vgap )

Sets the vertical gap between components.

Parameter

vgap

the vertical gap between components.

See also

hgap property [java.awt.CardLayout]

Applies to

 CardLayout [java.awt]


vgap property [java.awt.FlowLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      vgap property [java.awt.FlowLayout]

public int getVgap( )

Gets the vertical gap between components.

Return

The vertical gap between components.

public void setVgap( int vgap )

Sets the vertical gap between components.

Parameter

vgap

the vertical gap between components

Applies to

 FlowLayout [java.awt]


vgap property [java.awt.GridLayout] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      vgap property [java.awt.GridLayout]

public int getVgap( )

Gets the vertical gap between components.

Return

The vertical gap between components.

public void setVgap( int vgap )

Sets the vertical gap between components to the specified value.

Parameter

vgap

the vertical gap between components.

Applies to

 GridLayout [java.awt]


viewportSize property [java.awt.ScrollPane] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      viewportSize property [java.awt.ScrollPane]

public java.awt.Dimension getViewportSize( )

Returns the current size of the scroll pane's view port.

Return

The size of the view port in pixels.

Applies to

 ScrollPane [java.awt]


VirtualMachineError class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      VirtualMachineError class [java.lang]

Object

Throwable

Error

VirtualMachineError

Description

Thrown to indicate that the Java Virtual Machine is broken or has run out of resources necessary for it to continue operating.

Specification

public abstract class VirtualMachineError extends java.lang.Error

Constructors

public VirtualMachineError( )

Constructs a VirtualMachineError with no detail message.

public VirtualMachineError( java.lang.String s )

Constructs a VirtualMachineError with the specified detail message.

Parameter

s

the detail message.

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


Visibility interface [java.beans] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      Visibility interface [java.beans]

Description

Under some circumstances a bean may be run on servers where a GUI is not available.  This interface can be used to query a bean to determine whether it absolutely needs a gui, and to advise the bean whether a GUI is available.

This interface is for expert developers, and is not needed for normal simple beans.  To avoid confusing end-users we avoid using getXXX setXXX design patterns for these methods.

Definition

public interface Visibility

{

  // Methods

  public boolean needsGui( );

  public void dontUseGui( );

  public void okToUseGui( );

  public boolean avoidingGui( );

}

Methods

public boolean needsGui( )

No documentation supplied in JDK

Return

True if the bean absolutely needs a GUI available in order to get its work done.

public void dontUseGui( )

This method instructs the bean that it should not use the Gui.

public void okToUseGui( )

This method instructs the bean that it is OK to use the Gui.

public boolean avoidingGui( )

No documentation supplied in JDK

Return

True if the bean is currently avoiding use of the Gui. e.g. due to a call on dontUseGui().


visible property [java.awt.Component] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      visible property [java.awt.Component]

public void setVisible( boolean b )

Shows or hides this component depending on the value of parameter b.

Parameter

b

If true, shows this component; otherwise, hides this component.

public boolean isVisible( )

Determines whether this component is visible. Components are initially visible, with the exception of top level components such as Frame objects.

Return

true if the component is visible; false otherwise.

Applies to

 Applet [java.applet]

 Button [java.awt]

 Canvas [java.awt]

 Checkbox [java.awt]

 Choice [java.awt]

 Component [java.awt]

 Container [java.awt]

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Label [java.awt]

 List [java.awt]

 Panel [java.awt]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextField [java.awt]

 Window [java.awt]


visible property [java.awt.Scrollbar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      visible property [java.awt.Scrollbar]

Overloads:

  int getVisible( ) overrides visible property [java.awt.Component]

public int getVisible( )

Note: getVisible has been deprecated. As of JDK version 1.1, replaced by getVisibleAmount().

No documentation supplied in JDK

Return

No documentation supplied in JDK.

Applies to

 Scrollbar [java.awt]


visibleAmount property [java.awt.Scrollbar] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      visibleAmount property [java.awt.Scrollbar]

public int getVisibleAmount( )

Gets the visible amount of this scroll bar.

The visible amount of a scroll bar is the range of values represented by the width of the scroll bar's bubble. It is used to determine the scroll bar's block increment.

Return

The visible amount of this scroll bar.

public void setVisibleAmount( int newAmount )

Sets the visible amount of this scroll bar.

The visible amount of a scroll bar is the range of values represented by the width of the scroll bar's bubble. It is used to determine the scroll bar's block increment.

Normally, a program should change a scroll bar's value only by calling setValues. The setValues method simultaneously and synchronously sets the minimum, maximum, visible amount, and value properties of a scroll bar, so that they are mutually consistent.

Parameter

newAmount

the amount visible per page.

See also

setValues method [java.awt.Scrollbar]

Applies to

 Scrollbar [java.awt]


visibleIndex property [java.awt.List] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      visibleIndex property [java.awt.List]

public int getVisibleIndex( )

Gets the index of the item that was last made visible by the method makeVisible.

Return

The index of the item that was last made visible.

See also

makeVisible method [java.awt.List]

Applies to

 List [java.awt]


VMID class [java.rmi.dgc] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      VMID class [java.rmi.dgc]

Object

VMID

Description

A VMID is a identifier that is unique across all Java virtual machines.  VMIDs are used by the distributed garbage collector to identify client VMs.

Specification

public final class VMID extends java.lang.Object implements java.io.Serializable

Constructor

public VMID( )

Create a new VMID.  Each new VMID returned from this constructor is unique for all Java virtual machines under the following conditions: a) the conditions for uniqueness for objects of the class java.rmi.server.UID are satisfied, and b) an address can be obtained for this host that is unique and constant for the lifetime of this object.

The static method isUnique can be invoked to determine if an accurate address can be obtained for this host.

Properties

  static boolean isUnique( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  boolean equals( java.lang.Object obj )

  int hashCode( )

  java.lang.String toString( )

Inherited Methods

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


VMID property [java.rmi.dgc.Lease] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      VMID property [java.rmi.dgc.Lease]

public java.rmi.dgc.VMID getVMID( )

Returns the client VMID associated with the lease.

Return

No documentation supplied in JDK.

Applies to

 Lease [java.rmi.dgc]


Void class [java.lang] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      Void class [java.lang]

Object

Void

Description

The Void class is an uninstantiable placeholder class to hold a reference to the Class object representing the primitive Java type void.

Specification

public final class Void extends java.lang.Object

Variable

public static final java.lang.Class TYPE

The Class object representing the primitive Java type void.

Inherited Properties

  native final java.lang.Class getClass( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


VScrollbarWidth property [java.awt.ScrollPane] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     V
      VScrollbarWidth property [java.awt.ScrollPane]

public int getVScrollbarWidth( )

Returns the width that would be occupied by a vertical scrollbar, which is independent of whether it is currently displayed by the scroll pane or not.

Return

The width of a vertical scrollbar in pixels.

Applies to

 ScrollPane [java.awt]


W  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    W

 wait method [java.lang.Object]

 waitFor method [java.lang.Process]

 waitForAll method [java.awt.MediaTracker]

 waitForID method [java.awt.MediaTracker]

 warningString property [java.awt.Window]

 weekdays property [java.text.DateFormatSymbols]

 when property [java.awt.event.InputEvent]

 whitespaceChars method [java.io.StreamTokenizer]

 width property [java.awt.image.PixelGrabber]

 widths property [java.awt.FontMetrics]

 Window class [java.awt]

 window property [java.awt.event.WindowEvent]

 windowActivated method [java.awt.AWTEventMulticaster]

 windowActivated method [java.awt.event.WindowAdapter]

 WindowAdapter class [java.awt.event]

 windowClosed method [java.awt.AWTEventMulticaster]

 windowClosed method [java.awt.event.WindowAdapter]

 windowClosing method [java.awt.AWTEventMulticaster]

 windowClosing method [java.awt.event.WindowAdapter]

 windowDeactivated method [java.awt.AWTEventMulticaster]

 windowDeactivated method [java.awt.event.WindowAdapter]

 windowDeiconified method [java.awt.AWTEventMulticaster]

 windowDeiconified method [java.awt.event.WindowAdapter]

 WindowEvent class [java.awt.event]

 WindowEvent event [java.awt.Window]

 windowIconified method [java.awt.AWTEventMulticaster]

 windowIconified method [java.awt.event.WindowAdapter]

 WindowListener interface [java.awt.event]

 windowOpened method [java.awt.AWTEventMulticaster]

 windowOpened method [java.awt.event.WindowAdapter]

 WindowPeer interface [java.awt.peer]

 wordChars method [java.io.StreamTokenizer]

 wordInstance property [java.text.BreakIterator]

 write method [java.io.BufferedOutputStream]

 write method [java.io.BufferedWriter]

 write method [java.io.ByteArrayOutputStream]

 write method [java.io.CharArrayWriter]

 write method [java.io.DataOutputStream]

 write method [java.io.FileOutputStream]

 write method [java.io.FilterOutputStream]

 write method [java.io.FilterWriter]

 write method [java.io.ObjectOutputStream]

 write method [java.io.OutputStream]

 write method [java.io.OutputStreamWriter]

 write method [java.io.PipedOutputStream]

 write method [java.io.PipedWriter]

 write method [java.io.PrintStream]

 write method [java.io.PrintWriter]

 write method [java.io.RandomAccessFile]

 write method [java.io.StringWriter]

 write method [java.io.Writer]

 write method [java.rmi.server.LogStream]

 write method [java.rmi.server.ObjID]

 write method [java.rmi.server.UID]

 write method [java.security.DigestOutputStream]

 write method [java.util.zip.CheckedOutputStream]

 write method [java.util.zip.DeflaterOutputStream]

 write method [java.util.zip.GZIPOutputStream]

 write method [java.util.zip.ZipOutputStream]

 WriteAbortedException class [java.io]

 writeBoolean method [java.io.DataOutputStream]

 writeBoolean method [java.io.ObjectOutputStream]

 writeBoolean method [java.io.RandomAccessFile]

 writeByte method [java.io.DataOutputStream]

 writeByte method [java.io.ObjectOutputStream]

 writeByte method [java.io.RandomAccessFile]

 writeBytes method [java.io.DataOutputStream]

 writeBytes method [java.io.ObjectOutputStream]

 writeBytes method [java.io.RandomAccessFile]

 writeChar method [java.io.DataOutputStream]

 writeChar method [java.io.ObjectOutputStream]

 writeChar method [java.io.RandomAccessFile]

 writeChars method [java.io.DataOutputStream]

 writeChars method [java.io.ObjectOutputStream]

 writeChars method [java.io.RandomAccessFile]

 writeDouble method [java.io.DataOutputStream]

 writeDouble method [java.io.ObjectOutputStream]

 writeDouble method [java.io.RandomAccessFile]

 writeFloat method [java.io.DataOutputStream]

 writeFloat method [java.io.ObjectOutputStream]

 writeFloat method [java.io.RandomAccessFile]

 writeInt method [java.io.DataOutputStream]

 writeInt method [java.io.ObjectOutputStream]

 writeInt method [java.io.RandomAccessFile]

 writeLong method [java.io.DataOutputStream]

 writeLong method [java.io.ObjectOutputStream]

 writeLong method [java.io.RandomAccessFile]

 writeMethod property [java.beans.PropertyDescriptor]

 writeObject method [java.io.ObjectOutputStream]

 Writer class [java.io]

 writeShort method [java.io.DataOutputStream]

 writeShort method [java.io.ObjectOutputStream]

 writeShort method [java.io.RandomAccessFile]

 writeStreamHeader method [java.io.ObjectOutputStream]

 writeTo method [java.io.ByteArrayOutputStream]

 writeTo method [java.io.CharArrayWriter]

 writeUTF method [java.io.DataOutputStream]

 writeUTF method [java.io.ObjectOutputStream]

 writeUTF method [java.io.RandomAccessFile]


wait method [java.lang.Object] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      wait method [java.lang.Object]

Overloads:

 void wait( long timeout )

 void wait( )

 void wait( long timeout, int nanos )

public native final void wait( long timeout ) throws java.lang.InterruptedException

Waits to be notified by another thread of a change in this object.

The current thread must own this object's monitor. The thread releases ownership of this monitor and waits until either of the following two conditions has occurred:

•	Another thread notifies threads waiting on this object's monitor to wake up either through a call to the notify method or the notifyAll method.

•	The timeout period, specified by the timeout argument in milliseconds, has elapsed.

The thread then waits until it can re-obtain ownership of the monitor and resumes execution.

This method should only be called by a thread that is the owner of this object's monitor. See the notify method for a description of the ways in which a thread can become the owner of a monitor.

Parameter

timeout

the maximum time to wait in milliseconds.

Throws

IllegalArgumentException

If the value of timeout is negative.

IllegalMonitorStateException

If the current thread is not the owner of the object's monitor.

InterruptedException

If another thread has interrupted this thread.

See also

notify method [java.lang.Object]

notifyAll method [java.lang.Object]

public final void wait( ) throws java.lang.InterruptedException

Waits to be notified by another thread of a change in this object.

The current thread must own this object's monitor. The thread releases ownership of this monitor and waits until another thread notifies threads waiting on this object's monitor to wake up either through a call to the notify method or the notifyAll method. The thread then waits until it can re-obtain ownership of the monitor and resumes execution.

This method should only be called by a thread that is the owner of this object's monitor. See the notify method for a description of the ways in which a thread can become the owner of a monitor.

Throws

IllegalMonitorStateException

If the current thread is not the owner of the object's monitor.

InterruptedException

If another thread has interrupted this thread.

See also

notify method [java.lang.Object]

notifyAll method [java.lang.Object]

public final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Waits to be notified by another thread of a change in this object.

This method is similar to the wait method of one argument, but it allows finer control over the amount of time to wait for a notification before giving up.

The current thread must own this object's monitor. The thread releases ownership of this monitor and waits until either of the following two conditions has occurred:

•	Another thread notifies threads waiting on this object's monitor to wake up either through a call to the notify method or the notifyAll method.

•	The timeout period, specified by timeout milliseconds plus nanos nanoseconds arguments, has elapsed.

The thread then waits until it can re-obtain ownership of the monitor and resumes execution

This method should only be called by a thread that is the owner of this object's monitor. See the notify method for a description of the ways in which a thread can become the owner of a monitor.

Parameters

timeout

the maximum time to wait in milliseconds.

nano

additional time, in nanoseconds range 0-999999.

Throws

IllegalArgumentException

If the value of timeout is negative or the value of nanos is not in the range 0-999999.

IllegalMonitorStateException

If the current thread is not the owner of this object's monitor.

InterruptedException

If another thread has interrupted this thread.

Applies to

 AbstractMethodError [java.lang]

 AccessException [java.rmi]

 AclNotFoundException [java.security.acl]

 ActionEvent [java.awt.event]

 AdjustmentEvent [java.awt.event]

 Adler32 [java.util.zip]

 AlreadyBoundException [java.rmi]

 Applet [java.applet]

 AreaAveragingScaleFilter [java.awt.image]

 ArithmeticException [java.lang]

 Array [java.lang.reflect]

 ArrayIndexOutOfBoundsException [java.lang]

 ArrayStoreException [java.lang]

 AWTError [java.awt]

 AWTEvent [java.awt]

 AWTEventMulticaster [java.awt]

 AWTException [java.awt]

 BeanDescriptor [java.beans]

 Beans [java.beans]

 BigDecimal [java.math]

 BigInteger [java.math]

 BindException [java.net]

 BitSet [java.util]

 Boolean [java.lang]

 BorderLayout [java.awt]

 BreakIterator [java.text]

 BufferedInputStream [java.io]

 BufferedOutputStream [java.io]

 BufferedReader [java.io]

 BufferedWriter [java.io]

 Button [java.awt]

 Byte [java.lang]

 ByteArrayInputStream [java.io]

 ByteArrayOutputStream [java.io]

 Calendar [java.util]

 Canvas [java.awt]

 CardLayout [java.awt]

 Character [java.lang]

 CharArrayReader [java.io]

 CharArrayWriter [java.io]

 CharConversionException [java.io]

 Checkbox [java.awt]

 CheckboxGroup [java.awt]

 CheckboxMenuItem [java.awt]

 CheckedInputStream [java.util.zip]

 CheckedOutputStream [java.util.zip]

 Choice [java.awt]

 ChoiceFormat [java.text]

 Class [java.lang]

 ClassCastException [java.lang]

 ClassCircularityError [java.lang]

 ClassFormatError [java.lang]

 ClassLoader [java.lang]

 ClassNotFoundException [java.lang]

 Clipboard [java.awt.datatransfer]

 CloneNotSupportedException [java.lang]

 CollationElementIterator [java.text]

 CollationKey [java.text]

 Collator [java.text]

 Color [java.awt]

 ColorModel [java.awt.image]

 Compiler [java.lang]

 Component [java.awt]

 ComponentAdapter [java.awt.event]

 ComponentEvent [java.awt.event]

 ConnectException [java.net]

 ConnectException [java.rmi]

 ConnectIOException [java.rmi]

 Constructor [java.lang.reflect]

 Container [java.awt]

 ContainerAdapter [java.awt.event]

 ContainerEvent [java.awt.event]

 ContentHandler [java.net]

 CRC32 [java.util.zip]

 CropImageFilter [java.awt.image]

 Cursor [java.awt]

 DataFlavor [java.awt.datatransfer]

 DataFormatException [java.util.zip]

 DatagramPacket [java.net]

 DatagramSocket [java.net]

 DatagramSocketImpl [java.net]

 DataInputStream [java.io]

 DataOutputStream [java.io]

 DataTruncation [java.sql]

 Date [java.sql]

 Date [java.util]

 DateFormat [java.text]

 DateFormatSymbols [java.text]

 DateFormatZoneData [java.text.resources]

 DateFormatZoneData_ar [java.text.resources]

 DateFormatZoneData_be [java.text.resources]

 DateFormatZoneData_bg [java.text.resources]

 DateFormatZoneData_ca [java.text.resources]

 DateFormatZoneData_cs [java.text.resources]

 DateFormatZoneData_da [java.text.resources]

 DateFormatZoneData_de [java.text.resources]

 DateFormatZoneData_de_AT [java.text.resources]

 DateFormatZoneData_de_CH [java.text.resources]

 DateFormatZoneData_el [java.text.resources]

 DateFormatZoneData_en [java.text.resources]

 DateFormatZoneData_en_CA [java.text.resources]

 DateFormatZoneData_en_GB [java.text.resources]

 DateFormatZoneData_en_IE [java.text.resources]

 DateFormatZoneData_es [java.text.resources]

 DateFormatZoneData_et [java.text.resources]

 DateFormatZoneData_fi [java.text.resources]

 DateFormatZoneData_fr [java.text.resources]

 DateFormatZoneData_fr_BE [java.text.resources]

 DateFormatZoneData_fr_CA [java.text.resources]

 DateFormatZoneData_fr_CH [java.text.resources]

 DateFormatZoneData_hr [java.text.resources]

 DateFormatZoneData_hu [java.text.resources]

 DateFormatZoneData_is [java.text.resources]

 DateFormatZoneData_it [java.text.resources]

 DateFormatZoneData_it_CH [java.text.resources]

 DateFormatZoneData_iw [java.text.resources]

 DateFormatZoneData_ja [java.text.resources]

 DateFormatZoneData_ko [java.text.resources]

 DateFormatZoneData_lt [java.text.resources]

 DateFormatZoneData_lv [java.text.resources]

 DateFormatZoneData_mk [java.text.resources]

 DateFormatZoneData_nl [java.text.resources]

 DateFormatZoneData_nl_BE [java.text.resources]

 DateFormatZoneData_no [java.text.resources]

 DateFormatZoneData_no_NO_NY [java.text.resources]

 DateFormatZoneData_pl [java.text.resources]

 DateFormatZoneData_pt [java.text.resources]

 DateFormatZoneData_ro [java.text.resources]

 DateFormatZoneData_ru [java.text.resources]

 DateFormatZoneData_sh [java.text.resources]

 DateFormatZoneData_sk [java.text.resources]

 DateFormatZoneData_sl [java.text.resources]

 DateFormatZoneData_sq [java.text.resources]

 DateFormatZoneData_sr [java.text.resources]

 DateFormatZoneData_sv [java.text.resources]

 DateFormatZoneData_th [java.text.resources]

 DateFormatZoneData_tr [java.text.resources]

 DateFormatZoneData_uk [java.text.resources]

 DateFormatZoneData_zh [java.text.resources]

 DateFormatZoneData_zh_TW [java.text.resources]

 DecimalFormat [java.text]

 DecimalFormatSymbols [java.text]

 Deflater [java.util.zip]

 DeflaterOutputStream [java.util.zip]

 Dialog [java.awt]

 Dictionary [java.util]

 DigestException [java.security]

 DigestInputStream [java.security]

 DigestOutputStream [java.security]

 Dimension [java.awt]

 DirectColorModel [java.awt.image]

 Double [java.lang]

 DriverManager [java.sql]

 DriverPropertyInfo [java.sql]

 EmptyStackException [java.util]

 EOFException [java.io]

 Error [java.lang]

 Event [java.awt]

 EventObject [java.util]

 EventQueue [java.awt]

 EventSetDescriptor [java.beans]

 Exception [java.lang]

 ExceptionInInitializerError [java.lang]

 ExportException [java.rmi.server]

 FeatureDescriptor [java.beans]

 Field [java.lang.reflect]

 FieldPosition [java.text]

 File [java.io]

 FileDescriptor [java.io]

 FileDialog [java.awt]

 FileInputStream [java.io]

 FileNotFoundException [java.io]

 FileOutputStream [java.io]

 FileReader [java.io]

 FileWriter [java.io]

 FilteredImageSource [java.awt.image]

 FilterInputStream [java.io]

 FilterOutputStream [java.io]

 FilterReader [java.io]

 FilterWriter [java.io]

 Float [java.lang]

 FlowLayout [java.awt]

 FocusAdapter [java.awt.event]

 FocusEvent [java.awt.event]

 Font [java.awt]

 FontMetrics [java.awt]

 Format [java.text]

 Frame [java.awt]

 Graphics [java.awt]

 GregorianCalendar [java.util]

 GridBagConstraints [java.awt]

 GridBagLayout [java.awt]

 GridLayout [java.awt]

 GZIPInputStream [java.util.zip]

 GZIPOutputStream [java.util.zip]

 Hashtable [java.util]

 HttpURLConnection [java.net]

 Identity [java.security]

 IdentityScope [java.security]

 IllegalAccessError [java.lang]

 IllegalAccessException [java.lang]

 IllegalArgumentException [java.lang]

 IllegalComponentStateException [java.awt]

 IllegalMonitorStateException [java.lang]

 IllegalStateException [java.lang]

 IllegalThreadStateException [java.lang]

 Image [java.awt]

 ImageFilter [java.awt.image]

 IncompatibleClassChangeError [java.lang]

 IndexColorModel [java.awt.image]

 IndexedPropertyDescriptor [java.beans]

 IndexOutOfBoundsException [java.lang]

 InetAddress [java.net]

 Inflater [java.util.zip]

 InflaterInputStream [java.util.zip]

 InputEvent [java.awt.event]

 InputStream [java.io]

 InputStreamReader [java.io]

 Insets [java.awt]

 InstantiationError [java.lang]

 InstantiationException [java.lang]

 Integer [java.lang]

 InternalError [java.lang]

 InterruptedException [java.lang]

 InterruptedIOException [java.io]

 IntrospectionException [java.beans]

 Introspector [java.beans]

 InvalidClassException [java.io]

 InvalidKeyException [java.security]

 InvalidObjectException [java.io]

 InvalidParameterException [java.security]

 InvocationTargetException [java.lang.reflect]

 IOException [java.io]

 ItemEvent [java.awt.event]

 KeyAdapter [java.awt.event]

 KeyEvent [java.awt.event]

 KeyException [java.security]

 KeyManagementException [java.security]

 KeyPair [java.security]

 KeyPairGenerator [java.security]

 Label [java.awt]

 LastOwnerException [java.security.acl]

 Lease [java.rmi.dgc]

 LineNumberInputStream [java.io]

 LineNumberReader [java.io]

 LinkageError [java.lang]

 List [java.awt]

 ListResourceBundle [java.util]

 Locale [java.util]

 LocaleData [java.text.resources]

 LocaleElements [java.text.resources]

 LocaleElements_ar [java.text.resources]

 LocaleElements_be [java.text.resources]

 LocaleElements_bg [java.text.resources]

 LocaleElements_ca [java.text.resources]

 LocaleElements_cs [java.text.resources]

 LocaleElements_da [java.text.resources]

 LocaleElements_de [java.text.resources]

 LocaleElements_de_AT [java.text.resources]

 LocaleElements_de_AT_EURO [java.text.resources]

 LocaleElements_de_CH [java.text.resources]

 LocaleElements_de_DE_EURO [java.text.resources]

 LocaleElements_de_LU [java.text.resources]

 LocaleElements_de_LU_EURO [java.text.resources]

 LocaleElements_el [java.text.resources]

 LocaleElements_en [java.text.resources]

 LocaleElements_en_AU [java.text.resources]

 LocaleElements_en_CA [java.text.resources]

 LocaleElements_en_GB [java.text.resources]

 LocaleElements_en_IE [java.text.resources]

 LocaleElements_en_IE_EURO [java.text.resources]

 LocaleElements_en_NZ [java.text.resources]

 LocaleElements_en_ZA [java.text.resources]

 LocaleElements_es [java.text.resources]

 LocaleElements_es_AR [java.text.resources]

 LocaleElements_es_BO [java.text.resources]

 LocaleElements_es_CL [java.text.resources]

 LocaleElements_es_CO [java.text.resources]

 LocaleElements_es_CR [java.text.resources]

 LocaleElements_es_DO [java.text.resources]

 LocaleElements_es_EC [java.text.resources]

 LocaleElements_es_ES_EURO [java.text.resources]

 LocaleElements_es_GT [java.text.resources]

 LocaleElements_es_HN [java.text.resources]

 LocaleElements_es_MX [java.text.resources]

 LocaleElements_es_NI [java.text.resources]

 LocaleElements_es_PA [java.text.resources]

 LocaleElements_es_PE [java.text.resources]

 LocaleElements_es_PR [java.text.resources]

 LocaleElements_es_PY [java.text.resources]

 LocaleElements_es_SV [java.text.resources]

 LocaleElements_es_UY [java.text.resources]

 LocaleElements_es_VE [java.text.resources]

 LocaleElements_et [java.text.resources]

 LocaleElements_fi [java.text.resources]

 LocaleElements_fi_FI_EURO [java.text.resources]

 LocaleElements_fr [java.text.resources]

 LocaleElements_fr_BE [java.text.resources]

 LocaleElements_fr_BE_EURO [java.text.resources]

 LocaleElements_fr_CA [java.text.resources]

 LocaleElements_fr_CH [java.text.resources]

 LocaleElements_fr_FR_EURO [java.text.resources]

 LocaleElements_fr_LU [java.text.resources]

 LocaleElements_fr_LU_EURO [java.text.resources]

 LocaleElements_hr [java.text.resources]

 LocaleElements_hu [java.text.resources]

 LocaleElements_is [java.text.resources]

 LocaleElements_it [java.text.resources]

 LocaleElements_it_CH [java.text.resources]

 LocaleElements_it_IT_EURO [java.text.resources]

 LocaleElements_iw [java.text.resources]

 LocaleElements_ja [java.text.resources]

 LocaleElements_ko [java.text.resources]

 LocaleElements_lt [java.text.resources]

 LocaleElements_lv [java.text.resources]

 LocaleElements_mk [java.text.resources]

 LocaleElements_nl [java.text.resources]

 LocaleElements_nl_BE [java.text.resources]

 LocaleElements_nl_BE_EURO [java.text.resources]

 LocaleElements_nl_NL_EURO [java.text.resources]

 LocaleElements_no [java.text.resources]

 LocaleElements_no_NO_NY [java.text.resources]

 LocaleElements_pl [java.text.resources]

 LocaleElements_pt [java.text.resources]

 LocaleElements_pt_BR [java.text.resources]

 LocaleElements_pt_PT_EURO [java.text.resources]

 LocaleElements_ro [java.text.resources]

 LocaleElements_ru [java.text.resources]

 LocaleElements_sh [java.text.resources]

 LocaleElements_sk [java.text.resources]

 LocaleElements_sl [java.text.resources]

 LocaleElements_sq [java.text.resources]

 LocaleElements_sr [java.text.resources]

 LocaleElements_sv [java.text.resources]

 LocaleElements_th [java.text.resources]

 LocaleElements_tr [java.text.resources]

 LocaleElements_uk [java.text.resources]

 LocaleElements_zh [java.text.resources]

 LocaleElements_zh_TW [java.text.resources]

 LocateRegistry [java.rmi.registry]

 LogStream [java.rmi.server]

 Long [java.lang]

 MalformedURLException [java.net]

 MarshalException [java.rmi]

 Math [java.lang]

 MediaTracker [java.awt]

 MemoryImageSource [java.awt.image]

 Menu [java.awt]

 MenuBar [java.awt]

 MenuComponent [java.awt]

 MenuItem [java.awt]

 MenuShortcut [java.awt]

 MessageDigest [java.security]

 MessageFormat [java.text]

 Method [java.lang.reflect]

 MethodDescriptor [java.beans]

 MissingResourceException [java.util]

 Modifier [java.lang.reflect]

 MouseAdapter [java.awt.event]

 MouseEvent [java.awt.event]

 MouseMotionAdapter [java.awt.event]

 MulticastSocket [java.net]

 Naming [java.rmi]

 NegativeArraySizeException [java.lang]

 NoClassDefFoundError [java.lang]

 NoRouteToHostException [java.net]

 NoSuchAlgorithmException [java.security]

 NoSuchElementException [java.util]

 NoSuchFieldError [java.lang]

 NoSuchFieldException [java.lang]

 NoSuchMethodError [java.lang]

 NoSuchMethodException [java.lang]

 NoSuchObjectException [java.rmi]

 NoSuchProviderException [java.security]

 NotActiveException [java.io]

 NotBoundException [java.rmi]

 NotOwnerException [java.security.acl]

 NotSerializableException [java.io]

 NullPointerException [java.lang]

 Number [java.lang]

 NumberFormat [java.text]

 NumberFormatException [java.lang]

 Object [java.lang]

 ObjectInputStream [java.io]

 ObjectOutputStream [java.io]

 ObjectStreamClass [java.io]

 ObjectStreamException [java.io]

 ObjID [java.rmi.server]

 Observable [java.util]

 Operation [java.rmi.server]

 OptionalDataException [java.io]

 OutOfMemoryError [java.lang]

 OutputStream [java.io]

 OutputStreamWriter [java.io]

 PaintEvent [java.awt.event]

 Panel [java.awt]

 ParameterDescriptor [java.beans]

 ParseException [java.text]

 ParsePosition [java.text]

 PipedInputStream [java.io]

 PipedOutputStream [java.io]

 PipedReader [java.io]

 PipedWriter [java.io]

 PixelGrabber [java.awt.image]

 Point [java.awt]

 Polygon [java.awt]

 PopupMenu [java.awt]

 PrintJob [java.awt]

 PrintStream [java.io]

 PrintWriter [java.io]

 Process [java.lang]

 Properties [java.util]

 PropertyChangeEvent [java.beans]

 PropertyChangeSupport [java.beans]

 PropertyDescriptor [java.beans]

 PropertyEditorManager [java.beans]

 PropertyEditorSupport [java.beans]

 PropertyResourceBundle [java.util]

 PropertyVetoException [java.beans]

 ProtocolException [java.net]

 Provider [java.security]

 ProviderException [java.security]

 PushbackInputStream [java.io]

 PushbackReader [java.io]

 Random [java.util]

 RandomAccessFile [java.io]

 Reader [java.io]

 Rectangle [java.awt]

 RemoteException [java.rmi]

 RemoteObject [java.rmi.server]

 RemoteServer [java.rmi.server]

 RemoteStub [java.rmi.server]

 ReplicateScaleFilter [java.awt.image]

 ResourceBundle [java.util]

 RGBImageFilter [java.awt.image]

 RMIClassLoader [java.rmi.server]

 RMISecurityException [java.rmi]

 RMISecurityManager [java.rmi]

 RMISocketFactory [java.rmi.server]

 RuleBasedCollator [java.text]

 Runtime [java.lang]

 RuntimeException [java.lang]

 Scrollbar [java.awt]

 ScrollPane [java.awt]

 SecureRandom [java.security]

 Security [java.security]

 SecurityException [java.lang]

 SecurityManager [java.lang]

 SequenceInputStream [java.io]

 ServerCloneException [java.rmi.server]

 ServerError [java.rmi]

 ServerException [java.rmi]

 ServerNotActiveException [java.rmi.server]

 ServerRuntimeException [java.rmi]

 ServerSocket [java.net]

 Short [java.lang]

 Signature [java.security]

 SignatureException [java.security]

 Signer [java.security]

 SimpleBeanInfo [java.beans]

 SimpleDateFormat [java.text]

 SimpleTimeZone [java.util]

 SkeletonMismatchException [java.rmi.server]

 SkeletonNotFoundException [java.rmi.server]

 Socket [java.net]

 SocketException [java.net]

 SocketImpl [java.net]

 SocketSecurityException [java.rmi.server]

 SQLException [java.sql]

 SQLWarning [java.sql]

 Stack [java.util]

 StackOverflowError [java.lang]

 StreamCorruptedException [java.io]

 StreamTokenizer [java.io]

 String [java.lang]

 StringBuffer [java.lang]

 StringBufferInputStream [java.io]

 StringCharacterIterator [java.text]

 StringIndexOutOfBoundsException [java.lang]

 StringReader [java.io]

 StringSelection [java.awt.datatransfer]

 StringTokenizer [java.util]

 StringWriter [java.io]

 StubNotFoundException [java.rmi]

 SyncFailedException [java.io]

 System [java.lang]

 SystemColor [java.awt]

 TextArea [java.awt]

 TextComponent [java.awt]

 TextEvent [java.awt.event]

 TextField [java.awt]

 Thread [java.lang]

 ThreadDeath [java.lang]

 ThreadGroup [java.lang]

 Throwable [java.lang]

 Time [java.sql]

 Timestamp [java.sql]

 TimeZone [java.util]

 Toolkit [java.awt]

 TooManyListenersException [java.util]

 Types [java.sql]

 UID [java.rmi.server]

 UnexpectedException [java.rmi]

 UnicastRemoteObject [java.rmi.server]

 UnknownError [java.lang]

 UnknownHostException [java.net]

 UnknownHostException [java.rmi]

 UnknownServiceException [java.net]

 UnmarshalException [java.rmi]

 UnsatisfiedLinkError [java.lang]

 UnsupportedEncodingException [java.io]

 UnsupportedFlavorException [java.awt.datatransfer]

 URL [java.net]

 URLConnection [java.net]

 URLEncoder [java.net]

 URLStreamHandler [java.net]

 UTFDataFormatException [java.io]

 Vector [java.util]

 VerifyError [java.lang]

 VetoableChangeSupport [java.beans]

 VirtualMachineError [java.lang]

 VMID [java.rmi.dgc]

 Void [java.lang]

 Window [java.awt]

 WindowAdapter [java.awt.event]

 WindowEvent [java.awt.event]

 WriteAbortedException [java.io]

 Writer [java.io]

 ZipEntry [java.util.zip]

 ZipException [java.util.zip]

 ZipFile [java.util.zip]

 ZipInputStream [java.util.zip]

 ZipOutputStream [java.util.zip]


waitFor method [java.lang.Process] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      waitFor method [java.lang.Process]

public abstract int waitFor( ) throws java.lang.InterruptedException

Waits for the subprocess to complete. This method returns immediately if the subprocess has already terminated. If the subprocess has not yet terminated, the calling thread will be blocked until the subprocess exits.

Return

The exit value of the process.

Throws

InterruptedException

If the waitFor was interrupted.

Applies to

 Process [java.lang]


waitForAll method [java.awt.MediaTracker] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      waitForAll method [java.awt.MediaTracker]

Overloads:

 boolean waitForAll( long ms )

 void waitForAll( )

public synchronized boolean waitForAll( long ms ) throws java.lang.InterruptedException

Starts loading all images tracked by this media tracker. This method waits until all the images being tracked have finished loading, or until the length of time specified in milliseconds by the ms argument has passed.

If there is an error while loading or scaling an image, then that image is considered to have finished loading. Use the isErrorAny or isErrorID methods to check for errors.

Parameter

ms

the number of milliseconds to wait for the loading to complete.

Return

true if all images were successfully loaded; false otherwise.

Throws

InterruptedException

If another thread has interrupted this thread.

See also

waitForID method [java.awt.MediaTracker]

errorAny property [java.awt.MediaTracker]

isErrorID method [java.awt.MediaTracker]

public void waitForAll( ) throws java.lang.InterruptedException

Starts loading all images tracked by this media tracker. This method waits until all the images being tracked have finished loading.

If there is an error while loading or scaling an image, then that image is considered to have finished loading. Use the isErrorAny or isErrorID methods to check for errors.

Throws

InterruptedException

If another thread has interrupted this thread.

See also

waitForID method [java.awt.MediaTracker]

errorAny property [java.awt.MediaTracker]

isErrorID method [java.awt.MediaTracker]

Applies to

 MediaTracker [java.awt]


waitForID method [java.awt.MediaTracker] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      waitForID method [java.awt.MediaTracker]

Overloads:

 boolean waitForID( int id, long ms )

 void waitForID( int id )

public synchronized boolean waitForID( int id, long ms ) throws java.lang.InterruptedException

Starts loading all images tracked by this media tracker with the specified identifier. This method waits until all the images with the specified identifier have finished loading, or until the length of time specified in milliseconds by the ms argument has passed.

If there is an error while loading or scaling an image, then that image is considered to have finished loading. Use the statusID, isErrorID, and isErrorAny methods to check for errors.

Parameters

id

the identifier of the images to check.

ms

the length of time, in milliseconds, to wait for the loading to complete.

Return

No documentation supplied in JDK.

Throws

InterruptedException

If another thread has interrupted this thread.

See also

waitForAll method [java.awt.MediaTracker]

statusID method [java.awt.MediaTracker]

errorAny property [java.awt.MediaTracker]

isErrorID method [java.awt.MediaTracker]

public void waitForID( int id ) throws java.lang.InterruptedException

Starts loading all images tracked by this media tracker with the specified identifier. This method waits until all the images with the specified identifier have finished loading.

If there is an error while loading or scaling an image, then that image is considered to have finished loading. Use the isErrorAny and isErrorID methods to check for errors.

Parameter

id

the identifier of the images to check.

Throws

InterruptedException

If another thread has interrupted this thread.

See also

waitForAll method [java.awt.MediaTracker]

errorAny property [java.awt.MediaTracker]

isErrorID method [java.awt.MediaTracker]

Applies to

 MediaTracker [java.awt]


warningString property [java.awt.Window] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      warningString property [java.awt.Window]

public final java.lang.String getWarningString( )

Gets the warning string that is displayed with this window. If this window is insecure, the warning string is displayed somewhere in the visible area of the window. A window is insecure if there is a security manager, and the security manager's checkTopLevelWindow method returns false when this window is passed to it as an argument.

If the window is secure, then getWarningString returns null. If the window is insecure, this method checks for the system property awt.appletWarning and returns the string value of that property.

Return

The warning string for this window.

See also

checkTopLevelWindow method [java.lang.SecurityManager]

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Window [java.awt]


weekdays property [java.text.DateFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      weekdays property [java.text.DateFormatSymbols]

public java.lang.String[] getWeekdays( )

Gets weekday strings. For example: "Sunday", "Monday", etc.

Return

The weekday strings.

public void setWeekdays( java.lang.String[] newWeekdays )

Sets weekday strings. For example: "Sunday", "Monday", etc.

Parameter

newWeekdays

the new weekday strings.

Applies to

 DateFormatSymbols [java.text]


when property [java.awt.event.InputEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      when property [java.awt.event.InputEvent]

public long getWhen( )

Returns the timestamp of when this event occurred.

Return

No documentation supplied in JDK.

Applies to

 InputEvent [java.awt.event]

 KeyEvent [java.awt.event]

 MouseEvent [java.awt.event]


whitespaceChars method [java.io.StreamTokenizer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      whitespaceChars method [java.io.StreamTokenizer]

public void whitespaceChars( int low, int hi )

Specifies that all characters c in the range low <= c  <= high are white space characters. White space characters serve only to separate tokens in the input stream.

Parameters

low

the low end of the range.

hi

the high end of the range.

Applies to

 StreamTokenizer [java.io]


width property [java.awt.image.PixelGrabber] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      width property [java.awt.image.PixelGrabber]

public synchronized int getWidth( )

Get the width of the pixel buffer (after adjusting for image width). If no width was specified for the rectangle of pixels to grab then then this information will only be available after the image has delivered the dimensions.

Return

The final width used for the pixel buffer or -1 if the width is not yet known.

See also

status property [java.awt.image.PixelGrabber]

Applies to

 PixelGrabber [java.awt.image]


widths property [java.awt.FontMetrics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      widths property [java.awt.FontMetrics]

public int[] getWidths( )

Gets the advance widths of the first 256 characters in the Font. The advance width is the amount by which the current point is moved from one character to the next in a line of text.

Return

An array giving the advance widths of the characters in the font described by this font metric.

Applies to

 FontMetrics [java.awt]


Window class [java.awt] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      Window class [java.awt]

Object

Component

Container

Window

Description

A Window object is a top-level window with no borders and no menubar. It could be used to implement a pop-up menu. The default layout for a window is BorderLayout. A Window object blocks input to other application windows when it is shown.

Windows are capable of generating the following window events: WindowOpened, WindowClosed.

Specification

public class Window extends java.awt.Container

Constructor

public Window( java.awt.Frame parent )

Constructs a new invisible window.

The window is not initially visible. Call the show method to cause the window to become visible.

Parameter

parent

the main application frame.

See also

show method [java.awt.Component]

size property [java.awt.Component]

Properties

  synchronized void setCursor( java.awt.Cursor cursor )

  java.awt.Component getFocusOwner( )

  java.util.Locale getLocale( )

  boolean isShowing( )

  java.awt.Toolkit getToolkit( )

  final java.lang.String getWarningString( )

Inherited Properties

  float getAlignmentX( )

  float getAlignmentY( )

  java.awt.Color getBackground( )

  void setBackground( java.awt.Color c )

  java.awt.Rectangle getBounds( )

  void setBounds( java.awt.Rectangle r )

  native final java.lang.Class getClass( )

  java.awt.image.ColorModel getColorModel( )

  java.awt.Component getComponent( int n )

  int getComponentCount( )

  java.awt.Component[] getComponents( )

  void setEnabled( boolean b )

  boolean isEnabled( )

  boolean isFocusTraversable( )

  java.awt.Font getFont( )

  void setFont( java.awt.Font f )

  java.awt.Color getForeground( )

  void setForeground( java.awt.Color c )

  java.awt.Graphics getGraphics( )

  java.awt.Insets getInsets( )

  java.awt.LayoutManager getLayout( )

  void setLayout( java.awt.LayoutManager mgr )

  java.awt.Point getLocation( )

  void setLocation( java.awt.Point p )

  void setLocation( int x, int y )

  java.awt.Point getLocationOnScreen( )

  java.awt.Dimension getMaximumSize( )

  java.awt.Dimension getMinimumSize( )

  java.lang.String getName( )

  void setName( java.lang.String name )

  java.awt.Container getParent( )

  java.awt.peer.ComponentPeer getPeer( )

  java.awt.Dimension getPreferredSize( )

  java.awt.Dimension getSize( )

  void setSize( java.awt.Dimension d )

  void setSize( int width, int height )

  final java.lang.Object getTreeLock( )

  boolean isValid( )

  void setVisible( boolean b )

  boolean isVisible( )

Methods

  void addNotify( )

  void dispose( )

  void pack( )

  boolean postEvent( java.awt.Event e )

  void show( )

  void toBack( )

  void toFront( )

Inherited Methods

  boolean action( java.awt.Event evt, java.lang.Object what )

  synchronized void add( java.awt.PopupMenu popup )

  java.awt.Component add( java.awt.Component comp )

  void add( java.awt.Component comp, java.lang.Object constraints, int index )

  java.awt.Component add( java.lang.String name, java.awt.Component comp )

  java.awt.Component add( java.awt.Component comp, int index )

  void add( java.awt.Component comp, java.lang.Object constraints )

  java.awt.Rectangle bounds( )

  int checkImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  int checkImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  boolean contains( java.awt.Point p )

  boolean contains( int x, int y )

  int countComponents( )

  java.awt.Image createImage( java.awt.image.ImageProducer producer )

  java.awt.Image createImage( int width, int height )

  void deliverEvent( java.awt.Event e )

  void disable( )

  final void dispatchEvent( java.awt.AWTEvent e )

  void doLayout( )

  void enable( boolean b )

  void enable( )

  boolean equals( java.lang.Object obj )

  java.awt.Component getComponentAt( int x, int y )

  java.awt.Component getComponentAt( java.awt.Point p )

  java.awt.FontMetrics getFontMetrics( java.awt.Font font )

  boolean gotFocus( java.awt.Event evt, java.lang.Object what )

  boolean handleEvent( java.awt.Event evt )

  native int hashCode( )

  void hide( )

  boolean imageUpdate( java.awt.Image img, int flags, int x, int y, int w, int h )

  java.awt.Insets insets( )

  boolean inside( int x, int y )

  void invalidate( )

  boolean isAncestorOf( java.awt.Component c )

  boolean keyDown( java.awt.Event evt, int key )

  boolean keyUp( java.awt.Event evt, int key )

  void layout( )

  void list( )

  void list( java.io.PrintStream out, int indent )

  void list( java.io.PrintWriter out, int indent )

  void list( java.io.PrintWriter out )

  void list( java.io.PrintStream out )

  java.awt.Component locate( int x, int y )

  java.awt.Point location( )

  boolean lostFocus( java.awt.Event evt, java.lang.Object what )

  java.awt.Dimension minimumSize( )

  boolean mouseDown( java.awt.Event evt, int x, int y )

  boolean mouseDrag( java.awt.Event evt, int x, int y )

  boolean mouseEnter( java.awt.Event evt, int x, int y )

  boolean mouseExit( java.awt.Event evt, int x, int y )

  boolean mouseMove( java.awt.Event evt, int x, int y )

  boolean mouseUp( java.awt.Event evt, int x, int y )

  void move( int x, int y )

  void nextFocus( )

  native final void notify( )

  native final void notifyAll( )

  void paint( java.awt.Graphics g )

  void paintAll( java.awt.Graphics g )

  void paintComponents( java.awt.Graphics g )

  java.awt.Dimension preferredSize( )

  boolean prepareImage( java.awt.Image image, int width, int height, java.awt.image.ImageObserver observer )

  boolean prepareImage( java.awt.Image image, java.awt.image.ImageObserver observer )

  void print( java.awt.Graphics g )

  void printAll( java.awt.Graphics g )

  void printComponents( java.awt.Graphics g )

  synchronized void remove( java.awt.MenuComponent popup )

  void remove( java.awt.Component comp )

  void remove( int index )

  void removeAll( )

  void removeNotify( )

  void repaint( long tm, int x, int y, int width, int height )

  void repaint( long tm )

  void repaint( )

  void repaint( int x, int y, int width, int height )

  void requestFocus( )

  void reshape( int x, int y, int width, int height )

  void resize( int width, int height )

  void resize( java.awt.Dimension d )

  void setBounds( int x, int y, int width, int height )

  void show( boolean b )

  java.awt.Dimension size( )

  java.lang.String toString( )

  void transferFocus( )

  void update( java.awt.Graphics g )

  void validate( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected void processEvent( java.awt.AWTEvent e )

 protected void processWindowEvent( java.awt.event.WindowEvent e )

 protected void addImpl( java.awt.Component comp, java.lang.Object constraints, int index )

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected final void disableEvents( long eventsToDisable )

 protected final void enableEvents( long eventsToEnable )

 protected void finalize( ) throws java.lang.Throwable

 protected java.lang.String paramString( )

 protected void processComponentEvent( java.awt.event.ComponentEvent e )

 protected void processContainerEvent( java.awt.event.ContainerEvent e )

 protected void processFocusEvent( java.awt.event.FocusEvent e )

 protected void processKeyEvent( java.awt.event.KeyEvent e )

 protected void processMouseEvent( java.awt.event.MouseEvent e )

 protected void processMouseMotionEvent( java.awt.event.MouseEvent e )

 protected void validateTree( )

Events

  synchronized void addWindowListener( java.awt.event.WindowListener l )

  synchronized void removeWindowListener( java.awt.event.WindowListener l )

Inherited Events

  synchronized void addComponentListener( java.awt.event.ComponentListener l )

  synchronized void removeComponentListener( java.awt.event.ComponentListener l )

  synchronized void addContainerListener( java.awt.event.ContainerListener l )

  synchronized void removeContainerListener( java.awt.event.ContainerListener l )

  synchronized void addFocusListener( java.awt.event.FocusListener l )

  synchronized void removeFocusListener( java.awt.event.FocusListener l )

  synchronized void addKeyListener( java.awt.event.KeyListener l )

  synchronized void removeKeyListener( java.awt.event.KeyListener l )

  synchronized void addMouseListener( java.awt.event.MouseListener l )

  synchronized void removeMouseListener( java.awt.event.MouseListener l )

  synchronized void addMouseMotionListener( java.awt.event.MouseMotionListener l )

  synchronized void removeMouseMotionListener( java.awt.event.MouseMotionListener l )

See also

WindowEvent event [java.awt.Window]

BorderLayout class [java.awt]


window property [java.awt.event.WindowEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      window property [java.awt.event.WindowEvent]

public java.awt.Window getWindow( )

Returns the window where this event originated.

Return

No documentation supplied in JDK.

Applies to

 WindowEvent [java.awt.event]


windowActivated method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      windowActivated method [java.awt.AWTEventMulticaster]

public void windowActivated( java.awt.event.WindowEvent e )

Handles the windowActivated event by invoking the windowActivated methods on listener-a and listener-b.

Parameter

e

the window event

Applies to

 AWTEventMulticaster [java.awt]


windowActivated method [java.awt.event.WindowAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      windowActivated method [java.awt.event.WindowAdapter]

public void windowActivated( java.awt.event.WindowEvent e )

Applies to

 WindowAdapter [java.awt.event]


WindowAdapter class [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      WindowAdapter class [java.awt.event]

Object

WindowAdapter

Description

The adapter which receives window events. The methods in this class are empty;  this class is provided as a convenience for easily creating listeners by extending this class and overriding only the methods of interest.

Specification

public abstract class WindowAdapter extends java.lang.Object implements java.awt.event.WindowListener

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void windowActivated( java.awt.event.WindowEvent e )

  void windowClosed( java.awt.event.WindowEvent e )

  void windowClosing( java.awt.event.WindowEvent e )

  void windowDeactivated( java.awt.event.WindowEvent e )

  void windowDeiconified( java.awt.event.WindowEvent e )

  void windowIconified( java.awt.event.WindowEvent e )

  void windowOpened( java.awt.event.WindowEvent e )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


windowClosed method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      windowClosed method [java.awt.AWTEventMulticaster]

public void windowClosed( java.awt.event.WindowEvent e )

Handles the windowClosed event by invoking the windowClosed methods on listener-a and listener-b.

Parameter

e

the window event

Applies to

 AWTEventMulticaster [java.awt]


windowClosed method [java.awt.event.WindowAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      windowClosed method [java.awt.event.WindowAdapter]

public void windowClosed( java.awt.event.WindowEvent e )

Applies to

 WindowAdapter [java.awt.event]


windowClosing method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      windowClosing method [java.awt.AWTEventMulticaster]

public void windowClosing( java.awt.event.WindowEvent e )

Handles the windowClosing event by invoking the windowClosing methods on listener-a and listener-b.

Parameter

e

the window event

Applies to

 AWTEventMulticaster [java.awt]


windowClosing method [java.awt.event.WindowAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      windowClosing method [java.awt.event.WindowAdapter]

public void windowClosing( java.awt.event.WindowEvent e )

Applies to

 WindowAdapter [java.awt.event]


windowDeactivated method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      windowDeactivated method [java.awt.AWTEventMulticaster]

public void windowDeactivated( java.awt.event.WindowEvent e )

Handles the windowDeactivated event by invoking the windowDeactivated methods on listener-a and listener-b.

Parameter

e

the window event

Applies to

 AWTEventMulticaster [java.awt]


windowDeactivated method [java.awt.event.WindowAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      windowDeactivated method [java.awt.event.WindowAdapter]

public void windowDeactivated( java.awt.event.WindowEvent e )

Applies to

 WindowAdapter [java.awt.event]


windowDeiconified method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      windowDeiconified method [java.awt.AWTEventMulticaster]

public void windowDeiconified( java.awt.event.WindowEvent e )

Handles the windowDeiconfied event by invoking the windowDeiconified methods on listener-a and listener-b.

Parameter

e

the window event

Applies to

 AWTEventMulticaster [java.awt]


windowDeiconified method [java.awt.event.WindowAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      windowDeiconified method [java.awt.event.WindowAdapter]

public void windowDeiconified( java.awt.event.WindowEvent e )

Applies to

 WindowAdapter [java.awt.event]


WindowEvent class [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      WindowEvent class [java.awt.event]

Object

EventObject

AWTEvent

ComponentEvent

WindowEvent

Description

The window-level event.

Specification

public class WindowEvent extends java.awt.event.ComponentEvent

Constructor

public WindowEvent( java.awt.Window source, int id )

Constructs a WindowEvent object with the specified source window and type.

Parameter

source

the component where the event originated

Variables

public static final int WINDOW_FIRST

Marks the first integer id for the range of window event ids.

public static final int WINDOW_LAST

Marks the last integer id for the range of window event ids.

public static final int WINDOW_OPENED

The window opened event type.  This event is delivered only the first time a window is made visible.

public static final int WINDOW_CLOSING

The window closing event type. This event is delivered when the user selects "Quit" from the window's system menu.  If the program does not explicitly hide or destroy the window as a result of this event, the window close operation will be cancelled.

public static final int WINDOW_CLOSED

The window closed event type. This event is delivered after the window has been closed as the result of a call to hide or destroy.

public static final int WINDOW_ICONIFIED

The window iconified event type.

public static final int WINDOW_DEICONIFIED

The window deiconified event type.

public static final int WINDOW_ACTIVATED

The window activated event type.

public static final int WINDOW_DEACTIVATED

The window deactivated event type.

Properties

  java.awt.Window getWindow( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.awt.Component getComponent( )

  int getID( )

  java.lang.Object getSource( )

Protected Properties

 protected boolean isConsumed( )

Methods

  java.lang.String paramString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void consume( )

 protected void finalize( ) throws java.lang.Throwable


WindowEvent event [java.awt.Window] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      WindowEvent event [java.awt.Window]

public synchronized void addWindowListener( java.awt.event.WindowListener l )

Adds the specified window listener to receive window events from this window.

Parameter

l

the window listener

public synchronized void removeWindowListener( java.awt.event.WindowListener l )

Removes the specified window listener so that it no longer receives window events from this window.

Parameter

l

the window listener

Applies to

 Dialog [java.awt]

 FileDialog [java.awt]

 Frame [java.awt]

 Window [java.awt]


windowIconified method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      windowIconified method [java.awt.AWTEventMulticaster]

public void windowIconified( java.awt.event.WindowEvent e )

Handles the windowIconified event by invoking the windowIconified methods on listener-a and listener-b.

Parameter

e

the window event

Applies to

 AWTEventMulticaster [java.awt]


windowIconified method [java.awt.event.WindowAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      windowIconified method [java.awt.event.WindowAdapter]

public void windowIconified( java.awt.event.WindowEvent e )

Applies to

 WindowAdapter [java.awt.event]


WindowListener interface [java.awt.event] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      WindowListener interface [java.awt.event]

Description

The listener interface for receiving window events.

Definition

public interface WindowListener extends java.util.EventListener

{

  // Methods

  public void windowOpened( java.awt.event.WindowEvent e );

  public void windowClosing( java.awt.event.WindowEvent e );

  public void windowClosed( java.awt.event.WindowEvent e );

  public void windowIconified( java.awt.event.WindowEvent e );

  public void windowDeiconified( java.awt.event.WindowEvent e );

  public void windowActivated( java.awt.event.WindowEvent e );

  public void windowDeactivated( java.awt.event.WindowEvent e );

}

Methods

public void windowOpened( java.awt.event.WindowEvent e )

Invoked when a window has been opened.

public void windowClosing( java.awt.event.WindowEvent e )

Invoked when a window is in the process of being closed. The close operation can be overridden at this point.

public void windowClosed( java.awt.event.WindowEvent e )

Invoked when a window has been closed.

public void windowIconified( java.awt.event.WindowEvent e )

Invoked when a window is iconified.

public void windowDeiconified( java.awt.event.WindowEvent e )

Invoked when a window is de-iconified.

public void windowActivated( java.awt.event.WindowEvent e )

Invoked when a window is activated.

public void windowDeactivated( java.awt.event.WindowEvent e )

Invoked when a window is de-activated.

Implemented by

AWTEventMulticaster [java.awt]	WindowAdapter [java.awt.event]


windowOpened method [java.awt.AWTEventMulticaster] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      windowOpened method [java.awt.AWTEventMulticaster]

public void windowOpened( java.awt.event.WindowEvent e )

Handles the windowOpened event by invoking the windowOpened methods on listener-a and listener-b.

Parameter

e

the window event

Applies to

 AWTEventMulticaster [java.awt]


windowOpened method [java.awt.event.WindowAdapter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      windowOpened method [java.awt.event.WindowAdapter]

public void windowOpened( java.awt.event.WindowEvent e )

Applies to

 WindowAdapter [java.awt.event]


WindowPeer interface [java.awt.peer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      WindowPeer interface [java.awt.peer]

Definition

public interface WindowPeer extends java.awt.peer.ContainerPeer

{

  // Methods

  public void toFront( );

  public void toBack( );

}

Methods

public void toFront( )

public void toBack( )


wordChars method [java.io.StreamTokenizer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      wordChars method [java.io.StreamTokenizer]

public void wordChars( int low, int hi )

Specifies that all characters c in the range low <= c  <= high are word constituents. A word token consists of a word constituent followed by zero or more word constituents or number constituents.

Parameters

low

the low end of the range.

hi

the high end of the range.

Applies to

 StreamTokenizer [java.io]


wordInstance property [java.text.BreakIterator] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      wordInstance property [java.text.BreakIterator]

public static java.text.BreakIterator getWordInstance( )

Create BreakIterator for word-breaks using default locale. Returns an instance of a BreakIterator implementing word breaks. WordBreak  is usefull for word selection (ex. double click)

Return

A BreakIterator for word-breaks.

See also

default property [java.util.Locale]

Applies to

 BreakIterator [java.text]


write method [java.io.BufferedOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.io.BufferedOutputStream]

Overloads:

 void write( byte[] b, int off, int len ) overrides write method [java.io.FilterOutputStream]

 void write( int b ) overrides write method [java.io.FilterOutputStream]

Inherited overloads:

 void write( byte[] b )

 void write( byte[] b )

public synchronized void write( byte[] b, int off, int len ) throws java.io.IOException

Writes len bytes from the specified byte array starting at offset off to this buffered output stream.

Ordinarily this method stores bytes from the given array into this stream's buffer, flushing the buffer to the underlying output stream as needed.  If the requested length is at least as large as this stream's buffer, however, then this method will flush the buffer and write the bytes directly to the underlying output stream.  Thus redundant BufferedOutputStreams will not copy data unnecessarily.

Parameters

b

the data.

off

the start offset in the data.

len

the number of bytes to write.

Throws

IOException

If an I/O error occurs.

public synchronized void write( int b ) throws java.io.IOException

Writes the specified byte to this buffered output stream.

Parameter

b

the byte to be written.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedOutputStream [java.io]


write method [java.io.BufferedWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.io.BufferedWriter]

Overloads:

 void write( int c ) overrides write method [java.io.Writer]

 void write( String s, int off, int len ) overrides write method [java.io.Writer]

 void write( char[] cbuf, int off, int len ) overrides write method [java.io.Writer]

Inherited overloads:

 void write( String str )

 void write( char[] cbuf )

public void write( int c ) throws java.io.IOException

Write a single character.

Throws

IOException

If an I/O error occurs.

public void write( java.lang.String s, int off, int len ) throws java.io.IOException

Write a portion of a String.

Parameters

s

String to be written

off

Offset from which to start reading characters

len

Number of characters to be written

Throws

IOException

If an I/O error occurs.

public void write( char[] cbuf, int off, int len ) throws java.io.IOException

Write a portion of an array of characters.

Ordinarily this method stores characters from the given array into this stream's buffer, flushing the buffer to the underlying stream as needed.  If the requested length is at least as large as the buffer, however, then this method will flush the buffer and write the characters directly to the underlying stream.  Thus redundant BufferedWriters will not copy data unnecessarily.

Parameters

cbuf

A character array

off

Offset from which to start reading characters

len

Number of characters to write

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedWriter [java.io]


write method [java.io.ByteArrayOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.io.ByteArrayOutputStream]

Overloads:

 void write( byte[] b, int off, int len ) overrides write method [java.io.OutputStream]

 void write( int b ) overrides write method [java.io.OutputStream]

Inherited overloads:

 void write( byte[] b )

public synchronized void write( byte[] b, int off, int len )

Writes len bytes from the specified byte array starting at offset off to this byte array output stream.

Parameters

b

the data.

off

the start offset in the data.

len

the number of bytes to write.

public synchronized void write( int b )

Writes the specified byte to this byte array output stream.

Parameter

b

the byte to be written.

Applies to

 ByteArrayOutputStream [java.io]


write method [java.io.CharArrayWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.io.CharArrayWriter]

Overloads:

 void write( char[] c, int off, int len ) overrides write method [java.io.Writer]

 void write( String str, int off, int len ) overrides write method [java.io.Writer]

 void write( int c ) overrides write method [java.io.Writer]

Inherited overloads:

 void write( String str )

 void write( char[] cbuf )

public void write( char[] c, int off, int len )

Writes characters to the buffer.

Parameters

c

the data to be written

off

the start offset in the data

len

the number of chars that are written

public void write( java.lang.String str, int off, int len )

Write a portion of a string to the buffer.

Parameters

str

String to be written from

off

Offset from which to start reading characters

len

Number of characters to be written

public void write( int c )

Writes a character to the buffer.

Applies to

 CharArrayWriter [java.io]


write method [java.io.DataOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.io.DataOutputStream]

Overloads:

 void write( int b ) overrides write method [java.io.FilterOutputStream]

 void write( byte[] b, int off, int len ) overrides write method [java.io.FilterOutputStream]

Inherited overloads:

 void write( byte[] b )

 void write( byte[] b )

public synchronized void write( int b ) throws java.io.IOException

Writes the specified byte to the underlying output stream.

Parameter

b

the byte to be written.

Throws

IOException

If an I/O error occurs.

public synchronized void write( byte[] b, int off, int len ) throws java.io.IOException

Writes len bytes from the specified byte array starting at offset off to the underlying output stream.

Parameters

b

the data.

off

the start offset in the data.

len

the number of bytes to write.

Throws

IOException

If an I/O error occurs.

Applies to

 DataOutputStream [java.io]


write method [java.io.FileOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.io.FileOutputStream]

Overloads:

 void write( int b ) overrides write method [java.io.OutputStream]

 void write( byte[] b ) overrides write method [java.io.OutputStream]

 void write( byte[] b, int off, int len ) overrides write method [java.io.OutputStream]

public native void write( int b ) throws java.io.IOException

Writes the specified byte to this file output stream.

Parameter

b

the byte to be written.

Throws

IOException

If an I/O error occurs.

public void write( byte[] b ) throws java.io.IOException

Writes b.length bytes from the specified byte array to this file output stream.

Parameter

b

the data.

Throws

IOException

If an I/O error occurs.

public void write( byte[] b, int off, int len ) throws java.io.IOException

Writes len bytes from the specified byte array starting at offset off to this file output stream.

Parameters

b

the data.

off

the start offset in the data.

len

the number of bytes to write.

Throws

IOException

If an I/O error occurs.

Applies to

 FileOutputStream [java.io]


write method [java.io.FilterOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.io.FilterOutputStream]

Overloads:

 void write( int b ) overrides write method [java.io.OutputStream]

 void write( byte[] b ) overrides write method [java.io.OutputStream]

 void write( byte[] b, int off, int len ) overrides write method [java.io.OutputStream]

public void write( int b ) throws java.io.IOException

Writes the specified byte to this output stream.

The write method of FilterOutputStream calls the write method of its underlying output stream.

Parameter

b

the byte.

Throws

IOException

If an I/O error occurs.

public void write( byte[] b ) throws java.io.IOException

Writes b.length bytes to this output stream.

The write method of FilterOutputStream calls its write method of three arguments with the arguments b, 0, and b.length.

Note that this method does not call the one-argument write method of its underlying stream with the single argument b.

Parameter

b

the data to be written.

Throws

IOException

If an I/O error occurs.

public void write( byte[] b, int off, int len ) throws java.io.IOException

Writes len bytes from the specified byte array starting at offset off to this output stream.

The write method of FilterOutputStream calls the write method of one argument on each byte to output.

Note that this method does not call the write method of its underlying input stream with the same arguments. Subclasses of FilterOutputStream should provide a more efficient implementation of this method.

Parameters

b

the data.

off

the start offset in the data.

len

the number of bytes to write.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedOutputStream [java.io]

 CheckedOutputStream [java.util.zip]

 DataOutputStream [java.io]

 DeflaterOutputStream [java.util.zip]

 DigestOutputStream [java.security]

 FilterOutputStream [java.io]

 GZIPOutputStream [java.util.zip]

 LogStream [java.rmi.server]

 PrintStream [java.io]

 ZipOutputStream [java.util.zip]


write method [java.io.FilterWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.io.FilterWriter]

Overloads:

 void write( char[] cbuf, int off, int len ) overrides write method [java.io.Writer]

 void write( String str, int off, int len ) overrides write method [java.io.Writer]

 void write( int c ) overrides write method [java.io.Writer]

Inherited overloads:

 void write( String str )

 void write( char[] cbuf )

public void write( char[] cbuf, int off, int len ) throws java.io.IOException

Write a portion of an array of characters.

Parameters

cbuf

Buffer of characters to be written

off

Offset from which to start reading characters

len

Number of characters to be written

Throws

IOException

If an I/O error occurs.

public void write( java.lang.String str, int off, int len ) throws java.io.IOException

Write a portion of a string.

Parameters

str

String to be written

off

Offset from which to start reading characters

len

Number of characters to be written

Throws

IOException

If an I/O error occurs.

public void write( int c ) throws java.io.IOException

Write a single character.

Throws

IOException

If an I/O error occurs.

Applies to

 FilterWriter [java.io]


write method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.io.ObjectOutputStream]

Overloads:

 void write( int data ) overrides write method [java.io.OutputStream]

 void write( byte[] b, int off, int len ) overrides write method [java.io.OutputStream]

 void write( byte[] b ) overrides write method [java.io.OutputStream]

public void write( int data ) throws java.io.IOException

Writes a byte. This method will block until the byte is actually written.

Parameter

b

the byte

Throws

IOException

If an I/O error has occurred.

public void write( byte[] b, int off, int len ) throws java.io.IOException

Writes a sub array of bytes.

Parameters

b

the data to be written

off

the start offset in the data

len

the number of bytes that are written

Throws

IOException

If an I/O error has occurred.

public void write( byte[] b ) throws java.io.IOException

Writes an array of bytes. This method will block until the bytes are actually written.

Parameter

b

the data to be written

Throws

IOException

If an I/O error has occurred.

Applies to

 ObjectOutputStream [java.io]


write method [java.io.OutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.io.OutputStream]

Overloads:

 void write( int b )

 void write( byte[] b )

 void write( byte[] b, int off, int len )

public abstract void write( int b ) throws java.io.IOException

Writes the specified byte to this output stream.

Subclasses of OutputStream must provide an implementation for this method.

Parameter

b

the byte.

Throws

IOException

If an I/O error occurs.

public void write( byte[] b ) throws java.io.IOException

Writes b.length bytes from the specified byte array to this output stream.

The write method of OutputStream calls the write method of three arguments with the three arguments b, 0, and b.length.

Parameter

b

the data.

Throws

IOException

If an I/O error occurs.

public void write( byte[] b, int off, int len ) throws java.io.IOException

Writes len bytes from the specified byte array starting at offset off to this output stream.

The write method of OutputStream calls the write method of one argument on each of the bytes to be written out. Subclasses are encouraged to override this method and provide a more efficient implementation.

Parameters

b

the data.

off

the start offset in the data.

len

the number of bytes to write.

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedOutputStream [java.io]

 ByteArrayOutputStream [java.io]

 CheckedOutputStream [java.util.zip]

 DataOutputStream [java.io]

 DeflaterOutputStream [java.util.zip]

 DigestOutputStream [java.security]

 FileOutputStream [java.io]

 FilterOutputStream [java.io]

 GZIPOutputStream [java.util.zip]

 LogStream [java.rmi.server]

 ObjectOutputStream [java.io]

 OutputStream [java.io]

 PipedOutputStream [java.io]

 PrintStream [java.io]

 ZipOutputStream [java.util.zip]


write method [java.io.OutputStreamWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.io.OutputStreamWriter]

Overloads:

 void write( String str, int off, int len ) overrides write method [java.io.Writer]

 void write( char[] cbuf, int off, int len ) overrides write method [java.io.Writer]

 void write( int c ) overrides write method [java.io.Writer]

Inherited overloads:

 void write( String str )

 void write( char[] cbuf )

public void write( java.lang.String str, int off, int len ) throws java.io.IOException

Write a portion of a string.

Parameters

str

A String

off

Offset from which to start writing characters

len

Number of characters to write

Throws

IOException

If an I/O error occurs.

public void write( char[] cbuf, int off, int len ) throws java.io.IOException

Write a portion of an array of characters.

Parameters

cbuf

Buffer of characters

off

Offset from which to start writing characters

len

Number of characters to write

Throws

IOException

If an I/O error occurs.

public void write( int c ) throws java.io.IOException

Write a single character.

Throws

IOException

If an I/O error occurs.

Applies to

 FileWriter [java.io]

 OutputStreamWriter [java.io]


write method [java.io.PipedOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.io.PipedOutputStream]

Overloads:

 void write( int b ) overrides write method [java.io.OutputStream]

 void write( byte[] b, int off, int len ) overrides write method [java.io.OutputStream]

Inherited overloads:

 void write( byte[] b )

public void write( int b ) throws java.io.IOException

Writes the specified byte to the piped output stream.

Parameter

b

the byte to be written.

Throws

IOException

If an I/O error occurs.

public void write( byte[] b, int off, int len ) throws java.io.IOException

Writes len bytes from the specified byte array starting at offset off to this piped output stream.

Parameters

b

the data.

off

the start offset in the data.

len

the number of bytes to write.

Throws

IOException

If an I/O error occurs.

Applies to

 PipedOutputStream [java.io]


write method [java.io.PipedWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.io.PipedWriter]

Overloads:

 void write( char[] cbuf, int off, int len ) overrides write method [java.io.Writer]

Inherited overloads:

 void write( String str )

 void write( String str, int off, int len )

 void write( int c )

 void write( char[] cbuf )

public void write( char[] cbuf, int off, int len ) throws java.io.IOException

Write a portion of an array of characters.

Parameters

cbuf

Array of characters

off

Offset from which to start writing characters

len

Number of characters to write

Throws

IOException

If an I/O error occurs.

Applies to

 PipedWriter [java.io]


write method [java.io.PrintStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.io.PrintStream]

Overloads:

 void write( byte[] buf, int off, int len ) overrides write method [java.io.FilterOutputStream]

 void write( int b ) overrides write method [java.io.FilterOutputStream]

Inherited overloads:

 void write( byte[] b )

 void write( byte[] b )

public void write( byte[] buf, int off, int len )

Write a portion of a byte array, blocking if necessary.

Parameters

buf

A byte array

off

Offset from which to start taking bytes

len

Number of bytes to write

public void write( int b )

Write a byte, blocking if necessary.  If the character is a newline and automatic flushing is enabled, the stream's flush method will be called.

Note that the byte is written as given; to write a character that will be translated according to the platform's default character encoding, use the print(char) or println(char) methods.

Parameter

b

The byte to be written

See also

print method [java.io.PrintStream]

println method [java.io.PrintStream]

Applies to

 LogStream [java.rmi.server]

 PrintStream [java.io]


write method [java.io.PrintWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.io.PrintWriter]

Overloads:

 void write( String s ) overrides write method [java.io.Writer]

 void write( char[] buf, int off, int len ) overrides write method [java.io.Writer]

 void write( char[] buf ) overrides write method [java.io.Writer]

 void write( String s, int off, int len ) overrides write method [java.io.Writer]

 void write( int c ) overrides write method [java.io.Writer]

public void write( java.lang.String s )

Write a string.  This method cannot be inherited from the Writer class because it must suppress I/O exceptions.

public void write( char[] buf, int off, int len )

Write a portion of an array of characters. *

public void write( char[] buf )

Write an array of characters.  This method cannot be inherited from the Writer class because it must suppress I/O exceptions.

public void write( java.lang.String s, int off, int len )

Write a portion of a string. *

public void write( int c )

Write a single character. *

Applies to

 PrintWriter [java.io]


write method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.io.RandomAccessFile]

Overloads:

 void write( int b )

 void write( byte[] b )

 void write( byte[] b, int off, int len )

public native void write( int b ) throws java.io.IOException

Writes the specified byte to this file.

Parameter

b

the byte to be written.

Throws

IOException

If an I/O error occurs.

public void write( byte[] b ) throws java.io.IOException

Writes b.length bytes from the specified byte array starting at offset off to this file.

Parameter

b

the data.

Throws

IOException

If an I/O error occurs.

public void write( byte[] b, int off, int len ) throws java.io.IOException

Writes len bytes from the specified byte array starting at offset off to this file.

Parameters

b

the data.

off

the start offset in the data.

len

the number of bytes to write.

Throws

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


write method [java.io.StringWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.io.StringWriter]

Overloads:

 void write( String str ) overrides write method [java.io.Writer]

 void write( String str, int off, int len ) overrides write method [java.io.Writer]

 void write( int c ) overrides write method [java.io.Writer]

 void write( char[] cbuf, int off, int len ) overrides write method [java.io.Writer]

Inherited overloads:

 void write( char[] cbuf )

public void write( java.lang.String str )

Write a string.

public void write( java.lang.String str, int off, int len )

Write a portion of a string.

Parameters

str

String to be written

off

Offset from which to start writing characters

len

Number of characters to write

public void write( int c )

Write a single character.

public void write( char[] cbuf, int off, int len )

Write a portion of an array of characters.

Parameters

cbuf

Array of characters

off

Offset from which to start writing characters

len

Number of characters to write

Applies to

 StringWriter [java.io]


write method [java.io.Writer] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.io.Writer]

Overloads:

 void write( char[] cbuf, int off, int len )

 void write( String str )

 void write( String str, int off, int len )

 void write( int c )

 void write( char[] cbuf )

public abstract void write( char[] cbuf, int off, int len ) throws java.io.IOException

Write a portion of an array of characters.

Parameters

cbuf

Array of characters

off

Offset from which to start writing characters

len

Number of characters to write

Throws

IOException

If an I/O error occurs.

public void write( java.lang.String str ) throws java.io.IOException

Write a string.

Parameter

str

String to be written

Throws

IOException

If an I/O error occurs.

public void write( java.lang.String str, int off, int len ) throws java.io.IOException

Write a portion of a string.

Parameters

str

A String

off

Offset from which to start writing characters

len

Number of characters to write

Throws

IOException

If an I/O error occurs.

public void write( int c ) throws java.io.IOException

Write a single character.  The character to be written is contained in the 16 low-order bits of the given integer value; the 16 high-order bits are ignored.

Subclasses that intend to support efficient single-character output should override this method.

Throws

IOException

If an I/O error occurs.

public void write( char[] cbuf ) throws java.io.IOException

Write an array of characters.

Parameter

cbuf

Array of characters to be written

Throws

IOException

If an I/O error occurs.

Applies to

 BufferedWriter [java.io]

 CharArrayWriter [java.io]

 FileWriter [java.io]

 FilterWriter [java.io]

 OutputStreamWriter [java.io]

 PipedWriter [java.io]

 PrintWriter [java.io]

 StringWriter [java.io]

 Writer [java.io]


write method [java.rmi.server.LogStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.rmi.server.LogStream]

Overloads:

 void write( int b ) overrides write method [java.io.PrintStream]

 void write( byte[] b, int off, int len ) overrides write method [java.io.PrintStream]

Inherited overloads:

 void write( byte[] b )

 void write( byte[] b )

public void write( int b )

Write a byte of data to the stream.  If it is not a newline, then the byte is appended to the internal buffer.  If it is a newline, then the currently buffered line is sent to the log's output stream, prefixed with the appropriate logging information.

public void write( byte[] b, int off, int len )

Write a subarray of bytes.  Pass each through write byte method.

Applies to

 LogStream [java.rmi.server]


write method [java.rmi.server.ObjID] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.rmi.server.ObjID]

public void write( java.io.ObjectOutput out ) throws java.io.IOException

Marshal object id to output stream.

Applies to

 ObjID [java.rmi.server]


write method [java.rmi.server.UID] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.rmi.server.UID]

public void write( java.io.DataOutput out ) throws java.io.IOException

Write uid to output stream.

Applies to

 UID [java.rmi.server]


write method [java.security.DigestOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.security.DigestOutputStream]

Overloads:

 void write( byte[] b, int off, int len ) overrides write method [java.io.FilterOutputStream]

 void write( int b ) overrides write method [java.io.FilterOutputStream]

Inherited overloads:

 void write( byte[] b )

 void write( byte[] b )

public void write( byte[] b, int off, int len ) throws java.io.IOException

Updates the message digest (if the digest function is on) using the specified subarray, and in any case writes the subarray to the output stream. That is, if the digest function is on (see on), this method calls update on the message digest associated with this stream, passing it the subarray specifications. This method then writes the subarray bytes to the output stream, blocking until the bytes are actually written.

Parameters

b

the array containing the subarray to be used for updating and writing to the output stream.

off

the offset into b of the first byte to be updated and written.

len

the number of bytes of data to be updated and written from b, starting at offset off.

Throws

IOException

If an I/O error occurs.

See also

update method [java.security.MessageDigest]

public void write( int b ) throws java.io.IOException

Updates the message digest (if the digest function is on) using the specified byte, and in any case writes the byte to the output stream. That is, if the digest function is on (see on), this method calls update on the message digest associated with this stream, passing it the byte b. This method then writes the byte to the output stream, blocking until the byte is actually written.

Parameter

b

the byte to be used for updating and writing to the output stream.

Throws

IOException

If an I/O error occurs.

See also

update method [java.security.MessageDigest]

Applies to

 DigestOutputStream [java.security]


write method [java.util.zip.CheckedOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.util.zip.CheckedOutputStream]

Overloads:

 void write( byte[] b, int off, int len ) overrides write method [java.io.FilterOutputStream]

 void write( int b ) overrides write method [java.io.FilterOutputStream]

Inherited overloads:

 void write( byte[] b )

 void write( byte[] b )

public void write( byte[] b, int off, int len ) throws java.io.IOException

Writes an array of bytes. Will block until the bytes are actually written.

Parameters

buf

the data to be written

off

the start offset of the data

len

the number of bytes to be written

Throws

IOException

If an I/O error has occurred.

public void write( int b ) throws java.io.IOException

Writes a byte. Will block until the byte is actually written.

Parameter

b

the byte to be written

Throws

IOException

If an I/O error has occurred.

Applies to

 CheckedOutputStream [java.util.zip]


write method [java.util.zip.DeflaterOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.util.zip.DeflaterOutputStream]

Overloads:

 void write( byte[] b, int off, int len ) overrides write method [java.io.FilterOutputStream]

 void write( int b ) overrides write method [java.io.FilterOutputStream]

Inherited overloads:

 void write( byte[] b )

 void write( byte[] b )

public void write( byte[] b, int off, int len ) throws java.io.IOException

Writes an array of bytes to the compressed output stream. This method will block until all the bytes are written.

Parameters

buf

the data to be written

off

the start offset of the data

len

the length of the data

Throws

IOException

If an I/O error has occurred.

public void write( int b ) throws java.io.IOException

Writes a byte to the compressed output stream. This method will block until the byte can be written.

Parameter

b

the byte to be written

Throws

IOException

If an I/O error has occurred.

Applies to

 DeflaterOutputStream [java.util.zip]

 GZIPOutputStream [java.util.zip]

 ZipOutputStream [java.util.zip]


write method [java.util.zip.GZIPOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.util.zip.GZIPOutputStream]

Overloads:

 void write( byte[] buf, int off, int len ) overrides write method [java.util.zip.DeflaterOutputStream]

Inherited overloads:

 void write( int b )

 void write( byte[] b )

 void write( int b )

 void write( byte[] b )

 void write( int b )

public synchronized void write( byte[] buf, int off, int len ) throws java.io.IOException

Writes array of bytes to the compressed output stream. This method will block until all the bytes are written.

Parameters

buf

the data to be written

off

the start offset of the data

len

the length of the data

Throws

IOException

If an I/O error has occurred.

Applies to

 GZIPOutputStream [java.util.zip]


write method [java.util.zip.ZipOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      write method [java.util.zip.ZipOutputStream]

Overloads:

 void write( byte[] b, int off, int len ) overrides write method [java.util.zip.DeflaterOutputStream]

Inherited overloads:

 void write( int b )

 void write( byte[] b )

 void write( int b )

 void write( byte[] b )

 void write( int b )

public synchronized void write( byte[] b, int off, int len ) throws java.io.IOException

Writes an array of bytes to the current ZIP entry data. This method will block until all the bytes are written.

Parameters

b

the data to be written

off

the start offset in the data

len

the number of bytes that are written

Throws

ZipException

If a ZIP file error has occurred.

IOException

If an I/O error has occurred.

Applies to

 ZipOutputStream [java.util.zip]


WriteAbortedException class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      WriteAbortedException class [java.io]

Object

Throwable

Exception

IOException

ObjectStreamException

WriteAbortedException

Specification

public class WriteAbortedException extends java.io.ObjectStreamException

Constructor

public WriteAbortedException( java.lang.String s, java.lang.Exception ex )

A WriteAbortedException is thrown during a read when one of the ObjectStreamExceptions was thrown during writing.  The exception that terminated the write can be found in the detail field. The stream is reset to it's initial state, all references to objects already deserialized are discarded.

Variable

public java.lang.Exception detail

Properties

  java.lang.String getMessage( )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


writeBoolean method [java.io.DataOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeBoolean method [java.io.DataOutputStream]

public final void writeBoolean( boolean v ) throws java.io.IOException

Writes a boolean to the underlying output stream as a 1-byte value. The value true is written out as the value (byte)1; the value false is written out as the value (byte)0.

Parameter

v

a boolean value to be written.

Throws

IOException

If an I/O error occurs.

Applies to

 DataOutputStream [java.io]


writeBoolean method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeBoolean method [java.io.ObjectOutputStream]

public void writeBoolean( boolean data ) throws java.io.IOException

Writes a boolean.

Parameter

data

the boolean to be written

Applies to

 ObjectOutputStream [java.io]


writeBoolean method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeBoolean method [java.io.RandomAccessFile]

public final void writeBoolean( boolean v ) throws java.io.IOException

Writes a boolean to the file as a 1-byte value. The value true is written out as the value (byte)1; the value false is written out as the value (byte)0.

Parameter

v

a boolean value to be written.

Throws

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


writeByte method [java.io.DataOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeByte method [java.io.DataOutputStream]

public final void writeByte( int v ) throws java.io.IOException

Writes out a byte to the underlying output stream as a 1-byte value.

Parameter

v

a byte value to be written.

Throws

IOException

If an I/O error occurs.

Applies to

 DataOutputStream [java.io]


writeByte method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeByte method [java.io.ObjectOutputStream]

public void writeByte( int data ) throws java.io.IOException

Writes an 8 bit byte.

Parameter

data

the byte value to be written

Applies to

 ObjectOutputStream [java.io]


writeByte method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeByte method [java.io.RandomAccessFile]

public final void writeByte( int v ) throws java.io.IOException

Writes a byte to the file as a 1-byte value.

Parameter

v

a byte value to be written.

Throws

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


writeBytes method [java.io.DataOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeBytes method [java.io.DataOutputStream]

public final void writeBytes( java.lang.String s ) throws java.io.IOException

Writes out the string to the underlying output stream as a sequence of bytes. Each character in the string is written out, in sequence, by discarding its high eight bits.

Parameter

s

a string of bytes to be written.

Throws

IOException

If an I/O error occurs.

Applies to

 DataOutputStream [java.io]


writeBytes method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeBytes method [java.io.ObjectOutputStream]

public void writeBytes( java.lang.String data ) throws java.io.IOException

Writes a String as a sequence of bytes.

Parameter

s

the String of bytes to be written

Applies to

 ObjectOutputStream [java.io]


writeBytes method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeBytes method [java.io.RandomAccessFile]

public final void writeBytes( java.lang.String s ) throws java.io.IOException

Writes the string to the file as a sequence of bytes. Each character in the string is written out, in sequence, by discarding its high eight bits.

Parameter

s

a string of bytes to be written.

Throws

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


writeChar method [java.io.DataOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeChar method [java.io.DataOutputStream]

public final void writeChar( int v ) throws java.io.IOException

Writes a char to the underlying output stream as a 2-byte value, high byte first.

Parameter

v

a char value to be written.

Throws

IOException

If an I/O error occurs.

Applies to

 DataOutputStream [java.io]


writeChar method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeChar method [java.io.ObjectOutputStream]

public void writeChar( int data ) throws java.io.IOException

Writes a 16 bit char.

Parameter

data

the char value to be written

Applies to

 ObjectOutputStream [java.io]


writeChar method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeChar method [java.io.RandomAccessFile]

public final void writeChar( int v ) throws java.io.IOException

Writes a char to the file as a 2-byte value, high byte first.

Parameter

v

a char value to be written.

Throws

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


writeChars method [java.io.DataOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeChars method [java.io.DataOutputStream]

public final void writeChars( java.lang.String s ) throws java.io.IOException

Writes a string to the underlying output stream as a sequence of characters. Each character is written to the data output stream as if by the writeChar method.

Parameter

s

a String value to be written.

Throws

IOException

If an I/O error occurs.

See also

writeChar method [java.io.DataOutputStream]

Applies to

 DataOutputStream [java.io]


writeChars method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeChars method [java.io.ObjectOutputStream]

public void writeChars( java.lang.String data ) throws java.io.IOException

Writes a String as a sequence of chars.

Parameter

s

the String of chars to be written

Applies to

 ObjectOutputStream [java.io]


writeChars method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeChars method [java.io.RandomAccessFile]

public final void writeChars( java.lang.String s ) throws java.io.IOException

Writes a string to the file as a sequence of characters. Each character is written to the data output stream as if by the writeChar method.

Parameter

s

a String value to be written.

Throws

IOException

If an I/O error occurs.

See also

writeChar method [java.io.RandomAccessFile]

Applies to

 RandomAccessFile [java.io]


writeDouble method [java.io.DataOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeDouble method [java.io.DataOutputStream]

public final void writeDouble( double v ) throws java.io.IOException

Converts the double argument to a long using the doubleToLongBits method in class Double, and then writes that long value to the underlying output stream as an 8-byte quantity, high byte first.

Parameter

v

a double value to be written.

Throws

IOException

If an I/O error occurs.

See also

doubleToLongBits method [java.lang.Double]

Applies to

 DataOutputStream [java.io]


writeDouble method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeDouble method [java.io.ObjectOutputStream]

public void writeDouble( double data ) throws java.io.IOException

Writes a 64 bit double.

Parameter

data

the double value to be written

Applies to

 ObjectOutputStream [java.io]


writeDouble method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeDouble method [java.io.RandomAccessFile]

public final void writeDouble( double v ) throws java.io.IOException

Converts the double argument to a long using the doubleToLongBits method in class Double, and then writes that long value to the file as an 8-byte quantity, high byte first.

Parameter

v

a double value to be written.

Throws

IOException

If an I/O error occurs.

See also

doubleToLongBits method [java.lang.Double]

Applies to

 RandomAccessFile [java.io]


writeFloat method [java.io.DataOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeFloat method [java.io.DataOutputStream]

public final void writeFloat( float v ) throws java.io.IOException

Converts the float argument to an int using the floatToIntBits method in class Float, and then writes that int value to the underlying output stream as a 4-byte quantity, high byte first.

Parameter

v

a float value to be written.

Throws

IOException

If an I/O error occurs.

See also

floatToIntBits method [java.lang.Float]

Applies to

 DataOutputStream [java.io]


writeFloat method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeFloat method [java.io.ObjectOutputStream]

public void writeFloat( float data ) throws java.io.IOException

Writes a 32 bit float.

Parameter

data

the float value to be written

Applies to

 ObjectOutputStream [java.io]


writeFloat method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeFloat method [java.io.RandomAccessFile]

public final void writeFloat( float v ) throws java.io.IOException

Converts the float argument to an int using the floatToIntBits method in class Float, and then writes that int value to the file as a 4-byte quantity, high byte first.

Parameter

v

a float value to be written.

Throws

IOException

If an I/O error occurs.

See also

floatToIntBits method [java.lang.Float]

Applies to

 RandomAccessFile [java.io]


writeInt method [java.io.DataOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeInt method [java.io.DataOutputStream]

public final void writeInt( int v ) throws java.io.IOException

Writes an int to the underlying output stream as four bytes, high byte first.

Parameter

v

an int to be written.

Throws

IOException

If an I/O error occurs.

Applies to

 DataOutputStream [java.io]


writeInt method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeInt method [java.io.ObjectOutputStream]

public void writeInt( int data ) throws java.io.IOException

Writes a 32 bit int.

Parameter

data

the integer value to be written

Applies to

 ObjectOutputStream [java.io]


writeInt method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeInt method [java.io.RandomAccessFile]

public final void writeInt( int v ) throws java.io.IOException

Writes an int to the file as four bytes, high byte first.

Parameter

v

an int to be written.

Throws

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


writeLong method [java.io.DataOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeLong method [java.io.DataOutputStream]

public final void writeLong( long v ) throws java.io.IOException

Writes a long to the underlying output stream as eight bytes, high byte first.

Parameter

v

a long to be written.

Throws

IOException

If an I/O error occurs.

Applies to

 DataOutputStream [java.io]


writeLong method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeLong method [java.io.ObjectOutputStream]

public void writeLong( long data ) throws java.io.IOException

Writes a 64 bit long.

Parameter

data

the long value to be written

Applies to

 ObjectOutputStream [java.io]


writeLong method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeLong method [java.io.RandomAccessFile]

public final void writeLong( long v ) throws java.io.IOException

Writes a long to the file as eight bytes, high byte first.

Parameter

v

a long to be written.

Throws

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


writeMethod property [java.beans.PropertyDescriptor] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeMethod property [java.beans.PropertyDescriptor]

public java.lang.reflect.Method getWriteMethod( )

No documentation supplied in JDK

Return

The method that should be used to write the property value. May return null if the property can't be written.

Applies to

 IndexedPropertyDescriptor [java.beans]

 PropertyDescriptor [java.beans]


writeObject method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeObject method [java.io.ObjectOutputStream]

public final void writeObject( java.lang.Object obj ) throws java.io.IOException

Write the specified object to the ObjectOutputStream. The class of the object, the signature of the class, and the values of the non-transient and non-static fields of the class and all of its supertypes are written.  Default serialization for a class can be overridden using the writeObject and the readObject methods. Objects referenced by this object are written transitively so that a complete equivalent graph of objects can be reconstructed by an ObjectInputStream.

Exceptions are thrown for problems with the OutputStream and for classes that should not be serialized.  All exceptions are fatal to the OutputStream, which is left in an indeterminate state, and it is up to the caller to ignore or recover the stream state.

Throws

InvalidClassException

Something is wrong with a class used by serialization.

NotSerializableException

Some object to be serialized does not implement the java.io.Serializable interface.

IOException

Any exception thrown by the underlying OutputStream.

Applies to

 ObjectOutputStream [java.io]


Writer class [java.io] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      Writer class [java.io]

Object

Writer

Description

Abstract class for writing to character streams.  The only methods that a subclass must implement are write(char[], int, int), flush(), and close(). Most subclasses, however, will override some of the methods defined here in order to provide higher efficiency, additional functionality, or both.

Specification

public abstract class Writer extends java.lang.Object

Constructors

protected Writer( )

Create a new character-stream writer whose critical sections will synchronize on the writer itself.

protected Writer( java.lang.Object lock )

Create a new character-stream writer whose critical sections will synchronize on the given object.

Variable

protected java.lang.Object lock

The object used to synchronize operations on this stream.  For efficiency, a character-stream object may use an object other than itself to protect critical sections.  A subclass should therefore use the object in this field rather than this or a synchronized method.

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  abstract void close( ) throws java.io.IOException

  abstract void flush( ) throws java.io.IOException

  void write( java.lang.String str, int off, int len ) throws java.io.IOException

  void write( int c ) throws java.io.IOException

  void write( java.lang.String str ) throws java.io.IOException

  void write( char[] cbuf ) throws java.io.IOException

  abstract void write( char[] cbuf, int off, int len ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable

See also

Writer class [java.io]

BufferedWriter class [java.io]

CharArrayWriter class [java.io]

FilterWriter class [java.io]

OutputStreamWriter class [java.io]

FileWriter class [java.io]

PipedWriter class [java.io]

PrintWriter class [java.io]

StringWriter class [java.io]

Reader class [java.io]


writeShort method [java.io.DataOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeShort method [java.io.DataOutputStream]

public final void writeShort( int v ) throws java.io.IOException

Writes a short to the underlying output stream as two bytes, high byte first.

Parameter

v

a short to be written.

Throws

IOException

If an I/O error occurs.

Applies to

 DataOutputStream [java.io]


writeShort method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeShort method [java.io.ObjectOutputStream]

public void writeShort( int data ) throws java.io.IOException

Writes a 16 bit short.

Parameter

data

the short value to be written

Applies to

 ObjectOutputStream [java.io]


writeShort method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeShort method [java.io.RandomAccessFile]

public final void writeShort( int v ) throws java.io.IOException

Writes a short to the file as two bytes, high byte first.

Parameter

v

a short to be written.

Throws

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


writeStreamHeader method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeStreamHeader method [java.io.ObjectOutputStream]

protected void writeStreamHeader( ) throws java.io.IOException

The writeStreamHeader method is provided so subclasses can append or prepend their own header to the stream. It writes the magic number and version to the stream.

Applies to

 ObjectOutputStream [java.io]


writeTo method [java.io.ByteArrayOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeTo method [java.io.ByteArrayOutputStream]

public synchronized void writeTo( java.io.OutputStream out ) throws java.io.IOException

Writes the complete contents of this byte array output stream to the specified output stream argument, as if by calling the output stream's write method using out.write(buf, 0, count).

Parameter

out

the output stream to which to write the data.

Throws

IOException

If an I/O error occurs.

Applies to

 ByteArrayOutputStream [java.io]


writeTo method [java.io.CharArrayWriter] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeTo method [java.io.CharArrayWriter]

public void writeTo( java.io.Writer out ) throws java.io.IOException

Writes the contents of the buffer to another character stream.

Parameter

out

the output stream to write to

Applies to

 CharArrayWriter [java.io]


writeUTF method [java.io.DataOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeUTF method [java.io.DataOutputStream]

public final void writeUTF( java.lang.String str ) throws java.io.IOException

Writes a string to the underlying output stream using UTF-8 encoding in a machine-independent manner.

First, two bytes are written to the output stream as if by the writeShort method giving the number of bytes to follow. This value is the number of bytes actually written out, not the length of the string. Following the length, each character of the string is output, in sequence, using the UTF-8 encoding for the character.

Parameter

str

a string to be written.

Throws

IOException

If an I/O error occurs.

Applies to

 DataOutputStream [java.io]


writeUTF method [java.io.ObjectOutputStream] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeUTF method [java.io.ObjectOutputStream]

public void writeUTF( java.lang.String data ) throws java.io.IOException

Writes a String in UTF format.

Parameter

str

the String in UTF format

Applies to

 ObjectOutputStream [java.io]


writeUTF method [java.io.RandomAccessFile] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     W
      writeUTF method [java.io.RandomAccessFile]

public final void writeUTF( java.lang.String str ) throws java.io.IOException

Writes a string to the file using UTF-8 encoding in a machine-independent manner.

First, two bytes are written to the file as if by the writeShort method giving the number of bytes to follow. This value is the number of bytes actually written out, not the length of the string. Following the length, each character of the string is output, in sequence, using the UTF-8 encoding for each character.

Parameter

str

a string to be written.

Throws

IOException

If an I/O error occurs.

Applies to

 RandomAccessFile [java.io]


X  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    X

 x property [java.awt.event.MouseEvent]

 xor method [java.math.BigInteger]

 xor method [java.util.BitSet]

 XORMode property [java.awt.Graphics]


x property [java.awt.event.MouseEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     X
      x property [java.awt.event.MouseEvent]

public int getX( )

Returns the x position of the event relative to the source component.

Return

No documentation supplied in JDK.

Applies to

 MouseEvent [java.awt.event]


xor method [java.math.BigInteger] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     X
      xor method [java.math.BigInteger]

public java.math.BigInteger xor( java.math.BigInteger val )

Returns a BigInteger whose value is (this ^ val).  (This method returns a negative number iff exactly one of this and val are negative.)

Return

No documentation supplied in JDK.

Applies to

 BigInteger [java.math]


xor method [java.util.BitSet] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     X
      xor method [java.util.BitSet]

public void xor( java.util.BitSet set )

Logically XORs this bit set with the specified set of bits.

Parameter

set

the bit set to be XORed with

Applies to

 BitSet [java.util]


XORMode property [java.awt.Graphics] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     X
      XORMode property [java.awt.Graphics]

public abstract void setXORMode( java.awt.Color c1 )

Sets the paint mode of this graphics context to alternate between this graphics context's current color and the new specified color. This specifies that logical pixel operations are performed in the XOR mode, which alternates pixels between the current color and a specified XOR color.

When drawing operations are performed, pixels which are the current color are changed to the specified color, and vice versa.

Pixels that are of colors other than those two colors are changed in an unpredictable but reversible manner; if the same figure is drawn twice, then all pixels are restored to their original values.

Parameter

c1

the XOR alternation color

Applies to

 Graphics [java.awt]


Y  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    Y

 y property [java.awt.event.MouseEvent]

 year property [java.sql.Time]

 year property [java.util.Date]

 yield method [java.lang.Thread]


y property [java.awt.event.MouseEvent] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     Y
      y property [java.awt.event.MouseEvent]

public int getY( )

Returns the y position of the event relative to the source component.

Return

No documentation supplied in JDK.

Applies to

 MouseEvent [java.awt.event]


year property [java.sql.Time] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     Y
      year property [java.sql.Time]

Overloads:

  int getYear( ) overrides year property [java.util.Date]

  void setYear( int i ) overrides year property [java.util.Date]

public int getYear( )

public void setYear( int i )

Applies to

 Time [java.sql]


year property [java.util.Date] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     Y
      year property [java.util.Date]

public int getYear( )

Note: getYear has been deprecated. As of JDK version 1.1, replaced by Calendar.get(Calendar.YEAR) - 1900.

Returns the year represented by this date, minus 1900.

Return

The year represented by this date, minus 1900.

See also

Calendar class [java.util]

public void setYear( int year )

Note: setYear has been deprecated. As of JDK version 1.1, replaced by Calendar.set(Calendar.YEAR, year + 1900).

Note: setYear has been deprecated. As of JDK version 1.1, replaced by Calendar.set(Calendar.YEAR, year + 1900).

Sets the year of this date to be the specified value plus 1900.

Parameter

year

the year value.

See also

Calendar class [java.util]

Applies to

 Date [java.sql]

 Date [java.util]

 Time [java.sql]

 Timestamp [java.sql]


yield method [java.lang.Thread] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     Y
      yield method [java.lang.Thread]

public static native void yield( )

Causes the currently executing thread object to temporarily pause and allow other threads to execute.

Applies to

 Thread [java.lang]


Z  (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
    Z

 zeroDigit property [java.text.DecimalFormatSymbols]

 ZipEntry class [java.util.zip]

 ZipException class [java.util.zip]

 ZipFile class [java.util.zip]

 ZipInputStream class [java.util.zip]

 ZipOutputStream class [java.util.zip]

 zoneStrings property [java.text.DateFormatSymbols]


zeroDigit property [java.text.DecimalFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     Z
      zeroDigit property [java.text.DecimalFormatSymbols]

public char getZeroDigit( )

character used for zero. Different for Arabic, etc.

Return

No documentation supplied in JDK.

public void setZeroDigit( char zeroDigit )

Applies to

 DecimalFormatSymbols [java.text]


ZipEntry class [java.util.zip] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     Z
      ZipEntry class [java.util.zip]

Object

ZipEntry

Description

This class is used to represent a ZIP file entry.

Specification

public class ZipEntry extends java.lang.Object implements java.util.zip.ZipConstants

Constructor

public ZipEntry( java.lang.String name )

Creates a new ZIP file entry with the specified name.

Parameter

name

the entry name

Throws

NullPointerException

If the entry name is null.

IllegalArgumentException

If the entry name is longer than 0xFFFF bytes.

Variables

public static final int STORED

Compression method for uncompressed entries.

public static final int DEFLATED

Compression method for compressed (deflated) entries.

Properties

  java.lang.String getComment( )

  void setComment( java.lang.String comment )

  long getCompressedSize( )

  long getCrc( )

  void setCrc( long crc )

  boolean isDirectory( )

  byte[] getExtra( )

  void setExtra( byte[] extra )

  int getMethod( )

  void setMethod( int method )

  java.lang.String getName( )

  long getSize( )

  void setSize( long size )

  long getTime( )

  void setTime( long time )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  java.lang.String toString( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


ZipException class [java.util.zip] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     Z
      ZipException class [java.util.zip]

Object

Throwable

Exception

IOException

ZipException

Specification

public class ZipException extends java.io.IOException

Constructors

public ZipException( )

public ZipException( java.lang.String s )

Inherited Properties

  native final java.lang.Class getClass( )

  java.lang.String getLocalizedMessage( )

  java.lang.String getMessage( )

Inherited Methods

  boolean equals( java.lang.Object obj )

  native java.lang.Throwable fillInStackTrace( )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  void printStackTrace( )

  void printStackTrace( java.io.PrintStream s )

  void printStackTrace( java.io.PrintWriter s )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


ZipFile class [java.util.zip] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     Z
      ZipFile class [java.util.zip]

Object

ZipFile

Description

This class can be used to read the contents of a ZIP file. It uses RandomAccessFile for quick access to ZIP file entries, and supports both compressed and uncompressed entries.

Specification

public class ZipFile extends java.lang.Object implements java.util.zip.ZipConstants

Constructors

public ZipFile( java.lang.String name ) throws java.io.IOException

Opens a ZIP file for reading given the specified file name.

Parameter

name

the name of the zip file

Throws

ZipException

If a ZIP format error has occurred.

IOException

If an I/O error has occurred.

public ZipFile( java.io.File file ) throws java.util.zip.ZipException, java.io.IOException

Opens a ZIP file for reading given the specified File object.

Parameter

file

the ZIP file to be opened for reading

Throws

ZipException

If a ZIP error has occurred.

IOException

If an I/O error has occurred.

Properties

  java.lang.String getName( )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( ) throws java.io.IOException

  java.util.Enumeration entries( )

  java.util.zip.ZipEntry getEntry( java.lang.String name )

  java.io.InputStream getInputStream( java.util.zip.ZipEntry ze ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void finalize( ) throws java.lang.Throwable


ZipInputStream class [java.util.zip] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     Z
      ZipInputStream class [java.util.zip]

Object

InputStream

FilterInputStream

InflaterInputStream

ZipInputStream

Description

This class implements an input stream filter for reading files in the ZIP file format. Includes support for both compressed and uncompressed entries.

Specification

public class ZipInputStream extends java.util.zip.InflaterInputStream implements java.util.zip.ZipConstants

Constructor

public ZipInputStream( java.io.InputStream in )

Creates a new ZIP input stream.

Parameter

in

the actual input stream

Properties

  java.util.zip.ZipEntry getNextEntry( ) throws java.io.IOException

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( ) throws java.io.IOException

  void closeEntry( ) throws java.io.IOException

  int read( byte[] b, int off, int len ) throws java.io.IOException

  long skip( long n ) throws java.io.IOException

Inherited Methods

  int available( ) throws java.io.IOException

  boolean equals( java.lang.Object obj )

  native int hashCode( )

  synchronized void mark( int readlimit )

  boolean markSupported( )

  native final void notify( )

  native final void notifyAll( )

  int read( byte[] b ) throws java.io.IOException

  abstract int read( ) throws java.io.IOException

  synchronized void reset( ) throws java.io.IOException

  java.lang.String toString( )

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void fill( ) throws java.io.IOException

 protected void finalize( ) throws java.lang.Throwable


ZipOutputStream class [java.util.zip] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     Z
      ZipOutputStream class [java.util.zip]

Object

OutputStream

FilterOutputStream

DeflaterOutputStream

ZipOutputStream

Description

This class implements an output stream filter for writing files in the ZIP file format. Includes support for both compressed and uncompressed entries.

Specification

public class ZipOutputStream extends java.util.zip.DeflaterOutputStream implements java.util.zip.ZipConstants

Constructor

public ZipOutputStream( java.io.OutputStream out )

Creates a new ZIP output stream.

Parameter

out

the actual output stream

Variables

public static final int STORED

Compression method for uncompressed (STORED) entries.

public static final int DEFLATED

Compression method for compressed (DEFLATED) entries.

Properties

  void setComment( java.lang.String comment )

  void setLevel( int level )

  void setMethod( int method )

Inherited Properties

  native final java.lang.Class getClass( )

Methods

  void close( ) throws java.io.IOException

  void closeEntry( ) throws java.io.IOException

  void finish( ) throws java.io.IOException

  void putNextEntry( java.util.zip.ZipEntry e ) throws java.io.IOException

  synchronized void write( byte[] b, int off, int len ) throws java.io.IOException

Inherited Methods

  boolean equals( java.lang.Object obj )

  void flush( ) throws java.io.IOException

  native int hashCode( )

  native final void notify( )

  native final void notifyAll( )

  java.lang.String toString( )

  native final void wait( long timeout ) throws java.lang.InterruptedException

  final void wait( ) throws java.lang.InterruptedException

  final void wait( long timeout, int nanos ) throws java.lang.InterruptedException

  abstract void write( int b ) throws java.io.IOException

  void write( byte[] b ) throws java.io.IOException

Protected Methods

 protected native java.lang.Object clone( ) throws java.lang.CloneNotSupportedException

 protected void deflate( ) throws java.io.IOException

 protected void finalize( ) throws java.lang.Throwable


zoneStrings property [java.text.DateFormatSymbols] (1.1 Ref)
 Adaptive Server Anywhere Reference for JDK 1.1
   A-Z Reference
     Z
      zoneStrings property [java.text.DateFormatSymbols]

public java.lang.String[][] getZoneStrings( )

Gets timezone strings.

Return

The timezone strings.

public void setZoneStrings( java.lang.String[] newZoneStrings )

Sets timezone strings.

Parameter

newZoneStrings

the new timezone strings.

Applies to

 DateFormatSymbols [java.text]